#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 17880
#define LARGE_STATE_COUNT 2351
#define SYMBOL_COUNT 328
#define ALIAS_COUNT 4
#define TOKEN_COUNT 110
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 189

enum ts_symbol_identifiers {
  sym__alpha_identifier = 1,
  anon_sym_enum = 2,
  anon_sym_COLON = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_case = 6,
  anon_sym_COMMA = 7,
  anon_sym_package = 8,
  anon_sym_DOT = 9,
  anon_sym_object = 10,
  anon_sym_import = 11,
  anon_sym_export = 12,
  anon_sym_STAR = 13,
  anon_sym__ = 14,
  anon_sym_given = 15,
  anon_sym_EQ_GT = 16,
  anon_sym_as = 17,
  anon_sym_class = 18,
  anon_sym_trait = 19,
  anon_sym_LBRACK = 20,
  anon_sym_RBRACK = 21,
  anon_sym_PLUS = 22,
  anon_sym_DASH = 23,
  anon_sym_LT_COLON = 24,
  anon_sym_GT_COLON = 25,
  anon_sym_LT_PERCENT = 26,
  anon_sym_end = 27,
  anon_sym_if = 28,
  anon_sym_while = 29,
  anon_sym_for = 30,
  anon_sym_match = 31,
  anon_sym_try = 32,
  anon_sym_new = 33,
  anon_sym_this = 34,
  anon_sym_extension = 35,
  anon_sym_val = 36,
  anon_sym_AT = 37,
  anon_sym_EQ = 38,
  anon_sym_var = 39,
  anon_sym_type = 40,
  anon_sym_def = 41,
  anon_sym_opaque = 42,
  anon_sym_with = 43,
  anon_sym_abstract = 44,
  anon_sym_final = 45,
  anon_sym_sealed = 46,
  anon_sym_implicit = 47,
  anon_sym_lazy = 48,
  anon_sym_override = 49,
  anon_sym_private = 50,
  anon_sym_protected = 51,
  anon_sym_inline = 52,
  anon_sym_infix = 53,
  anon_sym_open = 54,
  anon_sym_transparent = 55,
  anon_sym_extends = 56,
  anon_sym_derives = 57,
  anon_sym_LPAREN = 58,
  anon_sym_using = 59,
  anon_sym_RPAREN = 60,
  anon_sym_SEMI = 61,
  anon_sym_POUND = 62,
  anon_sym_QMARK_EQ_GT = 63,
  anon_sym_EQ_GT_GT = 64,
  anon_sym_PIPE = 65,
  anon_sym_else = 66,
  anon_sym_then = 67,
  anon_sym_catch = 68,
  anon_sym_finally = 69,
  anon_sym_macro = 70,
  anon_sym_BANG = 71,
  anon_sym_TILDE = 72,
  anon_sym_DOLLAR = 73,
  anon_sym_SQUOTE = 74,
  sym_symbol_literal = 75,
  sym__interpolation_identifier = 76,
  sym__backquoted_id = 77,
  sym_operator_identifier = 78,
  sym_integer_literal = 79,
  sym_floating_point_literal = 80,
  anon_sym_true = 81,
  anon_sym_false = 82,
  sym_character_literal = 83,
  anon_sym_DQUOTE = 84,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 85,
  sym_null_literal = 86,
  anon_sym_return = 87,
  anon_sym_throw = 88,
  anon_sym_do = 89,
  anon_sym_yield = 90,
  anon_sym_LT_DASH = 91,
  aux_sym__shebang_token1 = 92,
  anon_sym_SLASH_SLASH = 93,
  sym__comment_text = 94,
  anon_sym_GT = 95,
  sym_using_directive_key = 96,
  sym_using_directive_value = 97,
  anon_sym_SLASH_STAR = 98,
  aux_sym_block_comment_token1 = 99,
  anon_sym_STAR_SLASH = 100,
  sym__automatic_semicolon = 101,
  sym__indent = 102,
  sym__interpolated_string_middle = 103,
  sym__interpolated_string_end = 104,
  sym__interpolated_multiline_string_middle = 105,
  sym__interpolated_multiline_string_end = 106,
  sym__outdent = 107,
  sym__simple_multiline_string = 108,
  sym__simple_string = 109,
  sym_compilation_unit = 110,
  sym__top_level_definition = 111,
  sym_enum_definition = 112,
  sym__enum_block = 113,
  sym_enum_body = 114,
  sym_enum_case_definitions = 115,
  sym_simple_enum_case = 116,
  sym_full_enum_case = 117,
  sym__full_enum_def = 118,
  sym_package_clause = 119,
  sym_package_identifier = 120,
  sym_package_object = 121,
  sym_import_declaration = 122,
  sym_export_declaration = 123,
  sym__namespace_expression = 124,
  sym_namespace_wildcard = 125,
  sym__namespace_given_by_type = 126,
  sym_namespace_selectors = 127,
  sym_arrow_renamed_identifier = 128,
  sym_as_renamed_identifier = 129,
  sym_object_definition = 130,
  sym__object_definition = 131,
  sym_class_definition = 132,
  sym__class_definition = 133,
  sym__definition_body = 134,
  sym__class_constructor = 135,
  sym_trait_definition = 136,
  sym_type_parameters = 137,
  sym__variant_type_parameter = 138,
  sym_covariant_type_parameter = 139,
  sym_contravariant_type_parameter = 140,
  sym__type_parameter = 141,
  sym_upper_bound = 142,
  sym_lower_bound = 143,
  sym_view_bound = 144,
  sym_context_bound = 145,
  sym_template_body = 146,
  sym__indented_template_body = 147,
  sym__braced_template_body = 148,
  sym__braced_template_body1 = 149,
  sym__braced_template_body2 = 150,
  sym_with_template_body = 151,
  sym__extension_template_body = 152,
  sym__end_marker = 153,
  sym_self_type = 154,
  sym__self_type_ascription = 155,
  sym_annotation = 156,
  sym_val_definition = 157,
  sym_val_declaration = 158,
  sym__start_val = 159,
  sym_var_declaration = 160,
  sym_var_definition = 161,
  sym__start_var = 162,
  sym_type_definition = 163,
  sym__type_constructor = 164,
  sym_function_definition = 165,
  sym_function_declaration = 166,
  sym__function_declaration = 167,
  sym__function_constructor = 168,
  sym_opaque_modifier = 169,
  sym_extension_definition = 170,
  sym_given_definition = 171,
  sym__given_constructor = 172,
  sym__structural_instance = 173,
  sym__constructor_application = 174,
  sym__constructor_applications = 175,
  sym_modifiers = 176,
  sym_access_modifier = 177,
  sym_access_qualifier = 178,
  sym_inline_modifier = 179,
  sym_infix_modifier = 180,
  sym_open_modifier = 181,
  sym_transparent_modifier = 182,
  sym_extends_clause = 183,
  sym_derives_clause = 184,
  sym_class_parameters = 185,
  sym_parameters = 186,
  sym__using_parameters_clause = 187,
  sym_class_parameter = 188,
  sym_parameter = 189,
  sym__block = 190,
  sym__indentable_expression = 191,
  sym_block = 192,
  sym_indented_block = 193,
  sym_indented_cases = 194,
  sym__indented_type_cases = 195,
  sym__type = 196,
  sym__annotated_type = 197,
  sym_annotated_type = 198,
  sym__simple_type = 199,
  sym_compound_type = 200,
  sym__structural_type = 201,
  sym__refinement = 202,
  sym__infix_type_choice = 203,
  sym_infix_type = 204,
  sym_tuple_type = 205,
  sym_singleton_type = 206,
  sym_stable_type_identifier = 207,
  sym_stable_identifier = 208,
  sym_generic_type = 209,
  sym_projected_type = 210,
  sym_match_type = 211,
  sym_type_case_clause = 212,
  sym_function_type = 213,
  sym__arrow_then_type = 214,
  sym_parameter_types = 215,
  sym_lazy_parameter_type = 216,
  sym_repeated_parameter_type = 217,
  sym__type_identifier = 218,
  sym_type_lambda = 219,
  sym_case_class_pattern = 220,
  sym_infix_pattern = 221,
  sym_capture_pattern = 222,
  sym_repeat_pattern = 223,
  sym_typed_pattern = 224,
  sym_given_pattern = 225,
  sym_alternative_pattern = 226,
  sym_tuple_pattern = 227,
  sym_expression = 228,
  sym__simple_expression = 229,
  sym_lambda_expression = 230,
  sym_if_expression = 231,
  sym__if_condition = 232,
  sym_match_expression = 233,
  sym_try_expression = 234,
  sym_catch_clause = 235,
  sym__expr_case_clause = 236,
  sym_finally_clause = 237,
  sym_binding = 238,
  sym_bindings = 239,
  sym_case_block = 240,
  sym_case_clause = 241,
  sym__case_pattern = 242,
  sym_guard = 243,
  sym_assignment_expression = 244,
  sym_generic_function = 245,
  sym_call_expression = 246,
  sym_colon_argument = 247,
  sym_field_expression = 248,
  sym_instance_expression = 249,
  sym_ascription_expression = 250,
  sym_infix_expression = 251,
  sym_postfix_expression = 252,
  sym__postfix_expression_choice = 253,
  sym_macro_body = 254,
  sym_prefix_expression = 255,
  sym_tuple_expression = 256,
  sym_parenthesized_expression = 257,
  sym_type_arguments = 258,
  sym_arguments = 259,
  sym__exprs_in_parens = 260,
  sym_splice_expression = 261,
  sym_quote_expression = 262,
  sym_identifier = 263,
  sym__soft_identifier = 264,
  sym_identifiers = 265,
  sym_wildcard = 266,
  sym__non_null_literal = 267,
  sym_literal_type = 268,
  sym_boolean_literal = 269,
  sym_interpolated_string_expression = 270,
  sym__interpolated_string_start = 271,
  sym__interpolated_multiline_string_start = 272,
  sym__dollar_escape = 273,
  sym__aliased_interpolation_identifier = 274,
  sym_interpolation = 275,
  sym_interpolated_string = 276,
  sym_string = 277,
  sym_unit = 278,
  sym_return_expression = 279,
  sym_throw_expression = 280,
  sym_while_expression = 281,
  sym_do_while_expression = 282,
  sym_for_expression = 283,
  sym_enumerators = 284,
  sym_enumerator = 285,
  sym__shebang = 286,
  sym_comment = 287,
  sym_using_directive = 288,
  sym_block_comment = 289,
  aux_sym_compilation_unit_repeat1 = 290,
  aux_sym_enum_definition_repeat1 = 291,
  aux_sym__enum_block_repeat1 = 292,
  aux_sym_enum_case_definitions_repeat1 = 293,
  aux_sym__full_enum_def_repeat1 = 294,
  aux_sym_package_identifier_repeat1 = 295,
  aux_sym_import_declaration_repeat1 = 296,
  aux_sym_namespace_selectors_repeat1 = 297,
  aux_sym__class_constructor_repeat1 = 298,
  aux_sym_type_parameters_repeat1 = 299,
  aux_sym__type_parameter_repeat1 = 300,
  aux_sym__type_parameter_repeat2 = 301,
  aux_sym_annotation_repeat1 = 302,
  aux_sym_val_declaration_repeat1 = 303,
  aux_sym__function_constructor_repeat1 = 304,
  aux_sym_extension_definition_repeat1 = 305,
  aux_sym__constructor_applications_repeat1 = 306,
  aux_sym__constructor_applications_repeat2 = 307,
  aux_sym_modifiers_repeat1 = 308,
  aux_sym_derives_clause_repeat1 = 309,
  aux_sym_class_parameters_repeat1 = 310,
  aux_sym_parameters_repeat1 = 311,
  aux_sym__using_parameters_clause_repeat1 = 312,
  aux_sym__block_repeat1 = 313,
  aux_sym_indented_cases_repeat1 = 314,
  aux_sym__indented_type_cases_repeat1 = 315,
  aux_sym_compound_type_repeat1 = 316,
  aux_sym_tuple_type_repeat1 = 317,
  aux_sym_type_lambda_repeat1 = 318,
  aux_sym_case_class_pattern_repeat1 = 319,
  aux_sym_bindings_repeat1 = 320,
  aux_sym_tuple_expression_repeat1 = 321,
  aux_sym_identifiers_repeat1 = 322,
  aux_sym_interpolated_string_repeat1 = 323,
  aux_sym_interpolated_string_repeat2 = 324,
  aux_sym_enumerators_repeat1 = 325,
  aux_sym_enumerator_repeat1 = 326,
  aux_sym_block_comment_repeat1 = 327,
  anon_alias_sym__end_ident = 328,
  alias_sym_refinement = 329,
  alias_sym_structural_type = 330,
  alias_sym_type_identifier = 331,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__alpha_identifier] = "_alpha_identifier",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_case] = "case",
  [anon_sym_COMMA] = ",",
  [anon_sym_package] = "package",
  [anon_sym_DOT] = ".",
  [anon_sym_object] = "object",
  [anon_sym_import] = "import",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym__] = "_",
  [anon_sym_given] = "given",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_as] = "as",
  [anon_sym_class] = "class",
  [anon_sym_trait] = "trait",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_COLON] = "<:",
  [anon_sym_GT_COLON] = ">:",
  [anon_sym_LT_PERCENT] = "<%",
  [anon_sym_end] = "end",
  [anon_sym_if] = "if",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_match] = "match",
  [anon_sym_try] = "try",
  [anon_sym_new] = "new",
  [anon_sym_this] = "this",
  [anon_sym_extension] = "extension",
  [anon_sym_val] = "val",
  [anon_sym_AT] = "@",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_type] = "type",
  [anon_sym_def] = "def",
  [anon_sym_opaque] = "opaque",
  [anon_sym_with] = "with",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_sealed] = "sealed",
  [anon_sym_implicit] = "implicit",
  [anon_sym_lazy] = "lazy",
  [anon_sym_override] = "override",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_inline] = "inline",
  [anon_sym_infix] = "infix",
  [anon_sym_open] = "open",
  [anon_sym_transparent] = "transparent",
  [anon_sym_extends] = "extends",
  [anon_sym_derives] = "derives",
  [anon_sym_LPAREN] = "(",
  [anon_sym_using] = "using",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI] = ";",
  [anon_sym_POUND] = "#",
  [anon_sym_QMARK_EQ_GT] = "\?=>",
  [anon_sym_EQ_GT_GT] = "=>>",
  [anon_sym_PIPE] = "|",
  [anon_sym_else] = "else",
  [anon_sym_then] = "then",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_macro] = "macro",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_SQUOTE] = "'",
  [sym_symbol_literal] = "symbol_literal",
  [sym__interpolation_identifier] = "identifier",
  [sym__backquoted_id] = "_backquoted_id",
  [sym_operator_identifier] = "operator_identifier",
  [sym_integer_literal] = "integer_literal",
  [sym_floating_point_literal] = "floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_null_literal] = "null_literal",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_do] = "do",
  [anon_sym_yield] = "yield",
  [anon_sym_LT_DASH] = "<-",
  [aux_sym__shebang_token1] = "comment",
  [anon_sym_SLASH_SLASH] = "//",
  [sym__comment_text] = "_comment_text",
  [anon_sym_GT] = ">",
  [sym_using_directive_key] = "using_directive_key",
  [sym_using_directive_value] = "using_directive_value",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_block_comment_token1] = "block_comment_token1",
  [anon_sym_STAR_SLASH] = "*/",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__indent] = "_indent",
  [sym__interpolated_string_middle] = "_interpolated_string_middle",
  [sym__interpolated_string_end] = "_interpolated_string_end",
  [sym__interpolated_multiline_string_middle] = "_interpolated_multiline_string_middle",
  [sym__interpolated_multiline_string_end] = "_interpolated_multiline_string_end",
  [sym__outdent] = "_outdent",
  [sym__simple_multiline_string] = "_simple_multiline_string",
  [sym__simple_string] = "_simple_string",
  [sym_compilation_unit] = "compilation_unit",
  [sym__top_level_definition] = "_top_level_definition",
  [sym_enum_definition] = "enum_definition",
  [sym__enum_block] = "_enum_block",
  [sym_enum_body] = "enum_body",
  [sym_enum_case_definitions] = "enum_case_definitions",
  [sym_simple_enum_case] = "simple_enum_case",
  [sym_full_enum_case] = "full_enum_case",
  [sym__full_enum_def] = "_full_enum_def",
  [sym_package_clause] = "package_clause",
  [sym_package_identifier] = "package_identifier",
  [sym_package_object] = "package_object",
  [sym_import_declaration] = "import_declaration",
  [sym_export_declaration] = "export_declaration",
  [sym__namespace_expression] = "_namespace_expression",
  [sym_namespace_wildcard] = "namespace_wildcard",
  [sym__namespace_given_by_type] = "_namespace_given_by_type",
  [sym_namespace_selectors] = "namespace_selectors",
  [sym_arrow_renamed_identifier] = "arrow_renamed_identifier",
  [sym_as_renamed_identifier] = "as_renamed_identifier",
  [sym_object_definition] = "object_definition",
  [sym__object_definition] = "_object_definition",
  [sym_class_definition] = "class_definition",
  [sym__class_definition] = "_class_definition",
  [sym__definition_body] = "_definition_body",
  [sym__class_constructor] = "_class_constructor",
  [sym_trait_definition] = "trait_definition",
  [sym_type_parameters] = "type_parameters",
  [sym__variant_type_parameter] = "_variant_type_parameter",
  [sym_covariant_type_parameter] = "covariant_type_parameter",
  [sym_contravariant_type_parameter] = "contravariant_type_parameter",
  [sym__type_parameter] = "_type_parameter",
  [sym_upper_bound] = "upper_bound",
  [sym_lower_bound] = "lower_bound",
  [sym_view_bound] = "view_bound",
  [sym_context_bound] = "context_bound",
  [sym_template_body] = "template_body",
  [sym__indented_template_body] = "_indented_template_body",
  [sym__braced_template_body] = "_braced_template_body",
  [sym__braced_template_body1] = "_braced_template_body1",
  [sym__braced_template_body2] = "_braced_template_body2",
  [sym_with_template_body] = "with_template_body",
  [sym__extension_template_body] = "_extension_template_body",
  [sym__end_marker] = "_end_marker",
  [sym_self_type] = "self_type",
  [sym__self_type_ascription] = "_self_type_ascription",
  [sym_annotation] = "annotation",
  [sym_val_definition] = "val_definition",
  [sym_val_declaration] = "val_declaration",
  [sym__start_val] = "_start_val",
  [sym_var_declaration] = "var_declaration",
  [sym_var_definition] = "var_definition",
  [sym__start_var] = "_start_var",
  [sym_type_definition] = "type_definition",
  [sym__type_constructor] = "_type_constructor",
  [sym_function_definition] = "function_definition",
  [sym_function_declaration] = "function_declaration",
  [sym__function_declaration] = "_function_declaration",
  [sym__function_constructor] = "_function_constructor",
  [sym_opaque_modifier] = "opaque_modifier",
  [sym_extension_definition] = "extension_definition",
  [sym_given_definition] = "given_definition",
  [sym__given_constructor] = "_given_constructor",
  [sym__structural_instance] = "_structural_instance",
  [sym__constructor_application] = "_constructor_application",
  [sym__constructor_applications] = "_constructor_applications",
  [sym_modifiers] = "modifiers",
  [sym_access_modifier] = "access_modifier",
  [sym_access_qualifier] = "access_qualifier",
  [sym_inline_modifier] = "inline_modifier",
  [sym_infix_modifier] = "infix_modifier",
  [sym_open_modifier] = "open_modifier",
  [sym_transparent_modifier] = "transparent_modifier",
  [sym_extends_clause] = "extends_clause",
  [sym_derives_clause] = "derives_clause",
  [sym_class_parameters] = "class_parameters",
  [sym_parameters] = "parameters",
  [sym__using_parameters_clause] = "_using_parameters_clause",
  [sym_class_parameter] = "class_parameter",
  [sym_parameter] = "parameter",
  [sym__block] = "_block",
  [sym__indentable_expression] = "_indentable_expression",
  [sym_block] = "block",
  [sym_indented_block] = "indented_block",
  [sym_indented_cases] = "indented_cases",
  [sym__indented_type_cases] = "_indented_type_cases",
  [sym__type] = "_type",
  [sym__annotated_type] = "_annotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym__simple_type] = "_simple_type",
  [sym_compound_type] = "compound_type",
  [sym__structural_type] = "_structural_type",
  [sym__refinement] = "_refinement",
  [sym__infix_type_choice] = "_infix_type_choice",
  [sym_infix_type] = "infix_type",
  [sym_tuple_type] = "tuple_type",
  [sym_singleton_type] = "singleton_type",
  [sym_stable_type_identifier] = "stable_type_identifier",
  [sym_stable_identifier] = "stable_identifier",
  [sym_generic_type] = "generic_type",
  [sym_projected_type] = "projected_type",
  [sym_match_type] = "match_type",
  [sym_type_case_clause] = "type_case_clause",
  [sym_function_type] = "function_type",
  [sym__arrow_then_type] = "_arrow_then_type",
  [sym_parameter_types] = "parameter_types",
  [sym_lazy_parameter_type] = "lazy_parameter_type",
  [sym_repeated_parameter_type] = "repeated_parameter_type",
  [sym__type_identifier] = "_type_identifier",
  [sym_type_lambda] = "type_lambda",
  [sym_case_class_pattern] = "case_class_pattern",
  [sym_infix_pattern] = "infix_pattern",
  [sym_capture_pattern] = "capture_pattern",
  [sym_repeat_pattern] = "repeat_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_given_pattern] = "given_pattern",
  [sym_alternative_pattern] = "alternative_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_expression] = "expression",
  [sym__simple_expression] = "_simple_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_if_expression] = "if_expression",
  [sym__if_condition] = "_if_condition",
  [sym_match_expression] = "match_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_clause] = "catch_clause",
  [sym__expr_case_clause] = "_expr_case_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_binding] = "binding",
  [sym_bindings] = "bindings",
  [sym_case_block] = "case_block",
  [sym_case_clause] = "case_clause",
  [sym__case_pattern] = "_case_pattern",
  [sym_guard] = "guard",
  [sym_assignment_expression] = "assignment_expression",
  [sym_generic_function] = "generic_function",
  [sym_call_expression] = "call_expression",
  [sym_colon_argument] = "colon_argument",
  [sym_field_expression] = "field_expression",
  [sym_instance_expression] = "instance_expression",
  [sym_ascription_expression] = "ascription_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym__postfix_expression_choice] = "_postfix_expression_choice",
  [sym_macro_body] = "macro_body",
  [sym_prefix_expression] = "prefix_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_type_arguments] = "type_arguments",
  [sym_arguments] = "arguments",
  [sym__exprs_in_parens] = "_exprs_in_parens",
  [sym_splice_expression] = "splice_expression",
  [sym_quote_expression] = "quote_expression",
  [sym_identifier] = "identifier",
  [sym__soft_identifier] = "_soft_identifier",
  [sym_identifiers] = "identifiers",
  [sym_wildcard] = "wildcard",
  [sym__non_null_literal] = "_non_null_literal",
  [sym_literal_type] = "literal_type",
  [sym_boolean_literal] = "boolean_literal",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym__interpolated_string_start] = "_interpolated_string_start",
  [sym__interpolated_multiline_string_start] = "_interpolated_multiline_string_start",
  [sym__dollar_escape] = "_dollar_escape",
  [sym__aliased_interpolation_identifier] = "_aliased_interpolation_identifier",
  [sym_interpolation] = "interpolation",
  [sym_interpolated_string] = "interpolated_string",
  [sym_string] = "string",
  [sym_unit] = "unit",
  [sym_return_expression] = "return_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_while_expression] = "while_expression",
  [sym_do_while_expression] = "do_while_expression",
  [sym_for_expression] = "for_expression",
  [sym_enumerators] = "enumerators",
  [sym_enumerator] = "enumerator",
  [sym__shebang] = "_shebang",
  [sym_comment] = "comment",
  [sym_using_directive] = "using_directive",
  [sym_block_comment] = "block_comment",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_enum_definition_repeat1] = "enum_definition_repeat1",
  [aux_sym__enum_block_repeat1] = "_enum_block_repeat1",
  [aux_sym_enum_case_definitions_repeat1] = "enum_case_definitions_repeat1",
  [aux_sym__full_enum_def_repeat1] = "_full_enum_def_repeat1",
  [aux_sym_package_identifier_repeat1] = "package_identifier_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_namespace_selectors_repeat1] = "namespace_selectors_repeat1",
  [aux_sym__class_constructor_repeat1] = "_class_constructor_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym__type_parameter_repeat1] = "_type_parameter_repeat1",
  [aux_sym__type_parameter_repeat2] = "_type_parameter_repeat2",
  [aux_sym_annotation_repeat1] = "annotation_repeat1",
  [aux_sym_val_declaration_repeat1] = "val_declaration_repeat1",
  [aux_sym__function_constructor_repeat1] = "_function_constructor_repeat1",
  [aux_sym_extension_definition_repeat1] = "extension_definition_repeat1",
  [aux_sym__constructor_applications_repeat1] = "_constructor_applications_repeat1",
  [aux_sym__constructor_applications_repeat2] = "_constructor_applications_repeat2",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_derives_clause_repeat1] = "derives_clause_repeat1",
  [aux_sym_class_parameters_repeat1] = "class_parameters_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym__using_parameters_clause_repeat1] = "_using_parameters_clause_repeat1",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_indented_cases_repeat1] = "indented_cases_repeat1",
  [aux_sym__indented_type_cases_repeat1] = "_indented_type_cases_repeat1",
  [aux_sym_compound_type_repeat1] = "compound_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_type_lambda_repeat1] = "type_lambda_repeat1",
  [aux_sym_case_class_pattern_repeat1] = "case_class_pattern_repeat1",
  [aux_sym_bindings_repeat1] = "bindings_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_identifiers_repeat1] = "identifiers_repeat1",
  [aux_sym_interpolated_string_repeat1] = "interpolated_string_repeat1",
  [aux_sym_interpolated_string_repeat2] = "interpolated_string_repeat2",
  [aux_sym_enumerators_repeat1] = "enumerators_repeat1",
  [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
  [aux_sym_block_comment_repeat1] = "block_comment_repeat1",
  [anon_alias_sym__end_ident] = "_end_ident",
  [alias_sym_refinement] = "refinement",
  [alias_sym_structural_type] = "structural_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__alpha_identifier] = sym__alpha_identifier,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym__] = anon_sym__,
  [anon_sym_given] = anon_sym_given,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_COLON] = anon_sym_LT_COLON,
  [anon_sym_GT_COLON] = anon_sym_GT_COLON,
  [anon_sym_LT_PERCENT] = anon_sym_LT_PERCENT,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_this] = anon_sym_this,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_implicit] = anon_sym_implicit,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_transparent] = anon_sym_transparent,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_derives] = anon_sym_derives,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_QMARK_EQ_GT] = anon_sym_QMARK_EQ_GT,
  [anon_sym_EQ_GT_GT] = anon_sym_EQ_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_symbol_literal] = sym_symbol_literal,
  [sym__interpolation_identifier] = sym_identifier,
  [sym__backquoted_id] = sym__backquoted_id,
  [sym_operator_identifier] = sym_operator_identifier,
  [sym_integer_literal] = sym_integer_literal,
  [sym_floating_point_literal] = sym_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [aux_sym__shebang_token1] = sym_comment,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [sym__comment_text] = sym__comment_text,
  [anon_sym_GT] = anon_sym_GT,
  [sym_using_directive_key] = sym_using_directive_key,
  [sym_using_directive_value] = sym_using_directive_value,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_block_comment_token1] = aux_sym_block_comment_token1,
  [anon_sym_STAR_SLASH] = anon_sym_STAR_SLASH,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__indent] = sym__indent,
  [sym__interpolated_string_middle] = sym__interpolated_string_middle,
  [sym__interpolated_string_end] = sym__interpolated_string_end,
  [sym__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [sym__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [sym__outdent] = sym__outdent,
  [sym__simple_multiline_string] = sym__simple_multiline_string,
  [sym__simple_string] = sym__simple_string,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym__enum_block] = sym__enum_block,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_case_definitions] = sym_enum_case_definitions,
  [sym_simple_enum_case] = sym_simple_enum_case,
  [sym_full_enum_case] = sym_full_enum_case,
  [sym__full_enum_def] = sym__full_enum_def,
  [sym_package_clause] = sym_package_clause,
  [sym_package_identifier] = sym_package_identifier,
  [sym_package_object] = sym_package_object,
  [sym_import_declaration] = sym_import_declaration,
  [sym_export_declaration] = sym_export_declaration,
  [sym__namespace_expression] = sym__namespace_expression,
  [sym_namespace_wildcard] = sym_namespace_wildcard,
  [sym__namespace_given_by_type] = sym__namespace_given_by_type,
  [sym_namespace_selectors] = sym_namespace_selectors,
  [sym_arrow_renamed_identifier] = sym_arrow_renamed_identifier,
  [sym_as_renamed_identifier] = sym_as_renamed_identifier,
  [sym_object_definition] = sym_object_definition,
  [sym__object_definition] = sym__object_definition,
  [sym_class_definition] = sym_class_definition,
  [sym__class_definition] = sym__class_definition,
  [sym__definition_body] = sym__definition_body,
  [sym__class_constructor] = sym__class_constructor,
  [sym_trait_definition] = sym_trait_definition,
  [sym_type_parameters] = sym_type_parameters,
  [sym__variant_type_parameter] = sym__variant_type_parameter,
  [sym_covariant_type_parameter] = sym_covariant_type_parameter,
  [sym_contravariant_type_parameter] = sym_contravariant_type_parameter,
  [sym__type_parameter] = sym__type_parameter,
  [sym_upper_bound] = sym_upper_bound,
  [sym_lower_bound] = sym_lower_bound,
  [sym_view_bound] = sym_view_bound,
  [sym_context_bound] = sym_context_bound,
  [sym_template_body] = sym_template_body,
  [sym__indented_template_body] = sym__indented_template_body,
  [sym__braced_template_body] = sym__braced_template_body,
  [sym__braced_template_body1] = sym__braced_template_body1,
  [sym__braced_template_body2] = sym__braced_template_body2,
  [sym_with_template_body] = sym_with_template_body,
  [sym__extension_template_body] = sym__extension_template_body,
  [sym__end_marker] = sym__end_marker,
  [sym_self_type] = sym_self_type,
  [sym__self_type_ascription] = sym__self_type_ascription,
  [sym_annotation] = sym_annotation,
  [sym_val_definition] = sym_val_definition,
  [sym_val_declaration] = sym_val_declaration,
  [sym__start_val] = sym__start_val,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_definition] = sym_var_definition,
  [sym__start_var] = sym__start_var,
  [sym_type_definition] = sym_type_definition,
  [sym__type_constructor] = sym__type_constructor,
  [sym_function_definition] = sym_function_definition,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_declaration] = sym__function_declaration,
  [sym__function_constructor] = sym__function_constructor,
  [sym_opaque_modifier] = sym_opaque_modifier,
  [sym_extension_definition] = sym_extension_definition,
  [sym_given_definition] = sym_given_definition,
  [sym__given_constructor] = sym__given_constructor,
  [sym__structural_instance] = sym__structural_instance,
  [sym__constructor_application] = sym__constructor_application,
  [sym__constructor_applications] = sym__constructor_applications,
  [sym_modifiers] = sym_modifiers,
  [sym_access_modifier] = sym_access_modifier,
  [sym_access_qualifier] = sym_access_qualifier,
  [sym_inline_modifier] = sym_inline_modifier,
  [sym_infix_modifier] = sym_infix_modifier,
  [sym_open_modifier] = sym_open_modifier,
  [sym_transparent_modifier] = sym_transparent_modifier,
  [sym_extends_clause] = sym_extends_clause,
  [sym_derives_clause] = sym_derives_clause,
  [sym_class_parameters] = sym_class_parameters,
  [sym_parameters] = sym_parameters,
  [sym__using_parameters_clause] = sym__using_parameters_clause,
  [sym_class_parameter] = sym_class_parameter,
  [sym_parameter] = sym_parameter,
  [sym__block] = sym__block,
  [sym__indentable_expression] = sym__indentable_expression,
  [sym_block] = sym_block,
  [sym_indented_block] = sym_indented_block,
  [sym_indented_cases] = sym_indented_cases,
  [sym__indented_type_cases] = sym__indented_type_cases,
  [sym__type] = sym__type,
  [sym__annotated_type] = sym__annotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym__simple_type] = sym__simple_type,
  [sym_compound_type] = sym_compound_type,
  [sym__structural_type] = sym__structural_type,
  [sym__refinement] = sym__refinement,
  [sym__infix_type_choice] = sym__infix_type_choice,
  [sym_infix_type] = sym_infix_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_singleton_type] = sym_singleton_type,
  [sym_stable_type_identifier] = sym_stable_type_identifier,
  [sym_stable_identifier] = sym_stable_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_projected_type] = sym_projected_type,
  [sym_match_type] = sym_match_type,
  [sym_type_case_clause] = sym_type_case_clause,
  [sym_function_type] = sym_function_type,
  [sym__arrow_then_type] = sym__arrow_then_type,
  [sym_parameter_types] = sym_parameter_types,
  [sym_lazy_parameter_type] = sym_lazy_parameter_type,
  [sym_repeated_parameter_type] = sym_repeated_parameter_type,
  [sym__type_identifier] = sym__type_identifier,
  [sym_type_lambda] = sym_type_lambda,
  [sym_case_class_pattern] = sym_case_class_pattern,
  [sym_infix_pattern] = sym_infix_pattern,
  [sym_capture_pattern] = sym_capture_pattern,
  [sym_repeat_pattern] = sym_repeat_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_given_pattern] = sym_given_pattern,
  [sym_alternative_pattern] = sym_alternative_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_expression] = sym_expression,
  [sym__simple_expression] = sym__simple_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_if_expression] = sym_if_expression,
  [sym__if_condition] = sym__if_condition,
  [sym_match_expression] = sym_match_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_clause] = sym_catch_clause,
  [sym__expr_case_clause] = sym__expr_case_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_binding] = sym_binding,
  [sym_bindings] = sym_bindings,
  [sym_case_block] = sym_case_block,
  [sym_case_clause] = sym_case_clause,
  [sym__case_pattern] = sym__case_pattern,
  [sym_guard] = sym_guard,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_generic_function] = sym_generic_function,
  [sym_call_expression] = sym_call_expression,
  [sym_colon_argument] = sym_colon_argument,
  [sym_field_expression] = sym_field_expression,
  [sym_instance_expression] = sym_instance_expression,
  [sym_ascription_expression] = sym_ascription_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym__postfix_expression_choice] = sym__postfix_expression_choice,
  [sym_macro_body] = sym_macro_body,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_arguments] = sym_type_arguments,
  [sym_arguments] = sym_arguments,
  [sym__exprs_in_parens] = sym__exprs_in_parens,
  [sym_splice_expression] = sym_splice_expression,
  [sym_quote_expression] = sym_quote_expression,
  [sym_identifier] = sym_identifier,
  [sym__soft_identifier] = sym__soft_identifier,
  [sym_identifiers] = sym_identifiers,
  [sym_wildcard] = sym_wildcard,
  [sym__non_null_literal] = sym__non_null_literal,
  [sym_literal_type] = sym_literal_type,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_interpolated_string_expression] = sym_interpolated_string_expression,
  [sym__interpolated_string_start] = sym__interpolated_string_start,
  [sym__interpolated_multiline_string_start] = sym__interpolated_multiline_string_start,
  [sym__dollar_escape] = sym__dollar_escape,
  [sym__aliased_interpolation_identifier] = sym__aliased_interpolation_identifier,
  [sym_interpolation] = sym_interpolation,
  [sym_interpolated_string] = sym_interpolated_string,
  [sym_string] = sym_string,
  [sym_unit] = sym_unit,
  [sym_return_expression] = sym_return_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_do_while_expression] = sym_do_while_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_enumerators] = sym_enumerators,
  [sym_enumerator] = sym_enumerator,
  [sym__shebang] = sym__shebang,
  [sym_comment] = sym_comment,
  [sym_using_directive] = sym_using_directive,
  [sym_block_comment] = sym_block_comment,
  [aux_sym_compilation_unit_repeat1] = aux_sym_compilation_unit_repeat1,
  [aux_sym_enum_definition_repeat1] = aux_sym_enum_definition_repeat1,
  [aux_sym__enum_block_repeat1] = aux_sym__enum_block_repeat1,
  [aux_sym_enum_case_definitions_repeat1] = aux_sym_enum_case_definitions_repeat1,
  [aux_sym__full_enum_def_repeat1] = aux_sym__full_enum_def_repeat1,
  [aux_sym_package_identifier_repeat1] = aux_sym_package_identifier_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_namespace_selectors_repeat1] = aux_sym_namespace_selectors_repeat1,
  [aux_sym__class_constructor_repeat1] = aux_sym__class_constructor_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym__type_parameter_repeat1] = aux_sym__type_parameter_repeat1,
  [aux_sym__type_parameter_repeat2] = aux_sym__type_parameter_repeat2,
  [aux_sym_annotation_repeat1] = aux_sym_annotation_repeat1,
  [aux_sym_val_declaration_repeat1] = aux_sym_val_declaration_repeat1,
  [aux_sym__function_constructor_repeat1] = aux_sym__function_constructor_repeat1,
  [aux_sym_extension_definition_repeat1] = aux_sym_extension_definition_repeat1,
  [aux_sym__constructor_applications_repeat1] = aux_sym__constructor_applications_repeat1,
  [aux_sym__constructor_applications_repeat2] = aux_sym__constructor_applications_repeat2,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_derives_clause_repeat1] = aux_sym_derives_clause_repeat1,
  [aux_sym_class_parameters_repeat1] = aux_sym_class_parameters_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym__using_parameters_clause_repeat1] = aux_sym__using_parameters_clause_repeat1,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_indented_cases_repeat1] = aux_sym_indented_cases_repeat1,
  [aux_sym__indented_type_cases_repeat1] = aux_sym__indented_type_cases_repeat1,
  [aux_sym_compound_type_repeat1] = aux_sym_compound_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_type_lambda_repeat1] = aux_sym_type_lambda_repeat1,
  [aux_sym_case_class_pattern_repeat1] = aux_sym_case_class_pattern_repeat1,
  [aux_sym_bindings_repeat1] = aux_sym_bindings_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_identifiers_repeat1] = aux_sym_identifiers_repeat1,
  [aux_sym_interpolated_string_repeat1] = aux_sym_interpolated_string_repeat1,
  [aux_sym_interpolated_string_repeat2] = aux_sym_interpolated_string_repeat2,
  [aux_sym_enumerators_repeat1] = aux_sym_enumerators_repeat1,
  [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
  [aux_sym_block_comment_repeat1] = aux_sym_block_comment_repeat1,
  [anon_alias_sym__end_ident] = anon_alias_sym__end_ident,
  [alias_sym_refinement] = alias_sym_refinement,
  [alias_sym_structural_type] = alias_sym_structural_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__alpha_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_given] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transparent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_derives] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_symbol_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__backquoted_id] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shebang_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__comment_text] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_using_directive_key] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_STAR_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__outdent] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_multiline_string] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_block] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_case_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_full_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym__full_enum_def] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_package_object] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_export_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_given_by_type] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_selectors] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_as_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__object_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__class_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__definition_body] = {
    .visible = false,
    .named = true,
  },
  [sym__class_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_trait_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_covariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_contravariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_upper_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_lower_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_view_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_context_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body1] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body2] = {
    .visible = false,
    .named = true,
  },
  [sym_with_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__extension_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__end_marker] = {
    .visible = false,
    .named = true,
  },
  [sym_self_type] = {
    .visible = true,
    .named = true,
  },
  [sym__self_type_ascription] = {
    .visible = false,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_val_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_val_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__start_val] = {
    .visible = false,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__start_var] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__function_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_opaque_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_given_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__given_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym__structural_instance] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_application] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_applications] = {
    .visible = false,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_access_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_open_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_transparent_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_derives_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__using_parameters_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_class_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym__indentable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_cases] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_type_cases] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__annotated_type] = {
    .visible = false,
    .named = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_compound_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structural_type] = {
    .visible = false,
    .named = true,
  },
  [sym__refinement] = {
    .visible = false,
    .named = true,
  },
  [sym__infix_type_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_infix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_type] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_projected_type] = {
    .visible = true,
    .named = true,
  },
  [sym_match_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__arrow_then_type] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_repeated_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_case_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_given_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alternative_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__if_condition] = {
    .visible = false,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__expr_case_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_bindings] = {
    .visible = true,
    .named = true,
  },
  [sym_case_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__case_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ascription_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expression_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_body] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__exprs_in_parens] = {
    .visible = false,
    .named = true,
  },
  [sym_splice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__soft_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__non_null_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_escape] = {
    .visible = false,
    .named = true,
  },
  [sym__aliased_interpolation_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerators] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym__shebang] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_case_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__full_enum_def_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_selectors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_val_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extension_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derives_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__using_parameters_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_indented_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_type_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_compound_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_lambda_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_class_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym__end_ident] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_refinement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_structural_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_base = 4,
  field_body = 5,
  field_bound = 6,
  field_class_parameters = 7,
  field_condition = 8,
  field_consequence = 9,
  field_default_value = 10,
  field_derive = 11,
  field_enumerators = 12,
  field_extend = 13,
  field_extra = 14,
  field_field = 15,
  field_function = 16,
  field_interpolator = 17,
  field_lambda_start = 18,
  field_left = 19,
  field_name = 20,
  field_operator = 21,
  field_parameter_types = 22,
  field_parameters = 23,
  field_path = 24,
  field_pattern = 25,
  field_return_type = 26,
  field_right = 27,
  field_selector = 28,
  field_type = 29,
  field_type_arguments = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_body] = "body",
  [field_bound] = "bound",
  [field_class_parameters] = "class_parameters",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_derive] = "derive",
  [field_enumerators] = "enumerators",
  [field_extend] = "extend",
  [field_extra] = "extra",
  [field_field] = "field",
  [field_function] = "function",
  [field_interpolator] = "interpolator",
  [field_lambda_start] = "lambda_start",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameter_types] = "parameter_types",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 4},
  [2] = {.index = 4, .length = 1},
  [3] = {.index = 5, .length = 1},
  [4] = {.index = 6, .length = 4},
  [5] = {.index = 10, .length = 1},
  [6] = {.index = 11, .length = 1},
  [9] = {.index = 12, .length = 3},
  [10] = {.index = 15, .length = 1},
  [11] = {.index = 16, .length = 6},
  [12] = {.index = 22, .length = 3},
  [14] = {.index = 25, .length = 1},
  [15] = {.index = 26, .length = 1},
  [16] = {.index = 27, .length = 3},
  [17] = {.index = 30, .length = 3},
  [18] = {.index = 33, .length = 5},
  [19] = {.index = 38, .length = 2},
  [20] = {.index = 40, .length = 2},
  [21] = {.index = 42, .length = 1},
  [22] = {.index = 43, .length = 2},
  [23] = {.index = 45, .length = 2},
  [24] = {.index = 47, .length = 4},
  [25] = {.index = 51, .length = 1},
  [26] = {.index = 52, .length = 4},
  [27] = {.index = 56, .length = 6},
  [28] = {.index = 62, .length = 2},
  [29] = {.index = 64, .length = 3},
  [30] = {.index = 67, .length = 1},
  [31] = {.index = 68, .length = 2},
  [32] = {.index = 70, .length = 2},
  [33] = {.index = 72, .length = 2},
  [34] = {.index = 74, .length = 2},
  [35] = {.index = 76, .length = 3},
  [36] = {.index = 79, .length = 1},
  [37] = {.index = 80, .length = 6},
  [38] = {.index = 86, .length = 4},
  [40] = {.index = 90, .length = 1},
  [41] = {.index = 91, .length = 1},
  [42] = {.index = 92, .length = 2},
  [43] = {.index = 94, .length = 2},
  [44] = {.index = 96, .length = 1},
  [45] = {.index = 97, .length = 5},
  [46] = {.index = 102, .length = 4},
  [47] = {.index = 106, .length = 4},
  [48] = {.index = 110, .length = 2},
  [49] = {.index = 112, .length = 2},
  [50] = {.index = 114, .length = 1},
  [51] = {.index = 115, .length = 1},
  [52] = {.index = 116, .length = 1},
  [53] = {.index = 117, .length = 2},
  [54] = {.index = 119, .length = 2},
  [55] = {.index = 121, .length = 2},
  [56] = {.index = 123, .length = 2},
  [57] = {.index = 125, .length = 2},
  [58] = {.index = 127, .length = 5},
  [59] = {.index = 132, .length = 3},
  [60] = {.index = 135, .length = 3},
  [61] = {.index = 138, .length = 1},
  [62] = {.index = 139, .length = 3},
  [63] = {.index = 142, .length = 2},
  [64] = {.index = 144, .length = 2},
  [65] = {.index = 146, .length = 2},
  [66] = {.index = 148, .length = 3},
  [67] = {.index = 151, .length = 2},
  [68] = {.index = 153, .length = 3},
  [69] = {.index = 156, .length = 2},
  [70] = {.index = 158, .length = 1},
  [71] = {.index = 159, .length = 2},
  [72] = {.index = 161, .length = 5},
  [73] = {.index = 166, .length = 5},
  [74] = {.index = 171, .length = 2},
  [75] = {.index = 173, .length = 4},
  [76] = {.index = 177, .length = 3},
  [77] = {.index = 180, .length = 4},
  [78] = {.index = 184, .length = 2},
  [79] = {.index = 186, .length = 2},
  [80] = {.index = 188, .length = 2},
  [81] = {.index = 190, .length = 2},
  [82] = {.index = 192, .length = 2},
  [83] = {.index = 194, .length = 1},
  [84] = {.index = 195, .length = 2},
  [85] = {.index = 197, .length = 2},
  [86] = {.index = 199, .length = 6},
  [87] = {.index = 205, .length = 5},
  [88] = {.index = 210, .length = 6},
  [89] = {.index = 216, .length = 3},
  [90] = {.index = 219, .length = 2},
  [91] = {.index = 221, .length = 2},
  [92] = {.index = 223, .length = 1},
  [93] = {.index = 224, .length = 2},
  [94] = {.index = 226, .length = 2},
  [95] = {.index = 228, .length = 3},
  [96] = {.index = 231, .length = 4},
  [97] = {.index = 235, .length = 3},
  [98] = {.index = 238, .length = 3},
  [99] = {.index = 241, .length = 3},
  [100] = {.index = 244, .length = 4},
  [101] = {.index = 248, .length = 2},
  [102] = {.index = 250, .length = 2},
  [103] = {.index = 252, .length = 1},
  [104] = {.index = 253, .length = 2},
  [105] = {.index = 255, .length = 2},
  [106] = {.index = 257, .length = 2},
  [107] = {.index = 259, .length = 2},
  [108] = {.index = 261, .length = 4},
  [109] = {.index = 265, .length = 6},
  [110] = {.index = 271, .length = 6},
  [111] = {.index = 277, .length = 4},
  [112] = {.index = 281, .length = 3},
  [113] = {.index = 284, .length = 2},
  [114] = {.index = 286, .length = 2},
  [115] = {.index = 288, .length = 4},
  [116] = {.index = 292, .length = 4},
  [117] = {.index = 296, .length = 3},
  [118] = {.index = 299, .length = 1},
  [119] = {.index = 300, .length = 3},
  [120] = {.index = 303, .length = 3},
  [121] = {.index = 306, .length = 2},
  [122] = {.index = 308, .length = 2},
  [123] = {.index = 310, .length = 2},
  [124] = {.index = 312, .length = 6},
  [125] = {.index = 318, .length = 5},
  [126] = {.index = 323, .length = 6},
  [127] = {.index = 329, .length = 6},
  [128] = {.index = 335, .length = 5},
  [129] = {.index = 340, .length = 7},
  [130] = {.index = 347, .length = 3},
  [131] = {.index = 350, .length = 4},
  [132] = {.index = 354, .length = 2},
  [133] = {.index = 356, .length = 4},
  [134] = {.index = 360, .length = 3},
  [135] = {.index = 363, .length = 4},
  [136] = {.index = 367, .length = 2},
  [137] = {.index = 369, .length = 4},
  [138] = {.index = 373, .length = 2},
  [139] = {.index = 375, .length = 5},
  [140] = {.index = 380, .length = 5},
  [141] = {.index = 385, .length = 4},
  [142] = {.index = 389, .length = 6},
  [143] = {.index = 395, .length = 6},
  [144] = {.index = 401, .length = 4},
  [145] = {.index = 405, .length = 3},
  [146] = {.index = 408, .length = 2},
  [147] = {.index = 410, .length = 1},
  [148] = {.index = 411, .length = 3},
  [149] = {.index = 414, .length = 4},
  [150] = {.index = 418, .length = 1},
  [151] = {.index = 419, .length = 2},
  [152] = {.index = 421, .length = 2},
  [153] = {.index = 423, .length = 4},
  [154] = {.index = 427, .length = 3},
  [155] = {.index = 430, .length = 4},
  [156] = {.index = 434, .length = 3},
  [157] = {.index = 437, .length = 3},
  [158] = {.index = 440, .length = 5},
  [159] = {.index = 445, .length = 4},
  [160] = {.index = 449, .length = 3},
  [161] = {.index = 452, .length = 6},
  [162] = {.index = 458, .length = 2},
  [163] = {.index = 460, .length = 4},
  [164] = {.index = 464, .length = 2},
  [165] = {.index = 466, .length = 1},
  [166] = {.index = 467, .length = 2},
  [167] = {.index = 469, .length = 2},
  [168] = {.index = 471, .length = 4},
  [169] = {.index = 475, .length = 5},
  [170] = {.index = 480, .length = 5},
  [171] = {.index = 485, .length = 3},
  [172] = {.index = 488, .length = 2},
  [173] = {.index = 490, .length = 4},
  [174] = {.index = 494, .length = 3},
  [175] = {.index = 497, .length = 5},
  [176] = {.index = 502, .length = 4},
  [177] = {.index = 506, .length = 2},
  [178] = {.index = 508, .length = 3},
  [179] = {.index = 511, .length = 4},
  [180] = {.index = 515, .length = 7},
  [181] = {.index = 522, .length = 6},
  [182] = {.index = 528, .length = 3},
  [183] = {.index = 531, .length = 2},
  [184] = {.index = 533, .length = 2},
  [185] = {.index = 535, .length = 2},
  [186] = {.index = 537, .length = 7},
  [187] = {.index = 544, .length = 3},
  [188] = {.index = 547, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [10] =
    {field_path, 0},
  [11] =
    {field_path, 1, .inherited = true},
  [12] =
    {field_arguments, 1, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_return_type, 1},
  [15] =
    {field_return_type, 1},
  [16] =
    {field_body, 1, .inherited = true},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [22] =
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [25] =
    {field_body, 1},
  [26] =
    {field_arguments, 1, .inherited = true},
  [27] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [30] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [33] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [38] =
    {field_function, 0},
    {field_type_arguments, 1},
  [40] =
    {field_arguments, 1},
    {field_function, 0},
  [42] =
    {field_interpolator, 0},
  [43] =
    {field_name, 0},
    {field_type_parameters, 1},
  [45] =
    {field_class_parameters, 1},
    {field_name, 0},
  [47] =
    {field_body, 2},
    {field_class_parameters, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [51] =
    {field_pattern, 1, .inherited = true},
  [52] =
    {field_body, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [56] =
    {field_body, 2, .inherited = true},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [62] =
    {field_body, 2},
    {field_name, 1},
  [64] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_name, 0},
  [67] =
    {field_body, 0},
  [68] =
    {field_extend, 1},
    {field_name, 0},
  [70] =
    {field_derive, 1},
    {field_name, 0},
  [72] =
    {field_path, 0},
    {field_path, 1},
  [74] =
    {field_path, 1, .inherited = true},
    {field_path, 2, .inherited = true},
  [76] =
    {field_bound, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [79] =
    {field_type_parameters, 0},
  [80] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [86] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_base, 0},
  [91] =
    {field_arguments, 1},
  [92] =
    {field_base, 0},
    {field_extra, 1, .inherited = true},
  [94] =
    {field_type, 0},
    {field_type_arguments, 1},
  [96] =
    {field_parameters, 0},
  [97] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [102] =
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [106] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [110] =
    {field_condition, 1},
    {field_consequence, 2},
  [112] =
    {field_body, 2},
    {field_condition, 1},
  [114] =
    {field_type, 1},
  [115] =
    {field_condition, 1},
  [116] =
    {field_pattern, 0},
  [117] =
    {field_body, 2},
    {field_type_parameters, 1},
  [119] =
    {field_body, 2},
    {field_parameters, 1},
  [121] =
    {field_arguments, 2},
    {field_name, 1},
  [123] =
    {field_bound, 1},
    {field_name, 0},
  [125] =
    {field_name, 0},
    {field_parameters, 1},
  [127] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [132] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [135] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_return_type, 2},
  [138] =
    {field_return_type, 2},
  [139] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [142] =
    {field_body, 2},
    {field_value, 0},
  [144] =
    {field_field, 2},
    {field_value, 0},
  [146] =
    {field_left, 0},
    {field_right, 2},
  [148] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [151] =
    {field_arguments, 2},
    {field_function, 0},
  [153] =
    {field_class_parameters, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [156] =
    {field_class_parameters, 2},
    {field_name, 0},
  [158] =
    {field_arguments, 0, .inherited = true},
  [159] =
    {field_arguments, 1, .inherited = true},
    {field_type, 1},
  [161] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [166] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [171] =
    {field_body, 2},
    {field_pattern, 1, .inherited = true},
  [173] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_extend, 1},
    {field_name, 0},
  [177] =
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [180] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_derive, 1},
    {field_name, 0},
  [184] =
    {field_path, 0, .inherited = true},
    {field_path, 1, .inherited = true},
  [186] =
    {field_parameter_types, 0},
    {field_return_type, 1, .inherited = true},
  [188] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [190] =
    {field_arguments, 0, .inherited = true},
    {field_body, 2},
  [192] =
    {field_body, 3},
    {field_return_type, 1},
  [194] =
    {field_extra, 1},
  [195] =
    {field_extra, 0, .inherited = true},
    {field_extra, 1, .inherited = true},
  [197] =
    {field_selector, 2},
    {field_type, 0},
  [199] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [205] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [210] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [216] =
    {field_body, 3},
    {field_condition, 1},
    {field_condition, 2},
  [219] =
    {field_pattern, 0},
    {field_type, 2},
  [221] =
    {field_name, 0},
    {field_pattern, 2},
  [223] =
    {field_type, 0},
  [224] =
    {field_body, 3},
    {field_enumerators, 1},
  [226] =
    {field_body, 1, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [228] =
    {field_body, 3},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [231] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [235] =
    {field_bound, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [238] =
    {field_bound, 1},
    {field_bound, 2},
    {field_name, 0},
  [241] =
    {field_name, 0},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [244] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [248] =
    {field_parameters, 0},
    {field_parameters, 1},
  [250] =
    {field_name, 0},
    {field_type, 2},
  [252] =
    {field_type, 2},
  [253] =
    {field_body, 1},
    {field_condition, 3},
  [255] =
    {field_name, 1},
    {field_type, 3},
  [257] =
    {field_pattern, 1},
    {field_value, 3},
  [259] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [261] =
    {field_body, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [265] =
    {field_body, 3, .inherited = true},
    {field_class_parameters, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [271] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [277] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [281] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [284] =
    {field_condition, 2},
    {field_consequence, 3},
  [286] =
    {field_body, 3},
    {field_value, 1},
  [288] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
    {field_right, 3},
  [292] =
    {field_body, 3},
    {field_class_parameters, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [296] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_return_type, 3},
  [299] =
    {field_return_type, 3},
  [300] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [303] =
    {field_class_parameters, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [306] =
    {field_class_parameters, 3},
    {field_name, 0},
  [308] =
    {field_arguments, 0, .inherited = true},
    {field_arguments, 1, .inherited = true},
  [310] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [312] =
    {field_body, 4},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 3},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [318] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [323] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [329] =
    {field_bound, 0, .inherited = true},
    {field_bound, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [335] =
    {field_body, 4},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [340] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [347] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [350] =
    {field_body, 4},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [354] =
    {field_pattern, 2},
    {field_type, 0},
  [356] =
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [360] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [363] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [367] =
    {field_body, 4},
    {field_return_type, 2},
  [369] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [373] =
    {field_lambda_start, 0},
    {field_lambda_start, 1},
  [375] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [380] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [385] =
    {field_body, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
  [389] =
    {field_body, 4, .inherited = true},
    {field_class_parameters, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [395] =
    {field_arguments, 4, .inherited = true},
    {field_body, 4, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [401] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [405] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [408] =
    {field_default_value, 2},
    {field_name, 0},
  [410] =
    {field_name, 2},
  [411] =
    {field_class_parameters, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [414] =
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 0},
    {field_type_parameters, 1, .inherited = true},
  [418] =
    {field_class_parameters, 0},
  [419] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [421] =
    {field_alias, 2},
    {field_name, 0},
  [423] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
  [427] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 2},
  [430] =
    {field_body, 5},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [434] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_type, 0},
  [437] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [440] =
    {field_body, 5},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [445] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [449] =
    {field_alternative, 5},
    {field_condition, 2},
    {field_consequence, 3},
  [452] =
    {field_body, 5},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 4},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [458] =
    {field_body, 5},
    {field_return_type, 3},
  [460] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [464] =
    {field_default_value, 3},
    {field_name, 1},
  [466] =
    {field_name, 3},
  [467] =
    {field_class_parameters, 1},
    {field_type_parameters, 0},
  [469] =
    {field_class_parameters, 0},
    {field_extend, 1},
  [471] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 1, .inherited = true},
  [475] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [480] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
  [485] =
    {field_default_value, 4},
    {field_name, 0},
    {field_type, 2},
  [488] =
    {field_name, 2},
    {field_type, 4},
  [490] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_pattern, 4},
    {field_type, 0},
  [494] =
    {field_alternative, 6},
    {field_condition, 2},
    {field_consequence, 3},
  [497] =
    {field_body, 6},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [502] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 6},
    {field_type_parameters, 4, .inherited = true},
  [506] =
    {field_default_value, 4},
    {field_name, 2},
  [508] =
    {field_class_parameters, 1},
    {field_extend, 2},
    {field_type_parameters, 0},
  [511] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
  [515] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [522] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_bound, 5},
    {field_name, 0},
    {field_type_parameters, 1},
  [528] =
    {field_default_value, 5},
    {field_name, 1},
    {field_type, 3},
  [531] =
    {field_body, 2},
    {field_return_type, 2, .inherited = true},
  [533] =
    {field_name, 3},
    {field_type, 5},
  [535] =
    {field_default_value, 5},
    {field_name, 3},
  [537] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 6},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [544] =
    {field_default_value, 6},
    {field_name, 2},
    {field_type, 4},
  [547] =
    {field_default_value, 7},
    {field_name, 3},
    {field_type, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [7] = {
    [0] = alias_sym_type_identifier,
  },
  [8] = {
    [0] = alias_sym_structural_type,
  },
  [13] = {
    [1] = anon_alias_sym__end_ident,
  },
  [39] = {
    [0] = alias_sym_refinement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_template_body, 3,
    sym_template_body,
    alias_sym_refinement,
    alias_sym_structural_type,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 2,
  [96] = 2,
  [97] = 2,
  [98] = 2,
  [99] = 2,
  [100] = 2,
  [101] = 2,
  [102] = 2,
  [103] = 2,
  [104] = 2,
  [105] = 2,
  [106] = 2,
  [107] = 2,
  [108] = 2,
  [109] = 2,
  [110] = 2,
  [111] = 2,
  [112] = 2,
  [113] = 2,
  [114] = 2,
  [115] = 2,
  [116] = 2,
  [117] = 2,
  [118] = 2,
  [119] = 2,
  [120] = 120,
  [121] = 121,
  [122] = 120,
  [123] = 120,
  [124] = 120,
  [125] = 120,
  [126] = 120,
  [127] = 127,
  [128] = 120,
  [129] = 120,
  [130] = 120,
  [131] = 120,
  [132] = 120,
  [133] = 120,
  [134] = 134,
  [135] = 120,
  [136] = 120,
  [137] = 120,
  [138] = 120,
  [139] = 120,
  [140] = 120,
  [141] = 120,
  [142] = 120,
  [143] = 120,
  [144] = 120,
  [145] = 145,
  [146] = 120,
  [147] = 120,
  [148] = 120,
  [149] = 149,
  [150] = 149,
  [151] = 149,
  [152] = 149,
  [153] = 149,
  [154] = 149,
  [155] = 149,
  [156] = 149,
  [157] = 149,
  [158] = 149,
  [159] = 159,
  [160] = 149,
  [161] = 149,
  [162] = 149,
  [163] = 149,
  [164] = 149,
  [165] = 149,
  [166] = 149,
  [167] = 149,
  [168] = 149,
  [169] = 149,
  [170] = 149,
  [171] = 171,
  [172] = 149,
  [173] = 149,
  [174] = 149,
  [175] = 149,
  [176] = 149,
  [177] = 149,
  [178] = 149,
  [179] = 149,
  [180] = 149,
  [181] = 149,
  [182] = 149,
  [183] = 149,
  [184] = 149,
  [185] = 149,
  [186] = 149,
  [187] = 149,
  [188] = 149,
  [189] = 149,
  [190] = 149,
  [191] = 149,
  [192] = 149,
  [193] = 149,
  [194] = 194,
  [195] = 195,
  [196] = 195,
  [197] = 195,
  [198] = 195,
  [199] = 195,
  [200] = 195,
  [201] = 195,
  [202] = 195,
  [203] = 195,
  [204] = 195,
  [205] = 195,
  [206] = 195,
  [207] = 195,
  [208] = 208,
  [209] = 195,
  [210] = 195,
  [211] = 195,
  [212] = 195,
  [213] = 195,
  [214] = 195,
  [215] = 195,
  [216] = 195,
  [217] = 217,
  [218] = 195,
  [219] = 195,
  [220] = 195,
  [221] = 217,
  [222] = 195,
  [223] = 195,
  [224] = 195,
  [225] = 195,
  [226] = 195,
  [227] = 195,
  [228] = 195,
  [229] = 195,
  [230] = 195,
  [231] = 231,
  [232] = 195,
  [233] = 195,
  [234] = 195,
  [235] = 195,
  [236] = 195,
  [237] = 195,
  [238] = 195,
  [239] = 195,
  [240] = 195,
  [241] = 195,
  [242] = 195,
  [243] = 195,
  [244] = 195,
  [245] = 195,
  [246] = 195,
  [247] = 195,
  [248] = 195,
  [249] = 195,
  [250] = 195,
  [251] = 195,
  [252] = 195,
  [253] = 195,
  [254] = 195,
  [255] = 195,
  [256] = 195,
  [257] = 195,
  [258] = 195,
  [259] = 195,
  [260] = 195,
  [261] = 195,
  [262] = 195,
  [263] = 195,
  [264] = 195,
  [265] = 265,
  [266] = 265,
  [267] = 195,
  [268] = 194,
  [269] = 195,
  [270] = 195,
  [271] = 195,
  [272] = 195,
  [273] = 195,
  [274] = 195,
  [275] = 195,
  [276] = 195,
  [277] = 217,
  [278] = 195,
  [279] = 195,
  [280] = 195,
  [281] = 195,
  [282] = 195,
  [283] = 195,
  [284] = 195,
  [285] = 195,
  [286] = 195,
  [287] = 195,
  [288] = 195,
  [289] = 195,
  [290] = 195,
  [291] = 195,
  [292] = 195,
  [293] = 195,
  [294] = 195,
  [295] = 195,
  [296] = 195,
  [297] = 195,
  [298] = 298,
  [299] = 195,
  [300] = 195,
  [301] = 195,
  [302] = 195,
  [303] = 195,
  [304] = 195,
  [305] = 195,
  [306] = 195,
  [307] = 195,
  [308] = 195,
  [309] = 195,
  [310] = 195,
  [311] = 231,
  [312] = 195,
  [313] = 195,
  [314] = 195,
  [315] = 195,
  [316] = 195,
  [317] = 195,
  [318] = 217,
  [319] = 195,
  [320] = 195,
  [321] = 195,
  [322] = 195,
  [323] = 195,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 326,
  [329] = 325,
  [330] = 326,
  [331] = 326,
  [332] = 326,
  [333] = 326,
  [334] = 326,
  [335] = 326,
  [336] = 326,
  [337] = 326,
  [338] = 338,
  [339] = 326,
  [340] = 326,
  [341] = 326,
  [342] = 326,
  [343] = 326,
  [344] = 326,
  [345] = 326,
  [346] = 324,
  [347] = 326,
  [348] = 326,
  [349] = 326,
  [350] = 326,
  [351] = 326,
  [352] = 326,
  [353] = 353,
  [354] = 354,
  [355] = 327,
  [356] = 326,
  [357] = 325,
  [358] = 353,
  [359] = 326,
  [360] = 326,
  [361] = 326,
  [362] = 326,
  [363] = 326,
  [364] = 326,
  [365] = 326,
  [366] = 326,
  [367] = 326,
  [368] = 326,
  [369] = 326,
  [370] = 326,
  [371] = 326,
  [372] = 326,
  [373] = 326,
  [374] = 326,
  [375] = 326,
  [376] = 326,
  [377] = 326,
  [378] = 326,
  [379] = 327,
  [380] = 326,
  [381] = 327,
  [382] = 326,
  [383] = 327,
  [384] = 326,
  [385] = 326,
  [386] = 325,
  [387] = 326,
  [388] = 326,
  [389] = 326,
  [390] = 326,
  [391] = 327,
  [392] = 326,
  [393] = 326,
  [394] = 327,
  [395] = 326,
  [396] = 326,
  [397] = 326,
  [398] = 326,
  [399] = 326,
  [400] = 325,
  [401] = 326,
  [402] = 325,
  [403] = 326,
  [404] = 327,
  [405] = 326,
  [406] = 325,
  [407] = 326,
  [408] = 326,
  [409] = 326,
  [410] = 326,
  [411] = 326,
  [412] = 327,
  [413] = 326,
  [414] = 325,
  [415] = 326,
  [416] = 353,
  [417] = 326,
  [418] = 327,
  [419] = 326,
  [420] = 326,
  [421] = 326,
  [422] = 327,
  [423] = 423,
  [424] = 325,
  [425] = 326,
  [426] = 324,
  [427] = 326,
  [428] = 326,
  [429] = 326,
  [430] = 326,
  [431] = 326,
  [432] = 327,
  [433] = 325,
  [434] = 326,
  [435] = 326,
  [436] = 326,
  [437] = 327,
  [438] = 326,
  [439] = 327,
  [440] = 423,
  [441] = 325,
  [442] = 327,
  [443] = 325,
  [444] = 326,
  [445] = 326,
  [446] = 325,
  [447] = 326,
  [448] = 326,
  [449] = 326,
  [450] = 326,
  [451] = 354,
  [452] = 327,
  [453] = 326,
  [454] = 326,
  [455] = 325,
  [456] = 325,
  [457] = 327,
  [458] = 326,
  [459] = 326,
  [460] = 326,
  [461] = 327,
  [462] = 327,
  [463] = 326,
  [464] = 324,
  [465] = 326,
  [466] = 326,
  [467] = 325,
  [468] = 353,
  [469] = 325,
  [470] = 327,
  [471] = 326,
  [472] = 326,
  [473] = 327,
  [474] = 325,
  [475] = 326,
  [476] = 326,
  [477] = 326,
  [478] = 326,
  [479] = 325,
  [480] = 327,
  [481] = 327,
  [482] = 325,
  [483] = 326,
  [484] = 326,
  [485] = 326,
  [486] = 326,
  [487] = 326,
  [488] = 326,
  [489] = 326,
  [490] = 325,
  [491] = 327,
  [492] = 327,
  [493] = 325,
  [494] = 326,
  [495] = 338,
  [496] = 326,
  [497] = 326,
  [498] = 327,
  [499] = 325,
  [500] = 326,
  [501] = 325,
  [502] = 325,
  [503] = 327,
  [504] = 326,
  [505] = 327,
  [506] = 326,
  [507] = 326,
  [508] = 326,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 509,
  [513] = 513,
  [514] = 511,
  [515] = 509,
  [516] = 509,
  [517] = 513,
  [518] = 510,
  [519] = 519,
  [520] = 519,
  [521] = 521,
  [522] = 521,
  [523] = 521,
  [524] = 524,
  [525] = 524,
  [526] = 524,
  [527] = 524,
  [528] = 524,
  [529] = 529,
  [530] = 529,
  [531] = 529,
  [532] = 529,
  [533] = 529,
  [534] = 529,
  [535] = 529,
  [536] = 536,
  [537] = 529,
  [538] = 529,
  [539] = 536,
  [540] = 536,
  [541] = 529,
  [542] = 536,
  [543] = 529,
  [544] = 536,
  [545] = 536,
  [546] = 536,
  [547] = 536,
  [548] = 529,
  [549] = 536,
  [550] = 536,
  [551] = 529,
  [552] = 529,
  [553] = 536,
  [554] = 529,
  [555] = 529,
  [556] = 536,
  [557] = 529,
  [558] = 529,
  [559] = 536,
  [560] = 536,
  [561] = 536,
  [562] = 536,
  [563] = 536,
  [564] = 536,
  [565] = 529,
  [566] = 529,
  [567] = 536,
  [568] = 536,
  [569] = 536,
  [570] = 536,
  [571] = 536,
  [572] = 529,
  [573] = 536,
  [574] = 536,
  [575] = 529,
  [576] = 529,
  [577] = 536,
  [578] = 536,
  [579] = 536,
  [580] = 580,
  [581] = 580,
  [582] = 580,
  [583] = 580,
  [584] = 580,
  [585] = 536,
  [586] = 536,
  [587] = 536,
  [588] = 580,
  [589] = 529,
  [590] = 536,
  [591] = 536,
  [592] = 580,
  [593] = 580,
  [594] = 529,
  [595] = 580,
  [596] = 580,
  [597] = 580,
  [598] = 580,
  [599] = 536,
  [600] = 580,
  [601] = 536,
  [602] = 536,
  [603] = 580,
  [604] = 580,
  [605] = 580,
  [606] = 580,
  [607] = 580,
  [608] = 580,
  [609] = 580,
  [610] = 580,
  [611] = 529,
  [612] = 580,
  [613] = 580,
  [614] = 580,
  [615] = 580,
  [616] = 580,
  [617] = 536,
  [618] = 580,
  [619] = 580,
  [620] = 536,
  [621] = 580,
  [622] = 580,
  [623] = 536,
  [624] = 536,
  [625] = 580,
  [626] = 580,
  [627] = 580,
  [628] = 580,
  [629] = 580,
  [630] = 580,
  [631] = 631,
  [632] = 631,
  [633] = 631,
  [634] = 634,
  [635] = 635,
  [636] = 634,
  [637] = 631,
  [638] = 635,
  [639] = 631,
  [640] = 635,
  [641] = 634,
  [642] = 634,
  [643] = 631,
  [644] = 631,
  [645] = 635,
  [646] = 634,
  [647] = 635,
  [648] = 634,
  [649] = 634,
  [650] = 635,
  [651] = 631,
  [652] = 634,
  [653] = 635,
  [654] = 635,
  [655] = 631,
  [656] = 536,
  [657] = 634,
  [658] = 634,
  [659] = 635,
  [660] = 635,
  [661] = 634,
  [662] = 631,
  [663] = 634,
  [664] = 631,
  [665] = 634,
  [666] = 631,
  [667] = 635,
  [668] = 635,
  [669] = 635,
  [670] = 631,
  [671] = 634,
  [672] = 634,
  [673] = 634,
  [674] = 536,
  [675] = 631,
  [676] = 635,
  [677] = 635,
  [678] = 536,
  [679] = 631,
  [680] = 634,
  [681] = 631,
  [682] = 634,
  [683] = 631,
  [684] = 634,
  [685] = 631,
  [686] = 635,
  [687] = 635,
  [688] = 536,
  [689] = 635,
  [690] = 634,
  [691] = 634,
  [692] = 634,
  [693] = 631,
  [694] = 635,
  [695] = 536,
  [696] = 631,
  [697] = 635,
  [698] = 635,
  [699] = 631,
  [700] = 635,
  [701] = 634,
  [702] = 631,
  [703] = 634,
  [704] = 634,
  [705] = 631,
  [706] = 634,
  [707] = 635,
  [708] = 635,
  [709] = 631,
  [710] = 634,
  [711] = 631,
  [712] = 635,
  [713] = 634,
  [714] = 631,
  [715] = 634,
  [716] = 635,
  [717] = 631,
  [718] = 635,
  [719] = 635,
  [720] = 634,
  [721] = 536,
  [722] = 634,
  [723] = 631,
  [724] = 635,
  [725] = 635,
  [726] = 631,
  [727] = 635,
  [728] = 631,
  [729] = 631,
  [730] = 635,
  [731] = 634,
  [732] = 631,
  [733] = 635,
  [734] = 635,
  [735] = 634,
  [736] = 631,
  [737] = 631,
  [738] = 634,
  [739] = 634,
  [740] = 634,
  [741] = 635,
  [742] = 634,
  [743] = 635,
  [744] = 635,
  [745] = 631,
  [746] = 631,
  [747] = 634,
  [748] = 631,
  [749] = 631,
  [750] = 634,
  [751] = 635,
  [752] = 635,
  [753] = 631,
  [754] = 631,
  [755] = 635,
  [756] = 536,
  [757] = 635,
  [758] = 634,
  [759] = 634,
  [760] = 635,
  [761] = 631,
  [762] = 631,
  [763] = 631,
  [764] = 634,
  [765] = 634,
  [766] = 634,
  [767] = 634,
  [768] = 635,
  [769] = 631,
  [770] = 631,
  [771] = 631,
  [772] = 634,
  [773] = 635,
  [774] = 634,
  [775] = 635,
  [776] = 635,
  [777] = 631,
  [778] = 635,
  [779] = 634,
  [780] = 635,
  [781] = 635,
  [782] = 634,
  [783] = 631,
  [784] = 635,
  [785] = 631,
  [786] = 536,
  [787] = 635,
  [788] = 635,
  [789] = 635,
  [790] = 631,
  [791] = 634,
  [792] = 634,
  [793] = 631,
  [794] = 631,
  [795] = 634,
  [796] = 634,
  [797] = 634,
  [798] = 631,
  [799] = 634,
  [800] = 631,
  [801] = 631,
  [802] = 635,
  [803] = 635,
  [804] = 631,
  [805] = 634,
  [806] = 635,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 810,
  [813] = 807,
  [814] = 809,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 817,
  [820] = 810,
  [821] = 821,
  [822] = 822,
  [823] = 818,
  [824] = 824,
  [825] = 815,
  [826] = 824,
  [827] = 827,
  [828] = 808,
  [829] = 807,
  [830] = 830,
  [831] = 808,
  [832] = 818,
  [833] = 818,
  [834] = 816,
  [835] = 811,
  [836] = 830,
  [837] = 824,
  [838] = 808,
  [839] = 830,
  [840] = 817,
  [841] = 827,
  [842] = 822,
  [843] = 815,
  [844] = 815,
  [845] = 824,
  [846] = 827,
  [847] = 821,
  [848] = 822,
  [849] = 830,
  [850] = 809,
  [851] = 821,
  [852] = 827,
  [853] = 817,
  [854] = 815,
  [855] = 810,
  [856] = 807,
  [857] = 810,
  [858] = 817,
  [859] = 821,
  [860] = 810,
  [861] = 808,
  [862] = 811,
  [863] = 821,
  [864] = 818,
  [865] = 811,
  [866] = 827,
  [867] = 830,
  [868] = 808,
  [869] = 818,
  [870] = 807,
  [871] = 816,
  [872] = 822,
  [873] = 816,
  [874] = 874,
  [875] = 824,
  [876] = 815,
  [877] = 811,
  [878] = 878,
  [879] = 817,
  [880] = 822,
  [881] = 815,
  [882] = 816,
  [883] = 824,
  [884] = 811,
  [885] = 809,
  [886] = 816,
  [887] = 818,
  [888] = 809,
  [889] = 811,
  [890] = 807,
  [891] = 824,
  [892] = 815,
  [893] = 807,
  [894] = 817,
  [895] = 822,
  [896] = 810,
  [897] = 897,
  [898] = 821,
  [899] = 827,
  [900] = 830,
  [901] = 808,
  [902] = 902,
  [903] = 818,
  [904] = 808,
  [905] = 816,
  [906] = 906,
  [907] = 816,
  [908] = 830,
  [909] = 822,
  [910] = 817,
  [911] = 824,
  [912] = 827,
  [913] = 807,
  [914] = 815,
  [915] = 822,
  [916] = 824,
  [917] = 817,
  [918] = 809,
  [919] = 811,
  [920] = 809,
  [921] = 815,
  [922] = 821,
  [923] = 818,
  [924] = 810,
  [925] = 821,
  [926] = 807,
  [927] = 927,
  [928] = 928,
  [929] = 808,
  [930] = 830,
  [931] = 827,
  [932] = 809,
  [933] = 827,
  [934] = 830,
  [935] = 808,
  [936] = 818,
  [937] = 824,
  [938] = 821,
  [939] = 816,
  [940] = 810,
  [941] = 811,
  [942] = 810,
  [943] = 822,
  [944] = 821,
  [945] = 815,
  [946] = 816,
  [947] = 827,
  [948] = 816,
  [949] = 824,
  [950] = 807,
  [951] = 822,
  [952] = 809,
  [953] = 817,
  [954] = 817,
  [955] = 810,
  [956] = 809,
  [957] = 821,
  [958] = 817,
  [959] = 827,
  [960] = 960,
  [961] = 830,
  [962] = 808,
  [963] = 810,
  [964] = 807,
  [965] = 818,
  [966] = 816,
  [967] = 967,
  [968] = 817,
  [969] = 807,
  [970] = 822,
  [971] = 809,
  [972] = 815,
  [973] = 811,
  [974] = 824,
  [975] = 809,
  [976] = 821,
  [977] = 824,
  [978] = 810,
  [979] = 811,
  [980] = 815,
  [981] = 821,
  [982] = 822,
  [983] = 827,
  [984] = 810,
  [985] = 807,
  [986] = 536,
  [987] = 827,
  [988] = 830,
  [989] = 808,
  [990] = 818,
  [991] = 816,
  [992] = 967,
  [993] = 811,
  [994] = 808,
  [995] = 827,
  [996] = 817,
  [997] = 816,
  [998] = 822,
  [999] = 815,
  [1000] = 824,
  [1001] = 821,
  [1002] = 830,
  [1003] = 818,
  [1004] = 809,
  [1005] = 808,
  [1006] = 821,
  [1007] = 811,
  [1008] = 807,
  [1009] = 810,
  [1010] = 830,
  [1011] = 808,
  [1012] = 807,
  [1013] = 810,
  [1014] = 818,
  [1015] = 827,
  [1016] = 830,
  [1017] = 818,
  [1018] = 830,
  [1019] = 817,
  [1020] = 808,
  [1021] = 808,
  [1022] = 830,
  [1023] = 827,
  [1024] = 818,
  [1025] = 816,
  [1026] = 817,
  [1027] = 807,
  [1028] = 822,
  [1029] = 809,
  [1030] = 815,
  [1031] = 824,
  [1032] = 827,
  [1033] = 1033,
  [1034] = 809,
  [1035] = 808,
  [1036] = 830,
  [1037] = 827,
  [1038] = 827,
  [1039] = 810,
  [1040] = 818,
  [1041] = 811,
  [1042] = 818,
  [1043] = 810,
  [1044] = 807,
  [1045] = 810,
  [1046] = 817,
  [1047] = 821,
  [1048] = 821,
  [1049] = 807,
  [1050] = 817,
  [1051] = 827,
  [1052] = 830,
  [1053] = 811,
  [1054] = 808,
  [1055] = 818,
  [1056] = 816,
  [1057] = 830,
  [1058] = 811,
  [1059] = 811,
  [1060] = 822,
  [1061] = 815,
  [1062] = 824,
  [1063] = 809,
  [1064] = 811,
  [1065] = 808,
  [1066] = 809,
  [1067] = 821,
  [1068] = 821,
  [1069] = 817,
  [1070] = 807,
  [1071] = 810,
  [1072] = 810,
  [1073] = 821,
  [1074] = 827,
  [1075] = 817,
  [1076] = 811,
  [1077] = 830,
  [1078] = 807,
  [1079] = 808,
  [1080] = 809,
  [1081] = 818,
  [1082] = 818,
  [1083] = 816,
  [1084] = 822,
  [1085] = 824,
  [1086] = 811,
  [1087] = 824,
  [1088] = 808,
  [1089] = 822,
  [1090] = 815,
  [1091] = 822,
  [1092] = 811,
  [1093] = 815,
  [1094] = 824,
  [1095] = 809,
  [1096] = 821,
  [1097] = 815,
  [1098] = 830,
  [1099] = 807,
  [1100] = 810,
  [1101] = 817,
  [1102] = 816,
  [1103] = 827,
  [1104] = 830,
  [1105] = 808,
  [1106] = 827,
  [1107] = 1033,
  [1108] = 816,
  [1109] = 817,
  [1110] = 818,
  [1111] = 821,
  [1112] = 816,
  [1113] = 809,
  [1114] = 809,
  [1115] = 816,
  [1116] = 822,
  [1117] = 822,
  [1118] = 815,
  [1119] = 824,
  [1120] = 809,
  [1121] = 811,
  [1122] = 536,
  [1123] = 810,
  [1124] = 817,
  [1125] = 816,
  [1126] = 811,
  [1127] = 827,
  [1128] = 830,
  [1129] = 807,
  [1130] = 818,
  [1131] = 808,
  [1132] = 818,
  [1133] = 809,
  [1134] = 808,
  [1135] = 822,
  [1136] = 830,
  [1137] = 815,
  [1138] = 822,
  [1139] = 827,
  [1140] = 821,
  [1141] = 817,
  [1142] = 821,
  [1143] = 816,
  [1144] = 807,
  [1145] = 822,
  [1146] = 815,
  [1147] = 824,
  [1148] = 809,
  [1149] = 824,
  [1150] = 928,
  [1151] = 810,
  [1152] = 807,
  [1153] = 815,
  [1154] = 821,
  [1155] = 817,
  [1156] = 811,
  [1157] = 821,
  [1158] = 824,
  [1159] = 809,
  [1160] = 811,
  [1161] = 906,
  [1162] = 827,
  [1163] = 902,
  [1164] = 810,
  [1165] = 830,
  [1166] = 808,
  [1167] = 816,
  [1168] = 818,
  [1169] = 816,
  [1170] = 897,
  [1171] = 822,
  [1172] = 815,
  [1173] = 824,
  [1174] = 809,
  [1175] = 830,
  [1176] = 821,
  [1177] = 811,
  [1178] = 815,
  [1179] = 822,
  [1180] = 817,
  [1181] = 810,
  [1182] = 807,
  [1183] = 811,
  [1184] = 822,
  [1185] = 815,
  [1186] = 827,
  [1187] = 830,
  [1188] = 822,
  [1189] = 815,
  [1190] = 808,
  [1191] = 818,
  [1192] = 816,
  [1193] = 897,
  [1194] = 807,
  [1195] = 822,
  [1196] = 815,
  [1197] = 1197,
  [1198] = 811,
  [1199] = 824,
  [1200] = 824,
  [1201] = 817,
  [1202] = 809,
  [1203] = 807,
  [1204] = 817,
  [1205] = 810,
  [1206] = 809,
  [1207] = 824,
  [1208] = 960,
  [1209] = 821,
  [1210] = 902,
  [1211] = 824,
  [1212] = 810,
  [1213] = 815,
  [1214] = 822,
  [1215] = 807,
  [1216] = 821,
  [1217] = 906,
  [1218] = 827,
  [1219] = 830,
  [1220] = 808,
  [1221] = 818,
  [1222] = 811,
  [1223] = 824,
  [1224] = 536,
  [1225] = 816,
  [1226] = 817,
  [1227] = 822,
  [1228] = 815,
  [1229] = 824,
  [1230] = 824,
  [1231] = 816,
  [1232] = 809,
  [1233] = 807,
  [1234] = 807,
  [1235] = 816,
  [1236] = 809,
  [1237] = 807,
  [1238] = 811,
  [1239] = 821,
  [1240] = 809,
  [1241] = 810,
  [1242] = 810,
  [1243] = 809,
  [1244] = 810,
  [1245] = 817,
  [1246] = 809,
  [1247] = 827,
  [1248] = 830,
  [1249] = 808,
  [1250] = 818,
  [1251] = 810,
  [1252] = 816,
  [1253] = 928,
  [1254] = 818,
  [1255] = 821,
  [1256] = 822,
  [1257] = 815,
  [1258] = 824,
  [1259] = 927,
  [1260] = 808,
  [1261] = 821,
  [1262] = 811,
  [1263] = 808,
  [1264] = 830,
  [1265] = 827,
  [1266] = 809,
  [1267] = 807,
  [1268] = 817,
  [1269] = 821,
  [1270] = 960,
  [1271] = 810,
  [1272] = 821,
  [1273] = 827,
  [1274] = 824,
  [1275] = 967,
  [1276] = 827,
  [1277] = 811,
  [1278] = 830,
  [1279] = 810,
  [1280] = 808,
  [1281] = 827,
  [1282] = 815,
  [1283] = 830,
  [1284] = 811,
  [1285] = 830,
  [1286] = 808,
  [1287] = 818,
  [1288] = 816,
  [1289] = 808,
  [1290] = 815,
  [1291] = 822,
  [1292] = 815,
  [1293] = 824,
  [1294] = 809,
  [1295] = 818,
  [1296] = 810,
  [1297] = 822,
  [1298] = 818,
  [1299] = 817,
  [1300] = 811,
  [1301] = 878,
  [1302] = 874,
  [1303] = 821,
  [1304] = 827,
  [1305] = 807,
  [1306] = 807,
  [1307] = 824,
  [1308] = 817,
  [1309] = 807,
  [1310] = 830,
  [1311] = 808,
  [1312] = 818,
  [1313] = 816,
  [1314] = 817,
  [1315] = 809,
  [1316] = 822,
  [1317] = 815,
  [1318] = 824,
  [1319] = 824,
  [1320] = 815,
  [1321] = 822,
  [1322] = 809,
  [1323] = 821,
  [1324] = 821,
  [1325] = 811,
  [1326] = 821,
  [1327] = 810,
  [1328] = 811,
  [1329] = 815,
  [1330] = 816,
  [1331] = 822,
  [1332] = 822,
  [1333] = 810,
  [1334] = 827,
  [1335] = 824,
  [1336] = 816,
  [1337] = 927,
  [1338] = 830,
  [1339] = 808,
  [1340] = 818,
  [1341] = 811,
  [1342] = 816,
  [1343] = 809,
  [1344] = 817,
  [1345] = 822,
  [1346] = 815,
  [1347] = 807,
  [1348] = 818,
  [1349] = 827,
  [1350] = 821,
  [1351] = 824,
  [1352] = 809,
  [1353] = 817,
  [1354] = 807,
  [1355] = 830,
  [1356] = 808,
  [1357] = 807,
  [1358] = 810,
  [1359] = 809,
  [1360] = 818,
  [1361] = 817,
  [1362] = 808,
  [1363] = 830,
  [1364] = 816,
  [1365] = 827,
  [1366] = 817,
  [1367] = 827,
  [1368] = 821,
  [1369] = 824,
  [1370] = 807,
  [1371] = 830,
  [1372] = 808,
  [1373] = 818,
  [1374] = 815,
  [1375] = 816,
  [1376] = 807,
  [1377] = 1197,
  [1378] = 822,
  [1379] = 815,
  [1380] = 824,
  [1381] = 529,
  [1382] = 821,
  [1383] = 810,
  [1384] = 809,
  [1385] = 811,
  [1386] = 1197,
  [1387] = 811,
  [1388] = 1033,
  [1389] = 816,
  [1390] = 822,
  [1391] = 822,
  [1392] = 815,
  [1393] = 811,
  [1394] = 816,
  [1395] = 810,
  [1396] = 818,
  [1397] = 810,
  [1398] = 827,
  [1399] = 830,
  [1400] = 808,
  [1401] = 818,
  [1402] = 821,
  [1403] = 808,
  [1404] = 807,
  [1405] = 816,
  [1406] = 824,
  [1407] = 822,
  [1408] = 815,
  [1409] = 817,
  [1410] = 816,
  [1411] = 811,
  [1412] = 816,
  [1413] = 824,
  [1414] = 809,
  [1415] = 809,
  [1416] = 807,
  [1417] = 827,
  [1418] = 824,
  [1419] = 815,
  [1420] = 822,
  [1421] = 810,
  [1422] = 807,
  [1423] = 821,
  [1424] = 821,
  [1425] = 827,
  [1426] = 830,
  [1427] = 818,
  [1428] = 815,
  [1429] = 808,
  [1430] = 818,
  [1431] = 817,
  [1432] = 816,
  [1433] = 811,
  [1434] = 807,
  [1435] = 816,
  [1436] = 809,
  [1437] = 822,
  [1438] = 815,
  [1439] = 824,
  [1440] = 809,
  [1441] = 807,
  [1442] = 830,
  [1443] = 830,
  [1444] = 810,
  [1445] = 808,
  [1446] = 808,
  [1447] = 818,
  [1448] = 827,
  [1449] = 827,
  [1450] = 830,
  [1451] = 967,
  [1452] = 808,
  [1453] = 808,
  [1454] = 830,
  [1455] = 827,
  [1456] = 818,
  [1457] = 817,
  [1458] = 816,
  [1459] = 827,
  [1460] = 807,
  [1461] = 830,
  [1462] = 822,
  [1463] = 815,
  [1464] = 824,
  [1465] = 809,
  [1466] = 817,
  [1467] = 808,
  [1468] = 811,
  [1469] = 874,
  [1470] = 818,
  [1471] = 878,
  [1472] = 810,
  [1473] = 830,
  [1474] = 807,
  [1475] = 821,
  [1476] = 810,
  [1477] = 818,
  [1478] = 827,
  [1479] = 827,
  [1480] = 830,
  [1481] = 808,
  [1482] = 818,
  [1483] = 817,
  [1484] = 810,
  [1485] = 817,
  [1486] = 816,
  [1487] = 818,
  [1488] = 822,
  [1489] = 821,
  [1490] = 811,
  [1491] = 815,
  [1492] = 818,
  [1493] = 811,
  [1494] = 824,
  [1495] = 816,
  [1496] = 809,
  [1497] = 1197,
  [1498] = 811,
  [1499] = 830,
  [1500] = 808,
  [1501] = 830,
  [1502] = 536,
  [1503] = 821,
  [1504] = 810,
  [1505] = 827,
  [1506] = 811,
  [1507] = 827,
  [1508] = 830,
  [1509] = 808,
  [1510] = 818,
  [1511] = 822,
  [1512] = 809,
  [1513] = 815,
  [1514] = 816,
  [1515] = 827,
  [1516] = 818,
  [1517] = 822,
  [1518] = 815,
  [1519] = 824,
  [1520] = 824,
  [1521] = 815,
  [1522] = 817,
  [1523] = 897,
  [1524] = 822,
  [1525] = 809,
  [1526] = 902,
  [1527] = 817,
  [1528] = 807,
  [1529] = 810,
  [1530] = 906,
  [1531] = 822,
  [1532] = 821,
  [1533] = 827,
  [1534] = 824,
  [1535] = 830,
  [1536] = 821,
  [1537] = 808,
  [1538] = 811,
  [1539] = 818,
  [1540] = 821,
  [1541] = 807,
  [1542] = 816,
  [1543] = 817,
  [1544] = 816,
  [1545] = 810,
  [1546] = 822,
  [1547] = 928,
  [1548] = 815,
  [1549] = 824,
  [1550] = 809,
  [1551] = 927,
  [1552] = 809,
  [1553] = 817,
  [1554] = 1033,
  [1555] = 817,
  [1556] = 817,
  [1557] = 810,
  [1558] = 807,
  [1559] = 827,
  [1560] = 830,
  [1561] = 874,
  [1562] = 808,
  [1563] = 818,
  [1564] = 816,
  [1565] = 928,
  [1566] = 807,
  [1567] = 818,
  [1568] = 807,
  [1569] = 822,
  [1570] = 815,
  [1571] = 824,
  [1572] = 808,
  [1573] = 830,
  [1574] = 827,
  [1575] = 809,
  [1576] = 821,
  [1577] = 906,
  [1578] = 822,
  [1579] = 810,
  [1580] = 902,
  [1581] = 878,
  [1582] = 827,
  [1583] = 815,
  [1584] = 830,
  [1585] = 808,
  [1586] = 818,
  [1587] = 811,
  [1588] = 897,
  [1589] = 817,
  [1590] = 809,
  [1591] = 816,
  [1592] = 810,
  [1593] = 811,
  [1594] = 1033,
  [1595] = 817,
  [1596] = 816,
  [1597] = 822,
  [1598] = 818,
  [1599] = 960,
  [1600] = 821,
  [1601] = 816,
  [1602] = 807,
  [1603] = 811,
  [1604] = 810,
  [1605] = 811,
  [1606] = 811,
  [1607] = 811,
  [1608] = 810,
  [1609] = 815,
  [1610] = 967,
  [1611] = 824,
  [1612] = 817,
  [1613] = 810,
  [1614] = 824,
  [1615] = 821,
  [1616] = 824,
  [1617] = 815,
  [1618] = 809,
  [1619] = 816,
  [1620] = 821,
  [1621] = 807,
  [1622] = 817,
  [1623] = 817,
  [1624] = 822,
  [1625] = 809,
  [1626] = 808,
  [1627] = 821,
  [1628] = 816,
  [1629] = 824,
  [1630] = 830,
  [1631] = 807,
  [1632] = 818,
  [1633] = 1197,
  [1634] = 817,
  [1635] = 815,
  [1636] = 874,
  [1637] = 878,
  [1638] = 927,
  [1639] = 810,
  [1640] = 960,
  [1641] = 809,
  [1642] = 811,
  [1643] = 807,
  [1644] = 822,
  [1645] = 811,
  [1646] = 827,
  [1647] = 827,
  [1648] = 808,
  [1649] = 830,
  [1650] = 821,
  [1651] = 1651,
  [1652] = 1651,
  [1653] = 1651,
  [1654] = 1651,
  [1655] = 1651,
  [1656] = 1651,
  [1657] = 1651,
  [1658] = 1651,
  [1659] = 1651,
  [1660] = 1651,
  [1661] = 1651,
  [1662] = 529,
  [1663] = 1651,
  [1664] = 1651,
  [1665] = 1651,
  [1666] = 1651,
  [1667] = 1651,
  [1668] = 1651,
  [1669] = 1651,
  [1670] = 536,
  [1671] = 1651,
  [1672] = 1651,
  [1673] = 1651,
  [1674] = 1651,
  [1675] = 529,
  [1676] = 1651,
  [1677] = 1651,
  [1678] = 1651,
  [1679] = 1651,
  [1680] = 1651,
  [1681] = 1651,
  [1682] = 1651,
  [1683] = 1651,
  [1684] = 1651,
  [1685] = 1651,
  [1686] = 1651,
  [1687] = 1651,
  [1688] = 1651,
  [1689] = 1651,
  [1690] = 1651,
  [1691] = 529,
  [1692] = 529,
  [1693] = 1651,
  [1694] = 529,
  [1695] = 1651,
  [1696] = 1651,
  [1697] = 1651,
  [1698] = 1651,
  [1699] = 1651,
  [1700] = 529,
  [1701] = 1651,
  [1702] = 1651,
  [1703] = 1651,
  [1704] = 1651,
  [1705] = 1651,
  [1706] = 1651,
  [1707] = 1651,
  [1708] = 1651,
  [1709] = 1651,
  [1710] = 1651,
  [1711] = 1651,
  [1712] = 536,
  [1713] = 529,
  [1714] = 1651,
  [1715] = 1651,
  [1716] = 1651,
  [1717] = 529,
  [1718] = 529,
  [1719] = 1651,
  [1720] = 529,
  [1721] = 529,
  [1722] = 1651,
  [1723] = 1651,
  [1724] = 1651,
  [1725] = 1651,
  [1726] = 529,
  [1727] = 1651,
  [1728] = 1651,
  [1729] = 1651,
  [1730] = 1651,
  [1731] = 1651,
  [1732] = 1651,
  [1733] = 1651,
  [1734] = 1651,
  [1735] = 1651,
  [1736] = 1651,
  [1737] = 529,
  [1738] = 1651,
  [1739] = 529,
  [1740] = 1651,
  [1741] = 1651,
  [1742] = 1651,
  [1743] = 1651,
  [1744] = 529,
  [1745] = 1651,
  [1746] = 1651,
  [1747] = 529,
  [1748] = 1651,
  [1749] = 1651,
  [1750] = 1651,
  [1751] = 529,
  [1752] = 1651,
  [1753] = 1651,
  [1754] = 1651,
  [1755] = 529,
  [1756] = 1651,
  [1757] = 1651,
  [1758] = 1651,
  [1759] = 1651,
  [1760] = 529,
  [1761] = 1651,
  [1762] = 1651,
  [1763] = 1651,
  [1764] = 1651,
  [1765] = 1651,
  [1766] = 1651,
  [1767] = 1651,
  [1768] = 1651,
  [1769] = 1651,
  [1770] = 529,
  [1771] = 529,
  [1772] = 1651,
  [1773] = 1651,
  [1774] = 1651,
  [1775] = 1651,
  [1776] = 1651,
  [1777] = 1651,
  [1778] = 1651,
  [1779] = 1651,
  [1780] = 1651,
  [1781] = 1651,
  [1782] = 529,
  [1783] = 1651,
  [1784] = 529,
  [1785] = 1651,
  [1786] = 1651,
  [1787] = 1651,
  [1788] = 1651,
  [1789] = 1651,
  [1790] = 529,
  [1791] = 1651,
  [1792] = 1651,
  [1793] = 1651,
  [1794] = 1651,
  [1795] = 1651,
  [1796] = 1651,
  [1797] = 1651,
  [1798] = 529,
  [1799] = 1651,
  [1800] = 1800,
  [1801] = 1800,
  [1802] = 1800,
  [1803] = 1800,
  [1804] = 1800,
  [1805] = 1800,
  [1806] = 1800,
  [1807] = 1800,
  [1808] = 1800,
  [1809] = 1800,
  [1810] = 1800,
  [1811] = 1800,
  [1812] = 1800,
  [1813] = 1800,
  [1814] = 1800,
  [1815] = 1800,
  [1816] = 1800,
  [1817] = 1800,
  [1818] = 536,
  [1819] = 1800,
  [1820] = 1800,
  [1821] = 1800,
  [1822] = 1800,
  [1823] = 1800,
  [1824] = 1800,
  [1825] = 1800,
  [1826] = 1800,
  [1827] = 536,
  [1828] = 1800,
  [1829] = 1829,
  [1830] = 1829,
  [1831] = 1829,
  [1832] = 1829,
  [1833] = 1833,
  [1834] = 1829,
  [1835] = 1829,
  [1836] = 1833,
  [1837] = 1829,
  [1838] = 1829,
  [1839] = 1833,
  [1840] = 1829,
  [1841] = 1829,
  [1842] = 1842,
  [1843] = 1829,
  [1844] = 1829,
  [1845] = 1833,
  [1846] = 1829,
  [1847] = 1829,
  [1848] = 1829,
  [1849] = 1829,
  [1850] = 1833,
  [1851] = 1833,
  [1852] = 1833,
  [1853] = 1829,
  [1854] = 1829,
  [1855] = 1833,
  [1856] = 1829,
  [1857] = 1829,
  [1858] = 1829,
  [1859] = 1829,
  [1860] = 1829,
  [1861] = 1829,
  [1862] = 1829,
  [1863] = 1833,
  [1864] = 1829,
  [1865] = 1829,
  [1866] = 1829,
  [1867] = 1842,
  [1868] = 1833,
  [1869] = 1829,
  [1870] = 1833,
  [1871] = 1829,
  [1872] = 1833,
  [1873] = 1833,
  [1874] = 1829,
  [1875] = 1833,
  [1876] = 1829,
  [1877] = 1829,
  [1878] = 1842,
  [1879] = 1842,
  [1880] = 1833,
  [1881] = 1829,
  [1882] = 1833,
  [1883] = 1829,
  [1884] = 1829,
  [1885] = 1829,
  [1886] = 1829,
  [1887] = 1842,
  [1888] = 1829,
  [1889] = 1829,
  [1890] = 1833,
  [1891] = 1829,
  [1892] = 1842,
  [1893] = 1829,
  [1894] = 1833,
  [1895] = 1833,
  [1896] = 1833,
  [1897] = 1842,
  [1898] = 1829,
  [1899] = 1833,
  [1900] = 1833,
  [1901] = 1829,
  [1902] = 1829,
  [1903] = 1833,
  [1904] = 1829,
  [1905] = 1833,
  [1906] = 1829,
  [1907] = 1829,
  [1908] = 1842,
  [1909] = 1833,
  [1910] = 1829,
  [1911] = 1829,
  [1912] = 1829,
  [1913] = 1829,
  [1914] = 1842,
  [1915] = 1829,
  [1916] = 1829,
  [1917] = 1829,
  [1918] = 1829,
  [1919] = 1842,
  [1920] = 1833,
  [1921] = 1829,
  [1922] = 1829,
  [1923] = 1833,
  [1924] = 1833,
  [1925] = 1829,
  [1926] = 1829,
  [1927] = 1833,
  [1928] = 1829,
  [1929] = 1829,
  [1930] = 1842,
  [1931] = 1829,
  [1932] = 1829,
  [1933] = 1829,
  [1934] = 1829,
  [1935] = 1829,
  [1936] = 1833,
  [1937] = 1829,
  [1938] = 1833,
  [1939] = 1829,
  [1940] = 1829,
  [1941] = 1842,
  [1942] = 1829,
  [1943] = 1829,
  [1944] = 1833,
  [1945] = 1833,
  [1946] = 1829,
  [1947] = 1829,
  [1948] = 1829,
  [1949] = 1829,
  [1950] = 1829,
  [1951] = 1842,
  [1952] = 1829,
  [1953] = 1833,
  [1954] = 1829,
  [1955] = 1833,
  [1956] = 1833,
  [1957] = 1829,
  [1958] = 1829,
  [1959] = 1842,
  [1960] = 1842,
  [1961] = 1829,
  [1962] = 1829,
  [1963] = 1829,
  [1964] = 1829,
  [1965] = 1833,
  [1966] = 1829,
  [1967] = 1829,
  [1968] = 1829,
  [1969] = 1829,
  [1970] = 1833,
  [1971] = 1842,
  [1972] = 1833,
  [1973] = 1829,
  [1974] = 1974,
  [1975] = 1833,
  [1976] = 1829,
  [1977] = 1829,
  [1978] = 1829,
  [1979] = 1829,
  [1980] = 1829,
  [1981] = 1829,
  [1982] = 1833,
  [1983] = 1842,
  [1984] = 1833,
  [1985] = 1829,
  [1986] = 1829,
  [1987] = 1842,
  [1988] = 1829,
  [1989] = 1833,
  [1990] = 1829,
  [1991] = 1842,
  [1992] = 1992,
  [1993] = 1842,
  [1994] = 1829,
  [1995] = 1829,
  [1996] = 1833,
  [1997] = 1833,
  [1998] = 1829,
  [1999] = 1829,
  [2000] = 1829,
  [2001] = 1833,
  [2002] = 1829,
  [2003] = 1842,
  [2004] = 1829,
  [2005] = 1833,
  [2006] = 1829,
  [2007] = 1833,
  [2008] = 1842,
  [2009] = 1842,
  [2010] = 1833,
  [2011] = 1829,
  [2012] = 1829,
  [2013] = 1829,
  [2014] = 1833,
  [2015] = 1829,
  [2016] = 1829,
  [2017] = 1829,
  [2018] = 1842,
  [2019] = 1833,
  [2020] = 1829,
  [2021] = 1829,
  [2022] = 1833,
  [2023] = 1829,
  [2024] = 1833,
  [2025] = 1833,
  [2026] = 1829,
  [2027] = 1829,
  [2028] = 1833,
  [2029] = 1842,
  [2030] = 1829,
  [2031] = 1829,
  [2032] = 1833,
  [2033] = 1829,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2034,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2035,
  [2040] = 2035,
  [2041] = 2041,
  [2042] = 2038,
  [2043] = 2043,
  [2044] = 2037,
  [2045] = 2037,
  [2046] = 2046,
  [2047] = 2034,
  [2048] = 2041,
  [2049] = 2046,
  [2050] = 2041,
  [2051] = 2051,
  [2052] = 2035,
  [2053] = 2034,
  [2054] = 2037,
  [2055] = 2037,
  [2056] = 2051,
  [2057] = 2046,
  [2058] = 2043,
  [2059] = 2038,
  [2060] = 2037,
  [2061] = 2034,
  [2062] = 2035,
  [2063] = 2034,
  [2064] = 2038,
  [2065] = 2046,
  [2066] = 2046,
  [2067] = 2037,
  [2068] = 2043,
  [2069] = 2041,
  [2070] = 2038,
  [2071] = 2046,
  [2072] = 2046,
  [2073] = 2037,
  [2074] = 2035,
  [2075] = 2041,
  [2076] = 2076,
  [2077] = 2037,
  [2078] = 2037,
  [2079] = 2046,
  [2080] = 2051,
  [2081] = 2041,
  [2082] = 2037,
  [2083] = 2037,
  [2084] = 2035,
  [2085] = 2038,
  [2086] = 2034,
  [2087] = 2043,
  [2088] = 2046,
  [2089] = 2034,
  [2090] = 2041,
  [2091] = 2034,
  [2092] = 2041,
  [2093] = 2041,
  [2094] = 2041,
  [2095] = 2095,
  [2096] = 2034,
  [2097] = 2043,
  [2098] = 2041,
  [2099] = 2099,
  [2100] = 2043,
  [2101] = 2046,
  [2102] = 2051,
  [2103] = 2037,
  [2104] = 2037,
  [2105] = 2035,
  [2106] = 2046,
  [2107] = 2041,
  [2108] = 2038,
  [2109] = 2051,
  [2110] = 2037,
  [2111] = 2034,
  [2112] = 2099,
  [2113] = 2051,
  [2114] = 2037,
  [2115] = 2037,
  [2116] = 2034,
  [2117] = 2035,
  [2118] = 2076,
  [2119] = 2038,
  [2120] = 2035,
  [2121] = 2051,
  [2122] = 2038,
  [2123] = 2038,
  [2124] = 2034,
  [2125] = 2043,
  [2126] = 2046,
  [2127] = 2037,
  [2128] = 2128,
  [2129] = 2046,
  [2130] = 2041,
  [2131] = 2041,
  [2132] = 2132,
  [2133] = 2041,
  [2134] = 2051,
  [2135] = 2043,
  [2136] = 2041,
  [2137] = 2035,
  [2138] = 2037,
  [2139] = 2037,
  [2140] = 2037,
  [2141] = 2034,
  [2142] = 2037,
  [2143] = 2046,
  [2144] = 2051,
  [2145] = 2046,
  [2146] = 2037,
  [2147] = 2046,
  [2148] = 2034,
  [2149] = 2037,
  [2150] = 2035,
  [2151] = 2043,
  [2152] = 2046,
  [2153] = 2035,
  [2154] = 2038,
  [2155] = 2034,
  [2156] = 2038,
  [2157] = 2051,
  [2158] = 2041,
  [2159] = 2043,
  [2160] = 2046,
  [2161] = 2041,
  [2162] = 2035,
  [2163] = 2041,
  [2164] = 2035,
  [2165] = 2034,
  [2166] = 2037,
  [2167] = 2037,
  [2168] = 2046,
  [2169] = 2034,
  [2170] = 2035,
  [2171] = 2051,
  [2172] = 2034,
  [2173] = 2034,
  [2174] = 2034,
  [2175] = 2034,
  [2176] = 2046,
  [2177] = 2038,
  [2178] = 2041,
  [2179] = 2041,
  [2180] = 2046,
  [2181] = 2041,
  [2182] = 2035,
  [2183] = 2043,
  [2184] = 2046,
  [2185] = 2041,
  [2186] = 2038,
  [2187] = 2034,
  [2188] = 2046,
  [2189] = 2043,
  [2190] = 2041,
  [2191] = 2034,
  [2192] = 2043,
  [2193] = 2035,
  [2194] = 2034,
  [2195] = 2041,
  [2196] = 2046,
  [2197] = 2046,
  [2198] = 2041,
  [2199] = 2034,
  [2200] = 2034,
  [2201] = 2046,
  [2202] = 2043,
  [2203] = 2034,
  [2204] = 2099,
  [2205] = 2034,
  [2206] = 2034,
  [2207] = 2076,
  [2208] = 2041,
  [2209] = 2043,
  [2210] = 2046,
  [2211] = 2041,
  [2212] = 2037,
  [2213] = 2041,
  [2214] = 2038,
  [2215] = 2046,
  [2216] = 2034,
  [2217] = 2043,
  [2218] = 2046,
  [2219] = 2035,
  [2220] = 2046,
  [2221] = 2034,
  [2222] = 2046,
  [2223] = 2128,
  [2224] = 2041,
  [2225] = 2051,
  [2226] = 2038,
  [2227] = 2041,
  [2228] = 2043,
  [2229] = 2046,
  [2230] = 2034,
  [2231] = 2041,
  [2232] = 2034,
  [2233] = 2037,
  [2234] = 2041,
  [2235] = 2034,
  [2236] = 2046,
  [2237] = 2041,
  [2238] = 2034,
  [2239] = 2035,
  [2240] = 2034,
  [2241] = 2041,
  [2242] = 2037,
  [2243] = 2046,
  [2244] = 2041,
  [2245] = 2037,
  [2246] = 2037,
  [2247] = 2038,
  [2248] = 2038,
  [2249] = 2034,
  [2250] = 2250,
  [2251] = 2041,
  [2252] = 2034,
  [2253] = 2046,
  [2254] = 2041,
  [2255] = 2046,
  [2256] = 2041,
  [2257] = 2035,
  [2258] = 2038,
  [2259] = 2046,
  [2260] = 2041,
  [2261] = 2051,
  [2262] = 2034,
  [2263] = 2046,
  [2264] = 2051,
  [2265] = 2041,
  [2266] = 2046,
  [2267] = 2041,
  [2268] = 2034,
  [2269] = 2046,
  [2270] = 2041,
  [2271] = 2035,
  [2272] = 2034,
  [2273] = 2038,
  [2274] = 2034,
  [2275] = 2041,
  [2276] = 2046,
  [2277] = 2041,
  [2278] = 2046,
  [2279] = 2034,
  [2280] = 2051,
  [2281] = 2038,
  [2282] = 2034,
  [2283] = 2037,
  [2284] = 2034,
  [2285] = 2046,
  [2286] = 2043,
  [2287] = 2046,
  [2288] = 2046,
  [2289] = 2034,
  [2290] = 2035,
  [2291] = 2034,
  [2292] = 2041,
  [2293] = 2041,
  [2294] = 2046,
  [2295] = 2041,
  [2296] = 2037,
  [2297] = 2041,
  [2298] = 2046,
  [2299] = 2038,
  [2300] = 2037,
  [2301] = 2041,
  [2302] = 2034,
  [2303] = 2046,
  [2304] = 2051,
  [2305] = 2038,
  [2306] = 2046,
  [2307] = 2041,
  [2308] = 2308,
  [2309] = 2041,
  [2310] = 2035,
  [2311] = 2311,
  [2312] = 2046,
  [2313] = 2128,
  [2314] = 2034,
  [2315] = 2041,
  [2316] = 2037,
  [2317] = 2034,
  [2318] = 2035,
  [2319] = 2038,
  [2320] = 2046,
  [2321] = 2051,
  [2322] = 2046,
  [2323] = 2034,
  [2324] = 2037,
  [2325] = 2038,
  [2326] = 2041,
  [2327] = 2035,
  [2328] = 2034,
  [2329] = 2046,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2041,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2034,
  [2336] = 2336,
  [2337] = 2051,
  [2338] = 2046,
  [2339] = 2046,
  [2340] = 2340,
  [2341] = 2046,
  [2342] = 2342,
  [2343] = 2038,
  [2344] = 2034,
  [2345] = 2035,
  [2346] = 2034,
  [2347] = 2041,
  [2348] = 2348,
  [2349] = 2348,
  [2350] = 2348,
  [2351] = 2351,
  [2352] = 2351,
  [2353] = 2351,
  [2354] = 2351,
  [2355] = 2351,
  [2356] = 2351,
  [2357] = 2351,
  [2358] = 2351,
  [2359] = 2351,
  [2360] = 2351,
  [2361] = 2351,
  [2362] = 2351,
  [2363] = 2351,
  [2364] = 2351,
  [2365] = 2351,
  [2366] = 2351,
  [2367] = 2351,
  [2368] = 2351,
  [2369] = 2351,
  [2370] = 2351,
  [2371] = 2351,
  [2372] = 2351,
  [2373] = 2351,
  [2374] = 2351,
  [2375] = 2351,
  [2376] = 2351,
  [2377] = 2351,
  [2378] = 2351,
  [2379] = 2351,
  [2380] = 2351,
  [2381] = 2351,
  [2382] = 2351,
  [2383] = 2351,
  [2384] = 2351,
  [2385] = 2351,
  [2386] = 2351,
  [2387] = 2351,
  [2388] = 2351,
  [2389] = 2351,
  [2390] = 2351,
  [2391] = 2351,
  [2392] = 2351,
  [2393] = 2351,
  [2394] = 2351,
  [2395] = 2351,
  [2396] = 2351,
  [2397] = 2351,
  [2398] = 2351,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2399,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2402,
  [2405] = 2400,
  [2406] = 2402,
  [2407] = 2407,
  [2408] = 2407,
  [2409] = 2409,
  [2410] = 2409,
  [2411] = 2407,
  [2412] = 2412,
  [2413] = 2412,
  [2414] = 2412,
  [2415] = 2412,
  [2416] = 2412,
  [2417] = 2412,
  [2418] = 2412,
  [2419] = 2412,
  [2420] = 2412,
  [2421] = 2412,
  [2422] = 2412,
  [2423] = 2412,
  [2424] = 2412,
  [2425] = 2412,
  [2426] = 2412,
  [2427] = 2412,
  [2428] = 2412,
  [2429] = 2412,
  [2430] = 2412,
  [2431] = 2412,
  [2432] = 2412,
  [2433] = 2412,
  [2434] = 2412,
  [2435] = 2412,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2436,
  [2439] = 2437,
  [2440] = 2437,
  [2441] = 2437,
  [2442] = 2436,
  [2443] = 2443,
  [2444] = 2436,
  [2445] = 2436,
  [2446] = 2446,
  [2447] = 2437,
  [2448] = 2436,
  [2449] = 2437,
  [2450] = 2436,
  [2451] = 2437,
  [2452] = 2436,
  [2453] = 2436,
  [2454] = 2437,
  [2455] = 2446,
  [2456] = 2436,
  [2457] = 2437,
  [2458] = 2437,
  [2459] = 2437,
  [2460] = 2436,
  [2461] = 2437,
  [2462] = 2437,
  [2463] = 2437,
  [2464] = 2437,
  [2465] = 2437,
  [2466] = 2437,
  [2467] = 2437,
  [2468] = 2436,
  [2469] = 2436,
  [2470] = 2437,
  [2471] = 2436,
  [2472] = 2472,
  [2473] = 2436,
  [2474] = 2437,
  [2475] = 2475,
  [2476] = 2436,
  [2477] = 2437,
  [2478] = 2437,
  [2479] = 2436,
  [2480] = 2437,
  [2481] = 2436,
  [2482] = 2437,
  [2483] = 2436,
  [2484] = 2437,
  [2485] = 2475,
  [2486] = 2436,
  [2487] = 2437,
  [2488] = 2437,
  [2489] = 2436,
  [2490] = 2437,
  [2491] = 2437,
  [2492] = 2436,
  [2493] = 2436,
  [2494] = 2437,
  [2495] = 2436,
  [2496] = 2436,
  [2497] = 2437,
  [2498] = 2437,
  [2499] = 2437,
  [2500] = 2436,
  [2501] = 2436,
  [2502] = 2437,
  [2503] = 2437,
  [2504] = 2437,
  [2505] = 2436,
  [2506] = 2437,
  [2507] = 2436,
  [2508] = 2437,
  [2509] = 2437,
  [2510] = 2437,
  [2511] = 2436,
  [2512] = 2437,
  [2513] = 2437,
  [2514] = 2437,
  [2515] = 2436,
  [2516] = 2437,
  [2517] = 2437,
  [2518] = 2437,
  [2519] = 2437,
  [2520] = 2436,
  [2521] = 2437,
  [2522] = 2436,
  [2523] = 2437,
  [2524] = 2436,
  [2525] = 2475,
  [2526] = 2437,
  [2527] = 2437,
  [2528] = 2437,
  [2529] = 2436,
  [2530] = 2437,
  [2531] = 2436,
  [2532] = 2437,
  [2533] = 2437,
  [2534] = 2436,
  [2535] = 2437,
  [2536] = 2437,
  [2537] = 2437,
  [2538] = 2436,
  [2539] = 2437,
  [2540] = 2436,
  [2541] = 2436,
  [2542] = 2436,
  [2543] = 2446,
  [2544] = 2436,
  [2545] = 2348,
  [2546] = 2436,
  [2547] = 2436,
  [2548] = 2436,
  [2549] = 2436,
  [2550] = 2436,
  [2551] = 2436,
  [2552] = 2436,
  [2553] = 2436,
  [2554] = 2436,
  [2555] = 2436,
  [2556] = 2436,
  [2557] = 2436,
  [2558] = 2436,
  [2559] = 2436,
  [2560] = 2436,
  [2561] = 2436,
  [2562] = 2436,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2348,
  [2572] = 2572,
  [2573] = 2348,
  [2574] = 2574,
  [2575] = 2348,
  [2576] = 2348,
  [2577] = 2348,
  [2578] = 2348,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2580,
  [2582] = 2348,
  [2583] = 2583,
  [2584] = 2583,
  [2585] = 2580,
  [2586] = 2586,
  [2587] = 2580,
  [2588] = 2586,
  [2589] = 2589,
  [2590] = 2589,
  [2591] = 2589,
  [2592] = 2580,
  [2593] = 2580,
  [2594] = 2589,
  [2595] = 2589,
  [2596] = 2583,
  [2597] = 2586,
  [2598] = 2580,
  [2599] = 2580,
  [2600] = 2583,
  [2601] = 2586,
  [2602] = 2586,
  [2603] = 2583,
  [2604] = 2586,
  [2605] = 2589,
  [2606] = 2580,
  [2607] = 2583,
  [2608] = 2586,
  [2609] = 2583,
  [2610] = 2586,
  [2611] = 2589,
  [2612] = 2580,
  [2613] = 2583,
  [2614] = 2586,
  [2615] = 2589,
  [2616] = 2580,
  [2617] = 2580,
  [2618] = 2583,
  [2619] = 2589,
  [2620] = 2580,
  [2621] = 2586,
  [2622] = 2586,
  [2623] = 2589,
  [2624] = 2580,
  [2625] = 2583,
  [2626] = 2583,
  [2627] = 2586,
  [2628] = 2583,
  [2629] = 2589,
  [2630] = 2580,
  [2631] = 2583,
  [2632] = 2586,
  [2633] = 2589,
  [2634] = 2580,
  [2635] = 2583,
  [2636] = 2586,
  [2637] = 2589,
  [2638] = 2580,
  [2639] = 2586,
  [2640] = 2583,
  [2641] = 2589,
  [2642] = 2589,
  [2643] = 2586,
  [2644] = 2580,
  [2645] = 2589,
  [2646] = 2589,
  [2647] = 2583,
  [2648] = 2586,
  [2649] = 2580,
  [2650] = 2580,
  [2651] = 2583,
  [2652] = 2583,
  [2653] = 2586,
  [2654] = 2589,
  [2655] = 2580,
  [2656] = 2583,
  [2657] = 2586,
  [2658] = 2589,
  [2659] = 2580,
  [2660] = 2583,
  [2661] = 2586,
  [2662] = 2589,
  [2663] = 2580,
  [2664] = 2583,
  [2665] = 2586,
  [2666] = 2589,
  [2667] = 2580,
  [2668] = 2580,
  [2669] = 2583,
  [2670] = 2589,
  [2671] = 2586,
  [2672] = 2586,
  [2673] = 2586,
  [2674] = 2589,
  [2675] = 2580,
  [2676] = 2583,
  [2677] = 2583,
  [2678] = 2586,
  [2679] = 2589,
  [2680] = 2580,
  [2681] = 2583,
  [2682] = 2586,
  [2683] = 2589,
  [2684] = 2580,
  [2685] = 2580,
  [2686] = 2583,
  [2687] = 2586,
  [2688] = 2583,
  [2689] = 2589,
  [2690] = 2589,
  [2691] = 2580,
  [2692] = 2583,
  [2693] = 2589,
  [2694] = 2583,
  [2695] = 2586,
  [2696] = 2586,
  [2697] = 2586,
  [2698] = 2583,
  [2699] = 2583,
  [2700] = 2580,
  [2701] = 2580,
  [2702] = 2583,
  [2703] = 2586,
  [2704] = 2589,
  [2705] = 2580,
  [2706] = 2583,
  [2707] = 2589,
  [2708] = 2586,
  [2709] = 2589,
  [2710] = 2580,
  [2711] = 2583,
  [2712] = 2580,
  [2713] = 2586,
  [2714] = 2589,
  [2715] = 2580,
  [2716] = 2580,
  [2717] = 2583,
  [2718] = 2589,
  [2719] = 2589,
  [2720] = 2586,
  [2721] = 2586,
  [2722] = 2589,
  [2723] = 2583,
  [2724] = 2580,
  [2725] = 2583,
  [2726] = 2586,
  [2727] = 2589,
  [2728] = 2580,
  [2729] = 2583,
  [2730] = 2586,
  [2731] = 2589,
  [2732] = 2580,
  [2733] = 2583,
  [2734] = 2586,
  [2735] = 2589,
  [2736] = 2583,
  [2737] = 2580,
  [2738] = 2580,
  [2739] = 2583,
  [2740] = 2586,
  [2741] = 2589,
  [2742] = 2586,
  [2743] = 2586,
  [2744] = 2589,
  [2745] = 2580,
  [2746] = 2583,
  [2747] = 2583,
  [2748] = 2586,
  [2749] = 2589,
  [2750] = 2580,
  [2751] = 2583,
  [2752] = 2586,
  [2753] = 2586,
  [2754] = 2589,
  [2755] = 2580,
  [2756] = 2583,
  [2757] = 2589,
  [2758] = 2583,
  [2759] = 2589,
  [2760] = 2580,
  [2761] = 2586,
  [2762] = 2589,
  [2763] = 2583,
  [2764] = 2586,
  [2765] = 2589,
  [2766] = 2580,
  [2767] = 2583,
  [2768] = 2583,
  [2769] = 2586,
  [2770] = 2589,
  [2771] = 2580,
  [2772] = 2580,
  [2773] = 2583,
  [2774] = 2586,
  [2775] = 2589,
  [2776] = 2580,
  [2777] = 2583,
  [2778] = 2586,
  [2779] = 2589,
  [2780] = 2580,
  [2781] = 2583,
  [2782] = 2586,
  [2783] = 2580,
  [2784] = 2589,
  [2785] = 2580,
  [2786] = 2589,
  [2787] = 2589,
  [2788] = 2586,
  [2789] = 2583,
  [2790] = 2586,
  [2791] = 2583,
  [2792] = 2589,
  [2793] = 2580,
  [2794] = 2586,
  [2795] = 2586,
  [2796] = 2589,
  [2797] = 2580,
  [2798] = 2583,
  [2799] = 2586,
  [2800] = 2589,
  [2801] = 2580,
  [2802] = 2583,
  [2803] = 2586,
  [2804] = 2583,
  [2805] = 2589,
  [2806] = 2580,
  [2807] = 2583,
  [2808] = 2580,
  [2809] = 2586,
  [2810] = 2586,
  [2811] = 2589,
  [2812] = 2589,
  [2813] = 2586,
  [2814] = 2586,
  [2815] = 2589,
  [2816] = 2589,
  [2817] = 2580,
  [2818] = 2583,
  [2819] = 2580,
  [2820] = 2583,
  [2821] = 2586,
  [2822] = 2589,
  [2823] = 2580,
  [2824] = 2583,
  [2825] = 2589,
  [2826] = 2589,
  [2827] = 2580,
  [2828] = 2583,
  [2829] = 2586,
  [2830] = 2589,
  [2831] = 2580,
  [2832] = 2583,
  [2833] = 2586,
  [2834] = 2589,
  [2835] = 2580,
  [2836] = 2583,
  [2837] = 2583,
  [2838] = 2580,
  [2839] = 2586,
  [2840] = 2589,
  [2841] = 2589,
  [2842] = 2580,
  [2843] = 2583,
  [2844] = 2586,
  [2845] = 2583,
  [2846] = 2586,
  [2847] = 2583,
  [2848] = 2589,
  [2849] = 2580,
  [2850] = 2583,
  [2851] = 2586,
  [2852] = 2589,
  [2853] = 2580,
  [2854] = 2583,
  [2855] = 2586,
  [2856] = 2586,
  [2857] = 2583,
  [2858] = 2589,
  [2859] = 2589,
  [2860] = 2580,
  [2861] = 2580,
  [2862] = 2583,
  [2863] = 2589,
  [2864] = 2586,
  [2865] = 2589,
  [2866] = 2586,
  [2867] = 2586,
  [2868] = 2580,
  [2869] = 2580,
  [2870] = 2583,
  [2871] = 2586,
  [2872] = 2589,
  [2873] = 2583,
  [2874] = 2580,
  [2875] = 2589,
  [2876] = 2583,
  [2877] = 2586,
  [2878] = 2589,
  [2879] = 2580,
  [2880] = 2583,
  [2881] = 2586,
  [2882] = 2589,
  [2883] = 2580,
  [2884] = 2583,
  [2885] = 2586,
  [2886] = 2580,
  [2887] = 2580,
  [2888] = 2586,
  [2889] = 2583,
  [2890] = 2586,
  [2891] = 2589,
  [2892] = 2580,
  [2893] = 2580,
  [2894] = 2583,
  [2895] = 2589,
  [2896] = 2580,
  [2897] = 2586,
  [2898] = 2586,
  [2899] = 2589,
  [2900] = 2580,
  [2901] = 2583,
  [2902] = 2583,
  [2903] = 2586,
  [2904] = 2583,
  [2905] = 2589,
  [2906] = 2580,
  [2907] = 2589,
  [2908] = 2586,
  [2909] = 2580,
  [2910] = 2586,
  [2911] = 2580,
  [2912] = 2586,
  [2913] = 2580,
  [2914] = 2586,
  [2915] = 2580,
  [2916] = 2586,
  [2917] = 2586,
  [2918] = 2586,
  [2919] = 2589,
  [2920] = 2580,
  [2921] = 2580,
  [2922] = 2586,
  [2923] = 2589,
  [2924] = 2583,
  [2925] = 2586,
  [2926] = 2580,
  [2927] = 2580,
  [2928] = 2586,
  [2929] = 2583,
  [2930] = 2580,
  [2931] = 2586,
  [2932] = 2580,
  [2933] = 2586,
  [2934] = 2580,
  [2935] = 2586,
  [2936] = 2580,
  [2937] = 2586,
  [2938] = 2580,
  [2939] = 2586,
  [2940] = 2580,
  [2941] = 2586,
  [2942] = 2580,
  [2943] = 2586,
  [2944] = 2580,
  [2945] = 2586,
  [2946] = 2580,
  [2947] = 2586,
  [2948] = 2580,
  [2949] = 2586,
  [2950] = 2580,
  [2951] = 2580,
  [2952] = 2586,
  [2953] = 2589,
  [2954] = 2586,
  [2955] = 2586,
  [2956] = 2580,
  [2957] = 2586,
  [2958] = 2580,
  [2959] = 2586,
  [2960] = 2583,
  [2961] = 2580,
  [2962] = 2583,
  [2963] = 2586,
  [2964] = 2580,
  [2965] = 2586,
  [2966] = 2580,
  [2967] = 2586,
  [2968] = 2580,
  [2969] = 2586,
  [2970] = 2580,
  [2971] = 2586,
  [2972] = 2586,
  [2973] = 2589,
  [2974] = 2580,
  [2975] = 2589,
  [2976] = 2580,
  [2977] = 2580,
  [2978] = 2580,
  [2979] = 2589,
  [2980] = 2586,
  [2981] = 2589,
  [2982] = 2580,
  [2983] = 2589,
  [2984] = 2580,
  [2985] = 2586,
  [2986] = 2586,
  [2987] = 2589,
  [2988] = 2583,
  [2989] = 2586,
  [2990] = 2580,
  [2991] = 2589,
  [2992] = 2586,
  [2993] = 2583,
  [2994] = 2583,
  [2995] = 2583,
  [2996] = 2348,
  [2997] = 2580,
  [2998] = 2589,
  [2999] = 2586,
  [3000] = 2586,
  [3001] = 2589,
  [3002] = 2583,
  [3003] = 2583,
  [3004] = 2580,
  [3005] = 2583,
  [3006] = 2583,
  [3007] = 2580,
  [3008] = 2589,
  [3009] = 2586,
  [3010] = 2583,
  [3011] = 2586,
  [3012] = 2583,
  [3013] = 2589,
  [3014] = 2580,
  [3015] = 2586,
  [3016] = 2580,
  [3017] = 2580,
  [3018] = 2589,
  [3019] = 2583,
  [3020] = 2586,
  [3021] = 2589,
  [3022] = 2586,
  [3023] = 2589,
  [3024] = 2589,
  [3025] = 2583,
  [3026] = 2580,
  [3027] = 2586,
  [3028] = 2583,
  [3029] = 2580,
  [3030] = 2589,
  [3031] = 2583,
  [3032] = 2583,
  [3033] = 2580,
  [3034] = 2583,
  [3035] = 2586,
  [3036] = 2589,
  [3037] = 2583,
  [3038] = 2580,
  [3039] = 2580,
  [3040] = 2580,
  [3041] = 2589,
  [3042] = 2589,
  [3043] = 2586,
  [3044] = 2589,
  [3045] = 2583,
  [3046] = 2586,
  [3047] = 2589,
  [3048] = 2580,
  [3049] = 2586,
  [3050] = 2586,
  [3051] = 2586,
  [3052] = 2583,
  [3053] = 2583,
  [3054] = 2580,
  [3055] = 2589,
  [3056] = 2580,
  [3057] = 2586,
  [3058] = 2580,
  [3059] = 2583,
  [3060] = 2589,
  [3061] = 2583,
  [3062] = 2586,
  [3063] = 2580,
  [3064] = 2589,
  [3065] = 2583,
  [3066] = 2583,
  [3067] = 2586,
  [3068] = 2586,
  [3069] = 2589,
  [3070] = 2348,
  [3071] = 2589,
  [3072] = 2580,
  [3073] = 2586,
  [3074] = 2583,
  [3075] = 2589,
  [3076] = 2580,
  [3077] = 2580,
  [3078] = 2586,
  [3079] = 2583,
  [3080] = 2348,
  [3081] = 2580,
  [3082] = 3082,
  [3083] = 3083,
  [3084] = 3084,
  [3085] = 3085,
  [3086] = 3083,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3084,
  [3090] = 3088,
  [3091] = 3087,
  [3092] = 3092,
  [3093] = 3093,
  [3094] = 3094,
  [3095] = 3083,
  [3096] = 3096,
  [3097] = 3092,
  [3098] = 3094,
  [3099] = 3099,
  [3100] = 3099,
  [3101] = 3088,
  [3102] = 3093,
  [3103] = 3087,
  [3104] = 3083,
  [3105] = 3092,
  [3106] = 3094,
  [3107] = 3099,
  [3108] = 3087,
  [3109] = 3093,
  [3110] = 3110,
  [3111] = 3088,
  [3112] = 3088,
  [3113] = 3084,
  [3114] = 3099,
  [3115] = 3094,
  [3116] = 3084,
  [3117] = 3087,
  [3118] = 3088,
  [3119] = 3092,
  [3120] = 3083,
  [3121] = 3121,
  [3122] = 3093,
  [3123] = 3123,
  [3124] = 3088,
  [3125] = 3125,
  [3126] = 3087,
  [3127] = 3127,
  [3128] = 3128,
  [3129] = 3087,
  [3130] = 3084,
  [3131] = 3088,
  [3132] = 3093,
  [3133] = 3088,
  [3134] = 3134,
  [3135] = 3135,
  [3136] = 3136,
  [3137] = 3093,
  [3138] = 3099,
  [3139] = 3088,
  [3140] = 3083,
  [3141] = 3092,
  [3142] = 3094,
  [3143] = 3087,
  [3144] = 3099,
  [3145] = 3094,
  [3146] = 3092,
  [3147] = 3083,
  [3148] = 3088,
  [3149] = 3093,
  [3150] = 3087,
  [3151] = 3127,
  [3152] = 3125,
  [3153] = 3134,
  [3154] = 3087,
  [3155] = 3084,
  [3156] = 3088,
  [3157] = 3087,
  [3158] = 3088,
  [3159] = 3088,
  [3160] = 3087,
  [3161] = 3094,
  [3162] = 3088,
  [3163] = 3084,
  [3164] = 3099,
  [3165] = 3094,
  [3166] = 3092,
  [3167] = 3087,
  [3168] = 3083,
  [3169] = 3087,
  [3170] = 3087,
  [3171] = 3083,
  [3172] = 3088,
  [3173] = 3088,
  [3174] = 3093,
  [3175] = 3092,
  [3176] = 3083,
  [3177] = 3092,
  [3178] = 3094,
  [3179] = 3099,
  [3180] = 3094,
  [3181] = 3084,
  [3182] = 3182,
  [3183] = 3099,
  [3184] = 3184,
  [3185] = 3094,
  [3186] = 3092,
  [3187] = 3083,
  [3188] = 3088,
  [3189] = 3087,
  [3190] = 3087,
  [3191] = 3088,
  [3192] = 3084,
  [3193] = 3193,
  [3194] = 3087,
  [3195] = 3084,
  [3196] = 3087,
  [3197] = 3099,
  [3198] = 3094,
  [3199] = 3092,
  [3200] = 3083,
  [3201] = 3088,
  [3202] = 3088,
  [3203] = 3203,
  [3204] = 3204,
  [3205] = 3082,
  [3206] = 3099,
  [3207] = 3087,
  [3208] = 3088,
  [3209] = 3093,
  [3210] = 3123,
  [3211] = 3083,
  [3212] = 3092,
  [3213] = 3094,
  [3214] = 3099,
  [3215] = 3087,
  [3216] = 3084,
  [3217] = 3099,
  [3218] = 3084,
  [3219] = 3219,
  [3220] = 3092,
  [3221] = 3083,
  [3222] = 3088,
  [3223] = 3087,
  [3224] = 3084,
  [3225] = 3088,
  [3226] = 3226,
  [3227] = 3084,
  [3228] = 3099,
  [3229] = 3088,
  [3230] = 3094,
  [3231] = 3092,
  [3232] = 3083,
  [3233] = 3203,
  [3234] = 3219,
  [3235] = 3235,
  [3236] = 3236,
  [3237] = 3088,
  [3238] = 3087,
  [3239] = 3088,
  [3240] = 3093,
  [3241] = 3087,
  [3242] = 3083,
  [3243] = 3092,
  [3244] = 3094,
  [3245] = 3099,
  [3246] = 3235,
  [3247] = 3236,
  [3248] = 3204,
  [3249] = 3088,
  [3250] = 3084,
  [3251] = 3193,
  [3252] = 3184,
  [3253] = 3182,
  [3254] = 3084,
  [3255] = 3099,
  [3256] = 3226,
  [3257] = 3094,
  [3258] = 3092,
  [3259] = 3087,
  [3260] = 3083,
  [3261] = 3087,
  [3262] = 3088,
  [3263] = 3082,
  [3264] = 3088,
  [3265] = 3123,
  [3266] = 3088,
  [3267] = 3087,
  [3268] = 3088,
  [3269] = 3084,
  [3270] = 3099,
  [3271] = 3094,
  [3272] = 3092,
  [3273] = 3083,
  [3274] = 3093,
  [3275] = 3087,
  [3276] = 3083,
  [3277] = 3092,
  [3278] = 3094,
  [3279] = 3099,
  [3280] = 3084,
  [3281] = 3099,
  [3282] = 3094,
  [3283] = 3092,
  [3284] = 3083,
  [3285] = 3088,
  [3286] = 3087,
  [3287] = 3203,
  [3288] = 3219,
  [3289] = 3084,
  [3290] = 3235,
  [3291] = 3236,
  [3292] = 3099,
  [3293] = 3088,
  [3294] = 3094,
  [3295] = 3087,
  [3296] = 3088,
  [3297] = 3092,
  [3298] = 3083,
  [3299] = 3088,
  [3300] = 3087,
  [3301] = 3301,
  [3302] = 3088,
  [3303] = 3087,
  [3304] = 3084,
  [3305] = 3099,
  [3306] = 3093,
  [3307] = 3094,
  [3308] = 3083,
  [3309] = 3092,
  [3310] = 3088,
  [3311] = 3087,
  [3312] = 3094,
  [3313] = 3099,
  [3314] = 3087,
  [3315] = 3092,
  [3316] = 3083,
  [3317] = 3087,
  [3318] = 3088,
  [3319] = 3087,
  [3320] = 3088,
  [3321] = 3084,
  [3322] = 3084,
  [3323] = 3099,
  [3324] = 3087,
  [3325] = 3094,
  [3326] = 3092,
  [3327] = 3083,
  [3328] = 3088,
  [3329] = 3088,
  [3330] = 3087,
  [3331] = 3082,
  [3332] = 3084,
  [3333] = 3123,
  [3334] = 3087,
  [3335] = 3088,
  [3336] = 3088,
  [3337] = 3088,
  [3338] = 3099,
  [3339] = 3094,
  [3340] = 3203,
  [3341] = 3093,
  [3342] = 3092,
  [3343] = 3083,
  [3344] = 3219,
  [3345] = 3092,
  [3346] = 3088,
  [3347] = 3094,
  [3348] = 3083,
  [3349] = 3099,
  [3350] = 3235,
  [3351] = 3087,
  [3352] = 3236,
  [3353] = 3084,
  [3354] = 3099,
  [3355] = 3094,
  [3356] = 3092,
  [3357] = 3087,
  [3358] = 3083,
  [3359] = 3110,
  [3360] = 3084,
  [3361] = 3087,
  [3362] = 3087,
  [3363] = 3088,
  [3364] = 3088,
  [3365] = 3093,
  [3366] = 3135,
  [3367] = 3084,
  [3368] = 3099,
  [3369] = 3094,
  [3370] = 3087,
  [3371] = 3092,
  [3372] = 3088,
  [3373] = 3088,
  [3374] = 3083,
  [3375] = 3093,
  [3376] = 3083,
  [3377] = 3083,
  [3378] = 3092,
  [3379] = 3094,
  [3380] = 3099,
  [3381] = 3136,
  [3382] = 3084,
  [3383] = 3099,
  [3384] = 3094,
  [3385] = 3110,
  [3386] = 3092,
  [3387] = 3083,
  [3388] = 3088,
  [3389] = 3096,
  [3390] = 3084,
  [3391] = 3087,
  [3392] = 3084,
  [3393] = 3099,
  [3394] = 3094,
  [3395] = 3092,
  [3396] = 3083,
  [3397] = 3087,
  [3398] = 3088,
  [3399] = 3085,
  [3400] = 3121,
  [3401] = 3084,
  [3402] = 3099,
  [3403] = 3094,
  [3404] = 3092,
  [3405] = 3093,
  [3406] = 3083,
  [3407] = 3083,
  [3408] = 3092,
  [3409] = 3094,
  [3410] = 3099,
  [3411] = 3082,
  [3412] = 3088,
  [3413] = 3084,
  [3414] = 3099,
  [3415] = 3094,
  [3416] = 3092,
  [3417] = 3123,
  [3418] = 3088,
  [3419] = 3088,
  [3420] = 3087,
  [3421] = 3084,
  [3422] = 3084,
  [3423] = 3088,
  [3424] = 3099,
  [3425] = 3094,
  [3426] = 3088,
  [3427] = 3092,
  [3428] = 3083,
  [3429] = 3087,
  [3430] = 3203,
  [3431] = 3084,
  [3432] = 3099,
  [3433] = 3219,
  [3434] = 3235,
  [3435] = 3094,
  [3436] = 3088,
  [3437] = 3092,
  [3438] = 3093,
  [3439] = 3083,
  [3440] = 3083,
  [3441] = 3092,
  [3442] = 3094,
  [3443] = 2348,
  [3444] = 3236,
  [3445] = 3099,
  [3446] = 3087,
  [3447] = 3088,
  [3448] = 3087,
  [3449] = 3088,
  [3450] = 3084,
  [3451] = 3084,
  [3452] = 2348,
  [3453] = 3099,
  [3454] = 3094,
  [3455] = 3084,
  [3456] = 2348,
  [3457] = 3087,
  [3458] = 3092,
  [3459] = 3083,
  [3460] = 3088,
  [3461] = 3087,
  [3462] = 3084,
  [3463] = 3088,
  [3464] = 3099,
  [3465] = 3094,
  [3466] = 3082,
  [3467] = 3467,
  [3468] = 3092,
  [3469] = 3087,
  [3470] = 3083,
  [3471] = 3088,
  [3472] = 3123,
  [3473] = 3088,
  [3474] = 3088,
  [3475] = 3093,
  [3476] = 3087,
  [3477] = 2348,
  [3478] = 3083,
  [3479] = 3092,
  [3480] = 3094,
  [3481] = 3099,
  [3482] = 3084,
  [3483] = 3099,
  [3484] = 3094,
  [3485] = 3092,
  [3486] = 3083,
  [3487] = 3087,
  [3488] = 3087,
  [3489] = 3084,
  [3490] = 3087,
  [3491] = 3099,
  [3492] = 3084,
  [3493] = 3082,
  [3494] = 3094,
  [3495] = 3092,
  [3496] = 3088,
  [3497] = 3088,
  [3498] = 3123,
  [3499] = 3088,
  [3500] = 3083,
  [3501] = 3088,
  [3502] = 3087,
  [3503] = 3088,
  [3504] = 3084,
  [3505] = 3088,
  [3506] = 3099,
  [3507] = 3087,
  [3508] = 3094,
  [3509] = 3092,
  [3510] = 3083,
  [3511] = 3082,
  [3512] = 3088,
  [3513] = 3087,
  [3514] = 3093,
  [3515] = 3084,
  [3516] = 3123,
  [3517] = 3083,
  [3518] = 3092,
  [3519] = 3099,
  [3520] = 3094,
  [3521] = 3099,
  [3522] = 3094,
  [3523] = 3092,
  [3524] = 3083,
  [3525] = 3087,
  [3526] = 3088,
  [3527] = 3084,
  [3528] = 3088,
  [3529] = 3087,
  [3530] = 3088,
  [3531] = 3084,
  [3532] = 3087,
  [3533] = 3087,
  [3534] = 3083,
  [3535] = 3088,
  [3536] = 3088,
  [3537] = 3099,
  [3538] = 3082,
  [3539] = 3094,
  [3540] = 3087,
  [3541] = 3092,
  [3542] = 3088,
  [3543] = 3088,
  [3544] = 3123,
  [3545] = 3088,
  [3546] = 3088,
  [3547] = 3088,
  [3548] = 3087,
  [3549] = 3084,
  [3550] = 3088,
  [3551] = 3087,
  [3552] = 3093,
  [3553] = 3099,
  [3554] = 3087,
  [3555] = 3082,
  [3556] = 3083,
  [3557] = 3092,
  [3558] = 3094,
  [3559] = 3088,
  [3560] = 3099,
  [3561] = 3123,
  [3562] = 3087,
  [3563] = 3088,
  [3564] = 3094,
  [3565] = 3092,
  [3566] = 3083,
  [3567] = 3088,
  [3568] = 3093,
  [3569] = 3087,
  [3570] = 3093,
  [3571] = 3087,
  [3572] = 3088,
  [3573] = 3082,
  [3574] = 3088,
  [3575] = 3123,
  [3576] = 3084,
  [3577] = 3099,
  [3578] = 3084,
  [3579] = 3094,
  [3580] = 3088,
  [3581] = 3092,
  [3582] = 3083,
  [3583] = 3088,
  [3584] = 3584,
  [3585] = 3087,
  [3586] = 3226,
  [3587] = 3184,
  [3588] = 3134,
  [3589] = 3128,
  [3590] = 3087,
  [3591] = 3087,
  [3592] = 3088,
  [3593] = 3087,
  [3594] = 3082,
  [3595] = 3084,
  [3596] = 3099,
  [3597] = 3088,
  [3598] = 3127,
  [3599] = 3125,
  [3600] = 3094,
  [3601] = 3088,
  [3602] = 3092,
  [3603] = 3083,
  [3604] = 3123,
  [3605] = 3088,
  [3606] = 3084,
  [3607] = 3088,
  [3608] = 3608,
  [3609] = 3099,
  [3610] = 3610,
  [3611] = 3087,
  [3612] = 3193,
  [3613] = 3088,
  [3614] = 3088,
  [3615] = 3087,
  [3616] = 3092,
  [3617] = 3087,
  [3618] = 3082,
  [3619] = 3088,
  [3620] = 3094,
  [3621] = 3123,
  [3622] = 3087,
  [3623] = 3088,
  [3624] = 3093,
  [3625] = 3204,
  [3626] = 3092,
  [3627] = 3083,
  [3628] = 3092,
  [3629] = 3094,
  [3630] = 3099,
  [3631] = 3088,
  [3632] = 3084,
  [3633] = 3087,
  [3634] = 3083,
  [3635] = 3088,
  [3636] = 3082,
  [3637] = 3092,
  [3638] = 3094,
  [3639] = 3088,
  [3640] = 3123,
  [3641] = 3094,
  [3642] = 3083,
  [3643] = 3099,
  [3644] = 3099,
  [3645] = 3087,
  [3646] = 3088,
  [3647] = 3087,
  [3648] = 3082,
  [3649] = 3084,
  [3650] = 3099,
  [3651] = 3094,
  [3652] = 3088,
  [3653] = 3123,
  [3654] = 3092,
  [3655] = 3083,
  [3656] = 3087,
  [3657] = 3088,
  [3658] = 3084,
  [3659] = 3084,
  [3660] = 3088,
  [3661] = 3087,
  [3662] = 3083,
  [3663] = 3084,
  [3664] = 3099,
  [3665] = 3087,
  [3666] = 3087,
  [3667] = 3094,
  [3668] = 3092,
  [3669] = 3083,
  [3670] = 3084,
  [3671] = 3084,
  [3672] = 3092,
  [3673] = 3082,
  [3674] = 3083,
  [3675] = 3123,
  [3676] = 3088,
  [3677] = 3088,
  [3678] = 3099,
  [3679] = 3087,
  [3680] = 3226,
  [3681] = 3184,
  [3682] = 3128,
  [3683] = 3087,
  [3684] = 3082,
  [3685] = 3123,
  [3686] = 3088,
  [3687] = 3088,
  [3688] = 3087,
  [3689] = 3088,
  [3690] = 3094,
  [3691] = 3301,
  [3692] = 3099,
  [3693] = 3087,
  [3694] = 3082,
  [3695] = 3094,
  [3696] = 3123,
  [3697] = 3088,
  [3698] = 3088,
  [3699] = 3088,
  [3700] = 3092,
  [3701] = 3087,
  [3702] = 3092,
  [3703] = 3123,
  [3704] = 3467,
  [3705] = 3083,
  [3706] = 3087,
  [3707] = 3088,
  [3708] = 3088,
  [3709] = 3084,
  [3710] = 3082,
  [3711] = 3099,
  [3712] = 3094,
  [3713] = 3088,
  [3714] = 3087,
  [3715] = 3123,
  [3716] = 3087,
  [3717] = 3088,
  [3718] = 3084,
  [3719] = 3088,
  [3720] = 3083,
  [3721] = 3092,
  [3722] = 3087,
  [3723] = 3087,
  [3724] = 3087,
  [3725] = 3088,
  [3726] = 3135,
  [3727] = 3092,
  [3728] = 2348,
  [3729] = 3088,
  [3730] = 3123,
  [3731] = 3093,
  [3732] = 3083,
  [3733] = 3082,
  [3734] = 3084,
  [3735] = 3087,
  [3736] = 3099,
  [3737] = 3094,
  [3738] = 3092,
  [3739] = 3083,
  [3740] = 3088,
  [3741] = 3123,
  [3742] = 3084,
  [3743] = 3093,
  [3744] = 3088,
  [3745] = 3094,
  [3746] = 3127,
  [3747] = 3099,
  [3748] = 3083,
  [3749] = 3099,
  [3750] = 3136,
  [3751] = 3083,
  [3752] = 3092,
  [3753] = 3094,
  [3754] = 3099,
  [3755] = 3088,
  [3756] = 3084,
  [3757] = 3088,
  [3758] = 3094,
  [3759] = 3084,
  [3760] = 3083,
  [3761] = 3092,
  [3762] = 3087,
  [3763] = 3087,
  [3764] = 3092,
  [3765] = 3094,
  [3766] = 3082,
  [3767] = 3083,
  [3768] = 3087,
  [3769] = 3123,
  [3770] = 3088,
  [3771] = 3088,
  [3772] = 3099,
  [3773] = 3087,
  [3774] = 3082,
  [3775] = 3088,
  [3776] = 3099,
  [3777] = 3123,
  [3778] = 2348,
  [3779] = 3088,
  [3780] = 3084,
  [3781] = 3096,
  [3782] = 3087,
  [3783] = 3123,
  [3784] = 3099,
  [3785] = 3088,
  [3786] = 3094,
  [3787] = 3092,
  [3788] = 3094,
  [3789] = 3083,
  [3790] = 3092,
  [3791] = 3087,
  [3792] = 3088,
  [3793] = 3082,
  [3794] = 3087,
  [3795] = 3123,
  [3796] = 3087,
  [3797] = 3094,
  [3798] = 3088,
  [3799] = 3182,
  [3800] = 3099,
  [3801] = 3084,
  [3802] = 3087,
  [3803] = 3082,
  [3804] = 3084,
  [3805] = 3084,
  [3806] = 3088,
  [3807] = 3087,
  [3808] = 3123,
  [3809] = 3099,
  [3810] = 3087,
  [3811] = 3087,
  [3812] = 3088,
  [3813] = 3813,
  [3814] = 3094,
  [3815] = 3088,
  [3816] = 3087,
  [3817] = 3226,
  [3818] = 3184,
  [3819] = 3128,
  [3820] = 3087,
  [3821] = 3082,
  [3822] = 3123,
  [3823] = 3121,
  [3824] = 3085,
  [3825] = 3083,
  [3826] = 3092,
  [3827] = 3092,
  [3828] = 3083,
  [3829] = 3094,
  [3830] = 3099,
  [3831] = 3084,
  [3832] = 3301,
  [3833] = 3088,
  [3834] = 3084,
  [3835] = 3467,
  [3836] = 3088,
  [3837] = 3099,
  [3838] = 3094,
  [3839] = 3092,
  [3840] = 3083,
  [3841] = 2348,
  [3842] = 2348,
  [3843] = 2348,
  [3844] = 2348,
  [3845] = 2348,
  [3846] = 3846,
  [3847] = 3846,
  [3848] = 3846,
  [3849] = 2348,
  [3850] = 3846,
  [3851] = 3846,
  [3852] = 3846,
  [3853] = 3846,
  [3854] = 3846,
  [3855] = 3846,
  [3856] = 3846,
  [3857] = 3846,
  [3858] = 3846,
  [3859] = 3846,
  [3860] = 3846,
  [3861] = 3846,
  [3862] = 3846,
  [3863] = 3846,
  [3864] = 3846,
  [3865] = 3846,
  [3866] = 3846,
  [3867] = 3846,
  [3868] = 3846,
  [3869] = 3846,
  [3870] = 3846,
  [3871] = 3846,
  [3872] = 3846,
  [3873] = 3846,
  [3874] = 3846,
  [3875] = 3846,
  [3876] = 3846,
  [3877] = 3846,
  [3878] = 3846,
  [3879] = 3846,
  [3880] = 3846,
  [3881] = 3846,
  [3882] = 3882,
  [3883] = 3846,
  [3884] = 3884,
  [3885] = 3846,
  [3886] = 3846,
  [3887] = 3846,
  [3888] = 3846,
  [3889] = 3846,
  [3890] = 3846,
  [3891] = 3846,
  [3892] = 3846,
  [3893] = 3846,
  [3894] = 3846,
  [3895] = 3846,
  [3896] = 3846,
  [3897] = 3846,
  [3898] = 3846,
  [3899] = 3846,
  [3900] = 3846,
  [3901] = 3846,
  [3902] = 3846,
  [3903] = 3846,
  [3904] = 3846,
  [3905] = 3905,
  [3906] = 3906,
  [3907] = 3906,
  [3908] = 3905,
  [3909] = 3906,
  [3910] = 3906,
  [3911] = 3905,
  [3912] = 3906,
  [3913] = 3905,
  [3914] = 3905,
  [3915] = 3905,
  [3916] = 3906,
  [3917] = 3905,
  [3918] = 3906,
  [3919] = 3905,
  [3920] = 3906,
  [3921] = 3906,
  [3922] = 3922,
  [3923] = 3905,
  [3924] = 3906,
  [3925] = 3905,
  [3926] = 3906,
  [3927] = 3905,
  [3928] = 3906,
  [3929] = 3905,
  [3930] = 3905,
  [3931] = 3905,
  [3932] = 3906,
  [3933] = 3905,
  [3934] = 3922,
  [3935] = 3906,
  [3936] = 3906,
  [3937] = 3905,
  [3938] = 3906,
  [3939] = 3905,
  [3940] = 3882,
  [3941] = 3906,
  [3942] = 3942,
  [3943] = 3905,
  [3944] = 3906,
  [3945] = 3906,
  [3946] = 3906,
  [3947] = 3905,
  [3948] = 3905,
  [3949] = 3905,
  [3950] = 3905,
  [3951] = 3906,
  [3952] = 3906,
  [3953] = 3905,
  [3954] = 3905,
  [3955] = 3906,
  [3956] = 3906,
  [3957] = 3905,
  [3958] = 3942,
  [3959] = 3906,
  [3960] = 3884,
  [3961] = 3906,
  [3962] = 3905,
  [3963] = 3906,
  [3964] = 3905,
  [3965] = 3905,
  [3966] = 3906,
  [3967] = 3906,
  [3968] = 3905,
  [3969] = 3905,
  [3970] = 3906,
  [3971] = 3906,
  [3972] = 3906,
  [3973] = 3906,
  [3974] = 3905,
  [3975] = 3906,
  [3976] = 3905,
  [3977] = 3906,
  [3978] = 3906,
  [3979] = 3905,
  [3980] = 3906,
  [3981] = 3905,
  [3982] = 3906,
  [3983] = 3906,
  [3984] = 3906,
  [3985] = 3906,
  [3986] = 3905,
  [3987] = 3906,
  [3988] = 3905,
  [3989] = 3906,
  [3990] = 3906,
  [3991] = 3905,
  [3992] = 3905,
  [3993] = 3905,
  [3994] = 3905,
  [3995] = 3905,
  [3996] = 3906,
  [3997] = 3906,
  [3998] = 3905,
  [3999] = 3906,
  [4000] = 3905,
  [4001] = 3906,
  [4002] = 3905,
  [4003] = 3905,
  [4004] = 3905,
  [4005] = 3905,
  [4006] = 3906,
  [4007] = 3906,
  [4008] = 3906,
  [4009] = 3905,
  [4010] = 3906,
  [4011] = 3905,
  [4012] = 3905,
  [4013] = 3905,
  [4014] = 3906,
  [4015] = 3905,
  [4016] = 3906,
  [4017] = 3906,
  [4018] = 3905,
  [4019] = 3905,
  [4020] = 3905,
  [4021] = 3906,
  [4022] = 3905,
  [4023] = 3882,
  [4024] = 3884,
  [4025] = 3884,
  [4026] = 3884,
  [4027] = 3882,
  [4028] = 4028,
  [4029] = 4029,
  [4030] = 3884,
  [4031] = 3882,
  [4032] = 3882,
  [4033] = 3884,
  [4034] = 3882,
  [4035] = 3882,
  [4036] = 4036,
  [4037] = 3882,
  [4038] = 3884,
  [4039] = 4039,
  [4040] = 3884,
  [4041] = 3882,
  [4042] = 3884,
  [4043] = 3884,
  [4044] = 4039,
  [4045] = 3882,
  [4046] = 3884,
  [4047] = 3882,
  [4048] = 4039,
  [4049] = 3884,
  [4050] = 3882,
  [4051] = 3882,
  [4052] = 3884,
  [4053] = 3884,
  [4054] = 3884,
  [4055] = 3882,
  [4056] = 3882,
  [4057] = 3884,
  [4058] = 3884,
  [4059] = 3882,
  [4060] = 3884,
  [4061] = 3882,
  [4062] = 3882,
  [4063] = 3884,
  [4064] = 4064,
  [4065] = 3884,
  [4066] = 3882,
  [4067] = 3882,
  [4068] = 3882,
  [4069] = 4064,
  [4070] = 3884,
  [4071] = 4071,
  [4072] = 3882,
  [4073] = 3884,
  [4074] = 4074,
  [4075] = 3882,
  [4076] = 3884,
  [4077] = 3884,
  [4078] = 3882,
  [4079] = 4079,
  [4080] = 4079,
  [4081] = 4079,
  [4082] = 4079,
  [4083] = 4079,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4085,
  [4088] = 4079,
  [4089] = 4079,
  [4090] = 4090,
  [4091] = 4091,
  [4092] = 4079,
  [4093] = 4079,
  [4094] = 4084,
  [4095] = 4079,
  [4096] = 4079,
  [4097] = 4079,
  [4098] = 4098,
  [4099] = 4079,
  [4100] = 4079,
  [4101] = 4079,
  [4102] = 4085,
  [4103] = 4079,
  [4104] = 4079,
  [4105] = 4091,
  [4106] = 4074,
  [4107] = 4084,
  [4108] = 4079,
  [4109] = 4086,
  [4110] = 4098,
  [4111] = 4090,
  [4112] = 4079,
  [4113] = 4079,
  [4114] = 4079,
  [4115] = 4079,
  [4116] = 4079,
  [4117] = 4079,
  [4118] = 4086,
  [4119] = 4079,
  [4120] = 4079,
  [4121] = 4079,
  [4122] = 4079,
  [4123] = 4079,
  [4124] = 4079,
  [4125] = 4079,
  [4126] = 4091,
  [4127] = 4079,
  [4128] = 4084,
  [4129] = 4098,
  [4130] = 4084,
  [4131] = 4079,
  [4132] = 4085,
  [4133] = 4079,
  [4134] = 4085,
  [4135] = 4079,
  [4136] = 4079,
  [4137] = 4137,
  [4138] = 3882,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 4139,
  [4142] = 4142,
  [4143] = 4139,
  [4144] = 4140,
  [4145] = 4137,
  [4146] = 4146,
  [4147] = 4147,
  [4148] = 4148,
  [4149] = 4146,
  [4150] = 4147,
  [4151] = 4151,
  [4152] = 4151,
  [4153] = 4153,
  [4154] = 4142,
  [4155] = 4146,
  [4156] = 4156,
  [4157] = 4151,
  [4158] = 4140,
  [4159] = 4147,
  [4160] = 4139,
  [4161] = 4137,
  [4162] = 4162,
  [4163] = 4163,
  [4164] = 4139,
  [4165] = 4142,
  [4166] = 4156,
  [4167] = 4142,
  [4168] = 4162,
  [4169] = 4163,
  [4170] = 4163,
  [4171] = 4163,
  [4172] = 4162,
  [4173] = 4148,
  [4174] = 4142,
  [4175] = 3884,
  [4176] = 4148,
  [4177] = 4163,
  [4178] = 4156,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4180,
  [4182] = 4180,
  [4183] = 4180,
  [4184] = 4180,
  [4185] = 4180,
  [4186] = 4180,
  [4187] = 4180,
  [4188] = 4180,
  [4189] = 4180,
  [4190] = 4180,
  [4191] = 4180,
  [4192] = 4180,
  [4193] = 4180,
  [4194] = 4180,
  [4195] = 4180,
  [4196] = 4180,
  [4197] = 4180,
  [4198] = 4180,
  [4199] = 4180,
  [4200] = 4180,
  [4201] = 4180,
  [4202] = 4180,
  [4203] = 4180,
  [4204] = 4180,
  [4205] = 4180,
  [4206] = 4180,
  [4207] = 4180,
  [4208] = 4180,
  [4209] = 4180,
  [4210] = 4180,
  [4211] = 4180,
  [4212] = 4180,
  [4213] = 4180,
  [4214] = 4180,
  [4215] = 4180,
  [4216] = 4180,
  [4217] = 4180,
  [4218] = 4180,
  [4219] = 4180,
  [4220] = 4180,
  [4221] = 4180,
  [4222] = 4180,
  [4223] = 4180,
  [4224] = 4180,
  [4225] = 4180,
  [4226] = 4180,
  [4227] = 4180,
  [4228] = 4180,
  [4229] = 4180,
  [4230] = 4180,
  [4231] = 4180,
  [4232] = 4180,
  [4233] = 4180,
  [4234] = 4180,
  [4235] = 4180,
  [4236] = 4180,
  [4237] = 4180,
  [4238] = 4180,
  [4239] = 4180,
  [4240] = 4180,
  [4241] = 4241,
  [4242] = 4180,
  [4243] = 4180,
  [4244] = 4244,
  [4245] = 4245,
  [4246] = 4246,
  [4247] = 4246,
  [4248] = 4246,
  [4249] = 4249,
  [4250] = 4250,
  [4251] = 4246,
  [4252] = 4249,
  [4253] = 4246,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 4254,
  [4258] = 4256,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4263,
  [4264] = 4249,
  [4265] = 4256,
  [4266] = 4266,
  [4267] = 4262,
  [4268] = 4262,
  [4269] = 4269,
  [4270] = 4254,
  [4271] = 4254,
  [4272] = 4262,
  [4273] = 4261,
  [4274] = 4269,
  [4275] = 4254,
  [4276] = 4256,
  [4277] = 4263,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4280,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4287,
  [4290] = 4259,
  [4291] = 4284,
  [4292] = 4292,
  [4293] = 4293,
  [4294] = 4294,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4255,
  [4298] = 4283,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 4295,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4299,
  [4307] = 4307,
  [4308] = 4293,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4284,
  [4316] = 4316,
  [4317] = 4312,
  [4318] = 4295,
  [4319] = 4266,
  [4320] = 4301,
  [4321] = 4255,
  [4322] = 4288,
  [4323] = 4281,
  [4324] = 4299,
  [4325] = 4312,
  [4326] = 4312,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4293,
  [4330] = 4300,
  [4331] = 4313,
  [4332] = 4328,
  [4333] = 4304,
  [4334] = 4327,
  [4335] = 4335,
  [4336] = 4294,
  [4337] = 4328,
  [4338] = 4305,
  [4339] = 4339,
  [4340] = 4335,
  [4341] = 4284,
  [4342] = 4292,
  [4343] = 4339,
  [4344] = 4335,
  [4345] = 4263,
  [4346] = 4312,
  [4347] = 4284,
  [4348] = 4292,
  [4349] = 4328,
  [4350] = 4350,
  [4351] = 4294,
  [4352] = 4299,
  [4353] = 4313,
  [4354] = 4335,
  [4355] = 4288,
  [4356] = 4284,
  [4357] = 4294,
  [4358] = 4299,
  [4359] = 4283,
  [4360] = 4295,
  [4361] = 4311,
  [4362] = 4280,
  [4363] = 4313,
  [4364] = 4293,
  [4365] = 4335,
  [4366] = 4313,
  [4367] = 4283,
  [4368] = 4266,
  [4369] = 4284,
  [4370] = 4301,
  [4371] = 4280,
  [4372] = 4259,
  [4373] = 4373,
  [4374] = 4301,
  [4375] = 4292,
  [4376] = 4328,
  [4377] = 4305,
  [4378] = 4292,
  [4379] = 4266,
  [4380] = 4266,
  [4381] = 4305,
  [4382] = 4288,
  [4383] = 4266,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4384,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4388,
  [4390] = 4387,
  [4391] = 4391,
  [4392] = 4384,
  [4393] = 3882,
  [4394] = 4384,
  [4395] = 3882,
  [4396] = 4396,
  [4397] = 4260,
  [4398] = 4287,
  [4399] = 4384,
  [4400] = 4384,
  [4401] = 4387,
  [4402] = 4281,
  [4403] = 4388,
  [4404] = 4350,
  [4405] = 4245,
  [4406] = 4287,
  [4407] = 4350,
  [4408] = 4384,
  [4409] = 4384,
  [4410] = 4384,
  [4411] = 4384,
  [4412] = 4266,
  [4413] = 3884,
  [4414] = 4266,
  [4415] = 4281,
  [4416] = 4384,
  [4417] = 4384,
  [4418] = 4255,
  [4419] = 4266,
  [4420] = 4384,
  [4421] = 4421,
  [4422] = 4259,
  [4423] = 4287,
  [4424] = 4303,
  [4425] = 4425,
  [4426] = 4255,
  [4427] = 4263,
  [4428] = 4255,
  [4429] = 4388,
  [4430] = 4430,
  [4431] = 4384,
  [4432] = 4259,
  [4433] = 3884,
  [4434] = 4384,
  [4435] = 4263,
  [4436] = 4387,
  [4437] = 4384,
  [4438] = 4263,
  [4439] = 4384,
  [4440] = 4281,
  [4441] = 4303,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 4384,
  [4446] = 4446,
  [4447] = 4388,
  [4448] = 4384,
  [4449] = 4287,
  [4450] = 4387,
  [4451] = 4451,
  [4452] = 4281,
  [4453] = 4384,
  [4454] = 4266,
  [4455] = 4281,
  [4456] = 4384,
  [4457] = 4266,
  [4458] = 4287,
  [4459] = 4384,
  [4460] = 4384,
  [4461] = 4350,
  [4462] = 4384,
  [4463] = 4259,
  [4464] = 4266,
  [4465] = 4303,
  [4466] = 4384,
  [4467] = 4266,
  [4468] = 4446,
  [4469] = 4287,
  [4470] = 3882,
  [4471] = 4444,
  [4472] = 4282,
  [4473] = 4281,
  [4474] = 4303,
  [4475] = 4475,
  [4476] = 4281,
  [4477] = 4245,
  [4478] = 4281,
  [4479] = 4287,
  [4480] = 4296,
  [4481] = 4350,
  [4482] = 4259,
  [4483] = 4281,
  [4484] = 4303,
  [4485] = 4307,
  [4486] = 4486,
  [4487] = 4266,
  [4488] = 4281,
  [4489] = 4260,
  [4490] = 4310,
  [4491] = 4443,
  [4492] = 4260,
  [4493] = 4287,
  [4494] = 4281,
  [4495] = 4281,
  [4496] = 3882,
  [4497] = 4255,
  [4498] = 4179,
  [4499] = 4266,
  [4500] = 4266,
  [4501] = 3884,
  [4502] = 4391,
  [4503] = 4287,
  [4504] = 4486,
  [4505] = 4505,
  [4506] = 4287,
  [4507] = 4266,
  [4508] = 4430,
  [4509] = 4287,
  [4510] = 4266,
  [4511] = 4303,
  [4512] = 4245,
  [4513] = 4263,
  [4514] = 4443,
  [4515] = 4446,
  [4516] = 4281,
  [4517] = 4505,
  [4518] = 3884,
  [4519] = 4303,
  [4520] = 3884,
  [4521] = 4255,
  [4522] = 4266,
  [4523] = 4263,
  [4524] = 4350,
  [4525] = 4266,
  [4526] = 4287,
  [4527] = 4350,
  [4528] = 4255,
  [4529] = 4260,
  [4530] = 4350,
  [4531] = 4266,
  [4532] = 4446,
  [4533] = 4303,
  [4534] = 4534,
  [4535] = 3882,
  [4536] = 3884,
  [4537] = 4259,
  [4538] = 4443,
  [4539] = 4430,
  [4540] = 4263,
  [4541] = 4287,
  [4542] = 3882,
  [4543] = 4373,
  [4544] = 4259,
  [4545] = 3884,
  [4546] = 4255,
  [4547] = 4286,
  [4548] = 4250,
  [4549] = 4279,
  [4550] = 3882,
  [4551] = 4309,
  [4552] = 4255,
  [4553] = 4314,
  [4554] = 3884,
  [4555] = 3882,
  [4556] = 3884,
  [4557] = 4266,
  [4558] = 4391,
  [4559] = 4316,
  [4560] = 4443,
  [4561] = 4350,
  [4562] = 4278,
  [4563] = 4446,
  [4564] = 4444,
  [4565] = 4245,
  [4566] = 3884,
  [4567] = 3882,
  [4568] = 4179,
  [4569] = 4281,
  [4570] = 4444,
  [4571] = 4571,
  [4572] = 4263,
  [4573] = 4259,
  [4574] = 3882,
  [4575] = 4266,
  [4576] = 4310,
  [4577] = 3884,
  [4578] = 4578,
  [4579] = 4307,
  [4580] = 4505,
  [4581] = 4296,
  [4582] = 4287,
  [4583] = 4583,
  [4584] = 4281,
  [4585] = 3884,
  [4586] = 4255,
  [4587] = 3884,
  [4588] = 4255,
  [4589] = 3882,
  [4590] = 3884,
  [4591] = 3882,
  [4592] = 4255,
  [4593] = 4255,
  [4594] = 4443,
  [4595] = 4595,
  [4596] = 4446,
  [4597] = 4534,
  [4598] = 4281,
  [4599] = 4179,
  [4600] = 4310,
  [4601] = 4307,
  [4602] = 4296,
  [4603] = 4287,
  [4604] = 4281,
  [4605] = 4287,
  [4606] = 3884,
  [4607] = 4391,
  [4608] = 4444,
  [4609] = 4303,
  [4610] = 4266,
  [4611] = 4179,
  [4612] = 4245,
  [4613] = 4266,
  [4614] = 4350,
  [4615] = 4310,
  [4616] = 4307,
  [4617] = 4296,
  [4618] = 4446,
  [4619] = 4245,
  [4620] = 4443,
  [4621] = 4486,
  [4622] = 3882,
  [4623] = 4430,
  [4624] = 4314,
  [4625] = 3884,
  [4626] = 4303,
  [4627] = 4266,
  [4628] = 4303,
  [4629] = 3882,
  [4630] = 4281,
  [4631] = 4259,
  [4632] = 3884,
  [4633] = 4255,
  [4634] = 4373,
  [4635] = 4260,
  [4636] = 4282,
  [4637] = 4260,
  [4638] = 3882,
  [4639] = 4255,
  [4640] = 4278,
  [4641] = 4255,
  [4642] = 4287,
  [4643] = 4286,
  [4644] = 4279,
  [4645] = 4282,
  [4646] = 3882,
  [4647] = 4350,
  [4648] = 3884,
  [4649] = 3882,
  [4650] = 4505,
  [4651] = 4373,
  [4652] = 4350,
  [4653] = 4278,
  [4654] = 4286,
  [4655] = 4279,
  [4656] = 4309,
  [4657] = 4314,
  [4658] = 4309,
  [4659] = 4316,
  [4660] = 4350,
  [4661] = 4260,
  [4662] = 4250,
  [4663] = 4505,
  [4664] = 4316,
  [4665] = 3882,
  [4666] = 4303,
  [4667] = 4255,
  [4668] = 4391,
  [4669] = 4282,
  [4670] = 4245,
  [4671] = 4266,
  [4672] = 4266,
  [4673] = 4486,
  [4674] = 4350,
  [4675] = 4259,
  [4676] = 4443,
  [4677] = 4446,
  [4678] = 4245,
  [4679] = 4263,
  [4680] = 4260,
  [4681] = 4245,
  [4682] = 4303,
  [4683] = 4255,
  [4684] = 4255,
  [4685] = 4444,
  [4686] = 4287,
  [4687] = 4486,
  [4688] = 3884,
  [4689] = 4255,
  [4690] = 4263,
  [4691] = 4303,
  [4692] = 4250,
  [4693] = 4451,
  [4694] = 4266,
  [4695] = 4266,
  [4696] = 4263,
  [4697] = 4266,
  [4698] = 4259,
  [4699] = 4446,
  [4700] = 4443,
  [4701] = 4443,
  [4702] = 4260,
  [4703] = 4287,
  [4704] = 4430,
  [4705] = 4281,
  [4706] = 4260,
  [4707] = 4281,
  [4708] = 4391,
  [4709] = 4266,
  [4710] = 4443,
  [4711] = 4255,
  [4712] = 4245,
  [4713] = 4534,
  [4714] = 4446,
  [4715] = 4316,
  [4716] = 4446,
  [4717] = 4266,
  [4718] = 4281,
  [4719] = 4309,
  [4720] = 4443,
  [4721] = 4281,
  [4722] = 4446,
  [4723] = 4373,
  [4724] = 4282,
  [4725] = 4279,
  [4726] = 4303,
  [4727] = 4286,
  [4728] = 4278,
  [4729] = 4287,
  [4730] = 4286,
  [4731] = 4296,
  [4732] = 4278,
  [4733] = 4279,
  [4734] = 4309,
  [4735] = 4430,
  [4736] = 4307,
  [4737] = 4281,
  [4738] = 4373,
  [4739] = 4314,
  [4740] = 4287,
  [4741] = 4350,
  [4742] = 4310,
  [4743] = 4250,
  [4744] = 4316,
  [4745] = 4287,
  [4746] = 4505,
  [4747] = 4486,
  [4748] = 4287,
  [4749] = 4179,
  [4750] = 4385,
  [4751] = 4350,
  [4752] = 4505,
  [4753] = 4442,
  [4754] = 4425,
  [4755] = 4314,
  [4756] = 4486,
  [4757] = 4250,
  [4758] = 3884,
  [4759] = 4266,
  [4760] = 4350,
  [4761] = 4255,
  [4762] = 4303,
  [4763] = 4282,
  [4764] = 4486,
  [4765] = 4534,
  [4766] = 4350,
  [4767] = 4350,
  [4768] = 4583,
  [4769] = 4287,
  [4770] = 4281,
  [4771] = 4350,
  [4772] = 4505,
  [4773] = 4486,
  [4774] = 4314,
  [4775] = 4282,
  [4776] = 4266,
  [4777] = 4578,
  [4778] = 4260,
  [4779] = 4779,
  [4780] = 4282,
  [4781] = 4263,
  [4782] = 4250,
  [4783] = 4505,
  [4784] = 4303,
  [4785] = 4373,
  [4786] = 4446,
  [4787] = 4443,
  [4788] = 4260,
  [4789] = 4278,
  [4790] = 4316,
  [4791] = 4350,
  [4792] = 4286,
  [4793] = 4793,
  [4794] = 4316,
  [4795] = 4250,
  [4796] = 4279,
  [4797] = 4279,
  [4798] = 4250,
  [4799] = 4286,
  [4800] = 4314,
  [4801] = 4309,
  [4802] = 4350,
  [4803] = 4287,
  [4804] = 4309,
  [4805] = 4259,
  [4806] = 4486,
  [4807] = 4279,
  [4808] = 4303,
  [4809] = 4286,
  [4810] = 4446,
  [4811] = 4278,
  [4812] = 4278,
  [4813] = 4263,
  [4814] = 4266,
  [4815] = 4316,
  [4816] = 3882,
  [4817] = 4373,
  [4818] = 4373,
  [4819] = 4303,
  [4820] = 4266,
  [4821] = 4821,
  [4822] = 4443,
  [4823] = 4282,
  [4824] = 4255,
  [4825] = 4309,
  [4826] = 4287,
  [4827] = 4266,
  [4828] = 4828,
  [4829] = 4255,
  [4830] = 4260,
  [4831] = 4303,
  [4832] = 4316,
  [4833] = 4303,
  [4834] = 4385,
  [4835] = 4281,
  [4836] = 4282,
  [4837] = 4266,
  [4838] = 4263,
  [4839] = 4281,
  [4840] = 4442,
  [4841] = 4281,
  [4842] = 4266,
  [4843] = 4595,
  [4844] = 4444,
  [4845] = 4260,
  [4846] = 4309,
  [4847] = 4255,
  [4848] = 4486,
  [4849] = 4259,
  [4850] = 4282,
  [4851] = 4255,
  [4852] = 4281,
  [4853] = 4828,
  [4854] = 4287,
  [4855] = 4255,
  [4856] = 4260,
  [4857] = 4281,
  [4858] = 4279,
  [4859] = 4595,
  [4860] = 4505,
  [4861] = 4245,
  [4862] = 4255,
  [4863] = 4391,
  [4864] = 4571,
  [4865] = 4266,
  [4866] = 4281,
  [4867] = 4245,
  [4868] = 4255,
  [4869] = 4250,
  [4870] = 4255,
  [4871] = 4286,
  [4872] = 3882,
  [4873] = 4314,
  [4874] = 4874,
  [4875] = 4281,
  [4876] = 4296,
  [4877] = 4278,
  [4878] = 4287,
  [4879] = 4296,
  [4880] = 4486,
  [4881] = 4245,
  [4882] = 4255,
  [4883] = 4303,
  [4884] = 4307,
  [4885] = 4486,
  [4886] = 4255,
  [4887] = 4287,
  [4888] = 4373,
  [4889] = 4179,
  [4890] = 4534,
  [4891] = 4310,
  [4892] = 3884,
  [4893] = 3884,
  [4894] = 4255,
  [4895] = 3882,
  [4896] = 4307,
  [4897] = 4451,
  [4898] = 4281,
  [4899] = 4430,
  [4900] = 3884,
  [4901] = 3882,
  [4902] = 4281,
  [4903] = 4310,
  [4904] = 4446,
  [4905] = 4314,
  [4906] = 4287,
  [4907] = 3884,
  [4908] = 3882,
  [4909] = 4287,
  [4910] = 4451,
  [4911] = 3884,
  [4912] = 4505,
  [4913] = 3882,
  [4914] = 3884,
  [4915] = 4443,
  [4916] = 4486,
  [4917] = 4245,
  [4918] = 3882,
  [4919] = 4245,
  [4920] = 4250,
  [4921] = 4486,
  [4922] = 4266,
  [4923] = 4260,
  [4924] = 4446,
  [4925] = 3882,
  [4926] = 3884,
  [4927] = 3884,
  [4928] = 3882,
  [4929] = 4179,
  [4930] = 4425,
  [4931] = 4310,
  [4932] = 4307,
  [4933] = 4296,
  [4934] = 3882,
  [4935] = 4179,
  [4936] = 4451,
  [4937] = 4443,
  [4938] = 4443,
  [4939] = 4571,
  [4940] = 4287,
  [4941] = 4179,
  [4942] = 4259,
  [4943] = 4250,
  [4944] = 4444,
  [4945] = 4446,
  [4946] = 4296,
  [4947] = 4443,
  [4948] = 4505,
  [4949] = 4307,
  [4950] = 4446,
  [4951] = 4266,
  [4952] = 4310,
  [4953] = 4260,
  [4954] = 4446,
  [4955] = 4583,
  [4956] = 4296,
  [4957] = 3882,
  [4958] = 4307,
  [4959] = 4179,
  [4960] = 4443,
  [4961] = 4260,
  [4962] = 4310,
  [4963] = 3884,
  [4964] = 4779,
  [4965] = 4179,
  [4966] = 4578,
  [4967] = 3882,
  [4968] = 4316,
  [4969] = 3884,
  [4970] = 4578,
  [4971] = 4282,
  [4972] = 4296,
  [4973] = 4255,
  [4974] = 4307,
  [4975] = 4266,
  [4976] = 4310,
  [4977] = 4260,
  [4978] = 4310,
  [4979] = 4583,
  [4980] = 4307,
  [4981] = 4255,
  [4982] = 4430,
  [4983] = 4443,
  [4984] = 4296,
  [4985] = 4385,
  [4986] = 4245,
  [4987] = 4245,
  [4988] = 4505,
  [4989] = 4314,
  [4990] = 4373,
  [4991] = 4278,
  [4992] = 4446,
  [4993] = 4442,
  [4994] = 4425,
  [4995] = 4821,
  [4996] = 4179,
  [4997] = 4279,
  [4998] = 4309,
  [4999] = 4505,
  [5000] = 4314,
  [5001] = 4281,
  [5002] = 4266,
  [5003] = 4534,
  [5004] = 3884,
  [5005] = 4287,
  [5006] = 4316,
  [5007] = 4255,
  [5008] = 4309,
  [5009] = 4443,
  [5010] = 4373,
  [5011] = 4250,
  [5012] = 4286,
  [5013] = 4278,
  [5014] = 4446,
  [5015] = 4286,
  [5016] = 4505,
  [5017] = 4279,
  [5018] = 4245,
  [5019] = 4279,
  [5020] = 4430,
  [5021] = 4287,
  [5022] = 4425,
  [5023] = 4442,
  [5024] = 4385,
  [5025] = 4266,
  [5026] = 4442,
  [5027] = 4316,
  [5028] = 4266,
  [5029] = 4255,
  [5030] = 4266,
  [5031] = 4179,
  [5032] = 4286,
  [5033] = 4425,
  [5034] = 4443,
  [5035] = 4373,
  [5036] = 4259,
  [5037] = 4263,
  [5038] = 4446,
  [5039] = 4278,
  [5040] = 4309,
  [5041] = 4391,
  [5042] = 4245,
  [5043] = 4385,
  [5044] = 4350,
  [5045] = 4391,
  [5046] = 4451,
  [5047] = 4314,
  [5048] = 4350,
  [5049] = 4385,
  [5050] = 5050,
  [5051] = 4314,
  [5052] = 4310,
  [5053] = 4287,
  [5054] = 4309,
  [5055] = 4279,
  [5056] = 4286,
  [5057] = 4444,
  [5058] = 4278,
  [5059] = 4350,
  [5060] = 4373,
  [5061] = 4266,
  [5062] = 4245,
  [5063] = 4245,
  [5064] = 4287,
  [5065] = 5065,
  [5066] = 3882,
  [5067] = 4310,
  [5068] = 4307,
  [5069] = 5069,
  [5070] = 4296,
  [5071] = 4260,
  [5072] = 3884,
  [5073] = 4444,
  [5074] = 4281,
  [5075] = 4282,
  [5076] = 4245,
  [5077] = 4307,
  [5078] = 4316,
  [5079] = 4282,
  [5080] = 4266,
  [5081] = 4281,
  [5082] = 4821,
  [5083] = 4779,
  [5084] = 4250,
  [5085] = 3882,
  [5086] = 5086,
  [5087] = 4350,
  [5088] = 4595,
  [5089] = 4443,
  [5090] = 4446,
  [5091] = 4287,
  [5092] = 4296,
  [5093] = 4179,
  [5094] = 4314,
  [5095] = 4266,
  [5096] = 4287,
  [5097] = 4282,
  [5098] = 4281,
  [5099] = 4266,
  [5100] = 4255,
  [5101] = 4281,
  [5102] = 4821,
  [5103] = 5103,
  [5104] = 4287,
  [5105] = 4303,
  [5106] = 3884,
  [5107] = 4828,
  [5108] = 5108,
  [5109] = 4281,
  [5110] = 4534,
  [5111] = 4821,
  [5112] = 4373,
  [5113] = 3882,
  [5114] = 4260,
  [5115] = 4350,
  [5116] = 4451,
  [5117] = 4425,
  [5118] = 4266,
  [5119] = 4442,
  [5120] = 4282,
  [5121] = 4385,
  [5122] = 4505,
  [5123] = 4793,
  [5124] = 4179,
  [5125] = 4446,
  [5126] = 4779,
  [5127] = 4350,
  [5128] = 4443,
  [5129] = 4373,
  [5130] = 4446,
  [5131] = 4296,
  [5132] = 4307,
  [5133] = 4310,
  [5134] = 4443,
  [5135] = 3884,
  [5136] = 4278,
  [5137] = 4266,
  [5138] = 4443,
  [5139] = 5139,
  [5140] = 4255,
  [5141] = 4385,
  [5142] = 5142,
  [5143] = 4278,
  [5144] = 4245,
  [5145] = 4446,
  [5146] = 4286,
  [5147] = 4442,
  [5148] = 4314,
  [5149] = 4425,
  [5150] = 4179,
  [5151] = 4571,
  [5152] = 4260,
  [5153] = 4571,
  [5154] = 4303,
  [5155] = 4296,
  [5156] = 4307,
  [5157] = 4373,
  [5158] = 4310,
  [5159] = 4278,
  [5160] = 4245,
  [5161] = 4179,
  [5162] = 4287,
  [5163] = 4874,
  [5164] = 3882,
  [5165] = 4296,
  [5166] = 4443,
  [5167] = 4307,
  [5168] = 4279,
  [5169] = 4309,
  [5170] = 5065,
  [5171] = 4310,
  [5172] = 4255,
  [5173] = 3884,
  [5174] = 4179,
  [5175] = 3882,
  [5176] = 4281,
  [5177] = 4286,
  [5178] = 4578,
  [5179] = 4314,
  [5180] = 3884,
  [5181] = 4266,
  [5182] = 4583,
  [5183] = 4316,
  [5184] = 4296,
  [5185] = 4279,
  [5186] = 4307,
  [5187] = 4310,
  [5188] = 4245,
  [5189] = 4391,
  [5190] = 4446,
  [5191] = 4309,
  [5192] = 4179,
  [5193] = 4260,
  [5194] = 4310,
  [5195] = 4425,
  [5196] = 4303,
  [5197] = 4307,
  [5198] = 4286,
  [5199] = 4179,
  [5200] = 4286,
  [5201] = 4314,
  [5202] = 4310,
  [5203] = 4442,
  [5204] = 4279,
  [5205] = 4316,
  [5206] = 3882,
  [5207] = 4296,
  [5208] = 5208,
  [5209] = 3882,
  [5210] = 4578,
  [5211] = 3884,
  [5212] = 4446,
  [5213] = 4255,
  [5214] = 4583,
  [5215] = 4310,
  [5216] = 4260,
  [5217] = 4281,
  [5218] = 4307,
  [5219] = 4282,
  [5220] = 4296,
  [5221] = 4385,
  [5222] = 5065,
  [5223] = 4443,
  [5224] = 4287,
  [5225] = 4303,
  [5226] = 4309,
  [5227] = 4287,
  [5228] = 4281,
  [5229] = 4179,
  [5230] = 4505,
  [5231] = 4303,
  [5232] = 4486,
  [5233] = 4281,
  [5234] = 4316,
  [5235] = 4430,
  [5236] = 4296,
  [5237] = 4578,
  [5238] = 3884,
  [5239] = 4250,
  [5240] = 4451,
  [5241] = 4534,
  [5242] = 3884,
  [5243] = 4245,
  [5244] = 4307,
  [5245] = 3882,
  [5246] = 4425,
  [5247] = 4486,
  [5248] = 3884,
  [5249] = 3882,
  [5250] = 4350,
  [5251] = 4442,
  [5252] = 3884,
  [5253] = 4595,
  [5254] = 4451,
  [5255] = 4287,
  [5256] = 4281,
  [5257] = 4260,
  [5258] = 4828,
  [5259] = 4486,
  [5260] = 4583,
  [5261] = 4259,
  [5262] = 4505,
  [5263] = 4281,
  [5264] = 4303,
  [5265] = 4451,
  [5266] = 4250,
  [5267] = 4373,
  [5268] = 4266,
  [5269] = 4287,
  [5270] = 4278,
  [5271] = 4259,
  [5272] = 4486,
  [5273] = 4286,
  [5274] = 3882,
  [5275] = 3884,
  [5276] = 4279,
  [5277] = 4309,
  [5278] = 4425,
  [5279] = 5279,
  [5280] = 4314,
  [5281] = 4373,
  [5282] = 4874,
  [5283] = 4442,
  [5284] = 4266,
  [5285] = 3884,
  [5286] = 4245,
  [5287] = 4282,
  [5288] = 4828,
  [5289] = 4179,
  [5290] = 4278,
  [5291] = 4266,
  [5292] = 4316,
  [5293] = 4179,
  [5294] = 4486,
  [5295] = 4373,
  [5296] = 4255,
  [5297] = 4266,
  [5298] = 4828,
  [5299] = 4278,
  [5300] = 4255,
  [5301] = 4255,
  [5302] = 4314,
  [5303] = 4828,
  [5304] = 4255,
  [5305] = 4286,
  [5306] = 5065,
  [5307] = 4255,
  [5308] = 4385,
  [5309] = 4373,
  [5310] = 4250,
  [5311] = 4451,
  [5312] = 4451,
  [5313] = 4286,
  [5314] = 4250,
  [5315] = 4279,
  [5316] = 4281,
  [5317] = 4303,
  [5318] = 4266,
  [5319] = 4278,
  [5320] = 4263,
  [5321] = 4074,
  [5322] = 5322,
  [5323] = 4279,
  [5324] = 4286,
  [5325] = 4279,
  [5326] = 4282,
  [5327] = 4309,
  [5328] = 4309,
  [5329] = 4287,
  [5330] = 4250,
  [5331] = 4309,
  [5332] = 4314,
  [5333] = 5065,
  [5334] = 4505,
  [5335] = 4260,
  [5336] = 4316,
  [5337] = 4505,
  [5338] = 4281,
  [5339] = 4316,
  [5340] = 4505,
  [5341] = 4828,
  [5342] = 4250,
  [5343] = 4314,
  [5344] = 4316,
  [5345] = 3882,
  [5346] = 3882,
  [5347] = 5347,
  [5348] = 3882,
  [5349] = 4350,
  [5350] = 4255,
  [5351] = 4179,
  [5352] = 4373,
  [5353] = 4486,
  [5354] = 4255,
  [5355] = 4828,
  [5356] = 4505,
  [5357] = 4779,
  [5358] = 4486,
  [5359] = 5103,
  [5360] = 4281,
  [5361] = 4278,
  [5362] = 4287,
  [5363] = 4385,
  [5364] = 4425,
  [5365] = 4266,
  [5366] = 4442,
  [5367] = 4250,
  [5368] = 4255,
  [5369] = 4255,
  [5370] = 4391,
  [5371] = 4385,
  [5372] = 4444,
  [5373] = 4255,
  [5374] = 4314,
  [5375] = 4266,
  [5376] = 4282,
  [5377] = 4486,
  [5378] = 4583,
  [5379] = 4578,
  [5380] = 5069,
  [5381] = 4281,
  [5382] = 4255,
  [5383] = 4430,
  [5384] = 4828,
  [5385] = 4451,
  [5386] = 4425,
  [5387] = 4373,
  [5388] = 4350,
  [5389] = 4442,
  [5390] = 4296,
  [5391] = 4287,
  [5392] = 4278,
  [5393] = 4303,
  [5394] = 4505,
  [5395] = 4505,
  [5396] = 4385,
  [5397] = 4286,
  [5398] = 4250,
  [5399] = 4266,
  [5400] = 4279,
  [5401] = 4260,
  [5402] = 4307,
  [5403] = 4779,
  [5404] = 4259,
  [5405] = 5405,
  [5406] = 4309,
  [5407] = 4282,
  [5408] = 4443,
  [5409] = 4303,
  [5410] = 4310,
  [5411] = 4486,
  [5412] = 4578,
  [5413] = 4505,
  [5414] = 4245,
  [5415] = 4255,
  [5416] = 4446,
  [5417] = 4425,
  [5418] = 4316,
  [5419] = 4828,
  [5420] = 4316,
  [5421] = 4263,
  [5422] = 4534,
  [5423] = 4443,
  [5424] = 4255,
  [5425] = 4260,
  [5426] = 4446,
  [5427] = 4266,
  [5428] = 3884,
  [5429] = 4486,
  [5430] = 4571,
  [5431] = 4263,
  [5432] = 4583,
  [5433] = 4430,
  [5434] = 4821,
  [5435] = 4309,
  [5436] = 4443,
  [5437] = 4260,
  [5438] = 4446,
  [5439] = 4821,
  [5440] = 4595,
  [5441] = 4442,
  [5442] = 4430,
  [5443] = 5443,
  [5444] = 4446,
  [5445] = 4282,
  [5446] = 4250,
  [5447] = 4245,
  [5448] = 5448,
  [5449] = 4444,
  [5450] = 4266,
  [5451] = 4255,
  [5452] = 4391,
  [5453] = 4259,
  [5454] = 4779,
  [5455] = 4443,
  [5456] = 4391,
  [5457] = 4279,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 4444,
  [5461] = 4263,
  [5462] = 4350,
  [5463] = 4793,
  [5464] = 4179,
  [5465] = 4430,
  [5466] = 4821,
  [5467] = 4583,
  [5468] = 4310,
  [5469] = 4307,
  [5470] = 4350,
  [5471] = 4442,
  [5472] = 4296,
  [5473] = 4446,
  [5474] = 3884,
  [5475] = 4296,
  [5476] = 5069,
  [5477] = 4310,
  [5478] = 4443,
  [5479] = 4578,
  [5480] = 4425,
  [5481] = 4307,
  [5482] = 4385,
  [5483] = 4583,
  [5484] = 4779,
  [5485] = 4534,
  [5486] = 4779,
  [5487] = 4505,
  [5488] = 4446,
  [5489] = 4821,
  [5490] = 4303,
  [5491] = 4245,
  [5492] = 4266,
  [5493] = 4263,
  [5494] = 4779,
  [5495] = 4260,
  [5496] = 4310,
  [5497] = 4307,
  [5498] = 4534,
  [5499] = 3882,
  [5500] = 4260,
  [5501] = 4443,
  [5502] = 5103,
  [5503] = 4303,
  [5504] = 4296,
  [5505] = 4583,
  [5506] = 4281,
  [5507] = 5405,
  [5508] = 4578,
  [5509] = 4179,
  [5510] = 4779,
  [5511] = 4874,
  [5512] = 3884,
  [5513] = 3882,
  [5514] = 4287,
  [5515] = 4486,
  [5516] = 4179,
  [5517] = 4350,
  [5518] = 4266,
  [5519] = 4828,
  [5520] = 4430,
  [5521] = 4250,
  [5522] = 4821,
  [5523] = 4350,
  [5524] = 4281,
  [5525] = 3884,
  [5526] = 4595,
  [5527] = 4259,
  [5528] = 3882,
  [5529] = 4505,
  [5530] = 4385,
  [5531] = 4391,
  [5532] = 4442,
  [5533] = 4391,
  [5534] = 4281,
  [5535] = 4266,
  [5536] = 4303,
  [5537] = 4444,
  [5538] = 4425,
  [5539] = 4316,
  [5540] = 5103,
  [5541] = 4303,
  [5542] = 4309,
  [5543] = 4255,
  [5544] = 4279,
  [5545] = 4286,
  [5546] = 4278,
  [5547] = 4350,
  [5548] = 4373,
  [5549] = 4281,
  [5550] = 5448,
  [5551] = 4350,
  [5552] = 4266,
  [5553] = 4430,
  [5554] = 4245,
  [5555] = 4314,
  [5556] = 3884,
  [5557] = 4385,
  [5558] = 4446,
  [5559] = 4287,
  [5560] = 5443,
  [5561] = 4442,
  [5562] = 4583,
  [5563] = 4425,
  [5564] = 4486,
  [5565] = 4314,
  [5566] = 4578,
  [5567] = 4260,
  [5568] = 4282,
  [5569] = 4255,
  [5570] = 5279,
  [5571] = 4486,
  [5572] = 4303,
  [5573] = 4583,
  [5574] = 4282,
  [5575] = 4446,
  [5576] = 4534,
  [5577] = 5322,
  [5578] = 4821,
  [5579] = 4179,
  [5580] = 4828,
  [5581] = 4314,
  [5582] = 4350,
  [5583] = 4578,
  [5584] = 4443,
  [5585] = 4443,
  [5586] = 4179,
  [5587] = 4287,
  [5588] = 3884,
  [5589] = 4282,
  [5590] = 4373,
  [5591] = 4578,
  [5592] = 5050,
  [5593] = 4444,
  [5594] = 4425,
  [5595] = 4571,
  [5596] = 4278,
  [5597] = 4583,
  [5598] = 5086,
  [5599] = 4442,
  [5600] = 5459,
  [5601] = 5458,
  [5602] = 4303,
  [5603] = 4286,
  [5604] = 4250,
  [5605] = 4279,
  [5606] = 5108,
  [5607] = 4281,
  [5608] = 3882,
  [5609] = 4385,
  [5610] = 4296,
  [5611] = 4074,
  [5612] = 3882,
  [5613] = 4309,
  [5614] = 4287,
  [5615] = 4307,
  [5616] = 5139,
  [5617] = 4310,
  [5618] = 4828,
  [5619] = 4793,
  [5620] = 3884,
  [5621] = 4451,
  [5622] = 4245,
  [5623] = 4316,
  [5624] = 4779,
  [5625] = 4350,
  [5626] = 5208,
  [5627] = 5448,
  [5628] = 3882,
  [5629] = 4828,
  [5630] = 4179,
  [5631] = 4373,
  [5632] = 4287,
  [5633] = 4278,
  [5634] = 4250,
  [5635] = 5635,
  [5636] = 4286,
  [5637] = 4250,
  [5638] = 4279,
  [5639] = 4179,
  [5640] = 4282,
  [5641] = 4316,
  [5642] = 4505,
  [5643] = 4309,
  [5644] = 5405,
  [5645] = 5443,
  [5646] = 5646,
  [5647] = 4255,
  [5648] = 4309,
  [5649] = 4821,
  [5650] = 4451,
  [5651] = 4828,
  [5652] = 5459,
  [5653] = 5458,
  [5654] = 5654,
  [5655] = 4279,
  [5656] = 4316,
  [5657] = 4828,
  [5658] = 4255,
  [5659] = 4821,
  [5660] = 4286,
  [5661] = 4255,
  [5662] = 4278,
  [5663] = 4350,
  [5664] = 4373,
  [5665] = 4314,
  [5666] = 4821,
  [5667] = 5667,
  [5668] = 4260,
  [5669] = 5322,
  [5670] = 4255,
  [5671] = 4828,
  [5672] = 4303,
  [5673] = 4595,
  [5674] = 4779,
  [5675] = 4571,
  [5676] = 4828,
  [5677] = 4779,
  [5678] = 4828,
  [5679] = 4260,
  [5680] = 4828,
  [5681] = 4255,
  [5682] = 4443,
  [5683] = 4446,
  [5684] = 4821,
  [5685] = 5685,
  [5686] = 4486,
  [5687] = 5208,
  [5688] = 5688,
  [5689] = 4260,
  [5690] = 4281,
  [5691] = 5691,
  [5692] = 5139,
  [5693] = 5108,
  [5694] = 4245,
  [5695] = 5695,
  [5696] = 5459,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 4260,
  [5700] = 5700,
  [5701] = 4263,
  [5702] = 5458,
  [5703] = 4391,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5405,
  [5708] = 5086,
  [5709] = 5709,
  [5710] = 5050,
  [5711] = 5448,
  [5712] = 4281,
  [5713] = 5713,
  [5714] = 4385,
  [5715] = 4282,
  [5716] = 4245,
  [5717] = 5717,
  [5718] = 4442,
  [5719] = 4793,
  [5720] = 5720,
  [5721] = 4425,
  [5722] = 5722,
  [5723] = 5723,
  [5724] = 4281,
  [5725] = 3884,
  [5726] = 3882,
  [5727] = 4385,
  [5728] = 5208,
  [5729] = 4282,
  [5730] = 5279,
  [5731] = 4442,
  [5732] = 5443,
  [5733] = 5733,
  [5734] = 4425,
  [5735] = 5735,
  [5736] = 5688,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5069,
  [5740] = 4281,
  [5741] = 3884,
  [5742] = 5139,
  [5743] = 4303,
  [5744] = 5103,
  [5745] = 3882,
  [5746] = 5746,
  [5747] = 4296,
  [5748] = 3884,
  [5749] = 3882,
  [5750] = 4307,
  [5751] = 4310,
  [5752] = 3882,
  [5753] = 4505,
  [5754] = 4074,
  [5755] = 3884,
  [5756] = 3882,
  [5757] = 5069,
  [5758] = 4430,
  [5759] = 4443,
  [5760] = 4534,
  [5761] = 5103,
  [5762] = 5108,
  [5763] = 3884,
  [5764] = 3882,
  [5765] = 4446,
  [5766] = 4314,
  [5767] = 3884,
  [5768] = 3882,
  [5769] = 5769,
  [5770] = 3884,
  [5771] = 3884,
  [5772] = 3882,
  [5773] = 3882,
  [5774] = 3884,
  [5775] = 4179,
  [5776] = 4179,
  [5777] = 5086,
  [5778] = 4281,
  [5779] = 4287,
  [5780] = 4282,
  [5781] = 3882,
  [5782] = 4310,
  [5783] = 4250,
  [5784] = 5784,
  [5785] = 4307,
  [5786] = 4296,
  [5787] = 5787,
  [5788] = 5050,
  [5789] = 4179,
  [5790] = 4266,
  [5791] = 4595,
  [5792] = 4310,
  [5793] = 4307,
  [5794] = 4296,
  [5795] = 3884,
  [5796] = 4793,
  [5797] = 4179,
  [5798] = 4373,
  [5799] = 4310,
  [5800] = 4307,
  [5801] = 4296,
  [5802] = 3882,
  [5803] = 3884,
  [5804] = 3884,
  [5805] = 4266,
  [5806] = 4287,
  [5807] = 3884,
  [5808] = 4451,
  [5809] = 3882,
  [5810] = 4278,
  [5811] = 4443,
  [5812] = 5812,
  [5813] = 4266,
  [5814] = 4286,
  [5815] = 4316,
  [5816] = 4314,
  [5817] = 4309,
  [5818] = 4287,
  [5819] = 4279,
  [5820] = 4279,
  [5821] = 4828,
  [5822] = 4255,
  [5823] = 3882,
  [5824] = 4281,
  [5825] = 4245,
  [5826] = 5688,
  [5827] = 4286,
  [5828] = 3884,
  [5829] = 4245,
  [5830] = 4505,
  [5831] = 4278,
  [5832] = 4373,
  [5833] = 4309,
  [5834] = 3882,
  [5835] = 4179,
  [5836] = 4451,
  [5837] = 4281,
  [5838] = 5838,
  [5839] = 4446,
  [5840] = 4316,
  [5841] = 4245,
  [5842] = 4443,
  [5843] = 4260,
  [5844] = 4310,
  [5845] = 4444,
  [5846] = 4874,
  [5847] = 4307,
  [5848] = 4245,
  [5849] = 4260,
  [5850] = 4296,
  [5851] = 4443,
  [5852] = 4245,
  [5853] = 4282,
  [5854] = 4446,
  [5855] = 4391,
  [5856] = 4443,
  [5857] = 4350,
  [5858] = 4446,
  [5859] = 5859,
  [5860] = 4373,
  [5861] = 4278,
  [5862] = 4286,
  [5863] = 4279,
  [5864] = 4282,
  [5865] = 4296,
  [5866] = 4307,
  [5867] = 4309,
  [5868] = 4310,
  [5869] = 4314,
  [5870] = 4281,
  [5871] = 5069,
  [5872] = 4260,
  [5873] = 4316,
  [5874] = 4281,
  [5875] = 4245,
  [5876] = 4287,
  [5877] = 4425,
  [5878] = 4571,
  [5879] = 4505,
  [5880] = 4373,
  [5881] = 4255,
  [5882] = 4278,
  [5883] = 4245,
  [5884] = 4286,
  [5885] = 4250,
  [5886] = 5103,
  [5887] = 4279,
  [5888] = 4179,
  [5889] = 4451,
  [5890] = 4309,
  [5891] = 4314,
  [5892] = 4266,
  [5893] = 4316,
  [5894] = 4281,
  [5895] = 4287,
  [5896] = 4443,
  [5897] = 4385,
  [5898] = 4425,
  [5899] = 4442,
  [5900] = 4250,
  [5901] = 4446,
  [5902] = 4282,
  [5903] = 4385,
  [5904] = 4281,
  [5905] = 4442,
  [5906] = 4486,
  [5907] = 4505,
  [5908] = 4425,
  [5909] = 4260,
  [5910] = 4505,
  [5911] = 4446,
  [5912] = 4443,
  [5913] = 4828,
  [5914] = 4442,
  [5915] = 4287,
  [5916] = 4451,
  [5917] = 4505,
  [5918] = 4255,
  [5919] = 4446,
  [5920] = 4443,
  [5921] = 4373,
  [5922] = 4250,
  [5923] = 4278,
  [5924] = 4446,
  [5925] = 4266,
  [5926] = 4286,
  [5927] = 4279,
  [5928] = 5069,
  [5929] = 4309,
  [5930] = 4314,
  [5931] = 4316,
  [5932] = 4583,
  [5933] = 4486,
  [5934] = 3884,
  [5935] = 4287,
  [5936] = 4316,
  [5937] = 4260,
  [5938] = 4425,
  [5939] = 4314,
  [5940] = 4442,
  [5941] = 4250,
  [5942] = 4486,
  [5943] = 4578,
  [5944] = 4309,
  [5945] = 4279,
  [5946] = 4578,
  [5947] = 4385,
  [5948] = 4286,
  [5949] = 4278,
  [5950] = 4373,
  [5951] = 4287,
  [5952] = 4179,
  [5953] = 4505,
  [5954] = 4281,
  [5955] = 4350,
  [5956] = 4505,
  [5957] = 4446,
  [5958] = 4250,
  [5959] = 4486,
  [5960] = 4443,
  [5961] = 3882,
  [5962] = 4779,
  [5963] = 4310,
  [5964] = 4245,
  [5965] = 4425,
  [5966] = 4307,
  [5967] = 4442,
  [5968] = 4074,
  [5969] = 4296,
  [5970] = 4486,
  [5971] = 4385,
  [5972] = 4486,
  [5973] = 4303,
  [5974] = 4303,
  [5975] = 4245,
  [5976] = 4385,
  [5977] = 4486,
  [5978] = 4451,
  [5979] = 4444,
  [5980] = 4874,
  [5981] = 4260,
  [5982] = 4287,
  [5983] = 4425,
  [5984] = 4259,
  [5985] = 4442,
  [5986] = 4451,
  [5987] = 4260,
  [5988] = 4451,
  [5989] = 4451,
  [5990] = 4425,
  [5991] = 4442,
  [5992] = 4385,
  [5993] = 4385,
  [5994] = 4245,
  [5995] = 4446,
  [5996] = 4443,
  [5997] = 4250,
  [5998] = 4310,
  [5999] = 4373,
  [6000] = 4307,
  [6001] = 4278,
  [6002] = 5322,
  [6003] = 4296,
  [6004] = 4286,
  [6005] = 4279,
  [6006] = 4179,
  [6007] = 4385,
  [6008] = 4309,
  [6009] = 4314,
  [6010] = 4316,
  [6011] = 4179,
  [6012] = 4578,
  [6013] = 4296,
  [6014] = 4425,
  [6015] = 4281,
  [6016] = 4303,
  [6017] = 4287,
  [6018] = 4442,
  [6019] = 4260,
  [6020] = 5139,
  [6021] = 4250,
  [6022] = 4245,
  [6023] = 4451,
  [6024] = 4074,
  [6025] = 4486,
  [6026] = 5706,
  [6027] = 4307,
  [6028] = 4425,
  [6029] = 4310,
  [6030] = 4260,
  [6031] = 4443,
  [6032] = 4486,
  [6033] = 4250,
  [6034] = 3882,
  [6035] = 4287,
  [6036] = 4446,
  [6037] = 4583,
  [6038] = 4314,
  [6039] = 5108,
  [6040] = 4505,
  [6041] = 4534,
  [6042] = 4179,
  [6043] = 4310,
  [6044] = 4307,
  [6045] = 4296,
  [6046] = 4282,
  [6047] = 4245,
  [6048] = 4296,
  [6049] = 4266,
  [6050] = 4307,
  [6051] = 4446,
  [6052] = 4442,
  [6053] = 4443,
  [6054] = 4310,
  [6055] = 4250,
  [6056] = 4316,
  [6057] = 4314,
  [6058] = 4505,
  [6059] = 4425,
  [6060] = 4309,
  [6061] = 4442,
  [6062] = 4443,
  [6063] = 4282,
  [6064] = 5103,
  [6065] = 4279,
  [6066] = 4282,
  [6067] = 4385,
  [6068] = 4373,
  [6069] = 4286,
  [6070] = 4245,
  [6071] = 4446,
  [6072] = 4278,
  [6073] = 4571,
  [6074] = 4373,
  [6075] = 5069,
  [6076] = 4179,
  [6077] = 4179,
  [6078] = 4278,
  [6079] = 4179,
  [6080] = 4296,
  [6081] = 3884,
  [6082] = 4310,
  [6083] = 5208,
  [6084] = 4307,
  [6085] = 4350,
  [6086] = 4296,
  [6087] = 4286,
  [6088] = 4307,
  [6089] = 6089,
  [6090] = 3882,
  [6091] = 4282,
  [6092] = 4310,
  [6093] = 4179,
  [6094] = 4279,
  [6095] = 4583,
  [6096] = 4779,
  [6097] = 4282,
  [6098] = 6098,
  [6099] = 4282,
  [6100] = 3884,
  [6101] = 4255,
  [6102] = 4578,
  [6103] = 4260,
  [6104] = 3882,
  [6105] = 4245,
  [6106] = 4179,
  [6107] = 6107,
  [6108] = 4446,
  [6109] = 4245,
  [6110] = 4282,
  [6111] = 4316,
  [6112] = 4443,
  [6113] = 5208,
  [6114] = 6114,
  [6115] = 3884,
  [6116] = 4310,
  [6117] = 5086,
  [6118] = 4307,
  [6119] = 4309,
  [6120] = 4583,
  [6121] = 4296,
  [6122] = 4451,
  [6123] = 4245,
  [6124] = 4821,
  [6125] = 4260,
  [6126] = 4259,
  [6127] = 4281,
  [6128] = 4260,
  [6129] = 4309,
  [6130] = 3884,
  [6131] = 4443,
  [6132] = 4446,
  [6133] = 4486,
  [6134] = 4828,
  [6135] = 4385,
  [6136] = 3882,
  [6137] = 4260,
  [6138] = 4316,
  [6139] = 4442,
  [6140] = 4425,
  [6141] = 4279,
  [6142] = 4250,
  [6143] = 4250,
  [6144] = 4451,
  [6145] = 4874,
  [6146] = 4179,
  [6147] = 4286,
  [6148] = 3882,
  [6149] = 3884,
  [6150] = 5050,
  [6151] = 4578,
  [6152] = 4451,
  [6153] = 4316,
  [6154] = 4314,
  [6155] = 4316,
  [6156] = 4278,
  [6157] = 4309,
  [6158] = 4779,
  [6159] = 4451,
  [6160] = 4279,
  [6161] = 4286,
  [6162] = 5448,
  [6163] = 4505,
  [6164] = 4260,
  [6165] = 4278,
  [6166] = 4385,
  [6167] = 4373,
  [6168] = 3882,
  [6169] = 4179,
  [6170] = 4373,
  [6171] = 4278,
  [6172] = 4286,
  [6173] = 5322,
  [6174] = 4279,
  [6175] = 4309,
  [6176] = 4373,
  [6177] = 4314,
  [6178] = 4316,
  [6179] = 4779,
  [6180] = 3884,
  [6181] = 4821,
  [6182] = 4385,
  [6183] = 4282,
  [6184] = 4282,
  [6185] = 4442,
  [6186] = 4779,
  [6187] = 4314,
  [6188] = 4373,
  [6189] = 4278,
  [6190] = 4286,
  [6191] = 4250,
  [6192] = 4279,
  [6193] = 4303,
  [6194] = 3884,
  [6195] = 4282,
  [6196] = 4425,
  [6197] = 4309,
  [6198] = 4314,
  [6199] = 4316,
  [6200] = 4287,
  [6201] = 4385,
  [6202] = 3882,
  [6203] = 4779,
  [6204] = 4442,
  [6205] = 4425,
  [6206] = 4425,
  [6207] = 4442,
  [6208] = 5139,
  [6209] = 4821,
  [6210] = 4303,
  [6211] = 4303,
  [6212] = 4385,
  [6213] = 3882,
  [6214] = 4296,
  [6215] = 4307,
  [6216] = 4309,
  [6217] = 4310,
  [6218] = 4179,
  [6219] = 3884,
  [6220] = 3882,
  [6221] = 5443,
  [6222] = 4179,
  [6223] = 4373,
  [6224] = 3882,
  [6225] = 4278,
  [6226] = 4286,
  [6227] = 4821,
  [6228] = 3884,
  [6229] = 4250,
  [6230] = 4279,
  [6231] = 3884,
  [6232] = 4821,
  [6233] = 4309,
  [6234] = 4296,
  [6235] = 4314,
  [6236] = 4307,
  [6237] = 4316,
  [6238] = 4310,
  [6239] = 4179,
  [6240] = 4310,
  [6241] = 4307,
  [6242] = 4296,
  [6243] = 5812,
  [6244] = 4245,
  [6245] = 4821,
  [6246] = 5685,
  [6247] = 5838,
  [6248] = 4296,
  [6249] = 4307,
  [6250] = 5697,
  [6251] = 5698,
  [6252] = 4310,
  [6253] = 4266,
  [6254] = 3884,
  [6255] = 4316,
  [6256] = 4179,
  [6257] = 4373,
  [6258] = 4278,
  [6259] = 4250,
  [6260] = 4595,
  [6261] = 4245,
  [6262] = 4286,
  [6263] = 4486,
  [6264] = 5108,
  [6265] = 3882,
  [6266] = 4250,
  [6267] = 4279,
  [6268] = 3884,
  [6269] = 3882,
  [6270] = 4309,
  [6271] = 4534,
  [6272] = 4287,
  [6273] = 4309,
  [6274] = 4314,
  [6275] = 4316,
  [6276] = 3884,
  [6277] = 3882,
  [6278] = 4287,
  [6279] = 3884,
  [6280] = 4443,
  [6281] = 5050,
  [6282] = 5667,
  [6283] = 5086,
  [6284] = 3882,
  [6285] = 4279,
  [6286] = 4446,
  [6287] = 3884,
  [6288] = 3882,
  [6289] = 4282,
  [6290] = 5108,
  [6291] = 4286,
  [6292] = 4443,
  [6293] = 4279,
  [6294] = 3884,
  [6295] = 4446,
  [6296] = 5139,
  [6297] = 3882,
  [6298] = 5208,
  [6299] = 3882,
  [6300] = 4278,
  [6301] = 4286,
  [6302] = 4425,
  [6303] = 4442,
  [6304] = 4250,
  [6305] = 4385,
  [6306] = 3884,
  [6307] = 4486,
  [6308] = 4266,
  [6309] = 4260,
  [6310] = 4260,
  [6311] = 4373,
  [6312] = 5746,
  [6313] = 5709,
  [6314] = 4446,
  [6315] = 4278,
  [6316] = 3882,
  [6317] = 3884,
  [6318] = 4443,
  [6319] = 4486,
  [6320] = 4373,
  [6321] = 4486,
  [6322] = 4451,
  [6323] = 4255,
  [6324] = 4486,
  [6325] = 4260,
  [6326] = 6326,
  [6327] = 3884,
  [6328] = 4303,
  [6329] = 5086,
  [6330] = 4310,
  [6331] = 4314,
  [6332] = 4074,
  [6333] = 4505,
  [6334] = 4350,
  [6335] = 4779,
  [6336] = 4303,
  [6337] = 4307,
  [6338] = 5050,
  [6339] = 4350,
  [6340] = 4266,
  [6341] = 4446,
  [6342] = 4296,
  [6343] = 4446,
  [6344] = 4287,
  [6345] = 4444,
  [6346] = 4391,
  [6347] = 5737,
  [6348] = 4443,
  [6349] = 4505,
  [6350] = 4779,
  [6351] = 4486,
  [6352] = 4793,
  [6353] = 4385,
  [6354] = 4245,
  [6355] = 4505,
  [6356] = 4430,
  [6357] = 4486,
  [6358] = 4245,
  [6359] = 4373,
  [6360] = 5103,
  [6361] = 4350,
  [6362] = 4255,
  [6363] = 4278,
  [6364] = 5733,
  [6365] = 4286,
  [6366] = 4245,
  [6367] = 4279,
  [6368] = 4443,
  [6369] = 4309,
  [6370] = 4314,
  [6371] = 4821,
  [6372] = 4316,
  [6373] = 4874,
  [6374] = 4255,
  [6375] = 3884,
  [6376] = 4821,
  [6377] = 4505,
  [6378] = 4828,
  [6379] = 4314,
  [6380] = 4793,
  [6381] = 4373,
  [6382] = 6382,
  [6383] = 4278,
  [6384] = 4446,
  [6385] = 4286,
  [6386] = 4250,
  [6387] = 4279,
  [6388] = 4443,
  [6389] = 4793,
  [6390] = 4505,
  [6391] = 4309,
  [6392] = 4303,
  [6393] = 5459,
  [6394] = 4316,
  [6395] = 5458,
  [6396] = 3882,
  [6397] = 4779,
  [6398] = 4250,
  [6399] = 4451,
  [6400] = 4287,
  [6401] = 4828,
  [6402] = 4266,
  [6403] = 4828,
  [6404] = 5069,
  [6405] = 4282,
  [6406] = 5069,
  [6407] = 4442,
  [6408] = 3884,
  [6409] = 4350,
  [6410] = 4281,
  [6411] = 4425,
  [6412] = 5103,
  [6413] = 6413,
  [6414] = 4250,
  [6415] = 6415,
  [6416] = 4505,
  [6417] = 5069,
  [6418] = 6418,
  [6419] = 4179,
  [6420] = 4828,
  [6421] = 4350,
  [6422] = 4578,
  [6423] = 6423,
  [6424] = 4828,
  [6425] = 4583,
  [6426] = 4828,
  [6427] = 4255,
  [6428] = 5103,
  [6429] = 4255,
  [6430] = 4391,
  [6431] = 6431,
  [6432] = 5103,
  [6433] = 4828,
  [6434] = 4793,
  [6435] = 4263,
  [6436] = 3882,
  [6437] = 4266,
  [6438] = 4444,
  [6439] = 4430,
  [6440] = 3882,
  [6441] = 4310,
  [6442] = 4578,
  [6443] = 4425,
  [6444] = 4307,
  [6445] = 4583,
  [6446] = 4442,
  [6447] = 4296,
  [6448] = 4179,
  [6449] = 4828,
  [6450] = 4821,
  [6451] = 5443,
  [6452] = 4385,
  [6453] = 5448,
  [6454] = 4486,
  [6455] = 4260,
  [6456] = 5654,
  [6457] = 5646,
  [6458] = 5691,
  [6459] = 5635,
  [6460] = 5695,
  [6461] = 5700,
  [6462] = 5704,
  [6463] = 4281,
  [6464] = 5705,
  [6465] = 5706,
  [6466] = 5405,
  [6467] = 5717,
  [6468] = 5713,
  [6469] = 5720,
  [6470] = 5069,
  [6471] = 5722,
  [6472] = 5279,
  [6473] = 4578,
  [6474] = 5787,
  [6475] = 4316,
  [6476] = 4287,
  [6477] = 5769,
  [6478] = 5723,
  [6479] = 5735,
  [6480] = 5738,
  [6481] = 5405,
  [6482] = 5769,
  [6483] = 4314,
  [6484] = 4179,
  [6485] = 4874,
  [6486] = 5787,
  [6487] = 4260,
  [6488] = 4505,
  [6489] = 4828,
  [6490] = 4314,
  [6491] = 4309,
  [6492] = 4350,
  [6493] = 5458,
  [6494] = 4310,
  [6495] = 4373,
  [6496] = 5459,
  [6497] = 4578,
  [6498] = 4307,
  [6499] = 4260,
  [6500] = 4571,
  [6501] = 4278,
  [6502] = 4245,
  [6503] = 4583,
  [6504] = 5103,
  [6505] = 4296,
  [6506] = 4779,
  [6507] = 4286,
  [6508] = 4287,
  [6509] = 4583,
  [6510] = 4279,
  [6511] = 4595,
  [6512] = 5050,
  [6513] = 4534,
  [6514] = 4309,
  [6515] = 5086,
  [6516] = 4255,
  [6517] = 4779,
  [6518] = 5709,
  [6519] = 4316,
  [6520] = 4279,
  [6521] = 4391,
  [6522] = 5738,
  [6523] = 4821,
  [6524] = 4286,
  [6525] = 4245,
  [6526] = 5108,
  [6527] = 5667,
  [6528] = 5735,
  [6529] = 4074,
  [6530] = 4385,
  [6531] = 4486,
  [6532] = 4430,
  [6533] = 4278,
  [6534] = 4534,
  [6535] = 4442,
  [6536] = 4260,
  [6537] = 4425,
  [6538] = 5635,
  [6539] = 4303,
  [6540] = 5646,
  [6541] = 5139,
  [6542] = 5069,
  [6543] = 4250,
  [6544] = 5654,
  [6545] = 4255,
  [6546] = 5208,
  [6547] = 5812,
  [6548] = 5838,
  [6549] = 4260,
  [6550] = 5405,
  [6551] = 4828,
  [6552] = 4179,
  [6553] = 5139,
  [6554] = 4281,
  [6555] = 5859,
  [6556] = 5459,
  [6557] = 5458,
  [6558] = 4385,
  [6559] = 4444,
  [6560] = 4245,
  [6561] = 4486,
  [6562] = 4266,
  [6563] = 5279,
  [6564] = 5208,
  [6565] = 5723,
  [6566] = 4451,
  [6567] = 4310,
  [6568] = 5746,
  [6569] = 5722,
  [6570] = 4425,
  [6571] = 4307,
  [6572] = 4373,
  [6573] = 5108,
  [6574] = 4245,
  [6575] = 4442,
  [6576] = 5103,
  [6577] = 4296,
  [6578] = 5737,
  [6579] = 4296,
  [6580] = 4282,
  [6581] = 4385,
  [6582] = 4505,
  [6583] = 5733,
  [6584] = 4486,
  [6585] = 5086,
  [6586] = 4282,
  [6587] = 5720,
  [6588] = 4287,
  [6589] = 4307,
  [6590] = 5050,
  [6591] = 5859,
  [6592] = 4310,
  [6593] = 4446,
  [6594] = 5713,
  [6595] = 4443,
  [6596] = 4505,
  [6597] = 5279,
  [6598] = 4391,
  [6599] = 4314,
  [6600] = 5448,
  [6601] = 5859,
  [6602] = 4350,
  [6603] = 4451,
  [6604] = 4260,
  [6605] = 5443,
  [6606] = 4446,
  [6607] = 4287,
  [6608] = 4443,
  [6609] = 4505,
  [6610] = 5685,
  [6611] = 4266,
  [6612] = 4595,
  [6613] = 4385,
  [6614] = 5069,
  [6615] = 4430,
  [6616] = 4828,
  [6617] = 4571,
  [6618] = 4282,
  [6619] = 5697,
  [6620] = 4281,
  [6621] = 5698,
  [6622] = 5405,
  [6623] = 5103,
  [6624] = 4281,
  [6625] = 5322,
  [6626] = 4074,
  [6627] = 4385,
  [6628] = 4442,
  [6629] = 4350,
  [6630] = 4310,
  [6631] = 3884,
  [6632] = 5705,
  [6633] = 4260,
  [6634] = 5704,
  [6635] = 4828,
  [6636] = 5717,
  [6637] = 4595,
  [6638] = 6638,
  [6639] = 4451,
  [6640] = 3882,
  [6641] = 4571,
  [6642] = 4425,
  [6643] = 4307,
  [6644] = 4245,
  [6645] = 5069,
  [6646] = 5459,
  [6647] = 5691,
  [6648] = 5458,
  [6649] = 5443,
  [6650] = 5695,
  [6651] = 4425,
  [6652] = 4442,
  [6653] = 4793,
  [6654] = 4296,
  [6655] = 5700,
  [6656] = 4442,
  [6657] = 4828,
  [6658] = 4425,
  [6659] = 5448,
  [6660] = 5787,
  [6661] = 5646,
  [6662] = 4282,
  [6663] = 4373,
  [6664] = 4278,
  [6665] = 4286,
  [6666] = 4279,
  [6667] = 4505,
  [6668] = 4309,
  [6669] = 4314,
  [6670] = 4245,
  [6671] = 4316,
  [6672] = 5050,
  [6673] = 5787,
  [6674] = 4821,
  [6675] = 5691,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 4286,
  [6679] = 4260,
  [6680] = 5695,
  [6681] = 4350,
  [6682] = 5738,
  [6683] = 5769,
  [6684] = 5448,
  [6685] = 5859,
  [6686] = 4451,
  [6687] = 4282,
  [6688] = 4250,
  [6689] = 4779,
  [6690] = 4260,
  [6691] = 5086,
  [6692] = 3884,
  [6693] = 4373,
  [6694] = 4278,
  [6695] = 4286,
  [6696] = 4296,
  [6697] = 4279,
  [6698] = 4307,
  [6699] = 4309,
  [6700] = 4179,
  [6701] = 4310,
  [6702] = 4793,
  [6703] = 4314,
  [6704] = 5700,
  [6705] = 4446,
  [6706] = 4316,
  [6707] = 5717,
  [6708] = 4282,
  [6709] = 5698,
  [6710] = 5697,
  [6711] = 4446,
  [6712] = 4250,
  [6713] = 4793,
  [6714] = 5704,
  [6715] = 5705,
  [6716] = 4779,
  [6717] = 5706,
  [6718] = 4451,
  [6719] = 5405,
  [6720] = 4179,
  [6721] = 4278,
  [6722] = 3882,
  [6723] = 4779,
  [6724] = 4245,
  [6725] = 6725,
  [6726] = 4385,
  [6727] = 5685,
  [6728] = 4442,
  [6729] = 4425,
  [6730] = 4250,
  [6731] = 4282,
  [6732] = 5723,
  [6733] = 3882,
  [6734] = 4316,
  [6735] = 5735,
  [6736] = 4314,
  [6737] = 4779,
  [6738] = 4373,
  [6739] = 4314,
  [6740] = 4874,
  [6741] = 4425,
  [6742] = 6742,
  [6743] = 4278,
  [6744] = 4442,
  [6745] = 4309,
  [6746] = 5713,
  [6747] = 4486,
  [6748] = 4286,
  [6749] = 4279,
  [6750] = 4385,
  [6751] = 5859,
  [6752] = 4279,
  [6753] = 4373,
  [6754] = 4309,
  [6755] = 5720,
  [6756] = 4286,
  [6757] = 4314,
  [6758] = 4316,
  [6759] = 5654,
  [6760] = 4260,
  [6761] = 5646,
  [6762] = 3884,
  [6763] = 5635,
  [6764] = 4443,
  [6765] = 4278,
  [6766] = 4874,
  [6767] = 4373,
  [6768] = 4821,
  [6769] = 5347,
  [6770] = 4451,
  [6771] = 4443,
  [6772] = 5443,
  [6773] = 5722,
  [6774] = 4281,
  [6775] = 4303,
  [6776] = 4296,
  [6777] = 4307,
  [6778] = 5723,
  [6779] = 4310,
  [6780] = 4595,
  [6781] = 4486,
  [6782] = 4425,
  [6783] = 3884,
  [6784] = 4442,
  [6785] = 4821,
  [6786] = 4250,
  [6787] = 4282,
  [6788] = 4385,
  [6789] = 4179,
  [6790] = 5108,
  [6791] = 4486,
  [6792] = 4260,
  [6793] = 4303,
  [6794] = 3882,
  [6795] = 3882,
  [6796] = 5685,
  [6797] = 5722,
  [6798] = 4296,
  [6799] = 4303,
  [6800] = 4385,
  [6801] = 4385,
  [6802] = 4282,
  [6803] = 4350,
  [6804] = 4282,
  [6805] = 5720,
  [6806] = 4442,
  [6807] = 4425,
  [6808] = 4314,
  [6809] = 4307,
  [6810] = 4779,
  [6811] = 4443,
  [6812] = 3884,
  [6813] = 4874,
  [6814] = 4245,
  [6815] = 4310,
  [6816] = 4446,
  [6817] = 4425,
  [6818] = 5713,
  [6819] = 4793,
  [6820] = 4442,
  [6821] = 4446,
  [6822] = 5735,
  [6823] = 3884,
  [6824] = 5738,
  [6825] = 4385,
  [6826] = 4443,
  [6827] = 4442,
  [6828] = 4296,
  [6829] = 4310,
  [6830] = 4779,
  [6831] = 4425,
  [6832] = 3882,
  [6833] = 4442,
  [6834] = 5859,
  [6835] = 4443,
  [6836] = 4425,
  [6837] = 4385,
  [6838] = 4451,
  [6839] = 4074,
  [6840] = 4451,
  [6841] = 4505,
  [6842] = 4373,
  [6843] = 5050,
  [6844] = 5139,
  [6845] = 6845,
  [6846] = 3882,
  [6847] = 5405,
  [6848] = 5706,
  [6849] = 5705,
  [6850] = 5704,
  [6851] = 6851,
  [6852] = 4821,
  [6853] = 4278,
  [6854] = 5769,
  [6855] = 4307,
  [6856] = 5086,
  [6857] = 5717,
  [6858] = 5667,
  [6859] = 5697,
  [6860] = 4245,
  [6861] = 5698,
  [6862] = 6862,
  [6863] = 4286,
  [6864] = 3884,
  [6865] = 4779,
  [6866] = 5700,
  [6867] = 4373,
  [6868] = 4451,
  [6869] = 4279,
  [6870] = 5108,
  [6871] = 5459,
  [6872] = 5787,
  [6873] = 4821,
  [6874] = 5654,
  [6875] = 4310,
  [6876] = 4260,
  [6877] = 5646,
  [6878] = 5458,
  [6879] = 4385,
  [6880] = 4296,
  [6881] = 4442,
  [6882] = 5769,
  [6883] = 4179,
  [6884] = 4350,
  [6885] = 4278,
  [6886] = 4307,
  [6887] = 4425,
  [6888] = 4310,
  [6889] = 4309,
  [6890] = 4179,
  [6891] = 5635,
  [6892] = 6423,
  [6893] = 4303,
  [6894] = 4179,
  [6895] = 5103,
  [6896] = 4451,
  [6897] = 4179,
  [6898] = 4486,
  [6899] = 3882,
  [6900] = 5069,
  [6901] = 4179,
  [6902] = 5208,
  [6903] = 4260,
  [6904] = 4310,
  [6905] = 4179,
  [6906] = 4307,
  [6907] = 5695,
  [6908] = 4303,
  [6909] = 4296,
  [6910] = 4385,
  [6911] = 4296,
  [6912] = 4442,
  [6913] = 4307,
  [6914] = 5738,
  [6915] = 5709,
  [6916] = 5735,
  [6917] = 4425,
  [6918] = 4310,
  [6919] = 4286,
  [6920] = 4250,
  [6921] = 3884,
  [6922] = 4179,
  [6923] = 4279,
  [6924] = 5139,
  [6925] = 4296,
  [6926] = 5723,
  [6927] = 4307,
  [6928] = 4310,
  [6929] = 4179,
  [6930] = 4287,
  [6931] = 5691,
  [6932] = 5722,
  [6933] = 4316,
  [6934] = 5279,
  [6935] = 5208,
  [6936] = 4373,
  [6937] = 5069,
  [6938] = 4310,
  [6939] = 4373,
  [6940] = 5720,
  [6941] = 5654,
  [6942] = 4307,
  [6943] = 4446,
  [6944] = 5713,
  [6945] = 4278,
  [6946] = 4296,
  [6947] = 4286,
  [6948] = 4309,
  [6949] = 4287,
  [6950] = 4296,
  [6951] = 4307,
  [6952] = 4310,
  [6953] = 4279,
  [6954] = 3882,
  [6955] = 4179,
  [6956] = 4309,
  [6957] = 3884,
  [6958] = 4281,
  [6959] = 4303,
  [6960] = 5405,
  [6961] = 4486,
  [6962] = 4314,
  [6963] = 4779,
  [6964] = 5706,
  [6965] = 4310,
  [6966] = 4316,
  [6967] = 4578,
  [6968] = 4307,
  [6969] = 4179,
  [6970] = 5635,
  [6971] = 4314,
  [6972] = 5448,
  [6973] = 5705,
  [6974] = 5859,
  [6975] = 4245,
  [6976] = 5704,
  [6977] = 4583,
  [6978] = 4451,
  [6979] = 4505,
  [6980] = 4350,
  [6981] = 4307,
  [6982] = 5717,
  [6983] = 4179,
  [6984] = 6984,
  [6985] = 4425,
  [6986] = 4821,
  [6987] = 3882,
  [6988] = 4442,
  [6989] = 4314,
  [6990] = 5700,
  [6991] = 4316,
  [6992] = 3884,
  [6993] = 4296,
  [6994] = 4250,
  [6995] = 4385,
  [6996] = 4282,
  [6997] = 4451,
  [6998] = 4350,
  [6999] = 4486,
  [7000] = 4578,
  [7001] = 4310,
  [7002] = 4821,
  [7003] = 4307,
  [7004] = 4350,
  [7005] = 5443,
  [7006] = 4296,
  [7007] = 4296,
  [7008] = 4296,
  [7009] = 4571,
  [7010] = 4583,
  [7011] = 5695,
  [7012] = 4505,
  [7013] = 4486,
  [7014] = 4443,
  [7015] = 4278,
  [7016] = 5691,
  [7017] = 4583,
  [7018] = 4307,
  [7019] = 4385,
  [7020] = 3882,
  [7021] = 4578,
  [7022] = 4373,
  [7023] = 3884,
  [7024] = 4310,
  [7025] = 4278,
  [7026] = 6114,
  [7027] = 4286,
  [7028] = 4821,
  [7029] = 5103,
  [7030] = 6107,
  [7031] = 4279,
  [7032] = 6098,
  [7033] = 4309,
  [7034] = 4314,
  [7035] = 4316,
  [7036] = 5069,
  [7037] = 4486,
  [7038] = 7038,
  [7039] = 7039,
  [7040] = 4505,
  [7041] = 7041,
  [7042] = 7042,
  [7043] = 4534,
  [7044] = 4250,
  [7045] = 4443,
  [7046] = 5103,
  [7047] = 4505,
  [7048] = 4250,
  [7049] = 4282,
  [7050] = 4250,
  [7051] = 7042,
  [7052] = 4287,
  [7053] = 4505,
  [7054] = 4250,
  [7055] = 6326,
  [7056] = 5069,
  [7057] = 4279,
  [7058] = 6984,
  [7059] = 4446,
  [7060] = 4074,
  [7061] = 4443,
  [7062] = 4296,
  [7063] = 4446,
  [7064] = 4282,
  [7065] = 4583,
  [7066] = 4286,
  [7067] = 5103,
  [7068] = 5322,
  [7069] = 6845,
  [7070] = 4282,
  [7071] = 4443,
  [7072] = 5103,
  [7073] = 4074,
  [7074] = 6725,
  [7075] = 4446,
  [7076] = 4578,
  [7077] = 5069,
  [7078] = 4179,
  [7079] = 4310,
  [7080] = 5069,
  [7081] = 5279,
  [7082] = 5103,
  [7083] = 4279,
  [7084] = 6742,
  [7085] = 4282,
  [7086] = 5208,
  [7087] = 4282,
  [7088] = 5069,
  [7089] = 4446,
  [7090] = 4310,
  [7091] = 5050,
  [7092] = 4425,
  [7093] = 4307,
  [7094] = 5086,
  [7095] = 4179,
  [7096] = 4442,
  [7097] = 4385,
  [7098] = 4296,
  [7099] = 5139,
  [7100] = 4828,
  [7101] = 4303,
  [7102] = 5108,
  [7103] = 4385,
  [7104] = 4821,
  [7105] = 4451,
  [7106] = 4828,
  [7107] = 4260,
  [7108] = 4444,
  [7109] = 4486,
  [7110] = 5139,
  [7111] = 4486,
  [7112] = 4260,
  [7113] = 4282,
  [7114] = 5208,
  [7115] = 4578,
  [7116] = 5108,
  [7117] = 4430,
  [7118] = 4595,
  [7119] = 4534,
  [7120] = 4250,
  [7121] = 4425,
  [7122] = 5069,
  [7123] = 5322,
  [7124] = 4245,
  [7125] = 4307,
  [7126] = 4793,
  [7127] = 4442,
  [7128] = 4583,
  [7129] = 4486,
  [7130] = 5086,
  [7131] = 5709,
  [7132] = 4583,
  [7133] = 4828,
  [7134] = 4444,
  [7135] = 4571,
  [7136] = 4446,
  [7137] = 4250,
  [7138] = 4571,
  [7139] = 5103,
  [7140] = 4245,
  [7141] = 4443,
  [7142] = 5459,
  [7143] = 5458,
  [7144] = 5050,
  [7145] = 4578,
  [7146] = 4442,
  [7147] = 5405,
  [7148] = 4255,
  [7149] = 4828,
  [7150] = 4793,
  [7151] = 4793,
  [7152] = 4446,
  [7153] = 4505,
  [7154] = 7041,
  [7155] = 7038,
  [7156] = 7039,
  [7157] = 5812,
  [7158] = 4486,
  [7159] = 4442,
  [7160] = 4385,
  [7161] = 4309,
  [7162] = 7042,
  [7163] = 4443,
  [7164] = 4505,
  [7165] = 6984,
  [7166] = 6845,
  [7167] = 4444,
  [7168] = 3884,
  [7169] = 4779,
  [7170] = 4316,
  [7171] = 6742,
  [7172] = 4266,
  [7173] = 7039,
  [7174] = 7174,
  [7175] = 4309,
  [7176] = 4793,
  [7177] = 4391,
  [7178] = 4425,
  [7179] = 4828,
  [7180] = 3882,
  [7181] = 4793,
  [7182] = 5812,
  [7183] = 4282,
  [7184] = 5838,
  [7185] = 4279,
  [7186] = 4260,
  [7187] = 4583,
  [7188] = 4255,
  [7189] = 4828,
  [7190] = 4828,
  [7191] = 7038,
  [7192] = 4793,
  [7193] = 4505,
  [7194] = 4828,
  [7195] = 4179,
  [7196] = 4451,
  [7197] = 4281,
  [7198] = 7038,
  [7199] = 7039,
  [7200] = 4583,
  [7201] = 4278,
  [7202] = 5069,
  [7203] = 4303,
  [7204] = 4281,
  [7205] = 6984,
  [7206] = 5103,
  [7207] = 4571,
  [7208] = 4287,
  [7209] = 4534,
  [7210] = 7210,
  [7211] = 6742,
  [7212] = 4373,
  [7213] = 5667,
  [7214] = 3884,
  [7215] = 4578,
  [7216] = 4373,
  [7217] = 4309,
  [7218] = 4286,
  [7219] = 4179,
  [7220] = 4245,
  [7221] = 4821,
  [7222] = 4443,
  [7223] = 4074,
  [7224] = 4314,
  [7225] = 4316,
  [7226] = 4179,
  [7227] = 4278,
  [7228] = 4373,
  [7229] = 4278,
  [7230] = 4578,
  [7231] = 4286,
  [7232] = 4316,
  [7233] = 4279,
  [7234] = 4309,
  [7235] = 4425,
  [7236] = 4350,
  [7237] = 4314,
  [7238] = 5746,
  [7239] = 4314,
  [7240] = 5322,
  [7241] = 4316,
  [7242] = 4286,
  [7243] = 4316,
  [7244] = 3882,
  [7245] = 4179,
  [7246] = 4310,
  [7247] = 4373,
  [7248] = 4250,
  [7249] = 4578,
  [7250] = 7038,
  [7251] = 4307,
  [7252] = 7039,
  [7253] = 4278,
  [7254] = 5733,
  [7255] = 4583,
  [7256] = 4578,
  [7257] = 4296,
  [7258] = 4279,
  [7259] = 4286,
  [7260] = 4250,
  [7261] = 4309,
  [7262] = 4279,
  [7263] = 4793,
  [7264] = 4309,
  [7265] = 5737,
  [7266] = 4287,
  [7267] = 4309,
  [7268] = 4443,
  [7269] = 4316,
  [7270] = 6984,
  [7271] = 4310,
  [7272] = 4534,
  [7273] = 4279,
  [7274] = 4583,
  [7275] = 4287,
  [7276] = 4425,
  [7277] = 4307,
  [7278] = 6423,
  [7279] = 4286,
  [7280] = 4442,
  [7281] = 4296,
  [7282] = 4446,
  [7283] = 4296,
  [7284] = 6742,
  [7285] = 5685,
  [7286] = 4279,
  [7287] = 4278,
  [7288] = 4250,
  [7289] = 4430,
  [7290] = 4385,
  [7291] = 4286,
  [7292] = 4505,
  [7293] = 4309,
  [7294] = 4307,
  [7295] = 4793,
  [7296] = 5697,
  [7297] = 5698,
  [7298] = 4373,
  [7299] = 4314,
  [7300] = 4310,
  [7301] = 4296,
  [7302] = 5069,
  [7303] = 5737,
  [7304] = 4595,
  [7305] = 5746,
  [7306] = 4373,
  [7307] = 4278,
  [7308] = 4779,
  [7309] = 4250,
  [7310] = 4278,
  [7311] = 4286,
  [7312] = 4307,
  [7313] = 5103,
  [7314] = 5838,
  [7315] = 4279,
  [7316] = 4314,
  [7317] = 4282,
  [7318] = 5443,
  [7319] = 4821,
  [7320] = 4505,
  [7321] = 5733,
  [7322] = 5746,
  [7323] = 4444,
  [7324] = 4309,
  [7325] = 4281,
  [7326] = 4446,
  [7327] = 4373,
  [7328] = 4595,
  [7329] = 6326,
  [7330] = 4505,
  [7331] = 4316,
  [7332] = 4310,
  [7333] = 5443,
  [7334] = 4425,
  [7335] = 6984,
  [7336] = 5859,
  [7337] = 5279,
  [7338] = 4442,
  [7339] = 5459,
  [7340] = 4250,
  [7341] = 4316,
  [7342] = 5709,
  [7343] = 6742,
  [7344] = 5458,
  [7345] = 4385,
  [7346] = 4316,
  [7347] = 4444,
  [7348] = 5448,
  [7349] = 4287,
  [7350] = 5459,
  [7351] = 4486,
  [7352] = 4179,
  [7353] = 5458,
  [7354] = 5685,
  [7355] = 4391,
  [7356] = 4828,
  [7357] = 4266,
  [7358] = 4314,
  [7359] = 4874,
  [7360] = 4451,
  [7361] = 5654,
  [7362] = 4779,
  [7363] = 4245,
  [7364] = 5646,
  [7365] = 4282,
  [7366] = 4793,
  [7367] = 5635,
  [7368] = 4451,
  [7369] = 5737,
  [7370] = 4314,
  [7371] = 4505,
  [7372] = 4281,
  [7373] = 4385,
  [7374] = 5103,
  [7375] = 4287,
  [7376] = 5697,
  [7377] = 5812,
  [7378] = 5838,
  [7379] = 5448,
  [7380] = 4578,
  [7381] = 5667,
  [7382] = 4583,
  [7383] = 4425,
  [7384] = 5698,
  [7385] = 5733,
  [7386] = 4442,
  [7387] = 4486,
  [7388] = 4793,
  [7389] = 5812,
  [7390] = 5208,
  [7391] = 4578,
  [7392] = 5108,
  [7393] = 7393,
  [7394] = 4310,
  [7395] = 3884,
  [7396] = 5139,
  [7397] = 4451,
  [7398] = 4309,
  [7399] = 4793,
  [7400] = 5086,
  [7401] = 4279,
  [7402] = 5859,
  [7403] = 5405,
  [7404] = 5050,
  [7405] = 7393,
  [7406] = 4385,
  [7407] = 5103,
  [7408] = 4451,
  [7409] = 7393,
  [7410] = 4373,
  [7411] = 7411,
  [7412] = 4286,
  [7413] = 4779,
  [7414] = 5322,
  [7415] = 3882,
  [7416] = 5705,
  [7417] = 5704,
  [7418] = 4278,
  [7419] = 4307,
  [7420] = 4442,
  [7421] = 5443,
  [7422] = 4583,
  [7423] = 5859,
  [7424] = 5717,
  [7425] = 4286,
  [7426] = 5279,
  [7427] = 4385,
  [7428] = 4250,
  [7429] = 7429,
  [7430] = 4373,
  [7431] = 4425,
  [7432] = 4442,
  [7433] = 4578,
  [7434] = 4279,
  [7435] = 4793,
  [7436] = 5458,
  [7437] = 7393,
  [7438] = 4282,
  [7439] = 7393,
  [7440] = 4425,
  [7441] = 7393,
  [7442] = 7393,
  [7443] = 6862,
  [7444] = 4793,
  [7445] = 4451,
  [7446] = 4250,
  [7447] = 4310,
  [7448] = 7393,
  [7449] = 5700,
  [7450] = 4260,
  [7451] = 5459,
  [7452] = 5635,
  [7453] = 4310,
  [7454] = 4307,
  [7455] = 4486,
  [7456] = 4505,
  [7457] = 4309,
  [7458] = 4486,
  [7459] = 5737,
  [7460] = 4296,
  [7461] = 7393,
  [7462] = 5050,
  [7463] = 4350,
  [7464] = 4307,
  [7465] = 4583,
  [7466] = 4314,
  [7467] = 5733,
  [7468] = 6676,
  [7469] = 5859,
  [7470] = 4779,
  [7471] = 7471,
  [7472] = 4263,
  [7473] = 5086,
  [7474] = 4385,
  [7475] = 4425,
  [7476] = 4296,
  [7477] = 4385,
  [7478] = 4442,
  [7479] = 5713,
  [7480] = 4442,
  [7481] = 4828,
  [7482] = 4385,
  [7483] = 3884,
  [7484] = 5695,
  [7485] = 4821,
  [7486] = 7393,
  [7487] = 4316,
  [7488] = 4442,
  [7489] = 4425,
  [7490] = 5635,
  [7491] = 4583,
  [7492] = 4282,
  [7493] = 5838,
  [7494] = 7393,
  [7495] = 5812,
  [7496] = 7393,
  [7497] = 4279,
  [7498] = 4316,
  [7499] = 4425,
  [7500] = 4296,
  [7501] = 5646,
  [7502] = 5654,
  [7503] = 4266,
  [7504] = 7393,
  [7505] = 5646,
  [7506] = 4179,
  [7507] = 5654,
  [7508] = 7393,
  [7509] = 5691,
  [7510] = 5691,
  [7511] = 4821,
  [7512] = 4828,
  [7513] = 5279,
  [7514] = 6725,
  [7515] = 4578,
  [7516] = 7393,
  [7517] = 5859,
  [7518] = 4250,
  [7519] = 4373,
  [7520] = 5448,
  [7521] = 5635,
  [7522] = 4793,
  [7523] = 4286,
  [7524] = 4821,
  [7525] = 5646,
  [7526] = 5108,
  [7527] = 5654,
  [7528] = 7393,
  [7529] = 4385,
  [7530] = 7393,
  [7531] = 4250,
  [7532] = 4296,
  [7533] = 5069,
  [7534] = 4505,
  [7535] = 5720,
  [7536] = 5859,
  [7537] = 6326,
  [7538] = 4442,
  [7539] = 5733,
  [7540] = 3884,
  [7541] = 4179,
  [7542] = 4278,
  [7543] = 4391,
  [7544] = 4307,
  [7545] = 4425,
  [7546] = 4505,
  [7547] = 4425,
  [7548] = 4442,
  [7549] = 5709,
  [7550] = 4446,
  [7551] = 7393,
  [7552] = 7393,
  [7553] = 4310,
  [7554] = 5103,
  [7555] = 5695,
  [7556] = 4385,
  [7557] = 4443,
  [7558] = 7393,
  [7559] = 4486,
  [7560] = 5069,
  [7561] = 4310,
  [7562] = 4278,
  [7563] = 5443,
  [7564] = 5459,
  [7565] = 7393,
  [7566] = 4179,
  [7567] = 4260,
  [7568] = 7393,
  [7569] = 4307,
  [7570] = 5838,
  [7571] = 4350,
  [7572] = 4296,
  [7573] = 3884,
  [7574] = 4316,
  [7575] = 4314,
  [7576] = 4385,
  [7577] = 5722,
  [7578] = 4779,
  [7579] = 4309,
  [7580] = 7393,
  [7581] = 4282,
  [7582] = 5723,
  [7583] = 7393,
  [7584] = 5103,
  [7585] = 4279,
  [7586] = 4571,
  [7587] = 4245,
  [7588] = 4286,
  [7589] = 4278,
  [7590] = 4451,
  [7591] = 3882,
  [7592] = 7393,
  [7593] = 5103,
  [7594] = 4373,
  [7595] = 4578,
  [7596] = 4282,
  [7597] = 4286,
  [7598] = 4278,
  [7599] = 7393,
  [7600] = 5069,
  [7601] = 4821,
  [7602] = 4486,
  [7603] = 6326,
  [7604] = 4442,
  [7605] = 4425,
  [7606] = 7393,
  [7607] = 4451,
  [7608] = 5139,
  [7609] = 5322,
  [7610] = 4583,
  [7611] = 7393,
  [7612] = 5443,
  [7613] = 4303,
  [7614] = 4425,
  [7615] = 4793,
  [7616] = 4282,
  [7617] = 4578,
  [7618] = 4279,
  [7619] = 5050,
  [7620] = 4314,
  [7621] = 5086,
  [7622] = 4583,
  [7623] = 5069,
  [7624] = 5208,
  [7625] = 5700,
  [7626] = 4179,
  [7627] = 5108,
  [7628] = 4505,
  [7629] = 4446,
  [7630] = 5139,
  [7631] = 4442,
  [7632] = 5208,
  [7633] = 4385,
  [7634] = 5208,
  [7635] = 4442,
  [7636] = 4425,
  [7637] = 5667,
  [7638] = 5717,
  [7639] = 5139,
  [7640] = 4316,
  [7641] = 4793,
  [7642] = 4245,
  [7643] = 4074,
  [7644] = 7393,
  [7645] = 6862,
  [7646] = 5812,
  [7647] = 7393,
  [7648] = 5698,
  [7649] = 5635,
  [7650] = 5646,
  [7651] = 5448,
  [7652] = 5859,
  [7653] = 5108,
  [7654] = 4282,
  [7655] = 5654,
  [7656] = 4309,
  [7657] = 4451,
  [7658] = 5103,
  [7659] = 5697,
  [7660] = 4373,
  [7661] = 5704,
  [7662] = 4534,
  [7663] = 7393,
  [7664] = 4179,
  [7665] = 5086,
  [7666] = 4385,
  [7667] = 5691,
  [7668] = 6423,
  [7669] = 4821,
  [7670] = 5705,
  [7671] = 6677,
  [7672] = 5069,
  [7673] = 5050,
  [7674] = 7174,
  [7675] = 5735,
  [7676] = 5838,
  [7677] = 4260,
  [7678] = 7393,
  [7679] = 7393,
  [7680] = 5706,
  [7681] = 5405,
  [7682] = 5685,
  [7683] = 3882,
  [7684] = 5103,
  [7685] = 4179,
  [7686] = 5738,
  [7687] = 4443,
  [7688] = 5859,
  [7689] = 4451,
  [7690] = 4486,
  [7691] = 5700,
  [7692] = 7393,
  [7693] = 5697,
  [7694] = 5698,
  [7695] = 7393,
  [7696] = 6677,
  [7697] = 5706,
  [7698] = 4486,
  [7699] = 5458,
  [7700] = 4595,
  [7701] = 5069,
  [7702] = 7174,
  [7703] = 4793,
  [7704] = 4385,
  [7705] = 5667,
  [7706] = 7393,
  [7707] = 4505,
  [7708] = 7393,
  [7709] = 7393,
  [7710] = 4245,
  [7711] = 4314,
  [7712] = 4179,
  [7713] = 7393,
  [7714] = 7393,
  [7715] = 4245,
  [7716] = 4442,
  [7717] = 4505,
  [7718] = 6676,
  [7719] = 4245,
  [7720] = 5069,
  [7721] = 4571,
  [7722] = 5459,
  [7723] = 5458,
  [7724] = 4425,
  [7725] = 4316,
  [7726] = 6862,
  [7727] = 7393,
  [7728] = 4245,
  [7729] = 5635,
  [7730] = 7393,
  [7731] = 5695,
  [7732] = 5646,
  [7733] = 5654,
  [7734] = 4451,
  [7735] = 3882,
  [7736] = 4821,
  [7737] = 4486,
  [7738] = 5709,
  [7739] = 5069,
  [7740] = 6326,
  [7741] = 4779,
  [7742] = 7393,
  [7743] = 4779,
  [7744] = 3882,
  [7745] = 7393,
  [7746] = 7393,
  [7747] = 7393,
  [7748] = 4583,
  [7749] = 4578,
  [7750] = 3884,
  [7751] = 5713,
  [7752] = 4296,
  [7753] = 7393,
  [7754] = 4307,
  [7755] = 4310,
  [7756] = 4385,
  [7757] = 4074,
  [7758] = 4282,
  [7759] = 4250,
  [7760] = 4179,
  [7761] = 4583,
  [7762] = 6851,
  [7763] = 5720,
  [7764] = 4821,
  [7765] = 4779,
  [7766] = 5769,
  [7767] = 4296,
  [7768] = 4442,
  [7769] = 4385,
  [7770] = 5322,
  [7771] = 3884,
  [7772] = 4307,
  [7773] = 4425,
  [7774] = 4486,
  [7775] = 4179,
  [7776] = 4310,
  [7777] = 5787,
  [7778] = 7393,
  [7779] = 3884,
  [7780] = 4373,
  [7781] = 5722,
  [7782] = 5723,
  [7783] = 4278,
  [7784] = 4316,
  [7785] = 4286,
  [7786] = 3882,
  [7787] = 6851,
  [7788] = 4279,
  [7789] = 4309,
  [7790] = 5787,
  [7791] = 7393,
  [7792] = 4259,
  [7793] = 4486,
  [7794] = 4314,
  [7795] = 7393,
  [7796] = 5746,
  [7797] = 4505,
  [7798] = 4316,
  [7799] = 4446,
  [7800] = 7393,
  [7801] = 5706,
  [7802] = 4451,
  [7803] = 6423,
  [7804] = 3882,
  [7805] = 3884,
  [7806] = 4821,
  [7807] = 7393,
  [7808] = 5769,
  [7809] = 4282,
  [7810] = 5103,
  [7811] = 3882,
  [7812] = 4821,
  [7813] = 3884,
  [7814] = 4310,
  [7815] = 3882,
  [7816] = 3884,
  [7817] = 5103,
  [7818] = 4443,
  [7819] = 4578,
  [7820] = 4430,
  [7821] = 5103,
  [7822] = 4296,
  [7823] = 3882,
  [7824] = 3884,
  [7825] = 7393,
  [7826] = 4179,
  [7827] = 4179,
  [7828] = 4425,
  [7829] = 4442,
  [7830] = 4287,
  [7831] = 4250,
  [7832] = 7393,
  [7833] = 4385,
  [7834] = 4583,
  [7835] = 5279,
  [7836] = 4595,
  [7837] = 4309,
  [7838] = 4874,
  [7839] = 7393,
  [7840] = 4505,
  [7841] = 4074,
  [7842] = 4446,
  [7843] = 5069,
  [7844] = 4310,
  [7845] = 7393,
  [7846] = 4444,
  [7847] = 4307,
  [7848] = 4245,
  [7849] = 7393,
  [7850] = 4307,
  [7851] = 4307,
  [7852] = 4282,
  [7853] = 4296,
  [7854] = 3882,
  [7855] = 7393,
  [7856] = 5103,
  [7857] = 4779,
  [7858] = 7411,
  [7859] = 7393,
  [7860] = 5735,
  [7861] = 4296,
  [7862] = 5738,
  [7863] = 7393,
  [7864] = 5737,
  [7865] = 4578,
  [7866] = 4307,
  [7867] = 7411,
  [7868] = 4296,
  [7869] = 4279,
  [7870] = 4310,
  [7871] = 4442,
  [7872] = 4425,
  [7873] = 4314,
  [7874] = 7393,
  [7875] = 4310,
  [7876] = 5733,
  [7877] = 5685,
  [7878] = 4442,
  [7879] = 7411,
  [7880] = 4281,
  [7881] = 6676,
  [7882] = 5685,
  [7883] = 4373,
  [7884] = 4385,
  [7885] = 7393,
  [7886] = 7393,
  [7887] = 4583,
  [7888] = 7393,
  [7889] = 4595,
  [7890] = 7393,
  [7891] = 4373,
  [7892] = 4443,
  [7893] = 5697,
  [7894] = 5698,
  [7895] = 7895,
  [7896] = 4245,
  [7897] = 4505,
  [7898] = 5738,
  [7899] = 4296,
  [7900] = 3884,
  [7901] = 7393,
  [7902] = 7393,
  [7903] = 5735,
  [7904] = 4821,
  [7905] = 5050,
  [7906] = 7906,
  [7907] = 4571,
  [7908] = 5086,
  [7909] = 7411,
  [7910] = 5769,
  [7911] = 4307,
  [7912] = 4425,
  [7913] = 5108,
  [7914] = 5787,
  [7915] = 7393,
  [7916] = 7895,
  [7917] = 4314,
  [7918] = 4179,
  [7919] = 5139,
  [7920] = 4578,
  [7921] = 7906,
  [7922] = 4779,
  [7923] = 5208,
  [7924] = 7411,
  [7925] = 4828,
  [7926] = 5448,
  [7927] = 4425,
  [7928] = 4310,
  [7929] = 4442,
  [7930] = 4250,
  [7931] = 4793,
  [7932] = 4278,
  [7933] = 5737,
  [7934] = 5685,
  [7935] = 5698,
  [7936] = 5697,
  [7937] = 4385,
  [7938] = 4287,
  [7939] = 7393,
  [7940] = 5697,
  [7941] = 7393,
  [7942] = 5698,
  [7943] = 3882,
  [7944] = 7393,
  [7945] = 4828,
  [7946] = 6423,
  [7947] = 4250,
  [7948] = 4286,
  [7949] = 5685,
  [7950] = 4821,
  [7951] = 4583,
  [7952] = 4260,
  [7953] = 5208,
  [7954] = 4446,
  [7955] = 4278,
  [7956] = 4793,
  [7957] = 7393,
  [7958] = 4443,
  [7959] = 4260,
  [7960] = 7393,
  [7961] = 4828,
  [7962] = 5746,
  [7963] = 4578,
  [7964] = 5709,
  [7965] = 4793,
  [7966] = 5069,
  [7967] = 4779,
  [7968] = 4316,
  [7969] = 4443,
  [7970] = 4779,
  [7971] = 4571,
  [7972] = 5717,
  [7973] = 4874,
  [7974] = 4286,
  [7975] = 4260,
  [7976] = 4179,
  [7977] = 5322,
  [7978] = 7393,
  [7979] = 4260,
  [7980] = 4578,
  [7981] = 4250,
  [7982] = 4828,
  [7983] = 5723,
  [7984] = 4279,
  [7985] = 4451,
  [7986] = 7393,
  [7987] = 7393,
  [7988] = 5704,
  [7989] = 4260,
  [7990] = 5279,
  [7991] = 5705,
  [7992] = 5722,
  [7993] = 4303,
  [7994] = 7895,
  [7995] = 4821,
  [7996] = 5139,
  [7997] = 4779,
  [7998] = 5069,
  [7999] = 7393,
  [8000] = 4793,
  [8001] = 4179,
  [8002] = 4255,
  [8003] = 5103,
  [8004] = 5746,
  [8005] = 4505,
  [8006] = 5698,
  [8007] = 5635,
  [8008] = 5720,
  [8009] = 5697,
  [8010] = 5646,
  [8011] = 5654,
  [8012] = 7393,
  [8013] = 4534,
  [8014] = 4451,
  [8015] = 5667,
  [8016] = 4316,
  [8017] = 4255,
  [8018] = 4425,
  [8019] = 4314,
  [8020] = 4442,
  [8021] = 4179,
  [8022] = 4486,
  [8023] = 4245,
  [8024] = 4595,
  [8025] = 7393,
  [8026] = 5713,
  [8027] = 4309,
  [8028] = 4486,
  [8029] = 7393,
  [8030] = 4385,
  [8031] = 5405,
  [8032] = 7393,
  [8033] = 4451,
  [8034] = 4279,
  [8035] = 4505,
  [8036] = 4874,
  [8037] = 4309,
  [8038] = 4828,
  [8039] = 4443,
  [8040] = 4286,
  [8041] = 5108,
  [8042] = 7393,
  [8043] = 3882,
  [8044] = 4793,
  [8045] = 4278,
  [8046] = 4451,
  [8047] = 5685,
  [8048] = 7393,
  [8049] = 4373,
  [8050] = 4314,
  [8051] = 4828,
  [8052] = 4260,
  [8053] = 4793,
  [8054] = 6851,
  [8055] = 4578,
  [8056] = 4779,
  [8057] = 7393,
  [8058] = 4578,
  [8059] = 4821,
  [8060] = 6107,
  [8061] = 5050,
  [8062] = 7393,
  [8063] = 4179,
  [8064] = 4446,
  [8065] = 7393,
  [8066] = 6114,
  [8067] = 4446,
  [8068] = 4583,
  [8069] = 3884,
  [8070] = 4309,
  [8071] = 7393,
  [8072] = 4451,
  [8073] = 7393,
  [8074] = 4779,
  [8075] = 4874,
  [8076] = 6098,
  [8077] = 7393,
  [8078] = 4779,
  [8079] = 4245,
  [8080] = 4793,
  [8081] = 4260,
  [8082] = 4583,
  [8083] = 4583,
  [8084] = 7393,
  [8085] = 4793,
  [8086] = 5086,
  [8087] = 7906,
  [8088] = 5050,
  [8089] = 4583,
  [8090] = 6423,
  [8091] = 5733,
  [8092] = 5635,
  [8093] = 4309,
  [8094] = 5108,
  [8095] = 4307,
  [8096] = 6862,
  [8097] = 5769,
  [8098] = 4279,
  [8099] = 4451,
  [8100] = 4373,
  [8101] = 5859,
  [8102] = 5448,
  [8103] = 5787,
  [8104] = 8104,
  [8105] = 6851,
  [8106] = 4821,
  [8107] = 4310,
  [8108] = 4282,
  [8109] = 4303,
  [8110] = 6676,
  [8111] = 5667,
  [8112] = 5069,
  [8113] = 5646,
  [8114] = 5738,
  [8115] = 5746,
  [8116] = 4307,
  [8117] = 5735,
  [8118] = 4287,
  [8119] = 5654,
  [8120] = 5691,
  [8121] = 5103,
  [8122] = 5735,
  [8123] = 8123,
  [8124] = 5208,
  [8125] = 8125,
  [8126] = 4446,
  [8127] = 5720,
  [8128] = 5139,
  [8129] = 5722,
  [8130] = 3882,
  [8131] = 5086,
  [8132] = 5737,
  [8133] = 4350,
  [8134] = 5723,
  [8135] = 5737,
  [8136] = 4793,
  [8137] = 5709,
  [8138] = 4793,
  [8139] = 5654,
  [8140] = 4310,
  [8141] = 4314,
  [8142] = 5646,
  [8143] = 4793,
  [8144] = 4074,
  [8145] = 5698,
  [8146] = 5459,
  [8147] = 4287,
  [8148] = 4828,
  [8149] = 6851,
  [8150] = 5635,
  [8151] = 4296,
  [8152] = 5458,
  [8153] = 4316,
  [8154] = 8154,
  [8155] = 8155,
  [8156] = 5733,
  [8157] = 4779,
  [8158] = 4307,
  [8159] = 8159,
  [8160] = 4505,
  [8161] = 4451,
  [8162] = 4571,
  [8163] = 5208,
  [8164] = 5443,
  [8165] = 5667,
  [8166] = 4282,
  [8167] = 4316,
  [8168] = 5698,
  [8169] = 8169,
  [8170] = 5322,
  [8171] = 5769,
  [8172] = 5723,
  [8173] = 5722,
  [8174] = 8174,
  [8175] = 5697,
  [8176] = 8176,
  [8177] = 5050,
  [8178] = 6677,
  [8179] = 4279,
  [8180] = 5787,
  [8181] = 5720,
  [8182] = 4260,
  [8183] = 4443,
  [8184] = 5713,
  [8185] = 5279,
  [8186] = 5405,
  [8187] = 5448,
  [8188] = 4779,
  [8189] = 5405,
  [8190] = 5697,
  [8191] = 5838,
  [8192] = 4821,
  [8193] = 4278,
  [8194] = 4821,
  [8195] = 5706,
  [8196] = 4505,
  [8197] = 5086,
  [8198] = 4296,
  [8199] = 5705,
  [8200] = 4286,
  [8201] = 5738,
  [8202] = 4779,
  [8203] = 4296,
  [8204] = 5735,
  [8205] = 5459,
  [8206] = 4309,
  [8207] = 5704,
  [8208] = 5812,
  [8209] = 4373,
  [8210] = 4278,
  [8211] = 5717,
  [8212] = 4255,
  [8213] = 4486,
  [8214] = 4282,
  [8215] = 5050,
  [8216] = 5050,
  [8217] = 4074,
  [8218] = 4425,
  [8219] = 5086,
  [8220] = 6862,
  [8221] = 4385,
  [8222] = 4250,
  [8223] = 5738,
  [8224] = 5859,
  [8225] = 4282,
  [8226] = 5108,
  [8227] = 4373,
  [8228] = 5706,
  [8229] = 4583,
  [8230] = 5103,
  [8231] = 4137,
  [8232] = 4779,
  [8233] = 5069,
  [8234] = 5700,
  [8235] = 4146,
  [8236] = 5208,
  [8237] = 5139,
  [8238] = 4793,
  [8239] = 5695,
  [8240] = 5705,
  [8241] = 5208,
  [8242] = 4314,
  [8243] = 5695,
  [8244] = 5654,
  [8245] = 5646,
  [8246] = 4486,
  [8247] = 4578,
  [8248] = 5635,
  [8249] = 8249,
  [8250] = 4286,
  [8251] = 4595,
  [8252] = 5746,
  [8253] = 5691,
  [8254] = 5139,
  [8255] = 4425,
  [8256] = 4779,
  [8257] = 6326,
  [8258] = 3884,
  [8259] = 5458,
  [8260] = 5709,
  [8261] = 5103,
  [8262] = 5103,
  [8263] = 4793,
  [8264] = 4442,
  [8265] = 4179,
  [8266] = 5069,
  [8267] = 4385,
  [8268] = 4779,
  [8269] = 5709,
  [8270] = 5700,
  [8271] = 5717,
  [8272] = 3882,
  [8273] = 8273,
  [8274] = 6862,
  [8275] = 5859,
  [8276] = 4250,
  [8277] = 3882,
  [8278] = 4385,
  [8279] = 4314,
  [8280] = 5279,
  [8281] = 4250,
  [8282] = 4874,
  [8283] = 8283,
  [8284] = 4486,
  [8285] = 4279,
  [8286] = 5208,
  [8287] = 5069,
  [8288] = 4309,
  [8289] = 5443,
  [8290] = 5208,
  [8291] = 5086,
  [8292] = 5139,
  [8293] = 3884,
  [8294] = 5069,
  [8295] = 4385,
  [8296] = 5086,
  [8297] = 5108,
  [8298] = 4279,
  [8299] = 5717,
  [8300] = 4442,
  [8301] = 5698,
  [8302] = 5103,
  [8303] = 5685,
  [8304] = 6423,
  [8305] = 4278,
  [8306] = 4179,
  [8307] = 4442,
  [8308] = 5103,
  [8309] = 5704,
  [8310] = 4310,
  [8311] = 4425,
  [8312] = 4260,
  [8313] = 5697,
  [8314] = 4260,
  [8315] = 4286,
  [8316] = 4442,
  [8317] = 7174,
  [8318] = 5103,
  [8319] = 4571,
  [8320] = 5654,
  [8321] = 4279,
  [8322] = 5208,
  [8323] = 5685,
  [8324] = 4286,
  [8325] = 5646,
  [8326] = 4793,
  [8327] = 4245,
  [8328] = 5108,
  [8329] = 5139,
  [8330] = 6851,
  [8331] = 5635,
  [8332] = 8154,
  [8333] = 5723,
  [8334] = 3882,
  [8335] = 4828,
  [8336] = 5685,
  [8337] = 4451,
  [8338] = 4821,
  [8339] = 4309,
  [8340] = 5108,
  [8341] = 5697,
  [8342] = 5698,
  [8343] = 5722,
  [8344] = 5069,
  [8345] = 5086,
  [8346] = 5720,
  [8347] = 4505,
  [8348] = 5812,
  [8349] = 4793,
  [8350] = 4821,
  [8351] = 4179,
  [8352] = 5086,
  [8353] = 5717,
  [8354] = 4314,
  [8355] = 4793,
  [8356] = 4451,
  [8357] = 5108,
  [8358] = 4451,
  [8359] = 5635,
  [8360] = 4316,
  [8361] = 3884,
  [8362] = 5646,
  [8363] = 5654,
  [8364] = 5069,
  [8365] = 5050,
  [8366] = 4578,
  [8367] = 5448,
  [8368] = 4314,
  [8369] = 5050,
  [8370] = 5713,
  [8371] = 4486,
  [8372] = 4425,
  [8373] = 4385,
  [8374] = 5838,
  [8375] = 4779,
  [8376] = 4309,
  [8377] = 4451,
  [8378] = 6862,
  [8379] = 6326,
  [8380] = 5139,
  [8381] = 5698,
  [8382] = 4821,
  [8383] = 4245,
  [8384] = 5405,
  [8385] = 4310,
  [8386] = 4425,
  [8387] = 5697,
  [8388] = 6851,
  [8389] = 4425,
  [8390] = 3882,
  [8391] = 5706,
  [8392] = 4793,
  [8393] = 5704,
  [8394] = 5322,
  [8395] = 4821,
  [8396] = 5705,
  [8397] = 4451,
  [8398] = 4442,
  [8399] = 4179,
  [8400] = 6676,
  [8401] = 4583,
  [8402] = 4147,
  [8403] = 5635,
  [8404] = 4442,
  [8405] = 5704,
  [8406] = 5646,
  [8407] = 5654,
  [8408] = 4282,
  [8409] = 8409,
  [8410] = 5208,
  [8411] = 5705,
  [8412] = 5139,
  [8413] = 4874,
  [8414] = 4279,
  [8415] = 4385,
  [8416] = 4309,
  [8417] = 5139,
  [8418] = 4281,
  [8419] = 4245,
  [8420] = 5685,
  [8421] = 5139,
  [8422] = 5103,
  [8423] = 4286,
  [8424] = 4779,
  [8425] = 4296,
  [8426] = 4307,
  [8427] = 4179,
  [8428] = 5108,
  [8429] = 4310,
  [8430] = 6676,
  [8431] = 4316,
  [8432] = 5700,
  [8433] = 4314,
  [8434] = 4266,
  [8435] = 4821,
  [8436] = 4278,
  [8437] = 5139,
  [8438] = 4316,
  [8439] = 4442,
  [8440] = 5086,
  [8441] = 4282,
  [8442] = 5667,
  [8443] = 5706,
  [8444] = 5050,
  [8445] = 8249,
  [8446] = 4179,
  [8447] = 5405,
  [8448] = 4279,
  [8449] = 4179,
  [8450] = 5859,
  [8451] = 4779,
  [8452] = 4250,
  [8453] = 3882,
  [8454] = 4286,
  [8455] = 5108,
  [8456] = 5069,
  [8457] = 5322,
  [8458] = 4451,
  [8459] = 5208,
  [8460] = 4296,
  [8461] = 4486,
  [8462] = 4307,
  [8463] = 5859,
  [8464] = 4310,
  [8465] = 4282,
  [8466] = 4793,
  [8467] = 5635,
  [8468] = 4307,
  [8469] = 3884,
  [8470] = 4385,
  [8471] = 4385,
  [8472] = 4296,
  [8473] = 4443,
  [8474] = 4278,
  [8475] = 5685,
  [8476] = 5685,
  [8477] = 5787,
  [8478] = 5635,
  [8479] = 4286,
  [8480] = 4425,
  [8481] = 4250,
  [8482] = 5700,
  [8483] = 4442,
  [8484] = 4793,
  [8485] = 5646,
  [8486] = 6676,
  [8487] = 4425,
  [8488] = 5646,
  [8489] = 5746,
  [8490] = 4316,
  [8491] = 5654,
  [8492] = 4451,
  [8493] = 4425,
  [8494] = 5654,
  [8495] = 3884,
  [8496] = 5769,
  [8497] = 5279,
  [8498] = 4821,
  [8499] = 5697,
  [8500] = 5698,
  [8501] = 6862,
  [8502] = 4074,
  [8503] = 4779,
  [8504] = 3882,
  [8505] = 4451,
  [8506] = 4179,
  [8507] = 4296,
  [8508] = 5787,
  [8509] = 5069,
  [8510] = 4874,
  [8511] = 4316,
  [8512] = 5279,
  [8513] = 4486,
  [8514] = 4179,
  [8515] = 4278,
  [8516] = 5698,
  [8517] = 4282,
  [8518] = 5697,
  [8519] = 4442,
  [8520] = 5069,
  [8521] = 5713,
  [8522] = 6851,
  [8523] = 4821,
  [8524] = 4793,
  [8525] = 5208,
  [8526] = 5709,
  [8527] = 5733,
  [8528] = 4451,
  [8529] = 4281,
  [8530] = 6676,
  [8531] = 5108,
  [8532] = 8532,
  [8533] = 4821,
  [8534] = 4307,
  [8535] = 5635,
  [8536] = 4296,
  [8537] = 3884,
  [8538] = 5646,
  [8539] = 5654,
  [8540] = 4779,
  [8541] = 5695,
  [8542] = 4310,
  [8543] = 5069,
  [8544] = 4307,
  [8545] = 4578,
  [8546] = 4303,
  [8547] = 4425,
  [8548] = 5050,
  [8549] = 5458,
  [8550] = 4534,
  [8551] = 4307,
  [8552] = 4310,
  [8553] = 4442,
  [8554] = 5695,
  [8555] = 4385,
  [8556] = 4296,
  [8557] = 4373,
  [8558] = 4385,
  [8559] = 5459,
  [8560] = 5685,
  [8561] = 5103,
  [8562] = 6677,
  [8563] = 5448,
  [8564] = 4385,
  [8565] = 5103,
  [8566] = 4278,
  [8567] = 4446,
  [8568] = 4307,
  [8569] = 5685,
  [8570] = 4442,
  [8571] = 4373,
  [8572] = 5086,
  [8573] = 4425,
  [8574] = 5859,
  [8575] = 5769,
  [8576] = 4451,
  [8577] = 7174,
  [8578] = 4779,
  [8579] = 4310,
  [8580] = 4385,
  [8581] = 4505,
  [8582] = 5737,
  [8583] = 4793,
  [8584] = 5685,
  [8585] = 4250,
  [8586] = 4442,
  [8587] = 5691,
  [8588] = 5086,
  [8589] = 5697,
  [8590] = 5698,
  [8591] = 4446,
  [8592] = 5812,
  [8593] = 4583,
  [8594] = 4443,
  [8595] = 6862,
  [8596] = 4793,
  [8597] = 4793,
  [8598] = 5086,
  [8599] = 5050,
  [8600] = 4296,
  [8601] = 4179,
  [8602] = 6851,
  [8603] = 7174,
  [8604] = 8604,
  [8605] = 2348,
  [8606] = 4425,
  [8607] = 4821,
  [8608] = 5103,
  [8609] = 4373,
  [8610] = 5108,
  [8611] = 4821,
  [8612] = 5279,
  [8613] = 4425,
  [8614] = 4578,
  [8615] = 4595,
  [8616] = 5069,
  [8617] = 3884,
  [8618] = 4310,
  [8619] = 4578,
  [8620] = 4307,
  [8621] = 5654,
  [8622] = 5646,
  [8623] = 6326,
  [8624] = 5635,
  [8625] = 5838,
  [8626] = 4074,
  [8627] = 4250,
  [8628] = 4779,
  [8629] = 5459,
  [8630] = 4385,
  [8631] = 5322,
  [8632] = 5691,
  [8633] = 4310,
  [8634] = 5685,
  [8635] = 5050,
  [8636] = 5720,
  [8637] = 5103,
  [8638] = 4309,
  [8639] = 5458,
  [8640] = 4451,
  [8641] = 5697,
  [8642] = 4793,
  [8643] = 5698,
  [8644] = 4314,
  [8645] = 4442,
  [8646] = 4296,
  [8647] = 4385,
  [8648] = 4583,
  [8649] = 5733,
  [8650] = 5722,
  [8651] = 4385,
  [8652] = 4250,
  [8653] = 5697,
  [8654] = 5667,
  [8655] = 5723,
  [8656] = 5738,
  [8657] = 6677,
  [8658] = 4505,
  [8659] = 4442,
  [8660] = 5713,
  [8661] = 5735,
  [8662] = 4793,
  [8663] = 4425,
  [8664] = 5698,
  [8665] = 4373,
  [8666] = 4442,
  [8667] = 4505,
  [8668] = 4278,
  [8669] = 5635,
  [8670] = 4425,
  [8671] = 6676,
  [8672] = 5050,
  [8673] = 4286,
  [8674] = 5443,
  [8675] = 5108,
  [8676] = 4385,
  [8677] = 8249,
  [8678] = 5208,
  [8679] = 4279,
  [8680] = 5646,
  [8681] = 5654,
  [8682] = 5103,
  [8683] = 4296,
  [8684] = 4442,
  [8685] = 4307,
  [8686] = 5069,
  [8687] = 5859,
  [8688] = 4309,
  [8689] = 4425,
  [8690] = 5746,
  [8691] = 4310,
  [8692] = 4821,
  [8693] = 5635,
  [8694] = 5646,
  [8695] = 5443,
  [8696] = 5654,
  [8697] = 4874,
  [8698] = 5737,
  [8699] = 4314,
  [8700] = 4316,
  [8701] = 5139,
  [8702] = 6862,
  [8703] = 3882,
  [8704] = 4779,
  [8705] = 5838,
  [8706] = 4373,
  [8707] = 4385,
  [8708] = 4442,
  [8709] = 4425,
  [8710] = 4793,
  [8711] = 5812,
  [8712] = 8712,
  [8713] = 5698,
  [8714] = 4425,
  [8715] = 5646,
  [8716] = 3882,
  [8717] = 5654,
  [8718] = 5646,
  [8719] = 8712,
  [8720] = 5654,
  [8721] = 8712,
  [8722] = 4793,
  [8723] = 5322,
  [8724] = 6326,
  [8725] = 5103,
  [8726] = 5139,
  [8727] = 8727,
  [8728] = 5691,
  [8729] = 3884,
  [8730] = 6677,
  [8731] = 4385,
  [8732] = 8154,
  [8733] = 4442,
  [8734] = 4828,
  [8735] = 8712,
  [8736] = 6677,
  [8737] = 5635,
  [8738] = 4793,
  [8739] = 4578,
  [8740] = 4779,
  [8741] = 5108,
  [8742] = 8123,
  [8743] = 8712,
  [8744] = 5139,
  [8745] = 5685,
  [8746] = 4309,
  [8747] = 8712,
  [8748] = 4385,
  [8749] = 8712,
  [8750] = 8750,
  [8751] = 8712,
  [8752] = 4779,
  [8753] = 4442,
  [8754] = 4425,
  [8755] = 5322,
  [8756] = 8712,
  [8757] = 4793,
  [8758] = 8712,
  [8759] = 8712,
  [8760] = 5720,
  [8761] = 5812,
  [8762] = 4425,
  [8763] = 5723,
  [8764] = 5838,
  [8765] = 5695,
  [8766] = 5654,
  [8767] = 8712,
  [8768] = 5646,
  [8769] = 5722,
  [8770] = 5697,
  [8771] = 6862,
  [8772] = 5698,
  [8773] = 8712,
  [8774] = 4451,
  [8775] = 5654,
  [8776] = 5859,
  [8777] = 5108,
  [8778] = 4179,
  [8779] = 6851,
  [8780] = 5646,
  [8781] = 5709,
  [8782] = 3884,
  [8783] = 5069,
  [8784] = 5635,
  [8785] = 5279,
  [8786] = 5443,
  [8787] = 4821,
  [8788] = 5086,
  [8789] = 4385,
  [8790] = 5086,
  [8791] = 4779,
  [8792] = 4442,
  [8793] = 5787,
  [8794] = 5635,
  [8795] = 5208,
  [8796] = 4425,
  [8797] = 4250,
  [8798] = 8712,
  [8799] = 6862,
  [8800] = 5208,
  [8801] = 8712,
  [8802] = 5103,
  [8803] = 4442,
  [8804] = 8712,
  [8805] = 4425,
  [8806] = 4583,
  [8807] = 5685,
  [8808] = 5103,
  [8809] = 5769,
  [8810] = 8712,
  [8811] = 5720,
  [8812] = 5050,
  [8813] = 5685,
  [8814] = 5086,
  [8815] = 5069,
  [8816] = 4385,
  [8817] = 4074,
  [8818] = 6676,
  [8819] = 4779,
  [8820] = 5697,
  [8821] = 5698,
  [8822] = 8712,
  [8823] = 4442,
  [8824] = 4385,
  [8825] = 5108,
  [8826] = 5667,
  [8827] = 5635,
  [8828] = 5108,
  [8829] = 8712,
  [8830] = 4578,
  [8831] = 5069,
  [8832] = 5139,
  [8833] = 5322,
  [8834] = 5208,
  [8835] = 3882,
  [8836] = 6851,
  [8837] = 5458,
  [8838] = 5859,
  [8839] = 5459,
  [8840] = 4310,
  [8841] = 4307,
  [8842] = 5722,
  [8843] = 8712,
  [8844] = 5733,
  [8845] = 4296,
  [8846] = 5322,
  [8847] = 4425,
  [8848] = 3882,
  [8849] = 5069,
  [8850] = 5685,
  [8851] = 5069,
  [8852] = 4350,
  [8853] = 5697,
  [8854] = 5698,
  [8855] = 5713,
  [8856] = 4425,
  [8857] = 3884,
  [8858] = 5050,
  [8859] = 6862,
  [8860] = 5698,
  [8861] = 5697,
  [8862] = 8712,
  [8863] = 5737,
  [8864] = 6676,
  [8865] = 4595,
  [8866] = 8712,
  [8867] = 5208,
  [8868] = 5738,
  [8869] = 4451,
  [8870] = 5733,
  [8871] = 4442,
  [8872] = 4282,
  [8873] = 5103,
  [8874] = 5685,
  [8875] = 8712,
  [8876] = 5635,
  [8877] = 5735,
  [8878] = 5859,
  [8879] = 4279,
  [8880] = 5646,
  [8881] = 5700,
  [8882] = 5697,
  [8883] = 5103,
  [8884] = 8712,
  [8885] = 6423,
  [8886] = 5713,
  [8887] = 5654,
  [8888] = 8712,
  [8889] = 4286,
  [8890] = 5735,
  [8891] = 5635,
  [8892] = 8154,
  [8893] = 3882,
  [8894] = 5738,
  [8895] = 5697,
  [8896] = 4779,
  [8897] = 3882,
  [8898] = 5709,
  [8899] = 5723,
  [8900] = 5737,
  [8901] = 5859,
  [8902] = 5859,
  [8903] = 5717,
  [8904] = 4821,
  [8905] = 5069,
  [8906] = 5208,
  [8907] = 8712,
  [8908] = 5448,
  [8909] = 8712,
  [8910] = 5698,
  [8911] = 5746,
  [8912] = 4385,
  [8913] = 8712,
  [8914] = 8712,
  [8915] = 5103,
  [8916] = 3884,
  [8917] = 5685,
  [8918] = 5050,
  [8919] = 4821,
  [8920] = 5086,
  [8921] = 5654,
  [8922] = 8712,
  [8923] = 5646,
  [8924] = 8123,
  [8925] = 5704,
  [8926] = 5705,
  [8927] = 8712,
  [8928] = 5697,
  [8929] = 5635,
  [8930] = 5698,
  [8931] = 8712,
  [8932] = 5709,
  [8933] = 4442,
  [8934] = 4425,
  [8935] = 5706,
  [8936] = 5667,
  [8937] = 5405,
  [8938] = 5208,
  [8939] = 5139,
  [8940] = 5746,
  [8941] = 5405,
  [8942] = 5706,
  [8943] = 5697,
  [8944] = 5103,
  [8945] = 5139,
  [8946] = 5735,
  [8947] = 5139,
  [8948] = 4486,
  [8949] = 5139,
  [8950] = 4316,
  [8951] = 5698,
  [8952] = 8712,
  [8953] = 5279,
  [8954] = 8712,
  [8955] = 5859,
  [8956] = 5108,
  [8957] = 5654,
  [8958] = 8712,
  [8959] = 6862,
  [8960] = 5069,
  [8961] = 8712,
  [8962] = 4793,
  [8963] = 4571,
  [8964] = 8712,
  [8965] = 5746,
  [8966] = 8712,
  [8967] = 5103,
  [8968] = 5086,
  [8969] = 8712,
  [8970] = 5654,
  [8971] = 4578,
  [8972] = 5050,
  [8973] = 5646,
  [8974] = 5635,
  [8975] = 5646,
  [8976] = 8712,
  [8977] = 3884,
  [8978] = 4451,
  [8979] = 5635,
  [8980] = 8712,
  [8981] = 6423,
  [8982] = 5685,
  [8983] = 8532,
  [8984] = 4303,
  [8985] = 5050,
  [8986] = 4821,
  [8987] = 5698,
  [8988] = 4451,
  [8989] = 5697,
  [8990] = 6862,
  [8991] = 4793,
  [8992] = 4779,
  [8993] = 5723,
  [8994] = 5722,
  [8995] = 5859,
  [8996] = 4278,
  [8997] = 4260,
  [8998] = 8712,
  [8999] = 5069,
  [9000] = 8712,
  [9001] = 4303,
  [9002] = 5737,
  [9003] = 4446,
  [9004] = 6862,
  [9005] = 4583,
  [9006] = 4314,
  [9007] = 4385,
  [9008] = 6423,
  [9009] = 8712,
  [9010] = 4578,
  [9011] = 4310,
  [9012] = 5103,
  [9013] = 8712,
  [9014] = 5103,
  [9015] = 8712,
  [9016] = 8712,
  [9017] = 4307,
  [9018] = 3884,
  [9019] = 4874,
  [9020] = 4821,
  [9021] = 5667,
  [9022] = 5646,
  [9023] = 5654,
  [9024] = 4779,
  [9025] = 5685,
  [9026] = 5685,
  [9027] = 8712,
  [9028] = 8712,
  [9029] = 9029,
  [9030] = 6676,
  [9031] = 8712,
  [9032] = 5769,
  [9033] = 4793,
  [9034] = 5698,
  [9035] = 5697,
  [9036] = 5697,
  [9037] = 5667,
  [9038] = 4287,
  [9039] = 5698,
  [9040] = 6676,
  [9041] = 4451,
  [9042] = 8532,
  [9043] = 4425,
  [9044] = 5706,
  [9045] = 5654,
  [9046] = 5646,
  [9047] = 5737,
  [9048] = 5635,
  [9049] = 4296,
  [9050] = 5720,
  [9051] = 4074,
  [9052] = 5787,
  [9053] = 4373,
  [9054] = 5706,
  [9055] = 8154,
  [9056] = 5713,
  [9057] = 2348,
  [9058] = 3882,
  [9059] = 4442,
  [9060] = 8712,
  [9061] = 5733,
  [9062] = 5838,
  [9063] = 5069,
  [9064] = 8712,
  [9065] = 6862,
  [9066] = 8712,
  [9067] = 5705,
  [9068] = 4314,
  [9069] = 4583,
  [9070] = 5208,
  [9071] = 5103,
  [9072] = 6326,
  [9073] = 4779,
  [9074] = 4874,
  [9075] = 6851,
  [9076] = 4287,
  [9077] = 5139,
  [9078] = 5713,
  [9079] = 4074,
  [9080] = 5859,
  [9081] = 5685,
  [9082] = 5733,
  [9083] = 5704,
  [9084] = 5812,
  [9085] = 5691,
  [9086] = 4779,
  [9087] = 8712,
  [9088] = 5108,
  [9089] = 8712,
  [9090] = 4583,
  [9091] = 5050,
  [9092] = 5717,
  [9093] = 5086,
  [9094] = 8712,
  [9095] = 8712,
  [9096] = 8712,
  [9097] = 5279,
  [9098] = 7174,
  [9099] = 8712,
  [9100] = 5086,
  [9101] = 5459,
  [9102] = 6423,
  [9103] = 4425,
  [9104] = 5050,
  [9105] = 5108,
  [9106] = 6862,
  [9107] = 5635,
  [9108] = 4373,
  [9109] = 4451,
  [9110] = 5646,
  [9111] = 5654,
  [9112] = 6862,
  [9113] = 5720,
  [9114] = 6851,
  [9115] = 9115,
  [9116] = 4260,
  [9117] = 5458,
  [9118] = 8712,
  [9119] = 5705,
  [9120] = 4443,
  [9121] = 4442,
  [9122] = 5654,
  [9123] = 5646,
  [9124] = 5139,
  [9125] = 5709,
  [9126] = 6851,
  [9127] = 4793,
  [9128] = 5208,
  [9129] = 5635,
  [9130] = 4442,
  [9131] = 8712,
  [9132] = 4486,
  [9133] = 4821,
  [9134] = 5691,
  [9135] = 5746,
  [9136] = 8712,
  [9137] = 8712,
  [9138] = 5812,
  [9139] = 5700,
  [9140] = 8154,
  [9141] = 8712,
  [9142] = 8712,
  [9143] = 4391,
  [9144] = 5458,
  [9145] = 5405,
  [9146] = 8712,
  [9147] = 8712,
  [9148] = 5838,
  [9149] = 5695,
  [9150] = 4828,
  [9151] = 8712,
  [9152] = 5459,
  [9153] = 5838,
  [9154] = 4385,
  [9155] = 4350,
  [9156] = 5208,
  [9157] = 5705,
  [9158] = 8750,
  [9159] = 5704,
  [9160] = 4793,
  [9161] = 8712,
  [9162] = 5685,
  [9163] = 5722,
  [9164] = 8712,
  [9165] = 4828,
  [9166] = 8712,
  [9167] = 8712,
  [9168] = 8712,
  [9169] = 5723,
  [9170] = 5812,
  [9171] = 5695,
  [9172] = 8712,
  [9173] = 4245,
  [9174] = 5717,
  [9175] = 8123,
  [9176] = 8712,
  [9177] = 6423,
  [9178] = 8712,
  [9179] = 5698,
  [9180] = 5697,
  [9181] = 4385,
  [9182] = 5108,
  [9183] = 8712,
  [9184] = 5654,
  [9185] = 6862,
  [9186] = 5448,
  [9187] = 5859,
  [9188] = 6851,
  [9189] = 5738,
  [9190] = 5069,
  [9191] = 8712,
  [9192] = 5208,
  [9193] = 4179,
  [9194] = 5646,
  [9195] = 8154,
  [9196] = 5103,
  [9197] = 5685,
  [9198] = 5139,
  [9199] = 8712,
  [9200] = 8154,
  [9201] = 4821,
  [9202] = 8712,
  [9203] = 8712,
  [9204] = 5635,
  [9205] = 4451,
  [9206] = 4385,
  [9207] = 5108,
  [9208] = 5103,
  [9209] = 8712,
  [9210] = 4310,
  [9211] = 8712,
  [9212] = 8712,
  [9213] = 4793,
  [9214] = 5700,
  [9215] = 8712,
  [9216] = 4442,
  [9217] = 5086,
  [9218] = 6676,
  [9219] = 8712,
  [9220] = 4425,
  [9221] = 5050,
  [9222] = 4385,
  [9223] = 4282,
  [9224] = 8712,
  [9225] = 8712,
  [9226] = 4779,
  [9227] = 5443,
  [9228] = 8712,
  [9229] = 8712,
  [9230] = 4310,
  [9231] = 4779,
  [9232] = 4309,
  [9233] = 4245,
  [9234] = 6326,
  [9235] = 4583,
  [9236] = 5859,
  [9237] = 5069,
  [9238] = 4307,
  [9239] = 6676,
  [9240] = 5700,
  [9241] = 8712,
  [9242] = 4250,
  [9243] = 4821,
  [9244] = 4310,
  [9245] = 5735,
  [9246] = 5709,
  [9247] = 5691,
  [9248] = 5069,
  [9249] = 5279,
  [9250] = 4307,
  [9251] = 5738,
  [9252] = 8712,
  [9253] = 8712,
  [9254] = 5050,
  [9255] = 8712,
  [9256] = 8750,
  [9257] = 4296,
  [9258] = 8712,
  [9259] = 4505,
  [9260] = 8154,
  [9261] = 8154,
  [9262] = 5086,
  [9263] = 4179,
  [9264] = 4821,
  [9265] = 6851,
  [9266] = 5787,
  [9267] = 4296,
  [9268] = 4278,
  [9269] = 4316,
  [9270] = 5086,
  [9271] = 5050,
  [9272] = 4793,
  [9273] = 8712,
  [9274] = 8712,
  [9275] = 8154,
  [9276] = 5086,
  [9277] = 8712,
  [9278] = 4296,
  [9279] = 6326,
  [9280] = 8712,
  [9281] = 8712,
  [9282] = 5443,
  [9283] = 5717,
  [9284] = 4821,
  [9285] = 8712,
  [9286] = 5108,
  [9287] = 4286,
  [9288] = 5769,
  [9289] = 5448,
  [9290] = 4821,
  [9291] = 4307,
  [9292] = 5069,
  [9293] = 8712,
  [9294] = 5139,
  [9295] = 5769,
  [9296] = 8712,
  [9297] = 5208,
  [9298] = 4578,
  [9299] = 8712,
  [9300] = 8712,
  [9301] = 5787,
  [9302] = 5050,
  [9303] = 4430,
  [9304] = 4296,
  [9305] = 5695,
  [9306] = 8712,
  [9307] = 5103,
  [9308] = 5108,
  [9309] = 8712,
  [9310] = 4310,
  [9311] = 8712,
  [9312] = 5704,
  [9313] = 4279,
  [9314] = 4307,
  [9315] = 7174,
  [9316] = 5667,
  [9317] = 8712,
  [9318] = 8712,
  [9319] = 4179,
  [9320] = 5859,
  [9321] = 6676,
  [9322] = 8712,
  [9323] = 5069,
  [9324] = 8712,
  [9325] = 8712,
  [9326] = 5769,
  [9327] = 5722,
  [9328] = 5698,
  [9329] = 4250,
  [9330] = 5685,
  [9331] = 4821,
  [9332] = 8154,
  [9333] = 5697,
  [9334] = 5706,
  [9335] = 5635,
  [9336] = 5646,
  [9337] = 5654,
  [9338] = 8154,
  [9339] = 5746,
  [9340] = 6862,
  [9341] = 5859,
  [9342] = 5697,
  [9343] = 8154,
  [9344] = 4793,
  [9345] = 5859,
  [9346] = 8123,
  [9347] = 5698,
  [9348] = 5735,
  [9349] = 8727,
  [9350] = 5738,
  [9351] = 8154,
  [9352] = 3884,
  [9353] = 5103,
  [9354] = 9354,
  [9355] = 5737,
  [9356] = 5733,
  [9357] = 5723,
  [9358] = 5859,
  [9359] = 4793,
  [9360] = 9360,
  [9361] = 5069,
  [9362] = 9362,
  [9363] = 5722,
  [9364] = 5787,
  [9365] = 5720,
  [9366] = 5654,
  [9367] = 4316,
  [9368] = 3882,
  [9369] = 5646,
  [9370] = 4314,
  [9371] = 5635,
  [9372] = 9354,
  [9373] = 5733,
  [9374] = 4309,
  [9375] = 5706,
  [9376] = 5713,
  [9377] = 5859,
  [9378] = 5069,
  [9379] = 5691,
  [9380] = 4279,
  [9381] = 4505,
  [9382] = 4793,
  [9383] = 4286,
  [9384] = 6326,
  [9385] = 5695,
  [9386] = 5685,
  [9387] = 6677,
  [9388] = 4278,
  [9389] = 8154,
  [9390] = 5746,
  [9391] = 5405,
  [9392] = 4373,
  [9393] = 5737,
  [9394] = 5706,
  [9395] = 5709,
  [9396] = 4793,
  [9397] = 5838,
  [9398] = 5705,
  [9399] = 5704,
  [9400] = 4779,
  [9401] = 5812,
  [9402] = 5717,
  [9403] = 9403,
  [9404] = 5069,
  [9405] = 9354,
  [9406] = 6862,
  [9407] = 8154,
  [9408] = 5279,
  [9409] = 5700,
  [9410] = 5459,
  [9411] = 6676,
  [9412] = 5458,
  [9413] = 5695,
  [9414] = 5700,
  [9415] = 7174,
  [9416] = 9354,
  [9417] = 5691,
  [9418] = 5717,
  [9419] = 5787,
  [9420] = 5704,
  [9421] = 5705,
  [9422] = 7174,
  [9423] = 5769,
  [9424] = 5706,
  [9425] = 6676,
  [9426] = 5746,
  [9427] = 5086,
  [9428] = 5667,
  [9429] = 9429,
  [9430] = 5713,
  [9431] = 4451,
  [9432] = 5720,
  [9433] = 5723,
  [9434] = 5208,
  [9435] = 4874,
  [9436] = 9354,
  [9437] = 5050,
  [9438] = 5108,
  [9439] = 5139,
  [9440] = 3884,
  [9441] = 5735,
  [9442] = 5738,
  [9443] = 4296,
  [9444] = 9354,
  [9445] = 5108,
  [9446] = 5139,
  [9447] = 5859,
  [9448] = 5208,
  [9449] = 6326,
  [9450] = 5103,
  [9451] = 5769,
  [9452] = 4307,
  [9453] = 5787,
  [9454] = 5086,
  [9455] = 6676,
  [9456] = 5698,
  [9457] = 5697,
  [9458] = 5050,
  [9459] = 6862,
  [9460] = 4310,
  [9461] = 5738,
  [9462] = 8123,
  [9463] = 5635,
  [9464] = 5646,
  [9465] = 5735,
  [9466] = 5838,
  [9467] = 5654,
  [9468] = 4779,
  [9469] = 5812,
  [9470] = 8154,
  [9471] = 6676,
  [9472] = 5709,
  [9473] = 5654,
  [9474] = 7174,
  [9475] = 8532,
  [9476] = 5646,
  [9477] = 4779,
  [9478] = 5635,
  [9479] = 6423,
  [9480] = 4451,
  [9481] = 6851,
  [9482] = 5685,
  [9483] = 5812,
  [9484] = 5859,
  [9485] = 5448,
  [9486] = 5722,
  [9487] = 5635,
  [9488] = 4821,
  [9489] = 9354,
  [9490] = 5838,
  [9491] = 5646,
  [9492] = 8123,
  [9493] = 5697,
  [9494] = 5698,
  [9495] = 5838,
  [9496] = 5685,
  [9497] = 4779,
  [9498] = 5654,
  [9499] = 6851,
  [9500] = 6677,
  [9501] = 3882,
  [9502] = 5723,
  [9503] = 5322,
  [9504] = 4793,
  [9505] = 5698,
  [9506] = 4793,
  [9507] = 5697,
  [9508] = 5859,
  [9509] = 4443,
  [9510] = 5667,
  [9511] = 8154,
  [9512] = 5069,
  [9513] = 3882,
  [9514] = 8123,
  [9515] = 6862,
  [9516] = 5443,
  [9517] = 4446,
  [9518] = 5746,
  [9519] = 5720,
  [9520] = 5635,
  [9521] = 5685,
  [9522] = 8123,
  [9523] = 6862,
  [9524] = 5667,
  [9525] = 6677,
  [9526] = 6423,
  [9527] = 5685,
  [9528] = 5069,
  [9529] = 5737,
  [9530] = 4296,
  [9531] = 5697,
  [9532] = 5698,
  [9533] = 4821,
  [9534] = 5685,
  [9535] = 4425,
  [9536] = 5733,
  [9537] = 5646,
  [9538] = 4505,
  [9539] = 9354,
  [9540] = 5713,
  [9541] = 5737,
  [9542] = 4583,
  [9543] = 5654,
  [9544] = 4307,
  [9545] = 4282,
  [9546] = 5654,
  [9547] = 5646,
  [9548] = 6862,
  [9549] = 3884,
  [9550] = 5635,
  [9551] = 9354,
  [9552] = 3882,
  [9553] = 5812,
  [9554] = 4310,
  [9555] = 5069,
  [9556] = 5448,
  [9557] = 9557,
  [9558] = 9558,
  [9559] = 5705,
  [9560] = 2348,
  [9561] = 6677,
  [9562] = 3882,
  [9563] = 5704,
  [9564] = 5069,
  [9565] = 9354,
  [9566] = 5208,
  [9567] = 3882,
  [9568] = 5050,
  [9569] = 5717,
  [9570] = 5208,
  [9571] = 5139,
  [9572] = 8154,
  [9573] = 5086,
  [9574] = 4578,
  [9575] = 7174,
  [9576] = 9354,
  [9577] = 5108,
  [9578] = 5108,
  [9579] = 4310,
  [9580] = 5103,
  [9581] = 8532,
  [9582] = 6676,
  [9583] = 5139,
  [9584] = 5139,
  [9585] = 9585,
  [9586] = 5086,
  [9587] = 5700,
  [9588] = 9354,
  [9589] = 4451,
  [9590] = 5050,
  [9591] = 5635,
  [9592] = 4074,
  [9593] = 5208,
  [9594] = 5646,
  [9595] = 6676,
  [9596] = 5654,
  [9597] = 5709,
  [9598] = 5103,
  [9599] = 5208,
  [9600] = 4793,
  [9601] = 4821,
  [9602] = 6423,
  [9603] = 5695,
  [9604] = 5139,
  [9605] = 4179,
  [9606] = 5859,
  [9607] = 4307,
  [9608] = 5103,
  [9609] = 4310,
  [9610] = 5108,
  [9611] = 4307,
  [9612] = 5691,
  [9613] = 4296,
  [9614] = 9354,
  [9615] = 4074,
  [9616] = 6862,
  [9617] = 5859,
  [9618] = 3882,
  [9619] = 5086,
  [9620] = 9354,
  [9621] = 4425,
  [9622] = 4442,
  [9623] = 5050,
  [9624] = 4385,
  [9625] = 5667,
  [9626] = 5697,
  [9627] = 4486,
  [9628] = 4296,
  [9629] = 5698,
  [9630] = 3884,
  [9631] = 4793,
  [9632] = 6862,
  [9633] = 5654,
  [9634] = 5646,
  [9635] = 5691,
  [9636] = 5635,
  [9637] = 5108,
  [9638] = 6851,
  [9639] = 4446,
  [9640] = 5733,
  [9641] = 5443,
  [9642] = 9354,
  [9643] = 6862,
  [9644] = 5103,
  [9645] = 6862,
  [9646] = 4821,
  [9647] = 5654,
  [9648] = 5646,
  [9649] = 5695,
  [9650] = 5635,
  [9651] = 4443,
  [9652] = 4779,
  [9653] = 5700,
  [9654] = 5086,
  [9655] = 6862,
  [9656] = 5717,
  [9657] = 5704,
  [9658] = 8123,
  [9659] = 5705,
  [9660] = 5706,
  [9661] = 5405,
  [9662] = 4442,
  [9663] = 5322,
  [9664] = 6851,
  [9665] = 9665,
  [9666] = 6677,
  [9667] = 3884,
  [9668] = 5103,
  [9669] = 3884,
  [9670] = 9670,
  [9671] = 6862,
  [9672] = 5654,
  [9673] = 5646,
  [9674] = 5685,
  [9675] = 6326,
  [9676] = 5698,
  [9677] = 5635,
  [9678] = 5697,
  [9679] = 5709,
  [9680] = 5713,
  [9681] = 4821,
  [9682] = 5697,
  [9683] = 4385,
  [9684] = 5698,
  [9685] = 8154,
  [9686] = 5050,
  [9687] = 5720,
  [9688] = 5069,
  [9689] = 4779,
  [9690] = 8532,
  [9691] = 5722,
  [9692] = 5723,
  [9693] = 6677,
  [9694] = 9694,
  [9695] = 6326,
  [9696] = 5685,
  [9697] = 5069,
  [9698] = 5859,
  [9699] = 5735,
  [9700] = 5738,
  [9701] = 6851,
  [9702] = 5103,
  [9703] = 9354,
  [9704] = 5859,
  [9705] = 5769,
  [9706] = 5787,
  [9707] = 9354,
  [9708] = 4296,
  [9709] = 4307,
  [9710] = 5103,
  [9711] = 5635,
  [9712] = 8154,
  [9713] = 5646,
  [9714] = 5654,
  [9715] = 5069,
  [9716] = 4310,
  [9717] = 4486,
  [9718] = 9354,
  [9719] = 5279,
  [9720] = 6851,
  [9721] = 8154,
  [9722] = 6423,
  [9723] = 7174,
  [9724] = 5458,
  [9725] = 5685,
  [9726] = 5069,
  [9727] = 5103,
  [9728] = 5103,
  [9729] = 5697,
  [9730] = 5459,
  [9731] = 5698,
  [9732] = 6677,
  [9733] = 5717,
  [9734] = 5108,
  [9735] = 5713,
  [9736] = 3882,
  [9737] = 8154,
  [9738] = 5139,
  [9739] = 5709,
  [9740] = 4793,
  [9741] = 9741,
  [9742] = 4821,
  [9743] = 5667,
  [9744] = 9744,
  [9745] = 5208,
  [9746] = 5654,
  [9747] = 5646,
  [9748] = 5646,
  [9749] = 5720,
  [9750] = 5654,
  [9751] = 5635,
  [9752] = 5859,
  [9753] = 4534,
  [9754] = 5646,
  [9755] = 5103,
  [9756] = 4250,
  [9757] = 4779,
  [9758] = 5685,
  [9759] = 5635,
  [9760] = 5635,
  [9761] = 6423,
  [9762] = 9762,
  [9763] = 7174,
  [9764] = 5069,
  [9765] = 5706,
  [9766] = 6862,
  [9767] = 9767,
  [9768] = 5697,
  [9769] = 8154,
  [9770] = 6851,
  [9771] = 5705,
  [9772] = 9772,
  [9773] = 5698,
  [9774] = 5704,
  [9775] = 9775,
  [9776] = 6862,
  [9777] = 8154,
  [9778] = 4534,
  [9779] = 4296,
  [9780] = 6851,
  [9781] = 8532,
  [9782] = 4296,
  [9783] = 6677,
  [9784] = 5700,
  [9785] = 6676,
  [9786] = 4793,
  [9787] = 5635,
  [9788] = 5722,
  [9789] = 5654,
  [9790] = 5838,
  [9791] = 8154,
  [9792] = 5646,
  [9793] = 5654,
  [9794] = 5635,
  [9795] = 5050,
  [9796] = 5769,
  [9797] = 9775,
  [9798] = 5695,
  [9799] = 5698,
  [9800] = 5697,
  [9801] = 8154,
  [9802] = 6423,
  [9803] = 3884,
  [9804] = 9804,
  [9805] = 5691,
  [9806] = 8154,
  [9807] = 5812,
  [9808] = 6851,
  [9809] = 5735,
  [9810] = 5086,
  [9811] = 5685,
  [9812] = 4316,
  [9813] = 5787,
  [9814] = 4583,
  [9815] = 5069,
  [9816] = 5685,
  [9817] = 6862,
  [9818] = 5738,
  [9819] = 5685,
  [9820] = 4578,
  [9821] = 9762,
  [9822] = 4486,
  [9823] = 5685,
  [9824] = 5086,
  [9825] = 4534,
  [9826] = 5859,
  [9827] = 4534,
  [9828] = 5859,
  [9829] = 5108,
  [9830] = 4307,
  [9831] = 3882,
  [9832] = 5646,
  [9833] = 5654,
  [9834] = 5697,
  [9835] = 6326,
  [9836] = 5646,
  [9837] = 5698,
  [9838] = 5635,
  [9839] = 5654,
  [9840] = 9840,
  [9841] = 6676,
  [9842] = 5859,
  [9843] = 4534,
  [9844] = 5139,
  [9845] = 9845,
  [9846] = 8532,
  [9847] = 5208,
  [9848] = 5208,
  [9849] = 5654,
  [9850] = 9804,
  [9851] = 5646,
  [9852] = 5859,
  [9853] = 5859,
  [9854] = 4534,
  [9855] = 5139,
  [9856] = 5208,
  [9857] = 6326,
  [9858] = 5050,
  [9859] = 5738,
  [9860] = 8154,
  [9861] = 5735,
  [9862] = 3884,
  [9863] = 4310,
  [9864] = 6862,
  [9865] = 4534,
  [9866] = 5812,
  [9867] = 6862,
  [9868] = 5635,
  [9869] = 5108,
  [9870] = 5769,
  [9871] = 6676,
  [9872] = 5103,
  [9873] = 5654,
  [9874] = 5733,
  [9875] = 5646,
  [9876] = 8123,
  [9877] = 5787,
  [9878] = 5709,
  [9879] = 6676,
  [9880] = 4534,
  [9881] = 5685,
  [9882] = 5208,
  [9883] = 5139,
  [9884] = 5697,
  [9885] = 9762,
  [9886] = 5108,
  [9887] = 4451,
  [9888] = 9767,
  [9889] = 9889,
  [9890] = 5086,
  [9891] = 6851,
  [9892] = 6676,
  [9893] = 5050,
  [9894] = 6851,
  [9895] = 5698,
  [9896] = 5069,
  [9897] = 5685,
  [9898] = 6862,
  [9899] = 4309,
  [9900] = 6862,
  [9901] = 5635,
  [9902] = 4279,
  [9903] = 5838,
  [9904] = 9762,
  [9905] = 6676,
  [9906] = 4534,
  [9907] = 4534,
  [9908] = 5050,
  [9909] = 6677,
  [9910] = 4245,
  [9911] = 5139,
  [9912] = 6862,
  [9913] = 5086,
  [9914] = 4286,
  [9915] = 5646,
  [9916] = 8123,
  [9917] = 9767,
  [9918] = 5698,
  [9919] = 6862,
  [9920] = 6851,
  [9921] = 5050,
  [9922] = 6676,
  [9923] = 9767,
  [9924] = 5717,
  [9925] = 8154,
  [9926] = 5108,
  [9927] = 9889,
  [9928] = 5723,
  [9929] = 6851,
  [9930] = 5698,
  [9931] = 5697,
  [9932] = 9762,
  [9933] = 4278,
  [9934] = 5722,
  [9935] = 5685,
  [9936] = 9804,
  [9937] = 5139,
  [9938] = 7174,
  [9939] = 8532,
  [9940] = 5086,
  [9941] = 5208,
  [9942] = 4373,
  [9943] = 5654,
  [9944] = 5646,
  [9945] = 4534,
  [9946] = 4303,
  [9947] = 5635,
  [9948] = 5103,
  [9949] = 5720,
  [9950] = 3884,
  [9951] = 5685,
  [9952] = 5685,
  [9953] = 8123,
  [9954] = 5208,
  [9955] = 5050,
  [9956] = 6862,
  [9957] = 6851,
  [9958] = 5108,
  [9959] = 5746,
  [9960] = 4534,
  [9961] = 5667,
  [9962] = 5713,
  [9963] = 5697,
  [9964] = 9767,
  [9965] = 5685,
  [9966] = 6862,
  [9967] = 5139,
  [9968] = 5733,
  [9969] = 5108,
  [9970] = 4534,
  [9971] = 4779,
  [9972] = 8154,
  [9973] = 5086,
  [9974] = 5208,
  [9975] = 6326,
  [9976] = 5108,
  [9977] = 5103,
  [9978] = 4534,
  [9979] = 9694,
  [9980] = 5086,
  [9981] = 5635,
  [9982] = 5635,
  [9983] = 6862,
  [9984] = 5646,
  [9985] = 5654,
  [9986] = 5069,
  [9987] = 6862,
  [9988] = 4385,
  [9989] = 5737,
  [9990] = 4442,
  [9991] = 5697,
  [9992] = 4425,
  [9993] = 8123,
  [9994] = 9670,
  [9995] = 5646,
  [9996] = 5635,
  [9997] = 5698,
  [9998] = 6851,
  [9999] = 5685,
  [10000] = 4505,
  [10001] = 5737,
  [10002] = 5698,
  [10003] = 5697,
  [10004] = 5086,
  [10005] = 5050,
  [10006] = 4534,
  [10007] = 4534,
  [10008] = 6676,
  [10009] = 6676,
  [10010] = 5139,
  [10011] = 4282,
  [10012] = 5697,
  [10013] = 5698,
  [10014] = 4314,
  [10015] = 5208,
  [10016] = 5697,
  [10017] = 9665,
  [10018] = 5685,
  [10019] = 5685,
  [10020] = 5635,
  [10021] = 4534,
  [10022] = 5322,
  [10023] = 5698,
  [10024] = 5654,
  [10025] = 5103,
  [10026] = 3884,
  [10027] = 5050,
  [10028] = 7174,
  [10029] = 5646,
  [10030] = 5698,
  [10031] = 5654,
  [10032] = 5859,
  [10033] = 5654,
  [10034] = 4534,
  [10035] = 5208,
  [10036] = 6676,
  [10037] = 5069,
  [10038] = 3882,
  [10039] = 7174,
  [10040] = 5069,
  [10041] = 5697,
  [10042] = 5698,
  [10043] = 5050,
  [10044] = 5139,
  [10045] = 5086,
  [10046] = 6326,
  [10047] = 6851,
  [10048] = 5697,
  [10049] = 5108,
  [10050] = 6851,
  [10051] = 4534,
  [10052] = 4179,
  [10053] = 8154,
  [10054] = 5108,
  [10055] = 5646,
  [10056] = 6676,
  [10057] = 5746,
  [10058] = 9775,
  [10059] = 5108,
  [10060] = 3884,
  [10061] = 6862,
  [10062] = 5706,
  [10063] = 5635,
  [10064] = 8123,
  [10065] = 6862,
  [10066] = 6862,
  [10067] = 4534,
  [10068] = 5103,
  [10069] = 4534,
  [10070] = 5654,
  [10071] = 5139,
  [10072] = 5086,
  [10073] = 5691,
  [10074] = 5705,
  [10075] = 5208,
  [10076] = 6851,
  [10077] = 4310,
  [10078] = 5704,
  [10079] = 5697,
  [10080] = 5050,
  [10081] = 5654,
  [10082] = 5697,
  [10083] = 6677,
  [10084] = 4296,
  [10085] = 5646,
  [10086] = 5723,
  [10087] = 8123,
  [10088] = 6423,
  [10089] = 5086,
  [10090] = 8154,
  [10091] = 4534,
  [10092] = 5859,
  [10093] = 4307,
  [10094] = 5695,
  [10095] = 4310,
  [10096] = 5698,
  [10097] = 5698,
  [10098] = 5635,
  [10099] = 5050,
  [10100] = 8123,
  [10101] = 5208,
  [10102] = 8154,
  [10103] = 6862,
  [10104] = 4307,
  [10105] = 8154,
  [10106] = 5700,
  [10107] = 5654,
  [10108] = 4571,
  [10109] = 5646,
  [10110] = 5139,
  [10111] = 6676,
  [10112] = 5635,
  [10113] = 5050,
  [10114] = 4534,
  [10115] = 5086,
  [10116] = 6862,
  [10117] = 4260,
  [10118] = 8154,
  [10119] = 5108,
  [10120] = 6862,
  [10121] = 5646,
  [10122] = 5139,
  [10123] = 5654,
  [10124] = 5635,
  [10125] = 3882,
  [10126] = 4534,
  [10127] = 5697,
  [10128] = 5654,
  [10129] = 6676,
  [10130] = 5050,
  [10131] = 5654,
  [10132] = 5654,
  [10133] = 5635,
  [10134] = 5646,
  [10135] = 5746,
  [10136] = 5139,
  [10137] = 4595,
  [10138] = 5723,
  [10139] = 10139,
  [10140] = 10139,
  [10141] = 5722,
  [10142] = 5635,
  [10143] = 5108,
  [10144] = 5859,
  [10145] = 5646,
  [10146] = 5635,
  [10147] = 6423,
  [10148] = 10139,
  [10149] = 3882,
  [10150] = 10139,
  [10151] = 10139,
  [10152] = 5139,
  [10153] = 5208,
  [10154] = 10154,
  [10155] = 4595,
  [10156] = 4793,
  [10157] = 10139,
  [10158] = 5733,
  [10159] = 8154,
  [10160] = 5646,
  [10161] = 5208,
  [10162] = 4821,
  [10163] = 4595,
  [10164] = 8123,
  [10165] = 5685,
  [10166] = 3882,
  [10167] = 4595,
  [10168] = 5139,
  [10169] = 5698,
  [10170] = 5697,
  [10171] = 6862,
  [10172] = 5698,
  [10173] = 5697,
  [10174] = 5691,
  [10175] = 4595,
  [10176] = 5685,
  [10177] = 5697,
  [10178] = 4595,
  [10179] = 5698,
  [10180] = 4793,
  [10181] = 5108,
  [10182] = 10182,
  [10183] = 6676,
  [10184] = 5635,
  [10185] = 5654,
  [10186] = 10139,
  [10187] = 4779,
  [10188] = 5646,
  [10189] = 5654,
  [10190] = 4595,
  [10191] = 5108,
  [10192] = 10139,
  [10193] = 10139,
  [10194] = 5139,
  [10195] = 5685,
  [10196] = 6862,
  [10197] = 6851,
  [10198] = 5685,
  [10199] = 4385,
  [10200] = 10139,
  [10201] = 5108,
  [10202] = 4595,
  [10203] = 5086,
  [10204] = 6851,
  [10205] = 8532,
  [10206] = 4425,
  [10207] = 4442,
  [10208] = 4385,
  [10209] = 6676,
  [10210] = 4442,
  [10211] = 4425,
  [10212] = 5635,
  [10213] = 10139,
  [10214] = 5208,
  [10215] = 4595,
  [10216] = 5720,
  [10217] = 6862,
  [10218] = 6862,
  [10219] = 5646,
  [10220] = 5704,
  [10221] = 4595,
  [10222] = 6423,
  [10223] = 5654,
  [10224] = 5700,
  [10225] = 6677,
  [10226] = 10139,
  [10227] = 4451,
  [10228] = 5050,
  [10229] = 10139,
  [10230] = 8532,
  [10231] = 4595,
  [10232] = 5705,
  [10233] = 5698,
  [10234] = 6862,
  [10235] = 8123,
  [10236] = 6851,
  [10237] = 5654,
  [10238] = 5208,
  [10239] = 5139,
  [10240] = 4595,
  [10241] = 4595,
  [10242] = 5208,
  [10243] = 5685,
  [10244] = 6676,
  [10245] = 5698,
  [10246] = 4266,
  [10247] = 8154,
  [10248] = 6851,
  [10249] = 5838,
  [10250] = 8532,
  [10251] = 6862,
  [10252] = 6676,
  [10253] = 5697,
  [10254] = 5859,
  [10255] = 5050,
  [10256] = 8123,
  [10257] = 4595,
  [10258] = 5646,
  [10259] = 6862,
  [10260] = 10260,
  [10261] = 5086,
  [10262] = 8532,
  [10263] = 6326,
  [10264] = 10264,
  [10265] = 6851,
  [10266] = 4451,
  [10267] = 5108,
  [10268] = 10139,
  [10269] = 6862,
  [10270] = 8154,
  [10271] = 5698,
  [10272] = 5697,
  [10273] = 6423,
  [10274] = 10139,
  [10275] = 6677,
  [10276] = 10139,
  [10277] = 6423,
  [10278] = 5685,
  [10279] = 10139,
  [10280] = 5139,
  [10281] = 5646,
  [10282] = 4595,
  [10283] = 5635,
  [10284] = 5086,
  [10285] = 10139,
  [10286] = 5086,
  [10287] = 6851,
  [10288] = 6862,
  [10289] = 8123,
  [10290] = 10260,
  [10291] = 5685,
  [10292] = 5208,
  [10293] = 6862,
  [10294] = 5654,
  [10295] = 10295,
  [10296] = 10296,
  [10297] = 5646,
  [10298] = 6862,
  [10299] = 5635,
  [10300] = 6851,
  [10301] = 5685,
  [10302] = 5654,
  [10303] = 10303,
  [10304] = 10296,
  [10305] = 10260,
  [10306] = 8154,
  [10307] = 6862,
  [10308] = 4595,
  [10309] = 5086,
  [10310] = 5769,
  [10311] = 10295,
  [10312] = 8123,
  [10313] = 6862,
  [10314] = 5050,
  [10315] = 5859,
  [10316] = 6851,
  [10317] = 5697,
  [10318] = 5050,
  [10319] = 5635,
  [10320] = 5050,
  [10321] = 5635,
  [10322] = 10139,
  [10323] = 5086,
  [10324] = 5859,
  [10325] = 4595,
  [10326] = 5108,
  [10327] = 5208,
  [10328] = 10182,
  [10329] = 9665,
  [10330] = 5139,
  [10331] = 5208,
  [10332] = 6676,
  [10333] = 5698,
  [10334] = 6862,
  [10335] = 4296,
  [10336] = 5646,
  [10337] = 4307,
  [10338] = 10338,
  [10339] = 5697,
  [10340] = 4595,
  [10341] = 5654,
  [10342] = 5050,
  [10343] = 5698,
  [10344] = 5698,
  [10345] = 5859,
  [10346] = 10346,
  [10347] = 5695,
  [10348] = 5635,
  [10349] = 5086,
  [10350] = 5139,
  [10351] = 5635,
  [10352] = 5654,
  [10353] = 8154,
  [10354] = 10354,
  [10355] = 6851,
  [10356] = 5646,
  [10357] = 4595,
  [10358] = 3884,
  [10359] = 5646,
  [10360] = 10139,
  [10361] = 5108,
  [10362] = 5654,
  [10363] = 4595,
  [10364] = 5139,
  [10365] = 9670,
  [10366] = 4595,
  [10367] = 5208,
  [10368] = 5208,
  [10369] = 10139,
  [10370] = 5654,
  [10371] = 5717,
  [10372] = 10139,
  [10373] = 10295,
  [10374] = 4779,
  [10375] = 5685,
  [10376] = 5812,
  [10377] = 5646,
  [10378] = 5139,
  [10379] = 4821,
  [10380] = 6851,
  [10381] = 10381,
  [10382] = 5646,
  [10383] = 5108,
  [10384] = 10384,
  [10385] = 10139,
  [10386] = 8154,
  [10387] = 5086,
  [10388] = 10182,
  [10389] = 5685,
  [10390] = 5635,
  [10391] = 6676,
  [10392] = 6862,
  [10393] = 5697,
  [10394] = 5787,
  [10395] = 7174,
  [10396] = 10139,
  [10397] = 8123,
  [10398] = 4595,
  [10399] = 6326,
  [10400] = 5859,
  [10401] = 5108,
  [10402] = 4595,
  [10403] = 6423,
  [10404] = 10346,
  [10405] = 8154,
  [10406] = 9694,
  [10407] = 5050,
  [10408] = 4310,
  [10409] = 5635,
  [10410] = 6676,
  [10411] = 5654,
  [10412] = 5646,
  [10413] = 5735,
  [10414] = 7174,
  [10415] = 5635,
  [10416] = 3884,
  [10417] = 10139,
  [10418] = 5086,
  [10419] = 5713,
  [10420] = 4595,
  [10421] = 6677,
  [10422] = 10422,
  [10423] = 5050,
  [10424] = 5859,
  [10425] = 8154,
  [10426] = 5086,
  [10427] = 6676,
  [10428] = 5635,
  [10429] = 5698,
  [10430] = 5646,
  [10431] = 5654,
  [10432] = 5738,
  [10433] = 5697,
  [10434] = 5108,
  [10435] = 10435,
  [10436] = 5103,
  [10437] = 8154,
  [10438] = 6862,
  [10439] = 5050,
  [10440] = 5069,
  [10441] = 7174,
  [10442] = 5737,
  [10443] = 4266,
  [10444] = 5208,
  [10445] = 5050,
  [10446] = 8154,
  [10447] = 10447,
  [10448] = 5635,
  [10449] = 10154,
  [10450] = 5654,
  [10451] = 5086,
  [10452] = 6677,
  [10453] = 5050,
  [10454] = 5108,
  [10455] = 5646,
  [10456] = 10456,
  [10457] = 10457,
  [10458] = 6851,
  [10459] = 5698,
  [10460] = 5697,
  [10461] = 6862,
  [10462] = 5139,
  [10463] = 5208,
  [10464] = 5685,
  [10465] = 6862,
  [10466] = 5103,
  [10467] = 10467,
  [10468] = 6423,
  [10469] = 5654,
  [10470] = 6851,
  [10471] = 6862,
  [10472] = 10472,
  [10473] = 10473,
  [10474] = 5646,
  [10475] = 5654,
  [10476] = 5646,
  [10477] = 8123,
  [10478] = 5635,
  [10479] = 5635,
  [10480] = 8154,
  [10481] = 5635,
  [10482] = 6677,
  [10483] = 5108,
  [10484] = 5086,
  [10485] = 8123,
  [10486] = 6862,
  [10487] = 10473,
  [10488] = 5685,
  [10489] = 10489,
  [10490] = 5322,
  [10491] = 10491,
  [10492] = 8123,
  [10493] = 6862,
  [10494] = 5654,
  [10495] = 6676,
  [10496] = 5646,
  [10497] = 8123,
  [10498] = 10472,
  [10499] = 5635,
  [10500] = 6851,
  [10501] = 8123,
  [10502] = 6677,
  [10503] = 6862,
  [10504] = 5646,
  [10505] = 5208,
  [10506] = 8154,
  [10507] = 5139,
  [10508] = 10384,
  [10509] = 10381,
  [10510] = 7174,
  [10511] = 5108,
  [10512] = 8532,
  [10513] = 10354,
  [10514] = 10338,
  [10515] = 6862,
  [10516] = 8123,
  [10517] = 10303,
  [10518] = 5698,
  [10519] = 6676,
  [10520] = 10422,
  [10521] = 5086,
  [10522] = 5050,
  [10523] = 8154,
  [10524] = 6862,
  [10525] = 5208,
  [10526] = 8123,
  [10527] = 4245,
  [10528] = 5685,
  [10529] = 7174,
  [10530] = 6326,
  [10531] = 6862,
  [10532] = 4266,
  [10533] = 5697,
  [10534] = 5685,
  [10535] = 6676,
  [10536] = 4874,
  [10537] = 5698,
  [10538] = 5859,
  [10539] = 8532,
  [10540] = 10540,
  [10541] = 6676,
  [10542] = 5685,
  [10543] = 6676,
  [10544] = 10467,
  [10545] = 10540,
  [10546] = 5279,
  [10547] = 6851,
  [10548] = 6851,
  [10549] = 5139,
  [10550] = 5635,
  [10551] = 5646,
  [10552] = 10447,
  [10553] = 5654,
  [10554] = 10554,
  [10555] = 10457,
  [10556] = 6862,
  [10557] = 5685,
  [10558] = 5069,
  [10559] = 5139,
  [10560] = 5697,
  [10561] = 4793,
  [10562] = 5698,
  [10563] = 6862,
  [10564] = 8123,
  [10565] = 5654,
  [10566] = 5069,
  [10567] = 6676,
  [10568] = 10568,
  [10569] = 6862,
  [10570] = 5697,
  [10571] = 5654,
  [10572] = 8154,
  [10573] = 5646,
  [10574] = 6862,
  [10575] = 5635,
  [10576] = 4821,
  [10577] = 6677,
  [10578] = 8154,
  [10579] = 5208,
  [10580] = 10472,
  [10581] = 5139,
  [10582] = 10473,
  [10583] = 8123,
  [10584] = 8532,
  [10585] = 5654,
  [10586] = 6677,
  [10587] = 6862,
  [10588] = 5646,
  [10589] = 5654,
  [10590] = 7174,
  [10591] = 5697,
  [10592] = 5103,
  [10593] = 5635,
  [10594] = 4259,
  [10595] = 5698,
  [10596] = 5635,
  [10597] = 5646,
  [10598] = 6676,
  [10599] = 5654,
  [10600] = 5697,
  [10601] = 5208,
  [10602] = 7174,
  [10603] = 6862,
  [10604] = 10491,
  [10605] = 5698,
  [10606] = 5646,
  [10607] = 5654,
  [10608] = 5646,
  [10609] = 5635,
  [10610] = 6862,
  [10611] = 5139,
  [10612] = 5635,
  [10613] = 5108,
  [10614] = 5635,
  [10615] = 5646,
  [10616] = 5086,
  [10617] = 6862,
  [10618] = 8123,
  [10619] = 5654,
  [10620] = 8154,
  [10621] = 10621,
  [10622] = 5050,
  [10623] = 5635,
  [10624] = 5646,
  [10625] = 5654,
  [10626] = 5108,
  [10627] = 8123,
  [10628] = 6862,
  [10629] = 5108,
  [10630] = 6851,
  [10631] = 6862,
  [10632] = 5685,
  [10633] = 10633,
  [10634] = 5108,
  [10635] = 5697,
  [10636] = 5698,
  [10637] = 10637,
  [10638] = 6851,
  [10639] = 4779,
  [10640] = 4266,
  [10641] = 10633,
  [10642] = 8154,
  [10643] = 6677,
  [10644] = 6676,
  [10645] = 8532,
  [10646] = 5208,
  [10647] = 4259,
  [10648] = 10457,
  [10649] = 5139,
  [10650] = 7174,
  [10651] = 5050,
  [10652] = 5086,
  [10653] = 10447,
  [10654] = 5654,
  [10655] = 5646,
  [10656] = 5050,
  [10657] = 5635,
  [10658] = 5050,
  [10659] = 8123,
  [10660] = 5086,
  [10661] = 5086,
  [10662] = 10489,
  [10663] = 8532,
  [10664] = 10664,
  [10665] = 4179,
  [10666] = 10666,
  [10667] = 4259,
  [10668] = 6851,
  [10669] = 5735,
  [10670] = 10338,
  [10671] = 4281,
  [10672] = 4259,
  [10673] = 3884,
  [10674] = 10674,
  [10675] = 3882,
  [10676] = 6862,
  [10677] = 10303,
  [10678] = 6676,
  [10679] = 8154,
  [10680] = 10680,
  [10681] = 10637,
  [10682] = 10682,
  [10683] = 10381,
  [10684] = 5654,
  [10685] = 5635,
  [10686] = 10354,
  [10687] = 10687,
  [10688] = 5208,
  [10689] = 5738,
  [10690] = 5713,
  [10691] = 8409,
  [10692] = 10692,
  [10693] = 10693,
  [10694] = 10694,
  [10695] = 10384,
  [10696] = 6851,
  [10697] = 8532,
  [10698] = 10422,
  [10699] = 5208,
  [10700] = 6862,
  [10701] = 10701,
  [10702] = 10702,
  [10703] = 8532,
  [10704] = 5139,
  [10705] = 10705,
  [10706] = 10706,
  [10707] = 4446,
  [10708] = 10708,
  [10709] = 5654,
  [10710] = 6676,
  [10711] = 6862,
  [10712] = 5646,
  [10713] = 5654,
  [10714] = 6676,
  [10715] = 5108,
  [10716] = 5646,
  [10717] = 10717,
  [10718] = 4245,
  [10719] = 3884,
  [10720] = 10666,
  [10721] = 5086,
  [10722] = 5635,
  [10723] = 5812,
  [10724] = 5050,
  [10725] = 4266,
  [10726] = 5838,
  [10727] = 5139,
  [10728] = 4442,
  [10729] = 8176,
  [10730] = 5635,
  [10731] = 6862,
  [10732] = 8123,
  [10733] = 10664,
  [10734] = 10734,
  [10735] = 10682,
  [10736] = 10736,
  [10737] = 10736,
  [10738] = 5667,
  [10739] = 10739,
  [10740] = 5208,
  [10741] = 10666,
  [10742] = 5108,
  [10743] = 10743,
  [10744] = 10744,
  [10745] = 8176,
  [10746] = 10694,
  [10747] = 10568,
  [10748] = 10701,
  [10749] = 6851,
  [10750] = 8604,
  [10751] = 10621,
  [10752] = 4310,
  [10753] = 4245,
  [10754] = 8604,
  [10755] = 10554,
  [10756] = 5723,
  [10757] = 5139,
  [10758] = 5722,
  [10759] = 8123,
  [10760] = 5709,
  [10761] = 5746,
  [10762] = 5050,
  [10763] = 7174,
  [10764] = 5086,
  [10765] = 5685,
  [10766] = 10739,
  [10767] = 10706,
  [10768] = 10768,
  [10769] = 3882,
  [10770] = 5654,
  [10771] = 4307,
  [10772] = 10736,
  [10773] = 5646,
  [10774] = 4260,
  [10775] = 10775,
  [10776] = 5720,
  [10777] = 10777,
  [10778] = 5139,
  [10779] = 5635,
  [10780] = 5697,
  [10781] = 5698,
  [10782] = 10782,
  [10783] = 10783,
  [10784] = 10694,
  [10785] = 10701,
  [10786] = 5108,
  [10787] = 8283,
  [10788] = 5086,
  [10789] = 8283,
  [10790] = 8273,
  [10791] = 8273,
  [10792] = 5698,
  [10793] = 5697,
  [10794] = 4443,
  [10795] = 6862,
  [10796] = 10796,
  [10797] = 4446,
  [10798] = 3884,
  [10799] = 8123,
  [10800] = 5697,
  [10801] = 3882,
  [10802] = 5635,
  [10803] = 10803,
  [10804] = 5139,
  [10805] = 6862,
  [10806] = 8125,
  [10807] = 5459,
  [10808] = 5458,
  [10809] = 10803,
  [10810] = 10810,
  [10811] = 6676,
  [10812] = 5208,
  [10813] = 4296,
  [10814] = 10814,
  [10815] = 8123,
  [10816] = 8104,
  [10817] = 8125,
  [10818] = 8155,
  [10819] = 5685,
  [10820] = 8159,
  [10821] = 8174,
  [10822] = 8155,
  [10823] = 5646,
  [10824] = 10824,
  [10825] = 8159,
  [10826] = 5685,
  [10827] = 8174,
  [10828] = 4074,
  [10829] = 6862,
  [10830] = 5654,
  [10831] = 5769,
  [10832] = 5646,
  [10833] = 5448,
  [10834] = 5635,
  [10835] = 5646,
  [10836] = 5654,
  [10837] = 8104,
  [10838] = 4425,
  [10839] = 5108,
  [10840] = 10744,
  [10841] = 6862,
  [10842] = 4266,
  [10843] = 10743,
  [10844] = 6677,
  [10845] = 5787,
  [10846] = 5050,
  [10847] = 4266,
  [10848] = 5737,
  [10849] = 5405,
  [10850] = 5685,
  [10851] = 5706,
  [10852] = 10814,
  [10853] = 8123,
  [10854] = 6862,
  [10855] = 5705,
  [10856] = 5704,
  [10857] = 5050,
  [10858] = 8123,
  [10859] = 6862,
  [10860] = 5086,
  [10861] = 5108,
  [10862] = 10692,
  [10863] = 10680,
  [10864] = 5108,
  [10865] = 5733,
  [10866] = 5717,
  [10867] = 5635,
  [10868] = 5685,
  [10869] = 5086,
  [10870] = 4443,
  [10871] = 5139,
  [10872] = 5208,
  [10873] = 5654,
  [10874] = 5646,
  [10875] = 4259,
  [10876] = 6862,
  [10877] = 5635,
  [10878] = 4266,
  [10879] = 10814,
  [10880] = 5697,
  [10881] = 5700,
  [10882] = 5086,
  [10883] = 8409,
  [10884] = 4260,
  [10885] = 5698,
  [10886] = 5646,
  [10887] = 8123,
  [10888] = 4263,
  [10889] = 4245,
  [10890] = 5654,
  [10891] = 5646,
  [10892] = 5646,
  [10893] = 5654,
  [10894] = 5635,
  [10895] = 5050,
  [10896] = 5069,
  [10897] = 5443,
  [10898] = 8532,
  [10899] = 6862,
  [10900] = 10803,
  [10901] = 6676,
  [10902] = 10734,
  [10903] = 8123,
  [10904] = 5654,
  [10905] = 4385,
  [10906] = 5698,
  [10907] = 5698,
  [10908] = 10908,
  [10909] = 5050,
  [10910] = 5697,
  [10911] = 5635,
  [10912] = 6862,
  [10913] = 5103,
  [10914] = 5685,
  [10915] = 8123,
  [10916] = 5697,
  [10917] = 4266,
  [10918] = 5698,
  [10919] = 4245,
  [10920] = 6862,
  [10921] = 5208,
  [10922] = 5139,
  [10923] = 5108,
  [10924] = 5086,
  [10925] = 5654,
  [10926] = 5646,
  [10927] = 10706,
  [10928] = 6851,
  [10929] = 5050,
  [10930] = 10930,
  [10931] = 6851,
  [10932] = 5635,
  [10933] = 10680,
  [10934] = 10692,
  [10935] = 5691,
  [10936] = 8409,
  [10937] = 10744,
  [10938] = 10743,
  [10939] = 5208,
  [10940] = 5050,
  [10941] = 5695,
  [10942] = 5086,
  [10943] = 10739,
  [10944] = 8154,
  [10945] = 5108,
  [10946] = 4263,
  [10947] = 5208,
  [10948] = 5859,
  [10949] = 5139,
  [10950] = 4266,
  [10951] = 10951,
  [10952] = 5697,
  [10953] = 5050,
  [10954] = 10954,
  [10955] = 5698,
  [10956] = 5086,
  [10957] = 4373,
  [10958] = 10958,
  [10959] = 5108,
  [10960] = 4266,
  [10961] = 10908,
  [10962] = 5654,
  [10963] = 10963,
  [10964] = 5646,
  [10965] = 10965,
  [10966] = 5635,
  [10967] = 8409,
  [10968] = 4278,
  [10969] = 5139,
  [10970] = 4286,
  [10971] = 5208,
  [10972] = 10972,
  [10973] = 4316,
  [10974] = 6862,
  [10975] = 4279,
  [10976] = 8123,
  [10977] = 4486,
  [10978] = 5654,
  [10979] = 5646,
  [10980] = 8154,
  [10981] = 6862,
  [10982] = 4309,
  [10983] = 5050,
  [10984] = 4263,
  [10985] = 8155,
  [10986] = 3884,
  [10987] = 4314,
  [10988] = 4316,
  [10989] = 5635,
  [10990] = 4245,
  [10991] = 10991,
  [10992] = 5859,
  [10993] = 4250,
  [10994] = 10954,
  [10995] = 8154,
  [10996] = 10996,
  [10997] = 10997,
  [10998] = 6862,
  [10999] = 5812,
  [11000] = 11000,
  [11001] = 8154,
  [11002] = 4310,
  [11003] = 10997,
  [11004] = 11000,
  [11005] = 4245,
  [11006] = 5139,
  [11007] = 4309,
  [11008] = 4250,
  [11009] = 4307,
  [11010] = 5838,
  [11011] = 10734,
  [11012] = 10664,
  [11013] = 5654,
  [11014] = 5646,
  [11015] = 6862,
  [11016] = 8123,
  [11017] = 5635,
  [11018] = 8532,
  [11019] = 5050,
  [11020] = 10568,
  [11021] = 5086,
  [11022] = 4443,
  [11023] = 5108,
  [11024] = 8176,
  [11025] = 4179,
  [11026] = 8123,
  [11027] = 5208,
  [11028] = 5139,
  [11029] = 8123,
  [11030] = 4281,
  [11031] = 10991,
  [11032] = 4446,
  [11033] = 5208,
  [11034] = 6851,
  [11035] = 4179,
  [11036] = 8123,
  [11037] = 5654,
  [11038] = 5646,
  [11039] = 11039,
  [11040] = 5635,
  [11041] = 6862,
  [11042] = 8123,
  [11043] = 4310,
  [11044] = 5635,
  [11045] = 4307,
  [11046] = 3882,
  [11047] = 4266,
  [11048] = 4296,
  [11049] = 4279,
  [11050] = 10972,
  [11051] = 4245,
  [11052] = 6862,
  [11053] = 5646,
  [11054] = 5654,
  [11055] = 4250,
  [11056] = 4314,
  [11057] = 6326,
  [11058] = 11039,
  [11059] = 6676,
  [11060] = 3882,
  [11061] = 3884,
  [11062] = 4282,
  [11063] = 4286,
  [11064] = 4266,
  [11065] = 6862,
  [11066] = 3882,
  [11067] = 8123,
  [11068] = 8123,
  [11069] = 4296,
  [11070] = 4260,
  [11071] = 4287,
  [11072] = 5746,
  [11073] = 4287,
  [11074] = 4259,
  [11075] = 4443,
  [11076] = 3884,
  [11077] = 6676,
  [11078] = 10734,
  [11079] = 5108,
  [11080] = 10664,
  [11081] = 8532,
  [11082] = 5685,
  [11083] = 8604,
  [11084] = 5635,
  [11085] = 10664,
  [11086] = 10734,
  [11087] = 11000,
  [11088] = 8273,
  [11089] = 10997,
  [11090] = 10991,
  [11091] = 10954,
  [11092] = 10991,
  [11093] = 10954,
  [11094] = 10997,
  [11095] = 11000,
  [11096] = 11096,
  [11097] = 4260,
  [11098] = 5654,
  [11099] = 5646,
  [11100] = 10972,
  [11101] = 3882,
  [11102] = 11102,
  [11103] = 10621,
  [11104] = 8159,
  [11105] = 8174,
  [11106] = 11106,
  [11107] = 10991,
  [11108] = 4446,
  [11109] = 4179,
  [11110] = 5737,
  [11111] = 11039,
  [11112] = 11112,
  [11113] = 4314,
  [11114] = 4278,
  [11115] = 10954,
  [11116] = 5733,
  [11117] = 5086,
  [11118] = 5322,
  [11119] = 3884,
  [11120] = 10997,
  [11121] = 11121,
  [11122] = 10637,
  [11123] = 11000,
  [11124] = 11124,
  [11125] = 4266,
  [11126] = 8283,
  [11127] = 6862,
  [11128] = 4373,
  [11129] = 4282,
  [11130] = 8104,
  [11131] = 8125,
  [11132] = 6862,
  [11133] = 4263,
  [11134] = 11134,
  [11135] = 11135,
  [11136] = 11134,
  [11137] = 5322,
  [11138] = 11134,
  [11139] = 4316,
  [11140] = 11140,
  [11141] = 11112,
  [11142] = 11106,
  [11143] = 3884,
  [11144] = 11134,
  [11145] = 4309,
  [11146] = 11140,
  [11147] = 11134,
  [11148] = 4245,
  [11149] = 8273,
  [11150] = 4279,
  [11151] = 11140,
  [11152] = 11140,
  [11153] = 11134,
  [11154] = 11140,
  [11155] = 8123,
  [11156] = 8283,
  [11157] = 4286,
  [11158] = 6862,
  [11159] = 11134,
  [11160] = 11140,
  [11161] = 11161,
  [11162] = 11140,
  [11163] = 11134,
  [11164] = 11164,
  [11165] = 4278,
  [11166] = 11140,
  [11167] = 11134,
  [11168] = 4373,
  [11169] = 11134,
  [11170] = 4266,
  [11171] = 11140,
  [11172] = 3884,
  [11173] = 4443,
  [11174] = 11174,
  [11175] = 4314,
  [11176] = 11134,
  [11177] = 4259,
  [11178] = 8123,
  [11179] = 11134,
  [11180] = 11140,
  [11181] = 10958,
  [11182] = 8123,
  [11183] = 6862,
  [11184] = 11140,
  [11185] = 11134,
  [11186] = 11140,
  [11187] = 11140,
  [11188] = 11140,
  [11189] = 11134,
  [11190] = 11164,
  [11191] = 11161,
  [11192] = 11192,
  [11193] = 11134,
  [11194] = 4259,
  [11195] = 11161,
  [11196] = 11164,
  [11197] = 11134,
  [11198] = 11198,
  [11199] = 4245,
  [11200] = 11140,
  [11201] = 4260,
  [11202] = 8176,
  [11203] = 11203,
  [11204] = 11140,
  [11205] = 11205,
  [11206] = 4282,
  [11207] = 11134,
  [11208] = 5635,
  [11209] = 11134,
  [11210] = 11140,
  [11211] = 11134,
  [11212] = 11140,
  [11213] = 11134,
  [11214] = 4179,
  [11215] = 11192,
  [11216] = 4385,
  [11217] = 11140,
  [11218] = 11218,
  [11219] = 11134,
  [11220] = 11220,
  [11221] = 4259,
  [11222] = 11140,
  [11223] = 3882,
  [11224] = 4250,
  [11225] = 4446,
  [11226] = 5208,
  [11227] = 5139,
  [11228] = 8532,
  [11229] = 4282,
  [11230] = 11230,
  [11231] = 6862,
  [11232] = 8123,
  [11233] = 11134,
  [11234] = 11140,
  [11235] = 11235,
  [11236] = 10996,
  [11237] = 11140,
  [11238] = 11140,
  [11239] = 5108,
  [11240] = 11240,
  [11241] = 11140,
  [11242] = 10965,
  [11243] = 8174,
  [11244] = 11134,
  [11245] = 11140,
  [11246] = 11134,
  [11247] = 11140,
  [11248] = 5050,
  [11249] = 11134,
  [11250] = 11235,
  [11251] = 11134,
  [11252] = 11140,
  [11253] = 11205,
  [11254] = 11174,
  [11255] = 11134,
  [11256] = 4316,
  [11257] = 4314,
  [11258] = 3884,
  [11259] = 4309,
  [11260] = 4279,
  [11261] = 11140,
  [11262] = 4286,
  [11263] = 4278,
  [11264] = 8159,
  [11265] = 11140,
  [11266] = 11134,
  [11267] = 11134,
  [11268] = 11140,
  [11269] = 11134,
  [11270] = 4373,
  [11271] = 11140,
  [11272] = 6862,
  [11273] = 4451,
  [11274] = 11134,
  [11275] = 11140,
  [11276] = 11276,
  [11277] = 11140,
  [11278] = 4245,
  [11279] = 11134,
  [11280] = 11134,
  [11281] = 11134,
  [11282] = 11140,
  [11283] = 5086,
  [11284] = 11140,
  [11285] = 11134,
  [11286] = 5635,
  [11287] = 11140,
  [11288] = 5646,
  [11289] = 11230,
  [11290] = 5654,
  [11291] = 5322,
  [11292] = 4250,
  [11293] = 11134,
  [11294] = 5208,
  [11295] = 5139,
  [11296] = 5646,
  [11297] = 11140,
  [11298] = 5108,
  [11299] = 11134,
  [11300] = 11140,
  [11301] = 11134,
  [11302] = 11134,
  [11303] = 8604,
  [11304] = 11140,
  [11305] = 11134,
  [11306] = 5086,
  [11307] = 5050,
  [11308] = 4245,
  [11309] = 11140,
  [11310] = 8604,
  [11311] = 5654,
  [11312] = 11140,
  [11313] = 11134,
  [11314] = 11314,
  [11315] = 11218,
  [11316] = 11140,
  [11317] = 11134,
  [11318] = 4442,
  [11319] = 11161,
  [11320] = 11140,
  [11321] = 4451,
  [11322] = 3884,
  [11323] = 11134,
  [11324] = 4260,
  [11325] = 3882,
  [11326] = 11140,
  [11327] = 11102,
  [11328] = 11328,
  [11329] = 11134,
  [11330] = 11140,
  [11331] = 8155,
  [11332] = 5654,
  [11333] = 11140,
  [11334] = 8104,
  [11335] = 5646,
  [11336] = 8125,
  [11337] = 8123,
  [11338] = 4260,
  [11339] = 11134,
  [11340] = 6862,
  [11341] = 11134,
  [11342] = 4287,
  [11343] = 11135,
  [11344] = 5635,
  [11345] = 11140,
  [11346] = 8125,
  [11347] = 11140,
  [11348] = 11134,
  [11349] = 4443,
  [11350] = 4425,
  [11351] = 11134,
  [11352] = 11140,
  [11353] = 11134,
  [11354] = 8176,
  [11355] = 11140,
  [11356] = 11356,
  [11357] = 11121,
  [11358] = 11134,
  [11359] = 4446,
  [11360] = 11140,
  [11361] = 11134,
  [11362] = 11140,
  [11363] = 11134,
  [11364] = 10154,
  [11365] = 8155,
  [11366] = 8104,
  [11367] = 11134,
  [11368] = 11140,
  [11369] = 5208,
  [11370] = 11356,
  [11371] = 11371,
  [11372] = 11140,
  [11373] = 11140,
  [11374] = 4179,
  [11375] = 11134,
  [11376] = 11376,
  [11377] = 11140,
  [11378] = 11134,
  [11379] = 11140,
  [11380] = 6862,
  [11381] = 11164,
  [11382] = 8604,
  [11383] = 11134,
  [11384] = 11134,
  [11385] = 4259,
  [11386] = 11140,
  [11387] = 4179,
  [11388] = 11134,
  [11389] = 8159,
  [11390] = 11134,
  [11391] = 11134,
  [11392] = 4287,
  [11393] = 8174,
  [11394] = 11140,
  [11395] = 3882,
  [11396] = 4260,
  [11397] = 4245,
  [11398] = 3882,
  [11399] = 4307,
  [11400] = 5812,
  [11401] = 4310,
  [11402] = 8176,
  [11403] = 8174,
  [11404] = 5838,
  [11405] = 8159,
  [11406] = 11140,
  [11407] = 8155,
  [11408] = 8123,
  [11409] = 8125,
  [11410] = 8104,
  [11411] = 11140,
  [11412] = 5654,
  [11413] = 5139,
  [11414] = 5646,
  [11415] = 5635,
  [11416] = 8283,
  [11417] = 11134,
  [11418] = 11140,
  [11419] = 4310,
  [11420] = 4307,
  [11421] = 4296,
  [11422] = 8409,
  [11423] = 11134,
  [11424] = 3884,
  [11425] = 5050,
  [11426] = 4296,
  [11427] = 11427,
  [11428] = 8273,
  [11429] = 3882,
  [11430] = 11134,
  [11431] = 4260,
  [11432] = 11140,
  [11433] = 10963,
  [11434] = 10951,
  [11435] = 11140,
  [11436] = 11134,
  [11437] = 6677,
  [11438] = 5086,
  [11439] = 5733,
  [11440] = 11134,
  [11441] = 11164,
  [11442] = 8283,
  [11443] = 11140,
  [11444] = 5746,
  [11445] = 5108,
  [11446] = 11134,
  [11447] = 8409,
  [11448] = 11140,
  [11449] = 8273,
  [11450] = 11140,
  [11451] = 11140,
  [11452] = 11134,
  [11453] = 5737,
  [11454] = 11161,
  [11455] = 11134,
  [11456] = 11140,
  [11457] = 4266,
  [11458] = 11134,
  [11459] = 11230,
  [11460] = 11460,
  [11461] = 11460,
  [11462] = 11460,
  [11463] = 11460,
  [11464] = 8104,
  [11465] = 11230,
  [11466] = 4310,
  [11467] = 11467,
  [11468] = 4260,
  [11469] = 4266,
  [11470] = 11470,
  [11471] = 11460,
  [11472] = 11472,
  [11473] = 4260,
  [11474] = 4373,
  [11475] = 11460,
  [11476] = 11460,
  [11477] = 11460,
  [11478] = 4179,
  [11479] = 11460,
  [11480] = 4443,
  [11481] = 11481,
  [11482] = 8125,
  [11483] = 11205,
  [11484] = 11460,
  [11485] = 4250,
  [11486] = 4316,
  [11487] = 11460,
  [11488] = 11460,
  [11489] = 4245,
  [11490] = 11460,
  [11491] = 11491,
  [11492] = 4250,
  [11493] = 10996,
  [11494] = 11460,
  [11495] = 11495,
  [11496] = 4282,
  [11497] = 11203,
  [11498] = 11218,
  [11499] = 11135,
  [11500] = 11460,
  [11501] = 11205,
  [11502] = 4443,
  [11503] = 11460,
  [11504] = 11460,
  [11505] = 4245,
  [11506] = 11235,
  [11507] = 4286,
  [11508] = 4443,
  [11509] = 11460,
  [11510] = 4266,
  [11511] = 11314,
  [11512] = 11512,
  [11513] = 11460,
  [11514] = 5108,
  [11515] = 4245,
  [11516] = 11235,
  [11517] = 11517,
  [11518] = 10965,
  [11519] = 11519,
  [11520] = 4282,
  [11521] = 11203,
  [11522] = 11522,
  [11523] = 4179,
  [11524] = 11460,
  [11525] = 4250,
  [11526] = 8604,
  [11527] = 11460,
  [11528] = 8176,
  [11529] = 11174,
  [11530] = 11460,
  [11531] = 4263,
  [11532] = 11460,
  [11533] = 11460,
  [11534] = 11460,
  [11535] = 4373,
  [11536] = 8604,
  [11537] = 11460,
  [11538] = 5322,
  [11539] = 4316,
  [11540] = 4314,
  [11541] = 11541,
  [11542] = 8159,
  [11543] = 3884,
  [11544] = 4282,
  [11545] = 11460,
  [11546] = 4296,
  [11547] = 4260,
  [11548] = 11460,
  [11549] = 11460,
  [11550] = 11218,
  [11551] = 11460,
  [11552] = 11552,
  [11553] = 5812,
  [11554] = 11554,
  [11555] = 11495,
  [11556] = 5838,
  [11557] = 6676,
  [11558] = 5322,
  [11559] = 5654,
  [11560] = 4373,
  [11561] = 5646,
  [11562] = 4296,
  [11563] = 4279,
  [11564] = 4309,
  [11565] = 8174,
  [11566] = 8409,
  [11567] = 5050,
  [11568] = 11460,
  [11569] = 11135,
  [11570] = 4316,
  [11571] = 4314,
  [11572] = 6862,
  [11573] = 3882,
  [11574] = 4779,
  [11575] = 8123,
  [11576] = 5208,
  [11577] = 4278,
  [11578] = 4316,
  [11579] = 4314,
  [11580] = 11460,
  [11581] = 11581,
  [11582] = 5139,
  [11583] = 4446,
  [11584] = 8176,
  [11585] = 11517,
  [11586] = 8155,
  [11587] = 11587,
  [11588] = 4263,
  [11589] = 4443,
  [11590] = 5635,
  [11591] = 4245,
  [11592] = 4309,
  [11593] = 11460,
  [11594] = 5108,
  [11595] = 11230,
  [11596] = 4279,
  [11597] = 11597,
  [11598] = 4286,
  [11599] = 11460,
  [11600] = 8604,
  [11601] = 11601,
  [11602] = 11460,
  [11603] = 5746,
  [11604] = 5086,
  [11605] = 4278,
  [11606] = 11606,
  [11607] = 4282,
  [11608] = 4486,
  [11609] = 5050,
  [11610] = 11610,
  [11611] = 4446,
  [11612] = 4282,
  [11613] = 4451,
  [11614] = 11135,
  [11615] = 4309,
  [11616] = 11616,
  [11617] = 11617,
  [11618] = 8409,
  [11619] = 11619,
  [11620] = 5654,
  [11621] = 4446,
  [11622] = 8273,
  [11623] = 11623,
  [11624] = 5646,
  [11625] = 11174,
  [11626] = 5737,
  [11627] = 4279,
  [11628] = 4505,
  [11629] = 4286,
  [11630] = 5086,
  [11631] = 5733,
  [11632] = 11460,
  [11633] = 4279,
  [11634] = 5635,
  [11635] = 11460,
  [11636] = 11460,
  [11637] = 4250,
  [11638] = 11638,
  [11639] = 4286,
  [11640] = 11517,
  [11641] = 11641,
  [11642] = 11642,
  [11643] = 11643,
  [11644] = 6851,
  [11645] = 4296,
  [11646] = 5698,
  [11647] = 11460,
  [11648] = 5697,
  [11649] = 11460,
  [11650] = 11460,
  [11651] = 5208,
  [11652] = 4179,
  [11653] = 11460,
  [11654] = 4309,
  [11655] = 11235,
  [11656] = 8176,
  [11657] = 4307,
  [11658] = 5050,
  [11659] = 4505,
  [11660] = 11660,
  [11661] = 11460,
  [11662] = 11662,
  [11663] = 11460,
  [11664] = 4316,
  [11665] = 4266,
  [11666] = 11460,
  [11667] = 11460,
  [11668] = 4373,
  [11669] = 11495,
  [11670] = 5685,
  [11671] = 11671,
  [11672] = 11672,
  [11673] = 5086,
  [11674] = 6862,
  [11675] = 10951,
  [11676] = 11676,
  [11677] = 10963,
  [11678] = 11678,
  [11679] = 11679,
  [11680] = 4266,
  [11681] = 4446,
  [11682] = 11460,
  [11683] = 11427,
  [11684] = 11684,
  [11685] = 4281,
  [11686] = 4279,
  [11687] = 4250,
  [11688] = 8283,
  [11689] = 4307,
  [11690] = 8174,
  [11691] = 4309,
  [11692] = 11460,
  [11693] = 11693,
  [11694] = 11694,
  [11695] = 11695,
  [11696] = 11460,
  [11697] = 11174,
  [11698] = 5108,
  [11699] = 11699,
  [11700] = 4179,
  [11701] = 11376,
  [11702] = 4443,
  [11703] = 4286,
  [11704] = 8273,
  [11705] = 11460,
  [11706] = 11460,
  [11707] = 4486,
  [11708] = 11106,
  [11709] = 4278,
  [11710] = 11460,
  [11711] = 8159,
  [11712] = 11112,
  [11713] = 11460,
  [11714] = 11460,
  [11715] = 5139,
  [11716] = 11460,
  [11717] = 8155,
  [11718] = 4314,
  [11719] = 4260,
  [11720] = 8174,
  [11721] = 11460,
  [11722] = 11460,
  [11723] = 5208,
  [11724] = 8159,
  [11725] = 8155,
  [11726] = 5050,
  [11727] = 5086,
  [11728] = 11371,
  [11729] = 11218,
  [11730] = 8125,
  [11731] = 8283,
  [11732] = 10958,
  [11733] = 4314,
  [11734] = 11460,
  [11735] = 5108,
  [11736] = 11220,
  [11737] = 4307,
  [11738] = 11220,
  [11739] = 4310,
  [11740] = 4263,
  [11741] = 4278,
  [11742] = 8104,
  [11743] = 4281,
  [11744] = 11460,
  [11745] = 11460,
  [11746] = 5139,
  [11747] = 11121,
  [11748] = 8125,
  [11749] = 11460,
  [11750] = 11460,
  [11751] = 5208,
  [11752] = 4179,
  [11753] = 8409,
  [11754] = 4310,
  [11755] = 4296,
  [11756] = 11756,
  [11757] = 5139,
  [11758] = 3884,
  [11759] = 11460,
  [11760] = 8273,
  [11761] = 3882,
  [11762] = 3882,
  [11763] = 4373,
  [11764] = 8104,
  [11765] = 4310,
  [11766] = 4260,
  [11767] = 11460,
  [11768] = 11205,
  [11769] = 4451,
  [11770] = 11460,
  [11771] = 4263,
  [11772] = 4446,
  [11773] = 4296,
  [11774] = 3884,
  [11775] = 4307,
  [11776] = 11460,
  [11777] = 11460,
  [11778] = 8283,
  [11779] = 11460,
  [11780] = 4278,
  [11781] = 4307,
  [11782] = 11102,
  [11783] = 11460,
  [11784] = 4310,
  [11785] = 4282,
  [11786] = 11679,
  [11787] = 11787,
  [11788] = 11541,
  [11789] = 5086,
  [11790] = 5208,
  [11791] = 4245,
  [11792] = 11695,
  [11793] = 11793,
  [11794] = 8283,
  [11795] = 11693,
  [11796] = 4309,
  [11797] = 8283,
  [11798] = 11798,
  [11799] = 8273,
  [11800] = 5108,
  [11801] = 11203,
  [11802] = 11693,
  [11803] = 11606,
  [11804] = 3882,
  [11805] = 5050,
  [11806] = 3884,
  [11807] = 11798,
  [11808] = 11610,
  [11809] = 8273,
  [11810] = 11787,
  [11811] = 4451,
  [11812] = 11554,
  [11813] = 11793,
  [11814] = 11552,
  [11815] = 8155,
  [11816] = 11793,
  [11817] = 4287,
  [11818] = 11695,
  [11819] = 11793,
  [11820] = 11793,
  [11821] = 11793,
  [11822] = 11793,
  [11823] = 4309,
  [11824] = 5139,
  [11825] = 11798,
  [11826] = 8604,
  [11827] = 11793,
  [11828] = 8104,
  [11829] = 8125,
  [11830] = 8155,
  [11831] = 8159,
  [11832] = 8174,
  [11833] = 5208,
  [11834] = 10775,
  [11835] = 4286,
  [11836] = 11836,
  [11837] = 4250,
  [11838] = 11793,
  [11839] = 5322,
  [11840] = 11793,
  [11841] = 4279,
  [11842] = 11793,
  [11843] = 11843,
  [11844] = 11793,
  [11845] = 4279,
  [11846] = 11793,
  [11847] = 11684,
  [11848] = 11787,
  [11849] = 11699,
  [11850] = 4282,
  [11851] = 4286,
  [11852] = 11694,
  [11853] = 11793,
  [11854] = 11793,
  [11855] = 11684,
  [11856] = 4373,
  [11857] = 4179,
  [11858] = 8176,
  [11859] = 4279,
  [11860] = 11793,
  [11861] = 11793,
  [11862] = 11581,
  [11863] = 11597,
  [11864] = 8273,
  [11865] = 4286,
  [11866] = 4505,
  [11867] = 11793,
  [11868] = 4278,
  [11869] = 11869,
  [11870] = 11793,
  [11871] = 11793,
  [11872] = 11872,
  [11873] = 11793,
  [11874] = 4314,
  [11875] = 11481,
  [11876] = 11793,
  [11877] = 3882,
  [11878] = 4316,
  [11879] = 11793,
  [11880] = 4486,
  [11881] = 5322,
  [11882] = 5139,
  [11883] = 5139,
  [11884] = 11793,
  [11885] = 11885,
  [11886] = 4373,
  [11887] = 3884,
  [11888] = 11793,
  [11889] = 4259,
  [11890] = 11793,
  [11891] = 8176,
  [11892] = 11793,
  [11893] = 4443,
  [11894] = 11616,
  [11895] = 4282,
  [11896] = 5108,
  [11897] = 11587,
  [11898] = 11836,
  [11899] = 11793,
  [11900] = 11793,
  [11901] = 11793,
  [11902] = 8283,
  [11903] = 11885,
  [11904] = 4309,
  [11905] = 11905,
  [11906] = 4266,
  [11907] = 11601,
  [11908] = 11638,
  [11909] = 11619,
  [11910] = 5086,
  [11911] = 11678,
  [11912] = 11793,
  [11913] = 11913,
  [11914] = 5050,
  [11915] = 11699,
  [11916] = 4314,
  [11917] = 5086,
  [11918] = 11793,
  [11919] = 11793,
  [11920] = 11793,
  [11921] = 11793,
  [11922] = 11552,
  [11923] = 11793,
  [11924] = 11793,
  [11925] = 8409,
  [11926] = 11793,
  [11927] = 11793,
  [11928] = 11793,
  [11929] = 4266,
  [11930] = 8104,
  [11931] = 11913,
  [11932] = 11793,
  [11933] = 11933,
  [11934] = 10687,
  [11935] = 11793,
  [11936] = 10705,
  [11937] = 11793,
  [11938] = 11872,
  [11939] = 11793,
  [11940] = 11869,
  [11941] = 8125,
  [11942] = 4316,
  [11943] = 11943,
  [11944] = 4278,
  [11945] = 11793,
  [11946] = 11946,
  [11947] = 11793,
  [11948] = 11793,
  [11949] = 11793,
  [11950] = 11905,
  [11951] = 11793,
  [11952] = 4250,
  [11953] = 11793,
  [11954] = 11954,
  [11955] = 8155,
  [11956] = 11793,
  [11957] = 11793,
  [11958] = 8159,
  [11959] = 11793,
  [11960] = 4316,
  [11961] = 4282,
  [11962] = 11793,
  [11963] = 11203,
  [11964] = 4314,
  [11965] = 4296,
  [11966] = 4373,
  [11967] = 10796,
  [11968] = 11793,
  [11969] = 11969,
  [11970] = 4446,
  [11971] = 11971,
  [11972] = 11793,
  [11973] = 11793,
  [11974] = 4266,
  [11975] = 11793,
  [11976] = 11976,
  [11977] = 4309,
  [11978] = 4316,
  [11979] = 11617,
  [11980] = 4278,
  [11981] = 4260,
  [11982] = 11678,
  [11983] = 4279,
  [11984] = 11623,
  [11985] = 11985,
  [11986] = 8174,
  [11987] = 11671,
  [11988] = 4259,
  [11989] = 4286,
  [11990] = 11793,
  [11991] = 11642,
  [11992] = 11793,
  [11993] = 11943,
  [11994] = 11994,
  [11995] = 4278,
  [11996] = 11996,
  [11997] = 4373,
  [11998] = 11793,
  [11999] = 4245,
  [12000] = 11793,
  [12001] = 11793,
  [12002] = 11694,
  [12003] = 11793,
  [12004] = 8104,
  [12005] = 4307,
  [12006] = 11793,
  [12007] = 11793,
  [12008] = 11662,
  [12009] = 4373,
  [12010] = 4310,
  [12011] = 5108,
  [12012] = 4296,
  [12013] = 11933,
  [12014] = 4179,
  [12015] = 4310,
  [12016] = 11793,
  [12017] = 4282,
  [12018] = 4307,
  [12019] = 11793,
  [12020] = 4307,
  [12021] = 4505,
  [12022] = 4307,
  [12023] = 11660,
  [12024] = 4310,
  [12025] = 12025,
  [12026] = 8409,
  [12027] = 4451,
  [12028] = 11793,
  [12029] = 4179,
  [12030] = 12030,
  [12031] = 11793,
  [12032] = 11985,
  [12033] = 11643,
  [12034] = 12034,
  [12035] = 12035,
  [12036] = 12036,
  [12037] = 8125,
  [12038] = 4278,
  [12039] = 11793,
  [12040] = 4310,
  [12041] = 11641,
  [12042] = 4286,
  [12043] = 11798,
  [12044] = 11641,
  [12045] = 12045,
  [12046] = 11994,
  [12047] = 11793,
  [12048] = 11643,
  [12049] = 12049,
  [12050] = 11793,
  [12051] = 11787,
  [12052] = 11793,
  [12053] = 5050,
  [12054] = 11638,
  [12055] = 11793,
  [12056] = 11793,
  [12057] = 11793,
  [12058] = 4446,
  [12059] = 4296,
  [12060] = 4250,
  [12061] = 11793,
  [12062] = 11969,
  [12063] = 11793,
  [12064] = 4443,
  [12065] = 11623,
  [12066] = 4250,
  [12067] = 11793,
  [12068] = 4279,
  [12069] = 4446,
  [12070] = 11994,
  [12071] = 11872,
  [12072] = 11793,
  [12073] = 11617,
  [12074] = 11793,
  [12075] = 11679,
  [12076] = 11793,
  [12077] = 11660,
  [12078] = 11793,
  [12079] = 11793,
  [12080] = 4309,
  [12081] = 4446,
  [12082] = 11836,
  [12083] = 11793,
  [12084] = 12084,
  [12085] = 4179,
  [12086] = 11793,
  [12087] = 11793,
  [12088] = 11662,
  [12089] = 11793,
  [12090] = 11933,
  [12091] = 8159,
  [12092] = 11793,
  [12093] = 12093,
  [12094] = 12094,
  [12095] = 11793,
  [12096] = 11671,
  [12097] = 4245,
  [12098] = 11793,
  [12099] = 11220,
  [12100] = 11672,
  [12101] = 11793,
  [12102] = 11676,
  [12103] = 11793,
  [12104] = 4443,
  [12105] = 11793,
  [12106] = 11971,
  [12107] = 11756,
  [12108] = 8604,
  [12109] = 8604,
  [12110] = 11793,
  [12111] = 11793,
  [12112] = 12112,
  [12113] = 4287,
  [12114] = 4316,
  [12115] = 5208,
  [12116] = 8409,
  [12117] = 12117,
  [12118] = 11793,
  [12119] = 4443,
  [12120] = 11793,
  [12121] = 4446,
  [12122] = 11793,
  [12123] = 11793,
  [12124] = 11793,
  [12125] = 12125,
  [12126] = 11793,
  [12127] = 11756,
  [12128] = 11913,
  [12129] = 4310,
  [12130] = 8409,
  [12131] = 11793,
  [12132] = 11793,
  [12133] = 8532,
  [12134] = 11554,
  [12135] = 11616,
  [12136] = 11787,
  [12137] = 11642,
  [12138] = 11220,
  [12139] = 11581,
  [12140] = 4287,
  [12141] = 8176,
  [12142] = 11793,
  [12143] = 11793,
  [12144] = 8174,
  [12145] = 12145,
  [12146] = 11587,
  [12147] = 4307,
  [12148] = 12148,
  [12149] = 4287,
  [12150] = 11601,
  [12151] = 11798,
  [12152] = 4486,
  [12153] = 11619,
  [12154] = 4296,
  [12155] = 11793,
  [12156] = 11793,
  [12157] = 11793,
  [12158] = 11610,
  [12159] = 4179,
  [12160] = 4260,
  [12161] = 4443,
  [12162] = 10908,
  [12163] = 11606,
  [12164] = 12164,
  [12165] = 11541,
  [12166] = 11793,
  [12167] = 11793,
  [12168] = 12168,
  [12169] = 11597,
  [12170] = 4296,
  [12171] = 11672,
  [12172] = 11676,
  [12173] = 4314,
  [12174] = 12174,
  [12175] = 4385,
  [12176] = 12176,
  [12177] = 12174,
  [12178] = 12174,
  [12179] = 12174,
  [12180] = 12174,
  [12181] = 12174,
  [12182] = 12174,
  [12183] = 4263,
  [12184] = 4266,
  [12185] = 4821,
  [12186] = 12186,
  [12187] = 12187,
  [12188] = 12174,
  [12189] = 12174,
  [12190] = 12187,
  [12191] = 12186,
  [12192] = 12174,
  [12193] = 12174,
  [12194] = 12174,
  [12195] = 4451,
  [12196] = 4281,
  [12197] = 12174,
  [12198] = 12174,
  [12199] = 12174,
  [12200] = 12174,
  [12201] = 12174,
  [12202] = 12174,
  [12203] = 12174,
  [12204] = 10796,
  [12205] = 12186,
  [12206] = 12174,
  [12207] = 12174,
  [12208] = 12174,
  [12209] = 11597,
  [12210] = 12176,
  [12211] = 12174,
  [12212] = 12174,
  [12213] = 11541,
  [12214] = 5322,
  [12215] = 11552,
  [12216] = 11606,
  [12217] = 11643,
  [12218] = 12176,
  [12219] = 12174,
  [12220] = 12187,
  [12221] = 12186,
  [12222] = 12174,
  [12223] = 12187,
  [12224] = 12174,
  [12225] = 11616,
  [12226] = 11694,
  [12227] = 12174,
  [12228] = 12174,
  [12229] = 12174,
  [12230] = 12174,
  [12231] = 4779,
  [12232] = 12174,
  [12233] = 12174,
  [12234] = 12174,
  [12235] = 12174,
  [12236] = 8176,
  [12237] = 10705,
  [12238] = 10687,
  [12239] = 12174,
  [12240] = 12174,
  [12241] = 12176,
  [12242] = 5322,
  [12243] = 12243,
  [12244] = 12174,
  [12245] = 12174,
  [12246] = 12174,
  [12247] = 12187,
  [12248] = 12174,
  [12249] = 12186,
  [12250] = 12174,
  [12251] = 12174,
  [12252] = 10775,
  [12253] = 12174,
  [12254] = 12174,
  [12255] = 12174,
  [12256] = 12174,
  [12257] = 12174,
  [12258] = 8604,
  [12259] = 12174,
  [12260] = 12174,
  [12261] = 12174,
  [12262] = 12174,
  [12263] = 12186,
  [12264] = 12187,
  [12265] = 12174,
  [12266] = 11756,
  [12267] = 12174,
  [12268] = 11617,
  [12269] = 12174,
  [12270] = 12174,
  [12271] = 12271,
  [12272] = 11554,
  [12273] = 11623,
  [12274] = 12174,
  [12275] = 11581,
  [12276] = 11587,
  [12277] = 11638,
  [12278] = 11601,
  [12279] = 11619,
  [12280] = 11641,
  [12281] = 12174,
  [12282] = 11642,
  [12283] = 12174,
  [12284] = 12174,
  [12285] = 12285,
  [12286] = 11660,
  [12287] = 12186,
  [12288] = 11662,
  [12289] = 11671,
  [12290] = 12187,
  [12291] = 11954,
  [12292] = 12187,
  [12293] = 12186,
  [12294] = 11554,
  [12295] = 12174,
  [12296] = 12296,
  [12297] = 11581,
  [12298] = 11587,
  [12299] = 11678,
  [12300] = 11601,
  [12301] = 12301,
  [12302] = 4443,
  [12303] = 11619,
  [12304] = 12174,
  [12305] = 11679,
  [12306] = 8283,
  [12307] = 4446,
  [12308] = 12187,
  [12309] = 4443,
  [12310] = 12174,
  [12311] = 12174,
  [12312] = 12186,
  [12313] = 11642,
  [12314] = 12174,
  [12315] = 4446,
  [12316] = 12174,
  [12317] = 12174,
  [12318] = 8104,
  [12319] = 8125,
  [12320] = 11699,
  [12321] = 12174,
  [12322] = 12174,
  [12323] = 8155,
  [12324] = 8159,
  [12325] = 12174,
  [12326] = 12174,
  [12327] = 8174,
  [12328] = 11552,
  [12329] = 12174,
  [12330] = 11695,
  [12331] = 12331,
  [12332] = 11693,
  [12333] = 12333,
  [12334] = 12174,
  [12335] = 11684,
  [12336] = 4314,
  [12337] = 12174,
  [12338] = 12271,
  [12339] = 12331,
  [12340] = 11203,
  [12341] = 4266,
  [12342] = 11679,
  [12343] = 12187,
  [12344] = 11678,
  [12345] = 4443,
  [12346] = 12346,
  [12347] = 12186,
  [12348] = 4446,
  [12349] = 12349,
  [12350] = 11671,
  [12351] = 11662,
  [12352] = 11660,
  [12353] = 12353,
  [12354] = 12174,
  [12355] = 12355,
  [12356] = 11684,
  [12357] = 12357,
  [12358] = 11643,
  [12359] = 11641,
  [12360] = 11638,
  [12361] = 11623,
  [12362] = 11617,
  [12363] = 11693,
  [12364] = 12187,
  [12365] = 12186,
  [12366] = 12176,
  [12367] = 12174,
  [12368] = 12353,
  [12369] = 11695,
  [12370] = 12174,
  [12371] = 12187,
  [12372] = 11616,
  [12373] = 12186,
  [12374] = 12374,
  [12375] = 12375,
  [12376] = 12376,
  [12377] = 12377,
  [12378] = 11610,
  [12379] = 11606,
  [12380] = 12353,
  [12381] = 12381,
  [12382] = 12174,
  [12383] = 11541,
  [12384] = 4260,
  [12385] = 11597,
  [12386] = 12174,
  [12387] = 12243,
  [12388] = 12353,
  [12389] = 12174,
  [12390] = 12353,
  [12391] = 12174,
  [12392] = 12186,
  [12393] = 12187,
  [12394] = 12331,
  [12395] = 12301,
  [12396] = 12296,
  [12397] = 11699,
  [12398] = 12285,
  [12399] = 8409,
  [12400] = 11610,
  [12401] = 11203,
  [12402] = 3884,
  [12403] = 3882,
  [12404] = 4296,
  [12405] = 12353,
  [12406] = 12174,
  [12407] = 12353,
  [12408] = 8273,
  [12409] = 3884,
  [12410] = 3882,
  [12411] = 12353,
  [12412] = 3884,
  [12413] = 12413,
  [12414] = 12414,
  [12415] = 12415,
  [12416] = 12416,
  [12417] = 12174,
  [12418] = 12353,
  [12419] = 12355,
  [12420] = 12243,
  [12421] = 3882,
  [12422] = 12187,
  [12423] = 12186,
  [12424] = 4179,
  [12425] = 4310,
  [12426] = 12174,
  [12427] = 4307,
  [12428] = 4451,
  [12429] = 8123,
  [12430] = 12353,
  [12431] = 12431,
  [12432] = 11601,
  [12433] = 12433,
  [12434] = 12174,
  [12435] = 4451,
  [12436] = 12187,
  [12437] = 12186,
  [12438] = 5208,
  [12439] = 12353,
  [12440] = 12440,
  [12441] = 12174,
  [12442] = 4179,
  [12443] = 4310,
  [12444] = 5139,
  [12445] = 11976,
  [12446] = 4307,
  [12447] = 4296,
  [12448] = 12174,
  [12449] = 12174,
  [12450] = 12353,
  [12451] = 4779,
  [12452] = 3884,
  [12453] = 12353,
  [12454] = 12454,
  [12455] = 5108,
  [12456] = 4245,
  [12457] = 4250,
  [12458] = 12174,
  [12459] = 3882,
  [12460] = 5086,
  [12461] = 12125,
  [12462] = 5050,
  [12463] = 4266,
  [12464] = 12353,
  [12465] = 12465,
  [12466] = 12174,
  [12467] = 12467,
  [12468] = 4263,
  [12469] = 12346,
  [12470] = 4260,
  [12471] = 6676,
  [12472] = 12353,
  [12473] = 4373,
  [12474] = 4278,
  [12475] = 12174,
  [12476] = 4286,
  [12477] = 12186,
  [12478] = 4279,
  [12479] = 4309,
  [12480] = 12187,
  [12481] = 4314,
  [12482] = 4316,
  [12483] = 12243,
  [12484] = 12187,
  [12485] = 12353,
  [12486] = 12186,
  [12487] = 4250,
  [12488] = 4385,
  [12489] = 4446,
  [12490] = 11587,
  [12491] = 12174,
  [12492] = 4443,
  [12493] = 11642,
  [12494] = 12353,
  [12495] = 12431,
  [12496] = 4250,
  [12497] = 4373,
  [12498] = 12174,
  [12499] = 12353,
  [12500] = 4278,
  [12501] = 4286,
  [12502] = 5279,
  [12503] = 4279,
  [12504] = 4309,
  [12505] = 12174,
  [12506] = 4314,
  [12507] = 12187,
  [12508] = 12186,
  [12509] = 5142,
  [12510] = 4245,
  [12511] = 4316,
  [12512] = 4442,
  [12513] = 12353,
  [12514] = 12353,
  [12515] = 4425,
  [12516] = 12353,
  [12517] = 4451,
  [12518] = 12174,
  [12519] = 12353,
  [12520] = 11756,
  [12521] = 12243,
  [12522] = 12187,
  [12523] = 12353,
  [12524] = 12186,
  [12525] = 12353,
  [12526] = 4451,
  [12527] = 4282,
  [12528] = 12174,
  [12529] = 12174,
  [12530] = 12353,
  [12531] = 12353,
  [12532] = 12333,
  [12533] = 12353,
  [12534] = 12174,
  [12535] = 12353,
  [12536] = 5635,
  [12537] = 12353,
  [12538] = 12174,
  [12539] = 12353,
  [12540] = 5654,
  [12541] = 5646,
  [12542] = 12353,
  [12543] = 12353,
  [12544] = 12174,
  [12545] = 12353,
  [12546] = 4260,
  [12547] = 12353,
  [12548] = 12353,
  [12549] = 12243,
  [12550] = 4260,
  [12551] = 12353,
  [12552] = 12353,
  [12553] = 12374,
  [12554] = 12174,
  [12555] = 12187,
  [12556] = 12186,
  [12557] = 12353,
  [12558] = 12346,
  [12559] = 12381,
  [12560] = 12353,
  [12561] = 12353,
  [12562] = 12353,
  [12563] = 6862,
  [12564] = 12174,
  [12565] = 12353,
  [12566] = 4282,
  [12567] = 12349,
  [12568] = 12353,
  [12569] = 12174,
  [12570] = 12186,
  [12571] = 12353,
  [12572] = 12572,
  [12573] = 12174,
  [12574] = 12353,
  [12575] = 11672,
  [12576] = 11676,
  [12577] = 12353,
  [12578] = 12187,
  [12579] = 12186,
  [12580] = 11694,
  [12581] = 12174,
  [12582] = 4425,
  [12583] = 12353,
  [12584] = 12186,
  [12585] = 11554,
  [12586] = 4425,
  [12587] = 12353,
  [12588] = 12353,
  [12589] = 4245,
  [12590] = 12353,
  [12591] = 11581,
  [12592] = 12353,
  [12593] = 12174,
  [12594] = 4442,
  [12595] = 4442,
  [12596] = 12353,
  [12597] = 12353,
  [12598] = 12186,
  [12599] = 12187,
  [12600] = 12174,
  [12601] = 12186,
  [12602] = 12454,
  [12603] = 12603,
  [12604] = 12353,
  [12605] = 12353,
  [12606] = 12353,
  [12607] = 12353,
  [12608] = 12353,
  [12609] = 12609,
  [12610] = 12353,
  [12611] = 12353,
  [12612] = 12174,
  [12613] = 12353,
  [12614] = 12355,
  [12615] = 12353,
  [12616] = 12174,
  [12617] = 12353,
  [12618] = 12353,
  [12619] = 11220,
  [12620] = 12353,
  [12621] = 12353,
  [12622] = 12186,
  [12623] = 4385,
  [12624] = 12187,
  [12625] = 12433,
  [12626] = 11619,
  [12627] = 4245,
  [12628] = 12628,
  [12629] = 11220,
  [12630] = 12630,
  [12631] = 12176,
  [12632] = 12174,
  [12633] = 12174,
  [12634] = 12174,
  [12635] = 12635,
  [12636] = 12187,
  [12637] = 12186,
  [12638] = 12186,
  [12639] = 12187,
  [12640] = 4278,
  [12641] = 10705,
  [12642] = 11660,
  [12643] = 8409,
  [12644] = 5103,
  [12645] = 5086,
  [12646] = 12646,
  [12647] = 12630,
  [12648] = 12648,
  [12649] = 4250,
  [12650] = 11684,
  [12651] = 11203,
  [12652] = 8604,
  [12653] = 12648,
  [12654] = 11694,
  [12655] = 12646,
  [12656] = 5685,
  [12657] = 4373,
  [12658] = 12658,
  [12659] = 4279,
  [12660] = 12243,
  [12661] = 4286,
  [12662] = 4278,
  [12663] = 8409,
  [12664] = 12648,
  [12665] = 11679,
  [12666] = 4316,
  [12667] = 4314,
  [12668] = 12646,
  [12669] = 4373,
  [12670] = 4309,
  [12671] = 12671,
  [12672] = 11678,
  [12673] = 4286,
  [12674] = 4373,
  [12675] = 4278,
  [12676] = 4314,
  [12677] = 12243,
  [12678] = 12243,
  [12679] = 11699,
  [12680] = 4296,
  [12681] = 4307,
  [12682] = 5697,
  [12683] = 4310,
  [12684] = 5698,
  [12685] = 4309,
  [12686] = 4286,
  [12687] = 12687,
  [12688] = 12243,
  [12689] = 4279,
  [12690] = 4309,
  [12691] = 11695,
  [12692] = 8409,
  [12693] = 4179,
  [12694] = 4279,
  [12695] = 4314,
  [12696] = 12648,
  [12697] = 12697,
  [12698] = 12698,
  [12699] = 12646,
  [12700] = 4316,
  [12701] = 5322,
  [12702] = 4250,
  [12703] = 12703,
  [12704] = 4316,
  [12705] = 11671,
  [12706] = 11693,
  [12707] = 12243,
  [12708] = 12648,
  [12709] = 12709,
  [12710] = 4250,
  [12711] = 12703,
  [12712] = 5108,
  [12713] = 4314,
  [12714] = 12648,
  [12715] = 11662,
  [12716] = 8283,
  [12717] = 6862,
  [12718] = 12635,
  [12719] = 12709,
  [12720] = 11684,
  [12721] = 8123,
  [12722] = 5069,
  [12723] = 12723,
  [12724] = 12646,
  [12725] = 4309,
  [12726] = 12648,
  [12727] = 4316,
  [12728] = 12628,
  [12729] = 12648,
  [12730] = 12730,
  [12731] = 12646,
  [12732] = 12243,
  [12733] = 4279,
  [12734] = 4779,
  [12735] = 8273,
  [12736] = 4286,
  [12737] = 12648,
  [12738] = 4451,
  [12739] = 12646,
  [12740] = 4250,
  [12741] = 12741,
  [12742] = 4282,
  [12743] = 4282,
  [12744] = 12744,
  [12745] = 8176,
  [12746] = 11371,
  [12747] = 4296,
  [12748] = 12243,
  [12749] = 4307,
  [12750] = 12648,
  [12751] = 5279,
  [12752] = 12646,
  [12753] = 4278,
  [12754] = 11552,
  [12755] = 4310,
  [12756] = 4287,
  [12757] = 11642,
  [12758] = 12609,
  [12759] = 4179,
  [12760] = 11619,
  [12761] = 11601,
  [12762] = 12648,
  [12763] = 12646,
  [12764] = 12764,
  [12765] = 4385,
  [12766] = 8125,
  [12767] = 5322,
  [12768] = 4282,
  [12769] = 12646,
  [12770] = 12646,
  [12771] = 4425,
  [12772] = 4373,
  [12773] = 11587,
  [12774] = 4245,
  [12775] = 8155,
  [12776] = 8159,
  [12777] = 12646,
  [12778] = 12646,
  [12779] = 4442,
  [12780] = 4385,
  [12781] = 4282,
  [12782] = 4451,
  [12783] = 12357,
  [12784] = 11694,
  [12785] = 12785,
  [12786] = 8174,
  [12787] = 11643,
  [12788] = 4442,
  [12789] = 3882,
  [12790] = 10796,
  [12791] = 12646,
  [12792] = 3884,
  [12793] = 3882,
  [12794] = 11641,
  [12795] = 11581,
  [12796] = 3884,
  [12797] = 12646,
  [12798] = 5139,
  [12799] = 5108,
  [12800] = 11638,
  [12801] = 4425,
  [12802] = 12671,
  [12803] = 12243,
  [12804] = 5086,
  [12805] = 12805,
  [12806] = 5050,
  [12807] = 8159,
  [12808] = 12646,
  [12809] = 11623,
  [12810] = 5208,
  [12811] = 12646,
  [12812] = 12375,
  [12813] = 11220,
  [12814] = 12648,
  [12815] = 4451,
  [12816] = 5139,
  [12817] = 12376,
  [12818] = 12646,
  [12819] = 11617,
  [12820] = 12648,
  [12821] = 12377,
  [12822] = 12648,
  [12823] = 12823,
  [12824] = 12646,
  [12825] = 12648,
  [12826] = 12646,
  [12827] = 11679,
  [12828] = 8174,
  [12829] = 3882,
  [12830] = 4385,
  [12831] = 4179,
  [12832] = 3884,
  [12833] = 8155,
  [12834] = 12648,
  [12835] = 11616,
  [12836] = 12648,
  [12837] = 4260,
  [12838] = 4779,
  [12839] = 4310,
  [12840] = 8125,
  [12841] = 12646,
  [12842] = 12842,
  [12843] = 8104,
  [12844] = 8604,
  [12845] = 5069,
  [12846] = 12646,
  [12847] = 4307,
  [12848] = 11699,
  [12849] = 4296,
  [12850] = 11756,
  [12851] = 4425,
  [12852] = 8176,
  [12853] = 4443,
  [12854] = 11554,
  [12855] = 4446,
  [12856] = 12646,
  [12857] = 5050,
  [12858] = 12646,
  [12859] = 12709,
  [12860] = 12646,
  [12861] = 12572,
  [12862] = 4260,
  [12863] = 5709,
  [12864] = 8283,
  [12865] = 12243,
  [12866] = 11678,
  [12867] = 12646,
  [12868] = 11610,
  [12869] = 12646,
  [12870] = 12646,
  [12871] = 11671,
  [12872] = 11662,
  [12873] = 11376,
  [12874] = 11597,
  [12875] = 4260,
  [12876] = 5279,
  [12877] = 12646,
  [12878] = 4287,
  [12879] = 12646,
  [12880] = 12243,
  [12881] = 5208,
  [12882] = 12723,
  [12883] = 12883,
  [12884] = 11693,
  [12885] = 12885,
  [12886] = 12709,
  [12887] = 5322,
  [12888] = 4179,
  [12889] = 11660,
  [12890] = 4245,
  [12891] = 11601,
  [12892] = 11756,
  [12893] = 12646,
  [12894] = 4442,
  [12895] = 12703,
  [12896] = 8283,
  [12897] = 12646,
  [12898] = 12648,
  [12899] = 12648,
  [12900] = 12646,
  [12901] = 11643,
  [12902] = 12646,
  [12903] = 4446,
  [12904] = 12904,
  [12905] = 12905,
  [12906] = 8273,
  [12907] = 12646,
  [12908] = 4296,
  [12909] = 12646,
  [12910] = 4310,
  [12911] = 12243,
  [12912] = 11641,
  [12913] = 11541,
  [12914] = 11638,
  [12915] = 12648,
  [12916] = 12646,
  [12917] = 8604,
  [12918] = 5208,
  [12919] = 11220,
  [12920] = 11623,
  [12921] = 12648,
  [12922] = 5139,
  [12923] = 5108,
  [12924] = 12648,
  [12925] = 11617,
  [12926] = 11672,
  [12927] = 12413,
  [12928] = 12703,
  [12929] = 12646,
  [12930] = 8104,
  [12931] = 12243,
  [12932] = 12671,
  [12933] = 8104,
  [12934] = 4307,
  [12935] = 12414,
  [12936] = 8125,
  [12937] = 12415,
  [12938] = 8155,
  [12939] = 5667,
  [12940] = 12416,
  [12941] = 12646,
  [12942] = 5050,
  [12943] = 12943,
  [12944] = 11587,
  [12945] = 11676,
  [12946] = 11606,
  [12947] = 12947,
  [12948] = 11581,
  [12949] = 11610,
  [12950] = 11606,
  [12951] = 12646,
  [12952] = 12243,
  [12953] = 12646,
  [12954] = 4245,
  [12955] = 11541,
  [12956] = 12243,
  [12957] = 12243,
  [12958] = 11203,
  [12959] = 11642,
  [12960] = 8159,
  [12961] = 12646,
  [12962] = 8174,
  [12963] = 12943,
  [12964] = 5208,
  [12965] = 12646,
  [12966] = 11597,
  [12967] = 4443,
  [12968] = 12646,
  [12969] = 10775,
  [12970] = 12243,
  [12971] = 12646,
  [12972] = 11619,
  [12973] = 5139,
  [12974] = 11554,
  [12975] = 12646,
  [12976] = 11552,
  [12977] = 12243,
  [12978] = 11581,
  [12979] = 4821,
  [12980] = 12646,
  [12981] = 12243,
  [12982] = 12648,
  [12983] = 12744,
  [12984] = 12984,
  [12985] = 11587,
  [12986] = 10687,
  [12987] = 8273,
  [12988] = 12646,
  [12989] = 12989,
  [12990] = 12648,
  [12991] = 12703,
  [12992] = 5108,
  [12993] = 12648,
  [12994] = 12994,
  [12995] = 12646,
  [12996] = 12646,
  [12997] = 4451,
  [12998] = 12943,
  [12999] = 4443,
  [13000] = 5086,
  [13001] = 12646,
  [13002] = 12646,
  [13003] = 4451,
  [13004] = 5086,
  [13005] = 12646,
  [13006] = 12709,
  [13007] = 12646,
  [13008] = 8176,
  [13009] = 11695,
  [13010] = 11601,
  [13011] = 13011,
  [13012] = 12646,
  [13013] = 11619,
  [13014] = 11642,
  [13015] = 12646,
  [13016] = 11616,
  [13017] = 12465,
  [13018] = 12467,
  [13019] = 5142,
  [13020] = 5050,
  [13021] = 13021,
  [13022] = 4446,
  [13023] = 11554,
  [13024] = 5322,
  [13025] = 11642,
  [13026] = 10796,
  [13027] = 8409,
  [13028] = 5086,
  [13029] = 4260,
  [13030] = 11694,
  [13031] = 8604,
  [13032] = 5050,
  [13033] = 8104,
  [13034] = 8273,
  [13035] = 4250,
  [13036] = 5108,
  [13037] = 4373,
  [13038] = 4316,
  [13039] = 4314,
  [13040] = 13040,
  [13041] = 8125,
  [13042] = 4278,
  [13043] = 4286,
  [13044] = 4309,
  [13045] = 5069,
  [13046] = 12744,
  [13047] = 8155,
  [13048] = 4279,
  [13049] = 4279,
  [13050] = 8159,
  [13051] = 4309,
  [13052] = 4451,
  [13053] = 13053,
  [13054] = 13054,
  [13055] = 5698,
  [13056] = 8174,
  [13057] = 11220,
  [13058] = 5139,
  [13059] = 8604,
  [13060] = 4314,
  [13061] = 4316,
  [13062] = 11597,
  [13063] = 5208,
  [13064] = 12744,
  [13065] = 5685,
  [13066] = 12243,
  [13067] = 12243,
  [13068] = 13068,
  [13069] = 11581,
  [13070] = 5103,
  [13071] = 11541,
  [13072] = 11606,
  [13073] = 13073,
  [13074] = 4286,
  [13075] = 11610,
  [13076] = 13076,
  [13077] = 4443,
  [13078] = 8176,
  [13079] = 11616,
  [13080] = 8283,
  [13081] = 4446,
  [13082] = 5697,
  [13083] = 11699,
  [13084] = 4278,
  [13085] = 5050,
  [13086] = 11695,
  [13087] = 13011,
  [13088] = 4373,
  [13089] = 4451,
  [13090] = 8176,
  [13091] = 11587,
  [13092] = 11693,
  [13093] = 5086,
  [13094] = 11554,
  [13095] = 11756,
  [13096] = 10705,
  [13097] = 10687,
  [13098] = 11552,
  [13099] = 5108,
  [13100] = 12243,
  [13101] = 12723,
  [13102] = 13102,
  [13103] = 4451,
  [13104] = 13104,
  [13105] = 5050,
  [13106] = 5139,
  [13107] = 11552,
  [13108] = 11684,
  [13109] = 4250,
  [13110] = 11638,
  [13111] = 8174,
  [13112] = 11671,
  [13113] = 8283,
  [13114] = 5208,
  [13115] = 4282,
  [13116] = 8159,
  [13117] = 11642,
  [13118] = 8273,
  [13119] = 5069,
  [13120] = 8155,
  [13121] = 13121,
  [13122] = 11679,
  [13123] = 13123,
  [13124] = 5698,
  [13125] = 11678,
  [13126] = 11617,
  [13127] = 11662,
  [13128] = 10775,
  [13129] = 11660,
  [13130] = 8125,
  [13131] = 11643,
  [13132] = 5697,
  [13133] = 8104,
  [13134] = 11641,
  [13135] = 11638,
  [13136] = 5685,
  [13137] = 12744,
  [13138] = 11203,
  [13139] = 11601,
  [13140] = 8409,
  [13141] = 11619,
  [13142] = 4385,
  [13143] = 8409,
  [13144] = 5208,
  [13145] = 11617,
  [13146] = 11623,
  [13147] = 8104,
  [13148] = 5139,
  [13149] = 11623,
  [13150] = 8125,
  [13151] = 13151,
  [13152] = 13152,
  [13153] = 11641,
  [13154] = 8155,
  [13155] = 13155,
  [13156] = 8159,
  [13157] = 5108,
  [13158] = 5086,
  [13159] = 5709,
  [13160] = 5050,
  [13161] = 8174,
  [13162] = 13162,
  [13163] = 8604,
  [13164] = 6089,
  [13165] = 13165,
  [13166] = 12885,
  [13167] = 11643,
  [13168] = 11660,
  [13169] = 12883,
  [13170] = 5050,
  [13171] = 5667,
  [13172] = 11662,
  [13173] = 11616,
  [13174] = 11671,
  [13175] = 11610,
  [13176] = 12744,
  [13177] = 4250,
  [13178] = 11203,
  [13179] = 5086,
  [13180] = 11678,
  [13181] = 11679,
  [13182] = 4266,
  [13183] = 11554,
  [13184] = 4245,
  [13185] = 11541,
  [13186] = 5709,
  [13187] = 5108,
  [13188] = 11597,
  [13189] = 11606,
  [13190] = 8283,
  [13191] = 12744,
  [13192] = 4314,
  [13193] = 4309,
  [13194] = 4316,
  [13195] = 11203,
  [13196] = 5139,
  [13197] = 11642,
  [13198] = 5208,
  [13199] = 12904,
  [13200] = 12823,
  [13201] = 12905,
  [13202] = 4279,
  [13203] = 4286,
  [13204] = 4278,
  [13205] = 4373,
  [13206] = 11684,
  [13207] = 8176,
  [13208] = 5667,
  [13209] = 11693,
  [13210] = 11695,
  [13211] = 4451,
  [13212] = 12744,
  [13213] = 13213,
  [13214] = 12984,
  [13215] = 12764,
  [13216] = 11672,
  [13217] = 11676,
  [13218] = 11619,
  [13219] = 12989,
  [13220] = 8174,
  [13221] = 11601,
  [13222] = 11699,
  [13223] = 5086,
  [13224] = 12243,
  [13225] = 13225,
  [13226] = 5322,
  [13227] = 5108,
  [13228] = 5139,
  [13229] = 5050,
  [13230] = 5208,
  [13231] = 8273,
  [13232] = 11694,
  [13233] = 12243,
  [13234] = 13234,
  [13235] = 5086,
  [13236] = 13236,
  [13237] = 4281,
  [13238] = 12243,
  [13239] = 11203,
  [13240] = 12744,
  [13241] = 13234,
  [13242] = 5208,
  [13243] = 4282,
  [13244] = 13236,
  [13245] = 11554,
  [13246] = 13246,
  [13247] = 13247,
  [13248] = 4425,
  [13249] = 8176,
  [13250] = 8409,
  [13251] = 12243,
  [13252] = 11587,
  [13253] = 11756,
  [13254] = 5108,
  [13255] = 12744,
  [13256] = 11203,
  [13257] = 12243,
  [13258] = 11619,
  [13259] = 3884,
  [13260] = 11601,
  [13261] = 5322,
  [13262] = 8104,
  [13263] = 8273,
  [13264] = 8125,
  [13265] = 5279,
  [13266] = 6382,
  [13267] = 11587,
  [13268] = 12687,
  [13269] = 11642,
  [13270] = 8409,
  [13271] = 8604,
  [13272] = 8155,
  [13273] = 8159,
  [13274] = 11581,
  [13275] = 11581,
  [13276] = 4179,
  [13277] = 11619,
  [13278] = 11220,
  [13279] = 4310,
  [13280] = 4307,
  [13281] = 4296,
  [13282] = 12744,
  [13283] = 11601,
  [13284] = 11220,
  [13285] = 5322,
  [13286] = 11587,
  [13287] = 3882,
  [13288] = 13234,
  [13289] = 13236,
  [13290] = 12243,
  [13291] = 13234,
  [13292] = 13236,
  [13293] = 12243,
  [13294] = 12785,
  [13295] = 12243,
  [13296] = 11581,
  [13297] = 11672,
  [13298] = 11676,
  [13299] = 4446,
  [13300] = 4296,
  [13301] = 11554,
  [13302] = 4307,
  [13303] = 4310,
  [13304] = 4179,
  [13305] = 8409,
  [13306] = 4282,
  [13307] = 4296,
  [13308] = 12243,
  [13309] = 4307,
  [13310] = 4310,
  [13311] = 4179,
  [13312] = 11552,
  [13313] = 11220,
  [13314] = 12744,
  [13315] = 4442,
  [13316] = 5139,
  [13317] = 4443,
  [13318] = 8283,
  [13319] = 12658,
  [13320] = 4260,
  [13321] = 11678,
  [13322] = 11641,
  [13323] = 13236,
  [13324] = 4451,
  [13325] = 11610,
  [13326] = 11581,
  [13327] = 12744,
  [13328] = 4179,
  [13329] = 4443,
  [13330] = 11623,
  [13331] = 8604,
  [13332] = 8273,
  [13333] = 10768,
  [13334] = 11638,
  [13335] = 11641,
  [13336] = 11662,
  [13337] = 11597,
  [13338] = 11671,
  [13339] = 11660,
  [13340] = 13236,
  [13341] = 11541,
  [13342] = 11643,
  [13343] = 4287,
  [13344] = 5208,
  [13345] = 11699,
  [13346] = 13346,
  [13347] = 4296,
  [13348] = 13155,
  [13349] = 11606,
  [13350] = 4310,
  [13351] = 12744,
  [13352] = 11552,
  [13353] = 11678,
  [13354] = 4307,
  [13355] = 11679,
  [13356] = 11610,
  [13357] = 4296,
  [13358] = 11616,
  [13359] = 11220,
  [13360] = 11617,
  [13361] = 12243,
  [13362] = 8174,
  [13363] = 11616,
  [13364] = 11684,
  [13365] = 6089,
  [13366] = 11541,
  [13367] = 13367,
  [13368] = 13234,
  [13369] = 4282,
  [13370] = 12744,
  [13371] = 8283,
  [13372] = 8409,
  [13373] = 11693,
  [13374] = 11695,
  [13375] = 8176,
  [13376] = 11660,
  [13377] = 8159,
  [13378] = 11619,
  [13379] = 13236,
  [13380] = 13234,
  [13381] = 8155,
  [13382] = 4821,
  [13383] = 11694,
  [13384] = 12243,
  [13385] = 11601,
  [13386] = 8125,
  [13387] = 13236,
  [13388] = 12744,
  [13389] = 8104,
  [13390] = 13234,
  [13391] = 11617,
  [13392] = 11581,
  [13393] = 5050,
  [13394] = 11597,
  [13395] = 11699,
  [13396] = 12744,
  [13397] = 13225,
  [13398] = 13236,
  [13399] = 13234,
  [13400] = 5322,
  [13401] = 11541,
  [13402] = 13236,
  [13403] = 5208,
  [13404] = 12243,
  [13405] = 11220,
  [13406] = 11617,
  [13407] = 8125,
  [13408] = 11610,
  [13409] = 11616,
  [13410] = 11623,
  [13411] = 12243,
  [13412] = 4279,
  [13413] = 11587,
  [13414] = 5086,
  [13415] = 11676,
  [13416] = 4309,
  [13417] = 11693,
  [13418] = 11597,
  [13419] = 5108,
  [13420] = 12243,
  [13421] = 13247,
  [13422] = 5108,
  [13423] = 13246,
  [13424] = 13234,
  [13425] = 11610,
  [13426] = 11606,
  [13427] = 12744,
  [13428] = 11695,
  [13429] = 4250,
  [13430] = 11638,
  [13431] = 4307,
  [13432] = 11552,
  [13433] = 12744,
  [13434] = 11587,
  [13435] = 11541,
  [13436] = 4286,
  [13437] = 8155,
  [13438] = 5139,
  [13439] = 12243,
  [13440] = 11756,
  [13441] = 11554,
  [13442] = 11623,
  [13443] = 13443,
  [13444] = 11597,
  [13445] = 8159,
  [13446] = 11638,
  [13447] = 11641,
  [13448] = 13236,
  [13449] = 8174,
  [13450] = 10783,
  [13451] = 13234,
  [13452] = 8604,
  [13453] = 11643,
  [13454] = 13454,
  [13455] = 12243,
  [13456] = 11616,
  [13457] = 5086,
  [13458] = 4505,
  [13459] = 4310,
  [13460] = 5108,
  [13461] = 11672,
  [13462] = 8283,
  [13463] = 13236,
  [13464] = 4451,
  [13465] = 12744,
  [13466] = 13236,
  [13467] = 11581,
  [13468] = 13073,
  [13469] = 13367,
  [13470] = 13234,
  [13471] = 13068,
  [13472] = 11617,
  [13473] = 8273,
  [13474] = 11623,
  [13475] = 11662,
  [13476] = 4425,
  [13477] = 11671,
  [13478] = 11694,
  [13479] = 11638,
  [13480] = 12744,
  [13481] = 10693,
  [13482] = 11756,
  [13483] = 11643,
  [13484] = 5050,
  [13485] = 8409,
  [13486] = 11641,
  [13487] = 13236,
  [13488] = 4179,
  [13489] = 12744,
  [13490] = 10674,
  [13491] = 12744,
  [13492] = 11672,
  [13493] = 11676,
  [13494] = 4373,
  [13495] = 4446,
  [13496] = 11203,
  [13497] = 11678,
  [13498] = 11679,
  [13499] = 12243,
  [13500] = 4373,
  [13501] = 11643,
  [13502] = 8604,
  [13503] = 11642,
  [13504] = 4278,
  [13505] = 11660,
  [13506] = 13506,
  [13507] = 11662,
  [13508] = 11679,
  [13509] = 12243,
  [13510] = 11671,
  [13511] = 11756,
  [13512] = 11672,
  [13513] = 11203,
  [13514] = 5208,
  [13515] = 11684,
  [13516] = 13516,
  [13517] = 12243,
  [13518] = 11676,
  [13519] = 11679,
  [13520] = 11587,
  [13521] = 8176,
  [13522] = 5139,
  [13523] = 11554,
  [13524] = 12744,
  [13525] = 8273,
  [13526] = 8159,
  [13527] = 6382,
  [13528] = 12744,
  [13529] = 11693,
  [13530] = 12243,
  [13531] = 5208,
  [13532] = 8283,
  [13533] = 11642,
  [13534] = 11695,
  [13535] = 11220,
  [13536] = 4451,
  [13537] = 5139,
  [13538] = 5139,
  [13539] = 11606,
  [13540] = 11699,
  [13541] = 11678,
  [13542] = 11694,
  [13543] = 5698,
  [13544] = 13234,
  [13545] = 12243,
  [13546] = 5709,
  [13547] = 10824,
  [13548] = 10810,
  [13549] = 11642,
  [13550] = 5050,
  [13551] = 11619,
  [13552] = 11619,
  [13553] = 5667,
  [13554] = 5697,
  [13555] = 13162,
  [13556] = 11601,
  [13557] = 13152,
  [13558] = 11671,
  [13559] = 8104,
  [13560] = 11601,
  [13561] = 13104,
  [13562] = 13102,
  [13563] = 13151,
  [13564] = 8125,
  [13565] = 8155,
  [13566] = 13234,
  [13567] = 13567,
  [13568] = 11694,
  [13569] = 11601,
  [13570] = 11619,
  [13571] = 13123,
  [13572] = 11662,
  [13573] = 5685,
  [13574] = 13121,
  [13575] = 5108,
  [13576] = 13165,
  [13577] = 13577,
  [13578] = 8174,
  [13579] = 10930,
  [13580] = 13580,
  [13581] = 11642,
  [13582] = 11660,
  [13583] = 12243,
  [13584] = 5086,
  [13585] = 4316,
  [13586] = 11203,
  [13587] = 8409,
  [13588] = 5050,
  [13589] = 5322,
  [13590] = 4821,
  [13591] = 13234,
  [13592] = 12744,
  [13593] = 11203,
  [13594] = 11587,
  [13595] = 10782,
  [13596] = 12744,
  [13597] = 4278,
  [13598] = 5086,
  [13599] = 8409,
  [13600] = 13236,
  [13601] = 13234,
  [13602] = 4385,
  [13603] = 11581,
  [13604] = 10777,
  [13605] = 13236,
  [13606] = 8176,
  [13607] = 13234,
  [13608] = 13053,
  [13609] = 13054,
  [13610] = 11699,
  [13611] = 4316,
  [13612] = 11554,
  [13613] = 11695,
  [13614] = 11693,
  [13615] = 11554,
  [13616] = 4486,
  [13617] = 11756,
  [13618] = 12744,
  [13619] = 12243,
  [13620] = 11684,
  [13621] = 4442,
  [13622] = 13622,
  [13623] = 8104,
  [13624] = 4309,
  [13625] = 11606,
  [13626] = 11684,
  [13627] = 4282,
  [13628] = 4279,
  [13629] = 11552,
  [13630] = 4314,
  [13631] = 4286,
  [13632] = 13632,
  [13633] = 11694,
  [13634] = 13234,
  [13635] = 11699,
  [13636] = 13636,
  [13637] = 12744,
  [13638] = 12413,
  [13639] = 5103,
  [13640] = 11693,
  [13641] = 13021,
  [13642] = 11617,
  [13643] = 11638,
  [13644] = 11623,
  [13645] = 11676,
  [13646] = 13646,
  [13647] = 11672,
  [13648] = 13648,
  [13649] = 12357,
  [13650] = 12415,
  [13651] = 12416,
  [13652] = 13652,
  [13653] = 13234,
  [13654] = 11954,
  [13655] = 11695,
  [13656] = 11554,
  [13657] = 13657,
  [13658] = 12414,
  [13659] = 13648,
  [13660] = 13236,
  [13661] = 11616,
  [13662] = 11623,
  [13663] = 13663,
  [13664] = 11641,
  [13665] = 13665,
  [13666] = 13665,
  [13667] = 11597,
  [13668] = 13236,
  [13669] = 12744,
  [13670] = 10824,
  [13671] = 12744,
  [13672] = 13234,
  [13673] = 11643,
  [13674] = 11541,
  [13675] = 11606,
  [13676] = 13676,
  [13677] = 10810,
  [13678] = 11552,
  [13679] = 4260,
  [13680] = 11617,
  [13681] = 13681,
  [13682] = 11954,
  [13683] = 11623,
  [13684] = 11694,
  [13685] = 10768,
  [13686] = 11610,
  [13687] = 11554,
  [13688] = 11684,
  [13689] = 11552,
  [13690] = 11954,
  [13691] = 12744,
  [13692] = 13692,
  [13693] = 11616,
  [13694] = 10782,
  [13695] = 11619,
  [13696] = 11601,
  [13697] = 13236,
  [13698] = 10777,
  [13699] = 11220,
  [13700] = 11581,
  [13701] = 11672,
  [13702] = 11756,
  [13703] = 11676,
  [13704] = 11954,
  [13705] = 11617,
  [13706] = 11671,
  [13707] = 10930,
  [13708] = 13234,
  [13709] = 11638,
  [13710] = 11641,
  [13711] = 13692,
  [13712] = 11643,
  [13713] = 11554,
  [13714] = 12842,
  [13715] = 12744,
  [13716] = 11679,
  [13717] = 11610,
  [13718] = 11660,
  [13719] = 11678,
  [13720] = 13234,
  [13721] = 11587,
  [13722] = 12744,
  [13723] = 11671,
  [13724] = 13234,
  [13725] = 11694,
  [13726] = 11662,
  [13727] = 13234,
  [13728] = 11660,
  [13729] = 13622,
  [13730] = 11643,
  [13731] = 11756,
  [13732] = 11642,
  [13733] = 11642,
  [13734] = 13236,
  [13735] = 12744,
  [13736] = 11606,
  [13737] = 11641,
  [13738] = 13738,
  [13739] = 13739,
  [13740] = 11587,
  [13741] = 13741,
  [13742] = 13346,
  [13743] = 11638,
  [13744] = 13744,
  [13745] = 13745,
  [13746] = 13746,
  [13747] = 11581,
  [13748] = 3884,
  [13749] = 12744,
  [13750] = 11660,
  [13751] = 11554,
  [13752] = 13367,
  [13753] = 11623,
  [13754] = 11617,
  [13755] = 10674,
  [13756] = 11662,
  [13757] = 11541,
  [13758] = 11662,
  [13759] = 11597,
  [13760] = 10693,
  [13761] = 11203,
  [13762] = 12375,
  [13763] = 13580,
  [13764] = 11678,
  [13765] = 12376,
  [13766] = 12377,
  [13767] = 12467,
  [13768] = 11581,
  [13769] = 13234,
  [13770] = 11616,
  [13771] = 12744,
  [13772] = 11679,
  [13773] = 13236,
  [13774] = 12744,
  [13775] = 13775,
  [13776] = 11587,
  [13777] = 12744,
  [13778] = 11699,
  [13779] = 13779,
  [13780] = 13234,
  [13781] = 11642,
  [13782] = 11695,
  [13783] = 11756,
  [13784] = 11220,
  [13785] = 4245,
  [13786] = 11693,
  [13787] = 13506,
  [13788] = 11610,
  [13789] = 11581,
  [13790] = 13443,
  [13791] = 11606,
  [13792] = 11541,
  [13793] = 11671,
  [13794] = 3882,
  [13795] = 10783,
  [13796] = 11699,
  [13797] = 11601,
  [13798] = 13236,
  [13799] = 11619,
  [13800] = 11597,
  [13801] = 5103,
  [13802] = 11678,
  [13803] = 11679,
  [13804] = 13234,
  [13805] = 11684,
  [13806] = 11619,
  [13807] = 13236,
  [13808] = 13236,
  [13809] = 11601,
  [13810] = 13236,
  [13811] = 11684,
  [13812] = 11601,
  [13813] = 13236,
  [13814] = 11695,
  [13815] = 11619,
  [13816] = 13236,
  [13817] = 4451,
  [13818] = 11954,
  [13819] = 13819,
  [13820] = 11587,
  [13821] = 11642,
  [13822] = 13234,
  [13823] = 13236,
  [13824] = 13234,
  [13825] = 13236,
  [13826] = 13826,
  [13827] = 11693,
  [13828] = 13234,
  [13829] = 12465,
  [13830] = 12744,
  [13831] = 13234,
  [13832] = 13236,
  [13833] = 13567,
  [13834] = 13834,
  [13835] = 12744,
  [13836] = 11756,
  [13837] = 13837,
  [13838] = 13838,
  [13839] = 4282,
  [13840] = 13840,
  [13841] = 13236,
  [13842] = 4296,
  [13843] = 13775,
  [13844] = 11619,
  [13845] = 13845,
  [13846] = 13234,
  [13847] = 13236,
  [13848] = 11642,
  [13849] = 13234,
  [13850] = 11601,
  [13851] = 12744,
  [13852] = 13852,
  [13853] = 12989,
  [13854] = 4307,
  [13855] = 13236,
  [13856] = 13234,
  [13857] = 11597,
  [13858] = 13858,
  [13859] = 13859,
  [13860] = 5279,
  [13861] = 4310,
  [13862] = 13834,
  [13863] = 13863,
  [13864] = 13236,
  [13865] = 13865,
  [13866] = 4821,
  [13867] = 5279,
  [13868] = 13632,
  [13869] = 11679,
  [13870] = 13234,
  [13871] = 11695,
  [13872] = 4385,
  [13873] = 12744,
  [13874] = 13874,
  [13875] = 11693,
  [13876] = 11541,
  [13877] = 13236,
  [13878] = 4779,
  [13879] = 11606,
  [13880] = 13234,
  [13881] = 13663,
  [13882] = 4286,
  [13883] = 11610,
  [13884] = 13884,
  [13885] = 11619,
  [13886] = 11601,
  [13887] = 13236,
  [13888] = 13234,
  [13889] = 12989,
  [13890] = 11684,
  [13891] = 12744,
  [13892] = 3884,
  [13893] = 12905,
  [13894] = 13234,
  [13895] = 13236,
  [13896] = 13234,
  [13897] = 13692,
  [13898] = 13234,
  [13899] = 11203,
  [13900] = 12243,
  [13901] = 4316,
  [13902] = 13902,
  [13903] = 11694,
  [13904] = 12744,
  [13905] = 12243,
  [13906] = 13906,
  [13907] = 12243,
  [13908] = 13908,
  [13909] = 13646,
  [13910] = 13692,
  [13911] = 12744,
  [13912] = 13912,
  [13913] = 11587,
  [13914] = 12744,
  [13915] = 11616,
  [13916] = 4451,
  [13917] = 13917,
  [13918] = 13234,
  [13919] = 11581,
  [13920] = 4250,
  [13921] = 11699,
  [13922] = 4179,
  [13923] = 13923,
  [13924] = 13236,
  [13925] = 12243,
  [13926] = 4279,
  [13927] = 13681,
  [13928] = 13234,
  [13929] = 13929,
  [13930] = 11587,
  [13931] = 13826,
  [13932] = 11699,
  [13933] = 11679,
  [13934] = 11597,
  [13935] = 11756,
  [13936] = 12744,
  [13937] = 12905,
  [13938] = 4278,
  [13939] = 13632,
  [13940] = 13940,
  [13941] = 11695,
  [13942] = 3882,
  [13943] = 11541,
  [13944] = 12243,
  [13945] = 13236,
  [13946] = 13923,
  [13947] = 13947,
  [13948] = 5279,
  [13949] = 11606,
  [13950] = 13912,
  [13951] = 11610,
  [13952] = 11617,
  [13953] = 11623,
  [13954] = 4314,
  [13955] = 13955,
  [13956] = 13234,
  [13957] = 4309,
  [13958] = 13236,
  [13959] = 4442,
  [13960] = 11638,
  [13961] = 13961,
  [13962] = 11693,
  [13963] = 11641,
  [13964] = 11678,
  [13965] = 11643,
  [13966] = 13234,
  [13967] = 13236,
  [13968] = 4486,
  [13969] = 11694,
  [13970] = 11671,
  [13971] = 11660,
  [13972] = 11662,
  [13973] = 11684,
  [13974] = 13908,
  [13975] = 13852,
  [13976] = 13236,
  [13977] = 13874,
  [13978] = 13845,
  [13979] = 13234,
  [13980] = 3882,
  [13981] = 4373,
  [13982] = 11660,
  [13983] = 11662,
  [13984] = 11643,
  [13985] = 13236,
  [13986] = 4505,
  [13987] = 11581,
  [13988] = 11671,
  [13989] = 4425,
  [13990] = 11641,
  [13991] = 12243,
  [13992] = 4443,
  [13993] = 11678,
  [13994] = 11642,
  [13995] = 3884,
  [13996] = 11638,
  [13997] = 13865,
  [13998] = 11616,
  [13999] = 4446,
  [14000] = 11552,
  [14001] = 13236,
  [14002] = 12744,
  [14003] = 13929,
  [14004] = 12744,
  [14005] = 13955,
  [14006] = 11554,
  [14007] = 11554,
  [14008] = 13940,
  [14009] = 14009,
  [14010] = 5086,
  [14011] = 14011,
  [14012] = 14009,
  [14013] = 14013,
  [14014] = 13845,
  [14015] = 14009,
  [14016] = 14009,
  [14017] = 13859,
  [14018] = 14009,
  [14019] = 13234,
  [14020] = 13236,
  [14021] = 8409,
  [14022] = 14022,
  [14023] = 12904,
  [14024] = 13865,
  [14025] = 13234,
  [14026] = 5050,
  [14027] = 13947,
  [14028] = 14028,
  [14029] = 13225,
  [14030] = 14030,
  [14031] = 14031,
  [14032] = 14009,
  [14033] = 13236,
  [14034] = 13234,
  [14035] = 13236,
  [14036] = 5279,
  [14037] = 5685,
  [14038] = 14038,
  [14039] = 8409,
  [14040] = 14009,
  [14041] = 14041,
  [14042] = 5697,
  [14043] = 14043,
  [14044] = 13874,
  [14045] = 14045,
  [14046] = 14009,
  [14047] = 12989,
  [14048] = 13236,
  [14049] = 13225,
  [14050] = 12984,
  [14051] = 14038,
  [14052] = 14009,
  [14053] = 10796,
  [14054] = 14009,
  [14055] = 13845,
  [14056] = 11619,
  [14057] = 5139,
  [14058] = 5698,
  [14059] = 12904,
  [14060] = 13845,
  [14061] = 5069,
  [14062] = 13917,
  [14063] = 12744,
  [14064] = 14011,
  [14065] = 14065,
  [14066] = 14009,
  [14067] = 5709,
  [14068] = 5208,
  [14069] = 5139,
  [14070] = 5208,
  [14071] = 12905,
  [14072] = 14072,
  [14073] = 14009,
  [14074] = 13236,
  [14075] = 13840,
  [14076] = 13234,
  [14077] = 13834,
  [14078] = 14078,
  [14079] = 13837,
  [14080] = 5108,
  [14081] = 14081,
  [14082] = 14082,
  [14083] = 13863,
  [14084] = 14084,
  [14085] = 5103,
  [14086] = 5667,
  [14087] = 13906,
  [14088] = 13577,
  [14089] = 5685,
  [14090] = 5086,
  [14091] = 14091,
  [14092] = 11581,
  [14093] = 5108,
  [14094] = 11554,
  [14095] = 14095,
  [14096] = 13234,
  [14097] = 14009,
  [14098] = 5050,
  [14099] = 5667,
  [14100] = 13902,
  [14101] = 5697,
  [14102] = 5139,
  [14103] = 14103,
  [14104] = 5050,
  [14105] = 5698,
  [14106] = 5208,
  [14107] = 14009,
  [14108] = 13516,
  [14109] = 14109,
  [14110] = 12904,
  [14111] = 12904,
  [14112] = 14009,
  [14113] = 5667,
  [14114] = 13068,
  [14115] = 10705,
  [14116] = 5709,
  [14117] = 12984,
  [14118] = 14009,
  [14119] = 14119,
  [14120] = 13929,
  [14121] = 11601,
  [14122] = 14009,
  [14123] = 10687,
  [14124] = 14009,
  [14125] = 14081,
  [14126] = 14009,
  [14127] = 5108,
  [14128] = 14009,
  [14129] = 13236,
  [14130] = 14009,
  [14131] = 5086,
  [14132] = 5709,
  [14133] = 12904,
  [14134] = 5685,
  [14135] = 11642,
  [14136] = 11587,
  [14137] = 14009,
  [14138] = 13234,
  [14139] = 14009,
  [14140] = 13234,
  [14141] = 5697,
  [14142] = 13068,
  [14143] = 12984,
  [14144] = 13236,
  [14145] = 14009,
  [14146] = 14009,
  [14147] = 10775,
  [14148] = 12744,
  [14149] = 13454,
  [14150] = 5698,
  [14151] = 13838,
  [14152] = 14152,
  [14153] = 14009,
  [14154] = 14009,
  [14155] = 13852,
  [14156] = 8409,
  [14157] = 14157,
  [14158] = 13234,
  [14159] = 14159,
  [14160] = 14160,
  [14161] = 13236,
  [14162] = 14162,
  [14163] = 14163,
  [14164] = 14164,
  [14165] = 14165,
  [14166] = 13838,
  [14167] = 14167,
  [14168] = 14168,
  [14169] = 14169,
  [14170] = 14167,
  [14171] = 14171,
  [14172] = 14167,
  [14173] = 14173,
  [14174] = 14174,
  [14175] = 14175,
  [14176] = 14176,
  [14177] = 14177,
  [14178] = 5208,
  [14179] = 13054,
  [14180] = 14180,
  [14181] = 5139,
  [14182] = 14182,
  [14183] = 14183,
  [14184] = 14184,
  [14185] = 13073,
  [14186] = 14167,
  [14187] = 13165,
  [14188] = 5108,
  [14189] = 14189,
  [14190] = 5086,
  [14191] = 5050,
  [14192] = 14192,
  [14193] = 14193,
  [14194] = 14167,
  [14195] = 12744,
  [14196] = 14196,
  [14197] = 13102,
  [14198] = 14198,
  [14199] = 14199,
  [14200] = 13152,
  [14201] = 14201,
  [14202] = 14202,
  [14203] = 14167,
  [14204] = 14167,
  [14205] = 14167,
  [14206] = 14174,
  [14207] = 13123,
  [14208] = 14208,
  [14209] = 14209,
  [14210] = 14167,
  [14211] = 14167,
  [14212] = 14212,
  [14213] = 14213,
  [14214] = 14163,
  [14215] = 14043,
  [14216] = 14167,
  [14217] = 14217,
  [14218] = 14167,
  [14219] = 14219,
  [14220] = 14220,
  [14221] = 13234,
  [14222] = 14222,
  [14223] = 14223,
  [14224] = 14167,
  [14225] = 14225,
  [14226] = 14226,
  [14227] = 14167,
  [14228] = 12744,
  [14229] = 14229,
  [14230] = 14230,
  [14231] = 14167,
  [14232] = 14232,
  [14233] = 13073,
  [14234] = 13054,
  [14235] = 14235,
  [14236] = 14236,
  [14237] = 14167,
  [14238] = 14238,
  [14239] = 14084,
  [14240] = 13236,
  [14241] = 14167,
  [14242] = 13123,
  [14243] = 13246,
  [14244] = 14244,
  [14245] = 14245,
  [14246] = 14246,
  [14247] = 14167,
  [14248] = 14248,
  [14249] = 5698,
  [14250] = 5697,
  [14251] = 14251,
  [14252] = 14252,
  [14253] = 14253,
  [14254] = 14254,
  [14255] = 14167,
  [14256] = 14167,
  [14257] = 12744,
  [14258] = 5685,
  [14259] = 14259,
  [14260] = 14167,
  [14261] = 14167,
  [14262] = 13236,
  [14263] = 4385,
  [14264] = 13234,
  [14265] = 14265,
  [14266] = 14266,
  [14267] = 14167,
  [14268] = 14167,
  [14269] = 14269,
  [14270] = 14270,
  [14271] = 14271,
  [14272] = 14272,
  [14273] = 14273,
  [14274] = 14274,
  [14275] = 14275,
  [14276] = 13234,
  [14277] = 13152,
  [14278] = 13236,
  [14279] = 5709,
  [14280] = 13102,
  [14281] = 14167,
  [14282] = 14282,
  [14283] = 14167,
  [14284] = 14167,
  [14285] = 14167,
  [14286] = 13068,
  [14287] = 8409,
  [14288] = 13073,
  [14289] = 13225,
  [14290] = 13165,
  [14291] = 14167,
  [14292] = 14292,
  [14293] = 14293,
  [14294] = 14294,
  [14295] = 14167,
  [14296] = 14296,
  [14297] = 14297,
  [14298] = 4385,
  [14299] = 14299,
  [14300] = 14300,
  [14301] = 14301,
  [14302] = 14302,
  [14303] = 4442,
  [14304] = 14167,
  [14305] = 4425,
  [14306] = 14306,
  [14307] = 14307,
  [14308] = 14308,
  [14309] = 14309,
  [14310] = 14310,
  [14311] = 14167,
  [14312] = 14030,
  [14313] = 4451,
  [14314] = 14167,
  [14315] = 13779,
  [14316] = 14167,
  [14317] = 14013,
  [14318] = 14318,
  [14319] = 14319,
  [14320] = 14320,
  [14321] = 14321,
  [14322] = 14322,
  [14323] = 13234,
  [14324] = 14324,
  [14325] = 13236,
  [14326] = 14212,
  [14327] = 14213,
  [14328] = 14167,
  [14329] = 14167,
  [14330] = 14167,
  [14331] = 14078,
  [14332] = 14332,
  [14333] = 14333,
  [14334] = 14334,
  [14335] = 14335,
  [14336] = 14167,
  [14337] = 14167,
  [14338] = 14045,
  [14339] = 14167,
  [14340] = 14340,
  [14341] = 4425,
  [14342] = 14342,
  [14343] = 14167,
  [14344] = 4779,
  [14345] = 14167,
  [14346] = 14167,
  [14347] = 14347,
  [14348] = 5667,
  [14349] = 14259,
  [14350] = 14350,
  [14351] = 14292,
  [14352] = 14296,
  [14353] = 14353,
  [14354] = 14297,
  [14355] = 4821,
  [14356] = 14167,
  [14357] = 14357,
  [14358] = 14358,
  [14359] = 14359,
  [14360] = 14360,
  [14361] = 14167,
  [14362] = 14282,
  [14363] = 14342,
  [14364] = 13246,
  [14365] = 14357,
  [14366] = 14167,
  [14367] = 14065,
  [14368] = 14359,
  [14369] = 14167,
  [14370] = 14167,
  [14371] = 14167,
  [14372] = 14167,
  [14373] = 14373,
  [14374] = 14374,
  [14375] = 14229,
  [14376] = 14270,
  [14377] = 14091,
  [14378] = 14378,
  [14379] = 14095,
  [14380] = 14380,
  [14381] = 14381,
  [14382] = 14220,
  [14383] = 14167,
  [14384] = 14109,
  [14385] = 14385,
  [14386] = 14386,
  [14387] = 4442,
  [14388] = 14388,
  [14389] = 14167,
  [14390] = 14390,
  [14391] = 14299,
  [14392] = 14392,
  [14393] = 14393,
  [14394] = 14167,
  [14395] = 14395,
  [14396] = 14167,
  [14397] = 14397,
  [14398] = 14245,
  [14399] = 14399,
  [14400] = 14310,
  [14401] = 14401,
  [14402] = 14390,
  [14403] = 14167,
  [14404] = 14404,
  [14405] = 14405,
  [14406] = 14152,
  [14407] = 14167,
  [14408] = 14160,
  [14409] = 14167,
  [14410] = 14410,
  [14411] = 12744,
  [14412] = 14412,
  [14413] = 14307,
  [14414] = 14414,
  [14415] = 14167,
  [14416] = 14271,
  [14417] = 14167,
  [14418] = 14418,
  [14419] = 14419,
  [14420] = 14420,
  [14421] = 14359,
  [14422] = 14422,
  [14423] = 14373,
  [14424] = 14374,
  [14425] = 14385,
  [14426] = 14386,
  [14427] = 14427,
  [14428] = 14300,
  [14429] = 14420,
  [14430] = 14427,
  [14431] = 14431,
  [14432] = 14422,
  [14433] = 14433,
  [14434] = 14395,
  [14435] = 14399,
  [14436] = 14401,
  [14437] = 14404,
  [14438] = 14405,
  [14439] = 14310,
  [14440] = 14440,
  [14441] = 14441,
  [14442] = 3884,
  [14443] = 14443,
  [14444] = 14422,
  [14445] = 14440,
  [14446] = 14433,
  [14447] = 14447,
  [14448] = 14448,
  [14449] = 14449,
  [14450] = 14414,
  [14451] = 14412,
  [14452] = 13580,
  [14453] = 3882,
  [14454] = 14410,
  [14455] = 14422,
  [14456] = 14431,
  [14457] = 14420,
  [14458] = 14360,
  [14459] = 14449,
  [14460] = 14397,
  [14461] = 14358,
  [14462] = 14427,
  [14463] = 14420,
  [14464] = 14448,
  [14465] = 14393,
  [14466] = 14163,
  [14467] = 14420,
  [14468] = 14350,
  [14469] = 14347,
  [14470] = 14422,
  [14471] = 14443,
  [14472] = 14443,
  [14473] = 14473,
  [14474] = 14306,
  [14475] = 14302,
  [14476] = 14476,
  [14477] = 14440,
  [14478] = 14165,
  [14479] = 14422,
  [14480] = 14422,
  [14481] = 14353,
  [14482] = 14420,
  [14483] = 14357,
  [14484] = 14484,
  [14485] = 14294,
  [14486] = 14448,
  [14487] = 14433,
  [14488] = 14443,
  [14489] = 14293,
  [14490] = 14448,
  [14491] = 14266,
  [14492] = 14335,
  [14493] = 14334,
  [14494] = 14333,
  [14495] = 14332,
  [14496] = 14324,
  [14497] = 14427,
  [14498] = 14431,
  [14499] = 14433,
  [14500] = 14392,
  [14501] = 14322,
  [14502] = 14321,
  [14503] = 14320,
  [14504] = 14319,
  [14505] = 14440,
  [14506] = 14318,
  [14507] = 14507,
  [14508] = 14508,
  [14509] = 14509,
  [14510] = 14443,
  [14511] = 14511,
  [14512] = 14512,
  [14513] = 14431,
  [14514] = 14440,
  [14515] = 14443,
  [14516] = 14431,
  [14517] = 14340,
  [14518] = 14422,
  [14519] = 14519,
  [14520] = 14520,
  [14521] = 14301,
  [14522] = 14448,
  [14523] = 14440,
  [14524] = 14524,
  [14525] = 14443,
  [14526] = 14433,
  [14527] = 5103,
  [14528] = 14433,
  [14529] = 14431,
  [14530] = 14530,
  [14531] = 14431,
  [14532] = 14427,
  [14533] = 14443,
  [14534] = 14534,
  [14535] = 14433,
  [14536] = 14440,
  [14537] = 14537,
  [14538] = 14422,
  [14539] = 14275,
  [14540] = 14274,
  [14541] = 14448,
  [14542] = 14420,
  [14543] = 14543,
  [14544] = 14422,
  [14545] = 14545,
  [14546] = 14273,
  [14547] = 14448,
  [14548] = 14252,
  [14549] = 14443,
  [14550] = 14433,
  [14551] = 14551,
  [14552] = 14244,
  [14553] = 14175,
  [14554] = 14272,
  [14555] = 14238,
  [14556] = 14551,
  [14557] = 14235,
  [14558] = 14230,
  [14559] = 14226,
  [14560] = 14440,
  [14561] = 14427,
  [14562] = 14562,
  [14563] = 14422,
  [14564] = 14448,
  [14565] = 14254,
  [14566] = 14253,
  [14567] = 14251,
  [14568] = 14209,
  [14569] = 14420,
  [14570] = 14427,
  [14571] = 14176,
  [14572] = 14177,
  [14573] = 14282,
  [14574] = 14248,
  [14575] = 14431,
  [14576] = 14420,
  [14577] = 14422,
  [14578] = 14578,
  [14579] = 14448,
  [14580] = 14431,
  [14581] = 14581,
  [14582] = 14443,
  [14583] = 14431,
  [14584] = 14431,
  [14585] = 14427,
  [14586] = 14246,
  [14587] = 14443,
  [14588] = 14357,
  [14589] = 14484,
  [14590] = 14419,
  [14591] = 14530,
  [14592] = 13443,
  [14593] = 13506,
  [14594] = 14422,
  [14595] = 14433,
  [14596] = 14433,
  [14597] = 14509,
  [14598] = 14598,
  [14599] = 14420,
  [14600] = 14427,
  [14601] = 14420,
  [14602] = 14448,
  [14603] = 14603,
  [14604] = 14448,
  [14605] = 5069,
  [14606] = 14606,
  [14607] = 14420,
  [14608] = 14440,
  [14609] = 13622,
  [14610] = 14476,
  [14611] = 14236,
  [14612] = 14431,
  [14613] = 14443,
  [14614] = 14433,
  [14615] = 14232,
  [14616] = 14440,
  [14617] = 14443,
  [14618] = 14225,
  [14619] = 14440,
  [14620] = 14222,
  [14621] = 14342,
  [14622] = 13663,
  [14623] = 14443,
  [14624] = 14624,
  [14625] = 14422,
  [14626] = 14433,
  [14627] = 14627,
  [14628] = 14270,
  [14629] = 14219,
  [14630] = 14431,
  [14631] = 14217,
  [14632] = 14422,
  [14633] = 14427,
  [14634] = 14448,
  [14635] = 14440,
  [14636] = 14636,
  [14637] = 14431,
  [14638] = 14443,
  [14639] = 14420,
  [14640] = 14420,
  [14641] = 14431,
  [14642] = 14642,
  [14643] = 14420,
  [14644] = 14440,
  [14645] = 14431,
  [14646] = 14646,
  [14647] = 14647,
  [14648] = 14443,
  [14649] = 14448,
  [14650] = 14448,
  [14651] = 14448,
  [14652] = 14443,
  [14653] = 14443,
  [14654] = 13663,
  [14655] = 14655,
  [14656] = 14443,
  [14657] = 14208,
  [14658] = 14658,
  [14659] = 14659,
  [14660] = 14422,
  [14661] = 14427,
  [14662] = 13961,
  [14663] = 14420,
  [14664] = 14420,
  [14665] = 14427,
  [14666] = 14443,
  [14667] = 14448,
  [14668] = 14189,
  [14669] = 14431,
  [14670] = 14443,
  [14671] = 14271,
  [14672] = 14173,
  [14673] = 14673,
  [14674] = 14624,
  [14675] = 14443,
  [14676] = 14270,
  [14677] = 14433,
  [14678] = 14440,
  [14679] = 14679,
  [14680] = 14182,
  [14681] = 14448,
  [14682] = 14431,
  [14683] = 14431,
  [14684] = 14431,
  [14685] = 14420,
  [14686] = 14686,
  [14687] = 14443,
  [14688] = 14443,
  [14689] = 14427,
  [14690] = 14422,
  [14691] = 14420,
  [14692] = 14431,
  [14693] = 14431,
  [14694] = 14694,
  [14695] = 14427,
  [14696] = 14431,
  [14697] = 14422,
  [14698] = 14183,
  [14699] = 14440,
  [14700] = 14427,
  [14701] = 14420,
  [14702] = 14433,
  [14703] = 14427,
  [14704] = 14562,
  [14705] = 14245,
  [14706] = 14706,
  [14707] = 14431,
  [14708] = 14420,
  [14709] = 14271,
  [14710] = 14427,
  [14711] = 14420,
  [14712] = 14443,
  [14713] = 14713,
  [14714] = 14433,
  [14715] = 14427,
  [14716] = 14716,
  [14717] = 14433,
  [14718] = 14443,
  [14719] = 14420,
  [14720] = 14440,
  [14721] = 14440,
  [14722] = 14420,
  [14723] = 14433,
  [14724] = 14440,
  [14725] = 14725,
  [14726] = 14433,
  [14727] = 14448,
  [14728] = 14431,
  [14729] = 14551,
  [14730] = 14420,
  [14731] = 14731,
  [14732] = 14732,
  [14733] = 14733,
  [14734] = 14734,
  [14735] = 14735,
  [14736] = 14736,
  [14737] = 14737,
  [14738] = 14735,
  [14739] = 14739,
  [14740] = 14740,
  [14741] = 14741,
  [14742] = 14742,
  [14743] = 14743,
  [14744] = 14744,
  [14745] = 14734,
  [14746] = 14746,
  [14747] = 14747,
  [14748] = 14748,
  [14749] = 14739,
  [14750] = 14735,
  [14751] = 14741,
  [14752] = 14735,
  [14753] = 14753,
  [14754] = 14739,
  [14755] = 14755,
  [14756] = 14734,
  [14757] = 14757,
  [14758] = 14742,
  [14759] = 14759,
  [14760] = 14743,
  [14761] = 14761,
  [14762] = 14741,
  [14763] = 14739,
  [14764] = 14764,
  [14765] = 14739,
  [14766] = 14735,
  [14767] = 14734,
  [14768] = 14735,
  [14769] = 14739,
  [14770] = 14741,
  [14771] = 14771,
  [14772] = 14742,
  [14773] = 14773,
  [14774] = 14743,
  [14775] = 14775,
  [14776] = 14734,
  [14777] = 14777,
  [14778] = 14778,
  [14779] = 14742,
  [14780] = 14755,
  [14781] = 14741,
  [14782] = 14735,
  [14783] = 14743,
  [14784] = 14739,
  [14785] = 14739,
  [14786] = 14742,
  [14787] = 14742,
  [14788] = 14764,
  [14789] = 14743,
  [14790] = 14759,
  [14791] = 14742,
  [14792] = 14775,
  [14793] = 14743,
  [14794] = 14761,
  [14795] = 14734,
  [14796] = 14735,
  [14797] = 14741,
  [14798] = 14739,
  [14799] = 5279,
  [14800] = 14742,
  [14801] = 14743,
  [14802] = 14743,
  [14803] = 14803,
  [14804] = 14743,
  [14805] = 14742,
  [14806] = 14743,
  [14807] = 14741,
  [14808] = 14761,
  [14809] = 14735,
  [14810] = 14735,
  [14811] = 14811,
  [14812] = 14739,
  [14813] = 14803,
  [14814] = 14743,
  [14815] = 14742,
  [14816] = 14742,
  [14817] = 14743,
  [14818] = 14743,
  [14819] = 14755,
  [14820] = 14739,
  [14821] = 14759,
  [14822] = 14822,
  [14823] = 14741,
  [14824] = 14764,
  [14825] = 14739,
  [14826] = 14775,
  [14827] = 14735,
  [14828] = 14755,
  [14829] = 14759,
  [14830] = 14739,
  [14831] = 14761,
  [14832] = 14764,
  [14833] = 14735,
  [14834] = 14742,
  [14835] = 14835,
  [14836] = 14743,
  [14837] = 14837,
  [14838] = 14775,
  [14839] = 14839,
  [14840] = 14740,
  [14841] = 14743,
  [14842] = 14744,
  [14843] = 14740,
  [14844] = 14744,
  [14845] = 14735,
  [14846] = 14739,
  [14847] = 14735,
  [14848] = 14739,
  [14849] = 14735,
  [14850] = 14734,
  [14851] = 14755,
  [14852] = 14742,
  [14853] = 14742,
  [14854] = 14743,
  [14855] = 14761,
  [14856] = 14739,
  [14857] = 14739,
  [14858] = 14739,
  [14859] = 14859,
  [14860] = 14735,
  [14861] = 14861,
  [14862] = 14764,
  [14863] = 14735,
  [14864] = 14739,
  [14865] = 14739,
  [14866] = 14739,
  [14867] = 14755,
  [14868] = 14868,
  [14869] = 14740,
  [14870] = 14742,
  [14871] = 14744,
  [14872] = 14743,
  [14873] = 14775,
  [14874] = 14739,
  [14875] = 14822,
  [14876] = 14742,
  [14877] = 14735,
  [14878] = 14764,
  [14879] = 14761,
  [14880] = 14742,
  [14881] = 14735,
  [14882] = 14735,
  [14883] = 14755,
  [14884] = 14739,
  [14885] = 14735,
  [14886] = 14759,
  [14887] = 14734,
  [14888] = 14742,
  [14889] = 14889,
  [14890] = 14743,
  [14891] = 14839,
  [14892] = 14742,
  [14893] = 14743,
  [14894] = 14775,
  [14895] = 14764,
  [14896] = 14743,
  [14897] = 14741,
  [14898] = 14775,
  [14899] = 14735,
  [14900] = 14759,
  [14901] = 14743,
  [14902] = 14739,
  [14903] = 14743,
  [14904] = 14803,
  [14905] = 14735,
  [14906] = 14742,
  [14907] = 14907,
  [14908] = 14743,
  [14909] = 14740,
  [14910] = 14759,
  [14911] = 14739,
  [14912] = 14742,
  [14913] = 14734,
  [14914] = 14740,
  [14915] = 14744,
  [14916] = 14743,
  [14917] = 14735,
  [14918] = 14739,
  [14919] = 14919,
  [14920] = 14739,
  [14921] = 14742,
  [14922] = 14744,
  [14923] = 14923,
  [14924] = 14742,
  [14925] = 14925,
  [14926] = 14743,
  [14927] = 14735,
  [14928] = 14744,
  [14929] = 14822,
  [14930] = 14744,
  [14931] = 14735,
  [14932] = 14761,
  [14933] = 14739,
  [14934] = 14741,
  [14935] = 14735,
  [14936] = 14734,
  [14937] = 14742,
  [14938] = 14739,
  [14939] = 14939,
  [14940] = 14740,
  [14941] = 14755,
  [14942] = 14742,
  [14943] = 14735,
  [14944] = 14743,
  [14945] = 14743,
  [14946] = 14740,
  [14947] = 14744,
  [14948] = 14740,
  [14949] = 14734,
  [14950] = 14739,
  [14951] = 14735,
  [14952] = 14735,
  [14953] = 14735,
  [14954] = 14744,
  [14955] = 14764,
  [14956] = 14739,
  [14957] = 14741,
  [14958] = 14743,
  [14959] = 14759,
  [14960] = 14742,
  [14961] = 14755,
  [14962] = 14743,
  [14963] = 14963,
  [14964] = 14735,
  [14965] = 14755,
  [14966] = 14734,
  [14967] = 14967,
  [14968] = 14743,
  [14969] = 14743,
  [14970] = 14803,
  [14971] = 14735,
  [14972] = 14742,
  [14973] = 14742,
  [14974] = 14739,
  [14975] = 14975,
  [14976] = 14741,
  [14977] = 14742,
  [14978] = 14742,
  [14979] = 14739,
  [14980] = 14743,
  [14981] = 14740,
  [14982] = 14775,
  [14983] = 14742,
  [14984] = 14748,
  [14985] = 14739,
  [14986] = 14739,
  [14987] = 14742,
  [14988] = 14822,
  [14989] = 14735,
  [14990] = 14990,
  [14991] = 14839,
  [14992] = 14739,
  [14993] = 14743,
  [14994] = 14761,
  [14995] = 14764,
  [14996] = 14742,
  [14997] = 14759,
  [14998] = 14743,
  [14999] = 14739,
  [15000] = 14835,
  [15001] = 14775,
  [15002] = 14735,
  [15003] = 14735,
  [15004] = 14735,
  [15005] = 14803,
  [15006] = 14742,
  [15007] = 14735,
  [15008] = 14743,
  [15009] = 14743,
  [15010] = 14739,
  [15011] = 14755,
  [15012] = 14761,
  [15013] = 14743,
  [15014] = 14742,
  [15015] = 14739,
  [15016] = 14743,
  [15017] = 14735,
  [15018] = 14803,
  [15019] = 14735,
  [15020] = 14803,
  [15021] = 14907,
  [15022] = 14741,
  [15023] = 15023,
  [15024] = 14734,
  [15025] = 14735,
  [15026] = 14803,
  [15027] = 15027,
  [15028] = 14739,
  [15029] = 14743,
  [15030] = 14735,
  [15031] = 14742,
  [15032] = 14742,
  [15033] = 14742,
  [15034] = 14743,
  [15035] = 15035,
  [15036] = 14803,
  [15037] = 14743,
  [15038] = 14739,
  [15039] = 14742,
  [15040] = 14742,
  [15041] = 15041,
  [15042] = 14741,
  [15043] = 14735,
  [15044] = 14743,
  [15045] = 14739,
  [15046] = 14739,
  [15047] = 14761,
  [15048] = 14739,
  [15049] = 14743,
  [15050] = 14742,
  [15051] = 14743,
  [15052] = 14743,
  [15053] = 15053,
  [15054] = 14743,
  [15055] = 15055,
  [15056] = 14742,
  [15057] = 14735,
  [15058] = 14743,
  [15059] = 14740,
  [15060] = 14744,
  [15061] = 14735,
  [15062] = 14735,
  [15063] = 14733,
  [15064] = 14739,
  [15065] = 14822,
  [15066] = 14734,
  [15067] = 14739,
  [15068] = 14742,
  [15069] = 15069,
  [15070] = 14743,
  [15071] = 14742,
  [15072] = 14775,
  [15073] = 15073,
  [15074] = 14735,
  [15075] = 14761,
  [15076] = 14803,
  [15077] = 14822,
  [15078] = 14741,
  [15079] = 14735,
  [15080] = 14742,
  [15081] = 14761,
  [15082] = 14739,
  [15083] = 14739,
  [15084] = 14735,
  [15085] = 14764,
  [15086] = 14742,
  [15087] = 15087,
  [15088] = 14743,
  [15089] = 14759,
  [15090] = 14755,
  [15091] = 15091,
  [15092] = 14742,
  [15093] = 14775,
  [15094] = 14743,
  [15095] = 14735,
  [15096] = 14907,
  [15097] = 14735,
  [15098] = 14739,
  [15099] = 14734,
  [15100] = 14739,
  [15101] = 15101,
  [15102] = 14741,
  [15103] = 14742,
  [15104] = 14742,
  [15105] = 14740,
  [15106] = 14743,
  [15107] = 14759,
  [15108] = 14739,
  [15109] = 14743,
  [15110] = 15110,
  [15111] = 14734,
  [15112] = 14742,
  [15113] = 14803,
  [15114] = 14764,
  [15115] = 14735,
  [15116] = 14735,
  [15117] = 14743,
  [15118] = 14739,
  [15119] = 14778,
  [15120] = 14803,
  [15121] = 14744,
  [15122] = 14742,
  [15123] = 14777,
  [15124] = 14743,
  [15125] = 14773,
  [15126] = 14771,
  [15127] = 14837,
  [15128] = 14734,
  [15129] = 15055,
  [15130] = 14740,
  [15131] = 15069,
  [15132] = 15132,
  [15133] = 14735,
  [15134] = 14744,
  [15135] = 14735,
  [15136] = 14739,
  [15137] = 15069,
  [15138] = 14739,
  [15139] = 14735,
  [15140] = 14742,
  [15141] = 14741,
  [15142] = 14743,
  [15143] = 14735,
  [15144] = 14761,
  [15145] = 14742,
  [15146] = 14735,
  [15147] = 14837,
  [15148] = 14734,
  [15149] = 14739,
  [15150] = 15091,
  [15151] = 14735,
  [15152] = 14739,
  [15153] = 14739,
  [15154] = 14742,
  [15155] = 14775,
  [15156] = 14822,
  [15157] = 14742,
  [15158] = 14743,
  [15159] = 14743,
  [15160] = 14741,
  [15161] = 14761,
  [15162] = 14743,
  [15163] = 15087,
  [15164] = 15164,
  [15165] = 14743,
  [15166] = 14735,
  [15167] = 14742,
  [15168] = 14735,
  [15169] = 14739,
  [15170] = 14803,
  [15171] = 14739,
  [15172] = 15172,
  [15173] = 14742,
  [15174] = 14755,
  [15175] = 14743,
  [15176] = 15176,
  [15177] = 14764,
  [15178] = 14734,
  [15179] = 15179,
  [15180] = 14739,
  [15181] = 14759,
  [15182] = 14740,
  [15183] = 14739,
  [15184] = 14759,
  [15185] = 14741,
  [15186] = 14735,
  [15187] = 14743,
  [15188] = 14822,
  [15189] = 14735,
  [15190] = 14755,
  [15191] = 15191,
  [15192] = 14737,
  [15193] = 14755,
  [15194] = 14739,
  [15195] = 14735,
  [15196] = 14764,
  [15197] = 14734,
  [15198] = 14743,
  [15199] = 14775,
  [15200] = 14757,
  [15201] = 14733,
  [15202] = 14739,
  [15203] = 14744,
  [15204] = 14764,
  [15205] = 14739,
  [15206] = 14742,
  [15207] = 14759,
  [15208] = 14775,
  [15209] = 14743,
  [15210] = 14739,
  [15211] = 14743,
  [15212] = 15041,
  [15213] = 15023,
  [15214] = 14741,
  [15215] = 14734,
  [15216] = 14739,
  [15217] = 14743,
  [15218] = 14740,
  [15219] = 14743,
  [15220] = 14743,
  [15221] = 15221,
  [15222] = 14742,
  [15223] = 14743,
  [15224] = 15224,
  [15225] = 14742,
  [15226] = 14822,
  [15227] = 14739,
  [15228] = 14734,
  [15229] = 14741,
  [15230] = 14734,
  [15231] = 14743,
  [15232] = 14739,
  [15233] = 14742,
  [15234] = 14741,
  [15235] = 14743,
  [15236] = 14775,
  [15237] = 14803,
  [15238] = 14739,
  [15239] = 15239,
  [15240] = 14742,
  [15241] = 14990,
  [15242] = 14743,
  [15243] = 14735,
  [15244] = 14761,
  [15245] = 14975,
  [15246] = 15246,
  [15247] = 14739,
  [15248] = 15091,
  [15249] = 14743,
  [15250] = 14743,
  [15251] = 14741,
  [15252] = 15252,
  [15253] = 14735,
  [15254] = 14739,
  [15255] = 14803,
  [15256] = 14741,
  [15257] = 14743,
  [15258] = 14734,
  [15259] = 14803,
  [15260] = 14743,
  [15261] = 14739,
  [15262] = 14907,
  [15263] = 14743,
  [15264] = 14743,
  [15265] = 14742,
  [15266] = 15266,
  [15267] = 14742,
  [15268] = 14739,
  [15269] = 15269,
  [15270] = 14748,
  [15271] = 14743,
  [15272] = 14741,
  [15273] = 15273,
  [15274] = 14739,
  [15275] = 14748,
  [15276] = 14743,
  [15277] = 14775,
  [15278] = 14739,
  [15279] = 14744,
  [15280] = 14743,
  [15281] = 14741,
  [15282] = 14739,
  [15283] = 14919,
  [15284] = 14743,
  [15285] = 14744,
  [15286] = 14739,
  [15287] = 14743,
  [15288] = 14743,
  [15289] = 14861,
  [15290] = 14739,
  [15291] = 14742,
  [15292] = 14743,
  [15293] = 14739,
  [15294] = 14739,
  [15295] = 14734,
  [15296] = 14743,
  [15297] = 14742,
  [15298] = 14739,
  [15299] = 14744,
  [15300] = 14743,
  [15301] = 14747,
  [15302] = 14739,
  [15303] = 15303,
  [15304] = 14743,
  [15305] = 15305,
  [15306] = 14739,
  [15307] = 14739,
  [15308] = 14743,
  [15309] = 14742,
  [15310] = 14739,
  [15311] = 14736,
  [15312] = 14743,
  [15313] = 14739,
  [15314] = 14739,
  [15315] = 14822,
  [15316] = 14743,
  [15317] = 14735,
  [15318] = 14739,
  [15319] = 14741,
  [15320] = 14743,
  [15321] = 14735,
  [15322] = 14739,
  [15323] = 14743,
  [15324] = 14743,
  [15325] = 15035,
  [15326] = 14739,
  [15327] = 14735,
  [15328] = 14743,
  [15329] = 14735,
  [15330] = 14739,
  [15331] = 14734,
  [15332] = 14743,
  [15333] = 14741,
  [15334] = 14739,
  [15335] = 14735,
  [15336] = 14759,
  [15337] = 14775,
  [15338] = 14761,
  [15339] = 14764,
  [15340] = 14755,
  [15341] = 14735,
  [15342] = 14734,
  [15343] = 14743,
  [15344] = 14742,
  [15345] = 15345,
  [15346] = 14746,
  [15347] = 15191,
  [15348] = 14742,
  [15349] = 14746,
  [15350] = 14741,
  [15351] = 14022,
  [15352] = 14737,
  [15353] = 14735,
  [15354] = 14755,
  [15355] = 14742,
  [15356] = 14759,
  [15357] = 14739,
  [15358] = 14747,
  [15359] = 14748,
  [15360] = 14736,
  [15361] = 14742,
  [15362] = 14822,
  [15363] = 14734,
  [15364] = 15221,
  [15365] = 14739,
  [15366] = 14764,
  [15367] = 14739,
  [15368] = 14757,
  [15369] = 14744,
  [15370] = 14739,
  [15371] = 14742,
  [15372] = 14735,
  [15373] = 14734,
  [15374] = 14740,
  [15375] = 14741,
  [15376] = 14759,
  [15377] = 14741,
  [15378] = 14907,
  [15379] = 14743,
  [15380] = 14734,
  [15381] = 14740,
  [15382] = 14743,
  [15383] = 14743,
  [15384] = 14742,
  [15385] = 14742,
  [15386] = 14755,
  [15387] = 14759,
  [15388] = 14764,
  [15389] = 15389,
  [15390] = 15091,
  [15391] = 14743,
  [15392] = 14741,
  [15393] = 15393,
  [15394] = 14742,
  [15395] = 14822,
  [15396] = 14734,
  [15397] = 15397,
  [15398] = 14739,
  [15399] = 15399,
  [15400] = 14739,
  [15401] = 15091,
  [15402] = 14741,
  [15403] = 14734,
  [15404] = 14735,
  [15405] = 14742,
  [15406] = 14759,
  [15407] = 14734,
  [15408] = 14743,
  [15409] = 15409,
  [15410] = 15305,
  [15411] = 14739,
  [15412] = 15091,
  [15413] = 14907,
  [15414] = 14741,
  [15415] = 14743,
  [15416] = 14739,
  [15417] = 14761,
  [15418] = 14735,
  [15419] = 14741,
  [15420] = 14743,
  [15421] = 14739,
  [15422] = 14803,
  [15423] = 14734,
  [15424] = 14822,
  [15425] = 14742,
  [15426] = 14761,
  [15427] = 14803,
  [15428] = 14734,
  [15429] = 14739,
  [15430] = 14919,
  [15431] = 14741,
  [15432] = 14771,
  [15433] = 14773,
  [15434] = 14741,
  [15435] = 14743,
  [15436] = 14777,
  [15437] = 14778,
  [15438] = 14734,
  [15439] = 14743,
  [15440] = 14739,
  [15441] = 14742,
  [15442] = 14741,
  [15443] = 14735,
  [15444] = 14734,
  [15445] = 14742,
  [15446] = 14739,
  [15447] = 14732,
  [15448] = 14735,
  [15449] = 14743,
  [15450] = 14734,
  [15451] = 13646,
  [15452] = 14741,
  [15453] = 14744,
  [15454] = 14822,
  [15455] = 14759,
  [15456] = 14755,
  [15457] = 14740,
  [15458] = 14743,
  [15459] = 14742,
  [15460] = 14755,
  [15461] = 14755,
  [15462] = 14755,
  [15463] = 14755,
  [15464] = 14755,
  [15465] = 14755,
  [15466] = 14755,
  [15467] = 14755,
  [15468] = 14755,
  [15469] = 14755,
  [15470] = 14755,
  [15471] = 14755,
  [15472] = 14755,
  [15473] = 14755,
  [15474] = 14755,
  [15475] = 14755,
  [15476] = 14755,
  [15477] = 14734,
  [15478] = 14764,
  [15479] = 14741,
  [15480] = 14739,
  [15481] = 14739,
  [15482] = 14741,
  [15483] = 14744,
  [15484] = 14775,
  [15485] = 14735,
  [15486] = 14759,
  [15487] = 14755,
  [15488] = 14764,
  [15489] = 14735,
  [15490] = 14072,
  [15491] = 14739,
  [15492] = 14743,
  [15493] = 14734,
  [15494] = 14764,
  [15495] = 14759,
  [15496] = 14764,
  [15497] = 14740,
  [15498] = 14742,
  [15499] = 14764,
  [15500] = 14744,
  [15501] = 14742,
  [15502] = 14742,
  [15503] = 15503,
  [15504] = 14839,
  [15505] = 14741,
  [15506] = 14734,
  [15507] = 14735,
  [15508] = 14739,
  [15509] = 14907,
  [15510] = 14735,
  [15511] = 14755,
  [15512] = 14735,
  [15513] = 14835,
  [15514] = 14742,
  [15515] = 14839,
  [15516] = 14755,
  [15517] = 14734,
  [15518] = 14734,
  [15519] = 14742,
  [15520] = 14939,
  [15521] = 14739,
  [15522] = 14925,
  [15523] = 14735,
  [15524] = 14744,
  [15525] = 15091,
  [15526] = 14740,
  [15527] = 14742,
  [15528] = 14741,
  [15529] = 14742,
  [15530] = 14735,
  [15531] = 14743,
  [15532] = 15091,
  [15533] = 14741,
  [15534] = 14734,
  [15535] = 14741,
  [15536] = 14739,
  [15537] = 14775,
  [15538] = 14734,
  [15539] = 14822,
  [15540] = 14739,
  [15541] = 14761,
  [15542] = 14743,
  [15543] = 15543,
  [15544] = 14735,
  [15545] = 14739,
  [15546] = 15393,
  [15547] = 14734,
  [15548] = 14755,
  [15549] = 14755,
  [15550] = 14755,
  [15551] = 14755,
  [15552] = 14755,
  [15553] = 14755,
  [15554] = 14755,
  [15555] = 14755,
  [15556] = 14907,
  [15557] = 14741,
  [15558] = 14764,
  [15559] = 14741,
  [15560] = 14743,
  [15561] = 14755,
  [15562] = 14740,
  [15563] = 15563,
  [15564] = 15564,
  [15565] = 15565,
  [15566] = 14803,
  [15567] = 14742,
  [15568] = 15399,
  [15569] = 14734,
  [15570] = 15570,
  [15571] = 14743,
  [15572] = 14761,
  [15573] = 14734,
  [15574] = 14759,
  [15575] = 14907,
  [15576] = 15576,
  [15577] = 14743,
  [15578] = 14739,
  [15579] = 14741,
  [15580] = 14775,
  [15581] = 15581,
  [15582] = 14743,
  [15583] = 14803,
  [15584] = 15091,
  [15585] = 14741,
  [15586] = 14739,
  [15587] = 14755,
  [15588] = 14735,
  [15589] = 14740,
  [15590] = 14741,
  [15591] = 14744,
  [15592] = 14734,
  [15593] = 14735,
  [15594] = 14734,
  [15595] = 14822,
  [15596] = 14735,
  [15597] = 14734,
  [15598] = 15598,
  [15599] = 14755,
  [15600] = 14741,
  [15601] = 15409,
  [15602] = 14739,
  [15603] = 14755,
  [15604] = 14755,
  [15605] = 14755,
  [15606] = 14755,
  [15607] = 14755,
  [15608] = 14755,
  [15609] = 14755,
  [15610] = 14755,
  [15611] = 14735,
  [15612] = 14735,
  [15613] = 14744,
  [15614] = 14741,
  [15615] = 14734,
  [15616] = 14743,
  [15617] = 15617,
  [15618] = 14742,
  [15619] = 14741,
  [15620] = 14743,
  [15621] = 14742,
  [15622] = 14739,
  [15623] = 14734,
  [15624] = 14759,
  [15625] = 14822,
  [15626] = 14739,
  [15627] = 14761,
  [15628] = 14764,
  [15629] = 14761,
  [15630] = 14907,
  [15631] = 14740,
  [15632] = 14741,
  [15633] = 14735,
  [15634] = 14743,
  [15635] = 14740,
  [15636] = 14744,
  [15637] = 14739,
  [15638] = 15638,
  [15639] = 15091,
  [15640] = 14743,
  [15641] = 14764,
  [15642] = 14759,
  [15643] = 14741,
  [15644] = 14764,
  [15645] = 14739,
  [15646] = 14822,
  [15647] = 14775,
  [15648] = 14742,
  [15649] = 14742,
  [15650] = 14803,
  [15651] = 14739,
  [15652] = 14755,
  [15653] = 14755,
  [15654] = 14755,
  [15655] = 14741,
  [15656] = 14734,
  [15657] = 14743,
  [15658] = 14735,
  [15659] = 15659,
  [15660] = 14755,
  [15661] = 14735,
  [15662] = 14739,
  [15663] = 14742,
  [15664] = 14743,
  [15665] = 14742,
  [15666] = 14742,
  [15667] = 14734,
  [15668] = 15668,
  [15669] = 14775,
  [15670] = 15091,
  [15671] = 14907,
  [15672] = 14739,
  [15673] = 14739,
  [15674] = 14162,
  [15675] = 15675,
  [15676] = 15091,
  [15677] = 14741,
  [15678] = 14739,
  [15679] = 14757,
  [15680] = 15252,
  [15681] = 14734,
  [15682] = 14761,
  [15683] = 14822,
  [15684] = 14735,
  [15685] = 14748,
  [15686] = 14734,
  [15687] = 14742,
  [15688] = 14735,
  [15689] = 14755,
  [15690] = 15087,
  [15691] = 14735,
  [15692] = 14743,
  [15693] = 15164,
  [15694] = 14907,
  [15695] = 15172,
  [15696] = 14975,
  [15697] = 14735,
  [15698] = 14775,
  [15699] = 14739,
  [15700] = 14755,
  [15701] = 14759,
  [15702] = 14990,
  [15703] = 14741,
  [15704] = 14735,
  [15705] = 14907,
  [15706] = 14755,
  [15707] = 14743,
  [15708] = 14741,
  [15709] = 14734,
  [15710] = 15091,
  [15711] = 14739,
  [15712] = 14739,
  [15713] = 15565,
  [15714] = 14742,
  [15715] = 14742,
  [15716] = 14755,
  [15717] = 14822,
  [15718] = 15246,
  [15719] = 13663,
  [15720] = 14739,
  [15721] = 14742,
  [15722] = 14743,
  [15723] = 14755,
  [15724] = 14741,
  [15725] = 14755,
  [15726] = 14735,
  [15727] = 14735,
  [15728] = 14734,
  [15729] = 14742,
  [15730] = 14735,
  [15731] = 14764,
  [15732] = 14744,
  [15733] = 14741,
  [15734] = 15224,
  [15735] = 14740,
  [15736] = 14839,
  [15737] = 14734,
  [15738] = 14739,
  [15739] = 14907,
  [15740] = 14759,
  [15741] = 14775,
  [15742] = 14739,
  [15743] = 14743,
  [15744] = 15091,
  [15745] = 14734,
  [15746] = 14743,
  [15747] = 15747,
  [15748] = 14735,
  [15749] = 14744,
  [15750] = 14803,
  [15751] = 14822,
  [15752] = 14742,
  [15753] = 14743,
  [15754] = 14743,
  [15755] = 14742,
  [15756] = 14742,
  [15757] = 14734,
  [15758] = 14741,
  [15759] = 14741,
  [15760] = 14742,
  [15761] = 14755,
  [15762] = 14742,
  [15763] = 14743,
  [15764] = 14743,
  [15765] = 14740,
  [15766] = 15766,
  [15767] = 15073,
  [15768] = 14803,
  [15769] = 14742,
  [15770] = 14735,
  [15771] = 14743,
  [15772] = 14907,
  [15773] = 14734,
  [15774] = 14743,
  [15775] = 14822,
  [15776] = 14803,
  [15777] = 15091,
  [15778] = 14735,
  [15779] = 14975,
  [15780] = 14990,
  [15781] = 14761,
  [15782] = 15782,
  [15783] = 14739,
  [15784] = 14822,
  [15785] = 15023,
  [15786] = 15091,
  [15787] = 15787,
  [15788] = 14734,
  [15789] = 14735,
  [15790] = 15041,
  [15791] = 14743,
  [15792] = 14742,
  [15793] = 14741,
  [15794] = 15794,
  [15795] = 14759,
  [15796] = 14742,
  [15797] = 14734,
  [15798] = 14743,
  [15799] = 14742,
  [15800] = 14744,
  [15801] = 14907,
  [15802] = 15802,
  [15803] = 14741,
  [15804] = 14739,
  [15805] = 14907,
  [15806] = 15806,
  [15807] = 14740,
  [15808] = 14822,
  [15809] = 14739,
  [15810] = 15091,
  [15811] = 14735,
  [15812] = 14837,
  [15813] = 14764,
  [15814] = 14741,
  [15815] = 14743,
  [15816] = 14739,
  [15817] = 14822,
  [15818] = 15069,
  [15819] = 14735,
  [15820] = 14742,
  [15821] = 14734,
  [15822] = 14734,
  [15823] = 14735,
  [15824] = 14740,
  [15825] = 14735,
  [15826] = 14743,
  [15827] = 14741,
  [15828] = 14735,
  [15829] = 14734,
  [15830] = 14761,
  [15831] = 14743,
  [15832] = 14803,
  [15833] = 14739,
  [15834] = 14742,
  [15835] = 14739,
  [15836] = 14741,
  [15837] = 14743,
  [15838] = 14907,
  [15839] = 15839,
  [15840] = 15087,
  [15841] = 14734,
  [15842] = 14739,
  [15843] = 15091,
  [15844] = 14742,
  [15845] = 15191,
  [15846] = 14735,
  [15847] = 14775,
  [15848] = 14741,
  [15849] = 14822,
  [15850] = 15850,
  [15851] = 15851,
  [15852] = 15852,
  [15853] = 15853,
  [15854] = 15854,
  [15855] = 15852,
  [15856] = 15856,
  [15857] = 15856,
  [15858] = 15854,
  [15859] = 15854,
  [15860] = 15860,
  [15861] = 15852,
  [15862] = 15860,
  [15863] = 15860,
  [15864] = 15852,
  [15865] = 15852,
  [15866] = 15854,
  [15867] = 15860,
  [15868] = 15852,
  [15869] = 15854,
  [15870] = 15854,
  [15871] = 15871,
  [15872] = 15854,
  [15873] = 15852,
  [15874] = 15860,
  [15875] = 15875,
  [15876] = 15860,
  [15877] = 15860,
  [15878] = 15852,
  [15879] = 15879,
  [15880] = 15880,
  [15881] = 15881,
  [15882] = 15882,
  [15883] = 15854,
  [15884] = 15854,
  [15885] = 15852,
  [15886] = 15854,
  [15887] = 14084,
  [15888] = 15888,
  [15889] = 15852,
  [15890] = 15890,
  [15891] = 15860,
  [15892] = 15860,
  [15893] = 15890,
  [15894] = 5086,
  [15895] = 15890,
  [15896] = 15856,
  [15897] = 15854,
  [15898] = 14272,
  [15899] = 15853,
  [15900] = 15852,
  [15901] = 15860,
  [15902] = 15890,
  [15903] = 15852,
  [15904] = 15860,
  [15905] = 15852,
  [15906] = 15906,
  [15907] = 15852,
  [15908] = 15854,
  [15909] = 15909,
  [15910] = 15854,
  [15911] = 15911,
  [15912] = 15860,
  [15913] = 15913,
  [15914] = 15860,
  [15915] = 15860,
  [15916] = 15854,
  [15917] = 15917,
  [15918] = 15852,
  [15919] = 15856,
  [15920] = 15860,
  [15921] = 15852,
  [15922] = 15852,
  [15923] = 15854,
  [15924] = 15852,
  [15925] = 15890,
  [15926] = 15926,
  [15927] = 15860,
  [15928] = 15928,
  [15929] = 15860,
  [15930] = 15852,
  [15931] = 15931,
  [15932] = 15932,
  [15933] = 15854,
  [15934] = 15860,
  [15935] = 15935,
  [15936] = 15854,
  [15937] = 15854,
  [15938] = 15938,
  [15939] = 15939,
  [15940] = 15852,
  [15941] = 15860,
  [15942] = 15890,
  [15943] = 15860,
  [15944] = 15856,
  [15945] = 15945,
  [15946] = 15852,
  [15947] = 15854,
  [15948] = 15854,
  [15949] = 15860,
  [15950] = 15852,
  [15951] = 15854,
  [15952] = 15851,
  [15953] = 15953,
  [15954] = 15854,
  [15955] = 15881,
  [15956] = 15852,
  [15957] = 15882,
  [15958] = 15932,
  [15959] = 15860,
  [15960] = 15860,
  [15961] = 15852,
  [15962] = 15852,
  [15963] = 15890,
  [15964] = 5050,
  [15965] = 15856,
  [15966] = 15856,
  [15967] = 15860,
  [15968] = 15854,
  [15969] = 15854,
  [15970] = 15856,
  [15971] = 5685,
  [15972] = 15879,
  [15973] = 15856,
  [15974] = 15852,
  [15975] = 15860,
  [15976] = 15976,
  [15977] = 15860,
  [15978] = 15890,
  [15979] = 15890,
  [15980] = 14043,
  [15981] = 15981,
  [15982] = 15890,
  [15983] = 15854,
  [15984] = 15852,
  [15985] = 15860,
  [15986] = 15856,
  [15987] = 15987,
  [15988] = 15852,
  [15989] = 15860,
  [15990] = 15860,
  [15991] = 15890,
  [15992] = 15852,
  [15993] = 15852,
  [15994] = 15994,
  [15995] = 15890,
  [15996] = 15854,
  [15997] = 15997,
  [15998] = 15998,
  [15999] = 15860,
  [16000] = 15854,
  [16001] = 15852,
  [16002] = 15854,
  [16003] = 15854,
  [16004] = 15854,
  [16005] = 16005,
  [16006] = 15890,
  [16007] = 16007,
  [16008] = 5108,
  [16009] = 15852,
  [16010] = 15854,
  [16011] = 15860,
  [16012] = 5706,
  [16013] = 16013,
  [16014] = 15890,
  [16015] = 15854,
  [16016] = 15854,
  [16017] = 15880,
  [16018] = 15981,
  [16019] = 15860,
  [16020] = 15852,
  [16021] = 15854,
  [16022] = 15856,
  [16023] = 15854,
  [16024] = 15852,
  [16025] = 15860,
  [16026] = 15856,
  [16027] = 8174,
  [16028] = 8159,
  [16029] = 15890,
  [16030] = 8155,
  [16031] = 15856,
  [16032] = 15860,
  [16033] = 15852,
  [16034] = 8125,
  [16035] = 8104,
  [16036] = 16036,
  [16037] = 15890,
  [16038] = 15860,
  [16039] = 15854,
  [16040] = 15852,
  [16041] = 13779,
  [16042] = 15852,
  [16043] = 15860,
  [16044] = 15854,
  [16045] = 15860,
  [16046] = 15852,
  [16047] = 15854,
  [16048] = 16048,
  [16049] = 15854,
  [16050] = 15852,
  [16051] = 15852,
  [16052] = 15890,
  [16053] = 14272,
  [16054] = 15860,
  [16055] = 8273,
  [16056] = 15854,
  [16057] = 15860,
  [16058] = 15890,
  [16059] = 15852,
  [16060] = 15860,
  [16061] = 15854,
  [16062] = 15932,
  [16063] = 15851,
  [16064] = 5697,
  [16065] = 5698,
  [16066] = 15854,
  [16067] = 15852,
  [16068] = 15945,
  [16069] = 15854,
  [16070] = 8283,
  [16071] = 15860,
  [16072] = 15854,
  [16073] = 15860,
  [16074] = 15852,
  [16075] = 15890,
  [16076] = 15852,
  [16077] = 15860,
  [16078] = 16078,
  [16079] = 16079,
  [16080] = 15852,
  [16081] = 15890,
  [16082] = 16082,
  [16083] = 16083,
  [16084] = 15890,
  [16085] = 15854,
  [16086] = 15852,
  [16087] = 16087,
  [16088] = 15890,
  [16089] = 15854,
  [16090] = 5139,
  [16091] = 15860,
  [16092] = 15854,
  [16093] = 15856,
  [16094] = 15860,
  [16095] = 15852,
  [16096] = 15852,
  [16097] = 15860,
  [16098] = 16087,
  [16099] = 15854,
  [16100] = 16100,
  [16101] = 16101,
  [16102] = 15860,
  [16103] = 15938,
  [16104] = 15851,
  [16105] = 15890,
  [16106] = 15854,
  [16107] = 15860,
  [16108] = 15932,
  [16109] = 15854,
  [16110] = 15852,
  [16111] = 15856,
  [16112] = 15852,
  [16113] = 16113,
  [16114] = 15890,
  [16115] = 8604,
  [16116] = 15854,
  [16117] = 15854,
  [16118] = 15856,
  [16119] = 15860,
  [16120] = 15860,
  [16121] = 15860,
  [16122] = 15852,
  [16123] = 15860,
  [16124] = 15851,
  [16125] = 15860,
  [16126] = 15860,
  [16127] = 15852,
  [16128] = 15856,
  [16129] = 15852,
  [16130] = 15854,
  [16131] = 15860,
  [16132] = 15852,
  [16133] = 15890,
  [16134] = 8176,
  [16135] = 8409,
  [16136] = 15932,
  [16137] = 15852,
  [16138] = 15890,
  [16139] = 15854,
  [16140] = 16140,
  [16141] = 5208,
  [16142] = 15856,
  [16143] = 15854,
  [16144] = 15854,
  [16145] = 15852,
  [16146] = 15860,
  [16147] = 5706,
  [16148] = 16148,
  [16149] = 16149,
  [16150] = 16148,
  [16151] = 16151,
  [16152] = 16152,
  [16153] = 16153,
  [16154] = 16154,
  [16155] = 16155,
  [16156] = 16156,
  [16157] = 16155,
  [16158] = 16148,
  [16159] = 16159,
  [16160] = 16149,
  [16161] = 16154,
  [16162] = 16149,
  [16163] = 16163,
  [16164] = 16156,
  [16165] = 16165,
  [16166] = 16165,
  [16167] = 16167,
  [16168] = 16168,
  [16169] = 16169,
  [16170] = 16170,
  [16171] = 16171,
  [16172] = 16172,
  [16173] = 16173,
  [16174] = 16169,
  [16175] = 16168,
  [16176] = 16176,
  [16177] = 16171,
  [16178] = 16153,
  [16179] = 16154,
  [16180] = 16176,
  [16181] = 16172,
  [16182] = 16165,
  [16183] = 16183,
  [16184] = 16173,
  [16185] = 16169,
  [16186] = 16159,
  [16187] = 16167,
  [16188] = 16171,
  [16189] = 16172,
  [16190] = 16173,
  [16191] = 16191,
  [16192] = 16192,
  [16193] = 16170,
  [16194] = 16173,
  [16195] = 16167,
  [16196] = 16165,
  [16197] = 16163,
  [16198] = 16156,
  [16199] = 16169,
  [16200] = 16153,
  [16201] = 16171,
  [16202] = 16172,
  [16203] = 16173,
  [16204] = 16183,
  [16205] = 16153,
  [16206] = 16183,
  [16207] = 16173,
  [16208] = 16153,
  [16209] = 16154,
  [16210] = 16148,
  [16211] = 16172,
  [16212] = 16155,
  [16213] = 16171,
  [16214] = 16169,
  [16215] = 16170,
  [16216] = 16165,
  [16217] = 16149,
  [16218] = 16218,
  [16219] = 16149,
  [16220] = 16156,
  [16221] = 16159,
  [16222] = 16155,
  [16223] = 16148,
  [16224] = 16167,
  [16225] = 16170,
  [16226] = 16165,
  [16227] = 16154,
  [16228] = 16153,
  [16229] = 16169,
  [16230] = 16159,
  [16231] = 16171,
  [16232] = 16172,
  [16233] = 16173,
  [16234] = 16176,
  [16235] = 16183,
  [16236] = 16173,
  [16237] = 16176,
  [16238] = 16153,
  [16239] = 16154,
  [16240] = 16172,
  [16241] = 16171,
  [16242] = 16169,
  [16243] = 16168,
  [16244] = 16168,
  [16245] = 16165,
  [16246] = 16163,
  [16247] = 16163,
  [16248] = 16183,
  [16249] = 16149,
  [16250] = 16163,
  [16251] = 16156,
  [16252] = 16155,
  [16253] = 16163,
  [16254] = 16168,
  [16255] = 16176,
  [16256] = 16165,
  [16257] = 16154,
  [16258] = 16153,
  [16259] = 16169,
  [16260] = 16168,
  [16261] = 16171,
  [16262] = 16172,
  [16263] = 16173,
  [16264] = 16173,
  [16265] = 16265,
  [16266] = 16153,
  [16267] = 16154,
  [16268] = 16159,
  [16269] = 16172,
  [16270] = 16171,
  [16271] = 16169,
  [16272] = 16170,
  [16273] = 16167,
  [16274] = 16170,
  [16275] = 16165,
  [16276] = 16176,
  [16277] = 16170,
  [16278] = 16159,
  [16279] = 16176,
  [16280] = 16168,
  [16281] = 16167,
  [16282] = 16163,
  [16283] = 16165,
  [16284] = 16159,
  [16285] = 16183,
  [16286] = 16169,
  [16287] = 16154,
  [16288] = 16171,
  [16289] = 16172,
  [16290] = 16173,
  [16291] = 16148,
  [16292] = 16155,
  [16293] = 16153,
  [16294] = 16154,
  [16295] = 16156,
  [16296] = 16153,
  [16297] = 16149,
  [16298] = 16173,
  [16299] = 16172,
  [16300] = 16171,
  [16301] = 16169,
  [16302] = 16149,
  [16303] = 16170,
  [16304] = 16172,
  [16305] = 16183,
  [16306] = 16165,
  [16307] = 16156,
  [16308] = 16171,
  [16309] = 16309,
  [16310] = 16169,
  [16311] = 16155,
  [16312] = 16171,
  [16313] = 16172,
  [16314] = 16173,
  [16315] = 16148,
  [16316] = 16167,
  [16317] = 16153,
  [16318] = 16154,
  [16319] = 16183,
  [16320] = 5139,
  [16321] = 16154,
  [16322] = 16153,
  [16323] = 16159,
  [16324] = 16176,
  [16325] = 16168,
  [16326] = 16173,
  [16327] = 16172,
  [16328] = 16171,
  [16329] = 16169,
  [16330] = 16163,
  [16331] = 16165,
  [16332] = 16167,
  [16333] = 16152,
  [16334] = 16169,
  [16335] = 16171,
  [16336] = 16172,
  [16337] = 16173,
  [16338] = 16151,
  [16339] = 16163,
  [16340] = 16153,
  [16341] = 16154,
  [16342] = 16192,
  [16343] = 16183,
  [16344] = 5108,
  [16345] = 16155,
  [16346] = 16149,
  [16347] = 5086,
  [16348] = 5050,
  [16349] = 16191,
  [16350] = 16183,
  [16351] = 16154,
  [16352] = 16168,
  [16353] = 16176,
  [16354] = 16153,
  [16355] = 16173,
  [16356] = 16172,
  [16357] = 16169,
  [16358] = 16171,
  [16359] = 16172,
  [16360] = 16173,
  [16361] = 16171,
  [16362] = 16169,
  [16363] = 16153,
  [16364] = 16154,
  [16365] = 16159,
  [16366] = 16165,
  [16367] = 16149,
  [16368] = 16148,
  [16369] = 16155,
  [16370] = 16156,
  [16371] = 16155,
  [16372] = 16148,
  [16373] = 16167,
  [16374] = 16170,
  [16375] = 16156,
  [16376] = 16154,
  [16377] = 16153,
  [16378] = 16169,
  [16379] = 16171,
  [16380] = 16172,
  [16381] = 16173,
  [16382] = 16159,
  [16383] = 16176,
  [16384] = 16153,
  [16385] = 16154,
  [16386] = 16170,
  [16387] = 16173,
  [16388] = 16172,
  [16389] = 16171,
  [16390] = 16169,
  [16391] = 16168,
  [16392] = 16167,
  [16393] = 16393,
  [16394] = 16165,
  [16395] = 16156,
  [16396] = 16148,
  [16397] = 16163,
  [16398] = 16155,
  [16399] = 16169,
  [16400] = 16171,
  [16401] = 16172,
  [16402] = 16173,
  [16403] = 16163,
  [16404] = 16149,
  [16405] = 16153,
  [16406] = 16154,
  [16407] = 16156,
  [16408] = 16183,
  [16409] = 16149,
  [16410] = 16154,
  [16411] = 16153,
  [16412] = 16156,
  [16413] = 16155,
  [16414] = 16173,
  [16415] = 16172,
  [16416] = 16149,
  [16417] = 16171,
  [16418] = 16148,
  [16419] = 16169,
  [16420] = 16169,
  [16421] = 16171,
  [16422] = 16172,
  [16423] = 16173,
  [16424] = 16155,
  [16425] = 16165,
  [16426] = 16153,
  [16427] = 16154,
  [16428] = 16148,
  [16429] = 16183,
  [16430] = 16191,
  [16431] = 16167,
  [16432] = 16192,
  [16433] = 16170,
  [16434] = 16151,
  [16435] = 16152,
  [16436] = 16165,
  [16437] = 5208,
  [16438] = 16176,
  [16439] = 16218,
  [16440] = 16163,
  [16441] = 16169,
  [16442] = 16171,
  [16443] = 16172,
  [16444] = 16173,
  [16445] = 16168,
  [16446] = 16168,
  [16447] = 16153,
  [16448] = 16154,
  [16449] = 16176,
  [16450] = 16163,
  [16451] = 16159,
  [16452] = 16154,
  [16453] = 16453,
  [16454] = 16153,
  [16455] = 16218,
  [16456] = 16183,
  [16457] = 16167,
  [16458] = 16173,
  [16459] = 16172,
  [16460] = 16170,
  [16461] = 16461,
  [16462] = 16169,
  [16463] = 16171,
  [16464] = 16172,
  [16465] = 16173,
  [16466] = 16167,
  [16467] = 16171,
  [16468] = 16153,
  [16469] = 16154,
  [16470] = 16169,
  [16471] = 16148,
  [16472] = 16151,
  [16473] = 16149,
  [16474] = 16156,
  [16475] = 16155,
  [16476] = 16156,
  [16477] = 16148,
  [16478] = 16167,
  [16479] = 16170,
  [16480] = 16163,
  [16481] = 16159,
  [16482] = 16154,
  [16483] = 16169,
  [16484] = 16171,
  [16485] = 16172,
  [16486] = 16173,
  [16487] = 16153,
  [16488] = 16170,
  [16489] = 16153,
  [16490] = 16154,
  [16491] = 16176,
  [16492] = 16149,
  [16493] = 16168,
  [16494] = 16168,
  [16495] = 16173,
  [16496] = 16172,
  [16497] = 16171,
  [16498] = 16183,
  [16499] = 16169,
  [16500] = 16163,
  [16501] = 16165,
  [16502] = 16176,
  [16503] = 16159,
  [16504] = 16169,
  [16505] = 16171,
  [16506] = 16172,
  [16507] = 16173,
  [16508] = 16159,
  [16509] = 16154,
  [16510] = 16153,
  [16511] = 16154,
  [16512] = 16159,
  [16513] = 16153,
  [16514] = 16176,
  [16515] = 16173,
  [16516] = 16163,
  [16517] = 16172,
  [16518] = 16171,
  [16519] = 16168,
  [16520] = 16163,
  [16521] = 16168,
  [16522] = 16169,
  [16523] = 16149,
  [16524] = 16165,
  [16525] = 16169,
  [16526] = 16171,
  [16527] = 16172,
  [16528] = 16173,
  [16529] = 16169,
  [16530] = 16176,
  [16531] = 16153,
  [16532] = 16154,
  [16533] = 16170,
  [16534] = 16534,
  [16535] = 16535,
  [16536] = 16536,
  [16537] = 16156,
  [16538] = 16168,
  [16539] = 16155,
  [16540] = 16159,
  [16541] = 16148,
  [16542] = 16167,
  [16543] = 16170,
  [16544] = 16159,
  [16545] = 16169,
  [16546] = 16171,
  [16547] = 16172,
  [16548] = 16173,
  [16549] = 16154,
  [16550] = 16153,
  [16551] = 16153,
  [16552] = 16154,
  [16553] = 16167,
  [16554] = 16176,
  [16555] = 16173,
  [16556] = 16172,
  [16557] = 16170,
  [16558] = 16167,
  [16559] = 16171,
  [16560] = 16169,
  [16561] = 16168,
  [16562] = 16165,
  [16563] = 16163,
  [16564] = 16148,
  [16565] = 16169,
  [16566] = 16171,
  [16567] = 16172,
  [16568] = 16173,
  [16569] = 16569,
  [16570] = 16155,
  [16571] = 16153,
  [16572] = 16154,
  [16573] = 16156,
  [16574] = 16152,
  [16575] = 16156,
  [16576] = 16149,
  [16577] = 16183,
  [16578] = 16191,
  [16579] = 16148,
  [16580] = 16183,
  [16581] = 16154,
  [16582] = 16183,
  [16583] = 16153,
  [16584] = 16155,
  [16585] = 16169,
  [16586] = 16171,
  [16587] = 16172,
  [16588] = 16173,
  [16589] = 16149,
  [16590] = 16153,
  [16591] = 16154,
  [16592] = 16218,
  [16593] = 16173,
  [16594] = 16149,
  [16595] = 16172,
  [16596] = 16171,
  [16597] = 16169,
  [16598] = 16163,
  [16599] = 16183,
  [16600] = 16170,
  [16601] = 16601,
  [16602] = 16165,
  [16603] = 16156,
  [16604] = 16155,
  [16605] = 16169,
  [16606] = 16171,
  [16607] = 16172,
  [16608] = 16173,
  [16609] = 16148,
  [16610] = 16167,
  [16611] = 16153,
  [16612] = 16154,
  [16613] = 16168,
  [16614] = 16176,
  [16615] = 16170,
  [16616] = 16154,
  [16617] = 16159,
  [16618] = 16153,
  [16619] = 16218,
  [16620] = 16173,
  [16621] = 16172,
  [16622] = 16171,
  [16623] = 16169,
  [16624] = 16170,
  [16625] = 16169,
  [16626] = 16171,
  [16627] = 16172,
  [16628] = 16173,
  [16629] = 16159,
  [16630] = 16165,
  [16631] = 16153,
  [16632] = 16154,
  [16633] = 16167,
  [16634] = 16149,
  [16635] = 16176,
  [16636] = 16176,
  [16637] = 16168,
  [16638] = 16152,
  [16639] = 16151,
  [16640] = 16163,
  [16641] = 16154,
  [16642] = 16148,
  [16643] = 16155,
  [16644] = 16183,
  [16645] = 16169,
  [16646] = 16171,
  [16647] = 16172,
  [16648] = 16173,
  [16649] = 16183,
  [16650] = 16154,
  [16651] = 16153,
  [16652] = 16154,
  [16653] = 16156,
  [16654] = 16654,
  [16655] = 16153,
  [16656] = 16149,
  [16657] = 16149,
  [16658] = 16658,
  [16659] = 16183,
  [16660] = 16660,
  [16661] = 16173,
  [16662] = 16172,
  [16663] = 16171,
  [16664] = 16169,
  [16665] = 16169,
  [16666] = 16171,
  [16667] = 16172,
  [16668] = 16173,
  [16669] = 16149,
  [16670] = 16156,
  [16671] = 16153,
  [16672] = 16154,
  [16673] = 16155,
  [16674] = 16148,
  [16675] = 16675,
  [16676] = 16165,
  [16677] = 16167,
  [16678] = 16156,
  [16679] = 16192,
  [16680] = 16159,
  [16681] = 16176,
  [16682] = 16168,
  [16683] = 16163,
  [16684] = 16169,
  [16685] = 16171,
  [16686] = 16172,
  [16687] = 16173,
  [16688] = 16183,
  [16689] = 16218,
  [16690] = 16153,
  [16691] = 16154,
  [16692] = 16156,
  [16693] = 16154,
  [16694] = 16153,
  [16695] = 16183,
  [16696] = 16696,
  [16697] = 16173,
  [16698] = 16155,
  [16699] = 16148,
  [16700] = 16172,
  [16701] = 16171,
  [16702] = 16191,
  [16703] = 16169,
  [16704] = 16171,
  [16705] = 16172,
  [16706] = 16173,
  [16707] = 16192,
  [16708] = 16163,
  [16709] = 16153,
  [16710] = 16154,
  [16711] = 16151,
  [16712] = 16168,
  [16713] = 16176,
  [16714] = 16169,
  [16715] = 16152,
  [16716] = 16716,
  [16717] = 16159,
  [16718] = 16675,
  [16719] = 16165,
  [16720] = 16155,
  [16721] = 16149,
  [16722] = 16169,
  [16723] = 16171,
  [16724] = 16172,
  [16725] = 16173,
  [16726] = 16148,
  [16727] = 16727,
  [16728] = 16153,
  [16729] = 16154,
  [16730] = 16167,
  [16731] = 16170,
  [16732] = 16170,
  [16733] = 16155,
  [16734] = 16148,
  [16735] = 16735,
  [16736] = 16167,
  [16737] = 16159,
  [16738] = 16176,
  [16739] = 16152,
  [16740] = 16151,
  [16741] = 16169,
  [16742] = 16171,
  [16743] = 16172,
  [16744] = 16173,
  [16745] = 16148,
  [16746] = 16155,
  [16747] = 16153,
  [16748] = 16154,
  [16749] = 16156,
  [16750] = 16167,
  [16751] = 16168,
  [16752] = 16154,
  [16753] = 16163,
  [16754] = 16149,
  [16755] = 16153,
  [16756] = 16163,
  [16757] = 16183,
  [16758] = 16149,
  [16759] = 16759,
  [16760] = 16169,
  [16761] = 16171,
  [16762] = 16172,
  [16763] = 16173,
  [16764] = 16183,
  [16765] = 16170,
  [16766] = 16154,
  [16767] = 16767,
  [16768] = 16218,
  [16769] = 16769,
  [16770] = 16152,
  [16771] = 16191,
  [16772] = 16192,
  [16773] = 16151,
  [16774] = 16152,
  [16775] = 16168,
  [16776] = 16163,
  [16777] = 16173,
  [16778] = 16169,
  [16779] = 16171,
  [16780] = 16172,
  [16781] = 16173,
  [16782] = 16172,
  [16783] = 16176,
  [16784] = 16154,
  [16785] = 16171,
  [16786] = 16159,
  [16787] = 16168,
  [16788] = 16168,
  [16789] = 16169,
  [16790] = 16176,
  [16791] = 16149,
  [16792] = 16176,
  [16793] = 16716,
  [16794] = 16163,
  [16795] = 16159,
  [16796] = 16169,
  [16797] = 16171,
  [16798] = 16172,
  [16799] = 16173,
  [16800] = 16675,
  [16801] = 16801,
  [16802] = 16154,
  [16803] = 16155,
  [16804] = 16165,
  [16805] = 16148,
  [16806] = 16167,
  [16807] = 16170,
  [16808] = 16167,
  [16809] = 16159,
  [16810] = 16176,
  [16811] = 16168,
  [16812] = 16159,
  [16813] = 16170,
  [16814] = 16169,
  [16815] = 16171,
  [16816] = 16172,
  [16817] = 16173,
  [16818] = 16163,
  [16819] = 16696,
  [16820] = 16154,
  [16821] = 16801,
  [16822] = 16167,
  [16823] = 16170,
  [16824] = 16152,
  [16825] = 16151,
  [16826] = 16826,
  [16827] = 16148,
  [16828] = 16828,
  [16829] = 16155,
  [16830] = 16170,
  [16831] = 16156,
  [16832] = 16169,
  [16833] = 16171,
  [16834] = 16172,
  [16835] = 16173,
  [16836] = 16836,
  [16837] = 16735,
  [16838] = 16154,
  [16839] = 16167,
  [16840] = 16840,
  [16841] = 16154,
  [16842] = 16842,
  [16843] = 16153,
  [16844] = 16183,
  [16845] = 16601,
  [16846] = 16149,
  [16847] = 16149,
  [16848] = 16167,
  [16849] = 16159,
  [16850] = 16169,
  [16851] = 16171,
  [16852] = 16172,
  [16853] = 16173,
  [16854] = 16148,
  [16855] = 16149,
  [16856] = 16154,
  [16857] = 16170,
  [16858] = 16151,
  [16859] = 16658,
  [16860] = 16654,
  [16861] = 16176,
  [16862] = 16183,
  [16863] = 16167,
  [16864] = 16192,
  [16865] = 16218,
  [16866] = 16176,
  [16867] = 16167,
  [16868] = 16169,
  [16869] = 16171,
  [16870] = 16172,
  [16871] = 16173,
  [16872] = 16218,
  [16873] = 16176,
  [16874] = 16154,
  [16875] = 16176,
  [16876] = 16159,
  [16877] = 16167,
  [16878] = 16878,
  [16879] = 16176,
  [16880] = 16836,
  [16881] = 16881,
  [16882] = 16882,
  [16883] = 16167,
  [16884] = 16170,
  [16885] = 16168,
  [16886] = 16169,
  [16887] = 16171,
  [16888] = 16172,
  [16889] = 16173,
  [16890] = 16183,
  [16891] = 16163,
  [16892] = 16154,
  [16893] = 16176,
  [16894] = 16170,
  [16895] = 16168,
  [16896] = 16167,
  [16897] = 16176,
  [16898] = 16149,
  [16899] = 16569,
  [16900] = 16176,
  [16901] = 16168,
  [16902] = 16168,
  [16903] = 16159,
  [16904] = 16169,
  [16905] = 16171,
  [16906] = 16172,
  [16907] = 16173,
  [16908] = 16154,
  [16909] = 16159,
  [16910] = 16176,
  [16911] = 16170,
  [16912] = 16167,
  [16913] = 16149,
  [16914] = 16191,
  [16915] = 16828,
  [16916] = 16169,
  [16917] = 16171,
  [16918] = 16172,
  [16919] = 16173,
  [16920] = 16154,
  [16921] = 16168,
  [16922] = 16168,
  [16923] = 16176,
  [16924] = 16716,
  [16925] = 16169,
  [16926] = 16170,
  [16927] = 16167,
  [16928] = 16169,
  [16929] = 16171,
  [16930] = 16172,
  [16931] = 16173,
  [16932] = 16154,
  [16933] = 16149,
  [16934] = 16168,
  [16935] = 16170,
  [16936] = 16826,
  [16937] = 16176,
  [16938] = 16170,
  [16939] = 16167,
  [16940] = 16169,
  [16941] = 16171,
  [16942] = 16172,
  [16943] = 16173,
  [16944] = 16154,
  [16945] = 16149,
  [16946] = 16167,
  [16947] = 16163,
  [16948] = 16149,
  [16949] = 16152,
  [16950] = 16151,
  [16951] = 16169,
  [16952] = 16171,
  [16953] = 16172,
  [16954] = 16173,
  [16955] = 16154,
  [16956] = 16151,
  [16957] = 16192,
  [16958] = 16155,
  [16959] = 16191,
  [16960] = 16168,
  [16961] = 16176,
  [16962] = 16169,
  [16963] = 16171,
  [16964] = 16172,
  [16965] = 16173,
  [16966] = 16154,
  [16967] = 16148,
  [16968] = 16155,
  [16969] = 16453,
  [16970] = 16156,
  [16971] = 16675,
  [16972] = 16972,
  [16973] = 16169,
  [16974] = 16171,
  [16975] = 16172,
  [16976] = 16173,
  [16977] = 16154,
  [16978] = 16801,
  [16979] = 16170,
  [16980] = 16167,
  [16981] = 16168,
  [16982] = 16155,
  [16983] = 16149,
  [16984] = 16169,
  [16985] = 16171,
  [16986] = 16172,
  [16987] = 16173,
  [16988] = 16154,
  [16989] = 16167,
  [16990] = 16176,
  [16991] = 16170,
  [16992] = 16167,
  [16993] = 16149,
  [16994] = 16163,
  [16995] = 16169,
  [16996] = 16171,
  [16997] = 16172,
  [16998] = 16173,
  [16999] = 16154,
  [17000] = 16156,
  [17001] = 16156,
  [17002] = 16168,
  [17003] = 16176,
  [17004] = 16170,
  [17005] = 16183,
  [17006] = 16169,
  [17007] = 16171,
  [17008] = 16172,
  [17009] = 16173,
  [17010] = 16154,
  [17011] = 16165,
  [17012] = 16167,
  [17013] = 16154,
  [17014] = 16155,
  [17015] = 16168,
  [17016] = 16218,
  [17017] = 16169,
  [17018] = 16171,
  [17019] = 16172,
  [17020] = 16173,
  [17021] = 16154,
  [17022] = 16176,
  [17023] = 16148,
  [17024] = 16149,
  [17025] = 16167,
  [17026] = 16191,
  [17027] = 16154,
  [17028] = 16192,
  [17029] = 16151,
  [17030] = 16152,
  [17031] = 16170,
  [17032] = 16167,
  [17033] = 16154,
  [17034] = 16171,
  [17035] = 16149,
  [17036] = 16183,
  [17037] = 16172,
  [17038] = 16163,
  [17039] = 16154,
  [17040] = 16168,
  [17041] = 16176,
  [17042] = 16265,
  [17043] = 16149,
  [17044] = 16168,
  [17045] = 16154,
  [17046] = 16170,
  [17047] = 16167,
  [17048] = 16149,
  [17049] = 16173,
  [17050] = 16168,
  [17051] = 16154,
  [17052] = 16176,
  [17053] = 16155,
  [17054] = 16170,
  [17055] = 16176,
  [17056] = 16167,
  [17057] = 16154,
  [17058] = 16148,
  [17059] = 16167,
  [17060] = 16159,
  [17061] = 16148,
  [17062] = 16149,
  [17063] = 16154,
  [17064] = 16167,
  [17065] = 16170,
  [17066] = 16168,
  [17067] = 16152,
  [17068] = 16176,
  [17069] = 16154,
  [17070] = 16192,
  [17071] = 16191,
  [17072] = 16170,
  [17073] = 16167,
  [17074] = 16149,
  [17075] = 16154,
  [17076] = 16159,
  [17077] = 16176,
  [17078] = 16769,
  [17079] = 16170,
  [17080] = 16168,
  [17081] = 16154,
  [17082] = 16170,
  [17083] = 16168,
  [17084] = 16176,
  [17085] = 16163,
  [17086] = 16167,
  [17087] = 16154,
  [17088] = 16170,
  [17089] = 16167,
  [17090] = 16767,
  [17091] = 16149,
  [17092] = 17092,
  [17093] = 16154,
  [17094] = 16759,
  [17095] = 16183,
  [17096] = 16727,
  [17097] = 16152,
  [17098] = 16151,
  [17099] = 16154,
  [17100] = 16192,
  [17101] = 16191,
  [17102] = 16183,
  [17103] = 16168,
  [17104] = 16148,
  [17105] = 16154,
  [17106] = 16148,
  [17107] = 16155,
  [17108] = 16176,
  [17109] = 16156,
  [17110] = 16170,
  [17111] = 16154,
  [17112] = 16156,
  [17113] = 16167,
  [17114] = 16149,
  [17115] = 16218,
  [17116] = 16149,
  [17117] = 16154,
  [17118] = 16159,
  [17119] = 16149,
  [17120] = 16168,
  [17121] = 16155,
  [17122] = 16176,
  [17123] = 16154,
  [17124] = 16183,
  [17125] = 16155,
  [17126] = 16148,
  [17127] = 16156,
  [17128] = 16170,
  [17129] = 16154,
  [17130] = 16176,
  [17131] = 16167,
  [17132] = 16167,
  [17133] = 16218,
  [17134] = 16149,
  [17135] = 16154,
  [17136] = 16170,
  [17137] = 16159,
  [17138] = 16168,
  [17139] = 16163,
  [17140] = 5667,
  [17141] = 16154,
  [17142] = 16168,
  [17143] = 16176,
  [17144] = 16176,
  [17145] = 16168,
  [17146] = 16170,
  [17147] = 16154,
  [17148] = 16167,
  [17149] = 16163,
  [17150] = 16163,
  [17151] = 16149,
  [17152] = 16163,
  [17153] = 16154,
  [17154] = 16218,
  [17155] = 16168,
  [17156] = 16168,
  [17157] = 16168,
  [17158] = 16176,
  [17159] = 16154,
  [17160] = 16176,
  [17161] = 16176,
  [17162] = 16170,
  [17163] = 16159,
  [17164] = 16167,
  [17165] = 16154,
  [17166] = 16183,
  [17167] = 16149,
  [17168] = 16149,
  [17169] = 16183,
  [17170] = 16168,
  [17171] = 16154,
  [17172] = 16170,
  [17173] = 16176,
  [17174] = 16159,
  [17175] = 16155,
  [17176] = 16170,
  [17177] = 16154,
  [17178] = 16167,
  [17179] = 16148,
  [17180] = 16167,
  [17181] = 16149,
  [17182] = 16152,
  [17183] = 16154,
  [17184] = 16151,
  [17185] = 17185,
  [17186] = 16149,
  [17187] = 16192,
  [17188] = 16167,
  [17189] = 16154,
  [17190] = 16191,
  [17191] = 16170,
  [17192] = 16168,
  [17193] = 16148,
  [17194] = 16155,
  [17195] = 16154,
  [17196] = 17196,
  [17197] = 16176,
  [17198] = 16156,
  [17199] = 16170,
  [17200] = 16167,
  [17201] = 16154,
  [17202] = 16159,
  [17203] = 16149,
  [17204] = 16176,
  [17205] = 16168,
  [17206] = 16170,
  [17207] = 16154,
  [17208] = 16168,
  [17209] = 16176,
  [17210] = 16163,
  [17211] = 16170,
  [17212] = 16149,
  [17213] = 16154,
  [17214] = 16167,
  [17215] = 16167,
  [17216] = 16149,
  [17217] = 16168,
  [17218] = 16176,
  [17219] = 16154,
  [17220] = 16183,
  [17221] = 16183,
  [17222] = 16170,
  [17223] = 16148,
  [17224] = 16149,
  [17225] = 16154,
  [17226] = 16152,
  [17227] = 16149,
  [17228] = 16218,
  [17229] = 16151,
  [17230] = 16192,
  [17231] = 16154,
  [17232] = 16149,
  [17233] = 16168,
  [17234] = 16176,
  [17235] = 16155,
  [17236] = 16170,
  [17237] = 16154,
  [17238] = 17238,
  [17239] = 16155,
  [17240] = 16148,
  [17241] = 16170,
  [17242] = 16167,
  [17243] = 16154,
  [17244] = 16191,
  [17245] = 16149,
  [17246] = 16167,
  [17247] = 16170,
  [17248] = 16148,
  [17249] = 16154,
  [17250] = 16155,
  [17251] = 16163,
  [17252] = 16152,
  [17253] = 16168,
  [17254] = 16176,
  [17255] = 16154,
  [17256] = 16696,
  [17257] = 17257,
  [17258] = 16168,
  [17259] = 16159,
  [17260] = 16176,
  [17261] = 16154,
  [17262] = 16170,
  [17263] = 16167,
  [17264] = 16176,
  [17265] = 16149,
  [17266] = 16191,
  [17267] = 16154,
  [17268] = 16168,
  [17269] = 16159,
  [17270] = 16192,
  [17271] = 16151,
  [17272] = 16156,
  [17273] = 16154,
  [17274] = 16163,
  [17275] = 16168,
  [17276] = 16152,
  [17277] = 16176,
  [17278] = 16170,
  [17279] = 16154,
  [17280] = 16218,
  [17281] = 16170,
  [17282] = 16167,
  [17283] = 16149,
  [17284] = 16149,
  [17285] = 16154,
  [17286] = 16167,
  [17287] = 16183,
  [17288] = 16152,
  [17289] = 16151,
  [17290] = 16192,
  [17291] = 16191,
  [17292] = 16168,
  [17293] = 16176,
  [17294] = 16170,
  [17295] = 16148,
  [17296] = 16155,
  [17297] = 16167,
  [17298] = 16156,
  [17299] = 16149,
  [17300] = 16183,
  [17301] = 16168,
  [17302] = 16176,
  [17303] = 16149,
  [17304] = 16170,
  [17305] = 16149,
  [17306] = 16167,
  [17307] = 16660,
  [17308] = 16149,
  [17309] = 16149,
  [17310] = 16167,
  [17311] = 16155,
  [17312] = 16168,
  [17313] = 16183,
  [17314] = 16176,
  [17315] = 16170,
  [17316] = 16167,
  [17317] = 16148,
  [17318] = 17318,
  [17319] = 16218,
  [17320] = 16149,
  [17321] = 16156,
  [17322] = 16167,
  [17323] = 16170,
  [17324] = 16155,
  [17325] = 16168,
  [17326] = 16176,
  [17327] = 16735,
  [17328] = 16159,
  [17329] = 16148,
  [17330] = 16183,
  [17331] = 16176,
  [17332] = 16170,
  [17333] = 17333,
  [17334] = 16167,
  [17335] = 16163,
  [17336] = 16168,
  [17337] = 16170,
  [17338] = 16168,
  [17339] = 16149,
  [17340] = 16159,
  [17341] = 16168,
  [17342] = 16176,
  [17343] = 16176,
  [17344] = 16154,
  [17345] = 16163,
  [17346] = 5709,
  [17347] = 16176,
  [17348] = 16168,
  [17349] = 17318,
  [17350] = 16660,
  [17351] = 16170,
  [17352] = 17196,
  [17353] = 16159,
  [17354] = 16767,
  [17355] = 16167,
  [17356] = 16183,
  [17357] = 16163,
  [17358] = 16149,
  [17359] = 16769,
  [17360] = 16191,
  [17361] = 16170,
  [17362] = 16168,
  [17363] = 16176,
  [17364] = 16192,
  [17365] = 16167,
  [17366] = 16218,
  [17367] = 16218,
  [17368] = 16842,
  [17369] = 16163,
  [17370] = 16167,
  [17371] = 17318,
  [17372] = 16151,
  [17373] = 16152,
  [17374] = 16151,
  [17375] = 16149,
  [17376] = 16192,
  [17377] = 8409,
  [17378] = 16191,
  [17379] = 16168,
  [17380] = 17318,
  [17381] = 16176,
  [17382] = 16170,
  [17383] = 16148,
  [17384] = 16167,
  [17385] = 16155,
  [17386] = 16183,
  [17387] = 16156,
  [17388] = 16149,
  [17389] = 17318,
  [17390] = 16167,
  [17391] = 16168,
  [17392] = 16176,
  [17393] = 16183,
  [17394] = 16170,
  [17395] = 16167,
  [17396] = 17318,
  [17397] = 16170,
  [17398] = 16836,
  [17399] = 16149,
  [17400] = 16149,
  [17401] = 16168,
  [17402] = 16176,
  [17403] = 17318,
  [17404] = 16149,
  [17405] = 16170,
  [17406] = 16167,
  [17407] = 16149,
  [17408] = 16155,
  [17409] = 16148,
  [17410] = 17318,
  [17411] = 16167,
  [17412] = 16168,
  [17413] = 16176,
  [17414] = 16183,
  [17415] = 16170,
  [17416] = 16170,
  [17417] = 17318,
  [17418] = 16167,
  [17419] = 16149,
  [17420] = 16149,
  [17421] = 16218,
  [17422] = 16159,
  [17423] = 16167,
  [17424] = 17318,
  [17425] = 16159,
  [17426] = 16176,
  [17427] = 16168,
  [17428] = 16176,
  [17429] = 16168,
  [17430] = 16170,
  [17431] = 17318,
  [17432] = 16167,
  [17433] = 16149,
  [17434] = 16149,
  [17435] = 16170,
  [17436] = 16658,
  [17437] = 16218,
  [17438] = 17318,
  [17439] = 16149,
  [17440] = 16654,
  [17441] = 16176,
  [17442] = 16156,
  [17443] = 16163,
  [17444] = 16168,
  [17445] = 17318,
  [17446] = 16176,
  [17447] = 16170,
  [17448] = 16167,
  [17449] = 16163,
  [17450] = 16155,
  [17451] = 16168,
  [17452] = 17318,
  [17453] = 16149,
  [17454] = 16168,
  [17455] = 16169,
  [17456] = 16183,
  [17457] = 16176,
  [17458] = 16168,
  [17459] = 17318,
  [17460] = 16176,
  [17461] = 16170,
  [17462] = 16167,
  [17463] = 16148,
  [17464] = 16151,
  [17465] = 16149,
  [17466] = 17318,
  [17467] = 16149,
  [17468] = 16163,
  [17469] = 16171,
  [17470] = 16159,
  [17471] = 17471,
  [17472] = 16156,
  [17473] = 17318,
  [17474] = 16168,
  [17475] = 16168,
  [17476] = 16176,
  [17477] = 16172,
  [17478] = 16170,
  [17479] = 16167,
  [17480] = 17318,
  [17481] = 16155,
  [17482] = 16149,
  [17483] = 16173,
  [17484] = 16148,
  [17485] = 16153,
  [17486] = 17318,
  [17487] = 16168,
  [17488] = 16176,
  [17489] = 16170,
  [17490] = 16170,
  [17491] = 16167,
  [17492] = 17318,
  [17493] = 16167,
  [17494] = 16170,
  [17495] = 16176,
  [17496] = 16167,
  [17497] = 16176,
  [17498] = 17318,
  [17499] = 16159,
  [17500] = 16152,
  [17501] = 16168,
  [17502] = 16151,
  [17503] = 16176,
  [17504] = 17318,
  [17505] = 16176,
  [17506] = 16192,
  [17507] = 16170,
  [17508] = 16167,
  [17509] = 16191,
  [17510] = 17318,
  [17511] = 16168,
  [17512] = 16159,
  [17513] = 16163,
  [17514] = 16149,
  [17515] = 16148,
  [17516] = 17318,
  [17517] = 16168,
  [17518] = 16155,
  [17519] = 16176,
  [17520] = 16183,
  [17521] = 16170,
  [17522] = 17318,
  [17523] = 16167,
  [17524] = 16156,
  [17525] = 16149,
  [17526] = 16191,
  [17527] = 16192,
  [17528] = 17318,
  [17529] = 16170,
  [17530] = 16149,
  [17531] = 16168,
  [17532] = 16167,
  [17533] = 16601,
  [17534] = 17318,
  [17535] = 16170,
  [17536] = 16149,
  [17537] = 16167,
  [17538] = 16148,
  [17539] = 16167,
  [17540] = 17318,
  [17541] = 16149,
  [17542] = 16151,
  [17543] = 16170,
  [17544] = 16159,
  [17545] = 16168,
  [17546] = 17318,
  [17547] = 16176,
  [17548] = 16176,
  [17549] = 16168,
  [17550] = 16183,
  [17551] = 16170,
  [17552] = 17318,
  [17553] = 16167,
  [17554] = 16167,
  [17555] = 16163,
  [17556] = 16149,
  [17557] = 16218,
  [17558] = 17318,
  [17559] = 16168,
  [17560] = 16176,
  [17561] = 16170,
  [17562] = 16218,
  [17563] = 17563,
  [17564] = 17318,
  [17565] = 16167,
  [17566] = 16152,
  [17567] = 16183,
  [17568] = 16149,
  [17569] = 16151,
  [17570] = 17318,
  [17571] = 16192,
  [17572] = 16168,
  [17573] = 16176,
  [17574] = 16167,
  [17575] = 16191,
  [17576] = 17318,
  [17577] = 16170,
  [17578] = 16167,
  [17579] = 16183,
  [17580] = 16170,
  [17581] = 16149,
  [17582] = 17318,
  [17583] = 16149,
  [17584] = 16168,
  [17585] = 16176,
  [17586] = 16170,
  [17587] = 16167,
  [17588] = 17318,
  [17589] = 16148,
  [17590] = 16156,
  [17591] = 16149,
  [17592] = 16159,
  [17593] = 16163,
  [17594] = 17318,
  [17595] = 16149,
  [17596] = 16155,
  [17597] = 16148,
  [17598] = 16176,
  [17599] = 16168,
  [17600] = 17318,
  [17601] = 16168,
  [17602] = 16176,
  [17603] = 16155,
  [17604] = 16176,
  [17605] = 16170,
  [17606] = 17318,
  [17607] = 16167,
  [17608] = 16155,
  [17609] = 16191,
  [17610] = 16168,
  [17611] = 16159,
  [17612] = 17318,
  [17613] = 16149,
  [17614] = 16192,
  [17615] = 16151,
  [17616] = 16152,
  [17617] = 16148,
  [17618] = 17318,
  [17619] = 16168,
  [17620] = 16170,
  [17621] = 16176,
  [17622] = 16170,
  [17623] = 16155,
  [17624] = 17318,
  [17625] = 16156,
  [17626] = 16152,
  [17627] = 16167,
  [17628] = 16149,
  [17629] = 16163,
  [17630] = 17318,
  [17631] = 16167,
  [17632] = 16152,
  [17633] = 16170,
  [17634] = 16151,
  [17635] = 16192,
  [17636] = 17318,
  [17637] = 16168,
  [17638] = 16191,
  [17639] = 16176,
  [17640] = 16170,
  [17641] = 16148,
  [17642] = 17318,
  [17643] = 16167,
  [17644] = 16155,
  [17645] = 16159,
  [17646] = 16170,
  [17647] = 16156,
  [17648] = 17318,
  [17649] = 16149,
  [17650] = 16168,
  [17651] = 16176,
  [17652] = 16176,
  [17653] = 16170,
  [17654] = 17318,
  [17655] = 16167,
  [17656] = 16168,
  [17657] = 16159,
  [17658] = 16149,
  [17659] = 16149,
  [17660] = 17318,
  [17661] = 16163,
  [17662] = 16658,
  [17663] = 16654,
  [17664] = 16168,
  [17665] = 16176,
  [17666] = 17318,
  [17667] = 16170,
  [17668] = 16167,
  [17669] = 16176,
  [17670] = 16183,
  [17671] = 16149,
  [17672] = 17318,
  [17673] = 16168,
  [17674] = 16169,
  [17675] = 16168,
  [17676] = 16218,
  [17677] = 16176,
  [17678] = 17318,
  [17679] = 16183,
  [17680] = 16170,
  [17681] = 16167,
  [17682] = 16218,
  [17683] = 16163,
  [17684] = 17318,
  [17685] = 16149,
  [17686] = 16149,
  [17687] = 16155,
  [17688] = 16148,
  [17689] = 16168,
  [17690] = 17318,
  [17691] = 16176,
  [17692] = 16163,
  [17693] = 16171,
  [17694] = 16183,
  [17695] = 16168,
  [17696] = 17318,
  [17697] = 16170,
  [17698] = 16167,
  [17699] = 16172,
  [17700] = 16176,
  [17701] = 16149,
  [17702] = 17318,
  [17703] = 16167,
  [17704] = 16170,
  [17705] = 16173,
  [17706] = 16168,
  [17707] = 16176,
  [17708] = 17318,
  [17709] = 16159,
  [17710] = 16159,
  [17711] = 16176,
  [17712] = 16170,
  [17713] = 17318,
  [17714] = 16167,
  [17715] = 16168,
  [17716] = 16149,
  [17717] = 16163,
  [17718] = 17318,
  [17719] = 16183,
  [17720] = 16149,
  [17721] = 16218,
  [17722] = 16170,
  [17723] = 17318,
  [17724] = 16168,
  [17725] = 16176,
  [17726] = 16167,
  [17727] = 16170,
  [17728] = 17318,
  [17729] = 16170,
  [17730] = 16167,
  [17731] = 16167,
  [17732] = 16170,
  [17733] = 17318,
  [17734] = 16176,
  [17735] = 16149,
  [17736] = 16168,
  [17737] = 16152,
  [17738] = 17318,
  [17739] = 16149,
  [17740] = 16163,
  [17741] = 16168,
  [17742] = 16152,
  [17743] = 17318,
  [17744] = 16176,
  [17745] = 16151,
  [17746] = 16167,
  [17747] = 16192,
  [17748] = 17318,
  [17749] = 16170,
  [17750] = 16191,
  [17751] = 16167,
  [17752] = 16167,
  [17753] = 17318,
  [17754] = 16149,
  [17755] = 16148,
  [17756] = 16176,
  [17757] = 16155,
  [17758] = 17318,
  [17759] = 16168,
  [17760] = 16168,
  [17761] = 16176,
  [17762] = 16218,
  [17763] = 17318,
  [17764] = 17318,
  [17765] = 17318,
  [17766] = 17318,
  [17767] = 17318,
  [17768] = 17318,
  [17769] = 17318,
  [17770] = 17318,
  [17771] = 17318,
  [17772] = 17318,
  [17773] = 17318,
  [17774] = 17318,
  [17775] = 17318,
  [17776] = 17318,
  [17777] = 17318,
  [17778] = 17318,
  [17779] = 17318,
  [17780] = 17318,
  [17781] = 17318,
  [17782] = 17318,
  [17783] = 17318,
  [17784] = 17318,
  [17785] = 17318,
  [17786] = 17318,
  [17787] = 17318,
  [17788] = 17318,
  [17789] = 17318,
  [17790] = 17318,
  [17791] = 17318,
  [17792] = 17318,
  [17793] = 17318,
  [17794] = 17318,
  [17795] = 17318,
  [17796] = 17318,
  [17797] = 17318,
  [17798] = 17318,
  [17799] = 17318,
  [17800] = 17318,
  [17801] = 17318,
  [17802] = 17318,
  [17803] = 17318,
  [17804] = 17318,
  [17805] = 17318,
  [17806] = 17318,
  [17807] = 17318,
  [17808] = 17318,
  [17809] = 17318,
  [17810] = 17318,
  [17811] = 17318,
  [17812] = 17318,
  [17813] = 17318,
  [17814] = 17318,
  [17815] = 16156,
  [17816] = 16168,
  [17817] = 16176,
  [17818] = 16654,
  [17819] = 16149,
  [17820] = 16149,
  [17821] = 16170,
  [17822] = 16167,
  [17823] = 16658,
  [17824] = 16183,
  [17825] = 16149,
  [17826] = 16183,
  [17827] = 16167,
  [17828] = 8409,
  [17829] = 16170,
  [17830] = 16159,
  [17831] = 16218,
  [17832] = 16168,
  [17833] = 16176,
  [17834] = 16170,
  [17835] = 16163,
  [17836] = 16168,
  [17837] = 16167,
  [17838] = 16176,
  [17839] = 16176,
  [17840] = 16159,
  [17841] = 16149,
  [17842] = 16168,
  [17843] = 16170,
  [17844] = 16170,
  [17845] = 8176,
  [17846] = 16149,
  [17847] = 16168,
  [17848] = 16167,
  [17849] = 16176,
  [17850] = 8604,
  [17851] = 16170,
  [17852] = 16167,
  [17853] = 16167,
  [17854] = 16156,
  [17855] = 16149,
  [17856] = 8283,
  [17857] = 16155,
  [17858] = 16148,
  [17859] = 8273,
  [17860] = 16149,
  [17861] = 16152,
  [17862] = 8104,
  [17863] = 16191,
  [17864] = 16151,
  [17865] = 8125,
  [17866] = 8155,
  [17867] = 8159,
  [17868] = 8174,
  [17869] = 16192,
  [17870] = 16191,
  [17871] = 16168,
  [17872] = 16176,
  [17873] = 16148,
  [17874] = 16155,
  [17875] = 16192,
  [17876] = 17876,
  [17877] = 17877,
  [17878] = 17878,
  [17879] = 17879,
};

static TSCharacterRange sym__alpha_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915},
};

static TSCharacterRange sym__alpha_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab},
  {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf},
  {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec},
  {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d},
  {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe},
  {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188},
  {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf},
  {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d},
  {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801},
  {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe},
  {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe},
  {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6},
  {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e},
  {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f},
  {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym__alpha_identifier_character_set_3[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '-'}, {'/', ':'}, {'<', 'Z'}, {'\\', '\\'}, {'^', '_'},
  {'a', 'z'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xaa}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x482},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x58d, 0x58e}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x606, 0x608},
  {0x60e, 0x60f}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6de, 0x6de}, {0x6e5, 0x6e6}, {0x6e9, 0x6e9},
  {0x6ee, 0x6ef}, {0x6fa, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f6},
  {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887},
  {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c},
  {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd},
  {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fa, 0x9fa}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30},
  {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91},
  {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d},
  {0xb5f, 0xb61}, {0xb70, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c},
  {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc7f, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4f}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd79, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f},
  {0xf34, 0xf34}, {0xf36, 0xf36}, {0xf38, 0xf38}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc},
  {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x109e, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x1399},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166d}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1940, 0x1940}, {0x1950, 0x196d}, {0x1970, 0x1974},
  {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19de, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b61, 0x1b6a},
  {0x1b74, 0x1b7c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88},
  {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15},
  {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d},
  {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec},
  {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x2071, 0x2071}, {0x207a, 0x207c}, {0x207f, 0x207f}, {0x208a, 0x208c},
  {0x2090, 0x209c}, {0x2100, 0x214f}, {0x2160, 0x2188}, {0x218a, 0x218b}, {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a},
  {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73},
  {0x2b76, 0x2b95}, {0x2b97, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2fff}, {0x3004, 0x3007},
  {0x3012, 0x3013}, {0x3020, 0x3029}, {0x3031, 0x303c}, {0x303e, 0x303f}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x3190, 0x3191}, {0x3196, 0x31e3}, {0x31ef, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x3400}, {0x4dbf, 0x4e00}, {0x9fff, 0xa48c}, {0xa490, 0xa4c6}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa828, 0xa82b}, {0xa836, 0xa837},
  {0xa839, 0xa839}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd40, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdcf, 0xfdcf}, {0xfdf0, 0xfdfb}, {0xfdfd, 0xfdff},
  {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e}, {0xff21, 0xff3a}, {0xff41, 0xff5a},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0xffe2, 0xffe2},
  {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10137, 0x10174}, {0x10179, 0x10189}, {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc},
  {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf},
  {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10878}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym__alpha_identifier_character_set_4[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'<', '@'},
  {'\\', '\\'}, {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae},
  {0xb0, 0xb1}, {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f},
  {0x6de, 0x6de}, {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa},
  {0xc7f, 0xc7f}, {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34},
  {0xf36, 0xf36}, {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399},
  {0x166d, 0x166d}, {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c},
  {0x208a, 0x208c}, {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125},
  {0x2127, 0x2127}, {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b},
  {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5},
  {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51},
  {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2fff}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037},
  {0x303e, 0x303f}, {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x31ef, 0x31ef}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250},
  {0x3260, 0x327f}, {0x328a, 0x32b0}, {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839},
  {0xaa77, 0xaa79}, {0xfb29, 0xfb29}, {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b},
  {0xff1c, 0xff1e}, {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f},
  {0x10179, 0x10189}, {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static TSCharacterRange sym__interpolation_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37a, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f},
  {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00}, {0x9fff, 0xa48c},
  {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a},
  {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0},
  {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb},
  {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3},
  {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym__interpolation_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915},
};

static TSCharacterRange sym_operator_identifier_character_set_1[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'+', '+'}, {'-', '-'}, {':', ':'}, {'<', '@'}, {'\\', '\\'},
  {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f}, {0x6de, 0x6de},
  {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc7f, 0xc7f},
  {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34}, {0xf36, 0xf36},
  {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399}, {0x166d, 0x166d},
  {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c}, {0x208a, 0x208c},
  {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125}, {0x2127, 0x2127},
  {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b}, {0x2190, 0x2307},
  {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982},
  {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99},
  {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2fff}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037}, {0x303e, 0x303f},
  {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x31ef, 0x31ef}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839}, {0xaa77, 0xaa79},
  {0xfb29, 0xfb29}, {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f}, {0x10179, 0x10189},
  {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 107,
        '"', 141,
        '#', 100,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '*', 75,
        '+', 81,
        ',', 72,
        '-', 84,
        '.', 74,
        '/', 22,
        '0', 132,
        ':', 68,
        ';', 99,
        '<', 12,
        '=', 94,
        '>', 153,
        '?', 27,
        '@', 91,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '|', 105,
        '}', 71,
        '~', 109,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(164);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 108,
        '$', 112,
        '\'', 113,
        '(', 97,
        '+', 82,
        '-', 83,
        '.', 38,
        '/', 122,
        '0', 132,
        ':', 69,
        '=', 30,
        '[', 79,
        '`', 46,
        '{', 70,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 123,
        '=', 96,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        '*', 76,
        '.', 73,
        '/', 122,
        ':', 69,
        '=', 30,
        '@', 92,
        '`', 46,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(142);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(140);
      if (lookahead == '$') ADVANCE(111);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '=') ADVANCE(32);
      if (lookahead == '{') ADVANCE(70);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (set_contains(sym__interpolation_identifier_character_set_1, 432, lookahead)) ADVANCE(117);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 123,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        '+', 82,
        '-', 85,
        '.', 73,
        '/', 122,
        '@', 92,
        '[', 79,
        '`', 46,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 120,
        '=', 30,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 121,
        '=', 30,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        '.', 73,
        '/', 122,
        ':', 69,
        '=', 95,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 12:
      if (lookahead == '%') ADVANCE(89);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == ':') ADVANCE(86);
      END_STATE();
    case 13:
      if (lookahead == '%') ADVANCE(89);
      if (lookahead == ':') ADVANCE(86);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\'', 113,
        '(', 97,
        ')', 98,
        ',', 72,
        '-', 124,
        '.', 38,
        '/', 122,
        '0', 132,
        ':', 69,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_3, 495, lookahead)) ADVANCE(115);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(139);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(15);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ':', 69,
        '<', 123,
        '=', 95,
        '?', 126,
        '@', 92,
        '`', 46,
        '{', 70,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '(', 97,
        '+', 82,
        '-', 85,
        '/', 122,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '(', 97,
        ',', 72,
        '/', 122,
        ':', 69,
        '<', 120,
        '=', 30,
        '?', 126,
        '@', 92,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '(', 97,
        ',', 72,
        '/', 122,
        ':', 69,
        '<', 121,
        '=', 30,
        '?', 126,
        '@', 92,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '(', 97,
        '.', 73,
        '/', 122,
        ':', 69,
        '=', 95,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '/') ADVANCE(146);
      END_STATE();
    case 23:
      if (lookahead == ',') ADVANCE(72);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == '<') ADVANCE(120);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '`') ADVANCE(46);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (lookahead == '=' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 24:
      if (lookahead == ',') ADVANCE(72);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == '<') ADVANCE(121);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '`') ADVANCE(46);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (lookahead == '=' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 25:
      if (lookahead == '/') ADVANCE(154);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (lookahead != 0) ADVANCE(155);
      END_STATE();
    case 26:
      if (lookahead == ':') ADVANCE(88);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 29:
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(104);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(31);
      END_STATE();
    case 33:
      if (lookahead == '`') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(44);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 36:
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '`') ADVANCE(33);
      END_STATE();
    case 47:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 107,
        '"', 141,
        '#', 100,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '*', 75,
        '+', 81,
        ',', 72,
        '-', 84,
        '.', 74,
        '/', 22,
        '0', 132,
        ':', 68,
        ';', 99,
        '<', 12,
        '=', 94,
        '>', 26,
        '?', 27,
        '@', 91,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '|', 105,
        '}', 71,
        '~', 109,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 48:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 108,
        '"', 141,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '+', 82,
        ',', 72,
        '-', 83,
        '.', 74,
        '/', 122,
        '0', 132,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 49:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 108,
        '#', 119,
        '$', 112,
        '\'', 113,
        '(', 97,
        '+', 82,
        '-', 83,
        '.', 38,
        '/', 122,
        '0', 132,
        '@', 92,
        '`', 46,
        '{', 70,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 50:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 108,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '+', 82,
        ',', 72,
        '-', 83,
        '.', 74,
        '/', 122,
        '0', 132,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 51:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '`', 46,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 52:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 53:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 100,
        '(', 97,
        ')', 98,
        '*', 75,
        ',', 72,
        '.', 73,
        '/', 22,
        ':', 68,
        ';', 99,
        '<', 13,
        '=', 93,
        '>', 26,
        '@', 91,
        '[', 79,
        ']', 80,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 54:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 100,
        '(', 97,
        ')', 98,
        '*', 75,
        ',', 72,
        '.', 73,
        '/', 22,
        ':', 68,
        ';', 99,
        '<', 13,
        '=', 28,
        '>', 26,
        '?', 27,
        '@', 91,
        '[', 79,
        ']', 80,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 55:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 56:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 57:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 58:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 59:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '<', 125,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 60:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '\'', 16,
        '(', 97,
        ')', 98,
        ',', 72,
        '-', 124,
        '.', 74,
        '/', 122,
        '0', 132,
        ':', 69,
        ';', 99,
        '=', 30,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_3, 495, lookahead)) ADVANCE(115);
      END_STATE();
    case 61:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 62:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '`', 46,
        '{', 70,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 63:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 64:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        '/', 122,
        ':', 69,
        ';', 99,
        '<', 125,
        '=', 95,
        '?', 126,
        '@', 92,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 65:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ';', 99,
        '=', 96,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (lookahead == ':' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 66:
      if (eof) ADVANCE(67);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == ';') ADVANCE(99);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '`') ADVANCE(46);
      if (lookahead == '}') ADVANCE(71);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead == ':' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(115);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(129);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '0') ADVANCE(132);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '0') ADVANCE(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(129);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_GT_COLON);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(129);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(129);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ_GT_GT);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '_') ADVANCE(114);
      if (set_contains(sym__alpha_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(15);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(114);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(116);
      if (set_contains(sym__alpha_identifier_character_set_3, 495, lookahead)) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(114);
      if (set_contains(sym__alpha_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym__interpolation_identifier);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym__backquoted_id);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '!') ADVANCE(130);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(90);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(90);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '/') ADVANCE(146);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '0') ADVANCE(132);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '=') ADVANCE(127);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '>') ADVANCE(103);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(130);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(145);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 38,
        '_', 39,
        'E', 37,
        'e', 37,
        'L', 131,
        'l', 131,
        'X', 42,
        'x', 42,
        'D', 136,
        'F', 136,
        'd', 136,
        'f', 136,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 38,
        '_', 39,
        'E', 37,
        'e', 37,
        'L', 131,
        'l', 131,
        'D', 136,
        'F', 136,
        'd', 136,
        'f', 136,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_floating_point_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(129);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__shebang_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead == '>') ADVANCE(153);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(151);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(151);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '/') ADVANCE(147);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '*') ADVANCE(161);
      if (lookahead == '/') ADVANCE(148);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(157);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(158);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '/') ADVANCE(146);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(164);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(162);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '/') ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_STAR_SLASH);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'u', 17,
        'v', 18,
        'w', 19,
        'y', 20,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 's') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'n') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(30);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(42);
      if (lookahead == 'p') ADVANCE(43);
      if (lookahead == 'v') ADVANCE(44);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'y') ADVANCE(51);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(52);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'd') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 30:
      if (lookahead == 'p') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(69);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 34:
      if (lookahead == 'v') ADVANCE(72);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(74);
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'z') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'c') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 40:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 41:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 42:
      if (lookahead == 'j') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(82);
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(89);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(90);
      if (lookahead == 'i') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(93);
      if (lookahead == 'u') ADVANCE(94);
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 51:
      if (lookahead == 'p') ADVANCE(96);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(98);
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(100);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 57:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 60:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(107);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(110);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(114);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 82:
      if (lookahead == 'q') ADVANCE(125);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 85:
      if (lookahead == 'k') ADVANCE(128);
      END_STATE();
    case 86:
      if (lookahead == 'v') ADVANCE(129);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 88:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(134);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 101:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 103:
      if (lookahead == '_') ADVANCE(144);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(146);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 108:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 115:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 116:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(155);
      END_STATE();
    case 118:
      if (lookahead == 'x') ADVANCE(156);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 122:
      if (lookahead == 'h') ADVANCE(159);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(160);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(161);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 128:
      if (lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 135:
      if (lookahead == 'w') ADVANCE(168);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(170);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(171);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(173);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 150:
      if (lookahead == 'd') ADVANCE(178);
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_given);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_infix);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 163:
      if (lookahead == 'g') ADVANCE(187);
      END_STATE();
    case 164:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(189);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 167:
      if (lookahead == 'd') ADVANCE(191);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 170:
      if (lookahead == 'p') ADVANCE(192);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 174:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(194);
      END_STATE();
    case 176:
      if (lookahead == 's') ADVANCE(195);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(197);
      END_STATE();
    case 180:
      if (lookahead == 'y') ADVANCE(198);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(199);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(200);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_derives);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 197:
      if (lookahead == 'o') ADVANCE(207);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 204:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 205:
      if (lookahead == 'g') ADVANCE(212);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 210:
      if (lookahead == 'd') ADVANCE(214);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(217);
      END_STATE();
    case 216:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 217:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 218:
      if (lookahead == '_') ADVANCE(220);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_transparent);
      END_STATE();
    case 220:
      if (lookahead == 'u') ADVANCE(221);
      END_STATE();
    case 221:
      if (lookahead == 's') ADVANCE(222);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 223:
      if (lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 224:
      if (lookahead == '_') ADVANCE(225);
      END_STATE();
    case 225:
      if (lookahead == 's') ADVANCE(226);
      END_STATE();
    case 226:
      if (lookahead == 'y') ADVANCE(227);
      END_STATE();
    case 227:
      if (lookahead == 'm') ADVANCE(228);
      END_STATE();
    case 228:
      if (lookahead == 'b') ADVANCE(229);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(230);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 231:
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(238);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 239:
      if (lookahead == '_') ADVANCE(240);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_symbol_literal);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 49, .external_lex_state = 2},
  [2] = {.lex_state = 50, .external_lex_state = 3},
  [3] = {.lex_state = 50, .external_lex_state = 3},
  [4] = {.lex_state = 50, .external_lex_state = 3},
  [5] = {.lex_state = 50, .external_lex_state = 3},
  [6] = {.lex_state = 50, .external_lex_state = 3},
  [7] = {.lex_state = 50, .external_lex_state = 3},
  [8] = {.lex_state = 50, .external_lex_state = 3},
  [9] = {.lex_state = 50, .external_lex_state = 3},
  [10] = {.lex_state = 50, .external_lex_state = 3},
  [11] = {.lex_state = 50, .external_lex_state = 3},
  [12] = {.lex_state = 50, .external_lex_state = 3},
  [13] = {.lex_state = 50, .external_lex_state = 3},
  [14] = {.lex_state = 50, .external_lex_state = 3},
  [15] = {.lex_state = 50, .external_lex_state = 3},
  [16] = {.lex_state = 50, .external_lex_state = 3},
  [17] = {.lex_state = 50, .external_lex_state = 3},
  [18] = {.lex_state = 50, .external_lex_state = 3},
  [19] = {.lex_state = 50, .external_lex_state = 3},
  [20] = {.lex_state = 50, .external_lex_state = 3},
  [21] = {.lex_state = 50, .external_lex_state = 3},
  [22] = {.lex_state = 50, .external_lex_state = 3},
  [23] = {.lex_state = 50, .external_lex_state = 3},
  [24] = {.lex_state = 50, .external_lex_state = 3},
  [25] = {.lex_state = 50, .external_lex_state = 3},
  [26] = {.lex_state = 50, .external_lex_state = 3},
  [27] = {.lex_state = 50, .external_lex_state = 3},
  [28] = {.lex_state = 50, .external_lex_state = 3},
  [29] = {.lex_state = 50, .external_lex_state = 3},
  [30] = {.lex_state = 50, .external_lex_state = 3},
  [31] = {.lex_state = 50, .external_lex_state = 3},
  [32] = {.lex_state = 50, .external_lex_state = 3},
  [33] = {.lex_state = 50, .external_lex_state = 3},
  [34] = {.lex_state = 50, .external_lex_state = 3},
  [35] = {.lex_state = 50, .external_lex_state = 3},
  [36] = {.lex_state = 50, .external_lex_state = 3},
  [37] = {.lex_state = 50, .external_lex_state = 3},
  [38] = {.lex_state = 50, .external_lex_state = 3},
  [39] = {.lex_state = 50, .external_lex_state = 3},
  [40] = {.lex_state = 50, .external_lex_state = 3},
  [41] = {.lex_state = 50, .external_lex_state = 3},
  [42] = {.lex_state = 50, .external_lex_state = 3},
  [43] = {.lex_state = 50, .external_lex_state = 3},
  [44] = {.lex_state = 50, .external_lex_state = 3},
  [45] = {.lex_state = 50, .external_lex_state = 3},
  [46] = {.lex_state = 50, .external_lex_state = 3},
  [47] = {.lex_state = 50, .external_lex_state = 3},
  [48] = {.lex_state = 50, .external_lex_state = 3},
  [49] = {.lex_state = 50, .external_lex_state = 3},
  [50] = {.lex_state = 50, .external_lex_state = 3},
  [51] = {.lex_state = 50, .external_lex_state = 3},
  [52] = {.lex_state = 50, .external_lex_state = 3},
  [53] = {.lex_state = 50, .external_lex_state = 3},
  [54] = {.lex_state = 50, .external_lex_state = 3},
  [55] = {.lex_state = 50, .external_lex_state = 3},
  [56] = {.lex_state = 50, .external_lex_state = 3},
  [57] = {.lex_state = 50, .external_lex_state = 3},
  [58] = {.lex_state = 50, .external_lex_state = 3},
  [59] = {.lex_state = 50, .external_lex_state = 3},
  [60] = {.lex_state = 50, .external_lex_state = 3},
  [61] = {.lex_state = 50, .external_lex_state = 3},
  [62] = {.lex_state = 50, .external_lex_state = 3},
  [63] = {.lex_state = 50, .external_lex_state = 3},
  [64] = {.lex_state = 50, .external_lex_state = 3},
  [65] = {.lex_state = 50, .external_lex_state = 3},
  [66] = {.lex_state = 50, .external_lex_state = 3},
  [67] = {.lex_state = 50, .external_lex_state = 3},
  [68] = {.lex_state = 50, .external_lex_state = 3},
  [69] = {.lex_state = 50, .external_lex_state = 3},
  [70] = {.lex_state = 50, .external_lex_state = 3},
  [71] = {.lex_state = 50, .external_lex_state = 3},
  [72] = {.lex_state = 50, .external_lex_state = 3},
  [73] = {.lex_state = 50, .external_lex_state = 3},
  [74] = {.lex_state = 50, .external_lex_state = 3},
  [75] = {.lex_state = 50, .external_lex_state = 3},
  [76] = {.lex_state = 50, .external_lex_state = 3},
  [77] = {.lex_state = 50, .external_lex_state = 3},
  [78] = {.lex_state = 50, .external_lex_state = 3},
  [79] = {.lex_state = 50, .external_lex_state = 3},
  [80] = {.lex_state = 50, .external_lex_state = 3},
  [81] = {.lex_state = 50, .external_lex_state = 3},
  [82] = {.lex_state = 50, .external_lex_state = 3},
  [83] = {.lex_state = 50, .external_lex_state = 3},
  [84] = {.lex_state = 50, .external_lex_state = 3},
  [85] = {.lex_state = 50, .external_lex_state = 3},
  [86] = {.lex_state = 50, .external_lex_state = 3},
  [87] = {.lex_state = 50, .external_lex_state = 3},
  [88] = {.lex_state = 50, .external_lex_state = 3},
  [89] = {.lex_state = 50, .external_lex_state = 3},
  [90] = {.lex_state = 50, .external_lex_state = 3},
  [91] = {.lex_state = 50, .external_lex_state = 3},
  [92] = {.lex_state = 50, .external_lex_state = 3},
  [93] = {.lex_state = 50, .external_lex_state = 3},
  [94] = {.lex_state = 50, .external_lex_state = 3},
  [95] = {.lex_state = 50, .external_lex_state = 3},
  [96] = {.lex_state = 50, .external_lex_state = 3},
  [97] = {.lex_state = 50, .external_lex_state = 3},
  [98] = {.lex_state = 50, .external_lex_state = 3},
  [99] = {.lex_state = 50, .external_lex_state = 3},
  [100] = {.lex_state = 50, .external_lex_state = 3},
  [101] = {.lex_state = 50, .external_lex_state = 3},
  [102] = {.lex_state = 50, .external_lex_state = 3},
  [103] = {.lex_state = 50, .external_lex_state = 3},
  [104] = {.lex_state = 50, .external_lex_state = 3},
  [105] = {.lex_state = 50, .external_lex_state = 3},
  [106] = {.lex_state = 50, .external_lex_state = 3},
  [107] = {.lex_state = 50, .external_lex_state = 3},
  [108] = {.lex_state = 50, .external_lex_state = 3},
  [109] = {.lex_state = 50, .external_lex_state = 3},
  [110] = {.lex_state = 50, .external_lex_state = 3},
  [111] = {.lex_state = 50, .external_lex_state = 3},
  [112] = {.lex_state = 50, .external_lex_state = 3},
  [113] = {.lex_state = 50, .external_lex_state = 3},
  [114] = {.lex_state = 50, .external_lex_state = 3},
  [115] = {.lex_state = 50, .external_lex_state = 3},
  [116] = {.lex_state = 50, .external_lex_state = 3},
  [117] = {.lex_state = 50, .external_lex_state = 3},
  [118] = {.lex_state = 50, .external_lex_state = 3},
  [119] = {.lex_state = 50, .external_lex_state = 3},
  [120] = {.lex_state = 50, .external_lex_state = 2},
  [121] = {.lex_state = 50, .external_lex_state = 2},
  [122] = {.lex_state = 50, .external_lex_state = 2},
  [123] = {.lex_state = 50, .external_lex_state = 2},
  [124] = {.lex_state = 50, .external_lex_state = 2},
  [125] = {.lex_state = 50, .external_lex_state = 2},
  [126] = {.lex_state = 50, .external_lex_state = 2},
  [127] = {.lex_state = 50, .external_lex_state = 2},
  [128] = {.lex_state = 50, .external_lex_state = 2},
  [129] = {.lex_state = 50, .external_lex_state = 2},
  [130] = {.lex_state = 50, .external_lex_state = 2},
  [131] = {.lex_state = 50, .external_lex_state = 2},
  [132] = {.lex_state = 50, .external_lex_state = 2},
  [133] = {.lex_state = 50, .external_lex_state = 2},
  [134] = {.lex_state = 50, .external_lex_state = 2},
  [135] = {.lex_state = 50, .external_lex_state = 2},
  [136] = {.lex_state = 50, .external_lex_state = 2},
  [137] = {.lex_state = 50, .external_lex_state = 2},
  [138] = {.lex_state = 50, .external_lex_state = 2},
  [139] = {.lex_state = 50, .external_lex_state = 2},
  [140] = {.lex_state = 50, .external_lex_state = 2},
  [141] = {.lex_state = 50, .external_lex_state = 2},
  [142] = {.lex_state = 50, .external_lex_state = 2},
  [143] = {.lex_state = 50, .external_lex_state = 2},
  [144] = {.lex_state = 50, .external_lex_state = 2},
  [145] = {.lex_state = 50, .external_lex_state = 2},
  [146] = {.lex_state = 50, .external_lex_state = 2},
  [147] = {.lex_state = 50, .external_lex_state = 2},
  [148] = {.lex_state = 50, .external_lex_state = 2},
  [149] = {.lex_state = 50, .external_lex_state = 2},
  [150] = {.lex_state = 50, .external_lex_state = 2},
  [151] = {.lex_state = 50, .external_lex_state = 2},
  [152] = {.lex_state = 50, .external_lex_state = 2},
  [153] = {.lex_state = 50, .external_lex_state = 2},
  [154] = {.lex_state = 50, .external_lex_state = 2},
  [155] = {.lex_state = 50, .external_lex_state = 2},
  [156] = {.lex_state = 50, .external_lex_state = 2},
  [157] = {.lex_state = 50, .external_lex_state = 2},
  [158] = {.lex_state = 50, .external_lex_state = 2},
  [159] = {.lex_state = 50, .external_lex_state = 2},
  [160] = {.lex_state = 50, .external_lex_state = 2},
  [161] = {.lex_state = 50, .external_lex_state = 2},
  [162] = {.lex_state = 50, .external_lex_state = 2},
  [163] = {.lex_state = 50, .external_lex_state = 2},
  [164] = {.lex_state = 50, .external_lex_state = 2},
  [165] = {.lex_state = 50, .external_lex_state = 2},
  [166] = {.lex_state = 50, .external_lex_state = 2},
  [167] = {.lex_state = 50, .external_lex_state = 2},
  [168] = {.lex_state = 50, .external_lex_state = 2},
  [169] = {.lex_state = 50, .external_lex_state = 2},
  [170] = {.lex_state = 50, .external_lex_state = 2},
  [171] = {.lex_state = 50, .external_lex_state = 4},
  [172] = {.lex_state = 50, .external_lex_state = 2},
  [173] = {.lex_state = 50, .external_lex_state = 2},
  [174] = {.lex_state = 50, .external_lex_state = 2},
  [175] = {.lex_state = 50, .external_lex_state = 2},
  [176] = {.lex_state = 50, .external_lex_state = 2},
  [177] = {.lex_state = 50, .external_lex_state = 2},
  [178] = {.lex_state = 50, .external_lex_state = 2},
  [179] = {.lex_state = 50, .external_lex_state = 2},
  [180] = {.lex_state = 50, .external_lex_state = 2},
  [181] = {.lex_state = 50, .external_lex_state = 2},
  [182] = {.lex_state = 50, .external_lex_state = 2},
  [183] = {.lex_state = 50, .external_lex_state = 2},
  [184] = {.lex_state = 50, .external_lex_state = 2},
  [185] = {.lex_state = 50, .external_lex_state = 2},
  [186] = {.lex_state = 50, .external_lex_state = 2},
  [187] = {.lex_state = 50, .external_lex_state = 2},
  [188] = {.lex_state = 50, .external_lex_state = 2},
  [189] = {.lex_state = 50, .external_lex_state = 2},
  [190] = {.lex_state = 50, .external_lex_state = 2},
  [191] = {.lex_state = 50, .external_lex_state = 2},
  [192] = {.lex_state = 50, .external_lex_state = 2},
  [193] = {.lex_state = 50, .external_lex_state = 2},
  [194] = {.lex_state = 50, .external_lex_state = 4},
  [195] = {.lex_state = 50, .external_lex_state = 2},
  [196] = {.lex_state = 50, .external_lex_state = 2},
  [197] = {.lex_state = 50, .external_lex_state = 2},
  [198] = {.lex_state = 50, .external_lex_state = 2},
  [199] = {.lex_state = 50, .external_lex_state = 2},
  [200] = {.lex_state = 50, .external_lex_state = 2},
  [201] = {.lex_state = 50, .external_lex_state = 2},
  [202] = {.lex_state = 50, .external_lex_state = 2},
  [203] = {.lex_state = 50, .external_lex_state = 2},
  [204] = {.lex_state = 50, .external_lex_state = 2},
  [205] = {.lex_state = 50, .external_lex_state = 2},
  [206] = {.lex_state = 50, .external_lex_state = 2},
  [207] = {.lex_state = 50, .external_lex_state = 2},
  [208] = {.lex_state = 50, .external_lex_state = 4},
  [209] = {.lex_state = 50, .external_lex_state = 2},
  [210] = {.lex_state = 50, .external_lex_state = 2},
  [211] = {.lex_state = 50, .external_lex_state = 2},
  [212] = {.lex_state = 50, .external_lex_state = 2},
  [213] = {.lex_state = 50, .external_lex_state = 2},
  [214] = {.lex_state = 50, .external_lex_state = 2},
  [215] = {.lex_state = 50, .external_lex_state = 2},
  [216] = {.lex_state = 50, .external_lex_state = 2},
  [217] = {.lex_state = 50, .external_lex_state = 2},
  [218] = {.lex_state = 50, .external_lex_state = 2},
  [219] = {.lex_state = 50, .external_lex_state = 2},
  [220] = {.lex_state = 50, .external_lex_state = 2},
  [221] = {.lex_state = 50, .external_lex_state = 2},
  [222] = {.lex_state = 50, .external_lex_state = 2},
  [223] = {.lex_state = 50, .external_lex_state = 2},
  [224] = {.lex_state = 50, .external_lex_state = 2},
  [225] = {.lex_state = 50, .external_lex_state = 2},
  [226] = {.lex_state = 50, .external_lex_state = 2},
  [227] = {.lex_state = 50, .external_lex_state = 2},
  [228] = {.lex_state = 50, .external_lex_state = 2},
  [229] = {.lex_state = 50, .external_lex_state = 2},
  [230] = {.lex_state = 50, .external_lex_state = 2},
  [231] = {.lex_state = 50, .external_lex_state = 2},
  [232] = {.lex_state = 50, .external_lex_state = 2},
  [233] = {.lex_state = 50, .external_lex_state = 2},
  [234] = {.lex_state = 50, .external_lex_state = 2},
  [235] = {.lex_state = 50, .external_lex_state = 2},
  [236] = {.lex_state = 50, .external_lex_state = 2},
  [237] = {.lex_state = 50, .external_lex_state = 2},
  [238] = {.lex_state = 50, .external_lex_state = 2},
  [239] = {.lex_state = 50, .external_lex_state = 2},
  [240] = {.lex_state = 50, .external_lex_state = 2},
  [241] = {.lex_state = 50, .external_lex_state = 2},
  [242] = {.lex_state = 50, .external_lex_state = 2},
  [243] = {.lex_state = 50, .external_lex_state = 2},
  [244] = {.lex_state = 50, .external_lex_state = 2},
  [245] = {.lex_state = 50, .external_lex_state = 2},
  [246] = {.lex_state = 50, .external_lex_state = 2},
  [247] = {.lex_state = 50, .external_lex_state = 2},
  [248] = {.lex_state = 50, .external_lex_state = 2},
  [249] = {.lex_state = 50, .external_lex_state = 2},
  [250] = {.lex_state = 50, .external_lex_state = 2},
  [251] = {.lex_state = 50, .external_lex_state = 2},
  [252] = {.lex_state = 50, .external_lex_state = 2},
  [253] = {.lex_state = 50, .external_lex_state = 2},
  [254] = {.lex_state = 50, .external_lex_state = 2},
  [255] = {.lex_state = 50, .external_lex_state = 2},
  [256] = {.lex_state = 50, .external_lex_state = 2},
  [257] = {.lex_state = 50, .external_lex_state = 2},
  [258] = {.lex_state = 50, .external_lex_state = 2},
  [259] = {.lex_state = 50, .external_lex_state = 2},
  [260] = {.lex_state = 50, .external_lex_state = 2},
  [261] = {.lex_state = 50, .external_lex_state = 2},
  [262] = {.lex_state = 50, .external_lex_state = 2},
  [263] = {.lex_state = 50, .external_lex_state = 2},
  [264] = {.lex_state = 50, .external_lex_state = 2},
  [265] = {.lex_state = 50, .external_lex_state = 2},
  [266] = {.lex_state = 50, .external_lex_state = 2},
  [267] = {.lex_state = 50, .external_lex_state = 2},
  [268] = {.lex_state = 50, .external_lex_state = 2},
  [269] = {.lex_state = 50, .external_lex_state = 2},
  [270] = {.lex_state = 50, .external_lex_state = 2},
  [271] = {.lex_state = 50, .external_lex_state = 2},
  [272] = {.lex_state = 50, .external_lex_state = 2},
  [273] = {.lex_state = 50, .external_lex_state = 2},
  [274] = {.lex_state = 50, .external_lex_state = 2},
  [275] = {.lex_state = 50, .external_lex_state = 2},
  [276] = {.lex_state = 50, .external_lex_state = 2},
  [277] = {.lex_state = 50, .external_lex_state = 2},
  [278] = {.lex_state = 50, .external_lex_state = 2},
  [279] = {.lex_state = 50, .external_lex_state = 2},
  [280] = {.lex_state = 50, .external_lex_state = 2},
  [281] = {.lex_state = 50, .external_lex_state = 2},
  [282] = {.lex_state = 50, .external_lex_state = 2},
  [283] = {.lex_state = 50, .external_lex_state = 2},
  [284] = {.lex_state = 50, .external_lex_state = 2},
  [285] = {.lex_state = 50, .external_lex_state = 2},
  [286] = {.lex_state = 50, .external_lex_state = 2},
  [287] = {.lex_state = 50, .external_lex_state = 2},
  [288] = {.lex_state = 50, .external_lex_state = 2},
  [289] = {.lex_state = 50, .external_lex_state = 2},
  [290] = {.lex_state = 50, .external_lex_state = 2},
  [291] = {.lex_state = 50, .external_lex_state = 2},
  [292] = {.lex_state = 50, .external_lex_state = 2},
  [293] = {.lex_state = 50, .external_lex_state = 2},
  [294] = {.lex_state = 50, .external_lex_state = 2},
  [295] = {.lex_state = 50, .external_lex_state = 2},
  [296] = {.lex_state = 50, .external_lex_state = 2},
  [297] = {.lex_state = 50, .external_lex_state = 2},
  [298] = {.lex_state = 50, .external_lex_state = 3},
  [299] = {.lex_state = 50, .external_lex_state = 2},
  [300] = {.lex_state = 50, .external_lex_state = 2},
  [301] = {.lex_state = 50, .external_lex_state = 2},
  [302] = {.lex_state = 50, .external_lex_state = 2},
  [303] = {.lex_state = 50, .external_lex_state = 2},
  [304] = {.lex_state = 50, .external_lex_state = 2},
  [305] = {.lex_state = 50, .external_lex_state = 2},
  [306] = {.lex_state = 50, .external_lex_state = 2},
  [307] = {.lex_state = 50, .external_lex_state = 2},
  [308] = {.lex_state = 50, .external_lex_state = 2},
  [309] = {.lex_state = 50, .external_lex_state = 2},
  [310] = {.lex_state = 50, .external_lex_state = 2},
  [311] = {.lex_state = 50, .external_lex_state = 2},
  [312] = {.lex_state = 50, .external_lex_state = 2},
  [313] = {.lex_state = 50, .external_lex_state = 2},
  [314] = {.lex_state = 50, .external_lex_state = 2},
  [315] = {.lex_state = 50, .external_lex_state = 2},
  [316] = {.lex_state = 50, .external_lex_state = 2},
  [317] = {.lex_state = 50, .external_lex_state = 2},
  [318] = {.lex_state = 50, .external_lex_state = 2},
  [319] = {.lex_state = 50, .external_lex_state = 2},
  [320] = {.lex_state = 50, .external_lex_state = 2},
  [321] = {.lex_state = 50, .external_lex_state = 2},
  [322] = {.lex_state = 50, .external_lex_state = 2},
  [323] = {.lex_state = 50, .external_lex_state = 2},
  [324] = {.lex_state = 50, .external_lex_state = 2},
  [325] = {.lex_state = 50, .external_lex_state = 2},
  [326] = {.lex_state = 50, .external_lex_state = 2},
  [327] = {.lex_state = 50, .external_lex_state = 2},
  [328] = {.lex_state = 50, .external_lex_state = 2},
  [329] = {.lex_state = 50, .external_lex_state = 2},
  [330] = {.lex_state = 50, .external_lex_state = 2},
  [331] = {.lex_state = 50, .external_lex_state = 2},
  [332] = {.lex_state = 50, .external_lex_state = 2},
  [333] = {.lex_state = 50, .external_lex_state = 2},
  [334] = {.lex_state = 50, .external_lex_state = 2},
  [335] = {.lex_state = 50, .external_lex_state = 2},
  [336] = {.lex_state = 50, .external_lex_state = 2},
  [337] = {.lex_state = 50, .external_lex_state = 2},
  [338] = {.lex_state = 50, .external_lex_state = 2},
  [339] = {.lex_state = 50, .external_lex_state = 2},
  [340] = {.lex_state = 50, .external_lex_state = 2},
  [341] = {.lex_state = 50, .external_lex_state = 2},
  [342] = {.lex_state = 50, .external_lex_state = 2},
  [343] = {.lex_state = 50, .external_lex_state = 2},
  [344] = {.lex_state = 50, .external_lex_state = 2},
  [345] = {.lex_state = 50, .external_lex_state = 2},
  [346] = {.lex_state = 50, .external_lex_state = 4},
  [347] = {.lex_state = 50, .external_lex_state = 2},
  [348] = {.lex_state = 50, .external_lex_state = 2},
  [349] = {.lex_state = 50, .external_lex_state = 2},
  [350] = {.lex_state = 50, .external_lex_state = 2},
  [351] = {.lex_state = 50, .external_lex_state = 2},
  [352] = {.lex_state = 50, .external_lex_state = 2},
  [353] = {.lex_state = 50, .external_lex_state = 2},
  [354] = {.lex_state = 50, .external_lex_state = 2},
  [355] = {.lex_state = 50, .external_lex_state = 2},
  [356] = {.lex_state = 50, .external_lex_state = 2},
  [357] = {.lex_state = 50, .external_lex_state = 2},
  [358] = {.lex_state = 50, .external_lex_state = 4},
  [359] = {.lex_state = 50, .external_lex_state = 2},
  [360] = {.lex_state = 50, .external_lex_state = 2},
  [361] = {.lex_state = 50, .external_lex_state = 2},
  [362] = {.lex_state = 50, .external_lex_state = 2},
  [363] = {.lex_state = 50, .external_lex_state = 2},
  [364] = {.lex_state = 50, .external_lex_state = 2},
  [365] = {.lex_state = 50, .external_lex_state = 2},
  [366] = {.lex_state = 50, .external_lex_state = 2},
  [367] = {.lex_state = 50, .external_lex_state = 2},
  [368] = {.lex_state = 50, .external_lex_state = 2},
  [369] = {.lex_state = 50, .external_lex_state = 2},
  [370] = {.lex_state = 50, .external_lex_state = 2},
  [371] = {.lex_state = 50, .external_lex_state = 2},
  [372] = {.lex_state = 50, .external_lex_state = 2},
  [373] = {.lex_state = 50, .external_lex_state = 2},
  [374] = {.lex_state = 50, .external_lex_state = 2},
  [375] = {.lex_state = 50, .external_lex_state = 2},
  [376] = {.lex_state = 50, .external_lex_state = 2},
  [377] = {.lex_state = 50, .external_lex_state = 2},
  [378] = {.lex_state = 50, .external_lex_state = 2},
  [379] = {.lex_state = 50, .external_lex_state = 2},
  [380] = {.lex_state = 50, .external_lex_state = 2},
  [381] = {.lex_state = 50, .external_lex_state = 2},
  [382] = {.lex_state = 50, .external_lex_state = 2},
  [383] = {.lex_state = 50, .external_lex_state = 2},
  [384] = {.lex_state = 50, .external_lex_state = 2},
  [385] = {.lex_state = 50, .external_lex_state = 2},
  [386] = {.lex_state = 50, .external_lex_state = 2},
  [387] = {.lex_state = 50, .external_lex_state = 2},
  [388] = {.lex_state = 50, .external_lex_state = 2},
  [389] = {.lex_state = 50, .external_lex_state = 2},
  [390] = {.lex_state = 50, .external_lex_state = 2},
  [391] = {.lex_state = 50, .external_lex_state = 2},
  [392] = {.lex_state = 50, .external_lex_state = 2},
  [393] = {.lex_state = 50, .external_lex_state = 2},
  [394] = {.lex_state = 50, .external_lex_state = 2},
  [395] = {.lex_state = 50, .external_lex_state = 2},
  [396] = {.lex_state = 50, .external_lex_state = 2},
  [397] = {.lex_state = 50, .external_lex_state = 2},
  [398] = {.lex_state = 50, .external_lex_state = 2},
  [399] = {.lex_state = 50, .external_lex_state = 2},
  [400] = {.lex_state = 50, .external_lex_state = 2},
  [401] = {.lex_state = 50, .external_lex_state = 2},
  [402] = {.lex_state = 50, .external_lex_state = 2},
  [403] = {.lex_state = 50, .external_lex_state = 2},
  [404] = {.lex_state = 50, .external_lex_state = 2},
  [405] = {.lex_state = 50, .external_lex_state = 2},
  [406] = {.lex_state = 50, .external_lex_state = 2},
  [407] = {.lex_state = 50, .external_lex_state = 2},
  [408] = {.lex_state = 50, .external_lex_state = 2},
  [409] = {.lex_state = 50, .external_lex_state = 2},
  [410] = {.lex_state = 50, .external_lex_state = 2},
  [411] = {.lex_state = 50, .external_lex_state = 2},
  [412] = {.lex_state = 50, .external_lex_state = 2},
  [413] = {.lex_state = 50, .external_lex_state = 2},
  [414] = {.lex_state = 50, .external_lex_state = 2},
  [415] = {.lex_state = 50, .external_lex_state = 2},
  [416] = {.lex_state = 50, .external_lex_state = 2},
  [417] = {.lex_state = 50, .external_lex_state = 2},
  [418] = {.lex_state = 50, .external_lex_state = 2},
  [419] = {.lex_state = 50, .external_lex_state = 2},
  [420] = {.lex_state = 50, .external_lex_state = 2},
  [421] = {.lex_state = 50, .external_lex_state = 2},
  [422] = {.lex_state = 50, .external_lex_state = 2},
  [423] = {.lex_state = 50, .external_lex_state = 2},
  [424] = {.lex_state = 50, .external_lex_state = 2},
  [425] = {.lex_state = 50, .external_lex_state = 2},
  [426] = {.lex_state = 50, .external_lex_state = 2},
  [427] = {.lex_state = 50, .external_lex_state = 2},
  [428] = {.lex_state = 50, .external_lex_state = 2},
  [429] = {.lex_state = 50, .external_lex_state = 2},
  [430] = {.lex_state = 50, .external_lex_state = 2},
  [431] = {.lex_state = 50, .external_lex_state = 2},
  [432] = {.lex_state = 50, .external_lex_state = 2},
  [433] = {.lex_state = 50, .external_lex_state = 2},
  [434] = {.lex_state = 50, .external_lex_state = 2},
  [435] = {.lex_state = 50, .external_lex_state = 2},
  [436] = {.lex_state = 50, .external_lex_state = 2},
  [437] = {.lex_state = 50, .external_lex_state = 2},
  [438] = {.lex_state = 50, .external_lex_state = 2},
  [439] = {.lex_state = 50, .external_lex_state = 2},
  [440] = {.lex_state = 50, .external_lex_state = 2},
  [441] = {.lex_state = 50, .external_lex_state = 2},
  [442] = {.lex_state = 50, .external_lex_state = 2},
  [443] = {.lex_state = 50, .external_lex_state = 2},
  [444] = {.lex_state = 50, .external_lex_state = 2},
  [445] = {.lex_state = 50, .external_lex_state = 2},
  [446] = {.lex_state = 50, .external_lex_state = 2},
  [447] = {.lex_state = 50, .external_lex_state = 2},
  [448] = {.lex_state = 50, .external_lex_state = 2},
  [449] = {.lex_state = 50, .external_lex_state = 2},
  [450] = {.lex_state = 50, .external_lex_state = 2},
  [451] = {.lex_state = 50, .external_lex_state = 2},
  [452] = {.lex_state = 50, .external_lex_state = 2},
  [453] = {.lex_state = 50, .external_lex_state = 2},
  [454] = {.lex_state = 50, .external_lex_state = 2},
  [455] = {.lex_state = 50, .external_lex_state = 2},
  [456] = {.lex_state = 50, .external_lex_state = 2},
  [457] = {.lex_state = 50, .external_lex_state = 2},
  [458] = {.lex_state = 50, .external_lex_state = 2},
  [459] = {.lex_state = 50, .external_lex_state = 2},
  [460] = {.lex_state = 50, .external_lex_state = 2},
  [461] = {.lex_state = 50, .external_lex_state = 2},
  [462] = {.lex_state = 50, .external_lex_state = 2},
  [463] = {.lex_state = 50, .external_lex_state = 2},
  [464] = {.lex_state = 50, .external_lex_state = 4},
  [465] = {.lex_state = 50, .external_lex_state = 2},
  [466] = {.lex_state = 50, .external_lex_state = 2},
  [467] = {.lex_state = 50, .external_lex_state = 2},
  [468] = {.lex_state = 50, .external_lex_state = 4},
  [469] = {.lex_state = 50, .external_lex_state = 2},
  [470] = {.lex_state = 50, .external_lex_state = 2},
  [471] = {.lex_state = 50, .external_lex_state = 2},
  [472] = {.lex_state = 50, .external_lex_state = 2},
  [473] = {.lex_state = 50, .external_lex_state = 2},
  [474] = {.lex_state = 50, .external_lex_state = 2},
  [475] = {.lex_state = 50, .external_lex_state = 2},
  [476] = {.lex_state = 50, .external_lex_state = 2},
  [477] = {.lex_state = 50, .external_lex_state = 2},
  [478] = {.lex_state = 50, .external_lex_state = 2},
  [479] = {.lex_state = 50, .external_lex_state = 2},
  [480] = {.lex_state = 50, .external_lex_state = 2},
  [481] = {.lex_state = 50, .external_lex_state = 2},
  [482] = {.lex_state = 50, .external_lex_state = 2},
  [483] = {.lex_state = 50, .external_lex_state = 2},
  [484] = {.lex_state = 50, .external_lex_state = 2},
  [485] = {.lex_state = 50, .external_lex_state = 2},
  [486] = {.lex_state = 50, .external_lex_state = 2},
  [487] = {.lex_state = 50, .external_lex_state = 2},
  [488] = {.lex_state = 50, .external_lex_state = 2},
  [489] = {.lex_state = 50, .external_lex_state = 2},
  [490] = {.lex_state = 50, .external_lex_state = 2},
  [491] = {.lex_state = 50, .external_lex_state = 2},
  [492] = {.lex_state = 50, .external_lex_state = 2},
  [493] = {.lex_state = 50, .external_lex_state = 2},
  [494] = {.lex_state = 50, .external_lex_state = 2},
  [495] = {.lex_state = 50, .external_lex_state = 2},
  [496] = {.lex_state = 50, .external_lex_state = 2},
  [497] = {.lex_state = 50, .external_lex_state = 2},
  [498] = {.lex_state = 50, .external_lex_state = 2},
  [499] = {.lex_state = 50, .external_lex_state = 2},
  [500] = {.lex_state = 50, .external_lex_state = 2},
  [501] = {.lex_state = 50, .external_lex_state = 2},
  [502] = {.lex_state = 50, .external_lex_state = 2},
  [503] = {.lex_state = 50, .external_lex_state = 2},
  [504] = {.lex_state = 50, .external_lex_state = 2},
  [505] = {.lex_state = 50, .external_lex_state = 2},
  [506] = {.lex_state = 50, .external_lex_state = 2},
  [507] = {.lex_state = 50, .external_lex_state = 2},
  [508] = {.lex_state = 50, .external_lex_state = 2},
  [509] = {.lex_state = 50, .external_lex_state = 2},
  [510] = {.lex_state = 50, .external_lex_state = 4},
  [511] = {.lex_state = 50, .external_lex_state = 2},
  [512] = {.lex_state = 50, .external_lex_state = 2},
  [513] = {.lex_state = 50, .external_lex_state = 2},
  [514] = {.lex_state = 50, .external_lex_state = 2},
  [515] = {.lex_state = 50, .external_lex_state = 2},
  [516] = {.lex_state = 50, .external_lex_state = 2},
  [517] = {.lex_state = 50, .external_lex_state = 4},
  [518] = {.lex_state = 50, .external_lex_state = 2},
  [519] = {.lex_state = 50, .external_lex_state = 2},
  [520] = {.lex_state = 50, .external_lex_state = 2},
  [521] = {.lex_state = 50, .external_lex_state = 5},
  [522] = {.lex_state = 50, .external_lex_state = 3},
  [523] = {.lex_state = 50, .external_lex_state = 3},
  [524] = {.lex_state = 50, .external_lex_state = 2},
  [525] = {.lex_state = 50, .external_lex_state = 2},
  [526] = {.lex_state = 50, .external_lex_state = 2},
  [527] = {.lex_state = 50, .external_lex_state = 2},
  [528] = {.lex_state = 50, .external_lex_state = 2},
  [529] = {.lex_state = 50, .external_lex_state = 6},
  [530] = {.lex_state = 50, .external_lex_state = 7},
  [531] = {.lex_state = 50, .external_lex_state = 8},
  [532] = {.lex_state = 50, .external_lex_state = 9},
  [533] = {.lex_state = 50, .external_lex_state = 10},
  [534] = {.lex_state = 50, .external_lex_state = 11},
  [535] = {.lex_state = 50, .external_lex_state = 12},
  [536] = {.lex_state = 50, .external_lex_state = 9},
  [537] = {.lex_state = 50, .external_lex_state = 6},
  [538] = {.lex_state = 50, .external_lex_state = 13},
  [539] = {.lex_state = 50, .external_lex_state = 6},
  [540] = {.lex_state = 50, .external_lex_state = 6},
  [541] = {.lex_state = 50, .external_lex_state = 14},
  [542] = {.lex_state = 50, .external_lex_state = 12},
  [543] = {.lex_state = 50, .external_lex_state = 15},
  [544] = {.lex_state = 50, .external_lex_state = 6},
  [545] = {.lex_state = 50, .external_lex_state = 14},
  [546] = {.lex_state = 50, .external_lex_state = 8},
  [547] = {.lex_state = 50, .external_lex_state = 6},
  [548] = {.lex_state = 50, .external_lex_state = 16},
  [549] = {.lex_state = 50, .external_lex_state = 7},
  [550] = {.lex_state = 50, .external_lex_state = 9},
  [551] = {.lex_state = 50, .external_lex_state = 8},
  [552] = {.lex_state = 50, .external_lex_state = 17},
  [553] = {.lex_state = 50, .external_lex_state = 13},
  [554] = {.lex_state = 50, .external_lex_state = 18},
  [555] = {.lex_state = 50, .external_lex_state = 19},
  [556] = {.lex_state = 50, .external_lex_state = 8},
  [557] = {.lex_state = 50, .external_lex_state = 7},
  [558] = {.lex_state = 50, .external_lex_state = 20},
  [559] = {.lex_state = 50, .external_lex_state = 7},
  [560] = {.lex_state = 50, .external_lex_state = 15},
  [561] = {.lex_state = 50, .external_lex_state = 10},
  [562] = {.lex_state = 50, .external_lex_state = 8},
  [563] = {.lex_state = 50, .external_lex_state = 13},
  [564] = {.lex_state = 50, .external_lex_state = 8},
  [565] = {.lex_state = 50, .external_lex_state = 20},
  [566] = {.lex_state = 50, .external_lex_state = 21},
  [567] = {.lex_state = 50, .external_lex_state = 11},
  [568] = {.lex_state = 50, .external_lex_state = 18},
  [569] = {.lex_state = 50, .external_lex_state = 7},
  [570] = {.lex_state = 50, .external_lex_state = 17},
  [571] = {.lex_state = 50, .external_lex_state = 10},
  [572] = {.lex_state = 50, .external_lex_state = 22},
  [573] = {.lex_state = 50, .external_lex_state = 11},
  [574] = {.lex_state = 50, .external_lex_state = 19},
  [575] = {.lex_state = 50, .external_lex_state = 11},
  [576] = {.lex_state = 50, .external_lex_state = 10},
  [577] = {.lex_state = 50, .external_lex_state = 16},
  [578] = {.lex_state = 50, .external_lex_state = 7},
  [579] = {.lex_state = 50, .external_lex_state = 14},
  [580] = {.lex_state = 50, .external_lex_state = 3},
  [581] = {.lex_state = 50, .external_lex_state = 3},
  [582] = {.lex_state = 50, .external_lex_state = 3},
  [583] = {.lex_state = 50, .external_lex_state = 3},
  [584] = {.lex_state = 50, .external_lex_state = 3},
  [585] = {.lex_state = 50, .external_lex_state = 22},
  [586] = {.lex_state = 50, .external_lex_state = 12},
  [587] = {.lex_state = 50, .external_lex_state = 16},
  [588] = {.lex_state = 50, .external_lex_state = 3},
  [589] = {.lex_state = 50, .external_lex_state = 22},
  [590] = {.lex_state = 50, .external_lex_state = 10},
  [591] = {.lex_state = 50, .external_lex_state = 21},
  [592] = {.lex_state = 50, .external_lex_state = 3},
  [593] = {.lex_state = 50, .external_lex_state = 3},
  [594] = {.lex_state = 50, .external_lex_state = 20},
  [595] = {.lex_state = 50, .external_lex_state = 3},
  [596] = {.lex_state = 50, .external_lex_state = 3},
  [597] = {.lex_state = 50, .external_lex_state = 3},
  [598] = {.lex_state = 50, .external_lex_state = 3},
  [599] = {.lex_state = 50, .external_lex_state = 11},
  [600] = {.lex_state = 50, .external_lex_state = 3},
  [601] = {.lex_state = 50, .external_lex_state = 12},
  [602] = {.lex_state = 50, .external_lex_state = 11},
  [603] = {.lex_state = 50, .external_lex_state = 3},
  [604] = {.lex_state = 50, .external_lex_state = 3},
  [605] = {.lex_state = 50, .external_lex_state = 3},
  [606] = {.lex_state = 50, .external_lex_state = 3},
  [607] = {.lex_state = 50, .external_lex_state = 3},
  [608] = {.lex_state = 50, .external_lex_state = 3},
  [609] = {.lex_state = 50, .external_lex_state = 3},
  [610] = {.lex_state = 50, .external_lex_state = 3},
  [611] = {.lex_state = 50, .external_lex_state = 2},
  [612] = {.lex_state = 50, .external_lex_state = 3},
  [613] = {.lex_state = 50, .external_lex_state = 3},
  [614] = {.lex_state = 50, .external_lex_state = 3},
  [615] = {.lex_state = 50, .external_lex_state = 3},
  [616] = {.lex_state = 50, .external_lex_state = 3},
  [617] = {.lex_state = 50, .external_lex_state = 20},
  [618] = {.lex_state = 50, .external_lex_state = 3},
  [619] = {.lex_state = 50, .external_lex_state = 3},
  [620] = {.lex_state = 50, .external_lex_state = 20},
  [621] = {.lex_state = 50, .external_lex_state = 3},
  [622] = {.lex_state = 50, .external_lex_state = 3},
  [623] = {.lex_state = 50, .external_lex_state = 10},
  [624] = {.lex_state = 50, .external_lex_state = 17},
  [625] = {.lex_state = 50, .external_lex_state = 3},
  [626] = {.lex_state = 50, .external_lex_state = 3},
  [627] = {.lex_state = 50, .external_lex_state = 3},
  [628] = {.lex_state = 50, .external_lex_state = 3},
  [629] = {.lex_state = 50, .external_lex_state = 3},
  [630] = {.lex_state = 50, .external_lex_state = 3},
  [631] = {.lex_state = 50, .external_lex_state = 2},
  [632] = {.lex_state = 50, .external_lex_state = 2},
  [633] = {.lex_state = 50, .external_lex_state = 2},
  [634] = {.lex_state = 50, .external_lex_state = 3},
  [635] = {.lex_state = 50, .external_lex_state = 3},
  [636] = {.lex_state = 50, .external_lex_state = 3},
  [637] = {.lex_state = 50, .external_lex_state = 2},
  [638] = {.lex_state = 50, .external_lex_state = 3},
  [639] = {.lex_state = 50, .external_lex_state = 2},
  [640] = {.lex_state = 50, .external_lex_state = 3},
  [641] = {.lex_state = 50, .external_lex_state = 3},
  [642] = {.lex_state = 50, .external_lex_state = 3},
  [643] = {.lex_state = 50, .external_lex_state = 2},
  [644] = {.lex_state = 50, .external_lex_state = 2},
  [645] = {.lex_state = 50, .external_lex_state = 3},
  [646] = {.lex_state = 50, .external_lex_state = 3},
  [647] = {.lex_state = 50, .external_lex_state = 3},
  [648] = {.lex_state = 50, .external_lex_state = 3},
  [649] = {.lex_state = 50, .external_lex_state = 3},
  [650] = {.lex_state = 50, .external_lex_state = 3},
  [651] = {.lex_state = 50, .external_lex_state = 2},
  [652] = {.lex_state = 50, .external_lex_state = 3},
  [653] = {.lex_state = 50, .external_lex_state = 3},
  [654] = {.lex_state = 50, .external_lex_state = 3},
  [655] = {.lex_state = 50, .external_lex_state = 2},
  [656] = {.lex_state = 50, .external_lex_state = 20},
  [657] = {.lex_state = 50, .external_lex_state = 3},
  [658] = {.lex_state = 50, .external_lex_state = 3},
  [659] = {.lex_state = 50, .external_lex_state = 3},
  [660] = {.lex_state = 50, .external_lex_state = 3},
  [661] = {.lex_state = 50, .external_lex_state = 3},
  [662] = {.lex_state = 50, .external_lex_state = 2},
  [663] = {.lex_state = 50, .external_lex_state = 3},
  [664] = {.lex_state = 50, .external_lex_state = 2},
  [665] = {.lex_state = 50, .external_lex_state = 3},
  [666] = {.lex_state = 50, .external_lex_state = 2},
  [667] = {.lex_state = 50, .external_lex_state = 3},
  [668] = {.lex_state = 50, .external_lex_state = 3},
  [669] = {.lex_state = 50, .external_lex_state = 3},
  [670] = {.lex_state = 50, .external_lex_state = 2},
  [671] = {.lex_state = 50, .external_lex_state = 3},
  [672] = {.lex_state = 50, .external_lex_state = 3},
  [673] = {.lex_state = 50, .external_lex_state = 3},
  [674] = {.lex_state = 50, .external_lex_state = 2},
  [675] = {.lex_state = 50, .external_lex_state = 2},
  [676] = {.lex_state = 50, .external_lex_state = 3},
  [677] = {.lex_state = 50, .external_lex_state = 3},
  [678] = {.lex_state = 50, .external_lex_state = 15},
  [679] = {.lex_state = 50, .external_lex_state = 2},
  [680] = {.lex_state = 50, .external_lex_state = 3},
  [681] = {.lex_state = 50, .external_lex_state = 2},
  [682] = {.lex_state = 50, .external_lex_state = 3},
  [683] = {.lex_state = 50, .external_lex_state = 2},
  [684] = {.lex_state = 50, .external_lex_state = 3},
  [685] = {.lex_state = 50, .external_lex_state = 2},
  [686] = {.lex_state = 50, .external_lex_state = 3},
  [687] = {.lex_state = 50, .external_lex_state = 3},
  [688] = {.lex_state = 50, .external_lex_state = 20},
  [689] = {.lex_state = 50, .external_lex_state = 3},
  [690] = {.lex_state = 50, .external_lex_state = 3},
  [691] = {.lex_state = 50, .external_lex_state = 3},
  [692] = {.lex_state = 50, .external_lex_state = 3},
  [693] = {.lex_state = 50, .external_lex_state = 2},
  [694] = {.lex_state = 50, .external_lex_state = 3},
  [695] = {.lex_state = 50, .external_lex_state = 15},
  [696] = {.lex_state = 50, .external_lex_state = 2},
  [697] = {.lex_state = 50, .external_lex_state = 3},
  [698] = {.lex_state = 50, .external_lex_state = 3},
  [699] = {.lex_state = 50, .external_lex_state = 2},
  [700] = {.lex_state = 50, .external_lex_state = 3},
  [701] = {.lex_state = 50, .external_lex_state = 3},
  [702] = {.lex_state = 50, .external_lex_state = 2},
  [703] = {.lex_state = 50, .external_lex_state = 3},
  [704] = {.lex_state = 50, .external_lex_state = 3},
  [705] = {.lex_state = 50, .external_lex_state = 2},
  [706] = {.lex_state = 50, .external_lex_state = 3},
  [707] = {.lex_state = 50, .external_lex_state = 3},
  [708] = {.lex_state = 50, .external_lex_state = 3},
  [709] = {.lex_state = 50, .external_lex_state = 2},
  [710] = {.lex_state = 50, .external_lex_state = 3},
  [711] = {.lex_state = 50, .external_lex_state = 2},
  [712] = {.lex_state = 50, .external_lex_state = 3},
  [713] = {.lex_state = 50, .external_lex_state = 3},
  [714] = {.lex_state = 50, .external_lex_state = 2},
  [715] = {.lex_state = 50, .external_lex_state = 3},
  [716] = {.lex_state = 50, .external_lex_state = 3},
  [717] = {.lex_state = 50, .external_lex_state = 2},
  [718] = {.lex_state = 50, .external_lex_state = 3},
  [719] = {.lex_state = 50, .external_lex_state = 3},
  [720] = {.lex_state = 50, .external_lex_state = 3},
  [721] = {.lex_state = 50, .external_lex_state = 20},
  [722] = {.lex_state = 50, .external_lex_state = 3},
  [723] = {.lex_state = 50, .external_lex_state = 2},
  [724] = {.lex_state = 50, .external_lex_state = 3},
  [725] = {.lex_state = 50, .external_lex_state = 3},
  [726] = {.lex_state = 50, .external_lex_state = 2},
  [727] = {.lex_state = 50, .external_lex_state = 3},
  [728] = {.lex_state = 50, .external_lex_state = 2},
  [729] = {.lex_state = 50, .external_lex_state = 2},
  [730] = {.lex_state = 50, .external_lex_state = 3},
  [731] = {.lex_state = 50, .external_lex_state = 3},
  [732] = {.lex_state = 50, .external_lex_state = 2},
  [733] = {.lex_state = 50, .external_lex_state = 3},
  [734] = {.lex_state = 50, .external_lex_state = 3},
  [735] = {.lex_state = 50, .external_lex_state = 3},
  [736] = {.lex_state = 50, .external_lex_state = 2},
  [737] = {.lex_state = 50, .external_lex_state = 2},
  [738] = {.lex_state = 50, .external_lex_state = 3},
  [739] = {.lex_state = 50, .external_lex_state = 3},
  [740] = {.lex_state = 50, .external_lex_state = 3},
  [741] = {.lex_state = 50, .external_lex_state = 3},
  [742] = {.lex_state = 50, .external_lex_state = 3},
  [743] = {.lex_state = 50, .external_lex_state = 3},
  [744] = {.lex_state = 50, .external_lex_state = 3},
  [745] = {.lex_state = 50, .external_lex_state = 2},
  [746] = {.lex_state = 50, .external_lex_state = 2},
  [747] = {.lex_state = 50, .external_lex_state = 3},
  [748] = {.lex_state = 50, .external_lex_state = 2},
  [749] = {.lex_state = 50, .external_lex_state = 2},
  [750] = {.lex_state = 50, .external_lex_state = 3},
  [751] = {.lex_state = 50, .external_lex_state = 3},
  [752] = {.lex_state = 50, .external_lex_state = 3},
  [753] = {.lex_state = 50, .external_lex_state = 2},
  [754] = {.lex_state = 50, .external_lex_state = 2},
  [755] = {.lex_state = 50, .external_lex_state = 3},
  [756] = {.lex_state = 50, .external_lex_state = 22},
  [757] = {.lex_state = 50, .external_lex_state = 3},
  [758] = {.lex_state = 50, .external_lex_state = 3},
  [759] = {.lex_state = 50, .external_lex_state = 3},
  [760] = {.lex_state = 50, .external_lex_state = 3},
  [761] = {.lex_state = 50, .external_lex_state = 2},
  [762] = {.lex_state = 50, .external_lex_state = 2},
  [763] = {.lex_state = 50, .external_lex_state = 2},
  [764] = {.lex_state = 50, .external_lex_state = 3},
  [765] = {.lex_state = 50, .external_lex_state = 3},
  [766] = {.lex_state = 50, .external_lex_state = 3},
  [767] = {.lex_state = 50, .external_lex_state = 3},
  [768] = {.lex_state = 50, .external_lex_state = 3},
  [769] = {.lex_state = 50, .external_lex_state = 2},
  [770] = {.lex_state = 50, .external_lex_state = 2},
  [771] = {.lex_state = 50, .external_lex_state = 2},
  [772] = {.lex_state = 50, .external_lex_state = 3},
  [773] = {.lex_state = 50, .external_lex_state = 3},
  [774] = {.lex_state = 50, .external_lex_state = 3},
  [775] = {.lex_state = 50, .external_lex_state = 3},
  [776] = {.lex_state = 50, .external_lex_state = 3},
  [777] = {.lex_state = 50, .external_lex_state = 2},
  [778] = {.lex_state = 50, .external_lex_state = 3},
  [779] = {.lex_state = 50, .external_lex_state = 3},
  [780] = {.lex_state = 50, .external_lex_state = 3},
  [781] = {.lex_state = 50, .external_lex_state = 3},
  [782] = {.lex_state = 50, .external_lex_state = 3},
  [783] = {.lex_state = 50, .external_lex_state = 2},
  [784] = {.lex_state = 50, .external_lex_state = 3},
  [785] = {.lex_state = 50, .external_lex_state = 2},
  [786] = {.lex_state = 50, .external_lex_state = 22},
  [787] = {.lex_state = 50, .external_lex_state = 3},
  [788] = {.lex_state = 50, .external_lex_state = 3},
  [789] = {.lex_state = 50, .external_lex_state = 3},
  [790] = {.lex_state = 50, .external_lex_state = 2},
  [791] = {.lex_state = 50, .external_lex_state = 3},
  [792] = {.lex_state = 50, .external_lex_state = 3},
  [793] = {.lex_state = 50, .external_lex_state = 2},
  [794] = {.lex_state = 50, .external_lex_state = 2},
  [795] = {.lex_state = 50, .external_lex_state = 3},
  [796] = {.lex_state = 50, .external_lex_state = 3},
  [797] = {.lex_state = 50, .external_lex_state = 3},
  [798] = {.lex_state = 50, .external_lex_state = 2},
  [799] = {.lex_state = 50, .external_lex_state = 3},
  [800] = {.lex_state = 50, .external_lex_state = 2},
  [801] = {.lex_state = 50, .external_lex_state = 2},
  [802] = {.lex_state = 50, .external_lex_state = 3},
  [803] = {.lex_state = 50, .external_lex_state = 3},
  [804] = {.lex_state = 50, .external_lex_state = 2},
  [805] = {.lex_state = 50, .external_lex_state = 3},
  [806] = {.lex_state = 50, .external_lex_state = 3},
  [807] = {.lex_state = 50, .external_lex_state = 3},
  [808] = {.lex_state = 50, .external_lex_state = 3},
  [809] = {.lex_state = 50, .external_lex_state = 3},
  [810] = {.lex_state = 50, .external_lex_state = 3},
  [811] = {.lex_state = 50, .external_lex_state = 3},
  [812] = {.lex_state = 50, .external_lex_state = 3},
  [813] = {.lex_state = 50, .external_lex_state = 3},
  [814] = {.lex_state = 50, .external_lex_state = 3},
  [815] = {.lex_state = 50, .external_lex_state = 3},
  [816] = {.lex_state = 50, .external_lex_state = 3},
  [817] = {.lex_state = 50, .external_lex_state = 3},
  [818] = {.lex_state = 50, .external_lex_state = 3},
  [819] = {.lex_state = 50, .external_lex_state = 3},
  [820] = {.lex_state = 50, .external_lex_state = 3},
  [821] = {.lex_state = 50, .external_lex_state = 3},
  [822] = {.lex_state = 50, .external_lex_state = 3},
  [823] = {.lex_state = 50, .external_lex_state = 3},
  [824] = {.lex_state = 50, .external_lex_state = 3},
  [825] = {.lex_state = 50, .external_lex_state = 3},
  [826] = {.lex_state = 50, .external_lex_state = 3},
  [827] = {.lex_state = 50, .external_lex_state = 3},
  [828] = {.lex_state = 50, .external_lex_state = 3},
  [829] = {.lex_state = 50, .external_lex_state = 3},
  [830] = {.lex_state = 50, .external_lex_state = 3},
  [831] = {.lex_state = 50, .external_lex_state = 3},
  [832] = {.lex_state = 50, .external_lex_state = 3},
  [833] = {.lex_state = 50, .external_lex_state = 3},
  [834] = {.lex_state = 50, .external_lex_state = 3},
  [835] = {.lex_state = 50, .external_lex_state = 3},
  [836] = {.lex_state = 50, .external_lex_state = 3},
  [837] = {.lex_state = 50, .external_lex_state = 3},
  [838] = {.lex_state = 50, .external_lex_state = 3},
  [839] = {.lex_state = 50, .external_lex_state = 3},
  [840] = {.lex_state = 50, .external_lex_state = 3},
  [841] = {.lex_state = 50, .external_lex_state = 3},
  [842] = {.lex_state = 50, .external_lex_state = 3},
  [843] = {.lex_state = 50, .external_lex_state = 3},
  [844] = {.lex_state = 50, .external_lex_state = 3},
  [845] = {.lex_state = 50, .external_lex_state = 3},
  [846] = {.lex_state = 50, .external_lex_state = 3},
  [847] = {.lex_state = 50, .external_lex_state = 3},
  [848] = {.lex_state = 50, .external_lex_state = 3},
  [849] = {.lex_state = 50, .external_lex_state = 3},
  [850] = {.lex_state = 50, .external_lex_state = 3},
  [851] = {.lex_state = 50, .external_lex_state = 3},
  [852] = {.lex_state = 50, .external_lex_state = 3},
  [853] = {.lex_state = 50, .external_lex_state = 3},
  [854] = {.lex_state = 50, .external_lex_state = 3},
  [855] = {.lex_state = 50, .external_lex_state = 3},
  [856] = {.lex_state = 50, .external_lex_state = 3},
  [857] = {.lex_state = 50, .external_lex_state = 3},
  [858] = {.lex_state = 50, .external_lex_state = 3},
  [859] = {.lex_state = 50, .external_lex_state = 3},
  [860] = {.lex_state = 50, .external_lex_state = 3},
  [861] = {.lex_state = 50, .external_lex_state = 3},
  [862] = {.lex_state = 50, .external_lex_state = 3},
  [863] = {.lex_state = 50, .external_lex_state = 3},
  [864] = {.lex_state = 50, .external_lex_state = 3},
  [865] = {.lex_state = 50, .external_lex_state = 3},
  [866] = {.lex_state = 50, .external_lex_state = 3},
  [867] = {.lex_state = 50, .external_lex_state = 3},
  [868] = {.lex_state = 50, .external_lex_state = 3},
  [869] = {.lex_state = 50, .external_lex_state = 3},
  [870] = {.lex_state = 50, .external_lex_state = 3},
  [871] = {.lex_state = 50, .external_lex_state = 3},
  [872] = {.lex_state = 50, .external_lex_state = 3},
  [873] = {.lex_state = 50, .external_lex_state = 3},
  [874] = {.lex_state = 50, .external_lex_state = 3},
  [875] = {.lex_state = 50, .external_lex_state = 3},
  [876] = {.lex_state = 50, .external_lex_state = 3},
  [877] = {.lex_state = 50, .external_lex_state = 3},
  [878] = {.lex_state = 50, .external_lex_state = 3},
  [879] = {.lex_state = 50, .external_lex_state = 3},
  [880] = {.lex_state = 50, .external_lex_state = 3},
  [881] = {.lex_state = 50, .external_lex_state = 3},
  [882] = {.lex_state = 50, .external_lex_state = 3},
  [883] = {.lex_state = 50, .external_lex_state = 3},
  [884] = {.lex_state = 50, .external_lex_state = 3},
  [885] = {.lex_state = 50, .external_lex_state = 3},
  [886] = {.lex_state = 50, .external_lex_state = 3},
  [887] = {.lex_state = 50, .external_lex_state = 3},
  [888] = {.lex_state = 50, .external_lex_state = 3},
  [889] = {.lex_state = 50, .external_lex_state = 3},
  [890] = {.lex_state = 50, .external_lex_state = 3},
  [891] = {.lex_state = 50, .external_lex_state = 3},
  [892] = {.lex_state = 50, .external_lex_state = 3},
  [893] = {.lex_state = 50, .external_lex_state = 3},
  [894] = {.lex_state = 50, .external_lex_state = 3},
  [895] = {.lex_state = 50, .external_lex_state = 3},
  [896] = {.lex_state = 50, .external_lex_state = 3},
  [897] = {.lex_state = 50, .external_lex_state = 3},
  [898] = {.lex_state = 50, .external_lex_state = 3},
  [899] = {.lex_state = 50, .external_lex_state = 3},
  [900] = {.lex_state = 50, .external_lex_state = 3},
  [901] = {.lex_state = 50, .external_lex_state = 3},
  [902] = {.lex_state = 50, .external_lex_state = 3},
  [903] = {.lex_state = 50, .external_lex_state = 3},
  [904] = {.lex_state = 50, .external_lex_state = 3},
  [905] = {.lex_state = 50, .external_lex_state = 3},
  [906] = {.lex_state = 50, .external_lex_state = 3},
  [907] = {.lex_state = 50, .external_lex_state = 3},
  [908] = {.lex_state = 50, .external_lex_state = 3},
  [909] = {.lex_state = 50, .external_lex_state = 3},
  [910] = {.lex_state = 50, .external_lex_state = 3},
  [911] = {.lex_state = 50, .external_lex_state = 3},
  [912] = {.lex_state = 50, .external_lex_state = 3},
  [913] = {.lex_state = 50, .external_lex_state = 3},
  [914] = {.lex_state = 50, .external_lex_state = 3},
  [915] = {.lex_state = 50, .external_lex_state = 3},
  [916] = {.lex_state = 50, .external_lex_state = 3},
  [917] = {.lex_state = 50, .external_lex_state = 3},
  [918] = {.lex_state = 50, .external_lex_state = 3},
  [919] = {.lex_state = 50, .external_lex_state = 3},
  [920] = {.lex_state = 50, .external_lex_state = 3},
  [921] = {.lex_state = 50, .external_lex_state = 3},
  [922] = {.lex_state = 50, .external_lex_state = 3},
  [923] = {.lex_state = 50, .external_lex_state = 3},
  [924] = {.lex_state = 50, .external_lex_state = 3},
  [925] = {.lex_state = 50, .external_lex_state = 3},
  [926] = {.lex_state = 50, .external_lex_state = 3},
  [927] = {.lex_state = 50, .external_lex_state = 3},
  [928] = {.lex_state = 50, .external_lex_state = 3},
  [929] = {.lex_state = 50, .external_lex_state = 3},
  [930] = {.lex_state = 50, .external_lex_state = 3},
  [931] = {.lex_state = 50, .external_lex_state = 3},
  [932] = {.lex_state = 50, .external_lex_state = 3},
  [933] = {.lex_state = 50, .external_lex_state = 3},
  [934] = {.lex_state = 50, .external_lex_state = 3},
  [935] = {.lex_state = 50, .external_lex_state = 3},
  [936] = {.lex_state = 50, .external_lex_state = 3},
  [937] = {.lex_state = 50, .external_lex_state = 3},
  [938] = {.lex_state = 50, .external_lex_state = 3},
  [939] = {.lex_state = 50, .external_lex_state = 3},
  [940] = {.lex_state = 50, .external_lex_state = 3},
  [941] = {.lex_state = 50, .external_lex_state = 3},
  [942] = {.lex_state = 50, .external_lex_state = 3},
  [943] = {.lex_state = 50, .external_lex_state = 3},
  [944] = {.lex_state = 50, .external_lex_state = 3},
  [945] = {.lex_state = 50, .external_lex_state = 3},
  [946] = {.lex_state = 50, .external_lex_state = 3},
  [947] = {.lex_state = 50, .external_lex_state = 3},
  [948] = {.lex_state = 50, .external_lex_state = 3},
  [949] = {.lex_state = 50, .external_lex_state = 3},
  [950] = {.lex_state = 50, .external_lex_state = 3},
  [951] = {.lex_state = 50, .external_lex_state = 3},
  [952] = {.lex_state = 50, .external_lex_state = 3},
  [953] = {.lex_state = 50, .external_lex_state = 3},
  [954] = {.lex_state = 50, .external_lex_state = 3},
  [955] = {.lex_state = 50, .external_lex_state = 3},
  [956] = {.lex_state = 50, .external_lex_state = 3},
  [957] = {.lex_state = 50, .external_lex_state = 3},
  [958] = {.lex_state = 50, .external_lex_state = 3},
  [959] = {.lex_state = 50, .external_lex_state = 3},
  [960] = {.lex_state = 50, .external_lex_state = 3},
  [961] = {.lex_state = 50, .external_lex_state = 3},
  [962] = {.lex_state = 50, .external_lex_state = 3},
  [963] = {.lex_state = 50, .external_lex_state = 3},
  [964] = {.lex_state = 50, .external_lex_state = 3},
  [965] = {.lex_state = 50, .external_lex_state = 3},
  [966] = {.lex_state = 50, .external_lex_state = 3},
  [967] = {.lex_state = 50, .external_lex_state = 3},
  [968] = {.lex_state = 50, .external_lex_state = 3},
  [969] = {.lex_state = 50, .external_lex_state = 3},
  [970] = {.lex_state = 50, .external_lex_state = 3},
  [971] = {.lex_state = 50, .external_lex_state = 3},
  [972] = {.lex_state = 50, .external_lex_state = 3},
  [973] = {.lex_state = 50, .external_lex_state = 3},
  [974] = {.lex_state = 50, .external_lex_state = 3},
  [975] = {.lex_state = 50, .external_lex_state = 3},
  [976] = {.lex_state = 50, .external_lex_state = 3},
  [977] = {.lex_state = 50, .external_lex_state = 3},
  [978] = {.lex_state = 50, .external_lex_state = 3},
  [979] = {.lex_state = 50, .external_lex_state = 3},
  [980] = {.lex_state = 50, .external_lex_state = 3},
  [981] = {.lex_state = 50, .external_lex_state = 3},
  [982] = {.lex_state = 50, .external_lex_state = 3},
  [983] = {.lex_state = 50, .external_lex_state = 3},
  [984] = {.lex_state = 50, .external_lex_state = 3},
  [985] = {.lex_state = 50, .external_lex_state = 3},
  [986] = {.lex_state = 50, .external_lex_state = 19},
  [987] = {.lex_state = 50, .external_lex_state = 3},
  [988] = {.lex_state = 50, .external_lex_state = 3},
  [989] = {.lex_state = 50, .external_lex_state = 3},
  [990] = {.lex_state = 50, .external_lex_state = 3},
  [991] = {.lex_state = 50, .external_lex_state = 3},
  [992] = {.lex_state = 50, .external_lex_state = 3},
  [993] = {.lex_state = 50, .external_lex_state = 3},
  [994] = {.lex_state = 50, .external_lex_state = 3},
  [995] = {.lex_state = 50, .external_lex_state = 3},
  [996] = {.lex_state = 50, .external_lex_state = 3},
  [997] = {.lex_state = 50, .external_lex_state = 3},
  [998] = {.lex_state = 50, .external_lex_state = 3},
  [999] = {.lex_state = 50, .external_lex_state = 3},
  [1000] = {.lex_state = 50, .external_lex_state = 3},
  [1001] = {.lex_state = 50, .external_lex_state = 3},
  [1002] = {.lex_state = 50, .external_lex_state = 3},
  [1003] = {.lex_state = 50, .external_lex_state = 3},
  [1004] = {.lex_state = 50, .external_lex_state = 3},
  [1005] = {.lex_state = 50, .external_lex_state = 3},
  [1006] = {.lex_state = 50, .external_lex_state = 3},
  [1007] = {.lex_state = 50, .external_lex_state = 3},
  [1008] = {.lex_state = 50, .external_lex_state = 3},
  [1009] = {.lex_state = 50, .external_lex_state = 3},
  [1010] = {.lex_state = 50, .external_lex_state = 3},
  [1011] = {.lex_state = 50, .external_lex_state = 3},
  [1012] = {.lex_state = 50, .external_lex_state = 3},
  [1013] = {.lex_state = 50, .external_lex_state = 3},
  [1014] = {.lex_state = 50, .external_lex_state = 3},
  [1015] = {.lex_state = 50, .external_lex_state = 3},
  [1016] = {.lex_state = 50, .external_lex_state = 3},
  [1017] = {.lex_state = 50, .external_lex_state = 3},
  [1018] = {.lex_state = 50, .external_lex_state = 3},
  [1019] = {.lex_state = 50, .external_lex_state = 3},
  [1020] = {.lex_state = 50, .external_lex_state = 3},
  [1021] = {.lex_state = 50, .external_lex_state = 3},
  [1022] = {.lex_state = 50, .external_lex_state = 3},
  [1023] = {.lex_state = 50, .external_lex_state = 3},
  [1024] = {.lex_state = 50, .external_lex_state = 3},
  [1025] = {.lex_state = 50, .external_lex_state = 3},
  [1026] = {.lex_state = 50, .external_lex_state = 3},
  [1027] = {.lex_state = 50, .external_lex_state = 3},
  [1028] = {.lex_state = 50, .external_lex_state = 3},
  [1029] = {.lex_state = 50, .external_lex_state = 3},
  [1030] = {.lex_state = 50, .external_lex_state = 3},
  [1031] = {.lex_state = 50, .external_lex_state = 3},
  [1032] = {.lex_state = 50, .external_lex_state = 3},
  [1033] = {.lex_state = 50, .external_lex_state = 3},
  [1034] = {.lex_state = 50, .external_lex_state = 3},
  [1035] = {.lex_state = 50, .external_lex_state = 3},
  [1036] = {.lex_state = 50, .external_lex_state = 3},
  [1037] = {.lex_state = 50, .external_lex_state = 3},
  [1038] = {.lex_state = 50, .external_lex_state = 3},
  [1039] = {.lex_state = 50, .external_lex_state = 3},
  [1040] = {.lex_state = 50, .external_lex_state = 3},
  [1041] = {.lex_state = 50, .external_lex_state = 3},
  [1042] = {.lex_state = 50, .external_lex_state = 3},
  [1043] = {.lex_state = 50, .external_lex_state = 3},
  [1044] = {.lex_state = 50, .external_lex_state = 3},
  [1045] = {.lex_state = 50, .external_lex_state = 3},
  [1046] = {.lex_state = 50, .external_lex_state = 3},
  [1047] = {.lex_state = 50, .external_lex_state = 3},
  [1048] = {.lex_state = 50, .external_lex_state = 3},
  [1049] = {.lex_state = 50, .external_lex_state = 3},
  [1050] = {.lex_state = 50, .external_lex_state = 3},
  [1051] = {.lex_state = 50, .external_lex_state = 3},
  [1052] = {.lex_state = 50, .external_lex_state = 3},
  [1053] = {.lex_state = 50, .external_lex_state = 3},
  [1054] = {.lex_state = 50, .external_lex_state = 3},
  [1055] = {.lex_state = 50, .external_lex_state = 3},
  [1056] = {.lex_state = 50, .external_lex_state = 3},
  [1057] = {.lex_state = 50, .external_lex_state = 3},
  [1058] = {.lex_state = 50, .external_lex_state = 3},
  [1059] = {.lex_state = 50, .external_lex_state = 3},
  [1060] = {.lex_state = 50, .external_lex_state = 3},
  [1061] = {.lex_state = 50, .external_lex_state = 3},
  [1062] = {.lex_state = 50, .external_lex_state = 3},
  [1063] = {.lex_state = 50, .external_lex_state = 3},
  [1064] = {.lex_state = 50, .external_lex_state = 3},
  [1065] = {.lex_state = 50, .external_lex_state = 3},
  [1066] = {.lex_state = 50, .external_lex_state = 3},
  [1067] = {.lex_state = 50, .external_lex_state = 3},
  [1068] = {.lex_state = 50, .external_lex_state = 3},
  [1069] = {.lex_state = 50, .external_lex_state = 3},
  [1070] = {.lex_state = 50, .external_lex_state = 3},
  [1071] = {.lex_state = 50, .external_lex_state = 3},
  [1072] = {.lex_state = 50, .external_lex_state = 3},
  [1073] = {.lex_state = 50, .external_lex_state = 3},
  [1074] = {.lex_state = 50, .external_lex_state = 3},
  [1075] = {.lex_state = 50, .external_lex_state = 3},
  [1076] = {.lex_state = 50, .external_lex_state = 3},
  [1077] = {.lex_state = 50, .external_lex_state = 3},
  [1078] = {.lex_state = 50, .external_lex_state = 3},
  [1079] = {.lex_state = 50, .external_lex_state = 3},
  [1080] = {.lex_state = 50, .external_lex_state = 3},
  [1081] = {.lex_state = 50, .external_lex_state = 3},
  [1082] = {.lex_state = 50, .external_lex_state = 3},
  [1083] = {.lex_state = 50, .external_lex_state = 3},
  [1084] = {.lex_state = 50, .external_lex_state = 3},
  [1085] = {.lex_state = 50, .external_lex_state = 3},
  [1086] = {.lex_state = 50, .external_lex_state = 3},
  [1087] = {.lex_state = 50, .external_lex_state = 3},
  [1088] = {.lex_state = 50, .external_lex_state = 3},
  [1089] = {.lex_state = 50, .external_lex_state = 3},
  [1090] = {.lex_state = 50, .external_lex_state = 3},
  [1091] = {.lex_state = 50, .external_lex_state = 3},
  [1092] = {.lex_state = 50, .external_lex_state = 3},
  [1093] = {.lex_state = 50, .external_lex_state = 3},
  [1094] = {.lex_state = 50, .external_lex_state = 3},
  [1095] = {.lex_state = 50, .external_lex_state = 3},
  [1096] = {.lex_state = 50, .external_lex_state = 3},
  [1097] = {.lex_state = 50, .external_lex_state = 3},
  [1098] = {.lex_state = 50, .external_lex_state = 3},
  [1099] = {.lex_state = 50, .external_lex_state = 3},
  [1100] = {.lex_state = 50, .external_lex_state = 3},
  [1101] = {.lex_state = 50, .external_lex_state = 3},
  [1102] = {.lex_state = 50, .external_lex_state = 3},
  [1103] = {.lex_state = 50, .external_lex_state = 3},
  [1104] = {.lex_state = 50, .external_lex_state = 3},
  [1105] = {.lex_state = 50, .external_lex_state = 3},
  [1106] = {.lex_state = 50, .external_lex_state = 3},
  [1107] = {.lex_state = 50, .external_lex_state = 3},
  [1108] = {.lex_state = 50, .external_lex_state = 3},
  [1109] = {.lex_state = 50, .external_lex_state = 3},
  [1110] = {.lex_state = 50, .external_lex_state = 3},
  [1111] = {.lex_state = 50, .external_lex_state = 3},
  [1112] = {.lex_state = 50, .external_lex_state = 3},
  [1113] = {.lex_state = 50, .external_lex_state = 3},
  [1114] = {.lex_state = 50, .external_lex_state = 3},
  [1115] = {.lex_state = 50, .external_lex_state = 3},
  [1116] = {.lex_state = 50, .external_lex_state = 3},
  [1117] = {.lex_state = 50, .external_lex_state = 3},
  [1118] = {.lex_state = 50, .external_lex_state = 3},
  [1119] = {.lex_state = 50, .external_lex_state = 3},
  [1120] = {.lex_state = 50, .external_lex_state = 3},
  [1121] = {.lex_state = 50, .external_lex_state = 3},
  [1122] = {.lex_state = 50, .external_lex_state = 18},
  [1123] = {.lex_state = 50, .external_lex_state = 3},
  [1124] = {.lex_state = 50, .external_lex_state = 3},
  [1125] = {.lex_state = 50, .external_lex_state = 3},
  [1126] = {.lex_state = 50, .external_lex_state = 3},
  [1127] = {.lex_state = 50, .external_lex_state = 3},
  [1128] = {.lex_state = 50, .external_lex_state = 3},
  [1129] = {.lex_state = 50, .external_lex_state = 3},
  [1130] = {.lex_state = 50, .external_lex_state = 3},
  [1131] = {.lex_state = 50, .external_lex_state = 3},
  [1132] = {.lex_state = 50, .external_lex_state = 3},
  [1133] = {.lex_state = 50, .external_lex_state = 3},
  [1134] = {.lex_state = 50, .external_lex_state = 3},
  [1135] = {.lex_state = 50, .external_lex_state = 3},
  [1136] = {.lex_state = 50, .external_lex_state = 3},
  [1137] = {.lex_state = 50, .external_lex_state = 3},
  [1138] = {.lex_state = 50, .external_lex_state = 3},
  [1139] = {.lex_state = 50, .external_lex_state = 3},
  [1140] = {.lex_state = 50, .external_lex_state = 3},
  [1141] = {.lex_state = 50, .external_lex_state = 3},
  [1142] = {.lex_state = 50, .external_lex_state = 3},
  [1143] = {.lex_state = 50, .external_lex_state = 3},
  [1144] = {.lex_state = 50, .external_lex_state = 3},
  [1145] = {.lex_state = 50, .external_lex_state = 3},
  [1146] = {.lex_state = 50, .external_lex_state = 3},
  [1147] = {.lex_state = 50, .external_lex_state = 3},
  [1148] = {.lex_state = 50, .external_lex_state = 3},
  [1149] = {.lex_state = 50, .external_lex_state = 3},
  [1150] = {.lex_state = 50, .external_lex_state = 3},
  [1151] = {.lex_state = 50, .external_lex_state = 3},
  [1152] = {.lex_state = 50, .external_lex_state = 3},
  [1153] = {.lex_state = 50, .external_lex_state = 3},
  [1154] = {.lex_state = 50, .external_lex_state = 3},
  [1155] = {.lex_state = 50, .external_lex_state = 3},
  [1156] = {.lex_state = 50, .external_lex_state = 3},
  [1157] = {.lex_state = 50, .external_lex_state = 3},
  [1158] = {.lex_state = 50, .external_lex_state = 3},
  [1159] = {.lex_state = 50, .external_lex_state = 3},
  [1160] = {.lex_state = 50, .external_lex_state = 3},
  [1161] = {.lex_state = 50, .external_lex_state = 3},
  [1162] = {.lex_state = 50, .external_lex_state = 3},
  [1163] = {.lex_state = 50, .external_lex_state = 3},
  [1164] = {.lex_state = 50, .external_lex_state = 3},
  [1165] = {.lex_state = 50, .external_lex_state = 3},
  [1166] = {.lex_state = 50, .external_lex_state = 3},
  [1167] = {.lex_state = 50, .external_lex_state = 3},
  [1168] = {.lex_state = 50, .external_lex_state = 3},
  [1169] = {.lex_state = 50, .external_lex_state = 3},
  [1170] = {.lex_state = 50, .external_lex_state = 3},
  [1171] = {.lex_state = 50, .external_lex_state = 3},
  [1172] = {.lex_state = 50, .external_lex_state = 3},
  [1173] = {.lex_state = 50, .external_lex_state = 3},
  [1174] = {.lex_state = 50, .external_lex_state = 3},
  [1175] = {.lex_state = 50, .external_lex_state = 3},
  [1176] = {.lex_state = 50, .external_lex_state = 3},
  [1177] = {.lex_state = 50, .external_lex_state = 3},
  [1178] = {.lex_state = 50, .external_lex_state = 3},
  [1179] = {.lex_state = 50, .external_lex_state = 3},
  [1180] = {.lex_state = 50, .external_lex_state = 3},
  [1181] = {.lex_state = 50, .external_lex_state = 3},
  [1182] = {.lex_state = 50, .external_lex_state = 3},
  [1183] = {.lex_state = 50, .external_lex_state = 3},
  [1184] = {.lex_state = 50, .external_lex_state = 3},
  [1185] = {.lex_state = 50, .external_lex_state = 3},
  [1186] = {.lex_state = 50, .external_lex_state = 3},
  [1187] = {.lex_state = 50, .external_lex_state = 3},
  [1188] = {.lex_state = 50, .external_lex_state = 3},
  [1189] = {.lex_state = 50, .external_lex_state = 3},
  [1190] = {.lex_state = 50, .external_lex_state = 3},
  [1191] = {.lex_state = 50, .external_lex_state = 3},
  [1192] = {.lex_state = 50, .external_lex_state = 3},
  [1193] = {.lex_state = 50, .external_lex_state = 3},
  [1194] = {.lex_state = 50, .external_lex_state = 3},
  [1195] = {.lex_state = 50, .external_lex_state = 3},
  [1196] = {.lex_state = 50, .external_lex_state = 3},
  [1197] = {.lex_state = 50, .external_lex_state = 3},
  [1198] = {.lex_state = 50, .external_lex_state = 3},
  [1199] = {.lex_state = 50, .external_lex_state = 3},
  [1200] = {.lex_state = 50, .external_lex_state = 3},
  [1201] = {.lex_state = 50, .external_lex_state = 3},
  [1202] = {.lex_state = 50, .external_lex_state = 3},
  [1203] = {.lex_state = 50, .external_lex_state = 3},
  [1204] = {.lex_state = 50, .external_lex_state = 3},
  [1205] = {.lex_state = 50, .external_lex_state = 3},
  [1206] = {.lex_state = 50, .external_lex_state = 3},
  [1207] = {.lex_state = 50, .external_lex_state = 3},
  [1208] = {.lex_state = 50, .external_lex_state = 3},
  [1209] = {.lex_state = 50, .external_lex_state = 3},
  [1210] = {.lex_state = 50, .external_lex_state = 3},
  [1211] = {.lex_state = 50, .external_lex_state = 3},
  [1212] = {.lex_state = 50, .external_lex_state = 3},
  [1213] = {.lex_state = 50, .external_lex_state = 3},
  [1214] = {.lex_state = 50, .external_lex_state = 3},
  [1215] = {.lex_state = 50, .external_lex_state = 3},
  [1216] = {.lex_state = 50, .external_lex_state = 3},
  [1217] = {.lex_state = 50, .external_lex_state = 3},
  [1218] = {.lex_state = 50, .external_lex_state = 3},
  [1219] = {.lex_state = 50, .external_lex_state = 3},
  [1220] = {.lex_state = 50, .external_lex_state = 3},
  [1221] = {.lex_state = 50, .external_lex_state = 3},
  [1222] = {.lex_state = 50, .external_lex_state = 3},
  [1223] = {.lex_state = 50, .external_lex_state = 3},
  [1224] = {.lex_state = 50, .external_lex_state = 18},
  [1225] = {.lex_state = 50, .external_lex_state = 3},
  [1226] = {.lex_state = 50, .external_lex_state = 3},
  [1227] = {.lex_state = 50, .external_lex_state = 3},
  [1228] = {.lex_state = 50, .external_lex_state = 3},
  [1229] = {.lex_state = 50, .external_lex_state = 3},
  [1230] = {.lex_state = 50, .external_lex_state = 3},
  [1231] = {.lex_state = 50, .external_lex_state = 3},
  [1232] = {.lex_state = 50, .external_lex_state = 3},
  [1233] = {.lex_state = 50, .external_lex_state = 3},
  [1234] = {.lex_state = 50, .external_lex_state = 3},
  [1235] = {.lex_state = 50, .external_lex_state = 3},
  [1236] = {.lex_state = 50, .external_lex_state = 3},
  [1237] = {.lex_state = 50, .external_lex_state = 3},
  [1238] = {.lex_state = 50, .external_lex_state = 3},
  [1239] = {.lex_state = 50, .external_lex_state = 3},
  [1240] = {.lex_state = 50, .external_lex_state = 3},
  [1241] = {.lex_state = 50, .external_lex_state = 3},
  [1242] = {.lex_state = 50, .external_lex_state = 3},
  [1243] = {.lex_state = 50, .external_lex_state = 3},
  [1244] = {.lex_state = 50, .external_lex_state = 3},
  [1245] = {.lex_state = 50, .external_lex_state = 3},
  [1246] = {.lex_state = 50, .external_lex_state = 3},
  [1247] = {.lex_state = 50, .external_lex_state = 3},
  [1248] = {.lex_state = 50, .external_lex_state = 3},
  [1249] = {.lex_state = 50, .external_lex_state = 3},
  [1250] = {.lex_state = 50, .external_lex_state = 3},
  [1251] = {.lex_state = 50, .external_lex_state = 3},
  [1252] = {.lex_state = 50, .external_lex_state = 3},
  [1253] = {.lex_state = 50, .external_lex_state = 3},
  [1254] = {.lex_state = 50, .external_lex_state = 3},
  [1255] = {.lex_state = 50, .external_lex_state = 3},
  [1256] = {.lex_state = 50, .external_lex_state = 3},
  [1257] = {.lex_state = 50, .external_lex_state = 3},
  [1258] = {.lex_state = 50, .external_lex_state = 3},
  [1259] = {.lex_state = 50, .external_lex_state = 3},
  [1260] = {.lex_state = 50, .external_lex_state = 3},
  [1261] = {.lex_state = 50, .external_lex_state = 3},
  [1262] = {.lex_state = 50, .external_lex_state = 3},
  [1263] = {.lex_state = 50, .external_lex_state = 3},
  [1264] = {.lex_state = 50, .external_lex_state = 3},
  [1265] = {.lex_state = 50, .external_lex_state = 3},
  [1266] = {.lex_state = 50, .external_lex_state = 3},
  [1267] = {.lex_state = 50, .external_lex_state = 3},
  [1268] = {.lex_state = 50, .external_lex_state = 3},
  [1269] = {.lex_state = 50, .external_lex_state = 3},
  [1270] = {.lex_state = 50, .external_lex_state = 3},
  [1271] = {.lex_state = 50, .external_lex_state = 3},
  [1272] = {.lex_state = 50, .external_lex_state = 3},
  [1273] = {.lex_state = 50, .external_lex_state = 3},
  [1274] = {.lex_state = 50, .external_lex_state = 3},
  [1275] = {.lex_state = 50, .external_lex_state = 3},
  [1276] = {.lex_state = 50, .external_lex_state = 3},
  [1277] = {.lex_state = 50, .external_lex_state = 3},
  [1278] = {.lex_state = 50, .external_lex_state = 3},
  [1279] = {.lex_state = 50, .external_lex_state = 3},
  [1280] = {.lex_state = 50, .external_lex_state = 3},
  [1281] = {.lex_state = 50, .external_lex_state = 3},
  [1282] = {.lex_state = 50, .external_lex_state = 3},
  [1283] = {.lex_state = 50, .external_lex_state = 3},
  [1284] = {.lex_state = 50, .external_lex_state = 3},
  [1285] = {.lex_state = 50, .external_lex_state = 3},
  [1286] = {.lex_state = 50, .external_lex_state = 3},
  [1287] = {.lex_state = 50, .external_lex_state = 3},
  [1288] = {.lex_state = 50, .external_lex_state = 3},
  [1289] = {.lex_state = 50, .external_lex_state = 3},
  [1290] = {.lex_state = 50, .external_lex_state = 3},
  [1291] = {.lex_state = 50, .external_lex_state = 3},
  [1292] = {.lex_state = 50, .external_lex_state = 3},
  [1293] = {.lex_state = 50, .external_lex_state = 3},
  [1294] = {.lex_state = 50, .external_lex_state = 3},
  [1295] = {.lex_state = 50, .external_lex_state = 3},
  [1296] = {.lex_state = 50, .external_lex_state = 3},
  [1297] = {.lex_state = 50, .external_lex_state = 3},
  [1298] = {.lex_state = 50, .external_lex_state = 3},
  [1299] = {.lex_state = 50, .external_lex_state = 3},
  [1300] = {.lex_state = 50, .external_lex_state = 3},
  [1301] = {.lex_state = 50, .external_lex_state = 3},
  [1302] = {.lex_state = 50, .external_lex_state = 3},
  [1303] = {.lex_state = 50, .external_lex_state = 3},
  [1304] = {.lex_state = 50, .external_lex_state = 3},
  [1305] = {.lex_state = 50, .external_lex_state = 3},
  [1306] = {.lex_state = 50, .external_lex_state = 3},
  [1307] = {.lex_state = 50, .external_lex_state = 3},
  [1308] = {.lex_state = 50, .external_lex_state = 3},
  [1309] = {.lex_state = 50, .external_lex_state = 3},
  [1310] = {.lex_state = 50, .external_lex_state = 3},
  [1311] = {.lex_state = 50, .external_lex_state = 3},
  [1312] = {.lex_state = 50, .external_lex_state = 3},
  [1313] = {.lex_state = 50, .external_lex_state = 3},
  [1314] = {.lex_state = 50, .external_lex_state = 3},
  [1315] = {.lex_state = 50, .external_lex_state = 3},
  [1316] = {.lex_state = 50, .external_lex_state = 3},
  [1317] = {.lex_state = 50, .external_lex_state = 3},
  [1318] = {.lex_state = 50, .external_lex_state = 3},
  [1319] = {.lex_state = 50, .external_lex_state = 3},
  [1320] = {.lex_state = 50, .external_lex_state = 3},
  [1321] = {.lex_state = 50, .external_lex_state = 3},
  [1322] = {.lex_state = 50, .external_lex_state = 3},
  [1323] = {.lex_state = 50, .external_lex_state = 3},
  [1324] = {.lex_state = 50, .external_lex_state = 3},
  [1325] = {.lex_state = 50, .external_lex_state = 3},
  [1326] = {.lex_state = 50, .external_lex_state = 3},
  [1327] = {.lex_state = 50, .external_lex_state = 3},
  [1328] = {.lex_state = 50, .external_lex_state = 3},
  [1329] = {.lex_state = 50, .external_lex_state = 3},
  [1330] = {.lex_state = 50, .external_lex_state = 3},
  [1331] = {.lex_state = 50, .external_lex_state = 3},
  [1332] = {.lex_state = 50, .external_lex_state = 3},
  [1333] = {.lex_state = 50, .external_lex_state = 3},
  [1334] = {.lex_state = 50, .external_lex_state = 3},
  [1335] = {.lex_state = 50, .external_lex_state = 3},
  [1336] = {.lex_state = 50, .external_lex_state = 3},
  [1337] = {.lex_state = 50, .external_lex_state = 3},
  [1338] = {.lex_state = 50, .external_lex_state = 3},
  [1339] = {.lex_state = 50, .external_lex_state = 3},
  [1340] = {.lex_state = 50, .external_lex_state = 3},
  [1341] = {.lex_state = 50, .external_lex_state = 3},
  [1342] = {.lex_state = 50, .external_lex_state = 3},
  [1343] = {.lex_state = 50, .external_lex_state = 3},
  [1344] = {.lex_state = 50, .external_lex_state = 3},
  [1345] = {.lex_state = 50, .external_lex_state = 3},
  [1346] = {.lex_state = 50, .external_lex_state = 3},
  [1347] = {.lex_state = 50, .external_lex_state = 3},
  [1348] = {.lex_state = 50, .external_lex_state = 3},
  [1349] = {.lex_state = 50, .external_lex_state = 3},
  [1350] = {.lex_state = 50, .external_lex_state = 3},
  [1351] = {.lex_state = 50, .external_lex_state = 3},
  [1352] = {.lex_state = 50, .external_lex_state = 3},
  [1353] = {.lex_state = 50, .external_lex_state = 3},
  [1354] = {.lex_state = 50, .external_lex_state = 3},
  [1355] = {.lex_state = 50, .external_lex_state = 3},
  [1356] = {.lex_state = 50, .external_lex_state = 3},
  [1357] = {.lex_state = 50, .external_lex_state = 3},
  [1358] = {.lex_state = 50, .external_lex_state = 3},
  [1359] = {.lex_state = 50, .external_lex_state = 3},
  [1360] = {.lex_state = 50, .external_lex_state = 3},
  [1361] = {.lex_state = 50, .external_lex_state = 3},
  [1362] = {.lex_state = 50, .external_lex_state = 3},
  [1363] = {.lex_state = 50, .external_lex_state = 3},
  [1364] = {.lex_state = 50, .external_lex_state = 3},
  [1365] = {.lex_state = 50, .external_lex_state = 3},
  [1366] = {.lex_state = 50, .external_lex_state = 3},
  [1367] = {.lex_state = 50, .external_lex_state = 3},
  [1368] = {.lex_state = 50, .external_lex_state = 3},
  [1369] = {.lex_state = 50, .external_lex_state = 3},
  [1370] = {.lex_state = 50, .external_lex_state = 3},
  [1371] = {.lex_state = 50, .external_lex_state = 3},
  [1372] = {.lex_state = 50, .external_lex_state = 3},
  [1373] = {.lex_state = 50, .external_lex_state = 3},
  [1374] = {.lex_state = 50, .external_lex_state = 3},
  [1375] = {.lex_state = 50, .external_lex_state = 3},
  [1376] = {.lex_state = 50, .external_lex_state = 3},
  [1377] = {.lex_state = 50, .external_lex_state = 3},
  [1378] = {.lex_state = 50, .external_lex_state = 3},
  [1379] = {.lex_state = 50, .external_lex_state = 3},
  [1380] = {.lex_state = 50, .external_lex_state = 3},
  [1381] = {.lex_state = 2, .external_lex_state = 2},
  [1382] = {.lex_state = 50, .external_lex_state = 3},
  [1383] = {.lex_state = 50, .external_lex_state = 3},
  [1384] = {.lex_state = 50, .external_lex_state = 3},
  [1385] = {.lex_state = 50, .external_lex_state = 3},
  [1386] = {.lex_state = 50, .external_lex_state = 3},
  [1387] = {.lex_state = 50, .external_lex_state = 3},
  [1388] = {.lex_state = 50, .external_lex_state = 3},
  [1389] = {.lex_state = 50, .external_lex_state = 3},
  [1390] = {.lex_state = 50, .external_lex_state = 3},
  [1391] = {.lex_state = 50, .external_lex_state = 3},
  [1392] = {.lex_state = 50, .external_lex_state = 3},
  [1393] = {.lex_state = 50, .external_lex_state = 3},
  [1394] = {.lex_state = 50, .external_lex_state = 3},
  [1395] = {.lex_state = 50, .external_lex_state = 3},
  [1396] = {.lex_state = 50, .external_lex_state = 3},
  [1397] = {.lex_state = 50, .external_lex_state = 3},
  [1398] = {.lex_state = 50, .external_lex_state = 3},
  [1399] = {.lex_state = 50, .external_lex_state = 3},
  [1400] = {.lex_state = 50, .external_lex_state = 3},
  [1401] = {.lex_state = 50, .external_lex_state = 3},
  [1402] = {.lex_state = 50, .external_lex_state = 3},
  [1403] = {.lex_state = 50, .external_lex_state = 3},
  [1404] = {.lex_state = 50, .external_lex_state = 3},
  [1405] = {.lex_state = 50, .external_lex_state = 3},
  [1406] = {.lex_state = 50, .external_lex_state = 3},
  [1407] = {.lex_state = 50, .external_lex_state = 3},
  [1408] = {.lex_state = 50, .external_lex_state = 3},
  [1409] = {.lex_state = 50, .external_lex_state = 3},
  [1410] = {.lex_state = 50, .external_lex_state = 3},
  [1411] = {.lex_state = 50, .external_lex_state = 3},
  [1412] = {.lex_state = 50, .external_lex_state = 3},
  [1413] = {.lex_state = 50, .external_lex_state = 3},
  [1414] = {.lex_state = 50, .external_lex_state = 3},
  [1415] = {.lex_state = 50, .external_lex_state = 3},
  [1416] = {.lex_state = 50, .external_lex_state = 3},
  [1417] = {.lex_state = 50, .external_lex_state = 3},
  [1418] = {.lex_state = 50, .external_lex_state = 3},
  [1419] = {.lex_state = 50, .external_lex_state = 3},
  [1420] = {.lex_state = 50, .external_lex_state = 3},
  [1421] = {.lex_state = 50, .external_lex_state = 3},
  [1422] = {.lex_state = 50, .external_lex_state = 3},
  [1423] = {.lex_state = 50, .external_lex_state = 3},
  [1424] = {.lex_state = 50, .external_lex_state = 3},
  [1425] = {.lex_state = 50, .external_lex_state = 3},
  [1426] = {.lex_state = 50, .external_lex_state = 3},
  [1427] = {.lex_state = 50, .external_lex_state = 3},
  [1428] = {.lex_state = 50, .external_lex_state = 3},
  [1429] = {.lex_state = 50, .external_lex_state = 3},
  [1430] = {.lex_state = 50, .external_lex_state = 3},
  [1431] = {.lex_state = 50, .external_lex_state = 3},
  [1432] = {.lex_state = 50, .external_lex_state = 3},
  [1433] = {.lex_state = 50, .external_lex_state = 3},
  [1434] = {.lex_state = 50, .external_lex_state = 3},
  [1435] = {.lex_state = 50, .external_lex_state = 3},
  [1436] = {.lex_state = 50, .external_lex_state = 3},
  [1437] = {.lex_state = 50, .external_lex_state = 3},
  [1438] = {.lex_state = 50, .external_lex_state = 3},
  [1439] = {.lex_state = 50, .external_lex_state = 3},
  [1440] = {.lex_state = 50, .external_lex_state = 3},
  [1441] = {.lex_state = 50, .external_lex_state = 3},
  [1442] = {.lex_state = 50, .external_lex_state = 3},
  [1443] = {.lex_state = 50, .external_lex_state = 3},
  [1444] = {.lex_state = 50, .external_lex_state = 3},
  [1445] = {.lex_state = 50, .external_lex_state = 3},
  [1446] = {.lex_state = 50, .external_lex_state = 3},
  [1447] = {.lex_state = 50, .external_lex_state = 3},
  [1448] = {.lex_state = 50, .external_lex_state = 3},
  [1449] = {.lex_state = 50, .external_lex_state = 3},
  [1450] = {.lex_state = 50, .external_lex_state = 3},
  [1451] = {.lex_state = 50, .external_lex_state = 3},
  [1452] = {.lex_state = 50, .external_lex_state = 3},
  [1453] = {.lex_state = 50, .external_lex_state = 3},
  [1454] = {.lex_state = 50, .external_lex_state = 3},
  [1455] = {.lex_state = 50, .external_lex_state = 3},
  [1456] = {.lex_state = 50, .external_lex_state = 3},
  [1457] = {.lex_state = 50, .external_lex_state = 3},
  [1458] = {.lex_state = 50, .external_lex_state = 3},
  [1459] = {.lex_state = 50, .external_lex_state = 3},
  [1460] = {.lex_state = 50, .external_lex_state = 3},
  [1461] = {.lex_state = 50, .external_lex_state = 3},
  [1462] = {.lex_state = 50, .external_lex_state = 3},
  [1463] = {.lex_state = 50, .external_lex_state = 3},
  [1464] = {.lex_state = 50, .external_lex_state = 3},
  [1465] = {.lex_state = 50, .external_lex_state = 3},
  [1466] = {.lex_state = 50, .external_lex_state = 3},
  [1467] = {.lex_state = 50, .external_lex_state = 3},
  [1468] = {.lex_state = 50, .external_lex_state = 3},
  [1469] = {.lex_state = 50, .external_lex_state = 3},
  [1470] = {.lex_state = 50, .external_lex_state = 3},
  [1471] = {.lex_state = 50, .external_lex_state = 3},
  [1472] = {.lex_state = 50, .external_lex_state = 3},
  [1473] = {.lex_state = 50, .external_lex_state = 3},
  [1474] = {.lex_state = 50, .external_lex_state = 3},
  [1475] = {.lex_state = 50, .external_lex_state = 3},
  [1476] = {.lex_state = 50, .external_lex_state = 3},
  [1477] = {.lex_state = 50, .external_lex_state = 3},
  [1478] = {.lex_state = 50, .external_lex_state = 3},
  [1479] = {.lex_state = 50, .external_lex_state = 3},
  [1480] = {.lex_state = 50, .external_lex_state = 3},
  [1481] = {.lex_state = 50, .external_lex_state = 3},
  [1482] = {.lex_state = 50, .external_lex_state = 3},
  [1483] = {.lex_state = 50, .external_lex_state = 3},
  [1484] = {.lex_state = 50, .external_lex_state = 3},
  [1485] = {.lex_state = 50, .external_lex_state = 3},
  [1486] = {.lex_state = 50, .external_lex_state = 3},
  [1487] = {.lex_state = 50, .external_lex_state = 3},
  [1488] = {.lex_state = 50, .external_lex_state = 3},
  [1489] = {.lex_state = 50, .external_lex_state = 3},
  [1490] = {.lex_state = 50, .external_lex_state = 3},
  [1491] = {.lex_state = 50, .external_lex_state = 3},
  [1492] = {.lex_state = 50, .external_lex_state = 3},
  [1493] = {.lex_state = 50, .external_lex_state = 3},
  [1494] = {.lex_state = 50, .external_lex_state = 3},
  [1495] = {.lex_state = 50, .external_lex_state = 3},
  [1496] = {.lex_state = 50, .external_lex_state = 3},
  [1497] = {.lex_state = 50, .external_lex_state = 3},
  [1498] = {.lex_state = 50, .external_lex_state = 3},
  [1499] = {.lex_state = 50, .external_lex_state = 3},
  [1500] = {.lex_state = 50, .external_lex_state = 3},
  [1501] = {.lex_state = 50, .external_lex_state = 3},
  [1502] = {.lex_state = 50, .external_lex_state = 19},
  [1503] = {.lex_state = 50, .external_lex_state = 3},
  [1504] = {.lex_state = 50, .external_lex_state = 3},
  [1505] = {.lex_state = 50, .external_lex_state = 3},
  [1506] = {.lex_state = 50, .external_lex_state = 3},
  [1507] = {.lex_state = 50, .external_lex_state = 3},
  [1508] = {.lex_state = 50, .external_lex_state = 3},
  [1509] = {.lex_state = 50, .external_lex_state = 3},
  [1510] = {.lex_state = 50, .external_lex_state = 3},
  [1511] = {.lex_state = 50, .external_lex_state = 3},
  [1512] = {.lex_state = 50, .external_lex_state = 3},
  [1513] = {.lex_state = 50, .external_lex_state = 3},
  [1514] = {.lex_state = 50, .external_lex_state = 3},
  [1515] = {.lex_state = 50, .external_lex_state = 3},
  [1516] = {.lex_state = 50, .external_lex_state = 3},
  [1517] = {.lex_state = 50, .external_lex_state = 3},
  [1518] = {.lex_state = 50, .external_lex_state = 3},
  [1519] = {.lex_state = 50, .external_lex_state = 3},
  [1520] = {.lex_state = 50, .external_lex_state = 3},
  [1521] = {.lex_state = 50, .external_lex_state = 3},
  [1522] = {.lex_state = 50, .external_lex_state = 3},
  [1523] = {.lex_state = 50, .external_lex_state = 3},
  [1524] = {.lex_state = 50, .external_lex_state = 3},
  [1525] = {.lex_state = 50, .external_lex_state = 3},
  [1526] = {.lex_state = 50, .external_lex_state = 3},
  [1527] = {.lex_state = 50, .external_lex_state = 3},
  [1528] = {.lex_state = 50, .external_lex_state = 3},
  [1529] = {.lex_state = 50, .external_lex_state = 3},
  [1530] = {.lex_state = 50, .external_lex_state = 3},
  [1531] = {.lex_state = 50, .external_lex_state = 3},
  [1532] = {.lex_state = 50, .external_lex_state = 3},
  [1533] = {.lex_state = 50, .external_lex_state = 3},
  [1534] = {.lex_state = 50, .external_lex_state = 3},
  [1535] = {.lex_state = 50, .external_lex_state = 3},
  [1536] = {.lex_state = 50, .external_lex_state = 3},
  [1537] = {.lex_state = 50, .external_lex_state = 3},
  [1538] = {.lex_state = 50, .external_lex_state = 3},
  [1539] = {.lex_state = 50, .external_lex_state = 3},
  [1540] = {.lex_state = 50, .external_lex_state = 3},
  [1541] = {.lex_state = 50, .external_lex_state = 3},
  [1542] = {.lex_state = 50, .external_lex_state = 3},
  [1543] = {.lex_state = 50, .external_lex_state = 3},
  [1544] = {.lex_state = 50, .external_lex_state = 3},
  [1545] = {.lex_state = 50, .external_lex_state = 3},
  [1546] = {.lex_state = 50, .external_lex_state = 3},
  [1547] = {.lex_state = 50, .external_lex_state = 3},
  [1548] = {.lex_state = 50, .external_lex_state = 3},
  [1549] = {.lex_state = 50, .external_lex_state = 3},
  [1550] = {.lex_state = 50, .external_lex_state = 3},
  [1551] = {.lex_state = 50, .external_lex_state = 3},
  [1552] = {.lex_state = 50, .external_lex_state = 3},
  [1553] = {.lex_state = 50, .external_lex_state = 3},
  [1554] = {.lex_state = 50, .external_lex_state = 3},
  [1555] = {.lex_state = 50, .external_lex_state = 3},
  [1556] = {.lex_state = 50, .external_lex_state = 3},
  [1557] = {.lex_state = 50, .external_lex_state = 3},
  [1558] = {.lex_state = 50, .external_lex_state = 3},
  [1559] = {.lex_state = 50, .external_lex_state = 3},
  [1560] = {.lex_state = 50, .external_lex_state = 3},
  [1561] = {.lex_state = 50, .external_lex_state = 3},
  [1562] = {.lex_state = 50, .external_lex_state = 3},
  [1563] = {.lex_state = 50, .external_lex_state = 3},
  [1564] = {.lex_state = 50, .external_lex_state = 3},
  [1565] = {.lex_state = 50, .external_lex_state = 3},
  [1566] = {.lex_state = 50, .external_lex_state = 3},
  [1567] = {.lex_state = 50, .external_lex_state = 3},
  [1568] = {.lex_state = 50, .external_lex_state = 3},
  [1569] = {.lex_state = 50, .external_lex_state = 3},
  [1570] = {.lex_state = 50, .external_lex_state = 3},
  [1571] = {.lex_state = 50, .external_lex_state = 3},
  [1572] = {.lex_state = 50, .external_lex_state = 3},
  [1573] = {.lex_state = 50, .external_lex_state = 3},
  [1574] = {.lex_state = 50, .external_lex_state = 3},
  [1575] = {.lex_state = 50, .external_lex_state = 3},
  [1576] = {.lex_state = 50, .external_lex_state = 3},
  [1577] = {.lex_state = 50, .external_lex_state = 3},
  [1578] = {.lex_state = 50, .external_lex_state = 3},
  [1579] = {.lex_state = 50, .external_lex_state = 3},
  [1580] = {.lex_state = 50, .external_lex_state = 3},
  [1581] = {.lex_state = 50, .external_lex_state = 3},
  [1582] = {.lex_state = 50, .external_lex_state = 3},
  [1583] = {.lex_state = 50, .external_lex_state = 3},
  [1584] = {.lex_state = 50, .external_lex_state = 3},
  [1585] = {.lex_state = 50, .external_lex_state = 3},
  [1586] = {.lex_state = 50, .external_lex_state = 3},
  [1587] = {.lex_state = 50, .external_lex_state = 3},
  [1588] = {.lex_state = 50, .external_lex_state = 3},
  [1589] = {.lex_state = 50, .external_lex_state = 3},
  [1590] = {.lex_state = 50, .external_lex_state = 3},
  [1591] = {.lex_state = 50, .external_lex_state = 3},
  [1592] = {.lex_state = 50, .external_lex_state = 3},
  [1593] = {.lex_state = 50, .external_lex_state = 3},
  [1594] = {.lex_state = 50, .external_lex_state = 3},
  [1595] = {.lex_state = 50, .external_lex_state = 3},
  [1596] = {.lex_state = 50, .external_lex_state = 3},
  [1597] = {.lex_state = 50, .external_lex_state = 3},
  [1598] = {.lex_state = 50, .external_lex_state = 3},
  [1599] = {.lex_state = 50, .external_lex_state = 3},
  [1600] = {.lex_state = 50, .external_lex_state = 3},
  [1601] = {.lex_state = 50, .external_lex_state = 3},
  [1602] = {.lex_state = 50, .external_lex_state = 3},
  [1603] = {.lex_state = 50, .external_lex_state = 3},
  [1604] = {.lex_state = 50, .external_lex_state = 3},
  [1605] = {.lex_state = 50, .external_lex_state = 3},
  [1606] = {.lex_state = 50, .external_lex_state = 3},
  [1607] = {.lex_state = 50, .external_lex_state = 3},
  [1608] = {.lex_state = 50, .external_lex_state = 3},
  [1609] = {.lex_state = 50, .external_lex_state = 3},
  [1610] = {.lex_state = 50, .external_lex_state = 3},
  [1611] = {.lex_state = 50, .external_lex_state = 3},
  [1612] = {.lex_state = 50, .external_lex_state = 3},
  [1613] = {.lex_state = 50, .external_lex_state = 3},
  [1614] = {.lex_state = 50, .external_lex_state = 3},
  [1615] = {.lex_state = 50, .external_lex_state = 3},
  [1616] = {.lex_state = 50, .external_lex_state = 3},
  [1617] = {.lex_state = 50, .external_lex_state = 3},
  [1618] = {.lex_state = 50, .external_lex_state = 3},
  [1619] = {.lex_state = 50, .external_lex_state = 3},
  [1620] = {.lex_state = 50, .external_lex_state = 3},
  [1621] = {.lex_state = 50, .external_lex_state = 3},
  [1622] = {.lex_state = 50, .external_lex_state = 3},
  [1623] = {.lex_state = 50, .external_lex_state = 3},
  [1624] = {.lex_state = 50, .external_lex_state = 3},
  [1625] = {.lex_state = 50, .external_lex_state = 3},
  [1626] = {.lex_state = 50, .external_lex_state = 3},
  [1627] = {.lex_state = 50, .external_lex_state = 3},
  [1628] = {.lex_state = 50, .external_lex_state = 3},
  [1629] = {.lex_state = 50, .external_lex_state = 3},
  [1630] = {.lex_state = 50, .external_lex_state = 3},
  [1631] = {.lex_state = 50, .external_lex_state = 3},
  [1632] = {.lex_state = 50, .external_lex_state = 3},
  [1633] = {.lex_state = 50, .external_lex_state = 3},
  [1634] = {.lex_state = 50, .external_lex_state = 3},
  [1635] = {.lex_state = 50, .external_lex_state = 3},
  [1636] = {.lex_state = 50, .external_lex_state = 3},
  [1637] = {.lex_state = 50, .external_lex_state = 3},
  [1638] = {.lex_state = 50, .external_lex_state = 3},
  [1639] = {.lex_state = 50, .external_lex_state = 3},
  [1640] = {.lex_state = 50, .external_lex_state = 3},
  [1641] = {.lex_state = 50, .external_lex_state = 3},
  [1642] = {.lex_state = 50, .external_lex_state = 3},
  [1643] = {.lex_state = 50, .external_lex_state = 3},
  [1644] = {.lex_state = 50, .external_lex_state = 3},
  [1645] = {.lex_state = 50, .external_lex_state = 3},
  [1646] = {.lex_state = 50, .external_lex_state = 3},
  [1647] = {.lex_state = 50, .external_lex_state = 3},
  [1648] = {.lex_state = 50, .external_lex_state = 3},
  [1649] = {.lex_state = 50, .external_lex_state = 3},
  [1650] = {.lex_state = 50, .external_lex_state = 3},
  [1651] = {.lex_state = 50, .external_lex_state = 2},
  [1652] = {.lex_state = 50, .external_lex_state = 2},
  [1653] = {.lex_state = 50, .external_lex_state = 2},
  [1654] = {.lex_state = 50, .external_lex_state = 2},
  [1655] = {.lex_state = 50, .external_lex_state = 2},
  [1656] = {.lex_state = 50, .external_lex_state = 2},
  [1657] = {.lex_state = 50, .external_lex_state = 2},
  [1658] = {.lex_state = 50, .external_lex_state = 2},
  [1659] = {.lex_state = 50, .external_lex_state = 2},
  [1660] = {.lex_state = 50, .external_lex_state = 2},
  [1661] = {.lex_state = 50, .external_lex_state = 2},
  [1662] = {.lex_state = 50, .external_lex_state = 2},
  [1663] = {.lex_state = 50, .external_lex_state = 2},
  [1664] = {.lex_state = 50, .external_lex_state = 2},
  [1665] = {.lex_state = 50, .external_lex_state = 2},
  [1666] = {.lex_state = 50, .external_lex_state = 2},
  [1667] = {.lex_state = 50, .external_lex_state = 2},
  [1668] = {.lex_state = 50, .external_lex_state = 2},
  [1669] = {.lex_state = 50, .external_lex_state = 2},
  [1670] = {.lex_state = 50, .external_lex_state = 21},
  [1671] = {.lex_state = 50, .external_lex_state = 2},
  [1672] = {.lex_state = 50, .external_lex_state = 2},
  [1673] = {.lex_state = 50, .external_lex_state = 2},
  [1674] = {.lex_state = 50, .external_lex_state = 2},
  [1675] = {.lex_state = 50, .external_lex_state = 2},
  [1676] = {.lex_state = 50, .external_lex_state = 2},
  [1677] = {.lex_state = 50, .external_lex_state = 2},
  [1678] = {.lex_state = 50, .external_lex_state = 2},
  [1679] = {.lex_state = 50, .external_lex_state = 2},
  [1680] = {.lex_state = 50, .external_lex_state = 2},
  [1681] = {.lex_state = 50, .external_lex_state = 2},
  [1682] = {.lex_state = 50, .external_lex_state = 2},
  [1683] = {.lex_state = 50, .external_lex_state = 2},
  [1684] = {.lex_state = 50, .external_lex_state = 2},
  [1685] = {.lex_state = 50, .external_lex_state = 2},
  [1686] = {.lex_state = 50, .external_lex_state = 2},
  [1687] = {.lex_state = 50, .external_lex_state = 2},
  [1688] = {.lex_state = 50, .external_lex_state = 2},
  [1689] = {.lex_state = 50, .external_lex_state = 2},
  [1690] = {.lex_state = 50, .external_lex_state = 2},
  [1691] = {.lex_state = 50, .external_lex_state = 2},
  [1692] = {.lex_state = 50, .external_lex_state = 2},
  [1693] = {.lex_state = 50, .external_lex_state = 2},
  [1694] = {.lex_state = 50, .external_lex_state = 2},
  [1695] = {.lex_state = 50, .external_lex_state = 2},
  [1696] = {.lex_state = 50, .external_lex_state = 2},
  [1697] = {.lex_state = 50, .external_lex_state = 2},
  [1698] = {.lex_state = 50, .external_lex_state = 2},
  [1699] = {.lex_state = 50, .external_lex_state = 2},
  [1700] = {.lex_state = 50, .external_lex_state = 2},
  [1701] = {.lex_state = 50, .external_lex_state = 2},
  [1702] = {.lex_state = 50, .external_lex_state = 2},
  [1703] = {.lex_state = 50, .external_lex_state = 2},
  [1704] = {.lex_state = 50, .external_lex_state = 2},
  [1705] = {.lex_state = 50, .external_lex_state = 2},
  [1706] = {.lex_state = 50, .external_lex_state = 2},
  [1707] = {.lex_state = 50, .external_lex_state = 2},
  [1708] = {.lex_state = 50, .external_lex_state = 2},
  [1709] = {.lex_state = 50, .external_lex_state = 2},
  [1710] = {.lex_state = 50, .external_lex_state = 2},
  [1711] = {.lex_state = 50, .external_lex_state = 2},
  [1712] = {.lex_state = 50, .external_lex_state = 21},
  [1713] = {.lex_state = 50, .external_lex_state = 2},
  [1714] = {.lex_state = 50, .external_lex_state = 2},
  [1715] = {.lex_state = 50, .external_lex_state = 2},
  [1716] = {.lex_state = 50, .external_lex_state = 2},
  [1717] = {.lex_state = 50, .external_lex_state = 2},
  [1718] = {.lex_state = 50, .external_lex_state = 2},
  [1719] = {.lex_state = 50, .external_lex_state = 2},
  [1720] = {.lex_state = 50, .external_lex_state = 2},
  [1721] = {.lex_state = 50, .external_lex_state = 2},
  [1722] = {.lex_state = 50, .external_lex_state = 2},
  [1723] = {.lex_state = 50, .external_lex_state = 2},
  [1724] = {.lex_state = 50, .external_lex_state = 2},
  [1725] = {.lex_state = 50, .external_lex_state = 2},
  [1726] = {.lex_state = 50, .external_lex_state = 2},
  [1727] = {.lex_state = 50, .external_lex_state = 2},
  [1728] = {.lex_state = 50, .external_lex_state = 2},
  [1729] = {.lex_state = 50, .external_lex_state = 2},
  [1730] = {.lex_state = 50, .external_lex_state = 2},
  [1731] = {.lex_state = 50, .external_lex_state = 2},
  [1732] = {.lex_state = 50, .external_lex_state = 2},
  [1733] = {.lex_state = 50, .external_lex_state = 2},
  [1734] = {.lex_state = 50, .external_lex_state = 2},
  [1735] = {.lex_state = 50, .external_lex_state = 2},
  [1736] = {.lex_state = 50, .external_lex_state = 2},
  [1737] = {.lex_state = 50, .external_lex_state = 2},
  [1738] = {.lex_state = 50, .external_lex_state = 2},
  [1739] = {.lex_state = 50, .external_lex_state = 2},
  [1740] = {.lex_state = 50, .external_lex_state = 2},
  [1741] = {.lex_state = 50, .external_lex_state = 2},
  [1742] = {.lex_state = 50, .external_lex_state = 2},
  [1743] = {.lex_state = 50, .external_lex_state = 2},
  [1744] = {.lex_state = 50, .external_lex_state = 2},
  [1745] = {.lex_state = 50, .external_lex_state = 2},
  [1746] = {.lex_state = 50, .external_lex_state = 2},
  [1747] = {.lex_state = 50, .external_lex_state = 2},
  [1748] = {.lex_state = 50, .external_lex_state = 2},
  [1749] = {.lex_state = 50, .external_lex_state = 2},
  [1750] = {.lex_state = 50, .external_lex_state = 2},
  [1751] = {.lex_state = 50, .external_lex_state = 2},
  [1752] = {.lex_state = 50, .external_lex_state = 2},
  [1753] = {.lex_state = 50, .external_lex_state = 2},
  [1754] = {.lex_state = 50, .external_lex_state = 2},
  [1755] = {.lex_state = 50, .external_lex_state = 2},
  [1756] = {.lex_state = 50, .external_lex_state = 2},
  [1757] = {.lex_state = 50, .external_lex_state = 2},
  [1758] = {.lex_state = 50, .external_lex_state = 2},
  [1759] = {.lex_state = 50, .external_lex_state = 2},
  [1760] = {.lex_state = 50, .external_lex_state = 2},
  [1761] = {.lex_state = 50, .external_lex_state = 2},
  [1762] = {.lex_state = 50, .external_lex_state = 2},
  [1763] = {.lex_state = 50, .external_lex_state = 2},
  [1764] = {.lex_state = 50, .external_lex_state = 2},
  [1765] = {.lex_state = 50, .external_lex_state = 2},
  [1766] = {.lex_state = 50, .external_lex_state = 2},
  [1767] = {.lex_state = 50, .external_lex_state = 2},
  [1768] = {.lex_state = 50, .external_lex_state = 2},
  [1769] = {.lex_state = 50, .external_lex_state = 2},
  [1770] = {.lex_state = 50, .external_lex_state = 2},
  [1771] = {.lex_state = 50, .external_lex_state = 2},
  [1772] = {.lex_state = 50, .external_lex_state = 2},
  [1773] = {.lex_state = 50, .external_lex_state = 2},
  [1774] = {.lex_state = 50, .external_lex_state = 2},
  [1775] = {.lex_state = 50, .external_lex_state = 2},
  [1776] = {.lex_state = 50, .external_lex_state = 2},
  [1777] = {.lex_state = 50, .external_lex_state = 2},
  [1778] = {.lex_state = 50, .external_lex_state = 2},
  [1779] = {.lex_state = 50, .external_lex_state = 2},
  [1780] = {.lex_state = 50, .external_lex_state = 2},
  [1781] = {.lex_state = 50, .external_lex_state = 2},
  [1782] = {.lex_state = 50, .external_lex_state = 2},
  [1783] = {.lex_state = 50, .external_lex_state = 2},
  [1784] = {.lex_state = 50, .external_lex_state = 2},
  [1785] = {.lex_state = 50, .external_lex_state = 2},
  [1786] = {.lex_state = 50, .external_lex_state = 2},
  [1787] = {.lex_state = 50, .external_lex_state = 2},
  [1788] = {.lex_state = 50, .external_lex_state = 2},
  [1789] = {.lex_state = 50, .external_lex_state = 2},
  [1790] = {.lex_state = 50, .external_lex_state = 2},
  [1791] = {.lex_state = 50, .external_lex_state = 2},
  [1792] = {.lex_state = 50, .external_lex_state = 2},
  [1793] = {.lex_state = 50, .external_lex_state = 2},
  [1794] = {.lex_state = 50, .external_lex_state = 2},
  [1795] = {.lex_state = 50, .external_lex_state = 2},
  [1796] = {.lex_state = 50, .external_lex_state = 2},
  [1797] = {.lex_state = 50, .external_lex_state = 2},
  [1798] = {.lex_state = 50, .external_lex_state = 2},
  [1799] = {.lex_state = 50, .external_lex_state = 2},
  [1800] = {.lex_state = 50, .external_lex_state = 2},
  [1801] = {.lex_state = 50, .external_lex_state = 2},
  [1802] = {.lex_state = 50, .external_lex_state = 2},
  [1803] = {.lex_state = 50, .external_lex_state = 2},
  [1804] = {.lex_state = 50, .external_lex_state = 2},
  [1805] = {.lex_state = 50, .external_lex_state = 2},
  [1806] = {.lex_state = 50, .external_lex_state = 2},
  [1807] = {.lex_state = 50, .external_lex_state = 2},
  [1808] = {.lex_state = 50, .external_lex_state = 2},
  [1809] = {.lex_state = 50, .external_lex_state = 2},
  [1810] = {.lex_state = 50, .external_lex_state = 2},
  [1811] = {.lex_state = 50, .external_lex_state = 2},
  [1812] = {.lex_state = 50, .external_lex_state = 2},
  [1813] = {.lex_state = 50, .external_lex_state = 2},
  [1814] = {.lex_state = 50, .external_lex_state = 2},
  [1815] = {.lex_state = 50, .external_lex_state = 2},
  [1816] = {.lex_state = 50, .external_lex_state = 2},
  [1817] = {.lex_state = 50, .external_lex_state = 2},
  [1818] = {.lex_state = 50, .external_lex_state = 2},
  [1819] = {.lex_state = 50, .external_lex_state = 2},
  [1820] = {.lex_state = 50, .external_lex_state = 2},
  [1821] = {.lex_state = 50, .external_lex_state = 2},
  [1822] = {.lex_state = 50, .external_lex_state = 2},
  [1823] = {.lex_state = 50, .external_lex_state = 2},
  [1824] = {.lex_state = 50, .external_lex_state = 2},
  [1825] = {.lex_state = 50, .external_lex_state = 2},
  [1826] = {.lex_state = 50, .external_lex_state = 2},
  [1827] = {.lex_state = 50, .external_lex_state = 2},
  [1828] = {.lex_state = 50, .external_lex_state = 2},
  [1829] = {.lex_state = 50, .external_lex_state = 2},
  [1830] = {.lex_state = 50, .external_lex_state = 2},
  [1831] = {.lex_state = 50, .external_lex_state = 2},
  [1832] = {.lex_state = 50, .external_lex_state = 2},
  [1833] = {.lex_state = 50, .external_lex_state = 2},
  [1834] = {.lex_state = 50, .external_lex_state = 2},
  [1835] = {.lex_state = 50, .external_lex_state = 2},
  [1836] = {.lex_state = 50, .external_lex_state = 2},
  [1837] = {.lex_state = 50, .external_lex_state = 2},
  [1838] = {.lex_state = 50, .external_lex_state = 2},
  [1839] = {.lex_state = 50, .external_lex_state = 2},
  [1840] = {.lex_state = 50, .external_lex_state = 2},
  [1841] = {.lex_state = 50, .external_lex_state = 2},
  [1842] = {.lex_state = 50, .external_lex_state = 2},
  [1843] = {.lex_state = 50, .external_lex_state = 2},
  [1844] = {.lex_state = 50, .external_lex_state = 2},
  [1845] = {.lex_state = 50, .external_lex_state = 2},
  [1846] = {.lex_state = 50, .external_lex_state = 2},
  [1847] = {.lex_state = 50, .external_lex_state = 2},
  [1848] = {.lex_state = 50, .external_lex_state = 2},
  [1849] = {.lex_state = 50, .external_lex_state = 2},
  [1850] = {.lex_state = 50, .external_lex_state = 2},
  [1851] = {.lex_state = 50, .external_lex_state = 2},
  [1852] = {.lex_state = 50, .external_lex_state = 2},
  [1853] = {.lex_state = 50, .external_lex_state = 2},
  [1854] = {.lex_state = 50, .external_lex_state = 2},
  [1855] = {.lex_state = 50, .external_lex_state = 2},
  [1856] = {.lex_state = 50, .external_lex_state = 2},
  [1857] = {.lex_state = 50, .external_lex_state = 2},
  [1858] = {.lex_state = 50, .external_lex_state = 2},
  [1859] = {.lex_state = 50, .external_lex_state = 2},
  [1860] = {.lex_state = 50, .external_lex_state = 2},
  [1861] = {.lex_state = 50, .external_lex_state = 2},
  [1862] = {.lex_state = 50, .external_lex_state = 2},
  [1863] = {.lex_state = 50, .external_lex_state = 2},
  [1864] = {.lex_state = 50, .external_lex_state = 2},
  [1865] = {.lex_state = 50, .external_lex_state = 2},
  [1866] = {.lex_state = 50, .external_lex_state = 2},
  [1867] = {.lex_state = 50, .external_lex_state = 2},
  [1868] = {.lex_state = 50, .external_lex_state = 2},
  [1869] = {.lex_state = 50, .external_lex_state = 2},
  [1870] = {.lex_state = 50, .external_lex_state = 2},
  [1871] = {.lex_state = 50, .external_lex_state = 2},
  [1872] = {.lex_state = 50, .external_lex_state = 2},
  [1873] = {.lex_state = 50, .external_lex_state = 2},
  [1874] = {.lex_state = 50, .external_lex_state = 2},
  [1875] = {.lex_state = 50, .external_lex_state = 2},
  [1876] = {.lex_state = 50, .external_lex_state = 2},
  [1877] = {.lex_state = 50, .external_lex_state = 2},
  [1878] = {.lex_state = 50, .external_lex_state = 2},
  [1879] = {.lex_state = 50, .external_lex_state = 2},
  [1880] = {.lex_state = 50, .external_lex_state = 2},
  [1881] = {.lex_state = 50, .external_lex_state = 2},
  [1882] = {.lex_state = 50, .external_lex_state = 2},
  [1883] = {.lex_state = 50, .external_lex_state = 2},
  [1884] = {.lex_state = 50, .external_lex_state = 2},
  [1885] = {.lex_state = 50, .external_lex_state = 2},
  [1886] = {.lex_state = 50, .external_lex_state = 2},
  [1887] = {.lex_state = 50, .external_lex_state = 2},
  [1888] = {.lex_state = 50, .external_lex_state = 2},
  [1889] = {.lex_state = 50, .external_lex_state = 2},
  [1890] = {.lex_state = 50, .external_lex_state = 2},
  [1891] = {.lex_state = 50, .external_lex_state = 2},
  [1892] = {.lex_state = 50, .external_lex_state = 2},
  [1893] = {.lex_state = 50, .external_lex_state = 2},
  [1894] = {.lex_state = 50, .external_lex_state = 2},
  [1895] = {.lex_state = 50, .external_lex_state = 2},
  [1896] = {.lex_state = 50, .external_lex_state = 2},
  [1897] = {.lex_state = 50, .external_lex_state = 2},
  [1898] = {.lex_state = 50, .external_lex_state = 2},
  [1899] = {.lex_state = 50, .external_lex_state = 2},
  [1900] = {.lex_state = 50, .external_lex_state = 2},
  [1901] = {.lex_state = 50, .external_lex_state = 2},
  [1902] = {.lex_state = 50, .external_lex_state = 2},
  [1903] = {.lex_state = 50, .external_lex_state = 2},
  [1904] = {.lex_state = 50, .external_lex_state = 2},
  [1905] = {.lex_state = 50, .external_lex_state = 2},
  [1906] = {.lex_state = 50, .external_lex_state = 2},
  [1907] = {.lex_state = 50, .external_lex_state = 2},
  [1908] = {.lex_state = 50, .external_lex_state = 2},
  [1909] = {.lex_state = 50, .external_lex_state = 2},
  [1910] = {.lex_state = 50, .external_lex_state = 2},
  [1911] = {.lex_state = 50, .external_lex_state = 2},
  [1912] = {.lex_state = 50, .external_lex_state = 2},
  [1913] = {.lex_state = 50, .external_lex_state = 2},
  [1914] = {.lex_state = 50, .external_lex_state = 2},
  [1915] = {.lex_state = 50, .external_lex_state = 2},
  [1916] = {.lex_state = 50, .external_lex_state = 2},
  [1917] = {.lex_state = 50, .external_lex_state = 2},
  [1918] = {.lex_state = 50, .external_lex_state = 2},
  [1919] = {.lex_state = 50, .external_lex_state = 2},
  [1920] = {.lex_state = 50, .external_lex_state = 2},
  [1921] = {.lex_state = 50, .external_lex_state = 2},
  [1922] = {.lex_state = 50, .external_lex_state = 2},
  [1923] = {.lex_state = 50, .external_lex_state = 2},
  [1924] = {.lex_state = 50, .external_lex_state = 2},
  [1925] = {.lex_state = 50, .external_lex_state = 2},
  [1926] = {.lex_state = 50, .external_lex_state = 2},
  [1927] = {.lex_state = 50, .external_lex_state = 2},
  [1928] = {.lex_state = 50, .external_lex_state = 2},
  [1929] = {.lex_state = 50, .external_lex_state = 2},
  [1930] = {.lex_state = 50, .external_lex_state = 2},
  [1931] = {.lex_state = 50, .external_lex_state = 2},
  [1932] = {.lex_state = 50, .external_lex_state = 2},
  [1933] = {.lex_state = 50, .external_lex_state = 2},
  [1934] = {.lex_state = 50, .external_lex_state = 2},
  [1935] = {.lex_state = 50, .external_lex_state = 2},
  [1936] = {.lex_state = 50, .external_lex_state = 2},
  [1937] = {.lex_state = 50, .external_lex_state = 2},
  [1938] = {.lex_state = 50, .external_lex_state = 2},
  [1939] = {.lex_state = 50, .external_lex_state = 2},
  [1940] = {.lex_state = 50, .external_lex_state = 2},
  [1941] = {.lex_state = 50, .external_lex_state = 2},
  [1942] = {.lex_state = 50, .external_lex_state = 2},
  [1943] = {.lex_state = 50, .external_lex_state = 2},
  [1944] = {.lex_state = 50, .external_lex_state = 2},
  [1945] = {.lex_state = 50, .external_lex_state = 2},
  [1946] = {.lex_state = 50, .external_lex_state = 2},
  [1947] = {.lex_state = 50, .external_lex_state = 2},
  [1948] = {.lex_state = 50, .external_lex_state = 2},
  [1949] = {.lex_state = 50, .external_lex_state = 2},
  [1950] = {.lex_state = 50, .external_lex_state = 2},
  [1951] = {.lex_state = 50, .external_lex_state = 2},
  [1952] = {.lex_state = 50, .external_lex_state = 2},
  [1953] = {.lex_state = 50, .external_lex_state = 2},
  [1954] = {.lex_state = 50, .external_lex_state = 2},
  [1955] = {.lex_state = 50, .external_lex_state = 2},
  [1956] = {.lex_state = 50, .external_lex_state = 2},
  [1957] = {.lex_state = 50, .external_lex_state = 2},
  [1958] = {.lex_state = 50, .external_lex_state = 2},
  [1959] = {.lex_state = 50, .external_lex_state = 2},
  [1960] = {.lex_state = 50, .external_lex_state = 2},
  [1961] = {.lex_state = 50, .external_lex_state = 2},
  [1962] = {.lex_state = 50, .external_lex_state = 2},
  [1963] = {.lex_state = 50, .external_lex_state = 2},
  [1964] = {.lex_state = 50, .external_lex_state = 2},
  [1965] = {.lex_state = 50, .external_lex_state = 2},
  [1966] = {.lex_state = 50, .external_lex_state = 2},
  [1967] = {.lex_state = 50, .external_lex_state = 2},
  [1968] = {.lex_state = 50, .external_lex_state = 2},
  [1969] = {.lex_state = 50, .external_lex_state = 2},
  [1970] = {.lex_state = 50, .external_lex_state = 2},
  [1971] = {.lex_state = 50, .external_lex_state = 2},
  [1972] = {.lex_state = 50, .external_lex_state = 2},
  [1973] = {.lex_state = 50, .external_lex_state = 2},
  [1974] = {.lex_state = 50, .external_lex_state = 2},
  [1975] = {.lex_state = 50, .external_lex_state = 2},
  [1976] = {.lex_state = 50, .external_lex_state = 2},
  [1977] = {.lex_state = 50, .external_lex_state = 2},
  [1978] = {.lex_state = 50, .external_lex_state = 2},
  [1979] = {.lex_state = 50, .external_lex_state = 2},
  [1980] = {.lex_state = 50, .external_lex_state = 2},
  [1981] = {.lex_state = 50, .external_lex_state = 2},
  [1982] = {.lex_state = 50, .external_lex_state = 2},
  [1983] = {.lex_state = 50, .external_lex_state = 2},
  [1984] = {.lex_state = 50, .external_lex_state = 2},
  [1985] = {.lex_state = 50, .external_lex_state = 2},
  [1986] = {.lex_state = 50, .external_lex_state = 2},
  [1987] = {.lex_state = 50, .external_lex_state = 2},
  [1988] = {.lex_state = 50, .external_lex_state = 2},
  [1989] = {.lex_state = 50, .external_lex_state = 2},
  [1990] = {.lex_state = 50, .external_lex_state = 2},
  [1991] = {.lex_state = 50, .external_lex_state = 2},
  [1992] = {.lex_state = 50, .external_lex_state = 2},
  [1993] = {.lex_state = 50, .external_lex_state = 2},
  [1994] = {.lex_state = 50, .external_lex_state = 2},
  [1995] = {.lex_state = 50, .external_lex_state = 2},
  [1996] = {.lex_state = 50, .external_lex_state = 2},
  [1997] = {.lex_state = 50, .external_lex_state = 2},
  [1998] = {.lex_state = 50, .external_lex_state = 2},
  [1999] = {.lex_state = 50, .external_lex_state = 2},
  [2000] = {.lex_state = 50, .external_lex_state = 2},
  [2001] = {.lex_state = 50, .external_lex_state = 2},
  [2002] = {.lex_state = 50, .external_lex_state = 2},
  [2003] = {.lex_state = 50, .external_lex_state = 2},
  [2004] = {.lex_state = 50, .external_lex_state = 2},
  [2005] = {.lex_state = 50, .external_lex_state = 2},
  [2006] = {.lex_state = 50, .external_lex_state = 2},
  [2007] = {.lex_state = 50, .external_lex_state = 2},
  [2008] = {.lex_state = 50, .external_lex_state = 2},
  [2009] = {.lex_state = 50, .external_lex_state = 2},
  [2010] = {.lex_state = 50, .external_lex_state = 2},
  [2011] = {.lex_state = 50, .external_lex_state = 2},
  [2012] = {.lex_state = 50, .external_lex_state = 2},
  [2013] = {.lex_state = 50, .external_lex_state = 2},
  [2014] = {.lex_state = 50, .external_lex_state = 2},
  [2015] = {.lex_state = 50, .external_lex_state = 2},
  [2016] = {.lex_state = 50, .external_lex_state = 2},
  [2017] = {.lex_state = 50, .external_lex_state = 2},
  [2018] = {.lex_state = 50, .external_lex_state = 2},
  [2019] = {.lex_state = 50, .external_lex_state = 2},
  [2020] = {.lex_state = 50, .external_lex_state = 2},
  [2021] = {.lex_state = 50, .external_lex_state = 2},
  [2022] = {.lex_state = 50, .external_lex_state = 2},
  [2023] = {.lex_state = 50, .external_lex_state = 2},
  [2024] = {.lex_state = 50, .external_lex_state = 2},
  [2025] = {.lex_state = 50, .external_lex_state = 2},
  [2026] = {.lex_state = 50, .external_lex_state = 2},
  [2027] = {.lex_state = 50, .external_lex_state = 2},
  [2028] = {.lex_state = 50, .external_lex_state = 2},
  [2029] = {.lex_state = 50, .external_lex_state = 2},
  [2030] = {.lex_state = 50, .external_lex_state = 2},
  [2031] = {.lex_state = 50, .external_lex_state = 2},
  [2032] = {.lex_state = 50, .external_lex_state = 2},
  [2033] = {.lex_state = 50, .external_lex_state = 2},
  [2034] = {.lex_state = 50, .external_lex_state = 2},
  [2035] = {.lex_state = 50, .external_lex_state = 2},
  [2036] = {.lex_state = 50, .external_lex_state = 2},
  [2037] = {.lex_state = 50, .external_lex_state = 2},
  [2038] = {.lex_state = 50, .external_lex_state = 2},
  [2039] = {.lex_state = 50, .external_lex_state = 2},
  [2040] = {.lex_state = 50, .external_lex_state = 2},
  [2041] = {.lex_state = 50, .external_lex_state = 2},
  [2042] = {.lex_state = 50, .external_lex_state = 2},
  [2043] = {.lex_state = 50, .external_lex_state = 2},
  [2044] = {.lex_state = 50, .external_lex_state = 2},
  [2045] = {.lex_state = 50, .external_lex_state = 2},
  [2046] = {.lex_state = 50, .external_lex_state = 2},
  [2047] = {.lex_state = 50, .external_lex_state = 2},
  [2048] = {.lex_state = 50, .external_lex_state = 2},
  [2049] = {.lex_state = 50, .external_lex_state = 2},
  [2050] = {.lex_state = 50, .external_lex_state = 2},
  [2051] = {.lex_state = 50, .external_lex_state = 2},
  [2052] = {.lex_state = 50, .external_lex_state = 2},
  [2053] = {.lex_state = 50, .external_lex_state = 2},
  [2054] = {.lex_state = 50, .external_lex_state = 2},
  [2055] = {.lex_state = 50, .external_lex_state = 2},
  [2056] = {.lex_state = 50, .external_lex_state = 2},
  [2057] = {.lex_state = 50, .external_lex_state = 2},
  [2058] = {.lex_state = 50, .external_lex_state = 2},
  [2059] = {.lex_state = 50, .external_lex_state = 2},
  [2060] = {.lex_state = 50, .external_lex_state = 2},
  [2061] = {.lex_state = 50, .external_lex_state = 2},
  [2062] = {.lex_state = 50, .external_lex_state = 2},
  [2063] = {.lex_state = 50, .external_lex_state = 2},
  [2064] = {.lex_state = 50, .external_lex_state = 2},
  [2065] = {.lex_state = 50, .external_lex_state = 2},
  [2066] = {.lex_state = 50, .external_lex_state = 2},
  [2067] = {.lex_state = 50, .external_lex_state = 2},
  [2068] = {.lex_state = 50, .external_lex_state = 2},
  [2069] = {.lex_state = 50, .external_lex_state = 2},
  [2070] = {.lex_state = 50, .external_lex_state = 2},
  [2071] = {.lex_state = 50, .external_lex_state = 2},
  [2072] = {.lex_state = 50, .external_lex_state = 2},
  [2073] = {.lex_state = 50, .external_lex_state = 2},
  [2074] = {.lex_state = 50, .external_lex_state = 2},
  [2075] = {.lex_state = 50, .external_lex_state = 2},
  [2076] = {.lex_state = 50, .external_lex_state = 2},
  [2077] = {.lex_state = 50, .external_lex_state = 2},
  [2078] = {.lex_state = 50, .external_lex_state = 2},
  [2079] = {.lex_state = 50, .external_lex_state = 2},
  [2080] = {.lex_state = 50, .external_lex_state = 2},
  [2081] = {.lex_state = 50, .external_lex_state = 2},
  [2082] = {.lex_state = 50, .external_lex_state = 2},
  [2083] = {.lex_state = 50, .external_lex_state = 2},
  [2084] = {.lex_state = 50, .external_lex_state = 2},
  [2085] = {.lex_state = 50, .external_lex_state = 2},
  [2086] = {.lex_state = 50, .external_lex_state = 2},
  [2087] = {.lex_state = 50, .external_lex_state = 2},
  [2088] = {.lex_state = 50, .external_lex_state = 2},
  [2089] = {.lex_state = 50, .external_lex_state = 2},
  [2090] = {.lex_state = 50, .external_lex_state = 2},
  [2091] = {.lex_state = 50, .external_lex_state = 2},
  [2092] = {.lex_state = 50, .external_lex_state = 2},
  [2093] = {.lex_state = 50, .external_lex_state = 2},
  [2094] = {.lex_state = 50, .external_lex_state = 2},
  [2095] = {.lex_state = 50, .external_lex_state = 2},
  [2096] = {.lex_state = 50, .external_lex_state = 2},
  [2097] = {.lex_state = 50, .external_lex_state = 2},
  [2098] = {.lex_state = 50, .external_lex_state = 2},
  [2099] = {.lex_state = 50, .external_lex_state = 2},
  [2100] = {.lex_state = 50, .external_lex_state = 2},
  [2101] = {.lex_state = 50, .external_lex_state = 2},
  [2102] = {.lex_state = 50, .external_lex_state = 2},
  [2103] = {.lex_state = 50, .external_lex_state = 2},
  [2104] = {.lex_state = 50, .external_lex_state = 2},
  [2105] = {.lex_state = 50, .external_lex_state = 2},
  [2106] = {.lex_state = 50, .external_lex_state = 2},
  [2107] = {.lex_state = 50, .external_lex_state = 2},
  [2108] = {.lex_state = 50, .external_lex_state = 2},
  [2109] = {.lex_state = 50, .external_lex_state = 2},
  [2110] = {.lex_state = 50, .external_lex_state = 2},
  [2111] = {.lex_state = 50, .external_lex_state = 2},
  [2112] = {.lex_state = 50, .external_lex_state = 2},
  [2113] = {.lex_state = 50, .external_lex_state = 2},
  [2114] = {.lex_state = 50, .external_lex_state = 2},
  [2115] = {.lex_state = 50, .external_lex_state = 2},
  [2116] = {.lex_state = 50, .external_lex_state = 2},
  [2117] = {.lex_state = 50, .external_lex_state = 2},
  [2118] = {.lex_state = 50, .external_lex_state = 2},
  [2119] = {.lex_state = 50, .external_lex_state = 2},
  [2120] = {.lex_state = 50, .external_lex_state = 2},
  [2121] = {.lex_state = 50, .external_lex_state = 2},
  [2122] = {.lex_state = 50, .external_lex_state = 2},
  [2123] = {.lex_state = 50, .external_lex_state = 2},
  [2124] = {.lex_state = 50, .external_lex_state = 2},
  [2125] = {.lex_state = 50, .external_lex_state = 2},
  [2126] = {.lex_state = 50, .external_lex_state = 2},
  [2127] = {.lex_state = 50, .external_lex_state = 2},
  [2128] = {.lex_state = 50, .external_lex_state = 2},
  [2129] = {.lex_state = 50, .external_lex_state = 2},
  [2130] = {.lex_state = 50, .external_lex_state = 2},
  [2131] = {.lex_state = 50, .external_lex_state = 2},
  [2132] = {.lex_state = 50, .external_lex_state = 2},
  [2133] = {.lex_state = 50, .external_lex_state = 2},
  [2134] = {.lex_state = 50, .external_lex_state = 2},
  [2135] = {.lex_state = 50, .external_lex_state = 2},
  [2136] = {.lex_state = 50, .external_lex_state = 2},
  [2137] = {.lex_state = 50, .external_lex_state = 2},
  [2138] = {.lex_state = 50, .external_lex_state = 2},
  [2139] = {.lex_state = 50, .external_lex_state = 2},
  [2140] = {.lex_state = 50, .external_lex_state = 2},
  [2141] = {.lex_state = 50, .external_lex_state = 2},
  [2142] = {.lex_state = 50, .external_lex_state = 2},
  [2143] = {.lex_state = 50, .external_lex_state = 2},
  [2144] = {.lex_state = 50, .external_lex_state = 2},
  [2145] = {.lex_state = 50, .external_lex_state = 2},
  [2146] = {.lex_state = 50, .external_lex_state = 2},
  [2147] = {.lex_state = 50, .external_lex_state = 2},
  [2148] = {.lex_state = 50, .external_lex_state = 2},
  [2149] = {.lex_state = 50, .external_lex_state = 2},
  [2150] = {.lex_state = 50, .external_lex_state = 2},
  [2151] = {.lex_state = 50, .external_lex_state = 2},
  [2152] = {.lex_state = 50, .external_lex_state = 2},
  [2153] = {.lex_state = 50, .external_lex_state = 2},
  [2154] = {.lex_state = 50, .external_lex_state = 2},
  [2155] = {.lex_state = 50, .external_lex_state = 2},
  [2156] = {.lex_state = 50, .external_lex_state = 2},
  [2157] = {.lex_state = 50, .external_lex_state = 2},
  [2158] = {.lex_state = 50, .external_lex_state = 2},
  [2159] = {.lex_state = 50, .external_lex_state = 2},
  [2160] = {.lex_state = 50, .external_lex_state = 2},
  [2161] = {.lex_state = 50, .external_lex_state = 2},
  [2162] = {.lex_state = 50, .external_lex_state = 2},
  [2163] = {.lex_state = 50, .external_lex_state = 2},
  [2164] = {.lex_state = 50, .external_lex_state = 2},
  [2165] = {.lex_state = 50, .external_lex_state = 2},
  [2166] = {.lex_state = 50, .external_lex_state = 2},
  [2167] = {.lex_state = 50, .external_lex_state = 2},
  [2168] = {.lex_state = 50, .external_lex_state = 2},
  [2169] = {.lex_state = 50, .external_lex_state = 2},
  [2170] = {.lex_state = 50, .external_lex_state = 2},
  [2171] = {.lex_state = 50, .external_lex_state = 2},
  [2172] = {.lex_state = 50, .external_lex_state = 2},
  [2173] = {.lex_state = 50, .external_lex_state = 2},
  [2174] = {.lex_state = 50, .external_lex_state = 2},
  [2175] = {.lex_state = 50, .external_lex_state = 2},
  [2176] = {.lex_state = 50, .external_lex_state = 2},
  [2177] = {.lex_state = 50, .external_lex_state = 2},
  [2178] = {.lex_state = 50, .external_lex_state = 2},
  [2179] = {.lex_state = 50, .external_lex_state = 2},
  [2180] = {.lex_state = 50, .external_lex_state = 2},
  [2181] = {.lex_state = 50, .external_lex_state = 2},
  [2182] = {.lex_state = 50, .external_lex_state = 2},
  [2183] = {.lex_state = 50, .external_lex_state = 2},
  [2184] = {.lex_state = 50, .external_lex_state = 2},
  [2185] = {.lex_state = 50, .external_lex_state = 2},
  [2186] = {.lex_state = 50, .external_lex_state = 2},
  [2187] = {.lex_state = 50, .external_lex_state = 2},
  [2188] = {.lex_state = 50, .external_lex_state = 2},
  [2189] = {.lex_state = 50, .external_lex_state = 2},
  [2190] = {.lex_state = 50, .external_lex_state = 2},
  [2191] = {.lex_state = 50, .external_lex_state = 2},
  [2192] = {.lex_state = 50, .external_lex_state = 2},
  [2193] = {.lex_state = 50, .external_lex_state = 2},
  [2194] = {.lex_state = 50, .external_lex_state = 2},
  [2195] = {.lex_state = 50, .external_lex_state = 2},
  [2196] = {.lex_state = 50, .external_lex_state = 2},
  [2197] = {.lex_state = 50, .external_lex_state = 2},
  [2198] = {.lex_state = 50, .external_lex_state = 2},
  [2199] = {.lex_state = 50, .external_lex_state = 2},
  [2200] = {.lex_state = 50, .external_lex_state = 2},
  [2201] = {.lex_state = 50, .external_lex_state = 2},
  [2202] = {.lex_state = 50, .external_lex_state = 2},
  [2203] = {.lex_state = 50, .external_lex_state = 2},
  [2204] = {.lex_state = 50, .external_lex_state = 2},
  [2205] = {.lex_state = 50, .external_lex_state = 2},
  [2206] = {.lex_state = 50, .external_lex_state = 2},
  [2207] = {.lex_state = 50, .external_lex_state = 2},
  [2208] = {.lex_state = 50, .external_lex_state = 2},
  [2209] = {.lex_state = 50, .external_lex_state = 2},
  [2210] = {.lex_state = 50, .external_lex_state = 2},
  [2211] = {.lex_state = 50, .external_lex_state = 2},
  [2212] = {.lex_state = 50, .external_lex_state = 2},
  [2213] = {.lex_state = 50, .external_lex_state = 2},
  [2214] = {.lex_state = 50, .external_lex_state = 2},
  [2215] = {.lex_state = 50, .external_lex_state = 2},
  [2216] = {.lex_state = 50, .external_lex_state = 2},
  [2217] = {.lex_state = 50, .external_lex_state = 2},
  [2218] = {.lex_state = 50, .external_lex_state = 2},
  [2219] = {.lex_state = 50, .external_lex_state = 2},
  [2220] = {.lex_state = 50, .external_lex_state = 2},
  [2221] = {.lex_state = 50, .external_lex_state = 2},
  [2222] = {.lex_state = 50, .external_lex_state = 2},
  [2223] = {.lex_state = 50, .external_lex_state = 2},
  [2224] = {.lex_state = 50, .external_lex_state = 2},
  [2225] = {.lex_state = 50, .external_lex_state = 2},
  [2226] = {.lex_state = 50, .external_lex_state = 2},
  [2227] = {.lex_state = 50, .external_lex_state = 2},
  [2228] = {.lex_state = 50, .external_lex_state = 2},
  [2229] = {.lex_state = 50, .external_lex_state = 2},
  [2230] = {.lex_state = 50, .external_lex_state = 2},
  [2231] = {.lex_state = 50, .external_lex_state = 2},
  [2232] = {.lex_state = 50, .external_lex_state = 2},
  [2233] = {.lex_state = 50, .external_lex_state = 2},
  [2234] = {.lex_state = 50, .external_lex_state = 2},
  [2235] = {.lex_state = 50, .external_lex_state = 2},
  [2236] = {.lex_state = 50, .external_lex_state = 2},
  [2237] = {.lex_state = 50, .external_lex_state = 2},
  [2238] = {.lex_state = 50, .external_lex_state = 2},
  [2239] = {.lex_state = 50, .external_lex_state = 2},
  [2240] = {.lex_state = 50, .external_lex_state = 2},
  [2241] = {.lex_state = 50, .external_lex_state = 2},
  [2242] = {.lex_state = 50, .external_lex_state = 2},
  [2243] = {.lex_state = 50, .external_lex_state = 2},
  [2244] = {.lex_state = 50, .external_lex_state = 2},
  [2245] = {.lex_state = 50, .external_lex_state = 2},
  [2246] = {.lex_state = 50, .external_lex_state = 2},
  [2247] = {.lex_state = 50, .external_lex_state = 2},
  [2248] = {.lex_state = 50, .external_lex_state = 2},
  [2249] = {.lex_state = 50, .external_lex_state = 2},
  [2250] = {.lex_state = 50, .external_lex_state = 2},
  [2251] = {.lex_state = 50, .external_lex_state = 2},
  [2252] = {.lex_state = 50, .external_lex_state = 2},
  [2253] = {.lex_state = 50, .external_lex_state = 2},
  [2254] = {.lex_state = 50, .external_lex_state = 2},
  [2255] = {.lex_state = 50, .external_lex_state = 2},
  [2256] = {.lex_state = 50, .external_lex_state = 2},
  [2257] = {.lex_state = 50, .external_lex_state = 2},
  [2258] = {.lex_state = 50, .external_lex_state = 2},
  [2259] = {.lex_state = 50, .external_lex_state = 2},
  [2260] = {.lex_state = 50, .external_lex_state = 2},
  [2261] = {.lex_state = 50, .external_lex_state = 2},
  [2262] = {.lex_state = 50, .external_lex_state = 2},
  [2263] = {.lex_state = 50, .external_lex_state = 2},
  [2264] = {.lex_state = 50, .external_lex_state = 2},
  [2265] = {.lex_state = 50, .external_lex_state = 2},
  [2266] = {.lex_state = 50, .external_lex_state = 2},
  [2267] = {.lex_state = 50, .external_lex_state = 2},
  [2268] = {.lex_state = 50, .external_lex_state = 2},
  [2269] = {.lex_state = 50, .external_lex_state = 2},
  [2270] = {.lex_state = 50, .external_lex_state = 2},
  [2271] = {.lex_state = 50, .external_lex_state = 2},
  [2272] = {.lex_state = 50, .external_lex_state = 2},
  [2273] = {.lex_state = 50, .external_lex_state = 2},
  [2274] = {.lex_state = 50, .external_lex_state = 2},
  [2275] = {.lex_state = 50, .external_lex_state = 2},
  [2276] = {.lex_state = 50, .external_lex_state = 2},
  [2277] = {.lex_state = 50, .external_lex_state = 2},
  [2278] = {.lex_state = 50, .external_lex_state = 2},
  [2279] = {.lex_state = 50, .external_lex_state = 2},
  [2280] = {.lex_state = 50, .external_lex_state = 2},
  [2281] = {.lex_state = 50, .external_lex_state = 2},
  [2282] = {.lex_state = 50, .external_lex_state = 2},
  [2283] = {.lex_state = 50, .external_lex_state = 2},
  [2284] = {.lex_state = 50, .external_lex_state = 2},
  [2285] = {.lex_state = 50, .external_lex_state = 2},
  [2286] = {.lex_state = 50, .external_lex_state = 2},
  [2287] = {.lex_state = 50, .external_lex_state = 2},
  [2288] = {.lex_state = 50, .external_lex_state = 2},
  [2289] = {.lex_state = 50, .external_lex_state = 2},
  [2290] = {.lex_state = 50, .external_lex_state = 2},
  [2291] = {.lex_state = 50, .external_lex_state = 2},
  [2292] = {.lex_state = 50, .external_lex_state = 2},
  [2293] = {.lex_state = 50, .external_lex_state = 2},
  [2294] = {.lex_state = 50, .external_lex_state = 2},
  [2295] = {.lex_state = 50, .external_lex_state = 2},
  [2296] = {.lex_state = 50, .external_lex_state = 2},
  [2297] = {.lex_state = 50, .external_lex_state = 2},
  [2298] = {.lex_state = 50, .external_lex_state = 2},
  [2299] = {.lex_state = 50, .external_lex_state = 2},
  [2300] = {.lex_state = 50, .external_lex_state = 2},
  [2301] = {.lex_state = 50, .external_lex_state = 2},
  [2302] = {.lex_state = 50, .external_lex_state = 2},
  [2303] = {.lex_state = 50, .external_lex_state = 2},
  [2304] = {.lex_state = 50, .external_lex_state = 2},
  [2305] = {.lex_state = 50, .external_lex_state = 2},
  [2306] = {.lex_state = 50, .external_lex_state = 2},
  [2307] = {.lex_state = 50, .external_lex_state = 2},
  [2308] = {.lex_state = 50, .external_lex_state = 2},
  [2309] = {.lex_state = 50, .external_lex_state = 2},
  [2310] = {.lex_state = 50, .external_lex_state = 2},
  [2311] = {.lex_state = 50, .external_lex_state = 2},
  [2312] = {.lex_state = 50, .external_lex_state = 2},
  [2313] = {.lex_state = 50, .external_lex_state = 2},
  [2314] = {.lex_state = 50, .external_lex_state = 2},
  [2315] = {.lex_state = 50, .external_lex_state = 2},
  [2316] = {.lex_state = 50, .external_lex_state = 2},
  [2317] = {.lex_state = 50, .external_lex_state = 2},
  [2318] = {.lex_state = 50, .external_lex_state = 2},
  [2319] = {.lex_state = 50, .external_lex_state = 2},
  [2320] = {.lex_state = 50, .external_lex_state = 2},
  [2321] = {.lex_state = 50, .external_lex_state = 2},
  [2322] = {.lex_state = 50, .external_lex_state = 2},
  [2323] = {.lex_state = 50, .external_lex_state = 2},
  [2324] = {.lex_state = 50, .external_lex_state = 2},
  [2325] = {.lex_state = 50, .external_lex_state = 2},
  [2326] = {.lex_state = 50, .external_lex_state = 2},
  [2327] = {.lex_state = 50, .external_lex_state = 2},
  [2328] = {.lex_state = 50, .external_lex_state = 2},
  [2329] = {.lex_state = 50, .external_lex_state = 2},
  [2330] = {.lex_state = 50, .external_lex_state = 2},
  [2331] = {.lex_state = 50, .external_lex_state = 2},
  [2332] = {.lex_state = 50, .external_lex_state = 2},
  [2333] = {.lex_state = 50, .external_lex_state = 2},
  [2334] = {.lex_state = 50, .external_lex_state = 2},
  [2335] = {.lex_state = 50, .external_lex_state = 2},
  [2336] = {.lex_state = 50, .external_lex_state = 2},
  [2337] = {.lex_state = 50, .external_lex_state = 2},
  [2338] = {.lex_state = 50, .external_lex_state = 2},
  [2339] = {.lex_state = 50, .external_lex_state = 2},
  [2340] = {.lex_state = 50, .external_lex_state = 2},
  [2341] = {.lex_state = 50, .external_lex_state = 2},
  [2342] = {.lex_state = 50, .external_lex_state = 2},
  [2343] = {.lex_state = 50, .external_lex_state = 2},
  [2344] = {.lex_state = 50, .external_lex_state = 2},
  [2345] = {.lex_state = 50, .external_lex_state = 2},
  [2346] = {.lex_state = 50, .external_lex_state = 2},
  [2347] = {.lex_state = 50, .external_lex_state = 2},
  [2348] = {.lex_state = 48, .external_lex_state = 20},
  [2349] = {.lex_state = 48, .external_lex_state = 22},
  [2350] = {.lex_state = 48, .external_lex_state = 20},
  [2351] = {.lex_state = 60, .external_lex_state = 3},
  [2352] = {.lex_state = 60, .external_lex_state = 3},
  [2353] = {.lex_state = 60, .external_lex_state = 3},
  [2354] = {.lex_state = 60, .external_lex_state = 3},
  [2355] = {.lex_state = 60, .external_lex_state = 3},
  [2356] = {.lex_state = 60, .external_lex_state = 3},
  [2357] = {.lex_state = 60, .external_lex_state = 3},
  [2358] = {.lex_state = 60, .external_lex_state = 3},
  [2359] = {.lex_state = 60, .external_lex_state = 3},
  [2360] = {.lex_state = 60, .external_lex_state = 3},
  [2361] = {.lex_state = 60, .external_lex_state = 3},
  [2362] = {.lex_state = 60, .external_lex_state = 3},
  [2363] = {.lex_state = 60, .external_lex_state = 3},
  [2364] = {.lex_state = 60, .external_lex_state = 3},
  [2365] = {.lex_state = 60, .external_lex_state = 3},
  [2366] = {.lex_state = 60, .external_lex_state = 3},
  [2367] = {.lex_state = 60, .external_lex_state = 3},
  [2368] = {.lex_state = 60, .external_lex_state = 3},
  [2369] = {.lex_state = 60, .external_lex_state = 3},
  [2370] = {.lex_state = 60, .external_lex_state = 3},
  [2371] = {.lex_state = 60, .external_lex_state = 3},
  [2372] = {.lex_state = 60, .external_lex_state = 3},
  [2373] = {.lex_state = 60, .external_lex_state = 3},
  [2374] = {.lex_state = 60, .external_lex_state = 3},
  [2375] = {.lex_state = 60, .external_lex_state = 3},
  [2376] = {.lex_state = 60, .external_lex_state = 3},
  [2377] = {.lex_state = 60, .external_lex_state = 3},
  [2378] = {.lex_state = 60, .external_lex_state = 3},
  [2379] = {.lex_state = 60, .external_lex_state = 3},
  [2380] = {.lex_state = 60, .external_lex_state = 3},
  [2381] = {.lex_state = 60, .external_lex_state = 3},
  [2382] = {.lex_state = 60, .external_lex_state = 3},
  [2383] = {.lex_state = 60, .external_lex_state = 3},
  [2384] = {.lex_state = 60, .external_lex_state = 3},
  [2385] = {.lex_state = 60, .external_lex_state = 3},
  [2386] = {.lex_state = 60, .external_lex_state = 3},
  [2387] = {.lex_state = 60, .external_lex_state = 3},
  [2388] = {.lex_state = 60, .external_lex_state = 3},
  [2389] = {.lex_state = 60, .external_lex_state = 3},
  [2390] = {.lex_state = 60, .external_lex_state = 3},
  [2391] = {.lex_state = 60, .external_lex_state = 3},
  [2392] = {.lex_state = 60, .external_lex_state = 3},
  [2393] = {.lex_state = 60, .external_lex_state = 3},
  [2394] = {.lex_state = 60, .external_lex_state = 3},
  [2395] = {.lex_state = 60, .external_lex_state = 3},
  [2396] = {.lex_state = 60, .external_lex_state = 3},
  [2397] = {.lex_state = 60, .external_lex_state = 3},
  [2398] = {.lex_state = 60, .external_lex_state = 3},
  [2399] = {.lex_state = 50, .external_lex_state = 2},
  [2400] = {.lex_state = 50, .external_lex_state = 4},
  [2401] = {.lex_state = 50, .external_lex_state = 4},
  [2402] = {.lex_state = 50, .external_lex_state = 3},
  [2403] = {.lex_state = 50, .external_lex_state = 2},
  [2404] = {.lex_state = 50, .external_lex_state = 4},
  [2405] = {.lex_state = 50, .external_lex_state = 2},
  [2406] = {.lex_state = 50, .external_lex_state = 2},
  [2407] = {.lex_state = 60, .external_lex_state = 2},
  [2408] = {.lex_state = 60, .external_lex_state = 2},
  [2409] = {.lex_state = 14, .external_lex_state = 2},
  [2410] = {.lex_state = 14, .external_lex_state = 2},
  [2411] = {.lex_state = 60, .external_lex_state = 2},
  [2412] = {.lex_state = 60, .external_lex_state = 2},
  [2413] = {.lex_state = 60, .external_lex_state = 2},
  [2414] = {.lex_state = 60, .external_lex_state = 2},
  [2415] = {.lex_state = 60, .external_lex_state = 2},
  [2416] = {.lex_state = 60, .external_lex_state = 2},
  [2417] = {.lex_state = 60, .external_lex_state = 2},
  [2418] = {.lex_state = 60, .external_lex_state = 2},
  [2419] = {.lex_state = 60, .external_lex_state = 2},
  [2420] = {.lex_state = 60, .external_lex_state = 2},
  [2421] = {.lex_state = 60, .external_lex_state = 2},
  [2422] = {.lex_state = 60, .external_lex_state = 2},
  [2423] = {.lex_state = 60, .external_lex_state = 2},
  [2424] = {.lex_state = 60, .external_lex_state = 2},
  [2425] = {.lex_state = 60, .external_lex_state = 2},
  [2426] = {.lex_state = 60, .external_lex_state = 2},
  [2427] = {.lex_state = 60, .external_lex_state = 2},
  [2428] = {.lex_state = 60, .external_lex_state = 2},
  [2429] = {.lex_state = 60, .external_lex_state = 2},
  [2430] = {.lex_state = 60, .external_lex_state = 2},
  [2431] = {.lex_state = 60, .external_lex_state = 2},
  [2432] = {.lex_state = 60, .external_lex_state = 2},
  [2433] = {.lex_state = 60, .external_lex_state = 2},
  [2434] = {.lex_state = 60, .external_lex_state = 2},
  [2435] = {.lex_state = 60, .external_lex_state = 2},
  [2436] = {.lex_state = 60, .external_lex_state = 2},
  [2437] = {.lex_state = 60, .external_lex_state = 2},
  [2438] = {.lex_state = 60, .external_lex_state = 2},
  [2439] = {.lex_state = 60, .external_lex_state = 2},
  [2440] = {.lex_state = 60, .external_lex_state = 2},
  [2441] = {.lex_state = 60, .external_lex_state = 2},
  [2442] = {.lex_state = 60, .external_lex_state = 2},
  [2443] = {.lex_state = 60, .external_lex_state = 2},
  [2444] = {.lex_state = 60, .external_lex_state = 2},
  [2445] = {.lex_state = 60, .external_lex_state = 2},
  [2446] = {.lex_state = 60, .external_lex_state = 2},
  [2447] = {.lex_state = 60, .external_lex_state = 2},
  [2448] = {.lex_state = 60, .external_lex_state = 2},
  [2449] = {.lex_state = 60, .external_lex_state = 2},
  [2450] = {.lex_state = 60, .external_lex_state = 2},
  [2451] = {.lex_state = 60, .external_lex_state = 2},
  [2452] = {.lex_state = 60, .external_lex_state = 2},
  [2453] = {.lex_state = 60, .external_lex_state = 2},
  [2454] = {.lex_state = 60, .external_lex_state = 2},
  [2455] = {.lex_state = 60, .external_lex_state = 2},
  [2456] = {.lex_state = 60, .external_lex_state = 2},
  [2457] = {.lex_state = 60, .external_lex_state = 2},
  [2458] = {.lex_state = 60, .external_lex_state = 2},
  [2459] = {.lex_state = 60, .external_lex_state = 2},
  [2460] = {.lex_state = 60, .external_lex_state = 2},
  [2461] = {.lex_state = 60, .external_lex_state = 2},
  [2462] = {.lex_state = 60, .external_lex_state = 2},
  [2463] = {.lex_state = 60, .external_lex_state = 2},
  [2464] = {.lex_state = 60, .external_lex_state = 2},
  [2465] = {.lex_state = 60, .external_lex_state = 2},
  [2466] = {.lex_state = 60, .external_lex_state = 2},
  [2467] = {.lex_state = 60, .external_lex_state = 2},
  [2468] = {.lex_state = 60, .external_lex_state = 2},
  [2469] = {.lex_state = 60, .external_lex_state = 2},
  [2470] = {.lex_state = 60, .external_lex_state = 2},
  [2471] = {.lex_state = 60, .external_lex_state = 2},
  [2472] = {.lex_state = 60, .external_lex_state = 2},
  [2473] = {.lex_state = 60, .external_lex_state = 2},
  [2474] = {.lex_state = 60, .external_lex_state = 2},
  [2475] = {.lex_state = 60, .external_lex_state = 2},
  [2476] = {.lex_state = 60, .external_lex_state = 2},
  [2477] = {.lex_state = 60, .external_lex_state = 2},
  [2478] = {.lex_state = 60, .external_lex_state = 2},
  [2479] = {.lex_state = 60, .external_lex_state = 2},
  [2480] = {.lex_state = 60, .external_lex_state = 2},
  [2481] = {.lex_state = 60, .external_lex_state = 2},
  [2482] = {.lex_state = 60, .external_lex_state = 2},
  [2483] = {.lex_state = 60, .external_lex_state = 2},
  [2484] = {.lex_state = 60, .external_lex_state = 2},
  [2485] = {.lex_state = 60, .external_lex_state = 2},
  [2486] = {.lex_state = 60, .external_lex_state = 2},
  [2487] = {.lex_state = 60, .external_lex_state = 2},
  [2488] = {.lex_state = 60, .external_lex_state = 2},
  [2489] = {.lex_state = 60, .external_lex_state = 2},
  [2490] = {.lex_state = 60, .external_lex_state = 2},
  [2491] = {.lex_state = 60, .external_lex_state = 2},
  [2492] = {.lex_state = 60, .external_lex_state = 2},
  [2493] = {.lex_state = 60, .external_lex_state = 2},
  [2494] = {.lex_state = 60, .external_lex_state = 2},
  [2495] = {.lex_state = 60, .external_lex_state = 2},
  [2496] = {.lex_state = 60, .external_lex_state = 2},
  [2497] = {.lex_state = 60, .external_lex_state = 2},
  [2498] = {.lex_state = 60, .external_lex_state = 2},
  [2499] = {.lex_state = 60, .external_lex_state = 2},
  [2500] = {.lex_state = 60, .external_lex_state = 2},
  [2501] = {.lex_state = 60, .external_lex_state = 2},
  [2502] = {.lex_state = 60, .external_lex_state = 2},
  [2503] = {.lex_state = 60, .external_lex_state = 2},
  [2504] = {.lex_state = 60, .external_lex_state = 2},
  [2505] = {.lex_state = 60, .external_lex_state = 2},
  [2506] = {.lex_state = 60, .external_lex_state = 2},
  [2507] = {.lex_state = 60, .external_lex_state = 2},
  [2508] = {.lex_state = 60, .external_lex_state = 2},
  [2509] = {.lex_state = 60, .external_lex_state = 2},
  [2510] = {.lex_state = 60, .external_lex_state = 2},
  [2511] = {.lex_state = 60, .external_lex_state = 2},
  [2512] = {.lex_state = 60, .external_lex_state = 2},
  [2513] = {.lex_state = 60, .external_lex_state = 2},
  [2514] = {.lex_state = 60, .external_lex_state = 2},
  [2515] = {.lex_state = 60, .external_lex_state = 2},
  [2516] = {.lex_state = 60, .external_lex_state = 2},
  [2517] = {.lex_state = 60, .external_lex_state = 2},
  [2518] = {.lex_state = 60, .external_lex_state = 2},
  [2519] = {.lex_state = 60, .external_lex_state = 2},
  [2520] = {.lex_state = 60, .external_lex_state = 2},
  [2521] = {.lex_state = 60, .external_lex_state = 2},
  [2522] = {.lex_state = 60, .external_lex_state = 2},
  [2523] = {.lex_state = 60, .external_lex_state = 2},
  [2524] = {.lex_state = 60, .external_lex_state = 2},
  [2525] = {.lex_state = 60, .external_lex_state = 2},
  [2526] = {.lex_state = 60, .external_lex_state = 2},
  [2527] = {.lex_state = 60, .external_lex_state = 2},
  [2528] = {.lex_state = 60, .external_lex_state = 2},
  [2529] = {.lex_state = 60, .external_lex_state = 2},
  [2530] = {.lex_state = 60, .external_lex_state = 2},
  [2531] = {.lex_state = 60, .external_lex_state = 2},
  [2532] = {.lex_state = 60, .external_lex_state = 2},
  [2533] = {.lex_state = 60, .external_lex_state = 2},
  [2534] = {.lex_state = 60, .external_lex_state = 2},
  [2535] = {.lex_state = 60, .external_lex_state = 2},
  [2536] = {.lex_state = 60, .external_lex_state = 2},
  [2537] = {.lex_state = 60, .external_lex_state = 2},
  [2538] = {.lex_state = 60, .external_lex_state = 2},
  [2539] = {.lex_state = 60, .external_lex_state = 2},
  [2540] = {.lex_state = 60, .external_lex_state = 2},
  [2541] = {.lex_state = 60, .external_lex_state = 2},
  [2542] = {.lex_state = 60, .external_lex_state = 2},
  [2543] = {.lex_state = 60, .external_lex_state = 2},
  [2544] = {.lex_state = 60, .external_lex_state = 2},
  [2545] = {.lex_state = 48, .external_lex_state = 6},
  [2546] = {.lex_state = 60, .external_lex_state = 2},
  [2547] = {.lex_state = 60, .external_lex_state = 2},
  [2548] = {.lex_state = 60, .external_lex_state = 2},
  [2549] = {.lex_state = 60, .external_lex_state = 2},
  [2550] = {.lex_state = 60, .external_lex_state = 2},
  [2551] = {.lex_state = 60, .external_lex_state = 2},
  [2552] = {.lex_state = 60, .external_lex_state = 2},
  [2553] = {.lex_state = 60, .external_lex_state = 2},
  [2554] = {.lex_state = 60, .external_lex_state = 2},
  [2555] = {.lex_state = 60, .external_lex_state = 2},
  [2556] = {.lex_state = 60, .external_lex_state = 2},
  [2557] = {.lex_state = 60, .external_lex_state = 2},
  [2558] = {.lex_state = 60, .external_lex_state = 2},
  [2559] = {.lex_state = 60, .external_lex_state = 2},
  [2560] = {.lex_state = 60, .external_lex_state = 2},
  [2561] = {.lex_state = 60, .external_lex_state = 2},
  [2562] = {.lex_state = 60, .external_lex_state = 2},
  [2563] = {.lex_state = 60, .external_lex_state = 2},
  [2564] = {.lex_state = 60, .external_lex_state = 2},
  [2565] = {.lex_state = 60, .external_lex_state = 2},
  [2566] = {.lex_state = 60, .external_lex_state = 2},
  [2567] = {.lex_state = 60, .external_lex_state = 2},
  [2568] = {.lex_state = 60, .external_lex_state = 2},
  [2569] = {.lex_state = 60, .external_lex_state = 2},
  [2570] = {.lex_state = 60, .external_lex_state = 2},
  [2571] = {.lex_state = 48, .external_lex_state = 7},
  [2572] = {.lex_state = 60, .external_lex_state = 2},
  [2573] = {.lex_state = 48, .external_lex_state = 8},
  [2574] = {.lex_state = 60, .external_lex_state = 2},
  [2575] = {.lex_state = 48, .external_lex_state = 10},
  [2576] = {.lex_state = 48, .external_lex_state = 12},
  [2577] = {.lex_state = 48, .external_lex_state = 9},
  [2578] = {.lex_state = 48, .external_lex_state = 11},
  [2579] = {.lex_state = 14, .external_lex_state = 2},
  [2580] = {.lex_state = 14, .external_lex_state = 2},
  [2581] = {.lex_state = 14, .external_lex_state = 2},
  [2582] = {.lex_state = 48, .external_lex_state = 6},
  [2583] = {.lex_state = 14, .external_lex_state = 2},
  [2584] = {.lex_state = 14, .external_lex_state = 2},
  [2585] = {.lex_state = 14, .external_lex_state = 2},
  [2586] = {.lex_state = 14, .external_lex_state = 2},
  [2587] = {.lex_state = 14, .external_lex_state = 2},
  [2588] = {.lex_state = 14, .external_lex_state = 2},
  [2589] = {.lex_state = 14, .external_lex_state = 2},
  [2590] = {.lex_state = 14, .external_lex_state = 2},
  [2591] = {.lex_state = 14, .external_lex_state = 2},
  [2592] = {.lex_state = 14, .external_lex_state = 2},
  [2593] = {.lex_state = 14, .external_lex_state = 2},
  [2594] = {.lex_state = 14, .external_lex_state = 2},
  [2595] = {.lex_state = 14, .external_lex_state = 2},
  [2596] = {.lex_state = 14, .external_lex_state = 2},
  [2597] = {.lex_state = 14, .external_lex_state = 2},
  [2598] = {.lex_state = 14, .external_lex_state = 2},
  [2599] = {.lex_state = 14, .external_lex_state = 2},
  [2600] = {.lex_state = 14, .external_lex_state = 2},
  [2601] = {.lex_state = 14, .external_lex_state = 2},
  [2602] = {.lex_state = 14, .external_lex_state = 2},
  [2603] = {.lex_state = 14, .external_lex_state = 2},
  [2604] = {.lex_state = 14, .external_lex_state = 2},
  [2605] = {.lex_state = 14, .external_lex_state = 2},
  [2606] = {.lex_state = 14, .external_lex_state = 2},
  [2607] = {.lex_state = 14, .external_lex_state = 2},
  [2608] = {.lex_state = 14, .external_lex_state = 2},
  [2609] = {.lex_state = 14, .external_lex_state = 2},
  [2610] = {.lex_state = 14, .external_lex_state = 2},
  [2611] = {.lex_state = 14, .external_lex_state = 2},
  [2612] = {.lex_state = 14, .external_lex_state = 2},
  [2613] = {.lex_state = 14, .external_lex_state = 2},
  [2614] = {.lex_state = 14, .external_lex_state = 2},
  [2615] = {.lex_state = 14, .external_lex_state = 2},
  [2616] = {.lex_state = 14, .external_lex_state = 2},
  [2617] = {.lex_state = 14, .external_lex_state = 2},
  [2618] = {.lex_state = 14, .external_lex_state = 2},
  [2619] = {.lex_state = 14, .external_lex_state = 2},
  [2620] = {.lex_state = 14, .external_lex_state = 2},
  [2621] = {.lex_state = 14, .external_lex_state = 2},
  [2622] = {.lex_state = 14, .external_lex_state = 2},
  [2623] = {.lex_state = 14, .external_lex_state = 2},
  [2624] = {.lex_state = 14, .external_lex_state = 2},
  [2625] = {.lex_state = 14, .external_lex_state = 2},
  [2626] = {.lex_state = 14, .external_lex_state = 2},
  [2627] = {.lex_state = 14, .external_lex_state = 2},
  [2628] = {.lex_state = 14, .external_lex_state = 2},
  [2629] = {.lex_state = 14, .external_lex_state = 2},
  [2630] = {.lex_state = 14, .external_lex_state = 2},
  [2631] = {.lex_state = 14, .external_lex_state = 2},
  [2632] = {.lex_state = 14, .external_lex_state = 2},
  [2633] = {.lex_state = 14, .external_lex_state = 2},
  [2634] = {.lex_state = 14, .external_lex_state = 2},
  [2635] = {.lex_state = 14, .external_lex_state = 2},
  [2636] = {.lex_state = 14, .external_lex_state = 2},
  [2637] = {.lex_state = 14, .external_lex_state = 2},
  [2638] = {.lex_state = 14, .external_lex_state = 2},
  [2639] = {.lex_state = 14, .external_lex_state = 2},
  [2640] = {.lex_state = 14, .external_lex_state = 2},
  [2641] = {.lex_state = 14, .external_lex_state = 2},
  [2642] = {.lex_state = 14, .external_lex_state = 2},
  [2643] = {.lex_state = 14, .external_lex_state = 2},
  [2644] = {.lex_state = 14, .external_lex_state = 2},
  [2645] = {.lex_state = 14, .external_lex_state = 2},
  [2646] = {.lex_state = 14, .external_lex_state = 2},
  [2647] = {.lex_state = 14, .external_lex_state = 2},
  [2648] = {.lex_state = 14, .external_lex_state = 2},
  [2649] = {.lex_state = 14, .external_lex_state = 2},
  [2650] = {.lex_state = 14, .external_lex_state = 2},
  [2651] = {.lex_state = 14, .external_lex_state = 2},
  [2652] = {.lex_state = 14, .external_lex_state = 2},
  [2653] = {.lex_state = 14, .external_lex_state = 2},
  [2654] = {.lex_state = 14, .external_lex_state = 2},
  [2655] = {.lex_state = 14, .external_lex_state = 2},
  [2656] = {.lex_state = 14, .external_lex_state = 2},
  [2657] = {.lex_state = 14, .external_lex_state = 2},
  [2658] = {.lex_state = 14, .external_lex_state = 2},
  [2659] = {.lex_state = 14, .external_lex_state = 2},
  [2660] = {.lex_state = 14, .external_lex_state = 2},
  [2661] = {.lex_state = 14, .external_lex_state = 2},
  [2662] = {.lex_state = 14, .external_lex_state = 2},
  [2663] = {.lex_state = 14, .external_lex_state = 2},
  [2664] = {.lex_state = 14, .external_lex_state = 2},
  [2665] = {.lex_state = 14, .external_lex_state = 2},
  [2666] = {.lex_state = 14, .external_lex_state = 2},
  [2667] = {.lex_state = 14, .external_lex_state = 2},
  [2668] = {.lex_state = 14, .external_lex_state = 2},
  [2669] = {.lex_state = 14, .external_lex_state = 2},
  [2670] = {.lex_state = 14, .external_lex_state = 2},
  [2671] = {.lex_state = 14, .external_lex_state = 2},
  [2672] = {.lex_state = 14, .external_lex_state = 2},
  [2673] = {.lex_state = 14, .external_lex_state = 2},
  [2674] = {.lex_state = 14, .external_lex_state = 2},
  [2675] = {.lex_state = 14, .external_lex_state = 2},
  [2676] = {.lex_state = 14, .external_lex_state = 2},
  [2677] = {.lex_state = 14, .external_lex_state = 2},
  [2678] = {.lex_state = 14, .external_lex_state = 2},
  [2679] = {.lex_state = 14, .external_lex_state = 2},
  [2680] = {.lex_state = 14, .external_lex_state = 2},
  [2681] = {.lex_state = 14, .external_lex_state = 2},
  [2682] = {.lex_state = 14, .external_lex_state = 2},
  [2683] = {.lex_state = 14, .external_lex_state = 2},
  [2684] = {.lex_state = 14, .external_lex_state = 2},
  [2685] = {.lex_state = 14, .external_lex_state = 2},
  [2686] = {.lex_state = 14, .external_lex_state = 2},
  [2687] = {.lex_state = 14, .external_lex_state = 2},
  [2688] = {.lex_state = 14, .external_lex_state = 2},
  [2689] = {.lex_state = 14, .external_lex_state = 2},
  [2690] = {.lex_state = 14, .external_lex_state = 2},
  [2691] = {.lex_state = 14, .external_lex_state = 2},
  [2692] = {.lex_state = 14, .external_lex_state = 2},
  [2693] = {.lex_state = 14, .external_lex_state = 2},
  [2694] = {.lex_state = 14, .external_lex_state = 2},
  [2695] = {.lex_state = 14, .external_lex_state = 2},
  [2696] = {.lex_state = 14, .external_lex_state = 2},
  [2697] = {.lex_state = 14, .external_lex_state = 2},
  [2698] = {.lex_state = 14, .external_lex_state = 2},
  [2699] = {.lex_state = 14, .external_lex_state = 2},
  [2700] = {.lex_state = 14, .external_lex_state = 2},
  [2701] = {.lex_state = 14, .external_lex_state = 2},
  [2702] = {.lex_state = 14, .external_lex_state = 2},
  [2703] = {.lex_state = 14, .external_lex_state = 2},
  [2704] = {.lex_state = 14, .external_lex_state = 2},
  [2705] = {.lex_state = 14, .external_lex_state = 2},
  [2706] = {.lex_state = 14, .external_lex_state = 2},
  [2707] = {.lex_state = 14, .external_lex_state = 2},
  [2708] = {.lex_state = 14, .external_lex_state = 2},
  [2709] = {.lex_state = 14, .external_lex_state = 2},
  [2710] = {.lex_state = 14, .external_lex_state = 2},
  [2711] = {.lex_state = 14, .external_lex_state = 2},
  [2712] = {.lex_state = 14, .external_lex_state = 2},
  [2713] = {.lex_state = 14, .external_lex_state = 2},
  [2714] = {.lex_state = 14, .external_lex_state = 2},
  [2715] = {.lex_state = 14, .external_lex_state = 2},
  [2716] = {.lex_state = 14, .external_lex_state = 2},
  [2717] = {.lex_state = 14, .external_lex_state = 2},
  [2718] = {.lex_state = 14, .external_lex_state = 2},
  [2719] = {.lex_state = 14, .external_lex_state = 2},
  [2720] = {.lex_state = 14, .external_lex_state = 2},
  [2721] = {.lex_state = 14, .external_lex_state = 2},
  [2722] = {.lex_state = 14, .external_lex_state = 2},
  [2723] = {.lex_state = 14, .external_lex_state = 2},
  [2724] = {.lex_state = 14, .external_lex_state = 2},
  [2725] = {.lex_state = 14, .external_lex_state = 2},
  [2726] = {.lex_state = 14, .external_lex_state = 2},
  [2727] = {.lex_state = 14, .external_lex_state = 2},
  [2728] = {.lex_state = 14, .external_lex_state = 2},
  [2729] = {.lex_state = 14, .external_lex_state = 2},
  [2730] = {.lex_state = 14, .external_lex_state = 2},
  [2731] = {.lex_state = 14, .external_lex_state = 2},
  [2732] = {.lex_state = 14, .external_lex_state = 2},
  [2733] = {.lex_state = 14, .external_lex_state = 2},
  [2734] = {.lex_state = 14, .external_lex_state = 2},
  [2735] = {.lex_state = 14, .external_lex_state = 2},
  [2736] = {.lex_state = 14, .external_lex_state = 2},
  [2737] = {.lex_state = 14, .external_lex_state = 2},
  [2738] = {.lex_state = 14, .external_lex_state = 2},
  [2739] = {.lex_state = 14, .external_lex_state = 2},
  [2740] = {.lex_state = 14, .external_lex_state = 2},
  [2741] = {.lex_state = 14, .external_lex_state = 2},
  [2742] = {.lex_state = 14, .external_lex_state = 2},
  [2743] = {.lex_state = 14, .external_lex_state = 2},
  [2744] = {.lex_state = 14, .external_lex_state = 2},
  [2745] = {.lex_state = 14, .external_lex_state = 2},
  [2746] = {.lex_state = 14, .external_lex_state = 2},
  [2747] = {.lex_state = 14, .external_lex_state = 2},
  [2748] = {.lex_state = 14, .external_lex_state = 2},
  [2749] = {.lex_state = 14, .external_lex_state = 2},
  [2750] = {.lex_state = 14, .external_lex_state = 2},
  [2751] = {.lex_state = 14, .external_lex_state = 2},
  [2752] = {.lex_state = 14, .external_lex_state = 2},
  [2753] = {.lex_state = 14, .external_lex_state = 2},
  [2754] = {.lex_state = 14, .external_lex_state = 2},
  [2755] = {.lex_state = 14, .external_lex_state = 2},
  [2756] = {.lex_state = 14, .external_lex_state = 2},
  [2757] = {.lex_state = 14, .external_lex_state = 2},
  [2758] = {.lex_state = 14, .external_lex_state = 2},
  [2759] = {.lex_state = 14, .external_lex_state = 2},
  [2760] = {.lex_state = 14, .external_lex_state = 2},
  [2761] = {.lex_state = 14, .external_lex_state = 2},
  [2762] = {.lex_state = 14, .external_lex_state = 2},
  [2763] = {.lex_state = 14, .external_lex_state = 2},
  [2764] = {.lex_state = 14, .external_lex_state = 2},
  [2765] = {.lex_state = 14, .external_lex_state = 2},
  [2766] = {.lex_state = 14, .external_lex_state = 2},
  [2767] = {.lex_state = 14, .external_lex_state = 2},
  [2768] = {.lex_state = 14, .external_lex_state = 2},
  [2769] = {.lex_state = 14, .external_lex_state = 2},
  [2770] = {.lex_state = 14, .external_lex_state = 2},
  [2771] = {.lex_state = 14, .external_lex_state = 2},
  [2772] = {.lex_state = 14, .external_lex_state = 2},
  [2773] = {.lex_state = 14, .external_lex_state = 2},
  [2774] = {.lex_state = 14, .external_lex_state = 2},
  [2775] = {.lex_state = 14, .external_lex_state = 2},
  [2776] = {.lex_state = 14, .external_lex_state = 2},
  [2777] = {.lex_state = 14, .external_lex_state = 2},
  [2778] = {.lex_state = 14, .external_lex_state = 2},
  [2779] = {.lex_state = 14, .external_lex_state = 2},
  [2780] = {.lex_state = 14, .external_lex_state = 2},
  [2781] = {.lex_state = 14, .external_lex_state = 2},
  [2782] = {.lex_state = 14, .external_lex_state = 2},
  [2783] = {.lex_state = 14, .external_lex_state = 2},
  [2784] = {.lex_state = 14, .external_lex_state = 2},
  [2785] = {.lex_state = 14, .external_lex_state = 2},
  [2786] = {.lex_state = 14, .external_lex_state = 2},
  [2787] = {.lex_state = 14, .external_lex_state = 2},
  [2788] = {.lex_state = 14, .external_lex_state = 2},
  [2789] = {.lex_state = 14, .external_lex_state = 2},
  [2790] = {.lex_state = 14, .external_lex_state = 2},
  [2791] = {.lex_state = 14, .external_lex_state = 2},
  [2792] = {.lex_state = 14, .external_lex_state = 2},
  [2793] = {.lex_state = 14, .external_lex_state = 2},
  [2794] = {.lex_state = 14, .external_lex_state = 2},
  [2795] = {.lex_state = 14, .external_lex_state = 2},
  [2796] = {.lex_state = 14, .external_lex_state = 2},
  [2797] = {.lex_state = 14, .external_lex_state = 2},
  [2798] = {.lex_state = 14, .external_lex_state = 2},
  [2799] = {.lex_state = 14, .external_lex_state = 2},
  [2800] = {.lex_state = 14, .external_lex_state = 2},
  [2801] = {.lex_state = 14, .external_lex_state = 2},
  [2802] = {.lex_state = 14, .external_lex_state = 2},
  [2803] = {.lex_state = 14, .external_lex_state = 2},
  [2804] = {.lex_state = 14, .external_lex_state = 2},
  [2805] = {.lex_state = 14, .external_lex_state = 2},
  [2806] = {.lex_state = 14, .external_lex_state = 2},
  [2807] = {.lex_state = 14, .external_lex_state = 2},
  [2808] = {.lex_state = 14, .external_lex_state = 2},
  [2809] = {.lex_state = 14, .external_lex_state = 2},
  [2810] = {.lex_state = 14, .external_lex_state = 2},
  [2811] = {.lex_state = 14, .external_lex_state = 2},
  [2812] = {.lex_state = 14, .external_lex_state = 2},
  [2813] = {.lex_state = 14, .external_lex_state = 2},
  [2814] = {.lex_state = 14, .external_lex_state = 2},
  [2815] = {.lex_state = 14, .external_lex_state = 2},
  [2816] = {.lex_state = 14, .external_lex_state = 2},
  [2817] = {.lex_state = 14, .external_lex_state = 2},
  [2818] = {.lex_state = 14, .external_lex_state = 2},
  [2819] = {.lex_state = 14, .external_lex_state = 2},
  [2820] = {.lex_state = 14, .external_lex_state = 2},
  [2821] = {.lex_state = 14, .external_lex_state = 2},
  [2822] = {.lex_state = 14, .external_lex_state = 2},
  [2823] = {.lex_state = 14, .external_lex_state = 2},
  [2824] = {.lex_state = 14, .external_lex_state = 2},
  [2825] = {.lex_state = 14, .external_lex_state = 2},
  [2826] = {.lex_state = 14, .external_lex_state = 2},
  [2827] = {.lex_state = 14, .external_lex_state = 2},
  [2828] = {.lex_state = 14, .external_lex_state = 2},
  [2829] = {.lex_state = 14, .external_lex_state = 2},
  [2830] = {.lex_state = 14, .external_lex_state = 2},
  [2831] = {.lex_state = 14, .external_lex_state = 2},
  [2832] = {.lex_state = 14, .external_lex_state = 2},
  [2833] = {.lex_state = 14, .external_lex_state = 2},
  [2834] = {.lex_state = 14, .external_lex_state = 2},
  [2835] = {.lex_state = 14, .external_lex_state = 2},
  [2836] = {.lex_state = 14, .external_lex_state = 2},
  [2837] = {.lex_state = 14, .external_lex_state = 2},
  [2838] = {.lex_state = 14, .external_lex_state = 2},
  [2839] = {.lex_state = 14, .external_lex_state = 2},
  [2840] = {.lex_state = 14, .external_lex_state = 2},
  [2841] = {.lex_state = 14, .external_lex_state = 2},
  [2842] = {.lex_state = 14, .external_lex_state = 2},
  [2843] = {.lex_state = 14, .external_lex_state = 2},
  [2844] = {.lex_state = 14, .external_lex_state = 2},
  [2845] = {.lex_state = 14, .external_lex_state = 2},
  [2846] = {.lex_state = 14, .external_lex_state = 2},
  [2847] = {.lex_state = 14, .external_lex_state = 2},
  [2848] = {.lex_state = 14, .external_lex_state = 2},
  [2849] = {.lex_state = 14, .external_lex_state = 2},
  [2850] = {.lex_state = 14, .external_lex_state = 2},
  [2851] = {.lex_state = 14, .external_lex_state = 2},
  [2852] = {.lex_state = 14, .external_lex_state = 2},
  [2853] = {.lex_state = 14, .external_lex_state = 2},
  [2854] = {.lex_state = 14, .external_lex_state = 2},
  [2855] = {.lex_state = 14, .external_lex_state = 2},
  [2856] = {.lex_state = 14, .external_lex_state = 2},
  [2857] = {.lex_state = 14, .external_lex_state = 2},
  [2858] = {.lex_state = 14, .external_lex_state = 2},
  [2859] = {.lex_state = 14, .external_lex_state = 2},
  [2860] = {.lex_state = 14, .external_lex_state = 2},
  [2861] = {.lex_state = 14, .external_lex_state = 2},
  [2862] = {.lex_state = 14, .external_lex_state = 2},
  [2863] = {.lex_state = 14, .external_lex_state = 2},
  [2864] = {.lex_state = 14, .external_lex_state = 2},
  [2865] = {.lex_state = 14, .external_lex_state = 2},
  [2866] = {.lex_state = 14, .external_lex_state = 2},
  [2867] = {.lex_state = 14, .external_lex_state = 2},
  [2868] = {.lex_state = 14, .external_lex_state = 2},
  [2869] = {.lex_state = 14, .external_lex_state = 2},
  [2870] = {.lex_state = 14, .external_lex_state = 2},
  [2871] = {.lex_state = 14, .external_lex_state = 2},
  [2872] = {.lex_state = 14, .external_lex_state = 2},
  [2873] = {.lex_state = 14, .external_lex_state = 2},
  [2874] = {.lex_state = 14, .external_lex_state = 2},
  [2875] = {.lex_state = 14, .external_lex_state = 2},
  [2876] = {.lex_state = 14, .external_lex_state = 2},
  [2877] = {.lex_state = 14, .external_lex_state = 2},
  [2878] = {.lex_state = 14, .external_lex_state = 2},
  [2879] = {.lex_state = 14, .external_lex_state = 2},
  [2880] = {.lex_state = 14, .external_lex_state = 2},
  [2881] = {.lex_state = 14, .external_lex_state = 2},
  [2882] = {.lex_state = 14, .external_lex_state = 2},
  [2883] = {.lex_state = 14, .external_lex_state = 2},
  [2884] = {.lex_state = 14, .external_lex_state = 2},
  [2885] = {.lex_state = 14, .external_lex_state = 2},
  [2886] = {.lex_state = 14, .external_lex_state = 2},
  [2887] = {.lex_state = 14, .external_lex_state = 2},
  [2888] = {.lex_state = 14, .external_lex_state = 2},
  [2889] = {.lex_state = 14, .external_lex_state = 2},
  [2890] = {.lex_state = 14, .external_lex_state = 2},
  [2891] = {.lex_state = 14, .external_lex_state = 2},
  [2892] = {.lex_state = 14, .external_lex_state = 2},
  [2893] = {.lex_state = 14, .external_lex_state = 2},
  [2894] = {.lex_state = 14, .external_lex_state = 2},
  [2895] = {.lex_state = 14, .external_lex_state = 2},
  [2896] = {.lex_state = 14, .external_lex_state = 2},
  [2897] = {.lex_state = 14, .external_lex_state = 2},
  [2898] = {.lex_state = 14, .external_lex_state = 2},
  [2899] = {.lex_state = 14, .external_lex_state = 2},
  [2900] = {.lex_state = 14, .external_lex_state = 2},
  [2901] = {.lex_state = 14, .external_lex_state = 2},
  [2902] = {.lex_state = 14, .external_lex_state = 2},
  [2903] = {.lex_state = 14, .external_lex_state = 2},
  [2904] = {.lex_state = 14, .external_lex_state = 2},
  [2905] = {.lex_state = 14, .external_lex_state = 2},
  [2906] = {.lex_state = 14, .external_lex_state = 2},
  [2907] = {.lex_state = 14, .external_lex_state = 2},
  [2908] = {.lex_state = 14, .external_lex_state = 2},
  [2909] = {.lex_state = 14, .external_lex_state = 2},
  [2910] = {.lex_state = 14, .external_lex_state = 2},
  [2911] = {.lex_state = 14, .external_lex_state = 2},
  [2912] = {.lex_state = 14, .external_lex_state = 2},
  [2913] = {.lex_state = 14, .external_lex_state = 2},
  [2914] = {.lex_state = 14, .external_lex_state = 2},
  [2915] = {.lex_state = 14, .external_lex_state = 2},
  [2916] = {.lex_state = 14, .external_lex_state = 2},
  [2917] = {.lex_state = 14, .external_lex_state = 2},
  [2918] = {.lex_state = 14, .external_lex_state = 2},
  [2919] = {.lex_state = 14, .external_lex_state = 2},
  [2920] = {.lex_state = 14, .external_lex_state = 2},
  [2921] = {.lex_state = 14, .external_lex_state = 2},
  [2922] = {.lex_state = 14, .external_lex_state = 2},
  [2923] = {.lex_state = 14, .external_lex_state = 2},
  [2924] = {.lex_state = 14, .external_lex_state = 2},
  [2925] = {.lex_state = 14, .external_lex_state = 2},
  [2926] = {.lex_state = 14, .external_lex_state = 2},
  [2927] = {.lex_state = 14, .external_lex_state = 2},
  [2928] = {.lex_state = 14, .external_lex_state = 2},
  [2929] = {.lex_state = 14, .external_lex_state = 2},
  [2930] = {.lex_state = 14, .external_lex_state = 2},
  [2931] = {.lex_state = 14, .external_lex_state = 2},
  [2932] = {.lex_state = 14, .external_lex_state = 2},
  [2933] = {.lex_state = 14, .external_lex_state = 2},
  [2934] = {.lex_state = 14, .external_lex_state = 2},
  [2935] = {.lex_state = 14, .external_lex_state = 2},
  [2936] = {.lex_state = 14, .external_lex_state = 2},
  [2937] = {.lex_state = 14, .external_lex_state = 2},
  [2938] = {.lex_state = 14, .external_lex_state = 2},
  [2939] = {.lex_state = 14, .external_lex_state = 2},
  [2940] = {.lex_state = 14, .external_lex_state = 2},
  [2941] = {.lex_state = 14, .external_lex_state = 2},
  [2942] = {.lex_state = 14, .external_lex_state = 2},
  [2943] = {.lex_state = 14, .external_lex_state = 2},
  [2944] = {.lex_state = 14, .external_lex_state = 2},
  [2945] = {.lex_state = 14, .external_lex_state = 2},
  [2946] = {.lex_state = 14, .external_lex_state = 2},
  [2947] = {.lex_state = 14, .external_lex_state = 2},
  [2948] = {.lex_state = 14, .external_lex_state = 2},
  [2949] = {.lex_state = 14, .external_lex_state = 2},
  [2950] = {.lex_state = 14, .external_lex_state = 2},
  [2951] = {.lex_state = 14, .external_lex_state = 2},
  [2952] = {.lex_state = 14, .external_lex_state = 2},
  [2953] = {.lex_state = 14, .external_lex_state = 2},
  [2954] = {.lex_state = 14, .external_lex_state = 2},
  [2955] = {.lex_state = 14, .external_lex_state = 2},
  [2956] = {.lex_state = 14, .external_lex_state = 2},
  [2957] = {.lex_state = 14, .external_lex_state = 2},
  [2958] = {.lex_state = 14, .external_lex_state = 2},
  [2959] = {.lex_state = 14, .external_lex_state = 2},
  [2960] = {.lex_state = 14, .external_lex_state = 2},
  [2961] = {.lex_state = 14, .external_lex_state = 2},
  [2962] = {.lex_state = 14, .external_lex_state = 2},
  [2963] = {.lex_state = 14, .external_lex_state = 2},
  [2964] = {.lex_state = 14, .external_lex_state = 2},
  [2965] = {.lex_state = 14, .external_lex_state = 2},
  [2966] = {.lex_state = 14, .external_lex_state = 2},
  [2967] = {.lex_state = 14, .external_lex_state = 2},
  [2968] = {.lex_state = 14, .external_lex_state = 2},
  [2969] = {.lex_state = 14, .external_lex_state = 2},
  [2970] = {.lex_state = 14, .external_lex_state = 2},
  [2971] = {.lex_state = 14, .external_lex_state = 2},
  [2972] = {.lex_state = 14, .external_lex_state = 2},
  [2973] = {.lex_state = 14, .external_lex_state = 2},
  [2974] = {.lex_state = 14, .external_lex_state = 2},
  [2975] = {.lex_state = 14, .external_lex_state = 2},
  [2976] = {.lex_state = 14, .external_lex_state = 2},
  [2977] = {.lex_state = 14, .external_lex_state = 2},
  [2978] = {.lex_state = 14, .external_lex_state = 2},
  [2979] = {.lex_state = 14, .external_lex_state = 2},
  [2980] = {.lex_state = 14, .external_lex_state = 2},
  [2981] = {.lex_state = 14, .external_lex_state = 2},
  [2982] = {.lex_state = 14, .external_lex_state = 2},
  [2983] = {.lex_state = 14, .external_lex_state = 2},
  [2984] = {.lex_state = 14, .external_lex_state = 2},
  [2985] = {.lex_state = 14, .external_lex_state = 2},
  [2986] = {.lex_state = 14, .external_lex_state = 2},
  [2987] = {.lex_state = 14, .external_lex_state = 2},
  [2988] = {.lex_state = 14, .external_lex_state = 2},
  [2989] = {.lex_state = 14, .external_lex_state = 2},
  [2990] = {.lex_state = 14, .external_lex_state = 2},
  [2991] = {.lex_state = 14, .external_lex_state = 2},
  [2992] = {.lex_state = 14, .external_lex_state = 2},
  [2993] = {.lex_state = 14, .external_lex_state = 2},
  [2994] = {.lex_state = 14, .external_lex_state = 2},
  [2995] = {.lex_state = 14, .external_lex_state = 2},
  [2996] = {.lex_state = 48, .external_lex_state = 14},
  [2997] = {.lex_state = 14, .external_lex_state = 2},
  [2998] = {.lex_state = 14, .external_lex_state = 2},
  [2999] = {.lex_state = 14, .external_lex_state = 2},
  [3000] = {.lex_state = 14, .external_lex_state = 2},
  [3001] = {.lex_state = 14, .external_lex_state = 2},
  [3002] = {.lex_state = 14, .external_lex_state = 2},
  [3003] = {.lex_state = 14, .external_lex_state = 2},
  [3004] = {.lex_state = 14, .external_lex_state = 2},
  [3005] = {.lex_state = 14, .external_lex_state = 2},
  [3006] = {.lex_state = 14, .external_lex_state = 2},
  [3007] = {.lex_state = 14, .external_lex_state = 2},
  [3008] = {.lex_state = 14, .external_lex_state = 2},
  [3009] = {.lex_state = 14, .external_lex_state = 2},
  [3010] = {.lex_state = 14, .external_lex_state = 2},
  [3011] = {.lex_state = 14, .external_lex_state = 2},
  [3012] = {.lex_state = 14, .external_lex_state = 2},
  [3013] = {.lex_state = 14, .external_lex_state = 2},
  [3014] = {.lex_state = 14, .external_lex_state = 2},
  [3015] = {.lex_state = 14, .external_lex_state = 2},
  [3016] = {.lex_state = 14, .external_lex_state = 2},
  [3017] = {.lex_state = 14, .external_lex_state = 2},
  [3018] = {.lex_state = 14, .external_lex_state = 2},
  [3019] = {.lex_state = 14, .external_lex_state = 2},
  [3020] = {.lex_state = 14, .external_lex_state = 2},
  [3021] = {.lex_state = 14, .external_lex_state = 2},
  [3022] = {.lex_state = 14, .external_lex_state = 2},
  [3023] = {.lex_state = 14, .external_lex_state = 2},
  [3024] = {.lex_state = 14, .external_lex_state = 2},
  [3025] = {.lex_state = 14, .external_lex_state = 2},
  [3026] = {.lex_state = 14, .external_lex_state = 2},
  [3027] = {.lex_state = 14, .external_lex_state = 2},
  [3028] = {.lex_state = 14, .external_lex_state = 2},
  [3029] = {.lex_state = 14, .external_lex_state = 2},
  [3030] = {.lex_state = 14, .external_lex_state = 2},
  [3031] = {.lex_state = 14, .external_lex_state = 2},
  [3032] = {.lex_state = 14, .external_lex_state = 2},
  [3033] = {.lex_state = 14, .external_lex_state = 2},
  [3034] = {.lex_state = 14, .external_lex_state = 2},
  [3035] = {.lex_state = 14, .external_lex_state = 2},
  [3036] = {.lex_state = 14, .external_lex_state = 2},
  [3037] = {.lex_state = 14, .external_lex_state = 2},
  [3038] = {.lex_state = 14, .external_lex_state = 2},
  [3039] = {.lex_state = 14, .external_lex_state = 2},
  [3040] = {.lex_state = 14, .external_lex_state = 2},
  [3041] = {.lex_state = 14, .external_lex_state = 2},
  [3042] = {.lex_state = 14, .external_lex_state = 2},
  [3043] = {.lex_state = 14, .external_lex_state = 2},
  [3044] = {.lex_state = 14, .external_lex_state = 2},
  [3045] = {.lex_state = 14, .external_lex_state = 2},
  [3046] = {.lex_state = 14, .external_lex_state = 2},
  [3047] = {.lex_state = 14, .external_lex_state = 2},
  [3048] = {.lex_state = 14, .external_lex_state = 2},
  [3049] = {.lex_state = 14, .external_lex_state = 2},
  [3050] = {.lex_state = 14, .external_lex_state = 2},
  [3051] = {.lex_state = 14, .external_lex_state = 2},
  [3052] = {.lex_state = 14, .external_lex_state = 2},
  [3053] = {.lex_state = 14, .external_lex_state = 2},
  [3054] = {.lex_state = 14, .external_lex_state = 2},
  [3055] = {.lex_state = 14, .external_lex_state = 2},
  [3056] = {.lex_state = 14, .external_lex_state = 2},
  [3057] = {.lex_state = 14, .external_lex_state = 2},
  [3058] = {.lex_state = 14, .external_lex_state = 2},
  [3059] = {.lex_state = 14, .external_lex_state = 2},
  [3060] = {.lex_state = 14, .external_lex_state = 2},
  [3061] = {.lex_state = 14, .external_lex_state = 2},
  [3062] = {.lex_state = 14, .external_lex_state = 2},
  [3063] = {.lex_state = 14, .external_lex_state = 2},
  [3064] = {.lex_state = 14, .external_lex_state = 2},
  [3065] = {.lex_state = 14, .external_lex_state = 2},
  [3066] = {.lex_state = 14, .external_lex_state = 2},
  [3067] = {.lex_state = 14, .external_lex_state = 2},
  [3068] = {.lex_state = 14, .external_lex_state = 2},
  [3069] = {.lex_state = 14, .external_lex_state = 2},
  [3070] = {.lex_state = 48, .external_lex_state = 13},
  [3071] = {.lex_state = 14, .external_lex_state = 2},
  [3072] = {.lex_state = 14, .external_lex_state = 2},
  [3073] = {.lex_state = 14, .external_lex_state = 2},
  [3074] = {.lex_state = 14, .external_lex_state = 2},
  [3075] = {.lex_state = 14, .external_lex_state = 2},
  [3076] = {.lex_state = 14, .external_lex_state = 2},
  [3077] = {.lex_state = 14, .external_lex_state = 2},
  [3078] = {.lex_state = 14, .external_lex_state = 2},
  [3079] = {.lex_state = 14, .external_lex_state = 2},
  [3080] = {.lex_state = 48, .external_lex_state = 15},
  [3081] = {.lex_state = 14, .external_lex_state = 2},
  [3082] = {.lex_state = 14, .external_lex_state = 2},
  [3083] = {.lex_state = 14, .external_lex_state = 2},
  [3084] = {.lex_state = 14, .external_lex_state = 2},
  [3085] = {.lex_state = 14, .external_lex_state = 2},
  [3086] = {.lex_state = 14, .external_lex_state = 2},
  [3087] = {.lex_state = 14, .external_lex_state = 2},
  [3088] = {.lex_state = 14, .external_lex_state = 2},
  [3089] = {.lex_state = 14, .external_lex_state = 2},
  [3090] = {.lex_state = 14, .external_lex_state = 2},
  [3091] = {.lex_state = 14, .external_lex_state = 2},
  [3092] = {.lex_state = 14, .external_lex_state = 2},
  [3093] = {.lex_state = 14, .external_lex_state = 2},
  [3094] = {.lex_state = 14, .external_lex_state = 2},
  [3095] = {.lex_state = 14, .external_lex_state = 2},
  [3096] = {.lex_state = 14, .external_lex_state = 2},
  [3097] = {.lex_state = 14, .external_lex_state = 2},
  [3098] = {.lex_state = 14, .external_lex_state = 2},
  [3099] = {.lex_state = 14, .external_lex_state = 2},
  [3100] = {.lex_state = 14, .external_lex_state = 2},
  [3101] = {.lex_state = 14, .external_lex_state = 2},
  [3102] = {.lex_state = 14, .external_lex_state = 2},
  [3103] = {.lex_state = 14, .external_lex_state = 2},
  [3104] = {.lex_state = 14, .external_lex_state = 2},
  [3105] = {.lex_state = 14, .external_lex_state = 2},
  [3106] = {.lex_state = 14, .external_lex_state = 2},
  [3107] = {.lex_state = 14, .external_lex_state = 2},
  [3108] = {.lex_state = 14, .external_lex_state = 2},
  [3109] = {.lex_state = 14, .external_lex_state = 2},
  [3110] = {.lex_state = 14, .external_lex_state = 2},
  [3111] = {.lex_state = 14, .external_lex_state = 2},
  [3112] = {.lex_state = 14, .external_lex_state = 2},
  [3113] = {.lex_state = 14, .external_lex_state = 2},
  [3114] = {.lex_state = 14, .external_lex_state = 2},
  [3115] = {.lex_state = 14, .external_lex_state = 2},
  [3116] = {.lex_state = 14, .external_lex_state = 2},
  [3117] = {.lex_state = 14, .external_lex_state = 2},
  [3118] = {.lex_state = 14, .external_lex_state = 2},
  [3119] = {.lex_state = 14, .external_lex_state = 2},
  [3120] = {.lex_state = 14, .external_lex_state = 2},
  [3121] = {.lex_state = 14, .external_lex_state = 2},
  [3122] = {.lex_state = 14, .external_lex_state = 2},
  [3123] = {.lex_state = 14, .external_lex_state = 2},
  [3124] = {.lex_state = 14, .external_lex_state = 2},
  [3125] = {.lex_state = 14, .external_lex_state = 2},
  [3126] = {.lex_state = 14, .external_lex_state = 2},
  [3127] = {.lex_state = 14, .external_lex_state = 2},
  [3128] = {.lex_state = 14, .external_lex_state = 2},
  [3129] = {.lex_state = 14, .external_lex_state = 2},
  [3130] = {.lex_state = 14, .external_lex_state = 2},
  [3131] = {.lex_state = 14, .external_lex_state = 2},
  [3132] = {.lex_state = 14, .external_lex_state = 2},
  [3133] = {.lex_state = 14, .external_lex_state = 2},
  [3134] = {.lex_state = 14, .external_lex_state = 2},
  [3135] = {.lex_state = 14, .external_lex_state = 2},
  [3136] = {.lex_state = 14, .external_lex_state = 2},
  [3137] = {.lex_state = 14, .external_lex_state = 2},
  [3138] = {.lex_state = 14, .external_lex_state = 2},
  [3139] = {.lex_state = 14, .external_lex_state = 2},
  [3140] = {.lex_state = 14, .external_lex_state = 2},
  [3141] = {.lex_state = 14, .external_lex_state = 2},
  [3142] = {.lex_state = 14, .external_lex_state = 2},
  [3143] = {.lex_state = 14, .external_lex_state = 2},
  [3144] = {.lex_state = 14, .external_lex_state = 2},
  [3145] = {.lex_state = 14, .external_lex_state = 2},
  [3146] = {.lex_state = 14, .external_lex_state = 2},
  [3147] = {.lex_state = 14, .external_lex_state = 2},
  [3148] = {.lex_state = 14, .external_lex_state = 2},
  [3149] = {.lex_state = 14, .external_lex_state = 2},
  [3150] = {.lex_state = 14, .external_lex_state = 2},
  [3151] = {.lex_state = 14, .external_lex_state = 2},
  [3152] = {.lex_state = 14, .external_lex_state = 2},
  [3153] = {.lex_state = 14, .external_lex_state = 2},
  [3154] = {.lex_state = 14, .external_lex_state = 2},
  [3155] = {.lex_state = 14, .external_lex_state = 2},
  [3156] = {.lex_state = 14, .external_lex_state = 2},
  [3157] = {.lex_state = 14, .external_lex_state = 2},
  [3158] = {.lex_state = 14, .external_lex_state = 2},
  [3159] = {.lex_state = 14, .external_lex_state = 2},
  [3160] = {.lex_state = 14, .external_lex_state = 2},
  [3161] = {.lex_state = 14, .external_lex_state = 2},
  [3162] = {.lex_state = 14, .external_lex_state = 2},
  [3163] = {.lex_state = 14, .external_lex_state = 2},
  [3164] = {.lex_state = 14, .external_lex_state = 2},
  [3165] = {.lex_state = 14, .external_lex_state = 2},
  [3166] = {.lex_state = 14, .external_lex_state = 2},
  [3167] = {.lex_state = 14, .external_lex_state = 2},
  [3168] = {.lex_state = 14, .external_lex_state = 2},
  [3169] = {.lex_state = 14, .external_lex_state = 2},
  [3170] = {.lex_state = 14, .external_lex_state = 2},
  [3171] = {.lex_state = 14, .external_lex_state = 2},
  [3172] = {.lex_state = 14, .external_lex_state = 2},
  [3173] = {.lex_state = 14, .external_lex_state = 2},
  [3174] = {.lex_state = 14, .external_lex_state = 2},
  [3175] = {.lex_state = 14, .external_lex_state = 2},
  [3176] = {.lex_state = 14, .external_lex_state = 2},
  [3177] = {.lex_state = 14, .external_lex_state = 2},
  [3178] = {.lex_state = 14, .external_lex_state = 2},
  [3179] = {.lex_state = 14, .external_lex_state = 2},
  [3180] = {.lex_state = 14, .external_lex_state = 2},
  [3181] = {.lex_state = 14, .external_lex_state = 2},
  [3182] = {.lex_state = 14, .external_lex_state = 2},
  [3183] = {.lex_state = 14, .external_lex_state = 2},
  [3184] = {.lex_state = 14, .external_lex_state = 2},
  [3185] = {.lex_state = 14, .external_lex_state = 2},
  [3186] = {.lex_state = 14, .external_lex_state = 2},
  [3187] = {.lex_state = 14, .external_lex_state = 2},
  [3188] = {.lex_state = 14, .external_lex_state = 2},
  [3189] = {.lex_state = 14, .external_lex_state = 2},
  [3190] = {.lex_state = 14, .external_lex_state = 2},
  [3191] = {.lex_state = 14, .external_lex_state = 2},
  [3192] = {.lex_state = 14, .external_lex_state = 2},
  [3193] = {.lex_state = 14, .external_lex_state = 2},
  [3194] = {.lex_state = 14, .external_lex_state = 2},
  [3195] = {.lex_state = 14, .external_lex_state = 2},
  [3196] = {.lex_state = 14, .external_lex_state = 2},
  [3197] = {.lex_state = 14, .external_lex_state = 2},
  [3198] = {.lex_state = 14, .external_lex_state = 2},
  [3199] = {.lex_state = 14, .external_lex_state = 2},
  [3200] = {.lex_state = 14, .external_lex_state = 2},
  [3201] = {.lex_state = 14, .external_lex_state = 2},
  [3202] = {.lex_state = 14, .external_lex_state = 2},
  [3203] = {.lex_state = 14, .external_lex_state = 2},
  [3204] = {.lex_state = 14, .external_lex_state = 2},
  [3205] = {.lex_state = 14, .external_lex_state = 2},
  [3206] = {.lex_state = 14, .external_lex_state = 2},
  [3207] = {.lex_state = 14, .external_lex_state = 2},
  [3208] = {.lex_state = 14, .external_lex_state = 2},
  [3209] = {.lex_state = 14, .external_lex_state = 2},
  [3210] = {.lex_state = 14, .external_lex_state = 2},
  [3211] = {.lex_state = 14, .external_lex_state = 2},
  [3212] = {.lex_state = 14, .external_lex_state = 2},
  [3213] = {.lex_state = 14, .external_lex_state = 2},
  [3214] = {.lex_state = 14, .external_lex_state = 2},
  [3215] = {.lex_state = 14, .external_lex_state = 2},
  [3216] = {.lex_state = 14, .external_lex_state = 2},
  [3217] = {.lex_state = 14, .external_lex_state = 2},
  [3218] = {.lex_state = 14, .external_lex_state = 2},
  [3219] = {.lex_state = 14, .external_lex_state = 2},
  [3220] = {.lex_state = 14, .external_lex_state = 2},
  [3221] = {.lex_state = 14, .external_lex_state = 2},
  [3222] = {.lex_state = 14, .external_lex_state = 2},
  [3223] = {.lex_state = 14, .external_lex_state = 2},
  [3224] = {.lex_state = 14, .external_lex_state = 2},
  [3225] = {.lex_state = 14, .external_lex_state = 2},
  [3226] = {.lex_state = 14, .external_lex_state = 2},
  [3227] = {.lex_state = 14, .external_lex_state = 2},
  [3228] = {.lex_state = 14, .external_lex_state = 2},
  [3229] = {.lex_state = 14, .external_lex_state = 2},
  [3230] = {.lex_state = 14, .external_lex_state = 2},
  [3231] = {.lex_state = 14, .external_lex_state = 2},
  [3232] = {.lex_state = 14, .external_lex_state = 2},
  [3233] = {.lex_state = 14, .external_lex_state = 2},
  [3234] = {.lex_state = 14, .external_lex_state = 2},
  [3235] = {.lex_state = 14, .external_lex_state = 2},
  [3236] = {.lex_state = 14, .external_lex_state = 2},
  [3237] = {.lex_state = 14, .external_lex_state = 2},
  [3238] = {.lex_state = 14, .external_lex_state = 2},
  [3239] = {.lex_state = 14, .external_lex_state = 2},
  [3240] = {.lex_state = 14, .external_lex_state = 2},
  [3241] = {.lex_state = 14, .external_lex_state = 2},
  [3242] = {.lex_state = 14, .external_lex_state = 2},
  [3243] = {.lex_state = 14, .external_lex_state = 2},
  [3244] = {.lex_state = 14, .external_lex_state = 2},
  [3245] = {.lex_state = 14, .external_lex_state = 2},
  [3246] = {.lex_state = 14, .external_lex_state = 2},
  [3247] = {.lex_state = 14, .external_lex_state = 2},
  [3248] = {.lex_state = 14, .external_lex_state = 2},
  [3249] = {.lex_state = 14, .external_lex_state = 2},
  [3250] = {.lex_state = 14, .external_lex_state = 2},
  [3251] = {.lex_state = 14, .external_lex_state = 2},
  [3252] = {.lex_state = 14, .external_lex_state = 2},
  [3253] = {.lex_state = 14, .external_lex_state = 2},
  [3254] = {.lex_state = 14, .external_lex_state = 2},
  [3255] = {.lex_state = 14, .external_lex_state = 2},
  [3256] = {.lex_state = 14, .external_lex_state = 2},
  [3257] = {.lex_state = 14, .external_lex_state = 2},
  [3258] = {.lex_state = 14, .external_lex_state = 2},
  [3259] = {.lex_state = 14, .external_lex_state = 2},
  [3260] = {.lex_state = 14, .external_lex_state = 2},
  [3261] = {.lex_state = 14, .external_lex_state = 2},
  [3262] = {.lex_state = 14, .external_lex_state = 2},
  [3263] = {.lex_state = 14, .external_lex_state = 2},
  [3264] = {.lex_state = 14, .external_lex_state = 2},
  [3265] = {.lex_state = 14, .external_lex_state = 2},
  [3266] = {.lex_state = 14, .external_lex_state = 2},
  [3267] = {.lex_state = 14, .external_lex_state = 2},
  [3268] = {.lex_state = 14, .external_lex_state = 2},
  [3269] = {.lex_state = 14, .external_lex_state = 2},
  [3270] = {.lex_state = 14, .external_lex_state = 2},
  [3271] = {.lex_state = 14, .external_lex_state = 2},
  [3272] = {.lex_state = 14, .external_lex_state = 2},
  [3273] = {.lex_state = 14, .external_lex_state = 2},
  [3274] = {.lex_state = 14, .external_lex_state = 2},
  [3275] = {.lex_state = 14, .external_lex_state = 2},
  [3276] = {.lex_state = 14, .external_lex_state = 2},
  [3277] = {.lex_state = 14, .external_lex_state = 2},
  [3278] = {.lex_state = 14, .external_lex_state = 2},
  [3279] = {.lex_state = 14, .external_lex_state = 2},
  [3280] = {.lex_state = 14, .external_lex_state = 2},
  [3281] = {.lex_state = 14, .external_lex_state = 2},
  [3282] = {.lex_state = 14, .external_lex_state = 2},
  [3283] = {.lex_state = 14, .external_lex_state = 2},
  [3284] = {.lex_state = 14, .external_lex_state = 2},
  [3285] = {.lex_state = 14, .external_lex_state = 2},
  [3286] = {.lex_state = 14, .external_lex_state = 2},
  [3287] = {.lex_state = 14, .external_lex_state = 2},
  [3288] = {.lex_state = 14, .external_lex_state = 2},
  [3289] = {.lex_state = 14, .external_lex_state = 2},
  [3290] = {.lex_state = 14, .external_lex_state = 2},
  [3291] = {.lex_state = 14, .external_lex_state = 2},
  [3292] = {.lex_state = 14, .external_lex_state = 2},
  [3293] = {.lex_state = 14, .external_lex_state = 2},
  [3294] = {.lex_state = 14, .external_lex_state = 2},
  [3295] = {.lex_state = 14, .external_lex_state = 2},
  [3296] = {.lex_state = 14, .external_lex_state = 2},
  [3297] = {.lex_state = 14, .external_lex_state = 2},
  [3298] = {.lex_state = 14, .external_lex_state = 2},
  [3299] = {.lex_state = 14, .external_lex_state = 2},
  [3300] = {.lex_state = 14, .external_lex_state = 2},
  [3301] = {.lex_state = 14, .external_lex_state = 2},
  [3302] = {.lex_state = 14, .external_lex_state = 2},
  [3303] = {.lex_state = 14, .external_lex_state = 2},
  [3304] = {.lex_state = 14, .external_lex_state = 2},
  [3305] = {.lex_state = 14, .external_lex_state = 2},
  [3306] = {.lex_state = 14, .external_lex_state = 2},
  [3307] = {.lex_state = 14, .external_lex_state = 2},
  [3308] = {.lex_state = 14, .external_lex_state = 2},
  [3309] = {.lex_state = 14, .external_lex_state = 2},
  [3310] = {.lex_state = 14, .external_lex_state = 2},
  [3311] = {.lex_state = 14, .external_lex_state = 2},
  [3312] = {.lex_state = 14, .external_lex_state = 2},
  [3313] = {.lex_state = 14, .external_lex_state = 2},
  [3314] = {.lex_state = 14, .external_lex_state = 2},
  [3315] = {.lex_state = 14, .external_lex_state = 2},
  [3316] = {.lex_state = 14, .external_lex_state = 2},
  [3317] = {.lex_state = 14, .external_lex_state = 2},
  [3318] = {.lex_state = 14, .external_lex_state = 2},
  [3319] = {.lex_state = 14, .external_lex_state = 2},
  [3320] = {.lex_state = 14, .external_lex_state = 2},
  [3321] = {.lex_state = 14, .external_lex_state = 2},
  [3322] = {.lex_state = 14, .external_lex_state = 2},
  [3323] = {.lex_state = 14, .external_lex_state = 2},
  [3324] = {.lex_state = 14, .external_lex_state = 2},
  [3325] = {.lex_state = 14, .external_lex_state = 2},
  [3326] = {.lex_state = 14, .external_lex_state = 2},
  [3327] = {.lex_state = 14, .external_lex_state = 2},
  [3328] = {.lex_state = 14, .external_lex_state = 2},
  [3329] = {.lex_state = 14, .external_lex_state = 2},
  [3330] = {.lex_state = 14, .external_lex_state = 2},
  [3331] = {.lex_state = 14, .external_lex_state = 2},
  [3332] = {.lex_state = 14, .external_lex_state = 2},
  [3333] = {.lex_state = 14, .external_lex_state = 2},
  [3334] = {.lex_state = 14, .external_lex_state = 2},
  [3335] = {.lex_state = 14, .external_lex_state = 2},
  [3336] = {.lex_state = 14, .external_lex_state = 2},
  [3337] = {.lex_state = 14, .external_lex_state = 2},
  [3338] = {.lex_state = 14, .external_lex_state = 2},
  [3339] = {.lex_state = 14, .external_lex_state = 2},
  [3340] = {.lex_state = 14, .external_lex_state = 2},
  [3341] = {.lex_state = 14, .external_lex_state = 2},
  [3342] = {.lex_state = 14, .external_lex_state = 2},
  [3343] = {.lex_state = 14, .external_lex_state = 2},
  [3344] = {.lex_state = 14, .external_lex_state = 2},
  [3345] = {.lex_state = 14, .external_lex_state = 2},
  [3346] = {.lex_state = 14, .external_lex_state = 2},
  [3347] = {.lex_state = 14, .external_lex_state = 2},
  [3348] = {.lex_state = 14, .external_lex_state = 2},
  [3349] = {.lex_state = 14, .external_lex_state = 2},
  [3350] = {.lex_state = 14, .external_lex_state = 2},
  [3351] = {.lex_state = 14, .external_lex_state = 2},
  [3352] = {.lex_state = 14, .external_lex_state = 2},
  [3353] = {.lex_state = 14, .external_lex_state = 2},
  [3354] = {.lex_state = 14, .external_lex_state = 2},
  [3355] = {.lex_state = 14, .external_lex_state = 2},
  [3356] = {.lex_state = 14, .external_lex_state = 2},
  [3357] = {.lex_state = 14, .external_lex_state = 2},
  [3358] = {.lex_state = 14, .external_lex_state = 2},
  [3359] = {.lex_state = 14, .external_lex_state = 2},
  [3360] = {.lex_state = 14, .external_lex_state = 2},
  [3361] = {.lex_state = 14, .external_lex_state = 2},
  [3362] = {.lex_state = 14, .external_lex_state = 2},
  [3363] = {.lex_state = 14, .external_lex_state = 2},
  [3364] = {.lex_state = 14, .external_lex_state = 2},
  [3365] = {.lex_state = 14, .external_lex_state = 2},
  [3366] = {.lex_state = 14, .external_lex_state = 2},
  [3367] = {.lex_state = 14, .external_lex_state = 2},
  [3368] = {.lex_state = 14, .external_lex_state = 2},
  [3369] = {.lex_state = 14, .external_lex_state = 2},
  [3370] = {.lex_state = 14, .external_lex_state = 2},
  [3371] = {.lex_state = 14, .external_lex_state = 2},
  [3372] = {.lex_state = 14, .external_lex_state = 2},
  [3373] = {.lex_state = 14, .external_lex_state = 2},
  [3374] = {.lex_state = 14, .external_lex_state = 2},
  [3375] = {.lex_state = 14, .external_lex_state = 2},
  [3376] = {.lex_state = 14, .external_lex_state = 2},
  [3377] = {.lex_state = 14, .external_lex_state = 2},
  [3378] = {.lex_state = 14, .external_lex_state = 2},
  [3379] = {.lex_state = 14, .external_lex_state = 2},
  [3380] = {.lex_state = 14, .external_lex_state = 2},
  [3381] = {.lex_state = 14, .external_lex_state = 2},
  [3382] = {.lex_state = 14, .external_lex_state = 2},
  [3383] = {.lex_state = 14, .external_lex_state = 2},
  [3384] = {.lex_state = 14, .external_lex_state = 2},
  [3385] = {.lex_state = 14, .external_lex_state = 2},
  [3386] = {.lex_state = 14, .external_lex_state = 2},
  [3387] = {.lex_state = 14, .external_lex_state = 2},
  [3388] = {.lex_state = 14, .external_lex_state = 2},
  [3389] = {.lex_state = 14, .external_lex_state = 2},
  [3390] = {.lex_state = 14, .external_lex_state = 2},
  [3391] = {.lex_state = 14, .external_lex_state = 2},
  [3392] = {.lex_state = 14, .external_lex_state = 2},
  [3393] = {.lex_state = 14, .external_lex_state = 2},
  [3394] = {.lex_state = 14, .external_lex_state = 2},
  [3395] = {.lex_state = 14, .external_lex_state = 2},
  [3396] = {.lex_state = 14, .external_lex_state = 2},
  [3397] = {.lex_state = 14, .external_lex_state = 2},
  [3398] = {.lex_state = 14, .external_lex_state = 2},
  [3399] = {.lex_state = 14, .external_lex_state = 2},
  [3400] = {.lex_state = 14, .external_lex_state = 2},
  [3401] = {.lex_state = 14, .external_lex_state = 2},
  [3402] = {.lex_state = 14, .external_lex_state = 2},
  [3403] = {.lex_state = 14, .external_lex_state = 2},
  [3404] = {.lex_state = 14, .external_lex_state = 2},
  [3405] = {.lex_state = 14, .external_lex_state = 2},
  [3406] = {.lex_state = 14, .external_lex_state = 2},
  [3407] = {.lex_state = 14, .external_lex_state = 2},
  [3408] = {.lex_state = 14, .external_lex_state = 2},
  [3409] = {.lex_state = 14, .external_lex_state = 2},
  [3410] = {.lex_state = 14, .external_lex_state = 2},
  [3411] = {.lex_state = 14, .external_lex_state = 2},
  [3412] = {.lex_state = 14, .external_lex_state = 2},
  [3413] = {.lex_state = 14, .external_lex_state = 2},
  [3414] = {.lex_state = 14, .external_lex_state = 2},
  [3415] = {.lex_state = 14, .external_lex_state = 2},
  [3416] = {.lex_state = 14, .external_lex_state = 2},
  [3417] = {.lex_state = 14, .external_lex_state = 2},
  [3418] = {.lex_state = 14, .external_lex_state = 2},
  [3419] = {.lex_state = 14, .external_lex_state = 2},
  [3420] = {.lex_state = 14, .external_lex_state = 2},
  [3421] = {.lex_state = 14, .external_lex_state = 2},
  [3422] = {.lex_state = 14, .external_lex_state = 2},
  [3423] = {.lex_state = 14, .external_lex_state = 2},
  [3424] = {.lex_state = 14, .external_lex_state = 2},
  [3425] = {.lex_state = 14, .external_lex_state = 2},
  [3426] = {.lex_state = 14, .external_lex_state = 2},
  [3427] = {.lex_state = 14, .external_lex_state = 2},
  [3428] = {.lex_state = 14, .external_lex_state = 2},
  [3429] = {.lex_state = 14, .external_lex_state = 2},
  [3430] = {.lex_state = 14, .external_lex_state = 2},
  [3431] = {.lex_state = 14, .external_lex_state = 2},
  [3432] = {.lex_state = 14, .external_lex_state = 2},
  [3433] = {.lex_state = 14, .external_lex_state = 2},
  [3434] = {.lex_state = 14, .external_lex_state = 2},
  [3435] = {.lex_state = 14, .external_lex_state = 2},
  [3436] = {.lex_state = 14, .external_lex_state = 2},
  [3437] = {.lex_state = 14, .external_lex_state = 2},
  [3438] = {.lex_state = 14, .external_lex_state = 2},
  [3439] = {.lex_state = 14, .external_lex_state = 2},
  [3440] = {.lex_state = 14, .external_lex_state = 2},
  [3441] = {.lex_state = 14, .external_lex_state = 2},
  [3442] = {.lex_state = 14, .external_lex_state = 2},
  [3443] = {.lex_state = 48, .external_lex_state = 19},
  [3444] = {.lex_state = 14, .external_lex_state = 2},
  [3445] = {.lex_state = 14, .external_lex_state = 2},
  [3446] = {.lex_state = 14, .external_lex_state = 2},
  [3447] = {.lex_state = 14, .external_lex_state = 2},
  [3448] = {.lex_state = 14, .external_lex_state = 2},
  [3449] = {.lex_state = 14, .external_lex_state = 2},
  [3450] = {.lex_state = 14, .external_lex_state = 2},
  [3451] = {.lex_state = 14, .external_lex_state = 2},
  [3452] = {.lex_state = 48, .external_lex_state = 18},
  [3453] = {.lex_state = 14, .external_lex_state = 2},
  [3454] = {.lex_state = 14, .external_lex_state = 2},
  [3455] = {.lex_state = 14, .external_lex_state = 2},
  [3456] = {.lex_state = 48, .external_lex_state = 8},
  [3457] = {.lex_state = 14, .external_lex_state = 2},
  [3458] = {.lex_state = 14, .external_lex_state = 2},
  [3459] = {.lex_state = 14, .external_lex_state = 2},
  [3460] = {.lex_state = 14, .external_lex_state = 2},
  [3461] = {.lex_state = 14, .external_lex_state = 2},
  [3462] = {.lex_state = 14, .external_lex_state = 2},
  [3463] = {.lex_state = 14, .external_lex_state = 2},
  [3464] = {.lex_state = 14, .external_lex_state = 2},
  [3465] = {.lex_state = 14, .external_lex_state = 2},
  [3466] = {.lex_state = 14, .external_lex_state = 2},
  [3467] = {.lex_state = 14, .external_lex_state = 2},
  [3468] = {.lex_state = 14, .external_lex_state = 2},
  [3469] = {.lex_state = 14, .external_lex_state = 2},
  [3470] = {.lex_state = 14, .external_lex_state = 2},
  [3471] = {.lex_state = 14, .external_lex_state = 2},
  [3472] = {.lex_state = 14, .external_lex_state = 2},
  [3473] = {.lex_state = 14, .external_lex_state = 2},
  [3474] = {.lex_state = 14, .external_lex_state = 2},
  [3475] = {.lex_state = 14, .external_lex_state = 2},
  [3476] = {.lex_state = 14, .external_lex_state = 2},
  [3477] = {.lex_state = 48, .external_lex_state = 17},
  [3478] = {.lex_state = 14, .external_lex_state = 2},
  [3479] = {.lex_state = 14, .external_lex_state = 2},
  [3480] = {.lex_state = 14, .external_lex_state = 2},
  [3481] = {.lex_state = 14, .external_lex_state = 2},
  [3482] = {.lex_state = 14, .external_lex_state = 2},
  [3483] = {.lex_state = 14, .external_lex_state = 2},
  [3484] = {.lex_state = 14, .external_lex_state = 2},
  [3485] = {.lex_state = 14, .external_lex_state = 2},
  [3486] = {.lex_state = 14, .external_lex_state = 2},
  [3487] = {.lex_state = 14, .external_lex_state = 2},
  [3488] = {.lex_state = 14, .external_lex_state = 2},
  [3489] = {.lex_state = 14, .external_lex_state = 2},
  [3490] = {.lex_state = 14, .external_lex_state = 2},
  [3491] = {.lex_state = 14, .external_lex_state = 2},
  [3492] = {.lex_state = 14, .external_lex_state = 2},
  [3493] = {.lex_state = 14, .external_lex_state = 2},
  [3494] = {.lex_state = 14, .external_lex_state = 2},
  [3495] = {.lex_state = 14, .external_lex_state = 2},
  [3496] = {.lex_state = 14, .external_lex_state = 2},
  [3497] = {.lex_state = 14, .external_lex_state = 2},
  [3498] = {.lex_state = 14, .external_lex_state = 2},
  [3499] = {.lex_state = 14, .external_lex_state = 2},
  [3500] = {.lex_state = 14, .external_lex_state = 2},
  [3501] = {.lex_state = 14, .external_lex_state = 2},
  [3502] = {.lex_state = 14, .external_lex_state = 2},
  [3503] = {.lex_state = 14, .external_lex_state = 2},
  [3504] = {.lex_state = 14, .external_lex_state = 2},
  [3505] = {.lex_state = 14, .external_lex_state = 2},
  [3506] = {.lex_state = 14, .external_lex_state = 2},
  [3507] = {.lex_state = 14, .external_lex_state = 2},
  [3508] = {.lex_state = 14, .external_lex_state = 2},
  [3509] = {.lex_state = 14, .external_lex_state = 2},
  [3510] = {.lex_state = 14, .external_lex_state = 2},
  [3511] = {.lex_state = 14, .external_lex_state = 2},
  [3512] = {.lex_state = 14, .external_lex_state = 2},
  [3513] = {.lex_state = 14, .external_lex_state = 2},
  [3514] = {.lex_state = 14, .external_lex_state = 2},
  [3515] = {.lex_state = 14, .external_lex_state = 2},
  [3516] = {.lex_state = 14, .external_lex_state = 2},
  [3517] = {.lex_state = 14, .external_lex_state = 2},
  [3518] = {.lex_state = 14, .external_lex_state = 2},
  [3519] = {.lex_state = 14, .external_lex_state = 2},
  [3520] = {.lex_state = 14, .external_lex_state = 2},
  [3521] = {.lex_state = 14, .external_lex_state = 2},
  [3522] = {.lex_state = 14, .external_lex_state = 2},
  [3523] = {.lex_state = 14, .external_lex_state = 2},
  [3524] = {.lex_state = 14, .external_lex_state = 2},
  [3525] = {.lex_state = 14, .external_lex_state = 2},
  [3526] = {.lex_state = 14, .external_lex_state = 2},
  [3527] = {.lex_state = 14, .external_lex_state = 2},
  [3528] = {.lex_state = 14, .external_lex_state = 2},
  [3529] = {.lex_state = 14, .external_lex_state = 2},
  [3530] = {.lex_state = 14, .external_lex_state = 2},
  [3531] = {.lex_state = 14, .external_lex_state = 2},
  [3532] = {.lex_state = 14, .external_lex_state = 2},
  [3533] = {.lex_state = 14, .external_lex_state = 2},
  [3534] = {.lex_state = 14, .external_lex_state = 2},
  [3535] = {.lex_state = 14, .external_lex_state = 2},
  [3536] = {.lex_state = 14, .external_lex_state = 2},
  [3537] = {.lex_state = 14, .external_lex_state = 2},
  [3538] = {.lex_state = 14, .external_lex_state = 2},
  [3539] = {.lex_state = 14, .external_lex_state = 2},
  [3540] = {.lex_state = 14, .external_lex_state = 2},
  [3541] = {.lex_state = 14, .external_lex_state = 2},
  [3542] = {.lex_state = 14, .external_lex_state = 2},
  [3543] = {.lex_state = 14, .external_lex_state = 2},
  [3544] = {.lex_state = 14, .external_lex_state = 2},
  [3545] = {.lex_state = 14, .external_lex_state = 2},
  [3546] = {.lex_state = 14, .external_lex_state = 2},
  [3547] = {.lex_state = 14, .external_lex_state = 2},
  [3548] = {.lex_state = 14, .external_lex_state = 2},
  [3549] = {.lex_state = 14, .external_lex_state = 2},
  [3550] = {.lex_state = 14, .external_lex_state = 2},
  [3551] = {.lex_state = 14, .external_lex_state = 2},
  [3552] = {.lex_state = 14, .external_lex_state = 2},
  [3553] = {.lex_state = 14, .external_lex_state = 2},
  [3554] = {.lex_state = 14, .external_lex_state = 2},
  [3555] = {.lex_state = 14, .external_lex_state = 2},
  [3556] = {.lex_state = 14, .external_lex_state = 2},
  [3557] = {.lex_state = 14, .external_lex_state = 2},
  [3558] = {.lex_state = 14, .external_lex_state = 2},
  [3559] = {.lex_state = 14, .external_lex_state = 2},
  [3560] = {.lex_state = 14, .external_lex_state = 2},
  [3561] = {.lex_state = 14, .external_lex_state = 2},
  [3562] = {.lex_state = 14, .external_lex_state = 2},
  [3563] = {.lex_state = 14, .external_lex_state = 2},
  [3564] = {.lex_state = 14, .external_lex_state = 2},
  [3565] = {.lex_state = 14, .external_lex_state = 2},
  [3566] = {.lex_state = 14, .external_lex_state = 2},
  [3567] = {.lex_state = 14, .external_lex_state = 2},
  [3568] = {.lex_state = 14, .external_lex_state = 2},
  [3569] = {.lex_state = 14, .external_lex_state = 2},
  [3570] = {.lex_state = 14, .external_lex_state = 2},
  [3571] = {.lex_state = 14, .external_lex_state = 2},
  [3572] = {.lex_state = 14, .external_lex_state = 2},
  [3573] = {.lex_state = 14, .external_lex_state = 2},
  [3574] = {.lex_state = 14, .external_lex_state = 2},
  [3575] = {.lex_state = 14, .external_lex_state = 2},
  [3576] = {.lex_state = 14, .external_lex_state = 2},
  [3577] = {.lex_state = 14, .external_lex_state = 2},
  [3578] = {.lex_state = 14, .external_lex_state = 2},
  [3579] = {.lex_state = 14, .external_lex_state = 2},
  [3580] = {.lex_state = 14, .external_lex_state = 2},
  [3581] = {.lex_state = 14, .external_lex_state = 2},
  [3582] = {.lex_state = 14, .external_lex_state = 2},
  [3583] = {.lex_state = 14, .external_lex_state = 2},
  [3584] = {.lex_state = 14, .external_lex_state = 2},
  [3585] = {.lex_state = 14, .external_lex_state = 2},
  [3586] = {.lex_state = 14, .external_lex_state = 2},
  [3587] = {.lex_state = 14, .external_lex_state = 2},
  [3588] = {.lex_state = 14, .external_lex_state = 2},
  [3589] = {.lex_state = 14, .external_lex_state = 2},
  [3590] = {.lex_state = 14, .external_lex_state = 2},
  [3591] = {.lex_state = 14, .external_lex_state = 2},
  [3592] = {.lex_state = 14, .external_lex_state = 2},
  [3593] = {.lex_state = 14, .external_lex_state = 2},
  [3594] = {.lex_state = 14, .external_lex_state = 2},
  [3595] = {.lex_state = 14, .external_lex_state = 2},
  [3596] = {.lex_state = 14, .external_lex_state = 2},
  [3597] = {.lex_state = 14, .external_lex_state = 2},
  [3598] = {.lex_state = 14, .external_lex_state = 2},
  [3599] = {.lex_state = 14, .external_lex_state = 2},
  [3600] = {.lex_state = 14, .external_lex_state = 2},
  [3601] = {.lex_state = 14, .external_lex_state = 2},
  [3602] = {.lex_state = 14, .external_lex_state = 2},
  [3603] = {.lex_state = 14, .external_lex_state = 2},
  [3604] = {.lex_state = 14, .external_lex_state = 2},
  [3605] = {.lex_state = 14, .external_lex_state = 2},
  [3606] = {.lex_state = 14, .external_lex_state = 2},
  [3607] = {.lex_state = 14, .external_lex_state = 2},
  [3608] = {.lex_state = 14, .external_lex_state = 2},
  [3609] = {.lex_state = 14, .external_lex_state = 2},
  [3610] = {.lex_state = 14, .external_lex_state = 2},
  [3611] = {.lex_state = 14, .external_lex_state = 2},
  [3612] = {.lex_state = 14, .external_lex_state = 2},
  [3613] = {.lex_state = 14, .external_lex_state = 2},
  [3614] = {.lex_state = 14, .external_lex_state = 2},
  [3615] = {.lex_state = 14, .external_lex_state = 2},
  [3616] = {.lex_state = 14, .external_lex_state = 2},
  [3617] = {.lex_state = 14, .external_lex_state = 2},
  [3618] = {.lex_state = 14, .external_lex_state = 2},
  [3619] = {.lex_state = 14, .external_lex_state = 2},
  [3620] = {.lex_state = 14, .external_lex_state = 2},
  [3621] = {.lex_state = 14, .external_lex_state = 2},
  [3622] = {.lex_state = 14, .external_lex_state = 2},
  [3623] = {.lex_state = 14, .external_lex_state = 2},
  [3624] = {.lex_state = 14, .external_lex_state = 2},
  [3625] = {.lex_state = 14, .external_lex_state = 2},
  [3626] = {.lex_state = 14, .external_lex_state = 2},
  [3627] = {.lex_state = 14, .external_lex_state = 2},
  [3628] = {.lex_state = 14, .external_lex_state = 2},
  [3629] = {.lex_state = 14, .external_lex_state = 2},
  [3630] = {.lex_state = 14, .external_lex_state = 2},
  [3631] = {.lex_state = 14, .external_lex_state = 2},
  [3632] = {.lex_state = 14, .external_lex_state = 2},
  [3633] = {.lex_state = 14, .external_lex_state = 2},
  [3634] = {.lex_state = 14, .external_lex_state = 2},
  [3635] = {.lex_state = 14, .external_lex_state = 2},
  [3636] = {.lex_state = 14, .external_lex_state = 2},
  [3637] = {.lex_state = 14, .external_lex_state = 2},
  [3638] = {.lex_state = 14, .external_lex_state = 2},
  [3639] = {.lex_state = 14, .external_lex_state = 2},
  [3640] = {.lex_state = 14, .external_lex_state = 2},
  [3641] = {.lex_state = 14, .external_lex_state = 2},
  [3642] = {.lex_state = 14, .external_lex_state = 2},
  [3643] = {.lex_state = 14, .external_lex_state = 2},
  [3644] = {.lex_state = 14, .external_lex_state = 2},
  [3645] = {.lex_state = 14, .external_lex_state = 2},
  [3646] = {.lex_state = 14, .external_lex_state = 2},
  [3647] = {.lex_state = 14, .external_lex_state = 2},
  [3648] = {.lex_state = 14, .external_lex_state = 2},
  [3649] = {.lex_state = 14, .external_lex_state = 2},
  [3650] = {.lex_state = 14, .external_lex_state = 2},
  [3651] = {.lex_state = 14, .external_lex_state = 2},
  [3652] = {.lex_state = 14, .external_lex_state = 2},
  [3653] = {.lex_state = 14, .external_lex_state = 2},
  [3654] = {.lex_state = 14, .external_lex_state = 2},
  [3655] = {.lex_state = 14, .external_lex_state = 2},
  [3656] = {.lex_state = 14, .external_lex_state = 2},
  [3657] = {.lex_state = 14, .external_lex_state = 2},
  [3658] = {.lex_state = 14, .external_lex_state = 2},
  [3659] = {.lex_state = 14, .external_lex_state = 2},
  [3660] = {.lex_state = 14, .external_lex_state = 2},
  [3661] = {.lex_state = 14, .external_lex_state = 2},
  [3662] = {.lex_state = 14, .external_lex_state = 2},
  [3663] = {.lex_state = 14, .external_lex_state = 2},
  [3664] = {.lex_state = 14, .external_lex_state = 2},
  [3665] = {.lex_state = 14, .external_lex_state = 2},
  [3666] = {.lex_state = 14, .external_lex_state = 2},
  [3667] = {.lex_state = 14, .external_lex_state = 2},
  [3668] = {.lex_state = 14, .external_lex_state = 2},
  [3669] = {.lex_state = 14, .external_lex_state = 2},
  [3670] = {.lex_state = 14, .external_lex_state = 2},
  [3671] = {.lex_state = 14, .external_lex_state = 2},
  [3672] = {.lex_state = 14, .external_lex_state = 2},
  [3673] = {.lex_state = 14, .external_lex_state = 2},
  [3674] = {.lex_state = 14, .external_lex_state = 2},
  [3675] = {.lex_state = 14, .external_lex_state = 2},
  [3676] = {.lex_state = 14, .external_lex_state = 2},
  [3677] = {.lex_state = 14, .external_lex_state = 2},
  [3678] = {.lex_state = 14, .external_lex_state = 2},
  [3679] = {.lex_state = 14, .external_lex_state = 2},
  [3680] = {.lex_state = 14, .external_lex_state = 2},
  [3681] = {.lex_state = 14, .external_lex_state = 2},
  [3682] = {.lex_state = 14, .external_lex_state = 2},
  [3683] = {.lex_state = 14, .external_lex_state = 2},
  [3684] = {.lex_state = 14, .external_lex_state = 2},
  [3685] = {.lex_state = 14, .external_lex_state = 2},
  [3686] = {.lex_state = 14, .external_lex_state = 2},
  [3687] = {.lex_state = 14, .external_lex_state = 2},
  [3688] = {.lex_state = 14, .external_lex_state = 2},
  [3689] = {.lex_state = 14, .external_lex_state = 2},
  [3690] = {.lex_state = 14, .external_lex_state = 2},
  [3691] = {.lex_state = 14, .external_lex_state = 2},
  [3692] = {.lex_state = 14, .external_lex_state = 2},
  [3693] = {.lex_state = 14, .external_lex_state = 2},
  [3694] = {.lex_state = 14, .external_lex_state = 2},
  [3695] = {.lex_state = 14, .external_lex_state = 2},
  [3696] = {.lex_state = 14, .external_lex_state = 2},
  [3697] = {.lex_state = 14, .external_lex_state = 2},
  [3698] = {.lex_state = 14, .external_lex_state = 2},
  [3699] = {.lex_state = 14, .external_lex_state = 2},
  [3700] = {.lex_state = 14, .external_lex_state = 2},
  [3701] = {.lex_state = 14, .external_lex_state = 2},
  [3702] = {.lex_state = 14, .external_lex_state = 2},
  [3703] = {.lex_state = 14, .external_lex_state = 2},
  [3704] = {.lex_state = 14, .external_lex_state = 2},
  [3705] = {.lex_state = 14, .external_lex_state = 2},
  [3706] = {.lex_state = 14, .external_lex_state = 2},
  [3707] = {.lex_state = 14, .external_lex_state = 2},
  [3708] = {.lex_state = 14, .external_lex_state = 2},
  [3709] = {.lex_state = 14, .external_lex_state = 2},
  [3710] = {.lex_state = 14, .external_lex_state = 2},
  [3711] = {.lex_state = 14, .external_lex_state = 2},
  [3712] = {.lex_state = 14, .external_lex_state = 2},
  [3713] = {.lex_state = 14, .external_lex_state = 2},
  [3714] = {.lex_state = 14, .external_lex_state = 2},
  [3715] = {.lex_state = 14, .external_lex_state = 2},
  [3716] = {.lex_state = 14, .external_lex_state = 2},
  [3717] = {.lex_state = 14, .external_lex_state = 2},
  [3718] = {.lex_state = 14, .external_lex_state = 2},
  [3719] = {.lex_state = 14, .external_lex_state = 2},
  [3720] = {.lex_state = 14, .external_lex_state = 2},
  [3721] = {.lex_state = 14, .external_lex_state = 2},
  [3722] = {.lex_state = 14, .external_lex_state = 2},
  [3723] = {.lex_state = 14, .external_lex_state = 2},
  [3724] = {.lex_state = 14, .external_lex_state = 2},
  [3725] = {.lex_state = 14, .external_lex_state = 2},
  [3726] = {.lex_state = 14, .external_lex_state = 2},
  [3727] = {.lex_state = 14, .external_lex_state = 2},
  [3728] = {.lex_state = 48, .external_lex_state = 7},
  [3729] = {.lex_state = 14, .external_lex_state = 2},
  [3730] = {.lex_state = 14, .external_lex_state = 2},
  [3731] = {.lex_state = 14, .external_lex_state = 2},
  [3732] = {.lex_state = 14, .external_lex_state = 2},
  [3733] = {.lex_state = 14, .external_lex_state = 2},
  [3734] = {.lex_state = 14, .external_lex_state = 2},
  [3735] = {.lex_state = 14, .external_lex_state = 2},
  [3736] = {.lex_state = 14, .external_lex_state = 2},
  [3737] = {.lex_state = 14, .external_lex_state = 2},
  [3738] = {.lex_state = 14, .external_lex_state = 2},
  [3739] = {.lex_state = 14, .external_lex_state = 2},
  [3740] = {.lex_state = 14, .external_lex_state = 2},
  [3741] = {.lex_state = 14, .external_lex_state = 2},
  [3742] = {.lex_state = 14, .external_lex_state = 2},
  [3743] = {.lex_state = 14, .external_lex_state = 2},
  [3744] = {.lex_state = 14, .external_lex_state = 2},
  [3745] = {.lex_state = 14, .external_lex_state = 2},
  [3746] = {.lex_state = 14, .external_lex_state = 2},
  [3747] = {.lex_state = 14, .external_lex_state = 2},
  [3748] = {.lex_state = 14, .external_lex_state = 2},
  [3749] = {.lex_state = 14, .external_lex_state = 2},
  [3750] = {.lex_state = 14, .external_lex_state = 2},
  [3751] = {.lex_state = 14, .external_lex_state = 2},
  [3752] = {.lex_state = 14, .external_lex_state = 2},
  [3753] = {.lex_state = 14, .external_lex_state = 2},
  [3754] = {.lex_state = 14, .external_lex_state = 2},
  [3755] = {.lex_state = 14, .external_lex_state = 2},
  [3756] = {.lex_state = 14, .external_lex_state = 2},
  [3757] = {.lex_state = 14, .external_lex_state = 2},
  [3758] = {.lex_state = 14, .external_lex_state = 2},
  [3759] = {.lex_state = 14, .external_lex_state = 2},
  [3760] = {.lex_state = 14, .external_lex_state = 2},
  [3761] = {.lex_state = 14, .external_lex_state = 2},
  [3762] = {.lex_state = 14, .external_lex_state = 2},
  [3763] = {.lex_state = 14, .external_lex_state = 2},
  [3764] = {.lex_state = 14, .external_lex_state = 2},
  [3765] = {.lex_state = 14, .external_lex_state = 2},
  [3766] = {.lex_state = 14, .external_lex_state = 2},
  [3767] = {.lex_state = 14, .external_lex_state = 2},
  [3768] = {.lex_state = 14, .external_lex_state = 2},
  [3769] = {.lex_state = 14, .external_lex_state = 2},
  [3770] = {.lex_state = 14, .external_lex_state = 2},
  [3771] = {.lex_state = 14, .external_lex_state = 2},
  [3772] = {.lex_state = 14, .external_lex_state = 2},
  [3773] = {.lex_state = 14, .external_lex_state = 2},
  [3774] = {.lex_state = 14, .external_lex_state = 2},
  [3775] = {.lex_state = 14, .external_lex_state = 2},
  [3776] = {.lex_state = 14, .external_lex_state = 2},
  [3777] = {.lex_state = 14, .external_lex_state = 2},
  [3778] = {.lex_state = 48, .external_lex_state = 16},
  [3779] = {.lex_state = 14, .external_lex_state = 2},
  [3780] = {.lex_state = 14, .external_lex_state = 2},
  [3781] = {.lex_state = 14, .external_lex_state = 2},
  [3782] = {.lex_state = 14, .external_lex_state = 2},
  [3783] = {.lex_state = 14, .external_lex_state = 2},
  [3784] = {.lex_state = 14, .external_lex_state = 2},
  [3785] = {.lex_state = 14, .external_lex_state = 2},
  [3786] = {.lex_state = 14, .external_lex_state = 2},
  [3787] = {.lex_state = 14, .external_lex_state = 2},
  [3788] = {.lex_state = 14, .external_lex_state = 2},
  [3789] = {.lex_state = 14, .external_lex_state = 2},
  [3790] = {.lex_state = 14, .external_lex_state = 2},
  [3791] = {.lex_state = 14, .external_lex_state = 2},
  [3792] = {.lex_state = 14, .external_lex_state = 2},
  [3793] = {.lex_state = 14, .external_lex_state = 2},
  [3794] = {.lex_state = 14, .external_lex_state = 2},
  [3795] = {.lex_state = 14, .external_lex_state = 2},
  [3796] = {.lex_state = 14, .external_lex_state = 2},
  [3797] = {.lex_state = 14, .external_lex_state = 2},
  [3798] = {.lex_state = 14, .external_lex_state = 2},
  [3799] = {.lex_state = 14, .external_lex_state = 2},
  [3800] = {.lex_state = 14, .external_lex_state = 2},
  [3801] = {.lex_state = 14, .external_lex_state = 2},
  [3802] = {.lex_state = 14, .external_lex_state = 2},
  [3803] = {.lex_state = 14, .external_lex_state = 2},
  [3804] = {.lex_state = 14, .external_lex_state = 2},
  [3805] = {.lex_state = 14, .external_lex_state = 2},
  [3806] = {.lex_state = 14, .external_lex_state = 2},
  [3807] = {.lex_state = 14, .external_lex_state = 2},
  [3808] = {.lex_state = 14, .external_lex_state = 2},
  [3809] = {.lex_state = 14, .external_lex_state = 2},
  [3810] = {.lex_state = 14, .external_lex_state = 2},
  [3811] = {.lex_state = 14, .external_lex_state = 2},
  [3812] = {.lex_state = 14, .external_lex_state = 2},
  [3813] = {.lex_state = 14, .external_lex_state = 2},
  [3814] = {.lex_state = 14, .external_lex_state = 2},
  [3815] = {.lex_state = 14, .external_lex_state = 2},
  [3816] = {.lex_state = 14, .external_lex_state = 2},
  [3817] = {.lex_state = 14, .external_lex_state = 2},
  [3818] = {.lex_state = 14, .external_lex_state = 2},
  [3819] = {.lex_state = 14, .external_lex_state = 2},
  [3820] = {.lex_state = 14, .external_lex_state = 2},
  [3821] = {.lex_state = 14, .external_lex_state = 2},
  [3822] = {.lex_state = 14, .external_lex_state = 2},
  [3823] = {.lex_state = 14, .external_lex_state = 2},
  [3824] = {.lex_state = 14, .external_lex_state = 2},
  [3825] = {.lex_state = 14, .external_lex_state = 2},
  [3826] = {.lex_state = 14, .external_lex_state = 2},
  [3827] = {.lex_state = 14, .external_lex_state = 2},
  [3828] = {.lex_state = 14, .external_lex_state = 2},
  [3829] = {.lex_state = 14, .external_lex_state = 2},
  [3830] = {.lex_state = 14, .external_lex_state = 2},
  [3831] = {.lex_state = 14, .external_lex_state = 2},
  [3832] = {.lex_state = 14, .external_lex_state = 2},
  [3833] = {.lex_state = 14, .external_lex_state = 2},
  [3834] = {.lex_state = 14, .external_lex_state = 2},
  [3835] = {.lex_state = 14, .external_lex_state = 2},
  [3836] = {.lex_state = 14, .external_lex_state = 2},
  [3837] = {.lex_state = 14, .external_lex_state = 2},
  [3838] = {.lex_state = 14, .external_lex_state = 2},
  [3839] = {.lex_state = 14, .external_lex_state = 2},
  [3840] = {.lex_state = 14, .external_lex_state = 2},
  [3841] = {.lex_state = 48, .external_lex_state = 11},
  [3842] = {.lex_state = 48, .external_lex_state = 21},
  [3843] = {.lex_state = 48, .external_lex_state = 22},
  [3844] = {.lex_state = 48, .external_lex_state = 20},
  [3845] = {.lex_state = 48, .external_lex_state = 10},
  [3846] = {.lex_state = 14, .external_lex_state = 3},
  [3847] = {.lex_state = 14, .external_lex_state = 3},
  [3848] = {.lex_state = 14, .external_lex_state = 3},
  [3849] = {.lex_state = 48, .external_lex_state = 2},
  [3850] = {.lex_state = 14, .external_lex_state = 3},
  [3851] = {.lex_state = 14, .external_lex_state = 3},
  [3852] = {.lex_state = 14, .external_lex_state = 3},
  [3853] = {.lex_state = 14, .external_lex_state = 3},
  [3854] = {.lex_state = 14, .external_lex_state = 3},
  [3855] = {.lex_state = 14, .external_lex_state = 3},
  [3856] = {.lex_state = 14, .external_lex_state = 3},
  [3857] = {.lex_state = 14, .external_lex_state = 3},
  [3858] = {.lex_state = 14, .external_lex_state = 3},
  [3859] = {.lex_state = 14, .external_lex_state = 3},
  [3860] = {.lex_state = 14, .external_lex_state = 3},
  [3861] = {.lex_state = 14, .external_lex_state = 3},
  [3862] = {.lex_state = 14, .external_lex_state = 3},
  [3863] = {.lex_state = 14, .external_lex_state = 3},
  [3864] = {.lex_state = 14, .external_lex_state = 3},
  [3865] = {.lex_state = 14, .external_lex_state = 3},
  [3866] = {.lex_state = 14, .external_lex_state = 3},
  [3867] = {.lex_state = 14, .external_lex_state = 3},
  [3868] = {.lex_state = 14, .external_lex_state = 3},
  [3869] = {.lex_state = 14, .external_lex_state = 3},
  [3870] = {.lex_state = 14, .external_lex_state = 3},
  [3871] = {.lex_state = 14, .external_lex_state = 3},
  [3872] = {.lex_state = 14, .external_lex_state = 3},
  [3873] = {.lex_state = 14, .external_lex_state = 3},
  [3874] = {.lex_state = 14, .external_lex_state = 3},
  [3875] = {.lex_state = 14, .external_lex_state = 3},
  [3876] = {.lex_state = 14, .external_lex_state = 3},
  [3877] = {.lex_state = 14, .external_lex_state = 3},
  [3878] = {.lex_state = 14, .external_lex_state = 3},
  [3879] = {.lex_state = 14, .external_lex_state = 3},
  [3880] = {.lex_state = 14, .external_lex_state = 3},
  [3881] = {.lex_state = 14, .external_lex_state = 3},
  [3882] = {.lex_state = 50, .external_lex_state = 6},
  [3883] = {.lex_state = 14, .external_lex_state = 3},
  [3884] = {.lex_state = 50, .external_lex_state = 6},
  [3885] = {.lex_state = 14, .external_lex_state = 3},
  [3886] = {.lex_state = 14, .external_lex_state = 3},
  [3887] = {.lex_state = 14, .external_lex_state = 3},
  [3888] = {.lex_state = 14, .external_lex_state = 3},
  [3889] = {.lex_state = 14, .external_lex_state = 3},
  [3890] = {.lex_state = 14, .external_lex_state = 3},
  [3891] = {.lex_state = 14, .external_lex_state = 3},
  [3892] = {.lex_state = 14, .external_lex_state = 3},
  [3893] = {.lex_state = 14, .external_lex_state = 3},
  [3894] = {.lex_state = 14, .external_lex_state = 3},
  [3895] = {.lex_state = 14, .external_lex_state = 3},
  [3896] = {.lex_state = 14, .external_lex_state = 3},
  [3897] = {.lex_state = 14, .external_lex_state = 3},
  [3898] = {.lex_state = 14, .external_lex_state = 3},
  [3899] = {.lex_state = 14, .external_lex_state = 3},
  [3900] = {.lex_state = 14, .external_lex_state = 3},
  [3901] = {.lex_state = 14, .external_lex_state = 3},
  [3902] = {.lex_state = 14, .external_lex_state = 3},
  [3903] = {.lex_state = 14, .external_lex_state = 3},
  [3904] = {.lex_state = 14, .external_lex_state = 3},
  [3905] = {.lex_state = 14, .external_lex_state = 3},
  [3906] = {.lex_state = 14, .external_lex_state = 3},
  [3907] = {.lex_state = 14, .external_lex_state = 3},
  [3908] = {.lex_state = 14, .external_lex_state = 3},
  [3909] = {.lex_state = 14, .external_lex_state = 3},
  [3910] = {.lex_state = 14, .external_lex_state = 3},
  [3911] = {.lex_state = 14, .external_lex_state = 3},
  [3912] = {.lex_state = 14, .external_lex_state = 3},
  [3913] = {.lex_state = 14, .external_lex_state = 3},
  [3914] = {.lex_state = 14, .external_lex_state = 3},
  [3915] = {.lex_state = 14, .external_lex_state = 3},
  [3916] = {.lex_state = 14, .external_lex_state = 3},
  [3917] = {.lex_state = 14, .external_lex_state = 3},
  [3918] = {.lex_state = 14, .external_lex_state = 3},
  [3919] = {.lex_state = 14, .external_lex_state = 3},
  [3920] = {.lex_state = 14, .external_lex_state = 3},
  [3921] = {.lex_state = 14, .external_lex_state = 3},
  [3922] = {.lex_state = 14, .external_lex_state = 2},
  [3923] = {.lex_state = 14, .external_lex_state = 3},
  [3924] = {.lex_state = 14, .external_lex_state = 3},
  [3925] = {.lex_state = 14, .external_lex_state = 3},
  [3926] = {.lex_state = 14, .external_lex_state = 3},
  [3927] = {.lex_state = 14, .external_lex_state = 3},
  [3928] = {.lex_state = 14, .external_lex_state = 3},
  [3929] = {.lex_state = 14, .external_lex_state = 3},
  [3930] = {.lex_state = 14, .external_lex_state = 3},
  [3931] = {.lex_state = 14, .external_lex_state = 3},
  [3932] = {.lex_state = 14, .external_lex_state = 3},
  [3933] = {.lex_state = 14, .external_lex_state = 3},
  [3934] = {.lex_state = 14, .external_lex_state = 2},
  [3935] = {.lex_state = 14, .external_lex_state = 3},
  [3936] = {.lex_state = 14, .external_lex_state = 3},
  [3937] = {.lex_state = 14, .external_lex_state = 3},
  [3938] = {.lex_state = 14, .external_lex_state = 3},
  [3939] = {.lex_state = 14, .external_lex_state = 3},
  [3940] = {.lex_state = 50, .external_lex_state = 8},
  [3941] = {.lex_state = 14, .external_lex_state = 3},
  [3942] = {.lex_state = 14, .external_lex_state = 2},
  [3943] = {.lex_state = 14, .external_lex_state = 3},
  [3944] = {.lex_state = 14, .external_lex_state = 3},
  [3945] = {.lex_state = 14, .external_lex_state = 3},
  [3946] = {.lex_state = 14, .external_lex_state = 3},
  [3947] = {.lex_state = 14, .external_lex_state = 3},
  [3948] = {.lex_state = 14, .external_lex_state = 3},
  [3949] = {.lex_state = 14, .external_lex_state = 3},
  [3950] = {.lex_state = 14, .external_lex_state = 3},
  [3951] = {.lex_state = 14, .external_lex_state = 3},
  [3952] = {.lex_state = 14, .external_lex_state = 3},
  [3953] = {.lex_state = 14, .external_lex_state = 3},
  [3954] = {.lex_state = 14, .external_lex_state = 3},
  [3955] = {.lex_state = 14, .external_lex_state = 3},
  [3956] = {.lex_state = 14, .external_lex_state = 3},
  [3957] = {.lex_state = 14, .external_lex_state = 3},
  [3958] = {.lex_state = 14, .external_lex_state = 2},
  [3959] = {.lex_state = 14, .external_lex_state = 3},
  [3960] = {.lex_state = 50, .external_lex_state = 8},
  [3961] = {.lex_state = 14, .external_lex_state = 3},
  [3962] = {.lex_state = 14, .external_lex_state = 3},
  [3963] = {.lex_state = 14, .external_lex_state = 3},
  [3964] = {.lex_state = 14, .external_lex_state = 3},
  [3965] = {.lex_state = 14, .external_lex_state = 3},
  [3966] = {.lex_state = 14, .external_lex_state = 3},
  [3967] = {.lex_state = 14, .external_lex_state = 3},
  [3968] = {.lex_state = 14, .external_lex_state = 3},
  [3969] = {.lex_state = 14, .external_lex_state = 3},
  [3970] = {.lex_state = 14, .external_lex_state = 3},
  [3971] = {.lex_state = 14, .external_lex_state = 3},
  [3972] = {.lex_state = 14, .external_lex_state = 3},
  [3973] = {.lex_state = 14, .external_lex_state = 3},
  [3974] = {.lex_state = 14, .external_lex_state = 3},
  [3975] = {.lex_state = 14, .external_lex_state = 3},
  [3976] = {.lex_state = 14, .external_lex_state = 3},
  [3977] = {.lex_state = 14, .external_lex_state = 3},
  [3978] = {.lex_state = 14, .external_lex_state = 3},
  [3979] = {.lex_state = 14, .external_lex_state = 3},
  [3980] = {.lex_state = 14, .external_lex_state = 3},
  [3981] = {.lex_state = 14, .external_lex_state = 3},
  [3982] = {.lex_state = 14, .external_lex_state = 3},
  [3983] = {.lex_state = 14, .external_lex_state = 3},
  [3984] = {.lex_state = 14, .external_lex_state = 3},
  [3985] = {.lex_state = 14, .external_lex_state = 3},
  [3986] = {.lex_state = 14, .external_lex_state = 3},
  [3987] = {.lex_state = 14, .external_lex_state = 3},
  [3988] = {.lex_state = 14, .external_lex_state = 3},
  [3989] = {.lex_state = 14, .external_lex_state = 3},
  [3990] = {.lex_state = 14, .external_lex_state = 3},
  [3991] = {.lex_state = 14, .external_lex_state = 3},
  [3992] = {.lex_state = 14, .external_lex_state = 3},
  [3993] = {.lex_state = 14, .external_lex_state = 3},
  [3994] = {.lex_state = 14, .external_lex_state = 3},
  [3995] = {.lex_state = 14, .external_lex_state = 3},
  [3996] = {.lex_state = 14, .external_lex_state = 3},
  [3997] = {.lex_state = 14, .external_lex_state = 3},
  [3998] = {.lex_state = 14, .external_lex_state = 3},
  [3999] = {.lex_state = 14, .external_lex_state = 3},
  [4000] = {.lex_state = 14, .external_lex_state = 3},
  [4001] = {.lex_state = 14, .external_lex_state = 3},
  [4002] = {.lex_state = 14, .external_lex_state = 3},
  [4003] = {.lex_state = 14, .external_lex_state = 3},
  [4004] = {.lex_state = 14, .external_lex_state = 3},
  [4005] = {.lex_state = 14, .external_lex_state = 3},
  [4006] = {.lex_state = 14, .external_lex_state = 3},
  [4007] = {.lex_state = 14, .external_lex_state = 3},
  [4008] = {.lex_state = 14, .external_lex_state = 3},
  [4009] = {.lex_state = 14, .external_lex_state = 3},
  [4010] = {.lex_state = 14, .external_lex_state = 3},
  [4011] = {.lex_state = 14, .external_lex_state = 3},
  [4012] = {.lex_state = 14, .external_lex_state = 3},
  [4013] = {.lex_state = 14, .external_lex_state = 3},
  [4014] = {.lex_state = 14, .external_lex_state = 3},
  [4015] = {.lex_state = 14, .external_lex_state = 3},
  [4016] = {.lex_state = 14, .external_lex_state = 3},
  [4017] = {.lex_state = 14, .external_lex_state = 3},
  [4018] = {.lex_state = 14, .external_lex_state = 3},
  [4019] = {.lex_state = 14, .external_lex_state = 3},
  [4020] = {.lex_state = 14, .external_lex_state = 3},
  [4021] = {.lex_state = 14, .external_lex_state = 3},
  [4022] = {.lex_state = 14, .external_lex_state = 3},
  [4023] = {.lex_state = 50, .external_lex_state = 7},
  [4024] = {.lex_state = 50, .external_lex_state = 7},
  [4025] = {.lex_state = 50, .external_lex_state = 11},
  [4026] = {.lex_state = 50, .external_lex_state = 10},
  [4027] = {.lex_state = 50, .external_lex_state = 9},
  [4028] = {.lex_state = 14, .external_lex_state = 4},
  [4029] = {.lex_state = 14, .external_lex_state = 4},
  [4030] = {.lex_state = 50, .external_lex_state = 9},
  [4031] = {.lex_state = 50, .external_lex_state = 11},
  [4032] = {.lex_state = 50, .external_lex_state = 12},
  [4033] = {.lex_state = 50, .external_lex_state = 12},
  [4034] = {.lex_state = 50, .external_lex_state = 10},
  [4035] = {.lex_state = 50, .external_lex_state = 6},
  [4036] = {.lex_state = 14, .external_lex_state = 2},
  [4037] = {.lex_state = 50, .external_lex_state = 14},
  [4038] = {.lex_state = 50, .external_lex_state = 6},
  [4039] = {.lex_state = 14, .external_lex_state = 2},
  [4040] = {.lex_state = 50, .external_lex_state = 15},
  [4041] = {.lex_state = 50, .external_lex_state = 13},
  [4042] = {.lex_state = 50, .external_lex_state = 14},
  [4043] = {.lex_state = 50, .external_lex_state = 20},
  [4044] = {.lex_state = 14, .external_lex_state = 2},
  [4045] = {.lex_state = 50, .external_lex_state = 15},
  [4046] = {.lex_state = 50, .external_lex_state = 13},
  [4047] = {.lex_state = 50, .external_lex_state = 20},
  [4048] = {.lex_state = 14, .external_lex_state = 2},
  [4049] = {.lex_state = 50, .external_lex_state = 8},
  [4050] = {.lex_state = 50, .external_lex_state = 8},
  [4051] = {.lex_state = 50, .external_lex_state = 19},
  [4052] = {.lex_state = 50, .external_lex_state = 18},
  [4053] = {.lex_state = 50, .external_lex_state = 7},
  [4054] = {.lex_state = 54},
  [4055] = {.lex_state = 50, .external_lex_state = 7},
  [4056] = {.lex_state = 50, .external_lex_state = 18},
  [4057] = {.lex_state = 50, .external_lex_state = 19},
  [4058] = {.lex_state = 50, .external_lex_state = 16},
  [4059] = {.lex_state = 50, .external_lex_state = 16},
  [4060] = {.lex_state = 50, .external_lex_state = 17},
  [4061] = {.lex_state = 50, .external_lex_state = 17},
  [4062] = {.lex_state = 54},
  [4063] = {.lex_state = 50, .external_lex_state = 22},
  [4064] = {.lex_state = 14, .external_lex_state = 2},
  [4065] = {.lex_state = 50, .external_lex_state = 21},
  [4066] = {.lex_state = 50, .external_lex_state = 22},
  [4067] = {.lex_state = 50, .external_lex_state = 10},
  [4068] = {.lex_state = 50, .external_lex_state = 21},
  [4069] = {.lex_state = 14, .external_lex_state = 2},
  [4070] = {.lex_state = 50, .external_lex_state = 10},
  [4071] = {.lex_state = 50, .external_lex_state = 3},
  [4072] = {.lex_state = 50, .external_lex_state = 11},
  [4073] = {.lex_state = 50, .external_lex_state = 11},
  [4074] = {.lex_state = 50, .external_lex_state = 3},
  [4075] = {.lex_state = 50, .external_lex_state = 20},
  [4076] = {.lex_state = 50, .external_lex_state = 20},
  [4077] = {.lex_state = 50, .external_lex_state = 2},
  [4078] = {.lex_state = 50, .external_lex_state = 2},
  [4079] = {.lex_state = 14, .external_lex_state = 2},
  [4080] = {.lex_state = 14, .external_lex_state = 2},
  [4081] = {.lex_state = 14, .external_lex_state = 2},
  [4082] = {.lex_state = 14, .external_lex_state = 2},
  [4083] = {.lex_state = 14, .external_lex_state = 2},
  [4084] = {.lex_state = 14, .external_lex_state = 2},
  [4085] = {.lex_state = 14, .external_lex_state = 2},
  [4086] = {.lex_state = 14, .external_lex_state = 2},
  [4087] = {.lex_state = 14, .external_lex_state = 2},
  [4088] = {.lex_state = 14, .external_lex_state = 2},
  [4089] = {.lex_state = 14, .external_lex_state = 2},
  [4090] = {.lex_state = 14, .external_lex_state = 2},
  [4091] = {.lex_state = 14, .external_lex_state = 2},
  [4092] = {.lex_state = 14, .external_lex_state = 2},
  [4093] = {.lex_state = 14, .external_lex_state = 2},
  [4094] = {.lex_state = 14, .external_lex_state = 2},
  [4095] = {.lex_state = 14, .external_lex_state = 2},
  [4096] = {.lex_state = 14, .external_lex_state = 2},
  [4097] = {.lex_state = 14, .external_lex_state = 2},
  [4098] = {.lex_state = 14, .external_lex_state = 2},
  [4099] = {.lex_state = 14, .external_lex_state = 2},
  [4100] = {.lex_state = 14, .external_lex_state = 2},
  [4101] = {.lex_state = 14, .external_lex_state = 2},
  [4102] = {.lex_state = 14, .external_lex_state = 2},
  [4103] = {.lex_state = 14, .external_lex_state = 2},
  [4104] = {.lex_state = 14, .external_lex_state = 2},
  [4105] = {.lex_state = 14, .external_lex_state = 2},
  [4106] = {.lex_state = 50, .external_lex_state = 2},
  [4107] = {.lex_state = 14, .external_lex_state = 2},
  [4108] = {.lex_state = 14, .external_lex_state = 2},
  [4109] = {.lex_state = 14, .external_lex_state = 2},
  [4110] = {.lex_state = 14, .external_lex_state = 2},
  [4111] = {.lex_state = 14, .external_lex_state = 2},
  [4112] = {.lex_state = 14, .external_lex_state = 2},
  [4113] = {.lex_state = 14, .external_lex_state = 2},
  [4114] = {.lex_state = 14, .external_lex_state = 2},
  [4115] = {.lex_state = 14, .external_lex_state = 2},
  [4116] = {.lex_state = 14, .external_lex_state = 2},
  [4117] = {.lex_state = 14, .external_lex_state = 2},
  [4118] = {.lex_state = 14, .external_lex_state = 2},
  [4119] = {.lex_state = 14, .external_lex_state = 2},
  [4120] = {.lex_state = 14, .external_lex_state = 2},
  [4121] = {.lex_state = 14, .external_lex_state = 2},
  [4122] = {.lex_state = 14, .external_lex_state = 2},
  [4123] = {.lex_state = 14, .external_lex_state = 2},
  [4124] = {.lex_state = 14, .external_lex_state = 2},
  [4125] = {.lex_state = 14, .external_lex_state = 2},
  [4126] = {.lex_state = 14, .external_lex_state = 2},
  [4127] = {.lex_state = 14, .external_lex_state = 2},
  [4128] = {.lex_state = 14, .external_lex_state = 2},
  [4129] = {.lex_state = 14, .external_lex_state = 2},
  [4130] = {.lex_state = 14, .external_lex_state = 2},
  [4131] = {.lex_state = 14, .external_lex_state = 2},
  [4132] = {.lex_state = 14, .external_lex_state = 2},
  [4133] = {.lex_state = 14, .external_lex_state = 2},
  [4134] = {.lex_state = 14, .external_lex_state = 2},
  [4135] = {.lex_state = 14, .external_lex_state = 2},
  [4136] = {.lex_state = 14, .external_lex_state = 2},
  [4137] = {.lex_state = 52, .external_lex_state = 23},
  [4138] = {.lex_state = 2, .external_lex_state = 2},
  [4139] = {.lex_state = 63, .external_lex_state = 23},
  [4140] = {.lex_state = 14, .external_lex_state = 2},
  [4141] = {.lex_state = 63, .external_lex_state = 23},
  [4142] = {.lex_state = 63, .external_lex_state = 23},
  [4143] = {.lex_state = 63, .external_lex_state = 23},
  [4144] = {.lex_state = 14, .external_lex_state = 2},
  [4145] = {.lex_state = 52, .external_lex_state = 23},
  [4146] = {.lex_state = 52, .external_lex_state = 23},
  [4147] = {.lex_state = 52, .external_lex_state = 24},
  [4148] = {.lex_state = 14, .external_lex_state = 2},
  [4149] = {.lex_state = 52, .external_lex_state = 23},
  [4150] = {.lex_state = 52, .external_lex_state = 23},
  [4151] = {.lex_state = 14, .external_lex_state = 2},
  [4152] = {.lex_state = 14, .external_lex_state = 2},
  [4153] = {.lex_state = 14, .external_lex_state = 2},
  [4154] = {.lex_state = 63, .external_lex_state = 23},
  [4155] = {.lex_state = 52, .external_lex_state = 24},
  [4156] = {.lex_state = 14, .external_lex_state = 2},
  [4157] = {.lex_state = 14, .external_lex_state = 2},
  [4158] = {.lex_state = 14, .external_lex_state = 2},
  [4159] = {.lex_state = 52, .external_lex_state = 23},
  [4160] = {.lex_state = 63, .external_lex_state = 23},
  [4161] = {.lex_state = 52, .external_lex_state = 24},
  [4162] = {.lex_state = 14, .external_lex_state = 2},
  [4163] = {.lex_state = 63, .external_lex_state = 23},
  [4164] = {.lex_state = 63, .external_lex_state = 23},
  [4165] = {.lex_state = 63, .external_lex_state = 23},
  [4166] = {.lex_state = 14, .external_lex_state = 2},
  [4167] = {.lex_state = 63, .external_lex_state = 23},
  [4168] = {.lex_state = 14, .external_lex_state = 2},
  [4169] = {.lex_state = 63, .external_lex_state = 23},
  [4170] = {.lex_state = 63, .external_lex_state = 23},
  [4171] = {.lex_state = 63, .external_lex_state = 23},
  [4172] = {.lex_state = 14, .external_lex_state = 2},
  [4173] = {.lex_state = 14, .external_lex_state = 2},
  [4174] = {.lex_state = 63, .external_lex_state = 23},
  [4175] = {.lex_state = 2, .external_lex_state = 2},
  [4176] = {.lex_state = 14, .external_lex_state = 2},
  [4177] = {.lex_state = 63, .external_lex_state = 23},
  [4178] = {.lex_state = 14, .external_lex_state = 2},
  [4179] = {.lex_state = 54},
  [4180] = {.lex_state = 14, .external_lex_state = 2},
  [4181] = {.lex_state = 14, .external_lex_state = 2},
  [4182] = {.lex_state = 14, .external_lex_state = 2},
  [4183] = {.lex_state = 14, .external_lex_state = 2},
  [4184] = {.lex_state = 14, .external_lex_state = 2},
  [4185] = {.lex_state = 14, .external_lex_state = 2},
  [4186] = {.lex_state = 14, .external_lex_state = 2},
  [4187] = {.lex_state = 14, .external_lex_state = 2},
  [4188] = {.lex_state = 14, .external_lex_state = 2},
  [4189] = {.lex_state = 14, .external_lex_state = 2},
  [4190] = {.lex_state = 14, .external_lex_state = 2},
  [4191] = {.lex_state = 14, .external_lex_state = 2},
  [4192] = {.lex_state = 14, .external_lex_state = 2},
  [4193] = {.lex_state = 14, .external_lex_state = 2},
  [4194] = {.lex_state = 14, .external_lex_state = 2},
  [4195] = {.lex_state = 14, .external_lex_state = 2},
  [4196] = {.lex_state = 14, .external_lex_state = 2},
  [4197] = {.lex_state = 14, .external_lex_state = 2},
  [4198] = {.lex_state = 14, .external_lex_state = 2},
  [4199] = {.lex_state = 14, .external_lex_state = 2},
  [4200] = {.lex_state = 14, .external_lex_state = 2},
  [4201] = {.lex_state = 14, .external_lex_state = 2},
  [4202] = {.lex_state = 14, .external_lex_state = 2},
  [4203] = {.lex_state = 14, .external_lex_state = 2},
  [4204] = {.lex_state = 14, .external_lex_state = 2},
  [4205] = {.lex_state = 14, .external_lex_state = 2},
  [4206] = {.lex_state = 14, .external_lex_state = 2},
  [4207] = {.lex_state = 14, .external_lex_state = 2},
  [4208] = {.lex_state = 14, .external_lex_state = 2},
  [4209] = {.lex_state = 14, .external_lex_state = 2},
  [4210] = {.lex_state = 14, .external_lex_state = 2},
  [4211] = {.lex_state = 14, .external_lex_state = 2},
  [4212] = {.lex_state = 14, .external_lex_state = 2},
  [4213] = {.lex_state = 14, .external_lex_state = 2},
  [4214] = {.lex_state = 14, .external_lex_state = 2},
  [4215] = {.lex_state = 14, .external_lex_state = 2},
  [4216] = {.lex_state = 14, .external_lex_state = 2},
  [4217] = {.lex_state = 14, .external_lex_state = 2},
  [4218] = {.lex_state = 14, .external_lex_state = 2},
  [4219] = {.lex_state = 14, .external_lex_state = 2},
  [4220] = {.lex_state = 14, .external_lex_state = 2},
  [4221] = {.lex_state = 14, .external_lex_state = 2},
  [4222] = {.lex_state = 14, .external_lex_state = 2},
  [4223] = {.lex_state = 14, .external_lex_state = 2},
  [4224] = {.lex_state = 14, .external_lex_state = 2},
  [4225] = {.lex_state = 14, .external_lex_state = 2},
  [4226] = {.lex_state = 14, .external_lex_state = 2},
  [4227] = {.lex_state = 14, .external_lex_state = 2},
  [4228] = {.lex_state = 14, .external_lex_state = 2},
  [4229] = {.lex_state = 14, .external_lex_state = 2},
  [4230] = {.lex_state = 14, .external_lex_state = 2},
  [4231] = {.lex_state = 14, .external_lex_state = 2},
  [4232] = {.lex_state = 14, .external_lex_state = 2},
  [4233] = {.lex_state = 14, .external_lex_state = 2},
  [4234] = {.lex_state = 14, .external_lex_state = 2},
  [4235] = {.lex_state = 14, .external_lex_state = 2},
  [4236] = {.lex_state = 14, .external_lex_state = 2},
  [4237] = {.lex_state = 14, .external_lex_state = 2},
  [4238] = {.lex_state = 14, .external_lex_state = 2},
  [4239] = {.lex_state = 14, .external_lex_state = 2},
  [4240] = {.lex_state = 14, .external_lex_state = 2},
  [4241] = {.lex_state = 14, .external_lex_state = 2},
  [4242] = {.lex_state = 14, .external_lex_state = 2},
  [4243] = {.lex_state = 14, .external_lex_state = 2},
  [4244] = {.lex_state = 50, .external_lex_state = 3},
  [4245] = {.lex_state = 54},
  [4246] = {.lex_state = 54, .external_lex_state = 25},
  [4247] = {.lex_state = 54, .external_lex_state = 25},
  [4248] = {.lex_state = 54, .external_lex_state = 25},
  [4249] = {.lex_state = 52, .external_lex_state = 24},
  [4250] = {.lex_state = 54},
  [4251] = {.lex_state = 54, .external_lex_state = 25},
  [4252] = {.lex_state = 52, .external_lex_state = 23},
  [4253] = {.lex_state = 54, .external_lex_state = 25},
  [4254] = {.lex_state = 54},
  [4255] = {.lex_state = 52, .external_lex_state = 26},
  [4256] = {.lex_state = 63},
  [4257] = {.lex_state = 54},
  [4258] = {.lex_state = 63},
  [4259] = {.lex_state = 57, .external_lex_state = 27},
  [4260] = {.lex_state = 54},
  [4261] = {.lex_state = 63},
  [4262] = {.lex_state = 63},
  [4263] = {.lex_state = 63, .external_lex_state = 27},
  [4264] = {.lex_state = 52, .external_lex_state = 23},
  [4265] = {.lex_state = 63},
  [4266] = {.lex_state = 56, .external_lex_state = 27},
  [4267] = {.lex_state = 63},
  [4268] = {.lex_state = 63},
  [4269] = {.lex_state = 54},
  [4270] = {.lex_state = 54},
  [4271] = {.lex_state = 54},
  [4272] = {.lex_state = 63},
  [4273] = {.lex_state = 63},
  [4274] = {.lex_state = 54},
  [4275] = {.lex_state = 54},
  [4276] = {.lex_state = 63},
  [4277] = {.lex_state = 63, .external_lex_state = 28},
  [4278] = {.lex_state = 54},
  [4279] = {.lex_state = 54},
  [4280] = {.lex_state = 63},
  [4281] = {.lex_state = 57, .external_lex_state = 27},
  [4282] = {.lex_state = 54},
  [4283] = {.lex_state = 63},
  [4284] = {.lex_state = 63},
  [4285] = {.lex_state = 63},
  [4286] = {.lex_state = 54},
  [4287] = {.lex_state = 61, .external_lex_state = 27},
  [4288] = {.lex_state = 63},
  [4289] = {.lex_state = 63, .external_lex_state = 27},
  [4290] = {.lex_state = 57, .external_lex_state = 29},
  [4291] = {.lex_state = 63},
  [4292] = {.lex_state = 54, .external_lex_state = 25},
  [4293] = {.lex_state = 63},
  [4294] = {.lex_state = 63},
  [4295] = {.lex_state = 63},
  [4296] = {.lex_state = 54},
  [4297] = {.lex_state = 52, .external_lex_state = 30},
  [4298] = {.lex_state = 63},
  [4299] = {.lex_state = 63},
  [4300] = {.lex_state = 63},
  [4301] = {.lex_state = 63},
  [4302] = {.lex_state = 63},
  [4303] = {.lex_state = 61, .external_lex_state = 27},
  [4304] = {.lex_state = 63},
  [4305] = {.lex_state = 63},
  [4306] = {.lex_state = 63},
  [4307] = {.lex_state = 54},
  [4308] = {.lex_state = 63},
  [4309] = {.lex_state = 54},
  [4310] = {.lex_state = 54},
  [4311] = {.lex_state = 63},
  [4312] = {.lex_state = 54, .external_lex_state = 25},
  [4313] = {.lex_state = 63},
  [4314] = {.lex_state = 54},
  [4315] = {.lex_state = 63},
  [4316] = {.lex_state = 54},
  [4317] = {.lex_state = 54, .external_lex_state = 25},
  [4318] = {.lex_state = 63},
  [4319] = {.lex_state = 56, .external_lex_state = 28},
  [4320] = {.lex_state = 63},
  [4321] = {.lex_state = 52, .external_lex_state = 31},
  [4322] = {.lex_state = 63},
  [4323] = {.lex_state = 56, .external_lex_state = 27},
  [4324] = {.lex_state = 63},
  [4325] = {.lex_state = 54, .external_lex_state = 25},
  [4326] = {.lex_state = 54, .external_lex_state = 25},
  [4327] = {.lex_state = 63},
  [4328] = {.lex_state = 54, .external_lex_state = 25},
  [4329] = {.lex_state = 63},
  [4330] = {.lex_state = 63},
  [4331] = {.lex_state = 63},
  [4332] = {.lex_state = 54, .external_lex_state = 25},
  [4333] = {.lex_state = 63},
  [4334] = {.lex_state = 63},
  [4335] = {.lex_state = 63},
  [4336] = {.lex_state = 63},
  [4337] = {.lex_state = 54, .external_lex_state = 25},
  [4338] = {.lex_state = 63},
  [4339] = {.lex_state = 63},
  [4340] = {.lex_state = 63},
  [4341] = {.lex_state = 63},
  [4342] = {.lex_state = 54, .external_lex_state = 25},
  [4343] = {.lex_state = 63},
  [4344] = {.lex_state = 63},
  [4345] = {.lex_state = 63, .external_lex_state = 29},
  [4346] = {.lex_state = 54, .external_lex_state = 25},
  [4347] = {.lex_state = 63},
  [4348] = {.lex_state = 54, .external_lex_state = 25},
  [4349] = {.lex_state = 54, .external_lex_state = 25},
  [4350] = {.lex_state = 61, .external_lex_state = 27},
  [4351] = {.lex_state = 63},
  [4352] = {.lex_state = 63},
  [4353] = {.lex_state = 63},
  [4354] = {.lex_state = 63},
  [4355] = {.lex_state = 63},
  [4356] = {.lex_state = 63},
  [4357] = {.lex_state = 63},
  [4358] = {.lex_state = 63},
  [4359] = {.lex_state = 63},
  [4360] = {.lex_state = 63},
  [4361] = {.lex_state = 63},
  [4362] = {.lex_state = 63},
  [4363] = {.lex_state = 63},
  [4364] = {.lex_state = 63},
  [4365] = {.lex_state = 63},
  [4366] = {.lex_state = 63},
  [4367] = {.lex_state = 63},
  [4368] = {.lex_state = 57, .external_lex_state = 27},
  [4369] = {.lex_state = 63},
  [4370] = {.lex_state = 63},
  [4371] = {.lex_state = 63},
  [4372] = {.lex_state = 57, .external_lex_state = 28},
  [4373] = {.lex_state = 54},
  [4374] = {.lex_state = 63},
  [4375] = {.lex_state = 54, .external_lex_state = 25},
  [4376] = {.lex_state = 54, .external_lex_state = 25},
  [4377] = {.lex_state = 63},
  [4378] = {.lex_state = 54, .external_lex_state = 25},
  [4379] = {.lex_state = 56, .external_lex_state = 29},
  [4380] = {.lex_state = 58, .external_lex_state = 27},
  [4381] = {.lex_state = 63},
  [4382] = {.lex_state = 63},
  [4383] = {.lex_state = 57, .external_lex_state = 29},
  [4384] = {.lex_state = 63},
  [4385] = {.lex_state = 63},
  [4386] = {.lex_state = 63},
  [4387] = {.lex_state = 63},
  [4388] = {.lex_state = 63},
  [4389] = {.lex_state = 63},
  [4390] = {.lex_state = 63},
  [4391] = {.lex_state = 63, .external_lex_state = 26},
  [4392] = {.lex_state = 63},
  [4393] = {.lex_state = 56, .external_lex_state = 27},
  [4394] = {.lex_state = 63},
  [4395] = {.lex_state = 52, .external_lex_state = 26},
  [4396] = {.lex_state = 63},
  [4397] = {.lex_state = 56, .external_lex_state = 27},
  [4398] = {.lex_state = 61, .external_lex_state = 29},
  [4399] = {.lex_state = 63},
  [4400] = {.lex_state = 63},
  [4401] = {.lex_state = 63},
  [4402] = {.lex_state = 57, .external_lex_state = 28},
  [4403] = {.lex_state = 63},
  [4404] = {.lex_state = 52, .external_lex_state = 27},
  [4405] = {.lex_state = 56, .external_lex_state = 27},
  [4406] = {.lex_state = 63, .external_lex_state = 28},
  [4407] = {.lex_state = 61, .external_lex_state = 29},
  [4408] = {.lex_state = 63},
  [4409] = {.lex_state = 63},
  [4410] = {.lex_state = 63},
  [4411] = {.lex_state = 63},
  [4412] = {.lex_state = 57, .external_lex_state = 28},
  [4413] = {.lex_state = 52, .external_lex_state = 26},
  [4414] = {.lex_state = 56, .external_lex_state = 32},
  [4415] = {.lex_state = 57, .external_lex_state = 29},
  [4416] = {.lex_state = 63},
  [4417] = {.lex_state = 63},
  [4418] = {.lex_state = 52, .external_lex_state = 33},
  [4419] = {.lex_state = 56, .external_lex_state = 34},
  [4420] = {.lex_state = 63},
  [4421] = {.lex_state = 63},
  [4422] = {.lex_state = 57, .external_lex_state = 35},
  [4423] = {.lex_state = 52, .external_lex_state = 27},
  [4424] = {.lex_state = 52, .external_lex_state = 27},
  [4425] = {.lex_state = 63},
  [4426] = {.lex_state = 52, .external_lex_state = 36},
  [4427] = {.lex_state = 63, .external_lex_state = 35},
  [4428] = {.lex_state = 52, .external_lex_state = 37},
  [4429] = {.lex_state = 63},
  [4430] = {.lex_state = 63, .external_lex_state = 26},
  [4431] = {.lex_state = 63},
  [4432] = {.lex_state = 57, .external_lex_state = 32},
  [4433] = {.lex_state = 56, .external_lex_state = 27},
  [4434] = {.lex_state = 63},
  [4435] = {.lex_state = 63, .external_lex_state = 34},
  [4436] = {.lex_state = 63},
  [4437] = {.lex_state = 63},
  [4438] = {.lex_state = 63, .external_lex_state = 32},
  [4439] = {.lex_state = 63},
  [4440] = {.lex_state = 56, .external_lex_state = 29},
  [4441] = {.lex_state = 61, .external_lex_state = 29},
  [4442] = {.lex_state = 63},
  [4443] = {.lex_state = 61, .external_lex_state = 27},
  [4444] = {.lex_state = 63, .external_lex_state = 26},
  [4445] = {.lex_state = 63},
  [4446] = {.lex_state = 61, .external_lex_state = 27},
  [4447] = {.lex_state = 63},
  [4448] = {.lex_state = 63},
  [4449] = {.lex_state = 61, .external_lex_state = 28},
  [4450] = {.lex_state = 63},
  [4451] = {.lex_state = 54},
  [4452] = {.lex_state = 56, .external_lex_state = 28},
  [4453] = {.lex_state = 63},
  [4454] = {.lex_state = 56, .external_lex_state = 35},
  [4455] = {.lex_state = 58, .external_lex_state = 27},
  [4456] = {.lex_state = 63},
  [4457] = {.lex_state = 58, .external_lex_state = 28},
  [4458] = {.lex_state = 63, .external_lex_state = 29},
  [4459] = {.lex_state = 63},
  [4460] = {.lex_state = 63},
  [4461] = {.lex_state = 61, .external_lex_state = 28},
  [4462] = {.lex_state = 63},
  [4463] = {.lex_state = 57, .external_lex_state = 34},
  [4464] = {.lex_state = 58, .external_lex_state = 29},
  [4465] = {.lex_state = 61, .external_lex_state = 28},
  [4466] = {.lex_state = 63},
  [4467] = {.lex_state = 56, .external_lex_state = 38},
  [4468] = {.lex_state = 52, .external_lex_state = 27},
  [4469] = {.lex_state = 63, .external_lex_state = 32},
  [4470] = {.lex_state = 52, .external_lex_state = 26},
  [4471] = {.lex_state = 63, .external_lex_state = 31},
  [4472] = {.lex_state = 56, .external_lex_state = 27},
  [4473] = {.lex_state = 58, .external_lex_state = 29},
  [4474] = {.lex_state = 52, .external_lex_state = 29},
  [4475] = {.lex_state = 63},
  [4476] = {.lex_state = 56, .external_lex_state = 35},
  [4477] = {.lex_state = 58, .external_lex_state = 27},
  [4478] = {.lex_state = 57, .external_lex_state = 35},
  [4479] = {.lex_state = 52, .external_lex_state = 28},
  [4480] = {.lex_state = 56, .external_lex_state = 27},
  [4481] = {.lex_state = 52, .external_lex_state = 29},
  [4482] = {.lex_state = 57, .external_lex_state = 39},
  [4483] = {.lex_state = 56, .external_lex_state = 34},
  [4484] = {.lex_state = 52, .external_lex_state = 28},
  [4485] = {.lex_state = 56, .external_lex_state = 27},
  [4486] = {.lex_state = 61, .external_lex_state = 27},
  [4487] = {.lex_state = 58, .external_lex_state = 34},
  [4488] = {.lex_state = 58, .external_lex_state = 28},
  [4489] = {.lex_state = 58, .external_lex_state = 27},
  [4490] = {.lex_state = 56, .external_lex_state = 27},
  [4491] = {.lex_state = 52, .external_lex_state = 27},
  [4492] = {.lex_state = 56, .external_lex_state = 28},
  [4493] = {.lex_state = 63, .external_lex_state = 35},
  [4494] = {.lex_state = 57, .external_lex_state = 34},
  [4495] = {.lex_state = 56, .external_lex_state = 32},
  [4496] = {.lex_state = 52, .external_lex_state = 30},
  [4497] = {.lex_state = 52, .external_lex_state = 40},
  [4498] = {.lex_state = 56, .external_lex_state = 27},
  [4499] = {.lex_state = 57, .external_lex_state = 32},
  [4500] = {.lex_state = 58, .external_lex_state = 35},
  [4501] = {.lex_state = 52, .external_lex_state = 30},
  [4502] = {.lex_state = 63, .external_lex_state = 31},
  [4503] = {.lex_state = 61, .external_lex_state = 34},
  [4504] = {.lex_state = 63, .external_lex_state = 27},
  [4505] = {.lex_state = 61, .external_lex_state = 27},
  [4506] = {.lex_state = 63, .external_lex_state = 34},
  [4507] = {.lex_state = 58, .external_lex_state = 32},
  [4508] = {.lex_state = 63, .external_lex_state = 31},
  [4509] = {.lex_state = 52, .external_lex_state = 29},
  [4510] = {.lex_state = 56, .external_lex_state = 41},
  [4511] = {.lex_state = 61, .external_lex_state = 32},
  [4512] = {.lex_state = 56, .external_lex_state = 29},
  [4513] = {.lex_state = 63, .external_lex_state = 38},
  [4514] = {.lex_state = 61, .external_lex_state = 29},
  [4515] = {.lex_state = 61, .external_lex_state = 29},
  [4516] = {.lex_state = 57, .external_lex_state = 32},
  [4517] = {.lex_state = 63, .external_lex_state = 27},
  [4518] = {.lex_state = 56, .external_lex_state = 28},
  [4519] = {.lex_state = 61, .external_lex_state = 35},
  [4520] = {.lex_state = 52, .external_lex_state = 23},
  [4521] = {.lex_state = 52, .external_lex_state = 42},
  [4522] = {.lex_state = 56, .external_lex_state = 39},
  [4523] = {.lex_state = 63, .external_lex_state = 39},
  [4524] = {.lex_state = 61, .external_lex_state = 32},
  [4525] = {.lex_state = 57, .external_lex_state = 35},
  [4526] = {.lex_state = 61, .external_lex_state = 35},
  [4527] = {.lex_state = 61, .external_lex_state = 35},
  [4528] = {.lex_state = 52, .external_lex_state = 26},
  [4529] = {.lex_state = 56, .external_lex_state = 29},
  [4530] = {.lex_state = 61, .external_lex_state = 34},
  [4531] = {.lex_state = 58, .external_lex_state = 38},
  [4532] = {.lex_state = 61, .external_lex_state = 28},
  [4533] = {.lex_state = 61, .external_lex_state = 34},
  [4534] = {.lex_state = 56, .external_lex_state = 27},
  [4535] = {.lex_state = 56, .external_lex_state = 28},
  [4536] = {.lex_state = 52, .external_lex_state = 26},
  [4537] = {.lex_state = 57, .external_lex_state = 41},
  [4538] = {.lex_state = 61, .external_lex_state = 28},
  [4539] = {.lex_state = 63, .external_lex_state = 30},
  [4540] = {.lex_state = 63, .external_lex_state = 41},
  [4541] = {.lex_state = 61, .external_lex_state = 32},
  [4542] = {.lex_state = 52, .external_lex_state = 31},
  [4543] = {.lex_state = 56, .external_lex_state = 27},
  [4544] = {.lex_state = 57, .external_lex_state = 38},
  [4545] = {.lex_state = 52, .external_lex_state = 31},
  [4546] = {.lex_state = 52, .external_lex_state = 26},
  [4547] = {.lex_state = 56, .external_lex_state = 27},
  [4548] = {.lex_state = 56, .external_lex_state = 27},
  [4549] = {.lex_state = 56, .external_lex_state = 27},
  [4550] = {.lex_state = 58, .external_lex_state = 27},
  [4551] = {.lex_state = 56, .external_lex_state = 27},
  [4552] = {.lex_state = 52, .external_lex_state = 23},
  [4553] = {.lex_state = 56, .external_lex_state = 27},
  [4554] = {.lex_state = 58, .external_lex_state = 27},
  [4555] = {.lex_state = 56, .external_lex_state = 29},
  [4556] = {.lex_state = 56, .external_lex_state = 29},
  [4557] = {.lex_state = 57, .external_lex_state = 34},
  [4558] = {.lex_state = 63, .external_lex_state = 30},
  [4559] = {.lex_state = 56, .external_lex_state = 27},
  [4560] = {.lex_state = 63, .external_lex_state = 27},
  [4561] = {.lex_state = 52, .external_lex_state = 28},
  [4562] = {.lex_state = 56, .external_lex_state = 27},
  [4563] = {.lex_state = 63, .external_lex_state = 27},
  [4564] = {.lex_state = 63, .external_lex_state = 30},
  [4565] = {.lex_state = 56, .external_lex_state = 28},
  [4566] = {.lex_state = 58, .external_lex_state = 29},
  [4567] = {.lex_state = 58, .external_lex_state = 29},
  [4568] = {.lex_state = 57, .external_lex_state = 27},
  [4569] = {.lex_state = 58, .external_lex_state = 38},
  [4570] = {.lex_state = 63, .external_lex_state = 33},
  [4571] = {.lex_state = 63, .external_lex_state = 26},
  [4572] = {.lex_state = 63, .external_lex_state = 43},
  [4573] = {.lex_state = 57, .external_lex_state = 44},
  [4574] = {.lex_state = 52, .external_lex_state = 30},
  [4575] = {.lex_state = 56, .external_lex_state = 44},
  [4576] = {.lex_state = 57, .external_lex_state = 27},
  [4577] = {.lex_state = 52, .external_lex_state = 30},
  [4578] = {.lex_state = 56, .external_lex_state = 27},
  [4579] = {.lex_state = 57, .external_lex_state = 27},
  [4580] = {.lex_state = 61, .external_lex_state = 28},
  [4581] = {.lex_state = 57, .external_lex_state = 27},
  [4582] = {.lex_state = 52, .external_lex_state = 38},
  [4583] = {.lex_state = 56, .external_lex_state = 27},
  [4584] = {.lex_state = 56, .external_lex_state = 38},
  [4585] = {.lex_state = 56, .external_lex_state = 32},
  [4586] = {.lex_state = 52, .external_lex_state = 30},
  [4587] = {.lex_state = 56, .external_lex_state = 35},
  [4588] = {.lex_state = 52, .external_lex_state = 42},
  [4589] = {.lex_state = 56, .external_lex_state = 35},
  [4590] = {.lex_state = 52, .external_lex_state = 31},
  [4591] = {.lex_state = 52, .external_lex_state = 31},
  [4592] = {.lex_state = 52, .external_lex_state = 42},
  [4593] = {.lex_state = 52, .external_lex_state = 31},
  [4594] = {.lex_state = 61, .external_lex_state = 34},
  [4595] = {.lex_state = 56, .external_lex_state = 27},
  [4596] = {.lex_state = 61, .external_lex_state = 34},
  [4597] = {.lex_state = 56, .external_lex_state = 28},
  [4598] = {.lex_state = 57, .external_lex_state = 38},
  [4599] = {.lex_state = 56, .external_lex_state = 29},
  [4600] = {.lex_state = 56, .external_lex_state = 29},
  [4601] = {.lex_state = 56, .external_lex_state = 29},
  [4602] = {.lex_state = 56, .external_lex_state = 29},
  [4603] = {.lex_state = 63, .external_lex_state = 38},
  [4604] = {.lex_state = 56, .external_lex_state = 41},
  [4605] = {.lex_state = 63, .external_lex_state = 41},
  [4606] = {.lex_state = 52, .external_lex_state = 36},
  [4607] = {.lex_state = 63, .external_lex_state = 33},
  [4608] = {.lex_state = 63, .external_lex_state = 37},
  [4609] = {.lex_state = 52, .external_lex_state = 38},
  [4610] = {.lex_state = 56, .external_lex_state = 43},
  [4611] = {.lex_state = 58, .external_lex_state = 27},
  [4612] = {.lex_state = 58, .external_lex_state = 29},
  [4613] = {.lex_state = 58, .external_lex_state = 39},
  [4614] = {.lex_state = 52, .external_lex_state = 34},
  [4615] = {.lex_state = 58, .external_lex_state = 27},
  [4616] = {.lex_state = 58, .external_lex_state = 27},
  [4617] = {.lex_state = 58, .external_lex_state = 27},
  [4618] = {.lex_state = 52, .external_lex_state = 29},
  [4619] = {.lex_state = 58, .external_lex_state = 28},
  [4620] = {.lex_state = 52, .external_lex_state = 29},
  [4621] = {.lex_state = 63, .external_lex_state = 28},
  [4622] = {.lex_state = 56, .external_lex_state = 32},
  [4623] = {.lex_state = 63, .external_lex_state = 33},
  [4624] = {.lex_state = 56, .external_lex_state = 28},
  [4625] = {.lex_state = 58, .external_lex_state = 28},
  [4626] = {.lex_state = 61, .external_lex_state = 41},
  [4627] = {.lex_state = 58, .external_lex_state = 41},
  [4628] = {.lex_state = 52, .external_lex_state = 34},
  [4629] = {.lex_state = 58, .external_lex_state = 28},
  [4630] = {.lex_state = 58, .external_lex_state = 32},
  [4631] = {.lex_state = 57, .external_lex_state = 45},
  [4632] = {.lex_state = 56, .external_lex_state = 34},
  [4633] = {.lex_state = 52, .external_lex_state = 30},
  [4634] = {.lex_state = 56, .external_lex_state = 28},
  [4635] = {.lex_state = 57, .external_lex_state = 27},
  [4636] = {.lex_state = 56, .external_lex_state = 29},
  [4637] = {.lex_state = 58, .external_lex_state = 29},
  [4638] = {.lex_state = 52, .external_lex_state = 36},
  [4639] = {.lex_state = 52, .external_lex_state = 37},
  [4640] = {.lex_state = 56, .external_lex_state = 28},
  [4641] = {.lex_state = 52, .external_lex_state = 31},
  [4642] = {.lex_state = 52, .external_lex_state = 34},
  [4643] = {.lex_state = 56, .external_lex_state = 28},
  [4644] = {.lex_state = 56, .external_lex_state = 28},
  [4645] = {.lex_state = 57, .external_lex_state = 27},
  [4646] = {.lex_state = 56, .external_lex_state = 34},
  [4647] = {.lex_state = 61, .external_lex_state = 38},
  [4648] = {.lex_state = 57, .external_lex_state = 27},
  [4649] = {.lex_state = 57, .external_lex_state = 27},
  [4650] = {.lex_state = 63, .external_lex_state = 29},
  [4651] = {.lex_state = 56, .external_lex_state = 29},
  [4652] = {.lex_state = 52, .external_lex_state = 38},
  [4653] = {.lex_state = 56, .external_lex_state = 29},
  [4654] = {.lex_state = 56, .external_lex_state = 29},
  [4655] = {.lex_state = 56, .external_lex_state = 29},
  [4656] = {.lex_state = 56, .external_lex_state = 29},
  [4657] = {.lex_state = 56, .external_lex_state = 29},
  [4658] = {.lex_state = 56, .external_lex_state = 28},
  [4659] = {.lex_state = 56, .external_lex_state = 29},
  [4660] = {.lex_state = 61, .external_lex_state = 39},
  [4661] = {.lex_state = 58, .external_lex_state = 28},
  [4662] = {.lex_state = 56, .external_lex_state = 29},
  [4663] = {.lex_state = 52, .external_lex_state = 27},
  [4664] = {.lex_state = 56, .external_lex_state = 28},
  [4665] = {.lex_state = 52, .external_lex_state = 33},
  [4666] = {.lex_state = 61, .external_lex_state = 38},
  [4667] = {.lex_state = 52, .external_lex_state = 26},
  [4668] = {.lex_state = 63, .external_lex_state = 37},
  [4669] = {.lex_state = 58, .external_lex_state = 27},
  [4670] = {.lex_state = 56, .external_lex_state = 35},
  [4671] = {.lex_state = 56, .external_lex_state = 46},
  [4672] = {.lex_state = 57, .external_lex_state = 39},
  [4673] = {.lex_state = 63, .external_lex_state = 29},
  [4674] = {.lex_state = 61, .external_lex_state = 41},
  [4675] = {.lex_state = 57, .external_lex_state = 43},
  [4676] = {.lex_state = 52, .external_lex_state = 28},
  [4677] = {.lex_state = 52, .external_lex_state = 28},
  [4678] = {.lex_state = 56, .external_lex_state = 32},
  [4679] = {.lex_state = 63, .external_lex_state = 44},
  [4680] = {.lex_state = 56, .external_lex_state = 32},
  [4681] = {.lex_state = 56, .external_lex_state = 34},
  [4682] = {.lex_state = 61, .external_lex_state = 39},
  [4683] = {.lex_state = 52, .external_lex_state = 47},
  [4684] = {.lex_state = 52, .external_lex_state = 48},
  [4685] = {.lex_state = 63, .external_lex_state = 36},
  [4686] = {.lex_state = 61, .external_lex_state = 38},
  [4687] = {.lex_state = 52, .external_lex_state = 27},
  [4688] = {.lex_state = 52, .external_lex_state = 33},
  [4689] = {.lex_state = 52, .external_lex_state = 49},
  [4690] = {.lex_state = 63, .external_lex_state = 46},
  [4691] = {.lex_state = 52, .external_lex_state = 32},
  [4692] = {.lex_state = 57, .external_lex_state = 27},
  [4693] = {.lex_state = 61, .external_lex_state = 27},
  [4694] = {.lex_state = 57, .external_lex_state = 38},
  [4695] = {.lex_state = 56, .external_lex_state = 45},
  [4696] = {.lex_state = 63, .external_lex_state = 45},
  [4697] = {.lex_state = 57, .external_lex_state = 41},
  [4698] = {.lex_state = 57, .external_lex_state = 46},
  [4699] = {.lex_state = 63, .external_lex_state = 29},
  [4700] = {.lex_state = 63, .external_lex_state = 28},
  [4701] = {.lex_state = 63, .external_lex_state = 29},
  [4702] = {.lex_state = 56, .external_lex_state = 34},
  [4703] = {.lex_state = 61, .external_lex_state = 39},
  [4704] = {.lex_state = 63, .external_lex_state = 37},
  [4705] = {.lex_state = 56, .external_lex_state = 39},
  [4706] = {.lex_state = 56, .external_lex_state = 35},
  [4707] = {.lex_state = 58, .external_lex_state = 34},
  [4708] = {.lex_state = 63, .external_lex_state = 36},
  [4709] = {.lex_state = 54},
  [4710] = {.lex_state = 61, .external_lex_state = 35},
  [4711] = {.lex_state = 52, .external_lex_state = 50},
  [4712] = {.lex_state = 57, .external_lex_state = 27},
  [4713] = {.lex_state = 56, .external_lex_state = 29},
  [4714] = {.lex_state = 61, .external_lex_state = 35},
  [4715] = {.lex_state = 57, .external_lex_state = 27},
  [4716] = {.lex_state = 63, .external_lex_state = 28},
  [4717] = {.lex_state = 58, .external_lex_state = 51},
  [4718] = {.lex_state = 57, .external_lex_state = 41},
  [4719] = {.lex_state = 57, .external_lex_state = 27},
  [4720] = {.lex_state = 61, .external_lex_state = 32},
  [4721] = {.lex_state = 57, .external_lex_state = 39},
  [4722] = {.lex_state = 61, .external_lex_state = 32},
  [4723] = {.lex_state = 58, .external_lex_state = 27},
  [4724] = {.lex_state = 56, .external_lex_state = 28},
  [4725] = {.lex_state = 57, .external_lex_state = 27},
  [4726] = {.lex_state = 52, .external_lex_state = 35},
  [4727] = {.lex_state = 57, .external_lex_state = 27},
  [4728] = {.lex_state = 58, .external_lex_state = 27},
  [4729] = {.lex_state = 52, .external_lex_state = 35},
  [4730] = {.lex_state = 58, .external_lex_state = 27},
  [4731] = {.lex_state = 56, .external_lex_state = 28},
  [4732] = {.lex_state = 57, .external_lex_state = 27},
  [4733] = {.lex_state = 58, .external_lex_state = 27},
  [4734] = {.lex_state = 58, .external_lex_state = 27},
  [4735] = {.lex_state = 63, .external_lex_state = 36},
  [4736] = {.lex_state = 56, .external_lex_state = 28},
  [4737] = {.lex_state = 58, .external_lex_state = 35},
  [4738] = {.lex_state = 57, .external_lex_state = 27},
  [4739] = {.lex_state = 58, .external_lex_state = 27},
  [4740] = {.lex_state = 63, .external_lex_state = 39},
  [4741] = {.lex_state = 52, .external_lex_state = 32},
  [4742] = {.lex_state = 56, .external_lex_state = 28},
  [4743] = {.lex_state = 56, .external_lex_state = 28},
  [4744] = {.lex_state = 58, .external_lex_state = 27},
  [4745] = {.lex_state = 52, .external_lex_state = 32},
  [4746] = {.lex_state = 61, .external_lex_state = 29},
  [4747] = {.lex_state = 61, .external_lex_state = 29},
  [4748] = {.lex_state = 61, .external_lex_state = 41},
  [4749] = {.lex_state = 56, .external_lex_state = 28},
  [4750] = {.lex_state = 61, .external_lex_state = 27},
  [4751] = {.lex_state = 52, .external_lex_state = 35},
  [4752] = {.lex_state = 63, .external_lex_state = 28},
  [4753] = {.lex_state = 61, .external_lex_state = 27},
  [4754] = {.lex_state = 61, .external_lex_state = 27},
  [4755] = {.lex_state = 57, .external_lex_state = 27},
  [4756] = {.lex_state = 61, .external_lex_state = 28},
  [4757] = {.lex_state = 58, .external_lex_state = 27},
  [4758] = {.lex_state = 57, .external_lex_state = 29},
  [4759] = {.lex_state = 55, .external_lex_state = 52},
  [4760] = {.lex_state = 61, .external_lex_state = 43},
  [4761] = {.lex_state = 52, .external_lex_state = 26},
  [4762] = {.lex_state = 61, .external_lex_state = 45},
  [4763] = {.lex_state = 57, .external_lex_state = 28},
  [4764] = {.lex_state = 61, .external_lex_state = 35},
  [4765] = {.lex_state = 56, .external_lex_state = 34},
  [4766] = {.lex_state = 61, .external_lex_state = 44},
  [4767] = {.lex_state = 52, .external_lex_state = 39},
  [4768] = {.lex_state = 56, .external_lex_state = 28},
  [4769] = {.lex_state = 61, .external_lex_state = 45},
  [4770] = {.lex_state = 57, .external_lex_state = 45},
  [4771] = {.lex_state = 52, .external_lex_state = 51},
  [4772] = {.lex_state = 61, .external_lex_state = 32},
  [4773] = {.lex_state = 63, .external_lex_state = 34},
  [4774] = {.lex_state = 56, .external_lex_state = 34},
  [4775] = {.lex_state = 56, .external_lex_state = 35},
  [4776] = {.lex_state = 56, .external_lex_state = 53},
  [4777] = {.lex_state = 56, .external_lex_state = 28},
  [4778] = {.lex_state = 57, .external_lex_state = 28},
  [4779] = {.lex_state = 61, .external_lex_state = 27},
  [4780] = {.lex_state = 56, .external_lex_state = 32},
  [4781] = {.lex_state = 63, .external_lex_state = 54},
  [4782] = {.lex_state = 57, .external_lex_state = 29},
  [4783] = {.lex_state = 61, .external_lex_state = 35},
  [4784] = {.lex_state = 52, .external_lex_state = 41},
  [4785] = {.lex_state = 56, .external_lex_state = 34},
  [4786] = {.lex_state = 63, .external_lex_state = 32},
  [4787] = {.lex_state = 63, .external_lex_state = 32},
  [4788] = {.lex_state = 58, .external_lex_state = 34},
  [4789] = {.lex_state = 56, .external_lex_state = 34},
  [4790] = {.lex_state = 57, .external_lex_state = 28},
  [4791] = {.lex_state = 52, .external_lex_state = 41},
  [4792] = {.lex_state = 56, .external_lex_state = 34},
  [4793] = {.lex_state = 52, .external_lex_state = 26},
  [4794] = {.lex_state = 57, .external_lex_state = 29},
  [4795] = {.lex_state = 58, .external_lex_state = 28},
  [4796] = {.lex_state = 57, .external_lex_state = 28},
  [4797] = {.lex_state = 56, .external_lex_state = 34},
  [4798] = {.lex_state = 57, .external_lex_state = 28},
  [4799] = {.lex_state = 57, .external_lex_state = 28},
  [4800] = {.lex_state = 57, .external_lex_state = 29},
  [4801] = {.lex_state = 57, .external_lex_state = 29},
  [4802] = {.lex_state = 61, .external_lex_state = 45},
  [4803] = {.lex_state = 52, .external_lex_state = 51},
  [4804] = {.lex_state = 56, .external_lex_state = 34},
  [4805] = {.lex_state = 57, .external_lex_state = 55},
  [4806] = {.lex_state = 63, .external_lex_state = 32},
  [4807] = {.lex_state = 57, .external_lex_state = 29},
  [4808] = {.lex_state = 61, .external_lex_state = 44},
  [4809] = {.lex_state = 57, .external_lex_state = 29},
  [4810] = {.lex_state = 63, .external_lex_state = 35},
  [4811] = {.lex_state = 57, .external_lex_state = 28},
  [4812] = {.lex_state = 57, .external_lex_state = 29},
  [4813] = {.lex_state = 63, .external_lex_state = 55},
  [4814] = {.lex_state = 57, .external_lex_state = 46},
  [4815] = {.lex_state = 56, .external_lex_state = 34},
  [4816] = {.lex_state = 52, .external_lex_state = 33},
  [4817] = {.lex_state = 57, .external_lex_state = 29},
  [4818] = {.lex_state = 57, .external_lex_state = 28},
  [4819] = {.lex_state = 52, .external_lex_state = 39},
  [4820] = {.lex_state = 58, .external_lex_state = 44},
  [4821] = {.lex_state = 61, .external_lex_state = 27},
  [4822] = {.lex_state = 63, .external_lex_state = 35},
  [4823] = {.lex_state = 57, .external_lex_state = 29},
  [4824] = {.lex_state = 52, .external_lex_state = 33},
  [4825] = {.lex_state = 57, .external_lex_state = 28},
  [4826] = {.lex_state = 52, .external_lex_state = 41},
  [4827] = {.lex_state = 56, .external_lex_state = 55},
  [4828] = {.lex_state = 63, .external_lex_state = 26},
  [4829] = {.lex_state = 52, .external_lex_state = 36},
  [4830] = {.lex_state = 58, .external_lex_state = 32},
  [4831] = {.lex_state = 61, .external_lex_state = 46},
  [4832] = {.lex_state = 58, .external_lex_state = 28},
  [4833] = {.lex_state = 61, .external_lex_state = 43},
  [4834] = {.lex_state = 63, .external_lex_state = 27},
  [4835] = {.lex_state = 58, .external_lex_state = 41},
  [4836] = {.lex_state = 56, .external_lex_state = 34},
  [4837] = {.lex_state = 58, .external_lex_state = 45},
  [4838] = {.lex_state = 63, .external_lex_state = 27},
  [4839] = {.lex_state = 58, .external_lex_state = 51},
  [4840] = {.lex_state = 63, .external_lex_state = 27},
  [4841] = {.lex_state = 56, .external_lex_state = 45},
  [4842] = {.lex_state = 58, .external_lex_state = 46},
  [4843] = {.lex_state = 56, .external_lex_state = 28},
  [4844] = {.lex_state = 63, .external_lex_state = 42},
  [4845] = {.lex_state = 58, .external_lex_state = 38},
  [4846] = {.lex_state = 58, .external_lex_state = 28},
  [4847] = {.lex_state = 52, .external_lex_state = 50},
  [4848] = {.lex_state = 52, .external_lex_state = 28},
  [4849] = {.lex_state = 57, .external_lex_state = 54},
  [4850] = {.lex_state = 58, .external_lex_state = 28},
  [4851] = {.lex_state = 52, .external_lex_state = 33},
  [4852] = {.lex_state = 57, .external_lex_state = 46},
  [4853] = {.lex_state = 63, .external_lex_state = 26},
  [4854] = {.lex_state = 63, .external_lex_state = 45},
  [4855] = {.lex_state = 52, .external_lex_state = 49},
  [4856] = {.lex_state = 58, .external_lex_state = 35},
  [4857] = {.lex_state = 58, .external_lex_state = 39},
  [4858] = {.lex_state = 58, .external_lex_state = 28},
  [4859] = {.lex_state = 56, .external_lex_state = 29},
  [4860] = {.lex_state = 52, .external_lex_state = 29},
  [4861] = {.lex_state = 57, .external_lex_state = 29},
  [4862] = {.lex_state = 52, .external_lex_state = 36},
  [4863] = {.lex_state = 63, .external_lex_state = 42},
  [4864] = {.lex_state = 63, .external_lex_state = 30},
  [4865] = {.lex_state = 56, .external_lex_state = 51},
  [4866] = {.lex_state = 56, .external_lex_state = 43},
  [4867] = {.lex_state = 56, .external_lex_state = 38},
  [4868] = {.lex_state = 52, .external_lex_state = 49},
  [4869] = {.lex_state = 56, .external_lex_state = 34},
  [4870] = {.lex_state = 52, .external_lex_state = 56},
  [4871] = {.lex_state = 58, .external_lex_state = 28},
  [4872] = {.lex_state = 52, .external_lex_state = 36},
  [4873] = {.lex_state = 57, .external_lex_state = 28},
  [4874] = {.lex_state = 52, .external_lex_state = 26},
  [4875] = {.lex_state = 57, .external_lex_state = 43},
  [4876] = {.lex_state = 56, .external_lex_state = 34},
  [4877] = {.lex_state = 58, .external_lex_state = 28},
  [4878] = {.lex_state = 61, .external_lex_state = 46},
  [4879] = {.lex_state = 57, .external_lex_state = 28},
  [4880] = {.lex_state = 63, .external_lex_state = 35},
  [4881] = {.lex_state = 58, .external_lex_state = 35},
  [4882] = {.lex_state = 52, .external_lex_state = 30},
  [4883] = {.lex_state = 52, .external_lex_state = 51},
  [4884] = {.lex_state = 56, .external_lex_state = 34},
  [4885] = {.lex_state = 52, .external_lex_state = 29},
  [4886] = {.lex_state = 52, .external_lex_state = 50},
  [4887] = {.lex_state = 63, .external_lex_state = 46},
  [4888] = {.lex_state = 58, .external_lex_state = 28},
  [4889] = {.lex_state = 52, .external_lex_state = 26},
  [4890] = {.lex_state = 56, .external_lex_state = 35},
  [4891] = {.lex_state = 56, .external_lex_state = 34},
  [4892] = {.lex_state = 52, .external_lex_state = 36},
  [4893] = {.lex_state = 52, .external_lex_state = 37},
  [4894] = {.lex_state = 52, .external_lex_state = 57},
  [4895] = {.lex_state = 57, .external_lex_state = 28},
  [4896] = {.lex_state = 57, .external_lex_state = 28},
  [4897] = {.lex_state = 63, .external_lex_state = 27},
  [4898] = {.lex_state = 56, .external_lex_state = 46},
  [4899] = {.lex_state = 63, .external_lex_state = 23},
  [4900] = {.lex_state = 56, .external_lex_state = 39},
  [4901] = {.lex_state = 56, .external_lex_state = 39},
  [4902] = {.lex_state = 56, .external_lex_state = 44},
  [4903] = {.lex_state = 57, .external_lex_state = 28},
  [4904] = {.lex_state = 52, .external_lex_state = 34},
  [4905] = {.lex_state = 58, .external_lex_state = 28},
  [4906] = {.lex_state = 63, .external_lex_state = 44},
  [4907] = {.lex_state = 56, .external_lex_state = 41},
  [4908] = {.lex_state = 56, .external_lex_state = 41},
  [4909] = {.lex_state = 63, .external_lex_state = 43},
  [4910] = {.lex_state = 52, .external_lex_state = 27},
  [4911] = {.lex_state = 58, .external_lex_state = 32},
  [4912] = {.lex_state = 63, .external_lex_state = 32},
  [4913] = {.lex_state = 58, .external_lex_state = 32},
  [4914] = {.lex_state = 58, .external_lex_state = 35},
  [4915] = {.lex_state = 63, .external_lex_state = 34},
  [4916] = {.lex_state = 61, .external_lex_state = 34},
  [4917] = {.lex_state = 58, .external_lex_state = 32},
  [4918] = {.lex_state = 58, .external_lex_state = 35},
  [4919] = {.lex_state = 58, .external_lex_state = 38},
  [4920] = {.lex_state = 56, .external_lex_state = 35},
  [4921] = {.lex_state = 61, .external_lex_state = 32},
  [4922] = {.lex_state = 57, .external_lex_state = 44},
  [4923] = {.lex_state = 57, .external_lex_state = 29},
  [4924] = {.lex_state = 63, .external_lex_state = 34},
  [4925] = {.lex_state = 57, .external_lex_state = 29},
  [4926] = {.lex_state = 57, .external_lex_state = 28},
  [4927] = {.lex_state = 58, .external_lex_state = 34},
  [4928] = {.lex_state = 52, .external_lex_state = 37},
  [4929] = {.lex_state = 58, .external_lex_state = 29},
  [4930] = {.lex_state = 63, .external_lex_state = 27},
  [4931] = {.lex_state = 58, .external_lex_state = 29},
  [4932] = {.lex_state = 58, .external_lex_state = 29},
  [4933] = {.lex_state = 58, .external_lex_state = 29},
  [4934] = {.lex_state = 58, .external_lex_state = 34},
  [4935] = {.lex_state = 56, .external_lex_state = 34},
  [4936] = {.lex_state = 61, .external_lex_state = 28},
  [4937] = {.lex_state = 52, .external_lex_state = 34},
  [4938] = {.lex_state = 52, .external_lex_state = 35},
  [4939] = {.lex_state = 63, .external_lex_state = 31},
  [4940] = {.lex_state = 61, .external_lex_state = 44},
  [4941] = {.lex_state = 57, .external_lex_state = 28},
  [4942] = {.lex_state = 57, .external_lex_state = 27},
  [4943] = {.lex_state = 56, .external_lex_state = 32},
  [4944] = {.lex_state = 63, .external_lex_state = 40},
  [4945] = {.lex_state = 52, .external_lex_state = 35},
  [4946] = {.lex_state = 56, .external_lex_state = 35},
  [4947] = {.lex_state = 52, .external_lex_state = 38},
  [4948] = {.lex_state = 52, .external_lex_state = 28},
  [4949] = {.lex_state = 56, .external_lex_state = 35},
  [4950] = {.lex_state = 61, .external_lex_state = 38},
  [4951] = {.lex_state = 58, .external_lex_state = 43},
  [4952] = {.lex_state = 56, .external_lex_state = 35},
  [4953] = {.lex_state = 56, .external_lex_state = 41},
  [4954] = {.lex_state = 52, .external_lex_state = 38},
  [4955] = {.lex_state = 56, .external_lex_state = 29},
  [4956] = {.lex_state = 58, .external_lex_state = 28},
  [4957] = {.lex_state = 56, .external_lex_state = 38},
  [4958] = {.lex_state = 58, .external_lex_state = 28},
  [4959] = {.lex_state = 57, .external_lex_state = 29},
  [4960] = {.lex_state = 61, .external_lex_state = 38},
  [4961] = {.lex_state = 56, .external_lex_state = 38},
  [4962] = {.lex_state = 58, .external_lex_state = 28},
  [4963] = {.lex_state = 52, .external_lex_state = 33},
  [4964] = {.lex_state = 63, .external_lex_state = 27},
  [4965] = {.lex_state = 56, .external_lex_state = 35},
  [4966] = {.lex_state = 56, .external_lex_state = 29},
  [4967] = {.lex_state = 58, .external_lex_state = 38},
  [4968] = {.lex_state = 56, .external_lex_state = 35},
  [4969] = {.lex_state = 56, .external_lex_state = 38},
  [4970] = {.lex_state = 58, .external_lex_state = 27},
  [4971] = {.lex_state = 58, .external_lex_state = 29},
  [4972] = {.lex_state = 56, .external_lex_state = 32},
  [4973] = {.lex_state = 52, .external_lex_state = 31},
  [4974] = {.lex_state = 56, .external_lex_state = 32},
  [4975] = {.lex_state = 55, .external_lex_state = 38},
  [4976] = {.lex_state = 56, .external_lex_state = 32},
  [4977] = {.lex_state = 56, .external_lex_state = 39},
  [4978] = {.lex_state = 57, .external_lex_state = 29},
  [4979] = {.lex_state = 58, .external_lex_state = 27},
  [4980] = {.lex_state = 57, .external_lex_state = 29},
  [4981] = {.lex_state = 52, .external_lex_state = 26},
  [4982] = {.lex_state = 63, .external_lex_state = 40},
  [4983] = {.lex_state = 52, .external_lex_state = 32},
  [4984] = {.lex_state = 57, .external_lex_state = 29},
  [4985] = {.lex_state = 52, .external_lex_state = 27},
  [4986] = {.lex_state = 56, .external_lex_state = 41},
  [4987] = {.lex_state = 58, .external_lex_state = 34},
  [4988] = {.lex_state = 63, .external_lex_state = 35},
  [4989] = {.lex_state = 56, .external_lex_state = 35},
  [4990] = {.lex_state = 58, .external_lex_state = 29},
  [4991] = {.lex_state = 58, .external_lex_state = 29},
  [4992] = {.lex_state = 52, .external_lex_state = 32},
  [4993] = {.lex_state = 52, .external_lex_state = 27},
  [4994] = {.lex_state = 52, .external_lex_state = 27},
  [4995] = {.lex_state = 63, .external_lex_state = 27},
  [4996] = {.lex_state = 56, .external_lex_state = 32},
  [4997] = {.lex_state = 58, .external_lex_state = 29},
  [4998] = {.lex_state = 58, .external_lex_state = 29},
  [4999] = {.lex_state = 63, .external_lex_state = 34},
  [5000] = {.lex_state = 58, .external_lex_state = 29},
  [5001] = {.lex_state = 57, .external_lex_state = 44},
  [5002] = {.lex_state = 56, .external_lex_state = 27},
  [5003] = {.lex_state = 56, .external_lex_state = 32},
  [5004] = {.lex_state = 58, .external_lex_state = 38},
  [5005] = {.lex_state = 52, .external_lex_state = 39},
  [5006] = {.lex_state = 58, .external_lex_state = 29},
  [5007] = {.lex_state = 52, .external_lex_state = 40},
  [5008] = {.lex_state = 56, .external_lex_state = 35},
  [5009] = {.lex_state = 61, .external_lex_state = 41},
  [5010] = {.lex_state = 56, .external_lex_state = 32},
  [5011] = {.lex_state = 58, .external_lex_state = 29},
  [5012] = {.lex_state = 58, .external_lex_state = 29},
  [5013] = {.lex_state = 56, .external_lex_state = 32},
  [5014] = {.lex_state = 61, .external_lex_state = 41},
  [5015] = {.lex_state = 56, .external_lex_state = 32},
  [5016] = {.lex_state = 61, .external_lex_state = 34},
  [5017] = {.lex_state = 56, .external_lex_state = 35},
  [5018] = {.lex_state = 57, .external_lex_state = 28},
  [5019] = {.lex_state = 56, .external_lex_state = 32},
  [5020] = {.lex_state = 63, .external_lex_state = 42},
  [5021] = {.lex_state = 61, .external_lex_state = 43},
  [5022] = {.lex_state = 61, .external_lex_state = 29},
  [5023] = {.lex_state = 61, .external_lex_state = 29},
  [5024] = {.lex_state = 61, .external_lex_state = 29},
  [5025] = {.lex_state = 57, .external_lex_state = 45},
  [5026] = {.lex_state = 61, .external_lex_state = 28},
  [5027] = {.lex_state = 56, .external_lex_state = 32},
  [5028] = {.lex_state = 56, .external_lex_state = 54},
  [5029] = {.lex_state = 52, .external_lex_state = 58},
  [5030] = {.lex_state = 57, .external_lex_state = 43},
  [5031] = {.lex_state = 58, .external_lex_state = 28},
  [5032] = {.lex_state = 56, .external_lex_state = 35},
  [5033] = {.lex_state = 61, .external_lex_state = 28},
  [5034] = {.lex_state = 61, .external_lex_state = 39},
  [5035] = {.lex_state = 56, .external_lex_state = 35},
  [5036] = {.lex_state = 57, .external_lex_state = 53},
  [5037] = {.lex_state = 63, .external_lex_state = 53},
  [5038] = {.lex_state = 61, .external_lex_state = 39},
  [5039] = {.lex_state = 56, .external_lex_state = 35},
  [5040] = {.lex_state = 56, .external_lex_state = 32},
  [5041] = {.lex_state = 63, .external_lex_state = 40},
  [5042] = {.lex_state = 56, .external_lex_state = 39},
  [5043] = {.lex_state = 61, .external_lex_state = 28},
  [5044] = {.lex_state = 61, .external_lex_state = 46},
  [5045] = {.lex_state = 63, .external_lex_state = 23},
  [5046] = {.lex_state = 61, .external_lex_state = 29},
  [5047] = {.lex_state = 56, .external_lex_state = 32},
  [5048] = {.lex_state = 52, .external_lex_state = 44},
  [5049] = {.lex_state = 63, .external_lex_state = 28},
  [5050] = {.lex_state = 63, .external_lex_state = 26},
  [5051] = {.lex_state = 56, .external_lex_state = 39},
  [5052] = {.lex_state = 56, .external_lex_state = 38},
  [5053] = {.lex_state = 52, .external_lex_state = 43},
  [5054] = {.lex_state = 56, .external_lex_state = 39},
  [5055] = {.lex_state = 56, .external_lex_state = 39},
  [5056] = {.lex_state = 56, .external_lex_state = 39},
  [5057] = {.lex_state = 63, .external_lex_state = 23},
  [5058] = {.lex_state = 56, .external_lex_state = 39},
  [5059] = {.lex_state = 52, .external_lex_state = 45},
  [5060] = {.lex_state = 56, .external_lex_state = 39},
  [5061] = {.lex_state = 56, .external_lex_state = 29},
  [5062] = {.lex_state = 56, .external_lex_state = 46},
  [5063] = {.lex_state = 57, .external_lex_state = 35},
  [5064] = {.lex_state = 63, .external_lex_state = 54},
  [5065] = {.lex_state = 63},
  [5066] = {.lex_state = 57, .external_lex_state = 35},
  [5067] = {.lex_state = 57, .external_lex_state = 32},
  [5068] = {.lex_state = 57, .external_lex_state = 32},
  [5069] = {.lex_state = 63, .external_lex_state = 27},
  [5070] = {.lex_state = 57, .external_lex_state = 32},
  [5071] = {.lex_state = 58, .external_lex_state = 39},
  [5072] = {.lex_state = 57, .external_lex_state = 35},
  [5073] = {.lex_state = 63, .external_lex_state = 50},
  [5074] = {.lex_state = 56, .external_lex_state = 53},
  [5075] = {.lex_state = 56, .external_lex_state = 39},
  [5076] = {.lex_state = 58, .external_lex_state = 41},
  [5077] = {.lex_state = 56, .external_lex_state = 38},
  [5078] = {.lex_state = 56, .external_lex_state = 39},
  [5079] = {.lex_state = 56, .external_lex_state = 41},
  [5080] = {.lex_state = 58, .external_lex_state = 53},
  [5081] = {.lex_state = 56, .external_lex_state = 27},
  [5082] = {.lex_state = 63, .external_lex_state = 29},
  [5083] = {.lex_state = 52, .external_lex_state = 27},
  [5084] = {.lex_state = 56, .external_lex_state = 39},
  [5085] = {.lex_state = 57, .external_lex_state = 32},
  [5086] = {.lex_state = 63, .external_lex_state = 26},
  [5087] = {.lex_state = 61, .external_lex_state = 55},
  [5088] = {.lex_state = 56, .external_lex_state = 32},
  [5089] = {.lex_state = 52, .external_lex_state = 41},
  [5090] = {.lex_state = 52, .external_lex_state = 41},
  [5091] = {.lex_state = 61, .external_lex_state = 53},
  [5092] = {.lex_state = 56, .external_lex_state = 38},
  [5093] = {.lex_state = 57, .external_lex_state = 32},
  [5094] = {.lex_state = 57, .external_lex_state = 32},
  [5095] = {.lex_state = 58, .external_lex_state = 54},
  [5096] = {.lex_state = 63, .external_lex_state = 53},
  [5097] = {.lex_state = 58, .external_lex_state = 32},
  [5098] = {.lex_state = 56, .external_lex_state = 54},
  [5099] = {.lex_state = 58, .external_lex_state = 55},
  [5100] = {.lex_state = 52, .external_lex_state = 31},
  [5101] = {.lex_state = 57, .external_lex_state = 53},
  [5102] = {.lex_state = 61, .external_lex_state = 28},
  [5103] = {.lex_state = 63, .external_lex_state = 27},
  [5104] = {.lex_state = 52, .external_lex_state = 44},
  [5105] = {.lex_state = 52, .external_lex_state = 45},
  [5106] = {.lex_state = 57, .external_lex_state = 32},
  [5107] = {.lex_state = 63, .external_lex_state = 26},
  [5108] = {.lex_state = 63, .external_lex_state = 26},
  [5109] = {.lex_state = 55, .external_lex_state = 52},
  [5110] = {.lex_state = 56, .external_lex_state = 39},
  [5111] = {.lex_state = 52, .external_lex_state = 27},
  [5112] = {.lex_state = 57, .external_lex_state = 32},
  [5113] = {.lex_state = 56, .external_lex_state = 45},
  [5114] = {.lex_state = 58, .external_lex_state = 41},
  [5115] = {.lex_state = 61, .external_lex_state = 53},
  [5116] = {.lex_state = 52, .external_lex_state = 29},
  [5117] = {.lex_state = 63, .external_lex_state = 29},
  [5118] = {.lex_state = 59, .external_lex_state = 52},
  [5119] = {.lex_state = 63, .external_lex_state = 29},
  [5120] = {.lex_state = 58, .external_lex_state = 35},
  [5121] = {.lex_state = 63, .external_lex_state = 29},
  [5122] = {.lex_state = 52, .external_lex_state = 35},
  [5123] = {.lex_state = 52, .external_lex_state = 31},
  [5124] = {.lex_state = 57, .external_lex_state = 35},
  [5125] = {.lex_state = 63, .external_lex_state = 39},
  [5126] = {.lex_state = 63, .external_lex_state = 29},
  [5127] = {.lex_state = 61, .external_lex_state = 54},
  [5128] = {.lex_state = 52, .external_lex_state = 39},
  [5129] = {.lex_state = 58, .external_lex_state = 34},
  [5130] = {.lex_state = 52, .external_lex_state = 39},
  [5131] = {.lex_state = 58, .external_lex_state = 35},
  [5132] = {.lex_state = 58, .external_lex_state = 35},
  [5133] = {.lex_state = 58, .external_lex_state = 35},
  [5134] = {.lex_state = 63, .external_lex_state = 39},
  [5135] = {.lex_state = 56, .external_lex_state = 45},
  [5136] = {.lex_state = 58, .external_lex_state = 34},
  [5137] = {.lex_state = 59, .external_lex_state = 38},
  [5138] = {.lex_state = 61, .external_lex_state = 43},
  [5139] = {.lex_state = 63, .external_lex_state = 26},
  [5140] = {.lex_state = 52, .external_lex_state = 31},
  [5141] = {.lex_state = 52, .external_lex_state = 29},
  [5142] = {.lex_state = 63},
  [5143] = {.lex_state = 57, .external_lex_state = 32},
  [5144] = {.lex_state = 58, .external_lex_state = 39},
  [5145] = {.lex_state = 61, .external_lex_state = 43},
  [5146] = {.lex_state = 58, .external_lex_state = 34},
  [5147] = {.lex_state = 52, .external_lex_state = 29},
  [5148] = {.lex_state = 56, .external_lex_state = 38},
  [5149] = {.lex_state = 52, .external_lex_state = 29},
  [5150] = {.lex_state = 58, .external_lex_state = 35},
  [5151] = {.lex_state = 63, .external_lex_state = 33},
  [5152] = {.lex_state = 56, .external_lex_state = 43},
  [5153] = {.lex_state = 63, .external_lex_state = 37},
  [5154] = {.lex_state = 61, .external_lex_state = 55},
  [5155] = {.lex_state = 58, .external_lex_state = 32},
  [5156] = {.lex_state = 58, .external_lex_state = 32},
  [5157] = {.lex_state = 56, .external_lex_state = 41},
  [5158] = {.lex_state = 58, .external_lex_state = 32},
  [5159] = {.lex_state = 56, .external_lex_state = 41},
  [5160] = {.lex_state = 56, .external_lex_state = 43},
  [5161] = {.lex_state = 58, .external_lex_state = 32},
  [5162] = {.lex_state = 63, .external_lex_state = 27},
  [5163] = {.lex_state = 52, .external_lex_state = 31},
  [5164] = {.lex_state = 52, .external_lex_state = 42},
  [5165] = {.lex_state = 56, .external_lex_state = 41},
  [5166] = {.lex_state = 61, .external_lex_state = 46},
  [5167] = {.lex_state = 56, .external_lex_state = 41},
  [5168] = {.lex_state = 58, .external_lex_state = 34},
  [5169] = {.lex_state = 58, .external_lex_state = 34},
  [5170] = {.lex_state = 63},
  [5171] = {.lex_state = 56, .external_lex_state = 41},
  [5172] = {.lex_state = 52, .external_lex_state = 58},
  [5173] = {.lex_state = 52, .external_lex_state = 42},
  [5174] = {.lex_state = 56, .external_lex_state = 41},
  [5175] = {.lex_state = 56, .external_lex_state = 44},
  [5176] = {.lex_state = 58, .external_lex_state = 44},
  [5177] = {.lex_state = 56, .external_lex_state = 41},
  [5178] = {.lex_state = 56, .external_lex_state = 32},
  [5179] = {.lex_state = 58, .external_lex_state = 34},
  [5180] = {.lex_state = 56, .external_lex_state = 44},
  [5181] = {.lex_state = 58, .external_lex_state = 52},
  [5182] = {.lex_state = 56, .external_lex_state = 32},
  [5183] = {.lex_state = 58, .external_lex_state = 34},
  [5184] = {.lex_state = 56, .external_lex_state = 39},
  [5185] = {.lex_state = 56, .external_lex_state = 41},
  [5186] = {.lex_state = 56, .external_lex_state = 39},
  [5187] = {.lex_state = 56, .external_lex_state = 39},
  [5188] = {.lex_state = 57, .external_lex_state = 32},
  [5189] = {.lex_state = 63, .external_lex_state = 50},
  [5190] = {.lex_state = 61, .external_lex_state = 46},
  [5191] = {.lex_state = 56, .external_lex_state = 41},
  [5192] = {.lex_state = 56, .external_lex_state = 39},
  [5193] = {.lex_state = 57, .external_lex_state = 34},
  [5194] = {.lex_state = 57, .external_lex_state = 35},
  [5195] = {.lex_state = 52, .external_lex_state = 28},
  [5196] = {.lex_state = 61, .external_lex_state = 27},
  [5197] = {.lex_state = 57, .external_lex_state = 35},
  [5198] = {.lex_state = 57, .external_lex_state = 35},
  [5199] = {.lex_state = 58, .external_lex_state = 34},
  [5200] = {.lex_state = 57, .external_lex_state = 32},
  [5201] = {.lex_state = 56, .external_lex_state = 41},
  [5202] = {.lex_state = 57, .external_lex_state = 34},
  [5203] = {.lex_state = 52, .external_lex_state = 28},
  [5204] = {.lex_state = 57, .external_lex_state = 32},
  [5205] = {.lex_state = 56, .external_lex_state = 41},
  [5206] = {.lex_state = 52, .external_lex_state = 40},
  [5207] = {.lex_state = 57, .external_lex_state = 35},
  [5208] = {.lex_state = 63, .external_lex_state = 26},
  [5209] = {.lex_state = 58, .external_lex_state = 41},
  [5210] = {.lex_state = 56, .external_lex_state = 35},
  [5211] = {.lex_state = 52, .external_lex_state = 40},
  [5212] = {.lex_state = 61, .external_lex_state = 44},
  [5213] = {.lex_state = 52, .external_lex_state = 30},
  [5214] = {.lex_state = 56, .external_lex_state = 35},
  [5215] = {.lex_state = 58, .external_lex_state = 34},
  [5216] = {.lex_state = 57, .external_lex_state = 32},
  [5217] = {.lex_state = 55, .external_lex_state = 38},
  [5218] = {.lex_state = 58, .external_lex_state = 34},
  [5219] = {.lex_state = 57, .external_lex_state = 32},
  [5220] = {.lex_state = 58, .external_lex_state = 34},
  [5221] = {.lex_state = 52, .external_lex_state = 28},
  [5222] = {.lex_state = 63},
  [5223] = {.lex_state = 61, .external_lex_state = 44},
  [5224] = {.lex_state = 61, .external_lex_state = 55},
  [5225] = {.lex_state = 61, .external_lex_state = 53},
  [5226] = {.lex_state = 57, .external_lex_state = 32},
  [5227] = {.lex_state = 52, .external_lex_state = 46},
  [5228] = {.lex_state = 56, .external_lex_state = 55},
  [5229] = {.lex_state = 52, .external_lex_state = 31},
  [5230] = {.lex_state = 52, .external_lex_state = 32},
  [5231] = {.lex_state = 61, .external_lex_state = 54},
  [5232] = {.lex_state = 52, .external_lex_state = 35},
  [5233] = {.lex_state = 57, .external_lex_state = 27},
  [5234] = {.lex_state = 57, .external_lex_state = 32},
  [5235] = {.lex_state = 63, .external_lex_state = 50},
  [5236] = {.lex_state = 57, .external_lex_state = 34},
  [5237] = {.lex_state = 58, .external_lex_state = 28},
  [5238] = {.lex_state = 58, .external_lex_state = 51},
  [5239] = {.lex_state = 56, .external_lex_state = 41},
  [5240] = {.lex_state = 63, .external_lex_state = 28},
  [5241] = {.lex_state = 56, .external_lex_state = 38},
  [5242] = {.lex_state = 58, .external_lex_state = 41},
  [5243] = {.lex_state = 56, .external_lex_state = 45},
  [5244] = {.lex_state = 57, .external_lex_state = 34},
  [5245] = {.lex_state = 58, .external_lex_state = 39},
  [5246] = {.lex_state = 63, .external_lex_state = 28},
  [5247] = {.lex_state = 63, .external_lex_state = 39},
  [5248] = {.lex_state = 58, .external_lex_state = 39},
  [5249] = {.lex_state = 56, .external_lex_state = 43},
  [5250] = {.lex_state = 61, .external_lex_state = 27},
  [5251] = {.lex_state = 63, .external_lex_state = 28},
  [5252] = {.lex_state = 56, .external_lex_state = 43},
  [5253] = {.lex_state = 56, .external_lex_state = 35},
  [5254] = {.lex_state = 63, .external_lex_state = 29},
  [5255] = {.lex_state = 63, .external_lex_state = 55},
  [5256] = {.lex_state = 58, .external_lex_state = 43},
  [5257] = {.lex_state = 57, .external_lex_state = 35},
  [5258] = {.lex_state = 63, .external_lex_state = 37},
  [5259] = {.lex_state = 61, .external_lex_state = 38},
  [5260] = {.lex_state = 58, .external_lex_state = 28},
  [5261] = {.lex_state = 57, .external_lex_state = 51},
  [5262] = {.lex_state = 61, .external_lex_state = 41},
  [5263] = {.lex_state = 58, .external_lex_state = 46},
  [5264] = {.lex_state = 52, .external_lex_state = 44},
  [5265] = {.lex_state = 61, .external_lex_state = 35},
  [5266] = {.lex_state = 58, .external_lex_state = 34},
  [5267] = {.lex_state = 58, .external_lex_state = 32},
  [5268] = {.lex_state = 55, .external_lex_state = 38},
  [5269] = {.lex_state = 52, .external_lex_state = 45},
  [5270] = {.lex_state = 58, .external_lex_state = 32},
  [5271] = {.lex_state = 57, .external_lex_state = 28},
  [5272] = {.lex_state = 63, .external_lex_state = 41},
  [5273] = {.lex_state = 58, .external_lex_state = 32},
  [5274] = {.lex_state = 58, .external_lex_state = 51},
  [5275] = {.lex_state = 57, .external_lex_state = 34},
  [5276] = {.lex_state = 58, .external_lex_state = 32},
  [5277] = {.lex_state = 58, .external_lex_state = 32},
  [5278] = {.lex_state = 61, .external_lex_state = 34},
  [5279] = {.lex_state = 63, .external_lex_state = 26},
  [5280] = {.lex_state = 58, .external_lex_state = 32},
  [5281] = {.lex_state = 56, .external_lex_state = 38},
  [5282] = {.lex_state = 52, .external_lex_state = 30},
  [5283] = {.lex_state = 61, .external_lex_state = 34},
  [5284] = {.lex_state = 55, .external_lex_state = 51},
  [5285] = {.lex_state = 52, .external_lex_state = 23},
  [5286] = {.lex_state = 57, .external_lex_state = 34},
  [5287] = {.lex_state = 56, .external_lex_state = 38},
  [5288] = {.lex_state = 63, .external_lex_state = 30},
  [5289] = {.lex_state = 56, .external_lex_state = 38},
  [5290] = {.lex_state = 56, .external_lex_state = 38},
  [5291] = {.lex_state = 58, .external_lex_state = 27},
  [5292] = {.lex_state = 58, .external_lex_state = 32},
  [5293] = {.lex_state = 57, .external_lex_state = 34},
  [5294] = {.lex_state = 52, .external_lex_state = 32},
  [5295] = {.lex_state = 58, .external_lex_state = 35},
  [5296] = {.lex_state = 52},
  [5297] = {.lex_state = 56, .external_lex_state = 52},
  [5298] = {.lex_state = 63, .external_lex_state = 42},
  [5299] = {.lex_state = 58, .external_lex_state = 35},
  [5300] = {.lex_state = 52, .external_lex_state = 37},
  [5301] = {.lex_state = 52, .external_lex_state = 57},
  [5302] = {.lex_state = 58, .external_lex_state = 38},
  [5303] = {.lex_state = 63, .external_lex_state = 31},
  [5304] = {.lex_state = 52, .external_lex_state = 57},
  [5305] = {.lex_state = 58, .external_lex_state = 35},
  [5306] = {.lex_state = 63},
  [5307] = {.lex_state = 52, .external_lex_state = 58},
  [5308] = {.lex_state = 61, .external_lex_state = 34},
  [5309] = {.lex_state = 58, .external_lex_state = 38},
  [5310] = {.lex_state = 58, .external_lex_state = 32},
  [5311] = {.lex_state = 61, .external_lex_state = 32},
  [5312] = {.lex_state = 61, .external_lex_state = 34},
  [5313] = {.lex_state = 56, .external_lex_state = 38},
  [5314] = {.lex_state = 56, .external_lex_state = 38},
  [5315] = {.lex_state = 56, .external_lex_state = 38},
  [5316] = {.lex_state = 57, .external_lex_state = 55},
  [5317] = {.lex_state = 52, .external_lex_state = 43},
  [5318] = {.lex_state = 57, .external_lex_state = 53},
  [5319] = {.lex_state = 58, .external_lex_state = 38},
  [5320] = {.lex_state = 63, .external_lex_state = 51},
  [5321] = {.lex_state = 63, .external_lex_state = 26},
  [5322] = {.lex_state = 63, .external_lex_state = 26},
  [5323] = {.lex_state = 58, .external_lex_state = 35},
  [5324] = {.lex_state = 58, .external_lex_state = 38},
  [5325] = {.lex_state = 58, .external_lex_state = 38},
  [5326] = {.lex_state = 57, .external_lex_state = 35},
  [5327] = {.lex_state = 58, .external_lex_state = 35},
  [5328] = {.lex_state = 56, .external_lex_state = 38},
  [5329] = {.lex_state = 61, .external_lex_state = 51},
  [5330] = {.lex_state = 57, .external_lex_state = 32},
  [5331] = {.lex_state = 58, .external_lex_state = 38},
  [5332] = {.lex_state = 58, .external_lex_state = 35},
  [5333] = {.lex_state = 63},
  [5334] = {.lex_state = 52, .external_lex_state = 38},
  [5335] = {.lex_state = 56, .external_lex_state = 44},
  [5336] = {.lex_state = 58, .external_lex_state = 35},
  [5337] = {.lex_state = 63, .external_lex_state = 38},
  [5338] = {.lex_state = 58, .external_lex_state = 45},
  [5339] = {.lex_state = 56, .external_lex_state = 38},
  [5340] = {.lex_state = 63, .external_lex_state = 39},
  [5341] = {.lex_state = 63, .external_lex_state = 30},
  [5342] = {.lex_state = 57, .external_lex_state = 35},
  [5343] = {.lex_state = 57, .external_lex_state = 35},
  [5344] = {.lex_state = 58, .external_lex_state = 38},
  [5345] = {.lex_state = 57, .external_lex_state = 34},
  [5346] = {.lex_state = 56, .external_lex_state = 46},
  [5347] = {.lex_state = 60},
  [5348] = {.lex_state = 52, .external_lex_state = 23},
  [5349] = {.lex_state = 52, .external_lex_state = 43},
  [5350] = {.lex_state = 52, .external_lex_state = 24},
  [5351] = {.lex_state = 58, .external_lex_state = 38},
  [5352] = {.lex_state = 57, .external_lex_state = 35},
  [5353] = {.lex_state = 61, .external_lex_state = 41},
  [5354] = {.lex_state = 52, .external_lex_state = 37},
  [5355] = {.lex_state = 63, .external_lex_state = 31},
  [5356] = {.lex_state = 63, .external_lex_state = 41},
  [5357] = {.lex_state = 63, .external_lex_state = 28},
  [5358] = {.lex_state = 61, .external_lex_state = 39},
  [5359] = {.lex_state = 61, .external_lex_state = 27},
  [5360] = {.lex_state = 57, .external_lex_state = 54},
  [5361] = {.lex_state = 57, .external_lex_state = 35},
  [5362] = {.lex_state = 61, .external_lex_state = 54},
  [5363] = {.lex_state = 63, .external_lex_state = 26},
  [5364] = {.lex_state = 61, .external_lex_state = 32},
  [5365] = {.lex_state = 57, .external_lex_state = 27},
  [5366] = {.lex_state = 61, .external_lex_state = 32},
  [5367] = {.lex_state = 58, .external_lex_state = 35},
  [5368] = {.lex_state = 52, .external_lex_state = 47},
  [5369] = {.lex_state = 52, .external_lex_state = 23},
  [5370] = {.lex_state = 63, .external_lex_state = 47},
  [5371] = {.lex_state = 61, .external_lex_state = 32},
  [5372] = {.lex_state = 63, .external_lex_state = 47},
  [5373] = {.lex_state = 52, .external_lex_state = 33},
  [5374] = {.lex_state = 57, .external_lex_state = 34},
  [5375] = {.lex_state = 56, .external_lex_state = 28},
  [5376] = {.lex_state = 58, .external_lex_state = 38},
  [5377] = {.lex_state = 63, .external_lex_state = 38},
  [5378] = {.lex_state = 58, .external_lex_state = 29},
  [5379] = {.lex_state = 58, .external_lex_state = 29},
  [5380] = {.lex_state = 61, .external_lex_state = 27},
  [5381] = {.lex_state = 56, .external_lex_state = 51},
  [5382] = {.lex_state = 52, .external_lex_state = 23},
  [5383] = {.lex_state = 63, .external_lex_state = 47},
  [5384] = {.lex_state = 63, .external_lex_state = 42},
  [5385] = {.lex_state = 52, .external_lex_state = 28},
  [5386] = {.lex_state = 61, .external_lex_state = 35},
  [5387] = {.lex_state = 57, .external_lex_state = 34},
  [5388] = {.lex_state = 61, .external_lex_state = 51},
  [5389] = {.lex_state = 61, .external_lex_state = 35},
  [5390] = {.lex_state = 58, .external_lex_state = 38},
  [5391] = {.lex_state = 61, .external_lex_state = 27},
  [5392] = {.lex_state = 57, .external_lex_state = 34},
  [5393] = {.lex_state = 61, .external_lex_state = 51},
  [5394] = {.lex_state = 52, .external_lex_state = 34},
  [5395] = {.lex_state = 61, .external_lex_state = 38},
  [5396] = {.lex_state = 61, .external_lex_state = 35},
  [5397] = {.lex_state = 57, .external_lex_state = 34},
  [5398] = {.lex_state = 58, .external_lex_state = 38},
  [5399] = {.lex_state = 57, .external_lex_state = 54},
  [5400] = {.lex_state = 57, .external_lex_state = 34},
  [5401] = {.lex_state = 58, .external_lex_state = 51},
  [5402] = {.lex_state = 58, .external_lex_state = 38},
  [5403] = {.lex_state = 61, .external_lex_state = 29},
  [5404] = {.lex_state = 57, .external_lex_state = 29},
  [5405] = {.lex_state = 63, .external_lex_state = 26},
  [5406] = {.lex_state = 57, .external_lex_state = 34},
  [5407] = {.lex_state = 57, .external_lex_state = 34},
  [5408] = {.lex_state = 63, .external_lex_state = 38},
  [5409] = {.lex_state = 52, .external_lex_state = 46},
  [5410] = {.lex_state = 58, .external_lex_state = 38},
  [5411] = {.lex_state = 52, .external_lex_state = 38},
  [5412] = {.lex_state = 56, .external_lex_state = 34},
  [5413] = {.lex_state = 61, .external_lex_state = 39},
  [5414] = {.lex_state = 58, .external_lex_state = 51},
  [5415] = {.lex_state = 52, .external_lex_state = 48},
  [5416] = {.lex_state = 63, .external_lex_state = 38},
  [5417] = {.lex_state = 63, .external_lex_state = 26},
  [5418] = {.lex_state = 57, .external_lex_state = 35},
  [5419] = {.lex_state = 63, .external_lex_state = 23},
  [5420] = {.lex_state = 57, .external_lex_state = 34},
  [5421] = {.lex_state = 63, .external_lex_state = 28},
  [5422] = {.lex_state = 56, .external_lex_state = 41},
  [5423] = {.lex_state = 61, .external_lex_state = 45},
  [5424] = {.lex_state = 52, .external_lex_state = 30},
  [5425] = {.lex_state = 56, .external_lex_state = 45},
  [5426] = {.lex_state = 61, .external_lex_state = 45},
  [5427] = {.lex_state = 57, .external_lex_state = 55},
  [5428] = {.lex_state = 56, .external_lex_state = 46},
  [5429] = {.lex_state = 52, .external_lex_state = 34},
  [5430] = {.lex_state = 63, .external_lex_state = 36},
  [5431] = {.lex_state = 63, .external_lex_state = 52},
  [5432] = {.lex_state = 56, .external_lex_state = 34},
  [5433] = {.lex_state = 63, .external_lex_state = 48},
  [5434] = {.lex_state = 63, .external_lex_state = 28},
  [5435] = {.lex_state = 57, .external_lex_state = 35},
  [5436] = {.lex_state = 52, .external_lex_state = 51},
  [5437] = {.lex_state = 56, .external_lex_state = 46},
  [5438] = {.lex_state = 63, .external_lex_state = 41},
  [5439] = {.lex_state = 61, .external_lex_state = 29},
  [5440] = {.lex_state = 56, .external_lex_state = 34},
  [5441] = {.lex_state = 63, .external_lex_state = 26},
  [5442] = {.lex_state = 63, .external_lex_state = 49},
  [5443] = {.lex_state = 63, .external_lex_state = 26},
  [5444] = {.lex_state = 52, .external_lex_state = 51},
  [5445] = {.lex_state = 58, .external_lex_state = 34},
  [5446] = {.lex_state = 57, .external_lex_state = 34},
  [5447] = {.lex_state = 56, .external_lex_state = 44},
  [5448] = {.lex_state = 63, .external_lex_state = 26},
  [5449] = {.lex_state = 63, .external_lex_state = 49},
  [5450] = {.lex_state = 7, .external_lex_state = 51},
  [5451] = {.lex_state = 52, .external_lex_state = 36},
  [5452] = {.lex_state = 63, .external_lex_state = 49},
  [5453] = {.lex_state = 57, .external_lex_state = 52},
  [5454] = {.lex_state = 61, .external_lex_state = 28},
  [5455] = {.lex_state = 63, .external_lex_state = 41},
  [5456] = {.lex_state = 63, .external_lex_state = 48},
  [5457] = {.lex_state = 57, .external_lex_state = 35},
  [5458] = {.lex_state = 63, .external_lex_state = 26},
  [5459] = {.lex_state = 63, .external_lex_state = 26},
  [5460] = {.lex_state = 63, .external_lex_state = 48},
  [5461] = {.lex_state = 63, .external_lex_state = 29},
  [5462] = {.lex_state = 52, .external_lex_state = 46},
  [5463] = {.lex_state = 52, .external_lex_state = 30},
  [5464] = {.lex_state = 52, .external_lex_state = 30},
  [5465] = {.lex_state = 63, .external_lex_state = 57},
  [5466] = {.lex_state = 52, .external_lex_state = 29},
  [5467] = {.lex_state = 58, .external_lex_state = 35},
  [5468] = {.lex_state = 58, .external_lex_state = 51},
  [5469] = {.lex_state = 58, .external_lex_state = 51},
  [5470] = {.lex_state = 52, .external_lex_state = 27},
  [5471] = {.lex_state = 63, .external_lex_state = 31},
  [5472] = {.lex_state = 63, .external_lex_state = 26},
  [5473] = {.lex_state = 63, .external_lex_state = 44},
  [5474] = {.lex_state = 52, .external_lex_state = 48},
  [5475] = {.lex_state = 58, .external_lex_state = 51},
  [5476] = {.lex_state = 63, .external_lex_state = 28},
  [5477] = {.lex_state = 63, .external_lex_state = 26},
  [5478] = {.lex_state = 63, .external_lex_state = 44},
  [5479] = {.lex_state = 58, .external_lex_state = 35},
  [5480] = {.lex_state = 63, .external_lex_state = 31},
  [5481] = {.lex_state = 63, .external_lex_state = 26},
  [5482] = {.lex_state = 63, .external_lex_state = 31},
  [5483] = {.lex_state = 58, .external_lex_state = 32},
  [5484] = {.lex_state = 61, .external_lex_state = 34},
  [5485] = {.lex_state = 56, .external_lex_state = 45},
  [5486] = {.lex_state = 63, .external_lex_state = 35},
  [5487] = {.lex_state = 61, .external_lex_state = 45},
  [5488] = {.lex_state = 63, .external_lex_state = 46},
  [5489] = {.lex_state = 63, .external_lex_state = 34},
  [5490] = {.lex_state = 61, .external_lex_state = 52},
  [5491] = {.lex_state = 56, .external_lex_state = 51},
  [5492] = {.lex_state = 57, .external_lex_state = 51},
  [5493] = {.lex_state = 63, .external_lex_state = 34},
  [5494] = {.lex_state = 52, .external_lex_state = 28},
  [5495] = {.lex_state = 58, .external_lex_state = 46},
  [5496] = {.lex_state = 57, .external_lex_state = 38},
  [5497] = {.lex_state = 57, .external_lex_state = 38},
  [5498] = {.lex_state = 56, .external_lex_state = 44},
  [5499] = {.lex_state = 52, .external_lex_state = 48},
  [5500] = {.lex_state = 55, .external_lex_state = 38},
  [5501] = {.lex_state = 63, .external_lex_state = 46},
  [5502] = {.lex_state = 63, .external_lex_state = 28},
  [5503] = {.lex_state = 52, .external_lex_state = 27},
  [5504] = {.lex_state = 57, .external_lex_state = 38},
  [5505] = {.lex_state = 56, .external_lex_state = 41},
  [5506] = {.lex_state = 57, .external_lex_state = 51},
  [5507] = {.lex_state = 63, .external_lex_state = 31},
  [5508] = {.lex_state = 56, .external_lex_state = 41},
  [5509] = {.lex_state = 52, .external_lex_state = 33},
  [5510] = {.lex_state = 63, .external_lex_state = 32},
  [5511] = {.lex_state = 52, .external_lex_state = 36},
  [5512] = {.lex_state = 52, .external_lex_state = 24},
  [5513] = {.lex_state = 52, .external_lex_state = 24},
  [5514] = {.lex_state = 62, .external_lex_state = 38},
  [5515] = {.lex_state = 61, .external_lex_state = 45},
  [5516] = {.lex_state = 57, .external_lex_state = 38},
  [5517] = {.lex_state = 61, .external_lex_state = 52},
  [5518] = {.lex_state = 56, .external_lex_state = 34},
  [5519] = {.lex_state = 63, .external_lex_state = 49},
  [5520] = {.lex_state = 63, .external_lex_state = 58},
  [5521] = {.lex_state = 56, .external_lex_state = 45},
  [5522] = {.lex_state = 63, .external_lex_state = 32},
  [5523] = {.lex_state = 52, .external_lex_state = 55},
  [5524] = {.lex_state = 56, .external_lex_state = 52},
  [5525] = {.lex_state = 52, .external_lex_state = 49},
  [5526] = {.lex_state = 56, .external_lex_state = 39},
  [5527] = {.lex_state = 57, .external_lex_state = 34},
  [5528] = {.lex_state = 52, .external_lex_state = 49},
  [5529] = {.lex_state = 61, .external_lex_state = 44},
  [5530] = {.lex_state = 63, .external_lex_state = 34},
  [5531] = {.lex_state = 63, .external_lex_state = 26},
  [5532] = {.lex_state = 63, .external_lex_state = 34},
  [5533] = {.lex_state = 63, .external_lex_state = 58},
  [5534] = {.lex_state = 56, .external_lex_state = 28},
  [5535] = {.lex_state = 57, .external_lex_state = 28},
  [5536] = {.lex_state = 61, .external_lex_state = 28},
  [5537] = {.lex_state = 63, .external_lex_state = 26},
  [5538] = {.lex_state = 63, .external_lex_state = 34},
  [5539] = {.lex_state = 56, .external_lex_state = 45},
  [5540] = {.lex_state = 61, .external_lex_state = 28},
  [5541] = {.lex_state = 52, .external_lex_state = 55},
  [5542] = {.lex_state = 56, .external_lex_state = 45},
  [5543] = {.lex_state = 52, .external_lex_state = 36},
  [5544] = {.lex_state = 56, .external_lex_state = 45},
  [5545] = {.lex_state = 56, .external_lex_state = 45},
  [5546] = {.lex_state = 56, .external_lex_state = 45},
  [5547] = {.lex_state = 52, .external_lex_state = 53},
  [5548] = {.lex_state = 56, .external_lex_state = 45},
  [5549] = {.lex_state = 55, .external_lex_state = 38},
  [5550] = {.lex_state = 63, .external_lex_state = 26},
  [5551] = {.lex_state = 61, .external_lex_state = 28},
  [5552] = {.lex_state = 58, .external_lex_state = 28},
  [5553] = {.lex_state = 63, .external_lex_state = 26},
  [5554] = {.lex_state = 57, .external_lex_state = 38},
  [5555] = {.lex_state = 56, .external_lex_state = 45},
  [5556] = {.lex_state = 56, .external_lex_state = 51},
  [5557] = {.lex_state = 52, .external_lex_state = 38},
  [5558] = {.lex_state = 61, .external_lex_state = 51},
  [5559] = {.lex_state = 63, .external_lex_state = 28},
  [5560] = {.lex_state = 63, .external_lex_state = 26},
  [5561] = {.lex_state = 52, .external_lex_state = 38},
  [5562] = {.lex_state = 56, .external_lex_state = 39},
  [5563] = {.lex_state = 52, .external_lex_state = 38},
  [5564] = {.lex_state = 52, .external_lex_state = 51},
  [5565] = {.lex_state = 58, .external_lex_state = 51},
  [5566] = {.lex_state = 56, .external_lex_state = 39},
  [5567] = {.lex_state = 55, .external_lex_state = 52},
  [5568] = {.lex_state = 58, .external_lex_state = 51},
  [5569] = {.lex_state = 52, .external_lex_state = 33},
  [5570] = {.lex_state = 63, .external_lex_state = 30},
  [5571] = {.lex_state = 61, .external_lex_state = 44},
  [5572] = {.lex_state = 52, .external_lex_state = 53},
  [5573] = {.lex_state = 58, .external_lex_state = 38},
  [5574] = {.lex_state = 56, .external_lex_state = 46},
  [5575] = {.lex_state = 63, .external_lex_state = 45},
  [5576] = {.lex_state = 56, .external_lex_state = 46},
  [5577] = {.lex_state = 63, .external_lex_state = 31},
  [5578] = {.lex_state = 52, .external_lex_state = 28},
  [5579] = {.lex_state = 58, .external_lex_state = 51},
  [5580] = {.lex_state = 63, .external_lex_state = 26},
  [5581] = {.lex_state = 57, .external_lex_state = 38},
  [5582] = {.lex_state = 61, .external_lex_state = 29},
  [5583] = {.lex_state = 58, .external_lex_state = 38},
  [5584] = {.lex_state = 61, .external_lex_state = 51},
  [5585] = {.lex_state = 63, .external_lex_state = 45},
  [5586] = {.lex_state = 52, .external_lex_state = 37},
  [5587] = {.lex_state = 52, .external_lex_state = 52},
  [5588] = {.lex_state = 52},
  [5589] = {.lex_state = 57, .external_lex_state = 41},
  [5590] = {.lex_state = 58, .external_lex_state = 51},
  [5591] = {.lex_state = 56, .external_lex_state = 38},
  [5592] = {.lex_state = 63, .external_lex_state = 30},
  [5593] = {.lex_state = 63, .external_lex_state = 58},
  [5594] = {.lex_state = 63, .external_lex_state = 30},
  [5595] = {.lex_state = 63, .external_lex_state = 42},
  [5596] = {.lex_state = 58, .external_lex_state = 51},
  [5597] = {.lex_state = 56, .external_lex_state = 38},
  [5598] = {.lex_state = 63, .external_lex_state = 30},
  [5599] = {.lex_state = 63, .external_lex_state = 30},
  [5600] = {.lex_state = 63, .external_lex_state = 26},
  [5601] = {.lex_state = 63, .external_lex_state = 26},
  [5602] = {.lex_state = 61, .external_lex_state = 29},
  [5603] = {.lex_state = 58, .external_lex_state = 51},
  [5604] = {.lex_state = 58, .external_lex_state = 51},
  [5605] = {.lex_state = 58, .external_lex_state = 51},
  [5606] = {.lex_state = 63, .external_lex_state = 30},
  [5607] = {.lex_state = 58, .external_lex_state = 27},
  [5608] = {.lex_state = 52, .external_lex_state = 47},
  [5609] = {.lex_state = 63, .external_lex_state = 30},
  [5610] = {.lex_state = 56, .external_lex_state = 46},
  [5611] = {.lex_state = 63, .external_lex_state = 30},
  [5612] = {.lex_state = 56, .external_lex_state = 51},
  [5613] = {.lex_state = 58, .external_lex_state = 51},
  [5614] = {.lex_state = 63, .external_lex_state = 51},
  [5615] = {.lex_state = 56, .external_lex_state = 46},
  [5616] = {.lex_state = 63, .external_lex_state = 30},
  [5617] = {.lex_state = 56, .external_lex_state = 46},
  [5618] = {.lex_state = 63, .external_lex_state = 50},
  [5619] = {.lex_state = 52, .external_lex_state = 36},
  [5620] = {.lex_state = 52, .external_lex_state = 47},
  [5621] = {.lex_state = 63, .external_lex_state = 35},
  [5622] = {.lex_state = 58, .external_lex_state = 46},
  [5623] = {.lex_state = 58, .external_lex_state = 51},
  [5624] = {.lex_state = 63, .external_lex_state = 34},
  [5625] = {.lex_state = 52, .external_lex_state = 52},
  [5626] = {.lex_state = 63, .external_lex_state = 30},
  [5627] = {.lex_state = 63, .external_lex_state = 31},
  [5628] = {.lex_state = 52},
  [5629] = {.lex_state = 63, .external_lex_state = 30},
  [5630] = {.lex_state = 56, .external_lex_state = 46},
  [5631] = {.lex_state = 57, .external_lex_state = 38},
  [5632] = {.lex_state = 62, .external_lex_state = 52},
  [5633] = {.lex_state = 57, .external_lex_state = 38},
  [5634] = {.lex_state = 56, .external_lex_state = 44},
  [5635] = {.lex_state = 63, .external_lex_state = 26},
  [5636] = {.lex_state = 57, .external_lex_state = 38},
  [5637] = {.lex_state = 57, .external_lex_state = 38},
  [5638] = {.lex_state = 57, .external_lex_state = 38},
  [5639] = {.lex_state = 52, .external_lex_state = 36},
  [5640] = {.lex_state = 57, .external_lex_state = 38},
  [5641] = {.lex_state = 56, .external_lex_state = 44},
  [5642] = {.lex_state = 52, .external_lex_state = 51},
  [5643] = {.lex_state = 57, .external_lex_state = 38},
  [5644] = {.lex_state = 63, .external_lex_state = 30},
  [5645] = {.lex_state = 63, .external_lex_state = 31},
  [5646] = {.lex_state = 63, .external_lex_state = 26},
  [5647] = {.lex_state = 52, .external_lex_state = 40},
  [5648] = {.lex_state = 56, .external_lex_state = 44},
  [5649] = {.lex_state = 63, .external_lex_state = 35},
  [5650] = {.lex_state = 63, .external_lex_state = 32},
  [5651] = {.lex_state = 63, .external_lex_state = 33},
  [5652] = {.lex_state = 63, .external_lex_state = 30},
  [5653] = {.lex_state = 63, .external_lex_state = 30},
  [5654] = {.lex_state = 63, .external_lex_state = 26},
  [5655] = {.lex_state = 56, .external_lex_state = 44},
  [5656] = {.lex_state = 57, .external_lex_state = 38},
  [5657] = {.lex_state = 63, .external_lex_state = 36},
  [5658] = {.lex_state = 52, .external_lex_state = 24},
  [5659] = {.lex_state = 61, .external_lex_state = 35},
  [5660] = {.lex_state = 56, .external_lex_state = 44},
  [5661] = {.lex_state = 52, .external_lex_state = 23},
  [5662] = {.lex_state = 56, .external_lex_state = 44},
  [5663] = {.lex_state = 52, .external_lex_state = 54},
  [5664] = {.lex_state = 56, .external_lex_state = 44},
  [5665] = {.lex_state = 56, .external_lex_state = 44},
  [5666] = {.lex_state = 61, .external_lex_state = 32},
  [5667] = {.lex_state = 63, .external_lex_state = 26},
  [5668] = {.lex_state = 58, .external_lex_state = 45},
  [5669] = {.lex_state = 63, .external_lex_state = 30},
  [5670] = {.lex_state = 52, .external_lex_state = 40},
  [5671] = {.lex_state = 63, .external_lex_state = 50},
  [5672] = {.lex_state = 52, .external_lex_state = 54},
  [5673] = {.lex_state = 56, .external_lex_state = 41},
  [5674] = {.lex_state = 61, .external_lex_state = 35},
  [5675] = {.lex_state = 63, .external_lex_state = 40},
  [5676] = {.lex_state = 63, .external_lex_state = 33},
  [5677] = {.lex_state = 61, .external_lex_state = 32},
  [5678] = {.lex_state = 63, .external_lex_state = 49},
  [5679] = {.lex_state = 57, .external_lex_state = 41},
  [5680] = {.lex_state = 63, .external_lex_state = 36},
  [5681] = {.lex_state = 52, .external_lex_state = 24},
  [5682] = {.lex_state = 52, .external_lex_state = 46},
  [5683] = {.lex_state = 52, .external_lex_state = 46},
  [5684] = {.lex_state = 61, .external_lex_state = 34},
  [5685] = {.lex_state = 63, .external_lex_state = 26},
  [5686] = {.lex_state = 63, .external_lex_state = 46},
  [5687] = {.lex_state = 63, .external_lex_state = 31},
  [5688] = {.lex_state = 52, .external_lex_state = 24},
  [5689] = {.lex_state = 58, .external_lex_state = 44},
  [5690] = {.lex_state = 55, .external_lex_state = 51},
  [5691] = {.lex_state = 63, .external_lex_state = 26},
  [5692] = {.lex_state = 63, .external_lex_state = 31},
  [5693] = {.lex_state = 63, .external_lex_state = 31},
  [5694] = {.lex_state = 55, .external_lex_state = 52},
  [5695] = {.lex_state = 63, .external_lex_state = 26},
  [5696] = {.lex_state = 63, .external_lex_state = 31},
  [5697] = {.lex_state = 63, .external_lex_state = 26},
  [5698] = {.lex_state = 63, .external_lex_state = 26},
  [5699] = {.lex_state = 57, .external_lex_state = 38},
  [5700] = {.lex_state = 63, .external_lex_state = 26},
  [5701] = {.lex_state = 63, .external_lex_state = 35},
  [5702] = {.lex_state = 63, .external_lex_state = 31},
  [5703] = {.lex_state = 63, .external_lex_state = 57},
  [5704] = {.lex_state = 63, .external_lex_state = 26},
  [5705] = {.lex_state = 63, .external_lex_state = 26},
  [5706] = {.lex_state = 63, .external_lex_state = 26},
  [5707] = {.lex_state = 63, .external_lex_state = 26},
  [5708] = {.lex_state = 63, .external_lex_state = 31},
  [5709] = {.lex_state = 63, .external_lex_state = 26},
  [5710] = {.lex_state = 63, .external_lex_state = 31},
  [5711] = {.lex_state = 63, .external_lex_state = 30},
  [5712] = {.lex_state = 58, .external_lex_state = 55},
  [5713] = {.lex_state = 63, .external_lex_state = 26},
  [5714] = {.lex_state = 63, .external_lex_state = 35},
  [5715] = {.lex_state = 57, .external_lex_state = 39},
  [5716] = {.lex_state = 56, .external_lex_state = 27},
  [5717] = {.lex_state = 63, .external_lex_state = 26},
  [5718] = {.lex_state = 63, .external_lex_state = 35},
  [5719] = {.lex_state = 52, .external_lex_state = 33},
  [5720] = {.lex_state = 63, .external_lex_state = 26},
  [5721] = {.lex_state = 63, .external_lex_state = 35},
  [5722] = {.lex_state = 63, .external_lex_state = 26},
  [5723] = {.lex_state = 63, .external_lex_state = 26},
  [5724] = {.lex_state = 57, .external_lex_state = 28},
  [5725] = {.lex_state = 58, .external_lex_state = 43},
  [5726] = {.lex_state = 58, .external_lex_state = 43},
  [5727] = {.lex_state = 63, .external_lex_state = 32},
  [5728] = {.lex_state = 63, .external_lex_state = 26},
  [5729] = {.lex_state = 56, .external_lex_state = 45},
  [5730] = {.lex_state = 63, .external_lex_state = 31},
  [5731] = {.lex_state = 63, .external_lex_state = 32},
  [5732] = {.lex_state = 63, .external_lex_state = 30},
  [5733] = {.lex_state = 63, .external_lex_state = 26},
  [5734] = {.lex_state = 63, .external_lex_state = 32},
  [5735] = {.lex_state = 63, .external_lex_state = 26},
  [5736] = {.lex_state = 52, .external_lex_state = 23},
  [5737] = {.lex_state = 63, .external_lex_state = 26},
  [5738] = {.lex_state = 63, .external_lex_state = 26},
  [5739] = {.lex_state = 63, .external_lex_state = 29},
  [5740] = {.lex_state = 58, .external_lex_state = 53},
  [5741] = {.lex_state = 56, .external_lex_state = 54},
  [5742] = {.lex_state = 63, .external_lex_state = 26},
  [5743] = {.lex_state = 52, .external_lex_state = 52},
  [5744] = {.lex_state = 63, .external_lex_state = 29},
  [5745] = {.lex_state = 56, .external_lex_state = 54},
  [5746] = {.lex_state = 63, .external_lex_state = 26},
  [5747] = {.lex_state = 56, .external_lex_state = 45},
  [5748] = {.lex_state = 52, .external_lex_state = 50},
  [5749] = {.lex_state = 52, .external_lex_state = 50},
  [5750] = {.lex_state = 56, .external_lex_state = 45},
  [5751] = {.lex_state = 56, .external_lex_state = 45},
  [5752] = {.lex_state = 55, .external_lex_state = 38},
  [5753] = {.lex_state = 63, .external_lex_state = 45},
  [5754] = {.lex_state = 63, .external_lex_state = 31},
  [5755] = {.lex_state = 57, .external_lex_state = 39},
  [5756] = {.lex_state = 57, .external_lex_state = 39},
  [5757] = {.lex_state = 52, .external_lex_state = 27},
  [5758] = {.lex_state = 63, .external_lex_state = 56},
  [5759] = {.lex_state = 61, .external_lex_state = 27},
  [5760] = {.lex_state = 56, .external_lex_state = 43},
  [5761] = {.lex_state = 52, .external_lex_state = 27},
  [5762] = {.lex_state = 63, .external_lex_state = 26},
  [5763] = {.lex_state = 58, .external_lex_state = 44},
  [5764] = {.lex_state = 58, .external_lex_state = 44},
  [5765] = {.lex_state = 61, .external_lex_state = 27},
  [5766] = {.lex_state = 56, .external_lex_state = 46},
  [5767] = {.lex_state = 56, .external_lex_state = 53},
  [5768] = {.lex_state = 56, .external_lex_state = 53},
  [5769] = {.lex_state = 63, .external_lex_state = 26},
  [5770] = {.lex_state = 57, .external_lex_state = 41},
  [5771] = {.lex_state = 56, .external_lex_state = 55},
  [5772] = {.lex_state = 57, .external_lex_state = 41},
  [5773] = {.lex_state = 56, .external_lex_state = 55},
  [5774] = {.lex_state = 58, .external_lex_state = 45},
  [5775] = {.lex_state = 56, .external_lex_state = 45},
  [5776] = {.lex_state = 56, .external_lex_state = 43},
  [5777] = {.lex_state = 63, .external_lex_state = 26},
  [5778] = {.lex_state = 56, .external_lex_state = 29},
  [5779] = {.lex_state = 63, .external_lex_state = 29},
  [5780] = {.lex_state = 56, .external_lex_state = 44},
  [5781] = {.lex_state = 58, .external_lex_state = 45},
  [5782] = {.lex_state = 56, .external_lex_state = 43},
  [5783] = {.lex_state = 57, .external_lex_state = 41},
  [5784] = {.lex_state = 3},
  [5785] = {.lex_state = 56, .external_lex_state = 43},
  [5786] = {.lex_state = 56, .external_lex_state = 43},
  [5787] = {.lex_state = 63, .external_lex_state = 26},
  [5788] = {.lex_state = 63, .external_lex_state = 26},
  [5789] = {.lex_state = 58, .external_lex_state = 39},
  [5790] = {.lex_state = 57, .external_lex_state = 52},
  [5791] = {.lex_state = 56, .external_lex_state = 38},
  [5792] = {.lex_state = 58, .external_lex_state = 39},
  [5793] = {.lex_state = 58, .external_lex_state = 39},
  [5794] = {.lex_state = 58, .external_lex_state = 39},
  [5795] = {.lex_state = 56, .external_lex_state = 27},
  [5796] = {.lex_state = 52, .external_lex_state = 37},
  [5797] = {.lex_state = 58, .external_lex_state = 41},
  [5798] = {.lex_state = 56, .external_lex_state = 46},
  [5799] = {.lex_state = 58, .external_lex_state = 41},
  [5800] = {.lex_state = 58, .external_lex_state = 41},
  [5801] = {.lex_state = 58, .external_lex_state = 41},
  [5802] = {.lex_state = 56, .external_lex_state = 27},
  [5803] = {.lex_state = 55, .external_lex_state = 52},
  [5804] = {.lex_state = 55, .external_lex_state = 38},
  [5805] = {.lex_state = 56, .external_lex_state = 35},
  [5806] = {.lex_state = 52, .external_lex_state = 27},
  [5807] = {.lex_state = 57, .external_lex_state = 38},
  [5808] = {.lex_state = 61, .external_lex_state = 38},
  [5809] = {.lex_state = 55, .external_lex_state = 52},
  [5810] = {.lex_state = 56, .external_lex_state = 46},
  [5811] = {.lex_state = 54},
  [5812] = {.lex_state = 63, .external_lex_state = 26},
  [5813] = {.lex_state = 59, .external_lex_state = 38},
  [5814] = {.lex_state = 56, .external_lex_state = 46},
  [5815] = {.lex_state = 57, .external_lex_state = 41},
  [5816] = {.lex_state = 57, .external_lex_state = 41},
  [5817] = {.lex_state = 57, .external_lex_state = 41},
  [5818] = {.lex_state = 61, .external_lex_state = 28},
  [5819] = {.lex_state = 56, .external_lex_state = 46},
  [5820] = {.lex_state = 57, .external_lex_state = 41},
  [5821] = {.lex_state = 63, .external_lex_state = 40},
  [5822] = {.lex_state = 52, .external_lex_state = 36},
  [5823] = {.lex_state = 57, .external_lex_state = 38},
  [5824] = {.lex_state = 7, .external_lex_state = 51},
  [5825] = {.lex_state = 58, .external_lex_state = 45},
  [5826] = {.lex_state = 52, .external_lex_state = 24},
  [5827] = {.lex_state = 57, .external_lex_state = 41},
  [5828] = {.lex_state = 58, .external_lex_state = 46},
  [5829] = {.lex_state = 58, .external_lex_state = 43},
  [5830] = {.lex_state = 61, .external_lex_state = 46},
  [5831] = {.lex_state = 57, .external_lex_state = 41},
  [5832] = {.lex_state = 57, .external_lex_state = 41},
  [5833] = {.lex_state = 56, .external_lex_state = 46},
  [5834] = {.lex_state = 58, .external_lex_state = 46},
  [5835] = {.lex_state = 57, .external_lex_state = 39},
  [5836] = {.lex_state = 52, .external_lex_state = 34},
  [5837] = {.lex_state = 59, .external_lex_state = 52},
  [5838] = {.lex_state = 63, .external_lex_state = 26},
  [5839] = {.lex_state = 52, .external_lex_state = 43},
  [5840] = {.lex_state = 56, .external_lex_state = 46},
  [5841] = {.lex_state = 56, .external_lex_state = 55},
  [5842] = {.lex_state = 52, .external_lex_state = 43},
  [5843] = {.lex_state = 56, .external_lex_state = 51},
  [5844] = {.lex_state = 57, .external_lex_state = 39},
  [5845] = {.lex_state = 63, .external_lex_state = 57},
  [5846] = {.lex_state = 52, .external_lex_state = 33},
  [5847] = {.lex_state = 57, .external_lex_state = 39},
  [5848] = {.lex_state = 57, .external_lex_state = 41},
  [5849] = {.lex_state = 57, .external_lex_state = 39},
  [5850] = {.lex_state = 57, .external_lex_state = 39},
  [5851] = {.lex_state = 52, .external_lex_state = 45},
  [5852] = {.lex_state = 56, .external_lex_state = 53},
  [5853] = {.lex_state = 56, .external_lex_state = 43},
  [5854] = {.lex_state = 52, .external_lex_state = 45},
  [5855] = {.lex_state = 63, .external_lex_state = 56},
  [5856] = {.lex_state = 61, .external_lex_state = 55},
  [5857] = {.lex_state = 62, .external_lex_state = 52},
  [5858] = {.lex_state = 61, .external_lex_state = 55},
  [5859] = {.lex_state = 61, .external_lex_state = 26},
  [5860] = {.lex_state = 56, .external_lex_state = 43},
  [5861] = {.lex_state = 56, .external_lex_state = 43},
  [5862] = {.lex_state = 56, .external_lex_state = 43},
  [5863] = {.lex_state = 56, .external_lex_state = 43},
  [5864] = {.lex_state = 58, .external_lex_state = 39},
  [5865] = {.lex_state = 56, .external_lex_state = 44},
  [5866] = {.lex_state = 56, .external_lex_state = 44},
  [5867] = {.lex_state = 56, .external_lex_state = 43},
  [5868] = {.lex_state = 56, .external_lex_state = 44},
  [5869] = {.lex_state = 56, .external_lex_state = 43},
  [5870] = {.lex_state = 59, .external_lex_state = 38},
  [5871] = {.lex_state = 61, .external_lex_state = 29},
  [5872] = {.lex_state = 58, .external_lex_state = 43},
  [5873] = {.lex_state = 56, .external_lex_state = 43},
  [5874] = {.lex_state = 58, .external_lex_state = 54},
  [5875] = {.lex_state = 55, .external_lex_state = 38},
  [5876] = {.lex_state = 63, .external_lex_state = 52},
  [5877] = {.lex_state = 63, .external_lex_state = 26},
  [5878] = {.lex_state = 63, .external_lex_state = 23},
  [5879] = {.lex_state = 63, .external_lex_state = 46},
  [5880] = {.lex_state = 58, .external_lex_state = 39},
  [5881] = {.lex_state = 52, .external_lex_state = 33},
  [5882] = {.lex_state = 58, .external_lex_state = 39},
  [5883] = {.lex_state = 58, .external_lex_state = 44},
  [5884] = {.lex_state = 58, .external_lex_state = 39},
  [5885] = {.lex_state = 56, .external_lex_state = 43},
  [5886] = {.lex_state = 61, .external_lex_state = 29},
  [5887] = {.lex_state = 58, .external_lex_state = 39},
  [5888] = {.lex_state = 56, .external_lex_state = 44},
  [5889] = {.lex_state = 52, .external_lex_state = 38},
  [5890] = {.lex_state = 58, .external_lex_state = 39},
  [5891] = {.lex_state = 58, .external_lex_state = 39},
  [5892] = {.lex_state = 58, .external_lex_state = 29},
  [5893] = {.lex_state = 58, .external_lex_state = 39},
  [5894] = {.lex_state = 57, .external_lex_state = 29},
  [5895] = {.lex_state = 52, .external_lex_state = 55},
  [5896] = {.lex_state = 61, .external_lex_state = 53},
  [5897] = {.lex_state = 52, .external_lex_state = 34},
  [5898] = {.lex_state = 61, .external_lex_state = 39},
  [5899] = {.lex_state = 61, .external_lex_state = 39},
  [5900] = {.lex_state = 58, .external_lex_state = 39},
  [5901] = {.lex_state = 61, .external_lex_state = 53},
  [5902] = {.lex_state = 58, .external_lex_state = 41},
  [5903] = {.lex_state = 61, .external_lex_state = 39},
  [5904] = {.lex_state = 58, .external_lex_state = 52},
  [5905] = {.lex_state = 52, .external_lex_state = 34},
  [5906] = {.lex_state = 63, .external_lex_state = 44},
  [5907] = {.lex_state = 63, .external_lex_state = 44},
  [5908] = {.lex_state = 52, .external_lex_state = 34},
  [5909] = {.lex_state = 56, .external_lex_state = 54},
  [5910] = {.lex_state = 63, .external_lex_state = 43},
  [5911] = {.lex_state = 63, .external_lex_state = 43},
  [5912] = {.lex_state = 63, .external_lex_state = 43},
  [5913] = {.lex_state = 63, .external_lex_state = 31},
  [5914] = {.lex_state = 63, .external_lex_state = 26},
  [5915] = {.lex_state = 52, .external_lex_state = 53},
  [5916] = {.lex_state = 61, .external_lex_state = 39},
  [5917] = {.lex_state = 52, .external_lex_state = 41},
  [5918] = {.lex_state = 52, .external_lex_state = 56},
  [5919] = {.lex_state = 54},
  [5920] = {.lex_state = 52, .external_lex_state = 44},
  [5921] = {.lex_state = 58, .external_lex_state = 41},
  [5922] = {.lex_state = 57, .external_lex_state = 39},
  [5923] = {.lex_state = 58, .external_lex_state = 41},
  [5924] = {.lex_state = 52, .external_lex_state = 44},
  [5925] = {.lex_state = 57, .external_lex_state = 29},
  [5926] = {.lex_state = 58, .external_lex_state = 41},
  [5927] = {.lex_state = 58, .external_lex_state = 41},
  [5928] = {.lex_state = 61, .external_lex_state = 28},
  [5929] = {.lex_state = 58, .external_lex_state = 41},
  [5930] = {.lex_state = 58, .external_lex_state = 41},
  [5931] = {.lex_state = 58, .external_lex_state = 41},
  [5932] = {.lex_state = 58, .external_lex_state = 34},
  [5933] = {.lex_state = 63, .external_lex_state = 43},
  [5934] = {.lex_state = 63, .external_lex_state = 26},
  [5935] = {.lex_state = 61, .external_lex_state = 29},
  [5936] = {.lex_state = 57, .external_lex_state = 39},
  [5937] = {.lex_state = 56, .external_lex_state = 27},
  [5938] = {.lex_state = 61, .external_lex_state = 41},
  [5939] = {.lex_state = 57, .external_lex_state = 39},
  [5940] = {.lex_state = 61, .external_lex_state = 41},
  [5941] = {.lex_state = 56, .external_lex_state = 46},
  [5942] = {.lex_state = 52, .external_lex_state = 41},
  [5943] = {.lex_state = 58, .external_lex_state = 34},
  [5944] = {.lex_state = 57, .external_lex_state = 39},
  [5945] = {.lex_state = 57, .external_lex_state = 39},
  [5946] = {.lex_state = 58, .external_lex_state = 32},
  [5947] = {.lex_state = 61, .external_lex_state = 41},
  [5948] = {.lex_state = 57, .external_lex_state = 39},
  [5949] = {.lex_state = 57, .external_lex_state = 39},
  [5950] = {.lex_state = 57, .external_lex_state = 39},
  [5951] = {.lex_state = 61, .external_lex_state = 52},
  [5952] = {.lex_state = 57, .external_lex_state = 41},
  [5953] = {.lex_state = 52, .external_lex_state = 39},
  [5954] = {.lex_state = 57, .external_lex_state = 52},
  [5955] = {.lex_state = 62, .external_lex_state = 38},
  [5956] = {.lex_state = 61, .external_lex_state = 43},
  [5957] = {.lex_state = 61, .external_lex_state = 54},
  [5958] = {.lex_state = 58, .external_lex_state = 41},
  [5959] = {.lex_state = 61, .external_lex_state = 46},
  [5960] = {.lex_state = 61, .external_lex_state = 54},
  [5961] = {.lex_state = 63, .external_lex_state = 26},
  [5962] = {.lex_state = 52, .external_lex_state = 29},
  [5963] = {.lex_state = 57, .external_lex_state = 41},
  [5964] = {.lex_state = 57, .external_lex_state = 39},
  [5965] = {.lex_state = 52, .external_lex_state = 32},
  [5966] = {.lex_state = 57, .external_lex_state = 41},
  [5967] = {.lex_state = 52, .external_lex_state = 32},
  [5968] = {.lex_state = 63, .external_lex_state = 26},
  [5969] = {.lex_state = 57, .external_lex_state = 41},
  [5970] = {.lex_state = 52, .external_lex_state = 39},
  [5971] = {.lex_state = 63, .external_lex_state = 26},
  [5972] = {.lex_state = 63, .external_lex_state = 45},
  [5973] = {.lex_state = 62, .external_lex_state = 38},
  [5974] = {.lex_state = 62, .external_lex_state = 52},
  [5975] = {.lex_state = 56, .external_lex_state = 54},
  [5976] = {.lex_state = 52, .external_lex_state = 32},
  [5977] = {.lex_state = 61, .external_lex_state = 43},
  [5978] = {.lex_state = 52, .external_lex_state = 35},
  [5979] = {.lex_state = 63, .external_lex_state = 56},
  [5980] = {.lex_state = 52, .external_lex_state = 37},
  [5981] = {.lex_state = 56, .external_lex_state = 55},
  [5982] = {.lex_state = 52, .external_lex_state = 54},
  [5983] = {.lex_state = 61, .external_lex_state = 38},
  [5984] = {.lex_state = 57, .external_lex_state = 35},
  [5985] = {.lex_state = 61, .external_lex_state = 38},
  [5986] = {.lex_state = 61, .external_lex_state = 41},
  [5987] = {.lex_state = 56, .external_lex_state = 53},
  [5988] = {.lex_state = 52, .external_lex_state = 32},
  [5989] = {.lex_state = 63, .external_lex_state = 34},
  [5990] = {.lex_state = 52, .external_lex_state = 35},
  [5991] = {.lex_state = 52, .external_lex_state = 35},
  [5992] = {.lex_state = 61, .external_lex_state = 38},
  [5993] = {.lex_state = 52, .external_lex_state = 35},
  [5994] = {.lex_state = 58, .external_lex_state = 53},
  [5995] = {.lex_state = 52, .external_lex_state = 55},
  [5996] = {.lex_state = 52, .external_lex_state = 55},
  [5997] = {.lex_state = 57, .external_lex_state = 45},
  [5998] = {.lex_state = 58, .external_lex_state = 45},
  [5999] = {.lex_state = 56, .external_lex_state = 54},
  [6000] = {.lex_state = 58, .external_lex_state = 45},
  [6001] = {.lex_state = 56, .external_lex_state = 54},
  [6002] = {.lex_state = 63, .external_lex_state = 37},
  [6003] = {.lex_state = 58, .external_lex_state = 45},
  [6004] = {.lex_state = 56, .external_lex_state = 54},
  [6005] = {.lex_state = 56, .external_lex_state = 54},
  [6006] = {.lex_state = 58, .external_lex_state = 45},
  [6007] = {.lex_state = 63, .external_lex_state = 39},
  [6008] = {.lex_state = 56, .external_lex_state = 54},
  [6009] = {.lex_state = 56, .external_lex_state = 54},
  [6010] = {.lex_state = 56, .external_lex_state = 54},
  [6011] = {.lex_state = 52, .external_lex_state = 40},
  [6012] = {.lex_state = 58, .external_lex_state = 51},
  [6013] = {.lex_state = 56, .external_lex_state = 55},
  [6014] = {.lex_state = 63, .external_lex_state = 23},
  [6015] = {.lex_state = 58, .external_lex_state = 28},
  [6016] = {.lex_state = 52, .external_lex_state = 28},
  [6017] = {.lex_state = 52, .external_lex_state = 29},
  [6018] = {.lex_state = 63, .external_lex_state = 39},
  [6019] = {.lex_state = 57, .external_lex_state = 43},
  [6020] = {.lex_state = 63, .external_lex_state = 33},
  [6021] = {.lex_state = 56, .external_lex_state = 54},
  [6022] = {.lex_state = 58, .external_lex_state = 55},
  [6023] = {.lex_state = 63, .external_lex_state = 39},
  [6024] = {.lex_state = 63, .external_lex_state = 31},
  [6025] = {.lex_state = 52, .external_lex_state = 43},
  [6026] = {.lex_state = 63, .external_lex_state = 31},
  [6027] = {.lex_state = 56, .external_lex_state = 55},
  [6028] = {.lex_state = 63, .external_lex_state = 39},
  [6029] = {.lex_state = 56, .external_lex_state = 55},
  [6030] = {.lex_state = 58, .external_lex_state = 54},
  [6031] = {.lex_state = 52, .external_lex_state = 53},
  [6032] = {.lex_state = 61, .external_lex_state = 51},
  [6033] = {.lex_state = 57, .external_lex_state = 43},
  [6034] = {.lex_state = 63, .external_lex_state = 30},
  [6035] = {.lex_state = 63, .external_lex_state = 34},
  [6036] = {.lex_state = 52, .external_lex_state = 53},
  [6037] = {.lex_state = 58, .external_lex_state = 51},
  [6038] = {.lex_state = 55, .external_lex_state = 38},
  [6039] = {.lex_state = 63, .external_lex_state = 33},
  [6040] = {.lex_state = 52, .external_lex_state = 43},
  [6041] = {.lex_state = 56, .external_lex_state = 55},
  [6042] = {.lex_state = 56, .external_lex_state = 55},
  [6043] = {.lex_state = 63, .external_lex_state = 31},
  [6044] = {.lex_state = 63, .external_lex_state = 31},
  [6045] = {.lex_state = 63, .external_lex_state = 31},
  [6046] = {.lex_state = 58, .external_lex_state = 44},
  [6047] = {.lex_state = 56, .external_lex_state = 29},
  [6048] = {.lex_state = 56, .external_lex_state = 53},
  [6049] = {.lex_state = 58, .external_lex_state = 35},
  [6050] = {.lex_state = 56, .external_lex_state = 53},
  [6051] = {.lex_state = 52, .external_lex_state = 27},
  [6052] = {.lex_state = 63, .external_lex_state = 23},
  [6053] = {.lex_state = 52, .external_lex_state = 27},
  [6054] = {.lex_state = 56, .external_lex_state = 53},
  [6055] = {.lex_state = 56, .external_lex_state = 51},
  [6056] = {.lex_state = 57, .external_lex_state = 43},
  [6057] = {.lex_state = 57, .external_lex_state = 43},
  [6058] = {.lex_state = 63, .external_lex_state = 27},
  [6059] = {.lex_state = 63, .external_lex_state = 41},
  [6060] = {.lex_state = 57, .external_lex_state = 43},
  [6061] = {.lex_state = 63, .external_lex_state = 41},
  [6062] = {.lex_state = 61, .external_lex_state = 29},
  [6063] = {.lex_state = 56, .external_lex_state = 54},
  [6064] = {.lex_state = 52, .external_lex_state = 29},
  [6065] = {.lex_state = 57, .external_lex_state = 43},
  [6066] = {.lex_state = 56, .external_lex_state = 53},
  [6067] = {.lex_state = 63, .external_lex_state = 41},
  [6068] = {.lex_state = 55, .external_lex_state = 38},
  [6069] = {.lex_state = 57, .external_lex_state = 43},
  [6070] = {.lex_state = 59, .external_lex_state = 38},
  [6071] = {.lex_state = 61, .external_lex_state = 29},
  [6072] = {.lex_state = 57, .external_lex_state = 43},
  [6073] = {.lex_state = 63, .external_lex_state = 50},
  [6074] = {.lex_state = 57, .external_lex_state = 43},
  [6075] = {.lex_state = 52, .external_lex_state = 29},
  [6076] = {.lex_state = 56, .external_lex_state = 27},
  [6077] = {.lex_state = 56, .external_lex_state = 53},
  [6078] = {.lex_state = 55, .external_lex_state = 38},
  [6079] = {.lex_state = 52, .external_lex_state = 23},
  [6080] = {.lex_state = 58, .external_lex_state = 44},
  [6081] = {.lex_state = 56, .external_lex_state = 52},
  [6082] = {.lex_state = 56, .external_lex_state = 27},
  [6083] = {.lex_state = 63, .external_lex_state = 33},
  [6084] = {.lex_state = 56, .external_lex_state = 27},
  [6085] = {.lex_state = 61, .external_lex_state = 35},
  [6086] = {.lex_state = 56, .external_lex_state = 27},
  [6087] = {.lex_state = 55, .external_lex_state = 38},
  [6088] = {.lex_state = 58, .external_lex_state = 44},
  [6089] = {.lex_state = 63},
  [6090] = {.lex_state = 7, .external_lex_state = 51},
  [6091] = {.lex_state = 57, .external_lex_state = 43},
  [6092] = {.lex_state = 58, .external_lex_state = 44},
  [6093] = {.lex_state = 58, .external_lex_state = 44},
  [6094] = {.lex_state = 55, .external_lex_state = 38},
  [6095] = {.lex_state = 56, .external_lex_state = 46},
  [6096] = {.lex_state = 61, .external_lex_state = 39},
  [6097] = {.lex_state = 56, .external_lex_state = 55},
  [6098] = {.lex_state = 3},
  [6099] = {.lex_state = 56, .external_lex_state = 51},
  [6100] = {.lex_state = 63, .external_lex_state = 30},
  [6101] = {.lex_state = 52, .external_lex_state = 23},
  [6102] = {.lex_state = 56, .external_lex_state = 46},
  [6103] = {.lex_state = 58, .external_lex_state = 53},
  [6104] = {.lex_state = 56, .external_lex_state = 52},
  [6105] = {.lex_state = 57, .external_lex_state = 43},
  [6106] = {.lex_state = 55, .external_lex_state = 52},
  [6107] = {.lex_state = 3},
  [6108] = {.lex_state = 63, .external_lex_state = 54},
  [6109] = {.lex_state = 58, .external_lex_state = 27},
  [6110] = {.lex_state = 58, .external_lex_state = 45},
  [6111] = {.lex_state = 57, .external_lex_state = 45},
  [6112] = {.lex_state = 63, .external_lex_state = 54},
  [6113] = {.lex_state = 63, .external_lex_state = 23},
  [6114] = {.lex_state = 3},
  [6115] = {.lex_state = 57, .external_lex_state = 44},
  [6116] = {.lex_state = 55, .external_lex_state = 52},
  [6117] = {.lex_state = 63, .external_lex_state = 33},
  [6118] = {.lex_state = 55, .external_lex_state = 52},
  [6119] = {.lex_state = 55, .external_lex_state = 38},
  [6120] = {.lex_state = 56, .external_lex_state = 44},
  [6121] = {.lex_state = 55, .external_lex_state = 52},
  [6122] = {.lex_state = 52, .external_lex_state = 41},
  [6123] = {.lex_state = 58, .external_lex_state = 54},
  [6124] = {.lex_state = 61, .external_lex_state = 39},
  [6125] = {.lex_state = 56, .external_lex_state = 29},
  [6126] = {.lex_state = 57, .external_lex_state = 38},
  [6127] = {.lex_state = 58, .external_lex_state = 29},
  [6128] = {.lex_state = 58, .external_lex_state = 55},
  [6129] = {.lex_state = 57, .external_lex_state = 45},
  [6130] = {.lex_state = 52, .external_lex_state = 57},
  [6131] = {.lex_state = 52, .external_lex_state = 54},
  [6132] = {.lex_state = 52, .external_lex_state = 54},
  [6133] = {.lex_state = 61, .external_lex_state = 54},
  [6134] = {.lex_state = 63, .external_lex_state = 33},
  [6135] = {.lex_state = 52, .external_lex_state = 41},
  [6136] = {.lex_state = 57, .external_lex_state = 44},
  [6137] = {.lex_state = 57, .external_lex_state = 44},
  [6138] = {.lex_state = 55, .external_lex_state = 38},
  [6139] = {.lex_state = 52, .external_lex_state = 41},
  [6140] = {.lex_state = 52, .external_lex_state = 41},
  [6141] = {.lex_state = 57, .external_lex_state = 45},
  [6142] = {.lex_state = 58, .external_lex_state = 43},
  [6143] = {.lex_state = 57, .external_lex_state = 44},
  [6144] = {.lex_state = 63, .external_lex_state = 41},
  [6145] = {.lex_state = 52, .external_lex_state = 23},
  [6146] = {.lex_state = 57, .external_lex_state = 46},
  [6147] = {.lex_state = 57, .external_lex_state = 45},
  [6148] = {.lex_state = 52, .external_lex_state = 57},
  [6149] = {.lex_state = 52, .external_lex_state = 56},
  [6150] = {.lex_state = 63, .external_lex_state = 33},
  [6151] = {.lex_state = 56, .external_lex_state = 44},
  [6152] = {.lex_state = 52, .external_lex_state = 39},
  [6153] = {.lex_state = 58, .external_lex_state = 43},
  [6154] = {.lex_state = 58, .external_lex_state = 43},
  [6155] = {.lex_state = 56, .external_lex_state = 51},
  [6156] = {.lex_state = 57, .external_lex_state = 45},
  [6157] = {.lex_state = 58, .external_lex_state = 43},
  [6158] = {.lex_state = 61, .external_lex_state = 41},
  [6159] = {.lex_state = 61, .external_lex_state = 43},
  [6160] = {.lex_state = 58, .external_lex_state = 43},
  [6161] = {.lex_state = 58, .external_lex_state = 43},
  [6162] = {.lex_state = 63, .external_lex_state = 31},
  [6163] = {.lex_state = 61, .external_lex_state = 54},
  [6164] = {.lex_state = 57, .external_lex_state = 46},
  [6165] = {.lex_state = 58, .external_lex_state = 43},
  [6166] = {.lex_state = 63, .external_lex_state = 23},
  [6167] = {.lex_state = 57, .external_lex_state = 45},
  [6168] = {.lex_state = 52, .external_lex_state = 56},
  [6169] = {.lex_state = 52, .external_lex_state = 42},
  [6170] = {.lex_state = 58, .external_lex_state = 44},
  [6171] = {.lex_state = 58, .external_lex_state = 44},
  [6172] = {.lex_state = 58, .external_lex_state = 44},
  [6173] = {.lex_state = 63, .external_lex_state = 33},
  [6174] = {.lex_state = 58, .external_lex_state = 44},
  [6175] = {.lex_state = 58, .external_lex_state = 44},
  [6176] = {.lex_state = 58, .external_lex_state = 43},
  [6177] = {.lex_state = 58, .external_lex_state = 44},
  [6178] = {.lex_state = 58, .external_lex_state = 44},
  [6179] = {.lex_state = 52, .external_lex_state = 32},
  [6180] = {.lex_state = 57, .external_lex_state = 45},
  [6181] = {.lex_state = 61, .external_lex_state = 41},
  [6182] = {.lex_state = 52, .external_lex_state = 39},
  [6183] = {.lex_state = 58, .external_lex_state = 43},
  [6184] = {.lex_state = 56, .external_lex_state = 27},
  [6185] = {.lex_state = 52, .external_lex_state = 39},
  [6186] = {.lex_state = 63, .external_lex_state = 39},
  [6187] = {.lex_state = 57, .external_lex_state = 45},
  [6188] = {.lex_state = 56, .external_lex_state = 53},
  [6189] = {.lex_state = 56, .external_lex_state = 53},
  [6190] = {.lex_state = 56, .external_lex_state = 53},
  [6191] = {.lex_state = 58, .external_lex_state = 44},
  [6192] = {.lex_state = 56, .external_lex_state = 53},
  [6193] = {.lex_state = 61, .external_lex_state = 35},
  [6194] = {.lex_state = 7, .external_lex_state = 51},
  [6195] = {.lex_state = 55, .external_lex_state = 52},
  [6196] = {.lex_state = 52, .external_lex_state = 39},
  [6197] = {.lex_state = 56, .external_lex_state = 53},
  [6198] = {.lex_state = 56, .external_lex_state = 53},
  [6199] = {.lex_state = 56, .external_lex_state = 53},
  [6200] = {.lex_state = 61, .external_lex_state = 34},
  [6201] = {.lex_state = 61, .external_lex_state = 43},
  [6202] = {.lex_state = 57, .external_lex_state = 45},
  [6203] = {.lex_state = 52, .external_lex_state = 35},
  [6204] = {.lex_state = 61, .external_lex_state = 43},
  [6205] = {.lex_state = 61, .external_lex_state = 44},
  [6206] = {.lex_state = 61, .external_lex_state = 43},
  [6207] = {.lex_state = 61, .external_lex_state = 44},
  [6208] = {.lex_state = 63, .external_lex_state = 23},
  [6209] = {.lex_state = 52, .external_lex_state = 32},
  [6210] = {.lex_state = 17, .external_lex_state = 51},
  [6211] = {.lex_state = 64, .external_lex_state = 52},
  [6212] = {.lex_state = 61, .external_lex_state = 44},
  [6213] = {.lex_state = 52, .external_lex_state = 58},
  [6214] = {.lex_state = 56, .external_lex_state = 54},
  [6215] = {.lex_state = 56, .external_lex_state = 54},
  [6216] = {.lex_state = 56, .external_lex_state = 51},
  [6217] = {.lex_state = 56, .external_lex_state = 54},
  [6218] = {.lex_state = 56, .external_lex_state = 54},
  [6219] = {.lex_state = 52, .external_lex_state = 58},
  [6220] = {.lex_state = 58, .external_lex_state = 52},
  [6221] = {.lex_state = 63, .external_lex_state = 31},
  [6222] = {.lex_state = 58, .external_lex_state = 46},
  [6223] = {.lex_state = 56, .external_lex_state = 55},
  [6224] = {.lex_state = 59, .external_lex_state = 52},
  [6225] = {.lex_state = 56, .external_lex_state = 55},
  [6226] = {.lex_state = 56, .external_lex_state = 55},
  [6227] = {.lex_state = 63, .external_lex_state = 39},
  [6228] = {.lex_state = 58, .external_lex_state = 52},
  [6229] = {.lex_state = 56, .external_lex_state = 53},
  [6230] = {.lex_state = 56, .external_lex_state = 55},
  [6231] = {.lex_state = 59, .external_lex_state = 52},
  [6232] = {.lex_state = 52, .external_lex_state = 38},
  [6233] = {.lex_state = 56, .external_lex_state = 55},
  [6234] = {.lex_state = 57, .external_lex_state = 43},
  [6235] = {.lex_state = 56, .external_lex_state = 55},
  [6236] = {.lex_state = 57, .external_lex_state = 43},
  [6237] = {.lex_state = 56, .external_lex_state = 55},
  [6238] = {.lex_state = 57, .external_lex_state = 43},
  [6239] = {.lex_state = 57, .external_lex_state = 43},
  [6240] = {.lex_state = 58, .external_lex_state = 46},
  [6241] = {.lex_state = 58, .external_lex_state = 46},
  [6242] = {.lex_state = 58, .external_lex_state = 46},
  [6243] = {.lex_state = 63, .external_lex_state = 31},
  [6244] = {.lex_state = 57, .external_lex_state = 46},
  [6245] = {.lex_state = 52, .external_lex_state = 35},
  [6246] = {.lex_state = 63, .external_lex_state = 31},
  [6247] = {.lex_state = 63, .external_lex_state = 31},
  [6248] = {.lex_state = 58, .external_lex_state = 43},
  [6249] = {.lex_state = 58, .external_lex_state = 43},
  [6250] = {.lex_state = 63, .external_lex_state = 31},
  [6251] = {.lex_state = 63, .external_lex_state = 31},
  [6252] = {.lex_state = 58, .external_lex_state = 43},
  [6253] = {.lex_state = 58, .external_lex_state = 34},
  [6254] = {.lex_state = 59, .external_lex_state = 38},
  [6255] = {.lex_state = 57, .external_lex_state = 44},
  [6256] = {.lex_state = 58, .external_lex_state = 43},
  [6257] = {.lex_state = 58, .external_lex_state = 45},
  [6258] = {.lex_state = 58, .external_lex_state = 45},
  [6259] = {.lex_state = 55, .external_lex_state = 38},
  [6260] = {.lex_state = 56, .external_lex_state = 43},
  [6261] = {.lex_state = 55, .external_lex_state = 38},
  [6262] = {.lex_state = 58, .external_lex_state = 45},
  [6263] = {.lex_state = 63, .external_lex_state = 27},
  [6264] = {.lex_state = 63, .external_lex_state = 23},
  [6265] = {.lex_state = 58, .external_lex_state = 27},
  [6266] = {.lex_state = 56, .external_lex_state = 55},
  [6267] = {.lex_state = 58, .external_lex_state = 45},
  [6268] = {.lex_state = 58, .external_lex_state = 27},
  [6269] = {.lex_state = 63, .external_lex_state = 31},
  [6270] = {.lex_state = 58, .external_lex_state = 45},
  [6271] = {.lex_state = 56, .external_lex_state = 53},
  [6272] = {.lex_state = 63, .external_lex_state = 35},
  [6273] = {.lex_state = 57, .external_lex_state = 44},
  [6274] = {.lex_state = 58, .external_lex_state = 45},
  [6275] = {.lex_state = 58, .external_lex_state = 45},
  [6276] = {.lex_state = 63, .external_lex_state = 31},
  [6277] = {.lex_state = 58, .external_lex_state = 55},
  [6278] = {.lex_state = 64, .external_lex_state = 38},
  [6279] = {.lex_state = 58, .external_lex_state = 55},
  [6280] = {.lex_state = 62, .external_lex_state = 38},
  [6281] = {.lex_state = 63, .external_lex_state = 31},
  [6282] = {.lex_state = 63, .external_lex_state = 31},
  [6283] = {.lex_state = 63, .external_lex_state = 31},
  [6284] = {.lex_state = 58, .external_lex_state = 53},
  [6285] = {.lex_state = 57, .external_lex_state = 44},
  [6286] = {.lex_state = 62, .external_lex_state = 52},
  [6287] = {.lex_state = 58, .external_lex_state = 53},
  [6288] = {.lex_state = 56, .external_lex_state = 29},
  [6289] = {.lex_state = 58, .external_lex_state = 46},
  [6290] = {.lex_state = 63, .external_lex_state = 31},
  [6291] = {.lex_state = 57, .external_lex_state = 44},
  [6292] = {.lex_state = 62, .external_lex_state = 52},
  [6293] = {.lex_state = 56, .external_lex_state = 51},
  [6294] = {.lex_state = 56, .external_lex_state = 29},
  [6295] = {.lex_state = 62, .external_lex_state = 38},
  [6296] = {.lex_state = 63, .external_lex_state = 31},
  [6297] = {.lex_state = 57, .external_lex_state = 43},
  [6298] = {.lex_state = 63, .external_lex_state = 31},
  [6299] = {.lex_state = 59, .external_lex_state = 38},
  [6300] = {.lex_state = 57, .external_lex_state = 44},
  [6301] = {.lex_state = 56, .external_lex_state = 51},
  [6302] = {.lex_state = 61, .external_lex_state = 45},
  [6303] = {.lex_state = 61, .external_lex_state = 45},
  [6304] = {.lex_state = 58, .external_lex_state = 45},
  [6305] = {.lex_state = 61, .external_lex_state = 45},
  [6306] = {.lex_state = 57, .external_lex_state = 43},
  [6307] = {.lex_state = 52, .external_lex_state = 44},
  [6308] = {.lex_state = 58, .external_lex_state = 38},
  [6309] = {.lex_state = 58, .external_lex_state = 27},
  [6310] = {.lex_state = 57, .external_lex_state = 45},
  [6311] = {.lex_state = 57, .external_lex_state = 44},
  [6312] = {.lex_state = 63, .external_lex_state = 31},
  [6313] = {.lex_state = 63, .external_lex_state = 31},
  [6314] = {.lex_state = 52, .external_lex_state = 52},
  [6315] = {.lex_state = 56, .external_lex_state = 51},
  [6316] = {.lex_state = 58, .external_lex_state = 54},
  [6317] = {.lex_state = 58, .external_lex_state = 54},
  [6318] = {.lex_state = 52, .external_lex_state = 52},
  [6319] = {.lex_state = 63, .external_lex_state = 54},
  [6320] = {.lex_state = 56, .external_lex_state = 51},
  [6321] = {.lex_state = 54},
  [6322] = {.lex_state = 61, .external_lex_state = 44},
  [6323] = {.lex_state = 52, .external_lex_state = 23},
  [6324] = {.lex_state = 61, .external_lex_state = 53},
  [6325] = {.lex_state = 56, .external_lex_state = 52},
  [6326] = {.lex_state = 63, .external_lex_state = 26},
  [6327] = {.lex_state = 55, .external_lex_state = 51},
  [6328] = {.lex_state = 61, .external_lex_state = 34},
  [6329] = {.lex_state = 63, .external_lex_state = 23},
  [6330] = {.lex_state = 57, .external_lex_state = 46},
  [6331] = {.lex_state = 57, .external_lex_state = 44},
  [6332] = {.lex_state = 63, .external_lex_state = 33},
  [6333] = {.lex_state = 52, .external_lex_state = 44},
  [6334] = {.lex_state = 17, .external_lex_state = 51},
  [6335] = {.lex_state = 63, .external_lex_state = 41},
  [6336] = {.lex_state = 64, .external_lex_state = 38},
  [6337] = {.lex_state = 57, .external_lex_state = 46},
  [6338] = {.lex_state = 63, .external_lex_state = 23},
  [6339] = {.lex_state = 64, .external_lex_state = 52},
  [6340] = {.lex_state = 56, .external_lex_state = 38},
  [6341] = {.lex_state = 63, .external_lex_state = 53},
  [6342] = {.lex_state = 57, .external_lex_state = 46},
  [6343] = {.lex_state = 61, .external_lex_state = 28},
  [6344] = {.lex_state = 52, .external_lex_state = 28},
  [6345] = {.lex_state = 63},
  [6346] = {.lex_state = 63},
  [6347] = {.lex_state = 63, .external_lex_state = 31},
  [6348] = {.lex_state = 63, .external_lex_state = 53},
  [6349] = {.lex_state = 63, .external_lex_state = 54},
  [6350] = {.lex_state = 61, .external_lex_state = 38},
  [6351] = {.lex_state = 61, .external_lex_state = 55},
  [6352] = {.lex_state = 52, .external_lex_state = 23},
  [6353] = {.lex_state = 52, .external_lex_state = 51},
  [6354] = {.lex_state = 59, .external_lex_state = 52},
  [6355] = {.lex_state = 61, .external_lex_state = 53},
  [6356] = {.lex_state = 63},
  [6357] = {.lex_state = 52, .external_lex_state = 45},
  [6358] = {.lex_state = 57, .external_lex_state = 45},
  [6359] = {.lex_state = 56, .external_lex_state = 27},
  [6360] = {.lex_state = 61, .external_lex_state = 34},
  [6361] = {.lex_state = 64, .external_lex_state = 38},
  [6362] = {.lex_state = 52, .external_lex_state = 47},
  [6363] = {.lex_state = 56, .external_lex_state = 27},
  [6364] = {.lex_state = 63, .external_lex_state = 31},
  [6365] = {.lex_state = 56, .external_lex_state = 27},
  [6366] = {.lex_state = 58, .external_lex_state = 52},
  [6367] = {.lex_state = 56, .external_lex_state = 27},
  [6368] = {.lex_state = 61, .external_lex_state = 28},
  [6369] = {.lex_state = 56, .external_lex_state = 27},
  [6370] = {.lex_state = 56, .external_lex_state = 27},
  [6371] = {.lex_state = 63, .external_lex_state = 38},
  [6372] = {.lex_state = 56, .external_lex_state = 27},
  [6373] = {.lex_state = 52, .external_lex_state = 40},
  [6374] = {.lex_state = 52, .external_lex_state = 48},
  [6375] = {.lex_state = 55, .external_lex_state = 38},
  [6376] = {.lex_state = 63, .external_lex_state = 41},
  [6377] = {.lex_state = 61, .external_lex_state = 55},
  [6378] = {.lex_state = 63, .external_lex_state = 37},
  [6379] = {.lex_state = 55, .external_lex_state = 52},
  [6380] = {.lex_state = 52, .external_lex_state = 26},
  [6381] = {.lex_state = 55, .external_lex_state = 52},
  [6382] = {.lex_state = 63},
  [6383] = {.lex_state = 55, .external_lex_state = 52},
  [6384] = {.lex_state = 63, .external_lex_state = 55},
  [6385] = {.lex_state = 55, .external_lex_state = 52},
  [6386] = {.lex_state = 56, .external_lex_state = 27},
  [6387] = {.lex_state = 55, .external_lex_state = 52},
  [6388] = {.lex_state = 63, .external_lex_state = 55},
  [6389] = {.lex_state = 52, .external_lex_state = 42},
  [6390] = {.lex_state = 52, .external_lex_state = 45},
  [6391] = {.lex_state = 55, .external_lex_state = 52},
  [6392] = {.lex_state = 52, .external_lex_state = 29},
  [6393] = {.lex_state = 63, .external_lex_state = 31},
  [6394] = {.lex_state = 55, .external_lex_state = 52},
  [6395] = {.lex_state = 63, .external_lex_state = 31},
  [6396] = {.lex_state = 55, .external_lex_state = 38},
  [6397] = {.lex_state = 52, .external_lex_state = 34},
  [6398] = {.lex_state = 55, .external_lex_state = 52},
  [6399] = {.lex_state = 61, .external_lex_state = 45},
  [6400] = {.lex_state = 61, .external_lex_state = 35},
  [6401] = {.lex_state = 63, .external_lex_state = 57},
  [6402] = {.lex_state = 9, .external_lex_state = 51},
  [6403] = {.lex_state = 63, .external_lex_state = 58},
  [6404] = {.lex_state = 63, .external_lex_state = 34},
  [6405] = {.lex_state = 57, .external_lex_state = 46},
  [6406] = {.lex_state = 61, .external_lex_state = 32},
  [6407] = {.lex_state = 52, .external_lex_state = 51},
  [6408] = {.lex_state = 56, .external_lex_state = 28},
  [6409] = {.lex_state = 52, .external_lex_state = 29},
  [6410] = {.lex_state = 57, .external_lex_state = 34},
  [6411] = {.lex_state = 52, .external_lex_state = 51},
  [6412] = {.lex_state = 61, .external_lex_state = 32},
  [6413] = {.lex_state = 63},
  [6414] = {.lex_state = 57, .external_lex_state = 46},
  [6415] = {.lex_state = 63},
  [6416] = {.lex_state = 61, .external_lex_state = 51},
  [6417] = {.lex_state = 61, .external_lex_state = 35},
  [6418] = {.lex_state = 63},
  [6419] = {.lex_state = 57, .external_lex_state = 44},
  [6420] = {.lex_state = 63, .external_lex_state = 31},
  [6421] = {.lex_state = 62, .external_lex_state = 51},
  [6422] = {.lex_state = 56, .external_lex_state = 43},
  [6423] = {.lex_state = 63, .external_lex_state = 26},
  [6424] = {.lex_state = 63, .external_lex_state = 23},
  [6425] = {.lex_state = 56, .external_lex_state = 43},
  [6426] = {.lex_state = 63, .external_lex_state = 30},
  [6427] = {.lex_state = 52, .external_lex_state = 47},
  [6428] = {.lex_state = 61, .external_lex_state = 35},
  [6429] = {.lex_state = 52, .external_lex_state = 48},
  [6430] = {.lex_state = 63, .external_lex_state = 30},
  [6431] = {.lex_state = 63},
  [6432] = {.lex_state = 63, .external_lex_state = 35},
  [6433] = {.lex_state = 63, .external_lex_state = 37},
  [6434] = {.lex_state = 52, .external_lex_state = 26},
  [6435] = {.lex_state = 63, .external_lex_state = 38},
  [6436] = {.lex_state = 55, .external_lex_state = 51},
  [6437] = {.lex_state = 57},
  [6438] = {.lex_state = 63, .external_lex_state = 30},
  [6439] = {.lex_state = 63, .external_lex_state = 30},
  [6440] = {.lex_state = 56, .external_lex_state = 28},
  [6441] = {.lex_state = 57, .external_lex_state = 44},
  [6442] = {.lex_state = 58, .external_lex_state = 39},
  [6443] = {.lex_state = 61, .external_lex_state = 46},
  [6444] = {.lex_state = 57, .external_lex_state = 44},
  [6445] = {.lex_state = 58, .external_lex_state = 39},
  [6446] = {.lex_state = 61, .external_lex_state = 46},
  [6447] = {.lex_state = 57, .external_lex_state = 44},
  [6448] = {.lex_state = 56, .external_lex_state = 51},
  [6449] = {.lex_state = 63, .external_lex_state = 23},
  [6450] = {.lex_state = 52, .external_lex_state = 34},
  [6451] = {.lex_state = 63, .external_lex_state = 36},
  [6452] = {.lex_state = 61, .external_lex_state = 46},
  [6453] = {.lex_state = 63, .external_lex_state = 36},
  [6454] = {.lex_state = 61, .external_lex_state = 27},
  [6455] = {.lex_state = 56, .external_lex_state = 28},
  [6456] = {.lex_state = 63, .external_lex_state = 31},
  [6457] = {.lex_state = 63, .external_lex_state = 31},
  [6458] = {.lex_state = 63, .external_lex_state = 30},
  [6459] = {.lex_state = 63, .external_lex_state = 31},
  [6460] = {.lex_state = 63, .external_lex_state = 30},
  [6461] = {.lex_state = 63, .external_lex_state = 30},
  [6462] = {.lex_state = 63, .external_lex_state = 30},
  [6463] = {.lex_state = 57, .external_lex_state = 35},
  [6464] = {.lex_state = 63, .external_lex_state = 30},
  [6465] = {.lex_state = 63, .external_lex_state = 30},
  [6466] = {.lex_state = 63, .external_lex_state = 30},
  [6467] = {.lex_state = 63, .external_lex_state = 30},
  [6468] = {.lex_state = 63, .external_lex_state = 30},
  [6469] = {.lex_state = 63, .external_lex_state = 30},
  [6470] = {.lex_state = 61, .external_lex_state = 34},
  [6471] = {.lex_state = 63, .external_lex_state = 30},
  [6472] = {.lex_state = 63, .external_lex_state = 33},
  [6473] = {.lex_state = 56, .external_lex_state = 45},
  [6474] = {.lex_state = 63, .external_lex_state = 31},
  [6475] = {.lex_state = 57, .external_lex_state = 46},
  [6476] = {.lex_state = 64, .external_lex_state = 52},
  [6477] = {.lex_state = 63, .external_lex_state = 31},
  [6478] = {.lex_state = 63, .external_lex_state = 30},
  [6479] = {.lex_state = 63, .external_lex_state = 30},
  [6480] = {.lex_state = 63, .external_lex_state = 30},
  [6481] = {.lex_state = 63, .external_lex_state = 33},
  [6482] = {.lex_state = 63, .external_lex_state = 30},
  [6483] = {.lex_state = 56, .external_lex_state = 51},
  [6484] = {.lex_state = 57, .external_lex_state = 45},
  [6485] = {.lex_state = 52, .external_lex_state = 42},
  [6486] = {.lex_state = 63, .external_lex_state = 30},
  [6487] = {.lex_state = 59, .external_lex_state = 38},
  [6488] = {.lex_state = 61, .external_lex_state = 27},
  [6489] = {.lex_state = 63, .external_lex_state = 47},
  [6490] = {.lex_state = 58, .external_lex_state = 46},
  [6491] = {.lex_state = 57, .external_lex_state = 46},
  [6492] = {.lex_state = 52, .external_lex_state = 28},
  [6493] = {.lex_state = 63, .external_lex_state = 36},
  [6494] = {.lex_state = 57, .external_lex_state = 45},
  [6495] = {.lex_state = 58, .external_lex_state = 46},
  [6496] = {.lex_state = 63, .external_lex_state = 36},
  [6497] = {.lex_state = 58, .external_lex_state = 41},
  [6498] = {.lex_state = 57, .external_lex_state = 45},
  [6499] = {.lex_state = 7, .external_lex_state = 51},
  [6500] = {.lex_state = 63, .external_lex_state = 47},
  [6501] = {.lex_state = 58, .external_lex_state = 46},
  [6502] = {.lex_state = 57, .external_lex_state = 44},
  [6503] = {.lex_state = 58, .external_lex_state = 41},
  [6504] = {.lex_state = 52, .external_lex_state = 28},
  [6505] = {.lex_state = 57, .external_lex_state = 45},
  [6506] = {.lex_state = 63, .external_lex_state = 38},
  [6507] = {.lex_state = 58, .external_lex_state = 46},
  [6508] = {.lex_state = 17, .external_lex_state = 51},
  [6509] = {.lex_state = 56, .external_lex_state = 45},
  [6510] = {.lex_state = 58, .external_lex_state = 46},
  [6511] = {.lex_state = 56, .external_lex_state = 46},
  [6512] = {.lex_state = 63, .external_lex_state = 36},
  [6513] = {.lex_state = 56, .external_lex_state = 54},
  [6514] = {.lex_state = 58, .external_lex_state = 46},
  [6515] = {.lex_state = 63, .external_lex_state = 36},
  [6516] = {.lex_state = 52, .external_lex_state = 24},
  [6517] = {.lex_state = 52, .external_lex_state = 38},
  [6518] = {.lex_state = 63, .external_lex_state = 30},
  [6519] = {.lex_state = 58, .external_lex_state = 46},
  [6520] = {.lex_state = 57, .external_lex_state = 46},
  [6521] = {.lex_state = 63, .external_lex_state = 24},
  [6522] = {.lex_state = 63, .external_lex_state = 31},
  [6523] = {.lex_state = 61, .external_lex_state = 38},
  [6524] = {.lex_state = 57, .external_lex_state = 46},
  [6525] = {.lex_state = 55, .external_lex_state = 51},
  [6526] = {.lex_state = 63, .external_lex_state = 36},
  [6527] = {.lex_state = 63, .external_lex_state = 30},
  [6528] = {.lex_state = 63, .external_lex_state = 31},
  [6529] = {.lex_state = 63, .external_lex_state = 30},
  [6530] = {.lex_state = 63, .external_lex_state = 30},
  [6531] = {.lex_state = 63, .external_lex_state = 53},
  [6532] = {.lex_state = 63, .external_lex_state = 24},
  [6533] = {.lex_state = 57, .external_lex_state = 46},
  [6534] = {.lex_state = 56, .external_lex_state = 27},
  [6535] = {.lex_state = 63, .external_lex_state = 30},
  [6536] = {.lex_state = 59, .external_lex_state = 52},
  [6537] = {.lex_state = 63, .external_lex_state = 30},
  [6538] = {.lex_state = 63, .external_lex_state = 30},
  [6539] = {.lex_state = 62, .external_lex_state = 38},
  [6540] = {.lex_state = 63, .external_lex_state = 30},
  [6541] = {.lex_state = 63, .external_lex_state = 36},
  [6542] = {.lex_state = 63, .external_lex_state = 35},
  [6543] = {.lex_state = 58, .external_lex_state = 46},
  [6544] = {.lex_state = 63, .external_lex_state = 30},
  [6545] = {.lex_state = 52, .external_lex_state = 23},
  [6546] = {.lex_state = 63, .external_lex_state = 30},
  [6547] = {.lex_state = 63, .external_lex_state = 30},
  [6548] = {.lex_state = 63, .external_lex_state = 30},
  [6549] = {.lex_state = 58, .external_lex_state = 52},
  [6550] = {.lex_state = 63, .external_lex_state = 36},
  [6551] = {.lex_state = 63, .external_lex_state = 57},
  [6552] = {.lex_state = 55, .external_lex_state = 38},
  [6553] = {.lex_state = 63, .external_lex_state = 30},
  [6554] = {.lex_state = 56, .external_lex_state = 35},
  [6555] = {.lex_state = 61, .external_lex_state = 31},
  [6556] = {.lex_state = 63, .external_lex_state = 30},
  [6557] = {.lex_state = 63, .external_lex_state = 30},
  [6558] = {.lex_state = 63, .external_lex_state = 38},
  [6559] = {.lex_state = 63, .external_lex_state = 31},
  [6560] = {.lex_state = 56, .external_lex_state = 28},
  [6561] = {.lex_state = 52, .external_lex_state = 46},
  [6562] = {.lex_state = 57, .external_lex_state = 35},
  [6563] = {.lex_state = 63, .external_lex_state = 36},
  [6564] = {.lex_state = 63, .external_lex_state = 36},
  [6565] = {.lex_state = 63, .external_lex_state = 31},
  [6566] = {.lex_state = 63, .external_lex_state = 38},
  [6567] = {.lex_state = 55, .external_lex_state = 38},
  [6568] = {.lex_state = 63, .external_lex_state = 30},
  [6569] = {.lex_state = 63, .external_lex_state = 31},
  [6570] = {.lex_state = 63, .external_lex_state = 31},
  [6571] = {.lex_state = 55, .external_lex_state = 38},
  [6572] = {.lex_state = 57, .external_lex_state = 46},
  [6573] = {.lex_state = 63, .external_lex_state = 30},
  [6574] = {.lex_state = 56, .external_lex_state = 52},
  [6575] = {.lex_state = 63, .external_lex_state = 31},
  [6576] = {.lex_state = 63, .external_lex_state = 32},
  [6577] = {.lex_state = 55, .external_lex_state = 38},
  [6578] = {.lex_state = 63, .external_lex_state = 30},
  [6579] = {.lex_state = 63, .external_lex_state = 30},
  [6580] = {.lex_state = 55, .external_lex_state = 38},
  [6581] = {.lex_state = 63, .external_lex_state = 31},
  [6582] = {.lex_state = 63, .external_lex_state = 53},
  [6583] = {.lex_state = 63, .external_lex_state = 30},
  [6584] = {.lex_state = 63, .external_lex_state = 55},
  [6585] = {.lex_state = 63, .external_lex_state = 30},
  [6586] = {.lex_state = 57, .external_lex_state = 45},
  [6587] = {.lex_state = 63, .external_lex_state = 31},
  [6588] = {.lex_state = 62, .external_lex_state = 51},
  [6589] = {.lex_state = 63, .external_lex_state = 30},
  [6590] = {.lex_state = 63, .external_lex_state = 30},
  [6591] = {.lex_state = 52, .external_lex_state = 26},
  [6592] = {.lex_state = 63, .external_lex_state = 30},
  [6593] = {.lex_state = 63, .external_lex_state = 27},
  [6594] = {.lex_state = 63, .external_lex_state = 31},
  [6595] = {.lex_state = 63, .external_lex_state = 27},
  [6596] = {.lex_state = 52, .external_lex_state = 46},
  [6597] = {.lex_state = 63, .external_lex_state = 37},
  [6598] = {.lex_state = 63, .external_lex_state = 31},
  [6599] = {.lex_state = 57, .external_lex_state = 46},
  [6600] = {.lex_state = 63, .external_lex_state = 30},
  [6601] = {.lex_state = 61, .external_lex_state = 30},
  [6602] = {.lex_state = 62, .external_lex_state = 38},
  [6603] = {.lex_state = 52, .external_lex_state = 51},
  [6604] = {.lex_state = 55, .external_lex_state = 51},
  [6605] = {.lex_state = 63, .external_lex_state = 30},
  [6606] = {.lex_state = 61, .external_lex_state = 52},
  [6607] = {.lex_state = 62, .external_lex_state = 38},
  [6608] = {.lex_state = 61, .external_lex_state = 52},
  [6609] = {.lex_state = 63, .external_lex_state = 55},
  [6610] = {.lex_state = 63, .external_lex_state = 30},
  [6611] = {.lex_state = 57, .external_lex_state = 34},
  [6612] = {.lex_state = 56, .external_lex_state = 44},
  [6613] = {.lex_state = 63, .external_lex_state = 33},
  [6614] = {.lex_state = 52, .external_lex_state = 28},
  [6615] = {.lex_state = 63, .external_lex_state = 31},
  [6616] = {.lex_state = 63, .external_lex_state = 36},
  [6617] = {.lex_state = 63, .external_lex_state = 48},
  [6618] = {.lex_state = 57, .external_lex_state = 44},
  [6619] = {.lex_state = 63, .external_lex_state = 30},
  [6620] = {.lex_state = 56, .external_lex_state = 34},
  [6621] = {.lex_state = 63, .external_lex_state = 30},
  [6622] = {.lex_state = 63, .external_lex_state = 31},
  [6623] = {.lex_state = 63, .external_lex_state = 34},
  [6624] = {.lex_state = 59, .external_lex_state = 38},
  [6625] = {.lex_state = 63, .external_lex_state = 36},
  [6626] = {.lex_state = 63, .external_lex_state = 36},
  [6627] = {.lex_state = 63, .external_lex_state = 36},
  [6628] = {.lex_state = 63, .external_lex_state = 33},
  [6629] = {.lex_state = 61, .external_lex_state = 34},
  [6630] = {.lex_state = 56, .external_lex_state = 51},
  [6631] = {.lex_state = 57, .external_lex_state = 46},
  [6632] = {.lex_state = 63, .external_lex_state = 31},
  [6633] = {.lex_state = 55, .external_lex_state = 38},
  [6634] = {.lex_state = 63, .external_lex_state = 31},
  [6635] = {.lex_state = 63, .external_lex_state = 58},
  [6636] = {.lex_state = 63, .external_lex_state = 31},
  [6637] = {.lex_state = 56, .external_lex_state = 45},
  [6638] = {.lex_state = 63},
  [6639] = {.lex_state = 61, .external_lex_state = 46},
  [6640] = {.lex_state = 57, .external_lex_state = 46},
  [6641] = {.lex_state = 63, .external_lex_state = 49},
  [6642] = {.lex_state = 63, .external_lex_state = 38},
  [6643] = {.lex_state = 56, .external_lex_state = 51},
  [6644] = {.lex_state = 7, .external_lex_state = 51},
  [6645] = {.lex_state = 63, .external_lex_state = 32},
  [6646] = {.lex_state = 63, .external_lex_state = 33},
  [6647] = {.lex_state = 63, .external_lex_state = 31},
  [6648] = {.lex_state = 63, .external_lex_state = 33},
  [6649] = {.lex_state = 63, .external_lex_state = 33},
  [6650] = {.lex_state = 63, .external_lex_state = 31},
  [6651] = {.lex_state = 63, .external_lex_state = 33},
  [6652] = {.lex_state = 63, .external_lex_state = 38},
  [6653] = {.lex_state = 52, .external_lex_state = 40},
  [6654] = {.lex_state = 56, .external_lex_state = 51},
  [6655] = {.lex_state = 63, .external_lex_state = 31},
  [6656] = {.lex_state = 63, .external_lex_state = 36},
  [6657] = {.lex_state = 63, .external_lex_state = 48},
  [6658] = {.lex_state = 63, .external_lex_state = 36},
  [6659] = {.lex_state = 63, .external_lex_state = 33},
  [6660] = {.lex_state = 63, .external_lex_state = 37},
  [6661] = {.lex_state = 63, .external_lex_state = 37},
  [6662] = {.lex_state = 58, .external_lex_state = 55},
  [6663] = {.lex_state = 56, .external_lex_state = 29},
  [6664] = {.lex_state = 56, .external_lex_state = 29},
  [6665] = {.lex_state = 56, .external_lex_state = 29},
  [6666] = {.lex_state = 56, .external_lex_state = 29},
  [6667] = {.lex_state = 61, .external_lex_state = 52},
  [6668] = {.lex_state = 56, .external_lex_state = 29},
  [6669] = {.lex_state = 56, .external_lex_state = 29},
  [6670] = {.lex_state = 57, .external_lex_state = 27},
  [6671] = {.lex_state = 56, .external_lex_state = 29},
  [6672] = {.lex_state = 63, .external_lex_state = 36},
  [6673] = {.lex_state = 63, .external_lex_state = 33},
  [6674] = {.lex_state = 61, .external_lex_state = 45},
  [6675] = {.lex_state = 63, .external_lex_state = 37},
  [6676] = {.lex_state = 61, .external_lex_state = 26},
  [6677] = {.lex_state = 63, .external_lex_state = 26},
  [6678] = {.lex_state = 55, .external_lex_state = 38},
  [6679] = {.lex_state = 57, .external_lex_state = 27},
  [6680] = {.lex_state = 63, .external_lex_state = 37},
  [6681] = {.lex_state = 52, .external_lex_state = 34},
  [6682] = {.lex_state = 63, .external_lex_state = 33},
  [6683] = {.lex_state = 63, .external_lex_state = 33},
  [6684] = {.lex_state = 63, .external_lex_state = 36},
  [6685] = {.lex_state = 61, .external_lex_state = 33},
  [6686] = {.lex_state = 61, .external_lex_state = 54},
  [6687] = {.lex_state = 58, .external_lex_state = 53},
  [6688] = {.lex_state = 56, .external_lex_state = 29},
  [6689] = {.lex_state = 63, .external_lex_state = 45},
  [6690] = {.lex_state = 58, .external_lex_state = 29},
  [6691] = {.lex_state = 63, .external_lex_state = 36},
  [6692] = {.lex_state = 58, .external_lex_state = 28},
  [6693] = {.lex_state = 58, .external_lex_state = 53},
  [6694] = {.lex_state = 58, .external_lex_state = 53},
  [6695] = {.lex_state = 58, .external_lex_state = 53},
  [6696] = {.lex_state = 57, .external_lex_state = 54},
  [6697] = {.lex_state = 58, .external_lex_state = 53},
  [6698] = {.lex_state = 57, .external_lex_state = 54},
  [6699] = {.lex_state = 58, .external_lex_state = 53},
  [6700] = {.lex_state = 52, .external_lex_state = 49},
  [6701] = {.lex_state = 57, .external_lex_state = 54},
  [6702] = {.lex_state = 52, .external_lex_state = 42},
  [6703] = {.lex_state = 58, .external_lex_state = 53},
  [6704] = {.lex_state = 63, .external_lex_state = 37},
  [6705] = {.lex_state = 63, .external_lex_state = 51},
  [6706] = {.lex_state = 58, .external_lex_state = 53},
  [6707] = {.lex_state = 63, .external_lex_state = 37},
  [6708] = {.lex_state = 56, .external_lex_state = 29},
  [6709] = {.lex_state = 63, .external_lex_state = 37},
  [6710] = {.lex_state = 63, .external_lex_state = 37},
  [6711] = {.lex_state = 62, .external_lex_state = 38},
  [6712] = {.lex_state = 58, .external_lex_state = 54},
  [6713] = {.lex_state = 52, .external_lex_state = 48},
  [6714] = {.lex_state = 63, .external_lex_state = 37},
  [6715] = {.lex_state = 63, .external_lex_state = 37},
  [6716] = {.lex_state = 61, .external_lex_state = 46},
  [6717] = {.lex_state = 63, .external_lex_state = 37},
  [6718] = {.lex_state = 63, .external_lex_state = 44},
  [6719] = {.lex_state = 63, .external_lex_state = 37},
  [6720] = {.lex_state = 57, .external_lex_state = 54},
  [6721] = {.lex_state = 55, .external_lex_state = 38},
  [6722] = {.lex_state = 58, .external_lex_state = 28},
  [6723] = {.lex_state = 61, .external_lex_state = 43},
  [6724] = {.lex_state = 56, .external_lex_state = 34},
  [6725] = {.lex_state = 52, .external_lex_state = 23},
  [6726] = {.lex_state = 61, .external_lex_state = 54},
  [6727] = {.lex_state = 63, .external_lex_state = 37},
  [6728] = {.lex_state = 61, .external_lex_state = 54},
  [6729] = {.lex_state = 61, .external_lex_state = 54},
  [6730] = {.lex_state = 58, .external_lex_state = 53},
  [6731] = {.lex_state = 58, .external_lex_state = 27},
  [6732] = {.lex_state = 63, .external_lex_state = 33},
  [6733] = {.lex_state = 63, .external_lex_state = 33},
  [6734] = {.lex_state = 58, .external_lex_state = 54},
  [6735] = {.lex_state = 63, .external_lex_state = 33},
  [6736] = {.lex_state = 58, .external_lex_state = 54},
  [6737] = {.lex_state = 52, .external_lex_state = 39},
  [6738] = {.lex_state = 58, .external_lex_state = 55},
  [6739] = {.lex_state = 55, .external_lex_state = 51},
  [6740] = {.lex_state = 52, .external_lex_state = 49},
  [6741] = {.lex_state = 52, .external_lex_state = 44},
  [6742] = {.lex_state = 18},
  [6743] = {.lex_state = 58, .external_lex_state = 55},
  [6744] = {.lex_state = 52, .external_lex_state = 44},
  [6745] = {.lex_state = 58, .external_lex_state = 54},
  [6746] = {.lex_state = 63, .external_lex_state = 37},
  [6747] = {.lex_state = 61, .external_lex_state = 28},
  [6748] = {.lex_state = 58, .external_lex_state = 55},
  [6749] = {.lex_state = 58, .external_lex_state = 55},
  [6750] = {.lex_state = 52, .external_lex_state = 44},
  [6751] = {.lex_state = 52, .external_lex_state = 30},
  [6752] = {.lex_state = 58, .external_lex_state = 54},
  [6753] = {.lex_state = 55, .external_lex_state = 38},
  [6754] = {.lex_state = 58, .external_lex_state = 55},
  [6755] = {.lex_state = 63, .external_lex_state = 37},
  [6756] = {.lex_state = 58, .external_lex_state = 54},
  [6757] = {.lex_state = 58, .external_lex_state = 55},
  [6758] = {.lex_state = 58, .external_lex_state = 55},
  [6759] = {.lex_state = 61, .external_lex_state = 26},
  [6760] = {.lex_state = 57, .external_lex_state = 55},
  [6761] = {.lex_state = 61, .external_lex_state = 26},
  [6762] = {.lex_state = 56, .external_lex_state = 34},
  [6763] = {.lex_state = 61, .external_lex_state = 26},
  [6764] = {.lex_state = 63, .external_lex_state = 51},
  [6765] = {.lex_state = 58, .external_lex_state = 54},
  [6766] = {.lex_state = 52, .external_lex_state = 50},
  [6767] = {.lex_state = 58, .external_lex_state = 54},
  [6768] = {.lex_state = 61, .external_lex_state = 43},
  [6769] = {.lex_state = 63},
  [6770] = {.lex_state = 63, .external_lex_state = 43},
  [6771] = {.lex_state = 62, .external_lex_state = 38},
  [6772] = {.lex_state = 63, .external_lex_state = 36},
  [6773] = {.lex_state = 63, .external_lex_state = 37},
  [6774] = {.lex_state = 58, .external_lex_state = 38},
  [6775] = {.lex_state = 64, .external_lex_state = 38},
  [6776] = {.lex_state = 58, .external_lex_state = 27},
  [6777] = {.lex_state = 58, .external_lex_state = 27},
  [6778] = {.lex_state = 63, .external_lex_state = 37},
  [6779] = {.lex_state = 58, .external_lex_state = 27},
  [6780] = {.lex_state = 56, .external_lex_state = 55},
  [6781] = {.lex_state = 63, .external_lex_state = 28},
  [6782] = {.lex_state = 61, .external_lex_state = 53},
  [6783] = {.lex_state = 63, .external_lex_state = 33},
  [6784] = {.lex_state = 61, .external_lex_state = 53},
  [6785] = {.lex_state = 52, .external_lex_state = 39},
  [6786] = {.lex_state = 58, .external_lex_state = 55},
  [6787] = {.lex_state = 55, .external_lex_state = 38},
  [6788] = {.lex_state = 61, .external_lex_state = 53},
  [6789] = {.lex_state = 58, .external_lex_state = 27},
  [6790] = {.lex_state = 63, .external_lex_state = 36},
  [6791] = {.lex_state = 52, .external_lex_state = 54},
  [6792] = {.lex_state = 56, .external_lex_state = 35},
  [6793] = {.lex_state = 52, .external_lex_state = 38},
  [6794] = {.lex_state = 56, .external_lex_state = 34},
  [6795] = {.lex_state = 63, .external_lex_state = 37},
  [6796] = {.lex_state = 63, .external_lex_state = 36},
  [6797] = {.lex_state = 63, .external_lex_state = 33},
  [6798] = {.lex_state = 63, .external_lex_state = 33},
  [6799] = {.lex_state = 52, .external_lex_state = 52},
  [6800] = {.lex_state = 63, .external_lex_state = 46},
  [6801] = {.lex_state = 63, .external_lex_state = 43},
  [6802] = {.lex_state = 57, .external_lex_state = 55},
  [6803] = {.lex_state = 52, .external_lex_state = 35},
  [6804] = {.lex_state = 58, .external_lex_state = 54},
  [6805] = {.lex_state = 63, .external_lex_state = 33},
  [6806] = {.lex_state = 63, .external_lex_state = 43},
  [6807] = {.lex_state = 63, .external_lex_state = 43},
  [6808] = {.lex_state = 59, .external_lex_state = 38},
  [6809] = {.lex_state = 63, .external_lex_state = 33},
  [6810] = {.lex_state = 52, .external_lex_state = 41},
  [6811] = {.lex_state = 52, .external_lex_state = 29},
  [6812] = {.lex_state = 57, .external_lex_state = 27},
  [6813] = {.lex_state = 52, .external_lex_state = 48},
  [6814] = {.lex_state = 58, .external_lex_state = 29},
  [6815] = {.lex_state = 63, .external_lex_state = 33},
  [6816] = {.lex_state = 52, .external_lex_state = 29},
  [6817] = {.lex_state = 61, .external_lex_state = 55},
  [6818] = {.lex_state = 63, .external_lex_state = 33},
  [6819] = {.lex_state = 52, .external_lex_state = 50},
  [6820] = {.lex_state = 61, .external_lex_state = 55},
  [6821] = {.lex_state = 63, .external_lex_state = 29},
  [6822] = {.lex_state = 63, .external_lex_state = 37},
  [6823] = {.lex_state = 63, .external_lex_state = 37},
  [6824] = {.lex_state = 63, .external_lex_state = 37},
  [6825] = {.lex_state = 61, .external_lex_state = 55},
  [6826] = {.lex_state = 63, .external_lex_state = 29},
  [6827] = {.lex_state = 63, .external_lex_state = 46},
  [6828] = {.lex_state = 55, .external_lex_state = 51},
  [6829] = {.lex_state = 63, .external_lex_state = 36},
  [6830] = {.lex_state = 63, .external_lex_state = 43},
  [6831] = {.lex_state = 52, .external_lex_state = 45},
  [6832] = {.lex_state = 57, .external_lex_state = 55},
  [6833] = {.lex_state = 52, .external_lex_state = 45},
  [6834] = {.lex_state = 61, .external_lex_state = 37},
  [6835] = {.lex_state = 17, .external_lex_state = 51},
  [6836] = {.lex_state = 63, .external_lex_state = 46},
  [6837] = {.lex_state = 52, .external_lex_state = 45},
  [6838] = {.lex_state = 52, .external_lex_state = 44},
  [6839] = {.lex_state = 63, .external_lex_state = 36},
  [6840] = {.lex_state = 63, .external_lex_state = 46},
  [6841] = {.lex_state = 52, .external_lex_state = 54},
  [6842] = {.lex_state = 59, .external_lex_state = 38},
  [6843] = {.lex_state = 63, .external_lex_state = 33},
  [6844] = {.lex_state = 63, .external_lex_state = 36},
  [6845] = {.lex_state = 51},
  [6846] = {.lex_state = 57, .external_lex_state = 27},
  [6847] = {.lex_state = 63, .external_lex_state = 33},
  [6848] = {.lex_state = 63, .external_lex_state = 33},
  [6849] = {.lex_state = 63, .external_lex_state = 33},
  [6850] = {.lex_state = 63, .external_lex_state = 33},
  [6851] = {.lex_state = 61, .external_lex_state = 26},
  [6852] = {.lex_state = 52, .external_lex_state = 41},
  [6853] = {.lex_state = 59, .external_lex_state = 38},
  [6854] = {.lex_state = 63, .external_lex_state = 37},
  [6855] = {.lex_state = 55, .external_lex_state = 51},
  [6856] = {.lex_state = 63, .external_lex_state = 33},
  [6857] = {.lex_state = 63, .external_lex_state = 33},
  [6858] = {.lex_state = 63, .external_lex_state = 37},
  [6859] = {.lex_state = 63, .external_lex_state = 36},
  [6860] = {.lex_state = 58, .external_lex_state = 28},
  [6861] = {.lex_state = 63, .external_lex_state = 36},
  [6862] = {.lex_state = 61, .external_lex_state = 26},
  [6863] = {.lex_state = 59, .external_lex_state = 38},
  [6864] = {.lex_state = 57, .external_lex_state = 55},
  [6865] = {.lex_state = 63, .external_lex_state = 44},
  [6866] = {.lex_state = 63, .external_lex_state = 33},
  [6867] = {.lex_state = 55, .external_lex_state = 51},
  [6868] = {.lex_state = 52, .external_lex_state = 43},
  [6869] = {.lex_state = 59, .external_lex_state = 38},
  [6870] = {.lex_state = 63, .external_lex_state = 33},
  [6871] = {.lex_state = 63, .external_lex_state = 36},
  [6872] = {.lex_state = 63, .external_lex_state = 36},
  [6873] = {.lex_state = 63, .external_lex_state = 43},
  [6874] = {.lex_state = 63, .external_lex_state = 33},
  [6875] = {.lex_state = 55, .external_lex_state = 51},
  [6876] = {.lex_state = 58, .external_lex_state = 28},
  [6877] = {.lex_state = 63, .external_lex_state = 33},
  [6878] = {.lex_state = 63, .external_lex_state = 36},
  [6879] = {.lex_state = 52, .external_lex_state = 43},
  [6880] = {.lex_state = 58, .external_lex_state = 55},
  [6881] = {.lex_state = 52, .external_lex_state = 43},
  [6882] = {.lex_state = 63, .external_lex_state = 36},
  [6883] = {.lex_state = 55, .external_lex_state = 38},
  [6884] = {.lex_state = 64, .external_lex_state = 38},
  [6885] = {.lex_state = 55, .external_lex_state = 51},
  [6886] = {.lex_state = 58, .external_lex_state = 55},
  [6887] = {.lex_state = 52, .external_lex_state = 43},
  [6888] = {.lex_state = 58, .external_lex_state = 55},
  [6889] = {.lex_state = 59, .external_lex_state = 38},
  [6890] = {.lex_state = 59, .external_lex_state = 52},
  [6891] = {.lex_state = 63, .external_lex_state = 33},
  [6892] = {.lex_state = 63, .external_lex_state = 31},
  [6893] = {.lex_state = 52, .external_lex_state = 34},
  [6894] = {.lex_state = 58, .external_lex_state = 55},
  [6895] = {.lex_state = 61, .external_lex_state = 39},
  [6896] = {.lex_state = 61, .external_lex_state = 53},
  [6897] = {.lex_state = 7, .external_lex_state = 51},
  [6898] = {.lex_state = 61, .external_lex_state = 29},
  [6899] = {.lex_state = 57, .external_lex_state = 53},
  [6900] = {.lex_state = 61, .external_lex_state = 39},
  [6901] = {.lex_state = 58, .external_lex_state = 52},
  [6902] = {.lex_state = 63, .external_lex_state = 36},
  [6903] = {.lex_state = 59, .external_lex_state = 38},
  [6904] = {.lex_state = 59, .external_lex_state = 52},
  [6905] = {.lex_state = 52, .external_lex_state = 50},
  [6906] = {.lex_state = 59, .external_lex_state = 52},
  [6907] = {.lex_state = 63, .external_lex_state = 33},
  [6908] = {.lex_state = 52, .external_lex_state = 35},
  [6909] = {.lex_state = 59, .external_lex_state = 52},
  [6910] = {.lex_state = 61, .external_lex_state = 51},
  [6911] = {.lex_state = 58, .external_lex_state = 53},
  [6912] = {.lex_state = 61, .external_lex_state = 51},
  [6913] = {.lex_state = 58, .external_lex_state = 53},
  [6914] = {.lex_state = 63, .external_lex_state = 36},
  [6915] = {.lex_state = 63, .external_lex_state = 37},
  [6916] = {.lex_state = 63, .external_lex_state = 36},
  [6917] = {.lex_state = 61, .external_lex_state = 51},
  [6918] = {.lex_state = 58, .external_lex_state = 53},
  [6919] = {.lex_state = 55, .external_lex_state = 51},
  [6920] = {.lex_state = 55, .external_lex_state = 51},
  [6921] = {.lex_state = 57, .external_lex_state = 53},
  [6922] = {.lex_state = 58, .external_lex_state = 53},
  [6923] = {.lex_state = 55, .external_lex_state = 51},
  [6924] = {.lex_state = 63, .external_lex_state = 33},
  [6925] = {.lex_state = 56, .external_lex_state = 29},
  [6926] = {.lex_state = 63, .external_lex_state = 36},
  [6927] = {.lex_state = 56, .external_lex_state = 29},
  [6928] = {.lex_state = 56, .external_lex_state = 29},
  [6929] = {.lex_state = 56, .external_lex_state = 29},
  [6930] = {.lex_state = 63, .external_lex_state = 38},
  [6931] = {.lex_state = 63, .external_lex_state = 33},
  [6932] = {.lex_state = 63, .external_lex_state = 36},
  [6933] = {.lex_state = 59, .external_lex_state = 38},
  [6934] = {.lex_state = 63, .external_lex_state = 40},
  [6935] = {.lex_state = 63, .external_lex_state = 33},
  [6936] = {.lex_state = 56, .external_lex_state = 28},
  [6937] = {.lex_state = 52, .external_lex_state = 38},
  [6938] = {.lex_state = 58, .external_lex_state = 52},
  [6939] = {.lex_state = 58, .external_lex_state = 27},
  [6940] = {.lex_state = 63, .external_lex_state = 36},
  [6941] = {.lex_state = 63, .external_lex_state = 37},
  [6942] = {.lex_state = 58, .external_lex_state = 52},
  [6943] = {.lex_state = 17, .external_lex_state = 51},
  [6944] = {.lex_state = 63, .external_lex_state = 36},
  [6945] = {.lex_state = 58, .external_lex_state = 27},
  [6946] = {.lex_state = 58, .external_lex_state = 52},
  [6947] = {.lex_state = 58, .external_lex_state = 27},
  [6948] = {.lex_state = 55, .external_lex_state = 51},
  [6949] = {.lex_state = 61, .external_lex_state = 38},
  [6950] = {.lex_state = 58, .external_lex_state = 54},
  [6951] = {.lex_state = 58, .external_lex_state = 54},
  [6952] = {.lex_state = 58, .external_lex_state = 54},
  [6953] = {.lex_state = 58, .external_lex_state = 27},
  [6954] = {.lex_state = 56, .external_lex_state = 35},
  [6955] = {.lex_state = 58, .external_lex_state = 54},
  [6956] = {.lex_state = 58, .external_lex_state = 27},
  [6957] = {.lex_state = 56, .external_lex_state = 35},
  [6958] = {.lex_state = 57, .external_lex_state = 38},
  [6959] = {.lex_state = 52, .external_lex_state = 38},
  [6960] = {.lex_state = 63, .external_lex_state = 36},
  [6961] = {.lex_state = 52, .external_lex_state = 53},
  [6962] = {.lex_state = 58, .external_lex_state = 27},
  [6963] = {.lex_state = 61, .external_lex_state = 45},
  [6964] = {.lex_state = 63, .external_lex_state = 36},
  [6965] = {.lex_state = 7, .external_lex_state = 51},
  [6966] = {.lex_state = 58, .external_lex_state = 27},
  [6967] = {.lex_state = 58, .external_lex_state = 46},
  [6968] = {.lex_state = 63, .external_lex_state = 36},
  [6969] = {.lex_state = 52, .external_lex_state = 48},
  [6970] = {.lex_state = 63, .external_lex_state = 37},
  [6971] = {.lex_state = 56, .external_lex_state = 28},
  [6972] = {.lex_state = 63, .external_lex_state = 33},
  [6973] = {.lex_state = 63, .external_lex_state = 36},
  [6974] = {.lex_state = 61, .external_lex_state = 36},
  [6975] = {.lex_state = 57, .external_lex_state = 54},
  [6976] = {.lex_state = 63, .external_lex_state = 36},
  [6977] = {.lex_state = 58, .external_lex_state = 45},
  [6978] = {.lex_state = 61, .external_lex_state = 55},
  [6979] = {.lex_state = 61, .external_lex_state = 29},
  [6980] = {.lex_state = 52, .external_lex_state = 52},
  [6981] = {.lex_state = 7, .external_lex_state = 51},
  [6982] = {.lex_state = 63, .external_lex_state = 36},
  [6983] = {.lex_state = 57, .external_lex_state = 53},
  [6984] = {.lex_state = 18},
  [6985] = {.lex_state = 61, .external_lex_state = 27},
  [6986] = {.lex_state = 63, .external_lex_state = 44},
  [6987] = {.lex_state = 57, .external_lex_state = 54},
  [6988] = {.lex_state = 61, .external_lex_state = 27},
  [6989] = {.lex_state = 7, .external_lex_state = 51},
  [6990] = {.lex_state = 63, .external_lex_state = 36},
  [6991] = {.lex_state = 55, .external_lex_state = 51},
  [6992] = {.lex_state = 57, .external_lex_state = 54},
  [6993] = {.lex_state = 63, .external_lex_state = 36},
  [6994] = {.lex_state = 58, .external_lex_state = 27},
  [6995] = {.lex_state = 61, .external_lex_state = 27},
  [6996] = {.lex_state = 59, .external_lex_state = 38},
  [6997] = {.lex_state = 52, .external_lex_state = 45},
  [6998] = {.lex_state = 52, .external_lex_state = 38},
  [6999] = {.lex_state = 52, .external_lex_state = 55},
  [7000] = {.lex_state = 58, .external_lex_state = 45},
  [7001] = {.lex_state = 57, .external_lex_state = 53},
  [7002] = {.lex_state = 61, .external_lex_state = 44},
  [7003] = {.lex_state = 57, .external_lex_state = 53},
  [7004] = {.lex_state = 52, .external_lex_state = 38},
  [7005] = {.lex_state = 63, .external_lex_state = 33},
  [7006] = {.lex_state = 57, .external_lex_state = 53},
  [7007] = {.lex_state = 59, .external_lex_state = 38},
  [7008] = {.lex_state = 7, .external_lex_state = 51},
  [7009] = {.lex_state = 63, .external_lex_state = 56},
  [7010] = {.lex_state = 56, .external_lex_state = 54},
  [7011] = {.lex_state = 63, .external_lex_state = 36},
  [7012] = {.lex_state = 52, .external_lex_state = 53},
  [7013] = {.lex_state = 62, .external_lex_state = 38},
  [7014] = {.lex_state = 63, .external_lex_state = 52},
  [7015] = {.lex_state = 56, .external_lex_state = 28},
  [7016] = {.lex_state = 63, .external_lex_state = 36},
  [7017] = {.lex_state = 58, .external_lex_state = 46},
  [7018] = {.lex_state = 59, .external_lex_state = 38},
  [7019] = {.lex_state = 63, .external_lex_state = 33},
  [7020] = {.lex_state = 58, .external_lex_state = 29},
  [7021] = {.lex_state = 56, .external_lex_state = 54},
  [7022] = {.lex_state = 57, .external_lex_state = 54},
  [7023] = {.lex_state = 58, .external_lex_state = 29},
  [7024] = {.lex_state = 59, .external_lex_state = 38},
  [7025] = {.lex_state = 57, .external_lex_state = 54},
  [7026] = {.lex_state = 51},
  [7027] = {.lex_state = 57, .external_lex_state = 54},
  [7028] = {.lex_state = 63, .external_lex_state = 46},
  [7029] = {.lex_state = 61, .external_lex_state = 41},
  [7030] = {.lex_state = 51},
  [7031] = {.lex_state = 57, .external_lex_state = 54},
  [7032] = {.lex_state = 51},
  [7033] = {.lex_state = 57, .external_lex_state = 54},
  [7034] = {.lex_state = 57, .external_lex_state = 54},
  [7035] = {.lex_state = 57, .external_lex_state = 54},
  [7036] = {.lex_state = 61, .external_lex_state = 41},
  [7037] = {.lex_state = 61, .external_lex_state = 52},
  [7038] = {.lex_state = 51},
  [7039] = {.lex_state = 51},
  [7040] = {.lex_state = 52, .external_lex_state = 55},
  [7041] = {.lex_state = 4},
  [7042] = {.lex_state = 51},
  [7043] = {.lex_state = 56, .external_lex_state = 29},
  [7044] = {.lex_state = 55, .external_lex_state = 38},
  [7045] = {.lex_state = 64, .external_lex_state = 38},
  [7046] = {.lex_state = 52, .external_lex_state = 32},
  [7047] = {.lex_state = 62, .external_lex_state = 38},
  [7048] = {.lex_state = 57, .external_lex_state = 54},
  [7049] = {.lex_state = 59, .external_lex_state = 52},
  [7050] = {.lex_state = 56, .external_lex_state = 52},
  [7051] = {.lex_state = 51},
  [7052] = {.lex_state = 52, .external_lex_state = 35},
  [7053] = {.lex_state = 63, .external_lex_state = 52},
  [7054] = {.lex_state = 59, .external_lex_state = 38},
  [7055] = {.lex_state = 63, .external_lex_state = 31},
  [7056] = {.lex_state = 52, .external_lex_state = 32},
  [7057] = {.lex_state = 55, .external_lex_state = 38},
  [7058] = {.lex_state = 18},
  [7059] = {.lex_state = 64, .external_lex_state = 38},
  [7060] = {.lex_state = 63, .external_lex_state = 23},
  [7061] = {.lex_state = 61, .external_lex_state = 34},
  [7062] = {.lex_state = 56, .external_lex_state = 28},
  [7063] = {.lex_state = 61, .external_lex_state = 35},
  [7064] = {.lex_state = 55, .external_lex_state = 51},
  [7065] = {.lex_state = 56, .external_lex_state = 55},
  [7066] = {.lex_state = 56, .external_lex_state = 28},
  [7067] = {.lex_state = 63, .external_lex_state = 39},
  [7068] = {.lex_state = 63, .external_lex_state = 40},
  [7069] = {.lex_state = 51},
  [7070] = {.lex_state = 58, .external_lex_state = 52},
  [7071] = {.lex_state = 61, .external_lex_state = 35},
  [7072] = {.lex_state = 52, .external_lex_state = 38},
  [7073] = {.lex_state = 63, .external_lex_state = 33},
  [7074] = {.lex_state = 52, .external_lex_state = 24},
  [7075] = {.lex_state = 61, .external_lex_state = 34},
  [7076] = {.lex_state = 56, .external_lex_state = 55},
  [7077] = {.lex_state = 63, .external_lex_state = 39},
  [7078] = {.lex_state = 57, .external_lex_state = 55},
  [7079] = {.lex_state = 56, .external_lex_state = 28},
  [7080] = {.lex_state = 63, .external_lex_state = 38},
  [7081] = {.lex_state = 63, .external_lex_state = 23},
  [7082] = {.lex_state = 52, .external_lex_state = 35},
  [7083] = {.lex_state = 56, .external_lex_state = 28},
  [7084] = {.lex_state = 18},
  [7085] = {.lex_state = 7, .external_lex_state = 51},
  [7086] = {.lex_state = 63, .external_lex_state = 37},
  [7087] = {.lex_state = 56, .external_lex_state = 28},
  [7088] = {.lex_state = 52, .external_lex_state = 35},
  [7089] = {.lex_state = 63, .external_lex_state = 52},
  [7090] = {.lex_state = 57, .external_lex_state = 55},
  [7091] = {.lex_state = 61, .external_lex_state = 26},
  [7092] = {.lex_state = 52, .external_lex_state = 46},
  [7093] = {.lex_state = 57, .external_lex_state = 55},
  [7094] = {.lex_state = 61, .external_lex_state = 26},
  [7095] = {.lex_state = 59, .external_lex_state = 38},
  [7096] = {.lex_state = 52, .external_lex_state = 46},
  [7097] = {.lex_state = 63, .external_lex_state = 37},
  [7098] = {.lex_state = 57, .external_lex_state = 55},
  [7099] = {.lex_state = 63, .external_lex_state = 37},
  [7100] = {.lex_state = 63, .external_lex_state = 33},
  [7101] = {.lex_state = 62, .external_lex_state = 51},
  [7102] = {.lex_state = 61, .external_lex_state = 26},
  [7103] = {.lex_state = 52, .external_lex_state = 46},
  [7104] = {.lex_state = 61, .external_lex_state = 46},
  [7105] = {.lex_state = 61, .external_lex_state = 27},
  [7106] = {.lex_state = 63, .external_lex_state = 23},
  [7107] = {.lex_state = 57, .external_lex_state = 53},
  [7108] = {.lex_state = 63, .external_lex_state = 23},
  [7109] = {.lex_state = 63, .external_lex_state = 52},
  [7110] = {.lex_state = 61, .external_lex_state = 26},
  [7111] = {.lex_state = 52, .external_lex_state = 27},
  [7112] = {.lex_state = 56, .external_lex_state = 34},
  [7113] = {.lex_state = 57, .external_lex_state = 27},
  [7114] = {.lex_state = 61, .external_lex_state = 26},
  [7115] = {.lex_state = 55, .external_lex_state = 38},
  [7116] = {.lex_state = 63, .external_lex_state = 37},
  [7117] = {.lex_state = 63, .external_lex_state = 36},
  [7118] = {.lex_state = 56, .external_lex_state = 53},
  [7119] = {.lex_state = 56, .external_lex_state = 51},
  [7120] = {.lex_state = 57, .external_lex_state = 27},
  [7121] = {.lex_state = 63, .external_lex_state = 36},
  [7122] = {.lex_state = 61, .external_lex_state = 38},
  [7123] = {.lex_state = 63, .external_lex_state = 42},
  [7124] = {.lex_state = 59, .external_lex_state = 38},
  [7125] = {.lex_state = 56, .external_lex_state = 28},
  [7126] = {.lex_state = 52, .external_lex_state = 30},
  [7127] = {.lex_state = 63, .external_lex_state = 33},
  [7128] = {.lex_state = 55, .external_lex_state = 38},
  [7129] = {.lex_state = 63, .external_lex_state = 29},
  [7130] = {.lex_state = 63, .external_lex_state = 37},
  [7131] = {.lex_state = 63, .external_lex_state = 36},
  [7132] = {.lex_state = 56, .external_lex_state = 53},
  [7133] = {.lex_state = 63, .external_lex_state = 24},
  [7134] = {.lex_state = 63, .external_lex_state = 24},
  [7135] = {.lex_state = 63, .external_lex_state = 58},
  [7136] = {.lex_state = 64, .external_lex_state = 52},
  [7137] = {.lex_state = 57, .external_lex_state = 55},
  [7138] = {.lex_state = 63, .external_lex_state = 26},
  [7139] = {.lex_state = 63, .external_lex_state = 38},
  [7140] = {.lex_state = 56, .external_lex_state = 35},
  [7141] = {.lex_state = 64, .external_lex_state = 52},
  [7142] = {.lex_state = 63, .external_lex_state = 33},
  [7143] = {.lex_state = 63, .external_lex_state = 33},
  [7144] = {.lex_state = 63, .external_lex_state = 37},
  [7145] = {.lex_state = 56, .external_lex_state = 53},
  [7146] = {.lex_state = 63, .external_lex_state = 36},
  [7147] = {.lex_state = 63, .external_lex_state = 23},
  [7148] = {.lex_state = 52, .external_lex_state = 56},
  [7149] = {.lex_state = 63, .external_lex_state = 40},
  [7150] = {.lex_state = 52, .external_lex_state = 42},
  [7151] = {.lex_state = 52, .external_lex_state = 31},
  [7152] = {.lex_state = 62, .external_lex_state = 51},
  [7153] = {.lex_state = 52, .external_lex_state = 27},
  [7154] = {.lex_state = 4},
  [7155] = {.lex_state = 51},
  [7156] = {.lex_state = 51},
  [7157] = {.lex_state = 63, .external_lex_state = 36},
  [7158] = {.lex_state = 63, .external_lex_state = 51},
  [7159] = {.lex_state = 63, .external_lex_state = 37},
  [7160] = {.lex_state = 63, .external_lex_state = 36},
  [7161] = {.lex_state = 56, .external_lex_state = 28},
  [7162] = {.lex_state = 51},
  [7163] = {.lex_state = 62, .external_lex_state = 51},
  [7164] = {.lex_state = 63, .external_lex_state = 29},
  [7165] = {.lex_state = 18},
  [7166] = {.lex_state = 51},
  [7167] = {.lex_state = 63, .external_lex_state = 36},
  [7168] = {.lex_state = 63, .external_lex_state = 36},
  [7169] = {.lex_state = 63, .external_lex_state = 46},
  [7170] = {.lex_state = 56, .external_lex_state = 52},
  [7171] = {.lex_state = 18},
  [7172] = {.lex_state = 10, .external_lex_state = 51},
  [7173] = {.lex_state = 51},
  [7174] = {.lex_state = 63, .external_lex_state = 26},
  [7175] = {.lex_state = 56, .external_lex_state = 52},
  [7176] = {.lex_state = 52, .external_lex_state = 30},
  [7177] = {.lex_state = 63, .external_lex_state = 36},
  [7178] = {.lex_state = 63, .external_lex_state = 33},
  [7179] = {.lex_state = 63, .external_lex_state = 24},
  [7180] = {.lex_state = 63, .external_lex_state = 36},
  [7181] = {.lex_state = 52, .external_lex_state = 26},
  [7182] = {.lex_state = 63, .external_lex_state = 33},
  [7183] = {.lex_state = 57, .external_lex_state = 53},
  [7184] = {.lex_state = 63, .external_lex_state = 33},
  [7185] = {.lex_state = 56, .external_lex_state = 52},
  [7186] = {.lex_state = 57, .external_lex_state = 54},
  [7187] = {.lex_state = 55, .external_lex_state = 52},
  [7188] = {.lex_state = 52, .external_lex_state = 56},
  [7189] = {.lex_state = 63, .external_lex_state = 40},
  [7190] = {.lex_state = 63, .external_lex_state = 36},
  [7191] = {.lex_state = 51},
  [7192] = {.lex_state = 52, .external_lex_state = 31},
  [7193] = {.lex_state = 52, .external_lex_state = 52},
  [7194] = {.lex_state = 63, .external_lex_state = 24},
  [7195] = {.lex_state = 52, .external_lex_state = 47},
  [7196] = {.lex_state = 52, .external_lex_state = 46},
  [7197] = {.lex_state = 9, .external_lex_state = 51},
  [7198] = {.lex_state = 51},
  [7199] = {.lex_state = 51},
  [7200] = {.lex_state = 58, .external_lex_state = 44},
  [7201] = {.lex_state = 56, .external_lex_state = 52},
  [7202] = {.lex_state = 63, .external_lex_state = 41},
  [7203] = {.lex_state = 61, .external_lex_state = 38},
  [7204] = {.lex_state = 56, .external_lex_state = 38},
  [7205] = {.lex_state = 18},
  [7206] = {.lex_state = 63, .external_lex_state = 41},
  [7207] = {.lex_state = 63, .external_lex_state = 57},
  [7208] = {.lex_state = 52, .external_lex_state = 38},
  [7209] = {.lex_state = 56, .external_lex_state = 28},
  [7210] = {.lex_state = 52},
  [7211] = {.lex_state = 18},
  [7212] = {.lex_state = 7, .external_lex_state = 51},
  [7213] = {.lex_state = 63, .external_lex_state = 36},
  [7214] = {.lex_state = 59, .external_lex_state = 38},
  [7215] = {.lex_state = 58, .external_lex_state = 44},
  [7216] = {.lex_state = 56, .external_lex_state = 52},
  [7217] = {.lex_state = 55, .external_lex_state = 38},
  [7218] = {.lex_state = 56, .external_lex_state = 52},
  [7219] = {.lex_state = 56, .external_lex_state = 28},
  [7220] = {.lex_state = 57, .external_lex_state = 53},
  [7221] = {.lex_state = 52, .external_lex_state = 51},
  [7222] = {.lex_state = 63, .external_lex_state = 28},
  [7223] = {.lex_state = 63, .external_lex_state = 37},
  [7224] = {.lex_state = 59, .external_lex_state = 52},
  [7225] = {.lex_state = 56, .external_lex_state = 28},
  [7226] = {.lex_state = 57, .external_lex_state = 27},
  [7227] = {.lex_state = 7, .external_lex_state = 51},
  [7228] = {.lex_state = 59, .external_lex_state = 52},
  [7229] = {.lex_state = 59, .external_lex_state = 52},
  [7230] = {.lex_state = 56, .external_lex_state = 27},
  [7231] = {.lex_state = 59, .external_lex_state = 52},
  [7232] = {.lex_state = 57, .external_lex_state = 27},
  [7233] = {.lex_state = 59, .external_lex_state = 52},
  [7234] = {.lex_state = 59, .external_lex_state = 52},
  [7235] = {.lex_state = 63, .external_lex_state = 37},
  [7236] = {.lex_state = 61, .external_lex_state = 38},
  [7237] = {.lex_state = 56, .external_lex_state = 52},
  [7238] = {.lex_state = 63, .external_lex_state = 33},
  [7239] = {.lex_state = 58, .external_lex_state = 52},
  [7240] = {.lex_state = 63, .external_lex_state = 23},
  [7241] = {.lex_state = 59, .external_lex_state = 52},
  [7242] = {.lex_state = 7, .external_lex_state = 51},
  [7243] = {.lex_state = 57, .external_lex_state = 55},
  [7244] = {.lex_state = 59, .external_lex_state = 38},
  [7245] = {.lex_state = 56, .external_lex_state = 52},
  [7246] = {.lex_state = 57, .external_lex_state = 27},
  [7247] = {.lex_state = 58, .external_lex_state = 52},
  [7248] = {.lex_state = 7, .external_lex_state = 51},
  [7249] = {.lex_state = 58, .external_lex_state = 43},
  [7250] = {.lex_state = 51},
  [7251] = {.lex_state = 57, .external_lex_state = 27},
  [7252] = {.lex_state = 51},
  [7253] = {.lex_state = 58, .external_lex_state = 52},
  [7254] = {.lex_state = 63, .external_lex_state = 37},
  [7255] = {.lex_state = 58, .external_lex_state = 43},
  [7256] = {.lex_state = 55, .external_lex_state = 52},
  [7257] = {.lex_state = 57, .external_lex_state = 27},
  [7258] = {.lex_state = 7, .external_lex_state = 51},
  [7259] = {.lex_state = 58, .external_lex_state = 52},
  [7260] = {.lex_state = 59, .external_lex_state = 52},
  [7261] = {.lex_state = 57, .external_lex_state = 55},
  [7262] = {.lex_state = 58, .external_lex_state = 52},
  [7263] = {.lex_state = 52, .external_lex_state = 49},
  [7264] = {.lex_state = 58, .external_lex_state = 52},
  [7265] = {.lex_state = 63, .external_lex_state = 37},
  [7266] = {.lex_state = 52, .external_lex_state = 34},
  [7267] = {.lex_state = 57, .external_lex_state = 27},
  [7268] = {.lex_state = 52, .external_lex_state = 28},
  [7269] = {.lex_state = 58, .external_lex_state = 52},
  [7270] = {.lex_state = 18},
  [7271] = {.lex_state = 56, .external_lex_state = 52},
  [7272] = {.lex_state = 56, .external_lex_state = 52},
  [7273] = {.lex_state = 57, .external_lex_state = 55},
  [7274] = {.lex_state = 56, .external_lex_state = 27},
  [7275] = {.lex_state = 52, .external_lex_state = 38},
  [7276] = {.lex_state = 63, .external_lex_state = 44},
  [7277] = {.lex_state = 56, .external_lex_state = 52},
  [7278] = {.lex_state = 63, .external_lex_state = 30},
  [7279] = {.lex_state = 57, .external_lex_state = 55},
  [7280] = {.lex_state = 63, .external_lex_state = 44},
  [7281] = {.lex_state = 56, .external_lex_state = 52},
  [7282] = {.lex_state = 52, .external_lex_state = 28},
  [7283] = {.lex_state = 63, .external_lex_state = 37},
  [7284] = {.lex_state = 18},
  [7285] = {.lex_state = 61, .external_lex_state = 26},
  [7286] = {.lex_state = 57, .external_lex_state = 27},
  [7287] = {.lex_state = 57, .external_lex_state = 55},
  [7288] = {.lex_state = 58, .external_lex_state = 52},
  [7289] = {.lex_state = 63, .external_lex_state = 33},
  [7290] = {.lex_state = 63, .external_lex_state = 44},
  [7291] = {.lex_state = 57, .external_lex_state = 27},
  [7292] = {.lex_state = 63, .external_lex_state = 28},
  [7293] = {.lex_state = 7, .external_lex_state = 51},
  [7294] = {.lex_state = 63, .external_lex_state = 37},
  [7295] = {.lex_state = 52, .external_lex_state = 37},
  [7296] = {.lex_state = 61, .external_lex_state = 26},
  [7297] = {.lex_state = 61, .external_lex_state = 26},
  [7298] = {.lex_state = 57, .external_lex_state = 55},
  [7299] = {.lex_state = 57, .external_lex_state = 53},
  [7300] = {.lex_state = 63, .external_lex_state = 37},
  [7301] = {.lex_state = 55, .external_lex_state = 38},
  [7302] = {.lex_state = 52, .external_lex_state = 34},
  [7303] = {.lex_state = 63, .external_lex_state = 33},
  [7304] = {.lex_state = 56, .external_lex_state = 27},
  [7305] = {.lex_state = 63, .external_lex_state = 36},
  [7306] = {.lex_state = 57, .external_lex_state = 53},
  [7307] = {.lex_state = 57, .external_lex_state = 27},
  [7308] = {.lex_state = 61, .external_lex_state = 44},
  [7309] = {.lex_state = 56, .external_lex_state = 28},
  [7310] = {.lex_state = 57, .external_lex_state = 53},
  [7311] = {.lex_state = 57, .external_lex_state = 53},
  [7312] = {.lex_state = 55, .external_lex_state = 38},
  [7313] = {.lex_state = 52, .external_lex_state = 34},
  [7314] = {.lex_state = 63, .external_lex_state = 36},
  [7315] = {.lex_state = 57, .external_lex_state = 53},
  [7316] = {.lex_state = 57, .external_lex_state = 55},
  [7317] = {.lex_state = 56, .external_lex_state = 52},
  [7318] = {.lex_state = 63, .external_lex_state = 37},
  [7319] = {.lex_state = 63, .external_lex_state = 45},
  [7320] = {.lex_state = 63, .external_lex_state = 51},
  [7321] = {.lex_state = 63, .external_lex_state = 33},
  [7322] = {.lex_state = 63, .external_lex_state = 37},
  [7323] = {.lex_state = 63, .external_lex_state = 24},
  [7324] = {.lex_state = 57, .external_lex_state = 53},
  [7325] = {.lex_state = 58, .external_lex_state = 35},
  [7326] = {.lex_state = 63, .external_lex_state = 28},
  [7327] = {.lex_state = 57, .external_lex_state = 27},
  [7328] = {.lex_state = 56, .external_lex_state = 54},
  [7329] = {.lex_state = 63, .external_lex_state = 30},
  [7330] = {.lex_state = 62, .external_lex_state = 52},
  [7331] = {.lex_state = 57, .external_lex_state = 53},
  [7332] = {.lex_state = 55, .external_lex_state = 38},
  [7333] = {.lex_state = 63, .external_lex_state = 23},
  [7334] = {.lex_state = 63, .external_lex_state = 45},
  [7335] = {.lex_state = 18},
  [7336] = {.lex_state = 52, .external_lex_state = 31},
  [7337] = {.lex_state = 63, .external_lex_state = 42},
  [7338] = {.lex_state = 63, .external_lex_state = 45},
  [7339] = {.lex_state = 63, .external_lex_state = 23},
  [7340] = {.lex_state = 57, .external_lex_state = 53},
  [7341] = {.lex_state = 7, .external_lex_state = 51},
  [7342] = {.lex_state = 63, .external_lex_state = 33},
  [7343] = {.lex_state = 18},
  [7344] = {.lex_state = 63, .external_lex_state = 23},
  [7345] = {.lex_state = 63, .external_lex_state = 45},
  [7346] = {.lex_state = 55, .external_lex_state = 38},
  [7347] = {.lex_state = 63, .external_lex_state = 33},
  [7348] = {.lex_state = 63, .external_lex_state = 23},
  [7349] = {.lex_state = 52, .external_lex_state = 52},
  [7350] = {.lex_state = 63, .external_lex_state = 37},
  [7351] = {.lex_state = 62, .external_lex_state = 52},
  [7352] = {.lex_state = 55, .external_lex_state = 51},
  [7353] = {.lex_state = 63, .external_lex_state = 37},
  [7354] = {.lex_state = 63, .external_lex_state = 33},
  [7355] = {.lex_state = 63, .external_lex_state = 33},
  [7356] = {.lex_state = 63, .external_lex_state = 56},
  [7357] = {.lex_state = 57, .external_lex_state = 38},
  [7358] = {.lex_state = 55, .external_lex_state = 38},
  [7359] = {.lex_state = 52, .external_lex_state = 47},
  [7360] = {.lex_state = 61, .external_lex_state = 51},
  [7361] = {.lex_state = 63, .external_lex_state = 36},
  [7362] = {.lex_state = 52, .external_lex_state = 51},
  [7363] = {.lex_state = 57, .external_lex_state = 55},
  [7364] = {.lex_state = 63, .external_lex_state = 36},
  [7365] = {.lex_state = 57, .external_lex_state = 54},
  [7366] = {.lex_state = 52, .external_lex_state = 47},
  [7367] = {.lex_state = 63, .external_lex_state = 36},
  [7368] = {.lex_state = 63, .external_lex_state = 45},
  [7369] = {.lex_state = 63, .external_lex_state = 36},
  [7370] = {.lex_state = 57, .external_lex_state = 27},
  [7371] = {.lex_state = 61, .external_lex_state = 28},
  [7372] = {.lex_state = 58, .external_lex_state = 34},
  [7373] = {.lex_state = 54},
  [7374] = {.lex_state = 61, .external_lex_state = 38},
  [7375] = {.lex_state = 64, .external_lex_state = 38},
  [7376] = {.lex_state = 63, .external_lex_state = 33},
  [7377] = {.lex_state = 63, .external_lex_state = 37},
  [7378] = {.lex_state = 63, .external_lex_state = 37},
  [7379] = {.lex_state = 63, .external_lex_state = 37},
  [7380] = {.lex_state = 56, .external_lex_state = 51},
  [7381] = {.lex_state = 63, .external_lex_state = 33},
  [7382] = {.lex_state = 56, .external_lex_state = 51},
  [7383] = {.lex_state = 54},
  [7384] = {.lex_state = 63, .external_lex_state = 33},
  [7385] = {.lex_state = 63, .external_lex_state = 36},
  [7386] = {.lex_state = 54},
  [7387] = {.lex_state = 52, .external_lex_state = 52},
  [7388] = {.lex_state = 52, .external_lex_state = 49},
  [7389] = {.lex_state = 63, .external_lex_state = 42},
  [7390] = {.lex_state = 61, .external_lex_state = 31},
  [7391] = {.lex_state = 55, .external_lex_state = 38},
  [7392] = {.lex_state = 61, .external_lex_state = 31},
  [7393] = {.lex_state = 63},
  [7394] = {.lex_state = 57, .external_lex_state = 28},
  [7395] = {.lex_state = 63, .external_lex_state = 23},
  [7396] = {.lex_state = 61, .external_lex_state = 31},
  [7397] = {.lex_state = 52, .external_lex_state = 55},
  [7398] = {.lex_state = 56, .external_lex_state = 34},
  [7399] = {.lex_state = 52, .external_lex_state = 26},
  [7400] = {.lex_state = 61, .external_lex_state = 31},
  [7401] = {.lex_state = 58, .external_lex_state = 28},
  [7402] = {.lex_state = 52, .external_lex_state = 23},
  [7403] = {.lex_state = 63, .external_lex_state = 42},
  [7404] = {.lex_state = 61, .external_lex_state = 31},
  [7405] = {.lex_state = 63},
  [7406] = {.lex_state = 62, .external_lex_state = 38},
  [7407] = {.lex_state = 61, .external_lex_state = 45},
  [7408] = {.lex_state = 52, .external_lex_state = 53},
  [7409] = {.lex_state = 63},
  [7410] = {.lex_state = 57, .external_lex_state = 51},
  [7411] = {.lex_state = 18},
  [7412] = {.lex_state = 58, .external_lex_state = 28},
  [7413] = {.lex_state = 61, .external_lex_state = 51},
  [7414] = {.lex_state = 63, .external_lex_state = 50},
  [7415] = {.lex_state = 63, .external_lex_state = 23},
  [7416] = {.lex_state = 63, .external_lex_state = 42},
  [7417] = {.lex_state = 63, .external_lex_state = 42},
  [7418] = {.lex_state = 58, .external_lex_state = 28},
  [7419] = {.lex_state = 57, .external_lex_state = 28},
  [7420] = {.lex_state = 62, .external_lex_state = 38},
  [7421] = {.lex_state = 63, .external_lex_state = 23},
  [7422] = {.lex_state = 58, .external_lex_state = 54},
  [7423] = {.lex_state = 52, .external_lex_state = 33},
  [7424] = {.lex_state = 63, .external_lex_state = 42},
  [7425] = {.lex_state = 57, .external_lex_state = 51},
  [7426] = {.lex_state = 63, .external_lex_state = 50},
  [7427] = {.lex_state = 52, .external_lex_state = 55},
  [7428] = {.lex_state = 57, .external_lex_state = 51},
  [7429] = {.lex_state = 18},
  [7430] = {.lex_state = 58, .external_lex_state = 28},
  [7431] = {.lex_state = 62, .external_lex_state = 38},
  [7432] = {.lex_state = 52, .external_lex_state = 55},
  [7433] = {.lex_state = 58, .external_lex_state = 54},
  [7434] = {.lex_state = 57, .external_lex_state = 51},
  [7435] = {.lex_state = 52, .external_lex_state = 58},
  [7436] = {.lex_state = 63, .external_lex_state = 42},
  [7437] = {.lex_state = 63},
  [7438] = {.lex_state = 57, .external_lex_state = 28},
  [7439] = {.lex_state = 63},
  [7440] = {.lex_state = 52, .external_lex_state = 55},
  [7441] = {.lex_state = 63},
  [7442] = {.lex_state = 63},
  [7443] = {.lex_state = 52, .external_lex_state = 26},
  [7444] = {.lex_state = 52, .external_lex_state = 57},
  [7445] = {.lex_state = 61, .external_lex_state = 29},
  [7446] = {.lex_state = 59, .external_lex_state = 38},
  [7447] = {.lex_state = 57, .external_lex_state = 52},
  [7448] = {.lex_state = 63},
  [7449] = {.lex_state = 63, .external_lex_state = 42},
  [7450] = {.lex_state = 58, .external_lex_state = 34},
  [7451] = {.lex_state = 63, .external_lex_state = 42},
  [7452] = {.lex_state = 63, .external_lex_state = 23},
  [7453] = {.lex_state = 63, .external_lex_state = 40},
  [7454] = {.lex_state = 63, .external_lex_state = 40},
  [7455] = {.lex_state = 64, .external_lex_state = 52},
  [7456] = {.lex_state = 17, .external_lex_state = 51},
  [7457] = {.lex_state = 57, .external_lex_state = 51},
  [7458] = {.lex_state = 52, .external_lex_state = 28},
  [7459] = {.lex_state = 63, .external_lex_state = 40},
  [7460] = {.lex_state = 63, .external_lex_state = 40},
  [7461] = {.lex_state = 63},
  [7462] = {.lex_state = 61, .external_lex_state = 30},
  [7463] = {.lex_state = 52, .external_lex_state = 38},
  [7464] = {.lex_state = 57, .external_lex_state = 52},
  [7465] = {.lex_state = 55, .external_lex_state = 38},
  [7466] = {.lex_state = 58, .external_lex_state = 28},
  [7467] = {.lex_state = 63, .external_lex_state = 40},
  [7468] = {.lex_state = 52, .external_lex_state = 26},
  [7469] = {.lex_state = 52, .external_lex_state = 36},
  [7470] = {.lex_state = 52, .external_lex_state = 43},
  [7471] = {.lex_state = 51},
  [7472] = {.lex_state = 21, .external_lex_state = 51},
  [7473] = {.lex_state = 61, .external_lex_state = 30},
  [7474] = {.lex_state = 63, .external_lex_state = 40},
  [7475] = {.lex_state = 52, .external_lex_state = 27},
  [7476] = {.lex_state = 57, .external_lex_state = 52},
  [7477] = {.lex_state = 52, .external_lex_state = 53},
  [7478] = {.lex_state = 52, .external_lex_state = 27},
  [7479] = {.lex_state = 63, .external_lex_state = 42},
  [7480] = {.lex_state = 52, .external_lex_state = 53},
  [7481] = {.lex_state = 63, .external_lex_state = 24},
  [7482] = {.lex_state = 52, .external_lex_state = 27},
  [7483] = {.lex_state = 57, .external_lex_state = 51},
  [7484] = {.lex_state = 63, .external_lex_state = 42},
  [7485] = {.lex_state = 63, .external_lex_state = 27},
  [7486] = {.lex_state = 63},
  [7487] = {.lex_state = 56, .external_lex_state = 34},
  [7488] = {.lex_state = 63, .external_lex_state = 40},
  [7489] = {.lex_state = 52, .external_lex_state = 53},
  [7490] = {.lex_state = 52, .external_lex_state = 26},
  [7491] = {.lex_state = 59, .external_lex_state = 52},
  [7492] = {.lex_state = 59, .external_lex_state = 38},
  [7493] = {.lex_state = 63, .external_lex_state = 40},
  [7494] = {.lex_state = 63},
  [7495] = {.lex_state = 63, .external_lex_state = 40},
  [7496] = {.lex_state = 63},
  [7497] = {.lex_state = 56, .external_lex_state = 34},
  [7498] = {.lex_state = 57, .external_lex_state = 51},
  [7499] = {.lex_state = 63, .external_lex_state = 40},
  [7500] = {.lex_state = 57, .external_lex_state = 28},
  [7501] = {.lex_state = 52, .external_lex_state = 26},
  [7502] = {.lex_state = 52, .external_lex_state = 26},
  [7503] = {.lex_state = 58, .external_lex_state = 59},
  [7504] = {.lex_state = 63},
  [7505] = {.lex_state = 63, .external_lex_state = 23},
  [7506] = {.lex_state = 52, .external_lex_state = 56},
  [7507] = {.lex_state = 63, .external_lex_state = 23},
  [7508] = {.lex_state = 63},
  [7509] = {.lex_state = 63, .external_lex_state = 23},
  [7510] = {.lex_state = 63, .external_lex_state = 42},
  [7511] = {.lex_state = 63, .external_lex_state = 55},
  [7512] = {.lex_state = 63, .external_lex_state = 23},
  [7513] = {.lex_state = 63, .external_lex_state = 48},
  [7514] = {.lex_state = 52, .external_lex_state = 23},
  [7515] = {.lex_state = 59, .external_lex_state = 52},
  [7516] = {.lex_state = 63},
  [7517] = {.lex_state = 52, .external_lex_state = 37},
  [7518] = {.lex_state = 58, .external_lex_state = 28},
  [7519] = {.lex_state = 57, .external_lex_state = 52},
  [7520] = {.lex_state = 63, .external_lex_state = 40},
  [7521] = {.lex_state = 63, .external_lex_state = 42},
  [7522] = {.lex_state = 52, .external_lex_state = 50},
  [7523] = {.lex_state = 56, .external_lex_state = 34},
  [7524] = {.lex_state = 52, .external_lex_state = 43},
  [7525] = {.lex_state = 63, .external_lex_state = 42},
  [7526] = {.lex_state = 61, .external_lex_state = 30},
  [7527] = {.lex_state = 63, .external_lex_state = 42},
  [7528] = {.lex_state = 63},
  [7529] = {.lex_state = 61, .external_lex_state = 29},
  [7530] = {.lex_state = 63},
  [7531] = {.lex_state = 58, .external_lex_state = 29},
  [7532] = {.lex_state = 57, .external_lex_state = 29},
  [7533] = {.lex_state = 61, .external_lex_state = 45},
  [7534] = {.lex_state = 61, .external_lex_state = 35},
  [7535] = {.lex_state = 63, .external_lex_state = 42},
  [7536] = {.lex_state = 61, .external_lex_state = 23},
  [7537] = {.lex_state = 63, .external_lex_state = 37},
  [7538] = {.lex_state = 61, .external_lex_state = 29},
  [7539] = {.lex_state = 63, .external_lex_state = 42},
  [7540] = {.lex_state = 57, .external_lex_state = 28},
  [7541] = {.lex_state = 56, .external_lex_state = 35},
  [7542] = {.lex_state = 57, .external_lex_state = 52},
  [7543] = {.lex_state = 63, .external_lex_state = 23},
  [7544] = {.lex_state = 57, .external_lex_state = 29},
  [7545] = {.lex_state = 63, .external_lex_state = 54},
  [7546] = {.lex_state = 64, .external_lex_state = 38},
  [7547] = {.lex_state = 61, .external_lex_state = 29},
  [7548] = {.lex_state = 63, .external_lex_state = 54},
  [7549] = {.lex_state = 63, .external_lex_state = 42},
  [7550] = {.lex_state = 52, .external_lex_state = 35},
  [7551] = {.lex_state = 63},
  [7552] = {.lex_state = 63},
  [7553] = {.lex_state = 57, .external_lex_state = 29},
  [7554] = {.lex_state = 61, .external_lex_state = 43},
  [7555] = {.lex_state = 63, .external_lex_state = 23},
  [7556] = {.lex_state = 63, .external_lex_state = 54},
  [7557] = {.lex_state = 52, .external_lex_state = 35},
  [7558] = {.lex_state = 63},
  [7559] = {.lex_state = 52, .external_lex_state = 29},
  [7560] = {.lex_state = 61, .external_lex_state = 43},
  [7561] = {.lex_state = 56, .external_lex_state = 35},
  [7562] = {.lex_state = 57, .external_lex_state = 51},
  [7563] = {.lex_state = 63, .external_lex_state = 40},
  [7564] = {.lex_state = 63, .external_lex_state = 23},
  [7565] = {.lex_state = 63},
  [7566] = {.lex_state = 57, .external_lex_state = 29},
  [7567] = {.lex_state = 57, .external_lex_state = 28},
  [7568] = {.lex_state = 63},
  [7569] = {.lex_state = 56, .external_lex_state = 35},
  [7570] = {.lex_state = 63, .external_lex_state = 42},
  [7571] = {.lex_state = 19, .external_lex_state = 51},
  [7572] = {.lex_state = 56, .external_lex_state = 35},
  [7573] = {.lex_state = 57},
  [7574] = {.lex_state = 58, .external_lex_state = 29},
  [7575] = {.lex_state = 58, .external_lex_state = 29},
  [7576] = {.lex_state = 61, .external_lex_state = 28},
  [7577] = {.lex_state = 63, .external_lex_state = 42},
  [7578] = {.lex_state = 61, .external_lex_state = 27},
  [7579] = {.lex_state = 58, .external_lex_state = 29},
  [7580] = {.lex_state = 63},
  [7581] = {.lex_state = 57, .external_lex_state = 51},
  [7582] = {.lex_state = 63, .external_lex_state = 42},
  [7583] = {.lex_state = 63},
  [7584] = {.lex_state = 52, .external_lex_state = 39},
  [7585] = {.lex_state = 58, .external_lex_state = 29},
  [7586] = {.lex_state = 63, .external_lex_state = 24},
  [7587] = {.lex_state = 58, .external_lex_state = 38},
  [7588] = {.lex_state = 58, .external_lex_state = 29},
  [7589] = {.lex_state = 58, .external_lex_state = 29},
  [7590] = {.lex_state = 52, .external_lex_state = 27},
  [7591] = {.lex_state = 57, .external_lex_state = 28},
  [7592] = {.lex_state = 63},
  [7593] = {.lex_state = 63, .external_lex_state = 45},
  [7594] = {.lex_state = 58, .external_lex_state = 29},
  [7595] = {.lex_state = 58, .external_lex_state = 27},
  [7596] = {.lex_state = 57, .external_lex_state = 52},
  [7597] = {.lex_state = 57, .external_lex_state = 52},
  [7598] = {.lex_state = 56, .external_lex_state = 34},
  [7599] = {.lex_state = 63},
  [7600] = {.lex_state = 52, .external_lex_state = 39},
  [7601] = {.lex_state = 52, .external_lex_state = 46},
  [7602] = {.lex_state = 62, .external_lex_state = 51},
  [7603] = {.lex_state = 63, .external_lex_state = 33},
  [7604] = {.lex_state = 61, .external_lex_state = 28},
  [7605] = {.lex_state = 63, .external_lex_state = 42},
  [7606] = {.lex_state = 63},
  [7607] = {.lex_state = 52, .external_lex_state = 54},
  [7608] = {.lex_state = 61, .external_lex_state = 30},
  [7609] = {.lex_state = 63, .external_lex_state = 47},
  [7610] = {.lex_state = 58, .external_lex_state = 55},
  [7611] = {.lex_state = 63},
  [7612] = {.lex_state = 63, .external_lex_state = 42},
  [7613] = {.lex_state = 52, .external_lex_state = 38},
  [7614] = {.lex_state = 61, .external_lex_state = 28},
  [7615] = {.lex_state = 52, .external_lex_state = 26},
  [7616] = {.lex_state = 58, .external_lex_state = 29},
  [7617] = {.lex_state = 58, .external_lex_state = 55},
  [7618] = {.lex_state = 57, .external_lex_state = 52},
  [7619] = {.lex_state = 52, .external_lex_state = 26},
  [7620] = {.lex_state = 57, .external_lex_state = 28},
  [7621] = {.lex_state = 52, .external_lex_state = 26},
  [7622] = {.lex_state = 58, .external_lex_state = 27},
  [7623] = {.lex_state = 63, .external_lex_state = 44},
  [7624] = {.lex_state = 61, .external_lex_state = 30},
  [7625] = {.lex_state = 63, .external_lex_state = 23},
  [7626] = {.lex_state = 52, .external_lex_state = 57},
  [7627] = {.lex_state = 52, .external_lex_state = 26},
  [7628] = {.lex_state = 52, .external_lex_state = 29},
  [7629] = {.lex_state = 64, .external_lex_state = 38},
  [7630] = {.lex_state = 52, .external_lex_state = 26},
  [7631] = {.lex_state = 63, .external_lex_state = 42},
  [7632] = {.lex_state = 63, .external_lex_state = 42},
  [7633] = {.lex_state = 52, .external_lex_state = 54},
  [7634] = {.lex_state = 52, .external_lex_state = 26},
  [7635] = {.lex_state = 52, .external_lex_state = 54},
  [7636] = {.lex_state = 52, .external_lex_state = 54},
  [7637] = {.lex_state = 63, .external_lex_state = 42},
  [7638] = {.lex_state = 63, .external_lex_state = 23},
  [7639] = {.lex_state = 63, .external_lex_state = 42},
  [7640] = {.lex_state = 58, .external_lex_state = 28},
  [7641] = {.lex_state = 52, .external_lex_state = 56},
  [7642] = {.lex_state = 58, .external_lex_state = 35},
  [7643] = {.lex_state = 63, .external_lex_state = 42},
  [7644] = {.lex_state = 63},
  [7645] = {.lex_state = 61, .external_lex_state = 31},
  [7646] = {.lex_state = 63, .external_lex_state = 23},
  [7647] = {.lex_state = 63},
  [7648] = {.lex_state = 61, .external_lex_state = 30},
  [7649] = {.lex_state = 61, .external_lex_state = 31},
  [7650] = {.lex_state = 61, .external_lex_state = 31},
  [7651] = {.lex_state = 63, .external_lex_state = 42},
  [7652] = {.lex_state = 61, .external_lex_state = 40},
  [7653] = {.lex_state = 63, .external_lex_state = 42},
  [7654] = {.lex_state = 57, .external_lex_state = 29},
  [7655] = {.lex_state = 61, .external_lex_state = 31},
  [7656] = {.lex_state = 57, .external_lex_state = 52},
  [7657] = {.lex_state = 61, .external_lex_state = 52},
  [7658] = {.lex_state = 52, .external_lex_state = 41},
  [7659] = {.lex_state = 61, .external_lex_state = 30},
  [7660] = {.lex_state = 56, .external_lex_state = 34},
  [7661] = {.lex_state = 63, .external_lex_state = 23},
  [7662] = {.lex_state = 56, .external_lex_state = 35},
  [7663] = {.lex_state = 63},
  [7664] = {.lex_state = 57, .external_lex_state = 52},
  [7665] = {.lex_state = 63, .external_lex_state = 42},
  [7666] = {.lex_state = 63, .external_lex_state = 42},
  [7667] = {.lex_state = 63, .external_lex_state = 40},
  [7668] = {.lex_state = 63, .external_lex_state = 37},
  [7669] = {.lex_state = 61, .external_lex_state = 27},
  [7670] = {.lex_state = 63, .external_lex_state = 23},
  [7671] = {.lex_state = 63, .external_lex_state = 31},
  [7672] = {.lex_state = 52, .external_lex_state = 41},
  [7673] = {.lex_state = 63, .external_lex_state = 42},
  [7674] = {.lex_state = 63, .external_lex_state = 30},
  [7675] = {.lex_state = 63, .external_lex_state = 42},
  [7676] = {.lex_state = 63, .external_lex_state = 23},
  [7677] = {.lex_state = 57, .external_lex_state = 51},
  [7678] = {.lex_state = 63},
  [7679] = {.lex_state = 63},
  [7680] = {.lex_state = 63, .external_lex_state = 23},
  [7681] = {.lex_state = 63, .external_lex_state = 23},
  [7682] = {.lex_state = 61, .external_lex_state = 31},
  [7683] = {.lex_state = 58, .external_lex_state = 38},
  [7684] = {.lex_state = 63, .external_lex_state = 43},
  [7685] = {.lex_state = 59, .external_lex_state = 38},
  [7686] = {.lex_state = 63, .external_lex_state = 42},
  [7687] = {.lex_state = 64, .external_lex_state = 38},
  [7688] = {.lex_state = 61, .external_lex_state = 42},
  [7689] = {.lex_state = 63, .external_lex_state = 54},
  [7690] = {.lex_state = 61, .external_lex_state = 35},
  [7691] = {.lex_state = 63, .external_lex_state = 40},
  [7692] = {.lex_state = 63},
  [7693] = {.lex_state = 61, .external_lex_state = 31},
  [7694] = {.lex_state = 61, .external_lex_state = 31},
  [7695] = {.lex_state = 63},
  [7696] = {.lex_state = 63, .external_lex_state = 30},
  [7697] = {.lex_state = 63, .external_lex_state = 42},
  [7698] = {.lex_state = 63, .external_lex_state = 34},
  [7699] = {.lex_state = 63, .external_lex_state = 23},
  [7700] = {.lex_state = 56, .external_lex_state = 52},
  [7701] = {.lex_state = 63, .external_lex_state = 43},
  [7702] = {.lex_state = 63, .external_lex_state = 31},
  [7703] = {.lex_state = 52, .external_lex_state = 30},
  [7704] = {.lex_state = 61, .external_lex_state = 52},
  [7705] = {.lex_state = 63, .external_lex_state = 40},
  [7706] = {.lex_state = 63},
  [7707] = {.lex_state = 64, .external_lex_state = 52},
  [7708] = {.lex_state = 63},
  [7709] = {.lex_state = 63},
  [7710] = {.lex_state = 56, .external_lex_state = 38},
  [7711] = {.lex_state = 59, .external_lex_state = 38},
  [7712] = {.lex_state = 57, .external_lex_state = 51},
  [7713] = {.lex_state = 63},
  [7714] = {.lex_state = 63},
  [7715] = {.lex_state = 57, .external_lex_state = 29},
  [7716] = {.lex_state = 61, .external_lex_state = 52},
  [7717] = {.lex_state = 62, .external_lex_state = 38},
  [7718] = {.lex_state = 61, .external_lex_state = 31},
  [7719] = {.lex_state = 57, .external_lex_state = 28},
  [7720] = {.lex_state = 63, .external_lex_state = 46},
  [7721] = {.lex_state = 63, .external_lex_state = 31},
  [7722] = {.lex_state = 63, .external_lex_state = 40},
  [7723] = {.lex_state = 63, .external_lex_state = 40},
  [7724] = {.lex_state = 61, .external_lex_state = 52},
  [7725] = {.lex_state = 57, .external_lex_state = 52},
  [7726] = {.lex_state = 61, .external_lex_state = 30},
  [7727] = {.lex_state = 63},
  [7728] = {.lex_state = 57, .external_lex_state = 51},
  [7729] = {.lex_state = 61, .external_lex_state = 30},
  [7730] = {.lex_state = 63},
  [7731] = {.lex_state = 63, .external_lex_state = 40},
  [7732] = {.lex_state = 61, .external_lex_state = 30},
  [7733] = {.lex_state = 61, .external_lex_state = 30},
  [7734] = {.lex_state = 63, .external_lex_state = 27},
  [7735] = {.lex_state = 57, .external_lex_state = 51},
  [7736] = {.lex_state = 63, .external_lex_state = 53},
  [7737] = {.lex_state = 63, .external_lex_state = 35},
  [7738] = {.lex_state = 63, .external_lex_state = 40},
  [7739] = {.lex_state = 61, .external_lex_state = 46},
  [7740] = {.lex_state = 63, .external_lex_state = 36},
  [7741] = {.lex_state = 63, .external_lex_state = 53},
  [7742] = {.lex_state = 63},
  [7743] = {.lex_state = 61, .external_lex_state = 54},
  [7744] = {.lex_state = 58, .external_lex_state = 34},
  [7745] = {.lex_state = 63},
  [7746] = {.lex_state = 63},
  [7747] = {.lex_state = 63},
  [7748] = {.lex_state = 58, .external_lex_state = 53},
  [7749] = {.lex_state = 58, .external_lex_state = 53},
  [7750] = {.lex_state = 58, .external_lex_state = 34},
  [7751] = {.lex_state = 63, .external_lex_state = 23},
  [7752] = {.lex_state = 58, .external_lex_state = 29},
  [7753] = {.lex_state = 63},
  [7754] = {.lex_state = 58, .external_lex_state = 29},
  [7755] = {.lex_state = 58, .external_lex_state = 29},
  [7756] = {.lex_state = 63, .external_lex_state = 27},
  [7757] = {.lex_state = 63, .external_lex_state = 23},
  [7758] = {.lex_state = 56, .external_lex_state = 34},
  [7759] = {.lex_state = 57, .external_lex_state = 52},
  [7760] = {.lex_state = 58, .external_lex_state = 29},
  [7761] = {.lex_state = 56, .external_lex_state = 28},
  [7762] = {.lex_state = 61, .external_lex_state = 30},
  [7763] = {.lex_state = 63, .external_lex_state = 23},
  [7764] = {.lex_state = 52, .external_lex_state = 45},
  [7765] = {.lex_state = 54},
  [7766] = {.lex_state = 63, .external_lex_state = 42},
  [7767] = {.lex_state = 56, .external_lex_state = 34},
  [7768] = {.lex_state = 63, .external_lex_state = 27},
  [7769] = {.lex_state = 63, .external_lex_state = 23},
  [7770] = {.lex_state = 63, .external_lex_state = 48},
  [7771] = {.lex_state = 56, .external_lex_state = 38},
  [7772] = {.lex_state = 56, .external_lex_state = 34},
  [7773] = {.lex_state = 63, .external_lex_state = 27},
  [7774] = {.lex_state = 17, .external_lex_state = 51},
  [7775] = {.lex_state = 52, .external_lex_state = 58},
  [7776] = {.lex_state = 56, .external_lex_state = 34},
  [7777] = {.lex_state = 63, .external_lex_state = 40},
  [7778] = {.lex_state = 63},
  [7779] = {.lex_state = 58, .external_lex_state = 38},
  [7780] = {.lex_state = 57, .external_lex_state = 29},
  [7781] = {.lex_state = 63, .external_lex_state = 23},
  [7782] = {.lex_state = 63, .external_lex_state = 23},
  [7783] = {.lex_state = 57, .external_lex_state = 29},
  [7784] = {.lex_state = 59, .external_lex_state = 38},
  [7785] = {.lex_state = 57, .external_lex_state = 29},
  [7786] = {.lex_state = 57},
  [7787] = {.lex_state = 52, .external_lex_state = 26},
  [7788] = {.lex_state = 57, .external_lex_state = 29},
  [7789] = {.lex_state = 57, .external_lex_state = 29},
  [7790] = {.lex_state = 63, .external_lex_state = 42},
  [7791] = {.lex_state = 63},
  [7792] = {.lex_state = 11, .external_lex_state = 51},
  [7793] = {.lex_state = 62, .external_lex_state = 38},
  [7794] = {.lex_state = 57, .external_lex_state = 29},
  [7795] = {.lex_state = 63},
  [7796] = {.lex_state = 63, .external_lex_state = 23},
  [7797] = {.lex_state = 61, .external_lex_state = 34},
  [7798] = {.lex_state = 57, .external_lex_state = 29},
  [7799] = {.lex_state = 52, .external_lex_state = 38},
  [7800] = {.lex_state = 63},
  [7801] = {.lex_state = 63, .external_lex_state = 40},
  [7802] = {.lex_state = 63, .external_lex_state = 55},
  [7803] = {.lex_state = 63, .external_lex_state = 36},
  [7804] = {.lex_state = 63, .external_lex_state = 42},
  [7805] = {.lex_state = 63, .external_lex_state = 42},
  [7806] = {.lex_state = 61, .external_lex_state = 54},
  [7807] = {.lex_state = 63},
  [7808] = {.lex_state = 63, .external_lex_state = 40},
  [7809] = {.lex_state = 56, .external_lex_state = 35},
  [7810] = {.lex_state = 63, .external_lex_state = 44},
  [7811] = {.lex_state = 57, .external_lex_state = 29},
  [7812] = {.lex_state = 61, .external_lex_state = 55},
  [7813] = {.lex_state = 57, .external_lex_state = 29},
  [7814] = {.lex_state = 59, .external_lex_state = 38},
  [7815] = {.lex_state = 58, .external_lex_state = 35},
  [7816] = {.lex_state = 58, .external_lex_state = 35},
  [7817] = {.lex_state = 52, .external_lex_state = 51},
  [7818] = {.lex_state = 52, .external_lex_state = 38},
  [7819] = {.lex_state = 56, .external_lex_state = 28},
  [7820] = {.lex_state = 63, .external_lex_state = 23},
  [7821] = {.lex_state = 61, .external_lex_state = 44},
  [7822] = {.lex_state = 57, .external_lex_state = 51},
  [7823] = {.lex_state = 63, .external_lex_state = 40},
  [7824] = {.lex_state = 63, .external_lex_state = 40},
  [7825] = {.lex_state = 63},
  [7826] = {.lex_state = 56, .external_lex_state = 34},
  [7827] = {.lex_state = 52, .external_lex_state = 26},
  [7828] = {.lex_state = 62, .external_lex_state = 52},
  [7829] = {.lex_state = 62, .external_lex_state = 52},
  [7830] = {.lex_state = 19, .external_lex_state = 51},
  [7831] = {.lex_state = 57, .external_lex_state = 29},
  [7832] = {.lex_state = 63},
  [7833] = {.lex_state = 62, .external_lex_state = 52},
  [7834] = {.lex_state = 59, .external_lex_state = 38},
  [7835] = {.lex_state = 63, .external_lex_state = 47},
  [7836] = {.lex_state = 56, .external_lex_state = 28},
  [7837] = {.lex_state = 59, .external_lex_state = 38},
  [7838] = {.lex_state = 52, .external_lex_state = 56},
  [7839] = {.lex_state = 63},
  [7840] = {.lex_state = 63, .external_lex_state = 34},
  [7841] = {.lex_state = 63, .external_lex_state = 40},
  [7842] = {.lex_state = 61, .external_lex_state = 38},
  [7843] = {.lex_state = 63, .external_lex_state = 45},
  [7844] = {.lex_state = 63, .external_lex_state = 42},
  [7845] = {.lex_state = 63},
  [7846] = {.lex_state = 63, .external_lex_state = 23},
  [7847] = {.lex_state = 59, .external_lex_state = 38},
  [7848] = {.lex_state = 57},
  [7849] = {.lex_state = 63},
  [7850] = {.lex_state = 63, .external_lex_state = 42},
  [7851] = {.lex_state = 57, .external_lex_state = 51},
  [7852] = {.lex_state = 58, .external_lex_state = 28},
  [7853] = {.lex_state = 63, .external_lex_state = 42},
  [7854] = {.lex_state = 56, .external_lex_state = 38},
  [7855] = {.lex_state = 63},
  [7856] = {.lex_state = 63, .external_lex_state = 46},
  [7857] = {.lex_state = 63, .external_lex_state = 55},
  [7858] = {.lex_state = 18},
  [7859] = {.lex_state = 63},
  [7860] = {.lex_state = 63, .external_lex_state = 23},
  [7861] = {.lex_state = 58, .external_lex_state = 28},
  [7862] = {.lex_state = 63, .external_lex_state = 23},
  [7863] = {.lex_state = 63},
  [7864] = {.lex_state = 63, .external_lex_state = 23},
  [7865] = {.lex_state = 59, .external_lex_state = 38},
  [7866] = {.lex_state = 58, .external_lex_state = 28},
  [7867] = {.lex_state = 18},
  [7868] = {.lex_state = 63, .external_lex_state = 23},
  [7869] = {.lex_state = 59, .external_lex_state = 38},
  [7870] = {.lex_state = 58, .external_lex_state = 28},
  [7871] = {.lex_state = 63, .external_lex_state = 23},
  [7872] = {.lex_state = 52, .external_lex_state = 52},
  [7873] = {.lex_state = 57, .external_lex_state = 52},
  [7874] = {.lex_state = 63},
  [7875] = {.lex_state = 57, .external_lex_state = 51},
  [7876] = {.lex_state = 63, .external_lex_state = 23},
  [7877] = {.lex_state = 61, .external_lex_state = 30},
  [7878] = {.lex_state = 52, .external_lex_state = 52},
  [7879] = {.lex_state = 18},
  [7880] = {.lex_state = 10, .external_lex_state = 51},
  [7881] = {.lex_state = 61, .external_lex_state = 30},
  [7882] = {.lex_state = 63, .external_lex_state = 40},
  [7883] = {.lex_state = 57, .external_lex_state = 28},
  [7884] = {.lex_state = 52, .external_lex_state = 52},
  [7885] = {.lex_state = 63},
  [7886] = {.lex_state = 63},
  [7887] = {.lex_state = 7, .external_lex_state = 51},
  [7888] = {.lex_state = 63},
  [7889] = {.lex_state = 56, .external_lex_state = 29},
  [7890] = {.lex_state = 63},
  [7891] = {.lex_state = 59, .external_lex_state = 38},
  [7892] = {.lex_state = 61, .external_lex_state = 38},
  [7893] = {.lex_state = 63, .external_lex_state = 40},
  [7894] = {.lex_state = 63, .external_lex_state = 40},
  [7895] = {.lex_state = 3},
  [7896] = {.lex_state = 57, .external_lex_state = 52},
  [7897] = {.lex_state = 63, .external_lex_state = 35},
  [7898] = {.lex_state = 63, .external_lex_state = 40},
  [7899] = {.lex_state = 59, .external_lex_state = 38},
  [7900] = {.lex_state = 9, .external_lex_state = 51},
  [7901] = {.lex_state = 63},
  [7902] = {.lex_state = 63},
  [7903] = {.lex_state = 63, .external_lex_state = 40},
  [7904] = {.lex_state = 61, .external_lex_state = 53},
  [7905] = {.lex_state = 63, .external_lex_state = 40},
  [7906] = {.lex_state = 3},
  [7907] = {.lex_state = 63, .external_lex_state = 30},
  [7908] = {.lex_state = 63, .external_lex_state = 40},
  [7909] = {.lex_state = 18},
  [7910] = {.lex_state = 63, .external_lex_state = 23},
  [7911] = {.lex_state = 63, .external_lex_state = 23},
  [7912] = {.lex_state = 63, .external_lex_state = 23},
  [7913] = {.lex_state = 63, .external_lex_state = 40},
  [7914] = {.lex_state = 63, .external_lex_state = 23},
  [7915] = {.lex_state = 63},
  [7916] = {.lex_state = 3},
  [7917] = {.lex_state = 56, .external_lex_state = 34},
  [7918] = {.lex_state = 58, .external_lex_state = 28},
  [7919] = {.lex_state = 63, .external_lex_state = 40},
  [7920] = {.lex_state = 7, .external_lex_state = 51},
  [7921] = {.lex_state = 3},
  [7922] = {.lex_state = 52, .external_lex_state = 45},
  [7923] = {.lex_state = 63, .external_lex_state = 40},
  [7924] = {.lex_state = 18},
  [7925] = {.lex_state = 63, .external_lex_state = 23},
  [7926] = {.lex_state = 63, .external_lex_state = 23},
  [7927] = {.lex_state = 63, .external_lex_state = 53},
  [7928] = {.lex_state = 63, .external_lex_state = 23},
  [7929] = {.lex_state = 63, .external_lex_state = 53},
  [7930] = {.lex_state = 56, .external_lex_state = 34},
  [7931] = {.lex_state = 52, .external_lex_state = 33},
  [7932] = {.lex_state = 57, .external_lex_state = 28},
  [7933] = {.lex_state = 63, .external_lex_state = 42},
  [7934] = {.lex_state = 52, .external_lex_state = 26},
  [7935] = {.lex_state = 63, .external_lex_state = 42},
  [7936] = {.lex_state = 63, .external_lex_state = 42},
  [7937] = {.lex_state = 63, .external_lex_state = 53},
  [7938] = {.lex_state = 52, .external_lex_state = 38},
  [7939] = {.lex_state = 63},
  [7940] = {.lex_state = 52, .external_lex_state = 26},
  [7941] = {.lex_state = 63},
  [7942] = {.lex_state = 52, .external_lex_state = 26},
  [7943] = {.lex_state = 9, .external_lex_state = 51},
  [7944] = {.lex_state = 63},
  [7945] = {.lex_state = 63},
  [7946] = {.lex_state = 63, .external_lex_state = 33},
  [7947] = {.lex_state = 56, .external_lex_state = 35},
  [7948] = {.lex_state = 59, .external_lex_state = 38},
  [7949] = {.lex_state = 63, .external_lex_state = 42},
  [7950] = {.lex_state = 63, .external_lex_state = 54},
  [7951] = {.lex_state = 56, .external_lex_state = 29},
  [7952] = {.lex_state = 57},
  [7953] = {.lex_state = 63, .external_lex_state = 23},
  [7954] = {.lex_state = 52, .external_lex_state = 34},
  [7955] = {.lex_state = 59, .external_lex_state = 38},
  [7956] = {.lex_state = 52, .external_lex_state = 31},
  [7957] = {.lex_state = 63},
  [7958] = {.lex_state = 63, .external_lex_state = 34},
  [7959] = {.lex_state = 9, .external_lex_state = 51},
  [7960] = {.lex_state = 63},
  [7961] = {.lex_state = 63, .external_lex_state = 48},
  [7962] = {.lex_state = 63, .external_lex_state = 40},
  [7963] = {.lex_state = 58, .external_lex_state = 52},
  [7964] = {.lex_state = 63, .external_lex_state = 23},
  [7965] = {.lex_state = 52, .external_lex_state = 36},
  [7966] = {.lex_state = 52, .external_lex_state = 51},
  [7967] = {.lex_state = 61, .external_lex_state = 55},
  [7968] = {.lex_state = 57, .external_lex_state = 28},
  [7969] = {.lex_state = 52, .external_lex_state = 34},
  [7970] = {.lex_state = 63, .external_lex_state = 27},
  [7971] = {.lex_state = 63},
  [7972] = {.lex_state = 63, .external_lex_state = 40},
  [7973] = {.lex_state = 52, .external_lex_state = 57},
  [7974] = {.lex_state = 57, .external_lex_state = 28},
  [7975] = {.lex_state = 58, .external_lex_state = 35},
  [7976] = {.lex_state = 52, .external_lex_state = 23},
  [7977] = {.lex_state = 63, .external_lex_state = 49},
  [7978] = {.lex_state = 63},
  [7979] = {.lex_state = 56, .external_lex_state = 38},
  [7980] = {.lex_state = 56, .external_lex_state = 29},
  [7981] = {.lex_state = 57, .external_lex_state = 28},
  [7982] = {.lex_state = 63, .external_lex_state = 47},
  [7983] = {.lex_state = 63, .external_lex_state = 40},
  [7984] = {.lex_state = 57, .external_lex_state = 28},
  [7985] = {.lex_state = 63, .external_lex_state = 53},
  [7986] = {.lex_state = 63},
  [7987] = {.lex_state = 63},
  [7988] = {.lex_state = 63, .external_lex_state = 40},
  [7989] = {.lex_state = 57, .external_lex_state = 52},
  [7990] = {.lex_state = 63, .external_lex_state = 49},
  [7991] = {.lex_state = 63, .external_lex_state = 40},
  [7992] = {.lex_state = 63, .external_lex_state = 40},
  [7993] = {.lex_state = 19, .external_lex_state = 51},
  [7994] = {.lex_state = 3},
  [7995] = {.lex_state = 52, .external_lex_state = 44},
  [7996] = {.lex_state = 63, .external_lex_state = 23},
  [7997] = {.lex_state = 52, .external_lex_state = 46},
  [7998] = {.lex_state = 61, .external_lex_state = 44},
  [7999] = {.lex_state = 63},
  [8000] = {.lex_state = 52, .external_lex_state = 49},
  [8001] = {.lex_state = 52, .external_lex_state = 24},
  [8002] = {.lex_state = 52},
  [8003] = {.lex_state = 61, .external_lex_state = 46},
  [8004] = {.lex_state = 63, .external_lex_state = 42},
  [8005] = {.lex_state = 52, .external_lex_state = 28},
  [8006] = {.lex_state = 63, .external_lex_state = 23},
  [8007] = {.lex_state = 63, .external_lex_state = 40},
  [8008] = {.lex_state = 63, .external_lex_state = 40},
  [8009] = {.lex_state = 63, .external_lex_state = 23},
  [8010] = {.lex_state = 63, .external_lex_state = 40},
  [8011] = {.lex_state = 63, .external_lex_state = 40},
  [8012] = {.lex_state = 63},
  [8013] = {.lex_state = 56, .external_lex_state = 34},
  [8014] = {.lex_state = 62, .external_lex_state = 38},
  [8015] = {.lex_state = 63, .external_lex_state = 23},
  [8016] = {.lex_state = 56, .external_lex_state = 35},
  [8017] = {.lex_state = 52},
  [8018] = {.lex_state = 63, .external_lex_state = 55},
  [8019] = {.lex_state = 56, .external_lex_state = 35},
  [8020] = {.lex_state = 63, .external_lex_state = 55},
  [8021] = {.lex_state = 52},
  [8022] = {.lex_state = 61, .external_lex_state = 34},
  [8023] = {.lex_state = 9, .external_lex_state = 51},
  [8024] = {.lex_state = 56, .external_lex_state = 51},
  [8025] = {.lex_state = 63},
  [8026] = {.lex_state = 63, .external_lex_state = 40},
  [8027] = {.lex_state = 56, .external_lex_state = 35},
  [8028] = {.lex_state = 64, .external_lex_state = 38},
  [8029] = {.lex_state = 63},
  [8030] = {.lex_state = 63, .external_lex_state = 55},
  [8031] = {.lex_state = 63, .external_lex_state = 40},
  [8032] = {.lex_state = 63},
  [8033] = {.lex_state = 62, .external_lex_state = 52},
  [8034] = {.lex_state = 56, .external_lex_state = 35},
  [8035] = {.lex_state = 62, .external_lex_state = 51},
  [8036] = {.lex_state = 52, .external_lex_state = 58},
  [8037] = {.lex_state = 57, .external_lex_state = 28},
  [8038] = {.lex_state = 63, .external_lex_state = 47},
  [8039] = {.lex_state = 63, .external_lex_state = 35},
  [8040] = {.lex_state = 56, .external_lex_state = 35},
  [8041] = {.lex_state = 63, .external_lex_state = 23},
  [8042] = {.lex_state = 63},
  [8043] = {.lex_state = 57, .external_lex_state = 52},
  [8044] = {.lex_state = 52, .external_lex_state = 36},
  [8045] = {.lex_state = 56, .external_lex_state = 35},
  [8046] = {.lex_state = 61, .external_lex_state = 28},
  [8047] = {.lex_state = 63, .external_lex_state = 23},
  [8048] = {.lex_state = 63},
  [8049] = {.lex_state = 56, .external_lex_state = 35},
  [8050] = {.lex_state = 57, .external_lex_state = 51},
  [8051] = {.lex_state = 63, .external_lex_state = 48},
  [8052] = {.lex_state = 58, .external_lex_state = 38},
  [8053] = {.lex_state = 52, .external_lex_state = 33},
  [8054] = {.lex_state = 61, .external_lex_state = 31},
  [8055] = {.lex_state = 56, .external_lex_state = 52},
  [8056] = {.lex_state = 61, .external_lex_state = 53},
  [8057] = {.lex_state = 63},
  [8058] = {.lex_state = 55, .external_lex_state = 51},
  [8059] = {.lex_state = 61, .external_lex_state = 51},
  [8060] = {.lex_state = 4},
  [8061] = {.lex_state = 63, .external_lex_state = 23},
  [8062] = {.lex_state = 63},
  [8063] = {.lex_state = 57, .external_lex_state = 28},
  [8064] = {.lex_state = 63, .external_lex_state = 34},
  [8065] = {.lex_state = 63},
  [8066] = {.lex_state = 4},
  [8067] = {.lex_state = 63, .external_lex_state = 35},
  [8068] = {.lex_state = 56, .external_lex_state = 52},
  [8069] = {.lex_state = 57, .external_lex_state = 52},
  [8070] = {.lex_state = 58, .external_lex_state = 28},
  [8071] = {.lex_state = 63},
  [8072] = {.lex_state = 52, .external_lex_state = 52},
  [8073] = {.lex_state = 63},
  [8074] = {.lex_state = 63, .external_lex_state = 54},
  [8075] = {.lex_state = 52, .external_lex_state = 26},
  [8076] = {.lex_state = 4},
  [8077] = {.lex_state = 63},
  [8078] = {.lex_state = 52, .external_lex_state = 44},
  [8079] = {.lex_state = 58, .external_lex_state = 34},
  [8080] = {.lex_state = 52, .external_lex_state = 40},
  [8081] = {.lex_state = 57, .external_lex_state = 29},
  [8082] = {.lex_state = 55, .external_lex_state = 51},
  [8083] = {.lex_state = 58, .external_lex_state = 52},
  [8084] = {.lex_state = 63},
  [8085] = {.lex_state = 52, .external_lex_state = 50},
  [8086] = {.lex_state = 63, .external_lex_state = 23},
  [8087] = {.lex_state = 3},
  [8088] = {.lex_state = 61, .external_lex_state = 33},
  [8089] = {.lex_state = 58, .external_lex_state = 28},
  [8090] = {.lex_state = 63, .external_lex_state = 40},
  [8091] = {.lex_state = 63, .external_lex_state = 50},
  [8092] = {.lex_state = 63, .external_lex_state = 49},
  [8093] = {.lex_state = 58, .external_lex_state = 38},
  [8094] = {.lex_state = 52, .external_lex_state = 23},
  [8095] = {.lex_state = 57},
  [8096] = {.lex_state = 52, .external_lex_state = 30},
  [8097] = {.lex_state = 63, .external_lex_state = 47},
  [8098] = {.lex_state = 57, .external_lex_state = 34},
  [8099] = {.lex_state = 62, .external_lex_state = 51},
  [8100] = {.lex_state = 56, .external_lex_state = 38},
  [8101] = {.lex_state = 61, .external_lex_state = 48},
  [8102] = {.lex_state = 63, .external_lex_state = 47},
  [8103] = {.lex_state = 63, .external_lex_state = 47},
  [8104] = {.lex_state = 3},
  [8105] = {.lex_state = 52, .external_lex_state = 23},
  [8106] = {.lex_state = 52, .external_lex_state = 27},
  [8107] = {.lex_state = 56, .external_lex_state = 38},
  [8108] = {.lex_state = 58, .external_lex_state = 38},
  [8109] = {.lex_state = 20, .external_lex_state = 51},
  [8110] = {.lex_state = 52, .external_lex_state = 30},
  [8111] = {.lex_state = 63, .external_lex_state = 50},
  [8112] = {.lex_state = 61, .external_lex_state = 27},
  [8113] = {.lex_state = 63, .external_lex_state = 49},
  [8114] = {.lex_state = 63, .external_lex_state = 47},
  [8115] = {.lex_state = 63, .external_lex_state = 49},
  [8116] = {.lex_state = 56, .external_lex_state = 38},
  [8117] = {.lex_state = 63, .external_lex_state = 50},
  [8118] = {.lex_state = 21, .external_lex_state = 51},
  [8119] = {.lex_state = 63, .external_lex_state = 49},
  [8120] = {.lex_state = 63, .external_lex_state = 49},
  [8121] = {.lex_state = 61, .external_lex_state = 51},
  [8122] = {.lex_state = 63, .external_lex_state = 47},
  [8123] = {.lex_state = 65, .external_lex_state = 26},
  [8124] = {.lex_state = 63, .external_lex_state = 49},
  [8125] = {.lex_state = 3},
  [8126] = {.lex_state = 63, .external_lex_state = 38},
  [8127] = {.lex_state = 63, .external_lex_state = 50},
  [8128] = {.lex_state = 52, .external_lex_state = 23},
  [8129] = {.lex_state = 63, .external_lex_state = 50},
  [8130] = {.lex_state = 57, .external_lex_state = 34},
  [8131] = {.lex_state = 52, .external_lex_state = 23},
  [8132] = {.lex_state = 63, .external_lex_state = 50},
  [8133] = {.lex_state = 20, .external_lex_state = 51},
  [8134] = {.lex_state = 63, .external_lex_state = 50},
  [8135] = {.lex_state = 63, .external_lex_state = 49},
  [8136] = {.lex_state = 52, .external_lex_state = 58},
  [8137] = {.lex_state = 63, .external_lex_state = 50},
  [8138] = {.lex_state = 52, .external_lex_state = 57},
  [8139] = {.lex_state = 61, .external_lex_state = 37},
  [8140] = {.lex_state = 58, .external_lex_state = 38},
  [8141] = {.lex_state = 56, .external_lex_state = 38},
  [8142] = {.lex_state = 61, .external_lex_state = 37},
  [8143] = {.lex_state = 52, .external_lex_state = 37},
  [8144] = {.lex_state = 63, .external_lex_state = 50},
  [8145] = {.lex_state = 52, .external_lex_state = 30},
  [8146] = {.lex_state = 63, .external_lex_state = 50},
  [8147] = {.lex_state = 20, .external_lex_state = 51},
  [8148] = {.lex_state = 63, .external_lex_state = 56},
  [8149] = {.lex_state = 61, .external_lex_state = 33},
  [8150] = {.lex_state = 61, .external_lex_state = 37},
  [8151] = {.lex_state = 56, .external_lex_state = 38},
  [8152] = {.lex_state = 63, .external_lex_state = 50},
  [8153] = {.lex_state = 57, .external_lex_state = 34},
  [8154] = {.lex_state = 63, .external_lex_state = 26},
  [8155] = {.lex_state = 3},
  [8156] = {.lex_state = 63, .external_lex_state = 49},
  [8157] = {.lex_state = 52, .external_lex_state = 52},
  [8158] = {.lex_state = 58, .external_lex_state = 38},
  [8159] = {.lex_state = 3},
  [8160] = {.lex_state = 52, .external_lex_state = 35},
  [8161] = {.lex_state = 64, .external_lex_state = 52},
  [8162] = {.lex_state = 63, .external_lex_state = 36},
  [8163] = {.lex_state = 52, .external_lex_state = 23},
  [8164] = {.lex_state = 63, .external_lex_state = 47},
  [8165] = {.lex_state = 63, .external_lex_state = 49},
  [8166] = {.lex_state = 57, .external_lex_state = 35},
  [8167] = {.lex_state = 57},
  [8168] = {.lex_state = 52, .external_lex_state = 23},
  [8169] = {.lex_state = 18},
  [8170] = {.lex_state = 63, .external_lex_state = 26},
  [8171] = {.lex_state = 63, .external_lex_state = 48},
  [8172] = {.lex_state = 63, .external_lex_state = 47},
  [8173] = {.lex_state = 63, .external_lex_state = 47},
  [8174] = {.lex_state = 3},
  [8175] = {.lex_state = 52, .external_lex_state = 23},
  [8176] = {.lex_state = 3},
  [8177] = {.lex_state = 52, .external_lex_state = 23},
  [8178] = {.lex_state = 63, .external_lex_state = 37},
  [8179] = {.lex_state = 58, .external_lex_state = 38},
  [8180] = {.lex_state = 63, .external_lex_state = 48},
  [8181] = {.lex_state = 63, .external_lex_state = 47},
  [8182] = {.lex_state = 57, .external_lex_state = 34},
  [8183] = {.lex_state = 63, .external_lex_state = 38},
  [8184] = {.lex_state = 63, .external_lex_state = 47},
  [8185] = {.lex_state = 63, .external_lex_state = 56},
  [8186] = {.lex_state = 63, .external_lex_state = 47},
  [8187] = {.lex_state = 63, .external_lex_state = 50},
  [8188] = {.lex_state = 63, .external_lex_state = 29},
  [8189] = {.lex_state = 63, .external_lex_state = 50},
  [8190] = {.lex_state = 52, .external_lex_state = 30},
  [8191] = {.lex_state = 63, .external_lex_state = 49},
  [8192] = {.lex_state = 61, .external_lex_state = 28},
  [8193] = {.lex_state = 56, .external_lex_state = 38},
  [8194] = {.lex_state = 63, .external_lex_state = 29},
  [8195] = {.lex_state = 63, .external_lex_state = 47},
  [8196] = {.lex_state = 52, .external_lex_state = 34},
  [8197] = {.lex_state = 63, .external_lex_state = 47},
  [8198] = {.lex_state = 58, .external_lex_state = 38},
  [8199] = {.lex_state = 63, .external_lex_state = 47},
  [8200] = {.lex_state = 58, .external_lex_state = 38},
  [8201] = {.lex_state = 63, .external_lex_state = 48},
  [8202] = {.lex_state = 61, .external_lex_state = 28},
  [8203] = {.lex_state = 57},
  [8204] = {.lex_state = 63, .external_lex_state = 48},
  [8205] = {.lex_state = 63, .external_lex_state = 48},
  [8206] = {.lex_state = 57, .external_lex_state = 35},
  [8207] = {.lex_state = 63, .external_lex_state = 47},
  [8208] = {.lex_state = 63, .external_lex_state = 49},
  [8209] = {.lex_state = 58, .external_lex_state = 34},
  [8210] = {.lex_state = 57, .external_lex_state = 34},
  [8211] = {.lex_state = 63, .external_lex_state = 47},
  [8212] = {.lex_state = 52},
  [8213] = {.lex_state = 64, .external_lex_state = 38},
  [8214] = {.lex_state = 56, .external_lex_state = 38},
  [8215] = {.lex_state = 63, .external_lex_state = 50},
  [8216] = {.lex_state = 52, .external_lex_state = 30},
  [8217] = {.lex_state = 63, .external_lex_state = 47},
  [8218] = {.lex_state = 64, .external_lex_state = 38},
  [8219] = {.lex_state = 63, .external_lex_state = 50},
  [8220] = {.lex_state = 65, .external_lex_state = 26},
  [8221] = {.lex_state = 63, .external_lex_state = 47},
  [8222] = {.lex_state = 57, .external_lex_state = 34},
  [8223] = {.lex_state = 63, .external_lex_state = 50},
  [8224] = {.lex_state = 52, .external_lex_state = 42},
  [8225] = {.lex_state = 58, .external_lex_state = 35},
  [8226] = {.lex_state = 63, .external_lex_state = 50},
  [8227] = {.lex_state = 57, .external_lex_state = 34},
  [8228] = {.lex_state = 63, .external_lex_state = 50},
  [8229] = {.lex_state = 58, .external_lex_state = 29},
  [8230] = {.lex_state = 63, .external_lex_state = 27},
  [8231] = {.lex_state = 63},
  [8232] = {.lex_state = 52, .external_lex_state = 27},
  [8233] = {.lex_state = 52, .external_lex_state = 44},
  [8234] = {.lex_state = 63, .external_lex_state = 47},
  [8235] = {.lex_state = 63},
  [8236] = {.lex_state = 63, .external_lex_state = 48},
  [8237] = {.lex_state = 63, .external_lex_state = 50},
  [8238] = {.lex_state = 52, .external_lex_state = 30},
  [8239] = {.lex_state = 63, .external_lex_state = 49},
  [8240] = {.lex_state = 63, .external_lex_state = 50},
  [8241] = {.lex_state = 63, .external_lex_state = 50},
  [8242] = {.lex_state = 58, .external_lex_state = 38},
  [8243] = {.lex_state = 63, .external_lex_state = 47},
  [8244] = {.lex_state = 61, .external_lex_state = 33},
  [8245] = {.lex_state = 61, .external_lex_state = 33},
  [8246] = {.lex_state = 52, .external_lex_state = 38},
  [8247] = {.lex_state = 58, .external_lex_state = 29},
  [8248] = {.lex_state = 61, .external_lex_state = 33},
  [8249] = {.lex_state = 54},
  [8250] = {.lex_state = 56, .external_lex_state = 38},
  [8251] = {.lex_state = 56, .external_lex_state = 34},
  [8252] = {.lex_state = 63, .external_lex_state = 50},
  [8253] = {.lex_state = 63, .external_lex_state = 47},
  [8254] = {.lex_state = 63, .external_lex_state = 49},
  [8255] = {.lex_state = 63, .external_lex_state = 29},
  [8256] = {.lex_state = 63, .external_lex_state = 52},
  [8257] = {.lex_state = 63, .external_lex_state = 40},
  [8258] = {.lex_state = 57, .external_lex_state = 34},
  [8259] = {.lex_state = 63, .external_lex_state = 48},
  [8260] = {.lex_state = 63, .external_lex_state = 49},
  [8261] = {.lex_state = 52, .external_lex_state = 44},
  [8262] = {.lex_state = 63, .external_lex_state = 55},
  [8263] = {.lex_state = 52, .external_lex_state = 47},
  [8264] = {.lex_state = 63, .external_lex_state = 29},
  [8265] = {.lex_state = 52, .external_lex_state = 30},
  [8266] = {.lex_state = 61, .external_lex_state = 51},
  [8267] = {.lex_state = 63, .external_lex_state = 52},
  [8268] = {.lex_state = 62, .external_lex_state = 52},
  [8269] = {.lex_state = 63, .external_lex_state = 48},
  [8270] = {.lex_state = 63, .external_lex_state = 49},
  [8271] = {.lex_state = 63, .external_lex_state = 48},
  [8272] = {.lex_state = 52, .external_lex_state = 23},
  [8273] = {.lex_state = 3},
  [8274] = {.lex_state = 61, .external_lex_state = 36},
  [8275] = {.lex_state = 52},
  [8276] = {.lex_state = 56, .external_lex_state = 38},
  [8277] = {.lex_state = 10, .external_lex_state = 51},
  [8278] = {.lex_state = 63, .external_lex_state = 29},
  [8279] = {.lex_state = 57},
  [8280] = {.lex_state = 63, .external_lex_state = 26},
  [8281] = {.lex_state = 9, .external_lex_state = 51},
  [8282] = {.lex_state = 52},
  [8283] = {.lex_state = 3},
  [8284] = {.lex_state = 52, .external_lex_state = 35},
  [8285] = {.lex_state = 56, .external_lex_state = 38},
  [8286] = {.lex_state = 52, .external_lex_state = 31},
  [8287] = {.lex_state = 63, .external_lex_state = 27},
  [8288] = {.lex_state = 57},
  [8289] = {.lex_state = 63, .external_lex_state = 49},
  [8290] = {.lex_state = 63},
  [8291] = {.lex_state = 63, .external_lex_state = 48},
  [8292] = {.lex_state = 52, .external_lex_state = 31},
  [8293] = {.lex_state = 57, .external_lex_state = 35},
  [8294] = {.lex_state = 63, .external_lex_state = 54},
  [8295] = {.lex_state = 63, .external_lex_state = 50},
  [8296] = {.lex_state = 52, .external_lex_state = 30},
  [8297] = {.lex_state = 63, .external_lex_state = 47},
  [8298] = {.lex_state = 57, .external_lex_state = 35},
  [8299] = {.lex_state = 63, .external_lex_state = 49},
  [8300] = {.lex_state = 64, .external_lex_state = 38},
  [8301] = {.lex_state = 63, .external_lex_state = 48},
  [8302] = {.lex_state = 61, .external_lex_state = 53},
  [8303] = {.lex_state = 52, .external_lex_state = 31},
  [8304] = {.lex_state = 63, .external_lex_state = 42},
  [8305] = {.lex_state = 58, .external_lex_state = 34},
  [8306] = {.lex_state = 57, .external_lex_state = 34},
  [8307] = {.lex_state = 63, .external_lex_state = 50},
  [8308] = {.lex_state = 52, .external_lex_state = 43},
  [8309] = {.lex_state = 63, .external_lex_state = 50},
  [8310] = {.lex_state = 57},
  [8311] = {.lex_state = 63, .external_lex_state = 50},
  [8312] = {.lex_state = 57, .external_lex_state = 35},
  [8313] = {.lex_state = 63, .external_lex_state = 48},
  [8314] = {.lex_state = 10, .external_lex_state = 51},
  [8315] = {.lex_state = 58, .external_lex_state = 34},
  [8316] = {.lex_state = 63, .external_lex_state = 47},
  [8317] = {.lex_state = 63, .external_lex_state = 33},
  [8318] = {.lex_state = 63, .external_lex_state = 54},
  [8319] = {.lex_state = 63, .external_lex_state = 33},
  [8320] = {.lex_state = 63},
  [8321] = {.lex_state = 58, .external_lex_state = 34},
  [8322] = {.lex_state = 61, .external_lex_state = 33},
  [8323] = {.lex_state = 52, .external_lex_state = 30},
  [8324] = {.lex_state = 57, .external_lex_state = 35},
  [8325] = {.lex_state = 63},
  [8326] = {.lex_state = 52},
  [8327] = {.lex_state = 57, .external_lex_state = 34},
  [8328] = {.lex_state = 52, .external_lex_state = 31},
  [8329] = {.lex_state = 61, .external_lex_state = 33},
  [8330] = {.lex_state = 52, .external_lex_state = 30},
  [8331] = {.lex_state = 63},
  [8332] = {.lex_state = 63, .external_lex_state = 26},
  [8333] = {.lex_state = 63, .external_lex_state = 48},
  [8334] = {.lex_state = 63, .external_lex_state = 47},
  [8335] = {.lex_state = 63, .external_lex_state = 56},
  [8336] = {.lex_state = 52, .external_lex_state = 23},
  [8337] = {.lex_state = 61, .external_lex_state = 35},
  [8338] = {.lex_state = 52, .external_lex_state = 52},
  [8339] = {.lex_state = 58, .external_lex_state = 34},
  [8340] = {.lex_state = 61, .external_lex_state = 33},
  [8341] = {.lex_state = 52, .external_lex_state = 31},
  [8342] = {.lex_state = 52, .external_lex_state = 31},
  [8343] = {.lex_state = 63, .external_lex_state = 48},
  [8344] = {.lex_state = 52, .external_lex_state = 43},
  [8345] = {.lex_state = 52, .external_lex_state = 31},
  [8346] = {.lex_state = 63, .external_lex_state = 48},
  [8347] = {.lex_state = 52, .external_lex_state = 38},
  [8348] = {.lex_state = 63, .external_lex_state = 48},
  [8349] = {.lex_state = 52, .external_lex_state = 48},
  [8350] = {.lex_state = 62, .external_lex_state = 38},
  [8351] = {.lex_state = 56, .external_lex_state = 38},
  [8352] = {.lex_state = 61, .external_lex_state = 33},
  [8353] = {.lex_state = 63, .external_lex_state = 50},
  [8354] = {.lex_state = 58, .external_lex_state = 34},
  [8355] = {.lex_state = 52, .external_lex_state = 37},
  [8356] = {.lex_state = 63, .external_lex_state = 51},
  [8357] = {.lex_state = 52, .external_lex_state = 30},
  [8358] = {.lex_state = 61, .external_lex_state = 34},
  [8359] = {.lex_state = 61, .external_lex_state = 36},
  [8360] = {.lex_state = 58, .external_lex_state = 34},
  [8361] = {.lex_state = 10, .external_lex_state = 51},
  [8362] = {.lex_state = 61, .external_lex_state = 36},
  [8363] = {.lex_state = 61, .external_lex_state = 36},
  [8364] = {.lex_state = 61, .external_lex_state = 53},
  [8365] = {.lex_state = 52, .external_lex_state = 31},
  [8366] = {.lex_state = 56, .external_lex_state = 34},
  [8367] = {.lex_state = 63, .external_lex_state = 49},
  [8368] = {.lex_state = 57, .external_lex_state = 34},
  [8369] = {.lex_state = 63, .external_lex_state = 48},
  [8370] = {.lex_state = 63, .external_lex_state = 48},
  [8371] = {.lex_state = 61, .external_lex_state = 38},
  [8372] = {.lex_state = 63, .external_lex_state = 48},
  [8373] = {.lex_state = 64, .external_lex_state = 38},
  [8374] = {.lex_state = 63, .external_lex_state = 48},
  [8375] = {.lex_state = 63, .external_lex_state = 51},
  [8376] = {.lex_state = 56, .external_lex_state = 38},
  [8377] = {.lex_state = 62, .external_lex_state = 38},
  [8378] = {.lex_state = 61, .external_lex_state = 37},
  [8379] = {.lex_state = 63, .external_lex_state = 42},
  [8380] = {.lex_state = 63, .external_lex_state = 47},
  [8381] = {.lex_state = 63, .external_lex_state = 47},
  [8382] = {.lex_state = 63, .external_lex_state = 52},
  [8383] = {.lex_state = 10, .external_lex_state = 51},
  [8384] = {.lex_state = 63, .external_lex_state = 48},
  [8385] = {.lex_state = 63, .external_lex_state = 47},
  [8386] = {.lex_state = 52, .external_lex_state = 28},
  [8387] = {.lex_state = 63, .external_lex_state = 47},
  [8388] = {.lex_state = 52, .external_lex_state = 31},
  [8389] = {.lex_state = 63, .external_lex_state = 47},
  [8390] = {.lex_state = 57, .external_lex_state = 35},
  [8391] = {.lex_state = 63, .external_lex_state = 48},
  [8392] = {.lex_state = 52, .external_lex_state = 24},
  [8393] = {.lex_state = 63, .external_lex_state = 49},
  [8394] = {.lex_state = 63, .external_lex_state = 58},
  [8395] = {.lex_state = 63, .external_lex_state = 51},
  [8396] = {.lex_state = 63, .external_lex_state = 48},
  [8397] = {.lex_state = 64, .external_lex_state = 38},
  [8398] = {.lex_state = 52, .external_lex_state = 28},
  [8399] = {.lex_state = 58, .external_lex_state = 38},
  [8400] = {.lex_state = 52, .external_lex_state = 23},
  [8401] = {.lex_state = 56, .external_lex_state = 34},
  [8402] = {.lex_state = 63},
  [8403] = {.lex_state = 52, .external_lex_state = 30},
  [8404] = {.lex_state = 63, .external_lex_state = 52},
  [8405] = {.lex_state = 63, .external_lex_state = 48},
  [8406] = {.lex_state = 52, .external_lex_state = 30},
  [8407] = {.lex_state = 52, .external_lex_state = 30},
  [8408] = {.lex_state = 57, .external_lex_state = 34},
  [8409] = {.lex_state = 3},
  [8410] = {.lex_state = 61, .external_lex_state = 37},
  [8411] = {.lex_state = 63, .external_lex_state = 49},
  [8412] = {.lex_state = 63, .external_lex_state = 48},
  [8413] = {.lex_state = 52, .external_lex_state = 24},
  [8414] = {.lex_state = 57},
  [8415] = {.lex_state = 52, .external_lex_state = 28},
  [8416] = {.lex_state = 9, .external_lex_state = 51},
  [8417] = {.lex_state = 61, .external_lex_state = 37},
  [8418] = {.lex_state = 58, .external_lex_state = 59},
  [8419] = {.lex_state = 57, .external_lex_state = 35},
  [8420] = {.lex_state = 63, .external_lex_state = 48},
  [8421] = {.lex_state = 52, .external_lex_state = 30},
  [8422] = {.lex_state = 52, .external_lex_state = 46},
  [8423] = {.lex_state = 57},
  [8424] = {.lex_state = 52, .external_lex_state = 54},
  [8425] = {.lex_state = 58, .external_lex_state = 35},
  [8426] = {.lex_state = 58, .external_lex_state = 35},
  [8427] = {.lex_state = 58, .external_lex_state = 34},
  [8428] = {.lex_state = 61, .external_lex_state = 37},
  [8429] = {.lex_state = 58, .external_lex_state = 35},
  [8430] = {.lex_state = 61, .external_lex_state = 37},
  [8431] = {.lex_state = 9, .external_lex_state = 51},
  [8432] = {.lex_state = 63, .external_lex_state = 50},
  [8433] = {.lex_state = 57, .external_lex_state = 35},
  [8434] = {.lex_state = 11, .external_lex_state = 51},
  [8435] = {.lex_state = 52, .external_lex_state = 55},
  [8436] = {.lex_state = 58, .external_lex_state = 38},
  [8437] = {.lex_state = 63},
  [8438] = {.lex_state = 58, .external_lex_state = 38},
  [8439] = {.lex_state = 63, .external_lex_state = 48},
  [8440] = {.lex_state = 61, .external_lex_state = 37},
  [8441] = {.lex_state = 9, .external_lex_state = 51},
  [8442] = {.lex_state = 63, .external_lex_state = 48},
  [8443] = {.lex_state = 63, .external_lex_state = 49},
  [8444] = {.lex_state = 61, .external_lex_state = 37},
  [8445] = {.lex_state = 54},
  [8446] = {.lex_state = 57, .external_lex_state = 35},
  [8447] = {.lex_state = 63, .external_lex_state = 49},
  [8448] = {.lex_state = 9, .external_lex_state = 51},
  [8449] = {.lex_state = 58, .external_lex_state = 35},
  [8450] = {.lex_state = 61, .external_lex_state = 49},
  [8451] = {.lex_state = 62, .external_lex_state = 38},
  [8452] = {.lex_state = 58, .external_lex_state = 38},
  [8453] = {.lex_state = 63, .external_lex_state = 48},
  [8454] = {.lex_state = 9, .external_lex_state = 51},
  [8455] = {.lex_state = 63, .external_lex_state = 49},
  [8456] = {.lex_state = 63, .external_lex_state = 53},
  [8457] = {.lex_state = 63, .external_lex_state = 56},
  [8458] = {.lex_state = 52, .external_lex_state = 29},
  [8459] = {.lex_state = 52, .external_lex_state = 30},
  [8460] = {.lex_state = 63, .external_lex_state = 48},
  [8461] = {.lex_state = 63, .external_lex_state = 38},
  [8462] = {.lex_state = 63, .external_lex_state = 48},
  [8463] = {.lex_state = 52, .external_lex_state = 40},
  [8464] = {.lex_state = 58, .external_lex_state = 34},
  [8465] = {.lex_state = 57},
  [8466] = {.lex_state = 52, .external_lex_state = 23},
  [8467] = {.lex_state = 63, .external_lex_state = 47},
  [8468] = {.lex_state = 58, .external_lex_state = 34},
  [8469] = {.lex_state = 63, .external_lex_state = 47},
  [8470] = {.lex_state = 63, .external_lex_state = 49},
  [8471] = {.lex_state = 64, .external_lex_state = 52},
  [8472] = {.lex_state = 58, .external_lex_state = 34},
  [8473] = {.lex_state = 63},
  [8474] = {.lex_state = 57, .external_lex_state = 35},
  [8475] = {.lex_state = 63, .external_lex_state = 47},
  [8476] = {.lex_state = 63, .external_lex_state = 50},
  [8477] = {.lex_state = 63, .external_lex_state = 49},
  [8478] = {.lex_state = 65, .external_lex_state = 26},
  [8479] = {.lex_state = 57, .external_lex_state = 34},
  [8480] = {.lex_state = 63, .external_lex_state = 52},
  [8481] = {.lex_state = 58, .external_lex_state = 34},
  [8482] = {.lex_state = 63, .external_lex_state = 48},
  [8483] = {.lex_state = 64, .external_lex_state = 52},
  [8484] = {.lex_state = 52, .external_lex_state = 30},
  [8485] = {.lex_state = 63, .external_lex_state = 47},
  [8486] = {.lex_state = 61, .external_lex_state = 36},
  [8487] = {.lex_state = 64, .external_lex_state = 52},
  [8488] = {.lex_state = 65, .external_lex_state = 26},
  [8489] = {.lex_state = 63, .external_lex_state = 48},
  [8490] = {.lex_state = 56, .external_lex_state = 38},
  [8491] = {.lex_state = 63, .external_lex_state = 47},
  [8492] = {.lex_state = 63, .external_lex_state = 29},
  [8493] = {.lex_state = 62, .external_lex_state = 38},
  [8494] = {.lex_state = 65, .external_lex_state = 26},
  [8495] = {.lex_state = 63, .external_lex_state = 50},
  [8496] = {.lex_state = 63, .external_lex_state = 50},
  [8497] = {.lex_state = 63, .external_lex_state = 57},
  [8498] = {.lex_state = 62, .external_lex_state = 52},
  [8499] = {.lex_state = 63, .external_lex_state = 50},
  [8500] = {.lex_state = 63, .external_lex_state = 50},
  [8501] = {.lex_state = 61, .external_lex_state = 33},
  [8502] = {.lex_state = 63, .external_lex_state = 49},
  [8503] = {.lex_state = 61, .external_lex_state = 52},
  [8504] = {.lex_state = 63, .external_lex_state = 50},
  [8505] = {.lex_state = 63, .external_lex_state = 52},
  [8506] = {.lex_state = 9, .external_lex_state = 51},
  [8507] = {.lex_state = 57, .external_lex_state = 34},
  [8508] = {.lex_state = 63, .external_lex_state = 50},
  [8509] = {.lex_state = 63, .external_lex_state = 55},
  [8510] = {.lex_state = 52, .external_lex_state = 30},
  [8511] = {.lex_state = 57, .external_lex_state = 35},
  [8512] = {.lex_state = 63, .external_lex_state = 24},
  [8513] = {.lex_state = 52, .external_lex_state = 34},
  [8514] = {.lex_state = 52, .external_lex_state = 31},
  [8515] = {.lex_state = 9, .external_lex_state = 51},
  [8516] = {.lex_state = 63, .external_lex_state = 49},
  [8517] = {.lex_state = 58, .external_lex_state = 34},
  [8518] = {.lex_state = 63, .external_lex_state = 49},
  [8519] = {.lex_state = 62, .external_lex_state = 38},
  [8520] = {.lex_state = 61, .external_lex_state = 55},
  [8521] = {.lex_state = 63, .external_lex_state = 49},
  [8522] = {.lex_state = 61, .external_lex_state = 37},
  [8523] = {.lex_state = 52, .external_lex_state = 53},
  [8524] = {.lex_state = 52, .external_lex_state = 31},
  [8525] = {.lex_state = 63, .external_lex_state = 47},
  [8526] = {.lex_state = 63, .external_lex_state = 47},
  [8527] = {.lex_state = 63, .external_lex_state = 48},
  [8528] = {.lex_state = 17, .external_lex_state = 51},
  [8529] = {.lex_state = 11, .external_lex_state = 51},
  [8530] = {.lex_state = 52, .external_lex_state = 31},
  [8531] = {.lex_state = 63},
  [8532] = {.lex_state = 63, .external_lex_state = 26},
  [8533] = {.lex_state = 52, .external_lex_state = 54},
  [8534] = {.lex_state = 63, .external_lex_state = 47},
  [8535] = {.lex_state = 63, .external_lex_state = 50},
  [8536] = {.lex_state = 9, .external_lex_state = 51},
  [8537] = {.lex_state = 63, .external_lex_state = 48},
  [8538] = {.lex_state = 63, .external_lex_state = 50},
  [8539] = {.lex_state = 63, .external_lex_state = 50},
  [8540] = {.lex_state = 52, .external_lex_state = 55},
  [8541] = {.lex_state = 63, .external_lex_state = 50},
  [8542] = {.lex_state = 57, .external_lex_state = 35},
  [8543] = {.lex_state = 61, .external_lex_state = 54},
  [8544] = {.lex_state = 57, .external_lex_state = 34},
  [8545] = {.lex_state = 58, .external_lex_state = 28},
  [8546] = {.lex_state = 62, .external_lex_state = 51},
  [8547] = {.lex_state = 61, .external_lex_state = 34},
  [8548] = {.lex_state = 61, .external_lex_state = 36},
  [8549] = {.lex_state = 63, .external_lex_state = 49},
  [8550] = {.lex_state = 56, .external_lex_state = 38},
  [8551] = {.lex_state = 57, .external_lex_state = 35},
  [8552] = {.lex_state = 63, .external_lex_state = 49},
  [8553] = {.lex_state = 61, .external_lex_state = 34},
  [8554] = {.lex_state = 63, .external_lex_state = 48},
  [8555] = {.lex_state = 63, .external_lex_state = 28},
  [8556] = {.lex_state = 57, .external_lex_state = 35},
  [8557] = {.lex_state = 9, .external_lex_state = 51},
  [8558] = {.lex_state = 52, .external_lex_state = 29},
  [8559] = {.lex_state = 63, .external_lex_state = 49},
  [8560] = {.lex_state = 61, .external_lex_state = 37},
  [8561] = {.lex_state = 61, .external_lex_state = 55},
  [8562] = {.lex_state = 63, .external_lex_state = 36},
  [8563] = {.lex_state = 63, .external_lex_state = 48},
  [8564] = {.lex_state = 62, .external_lex_state = 38},
  [8565] = {.lex_state = 61, .external_lex_state = 54},
  [8566] = {.lex_state = 57},
  [8567] = {.lex_state = 19, .external_lex_state = 51},
  [8568] = {.lex_state = 63, .external_lex_state = 49},
  [8569] = {.lex_state = 63, .external_lex_state = 49},
  [8570] = {.lex_state = 52, .external_lex_state = 29},
  [8571] = {.lex_state = 58, .external_lex_state = 38},
  [8572] = {.lex_state = 63, .external_lex_state = 49},
  [8573] = {.lex_state = 52, .external_lex_state = 29},
  [8574] = {.lex_state = 61, .external_lex_state = 47},
  [8575] = {.lex_state = 63, .external_lex_state = 49},
  [8576] = {.lex_state = 63, .external_lex_state = 28},
  [8577] = {.lex_state = 63, .external_lex_state = 36},
  [8578] = {.lex_state = 63, .external_lex_state = 28},
  [8579] = {.lex_state = 63, .external_lex_state = 48},
  [8580] = {.lex_state = 61, .external_lex_state = 34},
  [8581] = {.lex_state = 64, .external_lex_state = 38},
  [8582] = {.lex_state = 63, .external_lex_state = 48},
  [8583] = {.lex_state = 52, .external_lex_state = 23},
  [8584] = {.lex_state = 61, .external_lex_state = 36},
  [8585] = {.lex_state = 57, .external_lex_state = 35},
  [8586] = {.lex_state = 63, .external_lex_state = 28},
  [8587] = {.lex_state = 63, .external_lex_state = 48},
  [8588] = {.lex_state = 61, .external_lex_state = 36},
  [8589] = {.lex_state = 61, .external_lex_state = 37},
  [8590] = {.lex_state = 61, .external_lex_state = 37},
  [8591] = {.lex_state = 63},
  [8592] = {.lex_state = 63, .external_lex_state = 47},
  [8593] = {.lex_state = 56, .external_lex_state = 35},
  [8594] = {.lex_state = 19, .external_lex_state = 51},
  [8595] = {.lex_state = 52, .external_lex_state = 23},
  [8596] = {.lex_state = 52, .external_lex_state = 36},
  [8597] = {.lex_state = 52, .external_lex_state = 58},
  [8598] = {.lex_state = 63},
  [8599] = {.lex_state = 63, .external_lex_state = 47},
  [8600] = {.lex_state = 63, .external_lex_state = 49},
  [8601] = {.lex_state = 57},
  [8602] = {.lex_state = 61, .external_lex_state = 36},
  [8603] = {.lex_state = 63, .external_lex_state = 37},
  [8604] = {.lex_state = 3},
  [8605] = {.lex_state = 63},
  [8606] = {.lex_state = 63, .external_lex_state = 49},
  [8607] = {.lex_state = 61, .external_lex_state = 52},
  [8608] = {.lex_state = 61, .external_lex_state = 27},
  [8609] = {.lex_state = 57},
  [8610] = {.lex_state = 61, .external_lex_state = 36},
  [8611] = {.lex_state = 61, .external_lex_state = 29},
  [8612] = {.lex_state = 63, .external_lex_state = 58},
  [8613] = {.lex_state = 63, .external_lex_state = 28},
  [8614] = {.lex_state = 56, .external_lex_state = 35},
  [8615] = {.lex_state = 56, .external_lex_state = 35},
  [8616] = {.lex_state = 52, .external_lex_state = 45},
  [8617] = {.lex_state = 63, .external_lex_state = 49},
  [8618] = {.lex_state = 57, .external_lex_state = 34},
  [8619] = {.lex_state = 59, .external_lex_state = 38},
  [8620] = {.lex_state = 9, .external_lex_state = 51},
  [8621] = {.lex_state = 52, .external_lex_state = 23},
  [8622] = {.lex_state = 52, .external_lex_state = 23},
  [8623] = {.lex_state = 63, .external_lex_state = 23},
  [8624] = {.lex_state = 52, .external_lex_state = 23},
  [8625] = {.lex_state = 63, .external_lex_state = 47},
  [8626] = {.lex_state = 63, .external_lex_state = 48},
  [8627] = {.lex_state = 57},
  [8628] = {.lex_state = 52, .external_lex_state = 53},
  [8629] = {.lex_state = 63, .external_lex_state = 47},
  [8630] = {.lex_state = 63, .external_lex_state = 48},
  [8631] = {.lex_state = 63, .external_lex_state = 57},
  [8632] = {.lex_state = 63, .external_lex_state = 50},
  [8633] = {.lex_state = 9, .external_lex_state = 51},
  [8634] = {.lex_state = 61, .external_lex_state = 33},
  [8635] = {.lex_state = 63, .external_lex_state = 49},
  [8636] = {.lex_state = 63, .external_lex_state = 49},
  [8637] = {.lex_state = 52, .external_lex_state = 45},
  [8638] = {.lex_state = 57, .external_lex_state = 34},
  [8639] = {.lex_state = 63, .external_lex_state = 47},
  [8640] = {.lex_state = 52, .external_lex_state = 28},
  [8641] = {.lex_state = 61, .external_lex_state = 36},
  [8642] = {.lex_state = 52, .external_lex_state = 57},
  [8643] = {.lex_state = 61, .external_lex_state = 36},
  [8644] = {.lex_state = 9, .external_lex_state = 51},
  [8645] = {.lex_state = 63, .external_lex_state = 49},
  [8646] = {.lex_state = 63, .external_lex_state = 47},
  [8647] = {.lex_state = 61, .external_lex_state = 35},
  [8648] = {.lex_state = 59, .external_lex_state = 38},
  [8649] = {.lex_state = 63, .external_lex_state = 47},
  [8650] = {.lex_state = 63, .external_lex_state = 49},
  [8651] = {.lex_state = 63, .external_lex_state = 51},
  [8652] = {.lex_state = 58, .external_lex_state = 35},
  [8653] = {.lex_state = 61, .external_lex_state = 33},
  [8654] = {.lex_state = 63, .external_lex_state = 47},
  [8655] = {.lex_state = 63, .external_lex_state = 49},
  [8656] = {.lex_state = 63, .external_lex_state = 49},
  [8657] = {.lex_state = 63, .external_lex_state = 33},
  [8658] = {.lex_state = 61, .external_lex_state = 38},
  [8659] = {.lex_state = 61, .external_lex_state = 35},
  [8660] = {.lex_state = 63, .external_lex_state = 50},
  [8661] = {.lex_state = 63, .external_lex_state = 49},
  [8662] = {.lex_state = 52, .external_lex_state = 33},
  [8663] = {.lex_state = 61, .external_lex_state = 35},
  [8664] = {.lex_state = 61, .external_lex_state = 33},
  [8665] = {.lex_state = 58, .external_lex_state = 35},
  [8666] = {.lex_state = 63, .external_lex_state = 51},
  [8667] = {.lex_state = 63, .external_lex_state = 38},
  [8668] = {.lex_state = 58, .external_lex_state = 35},
  [8669] = {.lex_state = 63, .external_lex_state = 48},
  [8670] = {.lex_state = 63, .external_lex_state = 51},
  [8671] = {.lex_state = 61, .external_lex_state = 33},
  [8672] = {.lex_state = 63},
  [8673] = {.lex_state = 58, .external_lex_state = 35},
  [8674] = {.lex_state = 63, .external_lex_state = 48},
  [8675] = {.lex_state = 63, .external_lex_state = 48},
  [8676] = {.lex_state = 17, .external_lex_state = 51},
  [8677] = {.lex_state = 54},
  [8678] = {.lex_state = 61, .external_lex_state = 36},
  [8679] = {.lex_state = 58, .external_lex_state = 35},
  [8680] = {.lex_state = 63, .external_lex_state = 48},
  [8681] = {.lex_state = 63, .external_lex_state = 48},
  [8682] = {.lex_state = 63, .external_lex_state = 53},
  [8683] = {.lex_state = 63, .external_lex_state = 50},
  [8684] = {.lex_state = 17, .external_lex_state = 51},
  [8685] = {.lex_state = 63, .external_lex_state = 50},
  [8686] = {.lex_state = 52, .external_lex_state = 46},
  [8687] = {.lex_state = 61, .external_lex_state = 50},
  [8688] = {.lex_state = 58, .external_lex_state = 35},
  [8689] = {.lex_state = 17, .external_lex_state = 51},
  [8690] = {.lex_state = 63, .external_lex_state = 47},
  [8691] = {.lex_state = 63, .external_lex_state = 50},
  [8692] = {.lex_state = 63, .external_lex_state = 28},
  [8693] = {.lex_state = 52, .external_lex_state = 31},
  [8694] = {.lex_state = 52, .external_lex_state = 31},
  [8695] = {.lex_state = 63, .external_lex_state = 50},
  [8696] = {.lex_state = 52, .external_lex_state = 31},
  [8697] = {.lex_state = 52, .external_lex_state = 31},
  [8698] = {.lex_state = 63, .external_lex_state = 47},
  [8699] = {.lex_state = 58, .external_lex_state = 35},
  [8700] = {.lex_state = 58, .external_lex_state = 35},
  [8701] = {.lex_state = 61, .external_lex_state = 36},
  [8702] = {.lex_state = 52, .external_lex_state = 31},
  [8703] = {.lex_state = 63, .external_lex_state = 49},
  [8704] = {.lex_state = 61, .external_lex_state = 29},
  [8705] = {.lex_state = 63, .external_lex_state = 50},
  [8706] = {.lex_state = 57, .external_lex_state = 35},
  [8707] = {.lex_state = 62, .external_lex_state = 51},
  [8708] = {.lex_state = 62, .external_lex_state = 51},
  [8709] = {.lex_state = 62, .external_lex_state = 51},
  [8710] = {.lex_state = 52, .external_lex_state = 31},
  [8711] = {.lex_state = 63, .external_lex_state = 50},
  [8712] = {.lex_state = 63},
  [8713] = {.lex_state = 63, .external_lex_state = 24},
  [8714] = {.lex_state = 63, .external_lex_state = 56},
  [8715] = {.lex_state = 63, .external_lex_state = 26},
  [8716] = {.lex_state = 63, .external_lex_state = 57},
  [8717] = {.lex_state = 63, .external_lex_state = 26},
  [8718] = {.lex_state = 61, .external_lex_state = 23},
  [8719] = {.lex_state = 63},
  [8720] = {.lex_state = 61, .external_lex_state = 23},
  [8721] = {.lex_state = 63},
  [8722] = {.lex_state = 52, .external_lex_state = 33},
  [8723] = {.lex_state = 63},
  [8724] = {.lex_state = 63, .external_lex_state = 49},
  [8725] = {.lex_state = 63, .external_lex_state = 28},
  [8726] = {.lex_state = 63, .external_lex_state = 56},
  [8727] = {.lex_state = 56, .external_lex_state = 51},
  [8728] = {.lex_state = 63, .external_lex_state = 56},
  [8729] = {.lex_state = 63, .external_lex_state = 57},
  [8730] = {.lex_state = 63, .external_lex_state = 40},
  [8731] = {.lex_state = 64, .external_lex_state = 38},
  [8732] = {.lex_state = 63, .external_lex_state = 42},
  [8733] = {.lex_state = 63, .external_lex_state = 24},
  [8734] = {.lex_state = 21},
  [8735] = {.lex_state = 63},
  [8736] = {.lex_state = 63, .external_lex_state = 42},
  [8737] = {.lex_state = 63, .external_lex_state = 26},
  [8738] = {.lex_state = 52, .external_lex_state = 36},
  [8739] = {.lex_state = 56, .external_lex_state = 38},
  [8740] = {.lex_state = 63, .external_lex_state = 34},
  [8741] = {.lex_state = 63, .external_lex_state = 24},
  [8742] = {.lex_state = 65, .external_lex_state = 31},
  [8743] = {.lex_state = 63},
  [8744] = {.lex_state = 63, .external_lex_state = 58},
  [8745] = {.lex_state = 52, .external_lex_state = 36},
  [8746] = {.lex_state = 57, .external_lex_state = 38},
  [8747] = {.lex_state = 63},
  [8748] = {.lex_state = 63, .external_lex_state = 24},
  [8749] = {.lex_state = 63},
  [8750] = {.lex_state = 52, .external_lex_state = 24},
  [8751] = {.lex_state = 63},
  [8752] = {.lex_state = 62, .external_lex_state = 38},
  [8753] = {.lex_state = 64, .external_lex_state = 38},
  [8754] = {.lex_state = 64, .external_lex_state = 38},
  [8755] = {.lex_state = 63, .external_lex_state = 30},
  [8756] = {.lex_state = 63},
  [8757] = {.lex_state = 52, .external_lex_state = 56},
  [8758] = {.lex_state = 63},
  [8759] = {.lex_state = 63},
  [8760] = {.lex_state = 63, .external_lex_state = 26},
  [8761] = {.lex_state = 63, .external_lex_state = 57},
  [8762] = {.lex_state = 52, .external_lex_state = 38},
  [8763] = {.lex_state = 63, .external_lex_state = 57},
  [8764] = {.lex_state = 63, .external_lex_state = 57},
  [8765] = {.lex_state = 63, .external_lex_state = 56},
  [8766] = {.lex_state = 65, .external_lex_state = 30},
  [8767] = {.lex_state = 63},
  [8768] = {.lex_state = 65, .external_lex_state = 30},
  [8769] = {.lex_state = 63, .external_lex_state = 57},
  [8770] = {.lex_state = 52, .external_lex_state = 36},
  [8771] = {.lex_state = 65, .external_lex_state = 31},
  [8772] = {.lex_state = 52, .external_lex_state = 36},
  [8773] = {.lex_state = 63},
  [8774] = {.lex_state = 64, .external_lex_state = 38},
  [8775] = {.lex_state = 61, .external_lex_state = 40},
  [8776] = {.lex_state = 61, .external_lex_state = 26},
  [8777] = {.lex_state = 63, .external_lex_state = 58},
  [8778] = {.lex_state = 10, .external_lex_state = 51},
  [8779] = {.lex_state = 61, .external_lex_state = 42},
  [8780] = {.lex_state = 61, .external_lex_state = 40},
  [8781] = {.lex_state = 63, .external_lex_state = 58},
  [8782] = {.lex_state = 63, .external_lex_state = 56},
  [8783] = {.lex_state = 63, .external_lex_state = 51},
  [8784] = {.lex_state = 61, .external_lex_state = 40},
  [8785] = {.lex_state = 63, .external_lex_state = 30},
  [8786] = {.lex_state = 63, .external_lex_state = 56},
  [8787] = {.lex_state = 52, .external_lex_state = 28},
  [8788] = {.lex_state = 63, .external_lex_state = 24},
  [8789] = {.lex_state = 61, .external_lex_state = 38},
  [8790] = {.lex_state = 63, .external_lex_state = 58},
  [8791] = {.lex_state = 61, .external_lex_state = 35},
  [8792] = {.lex_state = 52, .external_lex_state = 38},
  [8793] = {.lex_state = 63, .external_lex_state = 58},
  [8794] = {.lex_state = 65, .external_lex_state = 30},
  [8795] = {.lex_state = 63, .external_lex_state = 58},
  [8796] = {.lex_state = 52, .external_lex_state = 34},
  [8797] = {.lex_state = 10, .external_lex_state = 51},
  [8798] = {.lex_state = 63},
  [8799] = {.lex_state = 61, .external_lex_state = 40},
  [8800] = {.lex_state = 63, .external_lex_state = 56},
  [8801] = {.lex_state = 63},
  [8802] = {.lex_state = 61, .external_lex_state = 52},
  [8803] = {.lex_state = 52, .external_lex_state = 34},
  [8804] = {.lex_state = 63},
  [8805] = {.lex_state = 63, .external_lex_state = 24},
  [8806] = {.lex_state = 56, .external_lex_state = 38},
  [8807] = {.lex_state = 61, .external_lex_state = 42},
  [8808] = {.lex_state = 61, .external_lex_state = 29},
  [8809] = {.lex_state = 63, .external_lex_state = 58},
  [8810] = {.lex_state = 63},
  [8811] = {.lex_state = 63, .external_lex_state = 57},
  [8812] = {.lex_state = 52},
  [8813] = {.lex_state = 63, .external_lex_state = 56},
  [8814] = {.lex_state = 52},
  [8815] = {.lex_state = 63, .external_lex_state = 52},
  [8816] = {.lex_state = 52, .external_lex_state = 34},
  [8817] = {.lex_state = 63, .external_lex_state = 58},
  [8818] = {.lex_state = 61, .external_lex_state = 42},
  [8819] = {.lex_state = 63, .external_lex_state = 35},
  [8820] = {.lex_state = 61, .external_lex_state = 42},
  [8821] = {.lex_state = 61, .external_lex_state = 42},
  [8822] = {.lex_state = 63},
  [8823] = {.lex_state = 61, .external_lex_state = 38},
  [8824] = {.lex_state = 52, .external_lex_state = 38},
  [8825] = {.lex_state = 52},
  [8826] = {.lex_state = 63, .external_lex_state = 56},
  [8827] = {.lex_state = 61, .external_lex_state = 23},
  [8828] = {.lex_state = 63, .external_lex_state = 56},
  [8829] = {.lex_state = 63},
  [8830] = {.lex_state = 58, .external_lex_state = 35},
  [8831] = {.lex_state = 61, .external_lex_state = 29},
  [8832] = {.lex_state = 52},
  [8833] = {.lex_state = 63, .external_lex_state = 24},
  [8834] = {.lex_state = 52},
  [8835] = {.lex_state = 63, .external_lex_state = 56},
  [8836] = {.lex_state = 61, .external_lex_state = 40},
  [8837] = {.lex_state = 63, .external_lex_state = 58},
  [8838] = {.lex_state = 52, .external_lex_state = 48},
  [8839] = {.lex_state = 63, .external_lex_state = 58},
  [8840] = {.lex_state = 63, .external_lex_state = 58},
  [8841] = {.lex_state = 63, .external_lex_state = 58},
  [8842] = {.lex_state = 63, .external_lex_state = 26},
  [8843] = {.lex_state = 63},
  [8844] = {.lex_state = 63, .external_lex_state = 56},
  [8845] = {.lex_state = 63, .external_lex_state = 58},
  [8846] = {.lex_state = 63, .external_lex_state = 31},
  [8847] = {.lex_state = 63, .external_lex_state = 58},
  [8848] = {.lex_state = 63, .external_lex_state = 58},
  [8849] = {.lex_state = 62, .external_lex_state = 38},
  [8850] = {.lex_state = 52},
  [8851] = {.lex_state = 52, .external_lex_state = 54},
  [8852] = {.lex_state = 52, .external_lex_state = 51},
  [8853] = {.lex_state = 63, .external_lex_state = 56},
  [8854] = {.lex_state = 63, .external_lex_state = 56},
  [8855] = {.lex_state = 63, .external_lex_state = 26},
  [8856] = {.lex_state = 61, .external_lex_state = 38},
  [8857] = {.lex_state = 63, .external_lex_state = 58},
  [8858] = {.lex_state = 63, .external_lex_state = 58},
  [8859] = {.lex_state = 52, .external_lex_state = 36},
  [8860] = {.lex_state = 61, .external_lex_state = 40},
  [8861] = {.lex_state = 61, .external_lex_state = 40},
  [8862] = {.lex_state = 63},
  [8863] = {.lex_state = 63, .external_lex_state = 56},
  [8864] = {.lex_state = 52, .external_lex_state = 37},
  [8865] = {.lex_state = 56, .external_lex_state = 38},
  [8866] = {.lex_state = 63},
  [8867] = {.lex_state = 63, .external_lex_state = 57},
  [8868] = {.lex_state = 63, .external_lex_state = 58},
  [8869] = {.lex_state = 52, .external_lex_state = 38},
  [8870] = {.lex_state = 63, .external_lex_state = 26},
  [8871] = {.lex_state = 63, .external_lex_state = 56},
  [8872] = {.lex_state = 57, .external_lex_state = 38},
  [8873] = {.lex_state = 52, .external_lex_state = 54},
  [8874] = {.lex_state = 61, .external_lex_state = 40},
  [8875] = {.lex_state = 63},
  [8876] = {.lex_state = 63, .external_lex_state = 56},
  [8877] = {.lex_state = 63, .external_lex_state = 58},
  [8878] = {.lex_state = 52, .external_lex_state = 47},
  [8879] = {.lex_state = 57, .external_lex_state = 38},
  [8880] = {.lex_state = 63, .external_lex_state = 56},
  [8881] = {.lex_state = 63, .external_lex_state = 56},
  [8882] = {.lex_state = 61, .external_lex_state = 23},
  [8883] = {.lex_state = 52, .external_lex_state = 53},
  [8884] = {.lex_state = 63},
  [8885] = {.lex_state = 63, .external_lex_state = 23},
  [8886] = {.lex_state = 63, .external_lex_state = 57},
  [8887] = {.lex_state = 63, .external_lex_state = 56},
  [8888] = {.lex_state = 63},
  [8889] = {.lex_state = 57, .external_lex_state = 38},
  [8890] = {.lex_state = 63, .external_lex_state = 57},
  [8891] = {.lex_state = 65, .external_lex_state = 31},
  [8892] = {.lex_state = 63, .external_lex_state = 23},
  [8893] = {.lex_state = 63, .external_lex_state = 26},
  [8894] = {.lex_state = 63, .external_lex_state = 57},
  [8895] = {.lex_state = 63, .external_lex_state = 24},
  [8896] = {.lex_state = 17, .external_lex_state = 51},
  [8897] = {.lex_state = 58, .external_lex_state = 59},
  [8898] = {.lex_state = 63, .external_lex_state = 24},
  [8899] = {.lex_state = 63, .external_lex_state = 26},
  [8900] = {.lex_state = 63, .external_lex_state = 26},
  [8901] = {.lex_state = 52, .external_lex_state = 50},
  [8902] = {.lex_state = 61, .external_lex_state = 58},
  [8903] = {.lex_state = 63, .external_lex_state = 56},
  [8904] = {.lex_state = 62, .external_lex_state = 38},
  [8905] = {.lex_state = 52, .external_lex_state = 53},
  [8906] = {.lex_state = 61, .external_lex_state = 23},
  [8907] = {.lex_state = 63},
  [8908] = {.lex_state = 63, .external_lex_state = 56},
  [8909] = {.lex_state = 63},
  [8910] = {.lex_state = 61, .external_lex_state = 23},
  [8911] = {.lex_state = 63, .external_lex_state = 57},
  [8912] = {.lex_state = 63, .external_lex_state = 35},
  [8913] = {.lex_state = 63},
  [8914] = {.lex_state = 63},
  [8915] = {.lex_state = 62, .external_lex_state = 52},
  [8916] = {.lex_state = 57, .external_lex_state = 38},
  [8917] = {.lex_state = 52, .external_lex_state = 37},
  [8918] = {.lex_state = 63, .external_lex_state = 24},
  [8919] = {.lex_state = 52, .external_lex_state = 29},
  [8920] = {.lex_state = 63, .external_lex_state = 56},
  [8921] = {.lex_state = 63, .external_lex_state = 58},
  [8922] = {.lex_state = 63},
  [8923] = {.lex_state = 63, .external_lex_state = 58},
  [8924] = {.lex_state = 65, .external_lex_state = 30},
  [8925] = {.lex_state = 63, .external_lex_state = 56},
  [8926] = {.lex_state = 63, .external_lex_state = 56},
  [8927] = {.lex_state = 63},
  [8928] = {.lex_state = 52, .external_lex_state = 37},
  [8929] = {.lex_state = 63, .external_lex_state = 58},
  [8930] = {.lex_state = 52, .external_lex_state = 37},
  [8931] = {.lex_state = 63},
  [8932] = {.lex_state = 63, .external_lex_state = 57},
  [8933] = {.lex_state = 63, .external_lex_state = 35},
  [8934] = {.lex_state = 63, .external_lex_state = 35},
  [8935] = {.lex_state = 63, .external_lex_state = 56},
  [8936] = {.lex_state = 63, .external_lex_state = 58},
  [8937] = {.lex_state = 63, .external_lex_state = 56},
  [8938] = {.lex_state = 52, .external_lex_state = 33},
  [8939] = {.lex_state = 61, .external_lex_state = 23},
  [8940] = {.lex_state = 63, .external_lex_state = 26},
  [8941] = {.lex_state = 63, .external_lex_state = 57},
  [8942] = {.lex_state = 63, .external_lex_state = 58},
  [8943] = {.lex_state = 52},
  [8944] = {.lex_state = 62, .external_lex_state = 38},
  [8945] = {.lex_state = 52, .external_lex_state = 33},
  [8946] = {.lex_state = 63, .external_lex_state = 26},
  [8947] = {.lex_state = 63, .external_lex_state = 57},
  [8948] = {.lex_state = 19, .external_lex_state = 51},
  [8949] = {.lex_state = 63, .external_lex_state = 24},
  [8950] = {.lex_state = 57, .external_lex_state = 38},
  [8951] = {.lex_state = 52},
  [8952] = {.lex_state = 63},
  [8953] = {.lex_state = 63, .external_lex_state = 23},
  [8954] = {.lex_state = 63},
  [8955] = {.lex_state = 52, .external_lex_state = 49},
  [8956] = {.lex_state = 52, .external_lex_state = 33},
  [8957] = {.lex_state = 52},
  [8958] = {.lex_state = 63},
  [8959] = {.lex_state = 65, .external_lex_state = 30},
  [8960] = {.lex_state = 62, .external_lex_state = 52},
  [8961] = {.lex_state = 63},
  [8962] = {.lex_state = 52, .external_lex_state = 33},
  [8963] = {.lex_state = 63, .external_lex_state = 23},
  [8964] = {.lex_state = 63},
  [8965] = {.lex_state = 63, .external_lex_state = 56},
  [8966] = {.lex_state = 63},
  [8967] = {.lex_state = 52, .external_lex_state = 55},
  [8968] = {.lex_state = 52, .external_lex_state = 33},
  [8969] = {.lex_state = 63},
  [8970] = {.lex_state = 61, .external_lex_state = 42},
  [8971] = {.lex_state = 58, .external_lex_state = 38},
  [8972] = {.lex_state = 52, .external_lex_state = 33},
  [8973] = {.lex_state = 61, .external_lex_state = 42},
  [8974] = {.lex_state = 61, .external_lex_state = 42},
  [8975] = {.lex_state = 52},
  [8976] = {.lex_state = 63},
  [8977] = {.lex_state = 63, .external_lex_state = 26},
  [8978] = {.lex_state = 63, .external_lex_state = 34},
  [8979] = {.lex_state = 52},
  [8980] = {.lex_state = 63},
  [8981] = {.lex_state = 63, .external_lex_state = 48},
  [8982] = {.lex_state = 61, .external_lex_state = 23},
  [8983] = {.lex_state = 63, .external_lex_state = 31},
  [8984] = {.lex_state = 52, .external_lex_state = 51},
  [8985] = {.lex_state = 63, .external_lex_state = 56},
  [8986] = {.lex_state = 63, .external_lex_state = 34},
  [8987] = {.lex_state = 63, .external_lex_state = 26},
  [8988] = {.lex_state = 61, .external_lex_state = 38},
  [8989] = {.lex_state = 63, .external_lex_state = 26},
  [8990] = {.lex_state = 61, .external_lex_state = 42},
  [8991] = {.lex_state = 52, .external_lex_state = 36},
  [8992] = {.lex_state = 64, .external_lex_state = 38},
  [8993] = {.lex_state = 63, .external_lex_state = 58},
  [8994] = {.lex_state = 63, .external_lex_state = 58},
  [8995] = {.lex_state = 62, .external_lex_state = 24},
  [8996] = {.lex_state = 57, .external_lex_state = 38},
  [8997] = {.lex_state = 57, .external_lex_state = 38},
  [8998] = {.lex_state = 63},
  [8999] = {.lex_state = 52, .external_lex_state = 55},
  [9000] = {.lex_state = 63},
  [9001] = {.lex_state = 52, .external_lex_state = 59},
  [9002] = {.lex_state = 63, .external_lex_state = 58},
  [9003] = {.lex_state = 20, .external_lex_state = 51},
  [9004] = {.lex_state = 52},
  [9005] = {.lex_state = 58, .external_lex_state = 35},
  [9006] = {.lex_state = 57, .external_lex_state = 38},
  [9007] = {.lex_state = 63, .external_lex_state = 56},
  [9008] = {.lex_state = 63, .external_lex_state = 50},
  [9009] = {.lex_state = 63},
  [9010] = {.lex_state = 58, .external_lex_state = 34},
  [9011] = {.lex_state = 63, .external_lex_state = 57},
  [9012] = {.lex_state = 63, .external_lex_state = 52},
  [9013] = {.lex_state = 63},
  [9014] = {.lex_state = 63, .external_lex_state = 51},
  [9015] = {.lex_state = 63},
  [9016] = {.lex_state = 63},
  [9017] = {.lex_state = 63, .external_lex_state = 57},
  [9018] = {.lex_state = 58, .external_lex_state = 59},
  [9019] = {.lex_state = 52, .external_lex_state = 36},
  [9020] = {.lex_state = 63, .external_lex_state = 35},
  [9021] = {.lex_state = 63, .external_lex_state = 26},
  [9022] = {.lex_state = 65, .external_lex_state = 31},
  [9023] = {.lex_state = 65, .external_lex_state = 31},
  [9024] = {.lex_state = 52, .external_lex_state = 29},
  [9025] = {.lex_state = 52, .external_lex_state = 33},
  [9026] = {.lex_state = 63, .external_lex_state = 24},
  [9027] = {.lex_state = 63},
  [9028] = {.lex_state = 63},
  [9029] = {.lex_state = 56, .external_lex_state = 51},
  [9030] = {.lex_state = 52, .external_lex_state = 36},
  [9031] = {.lex_state = 63},
  [9032] = {.lex_state = 63, .external_lex_state = 57},
  [9033] = {.lex_state = 52, .external_lex_state = 40},
  [9034] = {.lex_state = 63, .external_lex_state = 57},
  [9035] = {.lex_state = 63, .external_lex_state = 57},
  [9036] = {.lex_state = 52, .external_lex_state = 33},
  [9037] = {.lex_state = 63, .external_lex_state = 24},
  [9038] = {.lex_state = 52, .external_lex_state = 59},
  [9039] = {.lex_state = 52, .external_lex_state = 33},
  [9040] = {.lex_state = 52, .external_lex_state = 33},
  [9041] = {.lex_state = 52, .external_lex_state = 35},
  [9042] = {.lex_state = 63, .external_lex_state = 30},
  [9043] = {.lex_state = 63, .external_lex_state = 57},
  [9044] = {.lex_state = 63, .external_lex_state = 26},
  [9045] = {.lex_state = 52, .external_lex_state = 37},
  [9046] = {.lex_state = 52, .external_lex_state = 37},
  [9047] = {.lex_state = 63, .external_lex_state = 57},
  [9048] = {.lex_state = 52, .external_lex_state = 37},
  [9049] = {.lex_state = 63, .external_lex_state = 57},
  [9050] = {.lex_state = 63, .external_lex_state = 58},
  [9051] = {.lex_state = 63, .external_lex_state = 57},
  [9052] = {.lex_state = 63, .external_lex_state = 57},
  [9053] = {.lex_state = 57, .external_lex_state = 38},
  [9054] = {.lex_state = 63, .external_lex_state = 57},
  [9055] = {.lex_state = 63, .external_lex_state = 31},
  [9056] = {.lex_state = 63, .external_lex_state = 58},
  [9057] = {.lex_state = 56, .external_lex_state = 51},
  [9058] = {.lex_state = 57, .external_lex_state = 38},
  [9059] = {.lex_state = 63, .external_lex_state = 58},
  [9060] = {.lex_state = 63},
  [9061] = {.lex_state = 63, .external_lex_state = 57},
  [9062] = {.lex_state = 63, .external_lex_state = 26},
  [9063] = {.lex_state = 63, .external_lex_state = 28},
  [9064] = {.lex_state = 63},
  [9065] = {.lex_state = 63, .external_lex_state = 26},
  [9066] = {.lex_state = 63},
  [9067] = {.lex_state = 63, .external_lex_state = 57},
  [9068] = {.lex_state = 10, .external_lex_state = 51},
  [9069] = {.lex_state = 58, .external_lex_state = 38},
  [9070] = {.lex_state = 52, .external_lex_state = 37},
  [9071] = {.lex_state = 52, .external_lex_state = 52},
  [9072] = {.lex_state = 63, .external_lex_state = 48},
  [9073] = {.lex_state = 52, .external_lex_state = 28},
  [9074] = {.lex_state = 52, .external_lex_state = 33},
  [9075] = {.lex_state = 61, .external_lex_state = 23},
  [9076] = {.lex_state = 52, .external_lex_state = 51},
  [9077] = {.lex_state = 52, .external_lex_state = 37},
  [9078] = {.lex_state = 63, .external_lex_state = 56},
  [9079] = {.lex_state = 63, .external_lex_state = 56},
  [9080] = {.lex_state = 61, .external_lex_state = 56},
  [9081] = {.lex_state = 63, .external_lex_state = 57},
  [9082] = {.lex_state = 63, .external_lex_state = 58},
  [9083] = {.lex_state = 63, .external_lex_state = 57},
  [9084] = {.lex_state = 63, .external_lex_state = 26},
  [9085] = {.lex_state = 63, .external_lex_state = 26},
  [9086] = {.lex_state = 61, .external_lex_state = 34},
  [9087] = {.lex_state = 63},
  [9088] = {.lex_state = 52, .external_lex_state = 37},
  [9089] = {.lex_state = 63},
  [9090] = {.lex_state = 58, .external_lex_state = 34},
  [9091] = {.lex_state = 52, .external_lex_state = 36},
  [9092] = {.lex_state = 63, .external_lex_state = 57},
  [9093] = {.lex_state = 52, .external_lex_state = 36},
  [9094] = {.lex_state = 63},
  [9095] = {.lex_state = 63},
  [9096] = {.lex_state = 63},
  [9097] = {.lex_state = 63},
  [9098] = {.lex_state = 63, .external_lex_state = 42},
  [9099] = {.lex_state = 63},
  [9100] = {.lex_state = 52, .external_lex_state = 37},
  [9101] = {.lex_state = 63, .external_lex_state = 57},
  [9102] = {.lex_state = 63, .external_lex_state = 49},
  [9103] = {.lex_state = 63, .external_lex_state = 34},
  [9104] = {.lex_state = 52, .external_lex_state = 37},
  [9105] = {.lex_state = 52, .external_lex_state = 36},
  [9106] = {.lex_state = 52, .external_lex_state = 37},
  [9107] = {.lex_state = 52, .external_lex_state = 36},
  [9108] = {.lex_state = 10, .external_lex_state = 51},
  [9109] = {.lex_state = 52, .external_lex_state = 34},
  [9110] = {.lex_state = 52, .external_lex_state = 36},
  [9111] = {.lex_state = 52, .external_lex_state = 36},
  [9112] = {.lex_state = 61, .external_lex_state = 23},
  [9113] = {.lex_state = 63, .external_lex_state = 56},
  [9114] = {.lex_state = 52, .external_lex_state = 37},
  [9115] = {.lex_state = 3},
  [9116] = {.lex_state = 58, .external_lex_state = 59},
  [9117] = {.lex_state = 63, .external_lex_state = 57},
  [9118] = {.lex_state = 63},
  [9119] = {.lex_state = 63, .external_lex_state = 26},
  [9120] = {.lex_state = 20, .external_lex_state = 51},
  [9121] = {.lex_state = 63, .external_lex_state = 34},
  [9122] = {.lex_state = 52, .external_lex_state = 33},
  [9123] = {.lex_state = 52, .external_lex_state = 33},
  [9124] = {.lex_state = 52, .external_lex_state = 36},
  [9125] = {.lex_state = 63, .external_lex_state = 26},
  [9126] = {.lex_state = 52},
  [9127] = {.lex_state = 52, .external_lex_state = 24},
  [9128] = {.lex_state = 52, .external_lex_state = 36},
  [9129] = {.lex_state = 52, .external_lex_state = 33},
  [9130] = {.lex_state = 63, .external_lex_state = 57},
  [9131] = {.lex_state = 63},
  [9132] = {.lex_state = 63},
  [9133] = {.lex_state = 62, .external_lex_state = 51},
  [9134] = {.lex_state = 63, .external_lex_state = 58},
  [9135] = {.lex_state = 63, .external_lex_state = 58},
  [9136] = {.lex_state = 63},
  [9137] = {.lex_state = 63},
  [9138] = {.lex_state = 63, .external_lex_state = 58},
  [9139] = {.lex_state = 63, .external_lex_state = 57},
  [9140] = {.lex_state = 63, .external_lex_state = 30},
  [9141] = {.lex_state = 63},
  [9142] = {.lex_state = 63},
  [9143] = {.lex_state = 21},
  [9144] = {.lex_state = 63, .external_lex_state = 56},
  [9145] = {.lex_state = 63, .external_lex_state = 58},
  [9146] = {.lex_state = 63},
  [9147] = {.lex_state = 63},
  [9148] = {.lex_state = 63, .external_lex_state = 58},
  [9149] = {.lex_state = 63, .external_lex_state = 26},
  [9150] = {.lex_state = 63},
  [9151] = {.lex_state = 63},
  [9152] = {.lex_state = 63, .external_lex_state = 56},
  [9153] = {.lex_state = 63, .external_lex_state = 56},
  [9154] = {.lex_state = 63, .external_lex_state = 34},
  [9155] = {.lex_state = 52, .external_lex_state = 59},
  [9156] = {.lex_state = 63, .external_lex_state = 24},
  [9157] = {.lex_state = 63, .external_lex_state = 58},
  [9158] = {.lex_state = 52, .external_lex_state = 24},
  [9159] = {.lex_state = 63, .external_lex_state = 58},
  [9160] = {.lex_state = 52, .external_lex_state = 23},
  [9161] = {.lex_state = 63},
  [9162] = {.lex_state = 63, .external_lex_state = 26},
  [9163] = {.lex_state = 63, .external_lex_state = 56},
  [9164] = {.lex_state = 63},
  [9165] = {.lex_state = 63},
  [9166] = {.lex_state = 63},
  [9167] = {.lex_state = 63},
  [9168] = {.lex_state = 63},
  [9169] = {.lex_state = 63, .external_lex_state = 56},
  [9170] = {.lex_state = 63, .external_lex_state = 56},
  [9171] = {.lex_state = 63, .external_lex_state = 57},
  [9172] = {.lex_state = 63},
  [9173] = {.lex_state = 58, .external_lex_state = 59},
  [9174] = {.lex_state = 63, .external_lex_state = 58},
  [9175] = {.lex_state = 63, .external_lex_state = 26},
  [9176] = {.lex_state = 63},
  [9177] = {.lex_state = 63, .external_lex_state = 47},
  [9178] = {.lex_state = 63},
  [9179] = {.lex_state = 63, .external_lex_state = 58},
  [9180] = {.lex_state = 63, .external_lex_state = 58},
  [9181] = {.lex_state = 63, .external_lex_state = 58},
  [9182] = {.lex_state = 61, .external_lex_state = 23},
  [9183] = {.lex_state = 63},
  [9184] = {.lex_state = 63, .external_lex_state = 57},
  [9185] = {.lex_state = 52, .external_lex_state = 33},
  [9186] = {.lex_state = 63, .external_lex_state = 57},
  [9187] = {.lex_state = 62, .external_lex_state = 23},
  [9188] = {.lex_state = 52, .external_lex_state = 36},
  [9189] = {.lex_state = 63, .external_lex_state = 26},
  [9190] = {.lex_state = 61, .external_lex_state = 28},
  [9191] = {.lex_state = 63},
  [9192] = {.lex_state = 61, .external_lex_state = 42},
  [9193] = {.lex_state = 57, .external_lex_state = 38},
  [9194] = {.lex_state = 63, .external_lex_state = 57},
  [9195] = {.lex_state = 63, .external_lex_state = 37},
  [9196] = {.lex_state = 63, .external_lex_state = 29},
  [9197] = {.lex_state = 63, .external_lex_state = 58},
  [9198] = {.lex_state = 61, .external_lex_state = 42},
  [9199] = {.lex_state = 63},
  [9200] = {.lex_state = 63, .external_lex_state = 30},
  [9201] = {.lex_state = 64, .external_lex_state = 38},
  [9202] = {.lex_state = 63},
  [9203] = {.lex_state = 63},
  [9204] = {.lex_state = 63, .external_lex_state = 57},
  [9205] = {.lex_state = 63, .external_lex_state = 35},
  [9206] = {.lex_state = 52, .external_lex_state = 35},
  [9207] = {.lex_state = 61, .external_lex_state = 42},
  [9208] = {.lex_state = 61, .external_lex_state = 28},
  [9209] = {.lex_state = 63},
  [9210] = {.lex_state = 63, .external_lex_state = 26},
  [9211] = {.lex_state = 63},
  [9212] = {.lex_state = 63},
  [9213] = {.lex_state = 52, .external_lex_state = 24},
  [9214] = {.lex_state = 63, .external_lex_state = 26},
  [9215] = {.lex_state = 63},
  [9216] = {.lex_state = 52, .external_lex_state = 35},
  [9217] = {.lex_state = 61, .external_lex_state = 42},
  [9218] = {.lex_state = 61, .external_lex_state = 23},
  [9219] = {.lex_state = 63},
  [9220] = {.lex_state = 52, .external_lex_state = 35},
  [9221] = {.lex_state = 61, .external_lex_state = 42},
  [9222] = {.lex_state = 63, .external_lex_state = 57},
  [9223] = {.lex_state = 10, .external_lex_state = 51},
  [9224] = {.lex_state = 63},
  [9225] = {.lex_state = 63},
  [9226] = {.lex_state = 62, .external_lex_state = 51},
  [9227] = {.lex_state = 63, .external_lex_state = 58},
  [9228] = {.lex_state = 63},
  [9229] = {.lex_state = 63},
  [9230] = {.lex_state = 57, .external_lex_state = 38},
  [9231] = {.lex_state = 64, .external_lex_state = 52},
  [9232] = {.lex_state = 10, .external_lex_state = 51},
  [9233] = {.lex_state = 57, .external_lex_state = 38},
  [9234] = {.lex_state = 63, .external_lex_state = 47},
  [9235] = {.lex_state = 9, .external_lex_state = 51},
  [9236] = {.lex_state = 61, .external_lex_state = 57},
  [9237] = {.lex_state = 52, .external_lex_state = 52},
  [9238] = {.lex_state = 63, .external_lex_state = 26},
  [9239] = {.lex_state = 52},
  [9240] = {.lex_state = 63, .external_lex_state = 58},
  [9241] = {.lex_state = 63},
  [9242] = {.lex_state = 57, .external_lex_state = 38},
  [9243] = {.lex_state = 64, .external_lex_state = 52},
  [9244] = {.lex_state = 63, .external_lex_state = 56},
  [9245] = {.lex_state = 63, .external_lex_state = 56},
  [9246] = {.lex_state = 63, .external_lex_state = 56},
  [9247] = {.lex_state = 63, .external_lex_state = 57},
  [9248] = {.lex_state = 61, .external_lex_state = 52},
  [9249] = {.lex_state = 63, .external_lex_state = 31},
  [9250] = {.lex_state = 63, .external_lex_state = 56},
  [9251] = {.lex_state = 63, .external_lex_state = 56},
  [9252] = {.lex_state = 63},
  [9253] = {.lex_state = 63},
  [9254] = {.lex_state = 63, .external_lex_state = 57},
  [9255] = {.lex_state = 63},
  [9256] = {.lex_state = 52, .external_lex_state = 23},
  [9257] = {.lex_state = 10, .external_lex_state = 51},
  [9258] = {.lex_state = 63},
  [9259] = {.lex_state = 19, .external_lex_state = 51},
  [9260] = {.lex_state = 63, .external_lex_state = 42},
  [9261] = {.lex_state = 63, .external_lex_state = 31},
  [9262] = {.lex_state = 61, .external_lex_state = 23},
  [9263] = {.lex_state = 52, .external_lex_state = 33},
  [9264] = {.lex_state = 17, .external_lex_state = 51},
  [9265] = {.lex_state = 52, .external_lex_state = 33},
  [9266] = {.lex_state = 63, .external_lex_state = 26},
  [9267] = {.lex_state = 63, .external_lex_state = 56},
  [9268] = {.lex_state = 10, .external_lex_state = 51},
  [9269] = {.lex_state = 10, .external_lex_state = 51},
  [9270] = {.lex_state = 63, .external_lex_state = 57},
  [9271] = {.lex_state = 61, .external_lex_state = 40},
  [9272] = {.lex_state = 52, .external_lex_state = 40},
  [9273] = {.lex_state = 63},
  [9274] = {.lex_state = 63},
  [9275] = {.lex_state = 63, .external_lex_state = 26},
  [9276] = {.lex_state = 61, .external_lex_state = 40},
  [9277] = {.lex_state = 63},
  [9278] = {.lex_state = 63, .external_lex_state = 26},
  [9279] = {.lex_state = 63, .external_lex_state = 50},
  [9280] = {.lex_state = 63},
  [9281] = {.lex_state = 63},
  [9282] = {.lex_state = 63, .external_lex_state = 57},
  [9283] = {.lex_state = 63, .external_lex_state = 26},
  [9284] = {.lex_state = 61, .external_lex_state = 35},
  [9285] = {.lex_state = 63},
  [9286] = {.lex_state = 61, .external_lex_state = 40},
  [9287] = {.lex_state = 10, .external_lex_state = 51},
  [9288] = {.lex_state = 63, .external_lex_state = 26},
  [9289] = {.lex_state = 63, .external_lex_state = 58},
  [9290] = {.lex_state = 61, .external_lex_state = 34},
  [9291] = {.lex_state = 10, .external_lex_state = 51},
  [9292] = {.lex_state = 52, .external_lex_state = 27},
  [9293] = {.lex_state = 63},
  [9294] = {.lex_state = 61, .external_lex_state = 40},
  [9295] = {.lex_state = 63, .external_lex_state = 56},
  [9296] = {.lex_state = 63},
  [9297] = {.lex_state = 61, .external_lex_state = 40},
  [9298] = {.lex_state = 9, .external_lex_state = 51},
  [9299] = {.lex_state = 63},
  [9300] = {.lex_state = 63},
  [9301] = {.lex_state = 63, .external_lex_state = 56},
  [9302] = {.lex_state = 61, .external_lex_state = 23},
  [9303] = {.lex_state = 21},
  [9304] = {.lex_state = 57, .external_lex_state = 38},
  [9305] = {.lex_state = 63, .external_lex_state = 58},
  [9306] = {.lex_state = 63},
  [9307] = {.lex_state = 52, .external_lex_state = 27},
  [9308] = {.lex_state = 63, .external_lex_state = 57},
  [9309] = {.lex_state = 63},
  [9310] = {.lex_state = 10, .external_lex_state = 51},
  [9311] = {.lex_state = 63},
  [9312] = {.lex_state = 63, .external_lex_state = 26},
  [9313] = {.lex_state = 10, .external_lex_state = 51},
  [9314] = {.lex_state = 57, .external_lex_state = 38},
  [9315] = {.lex_state = 63, .external_lex_state = 40},
  [9316] = {.lex_state = 63, .external_lex_state = 57},
  [9317] = {.lex_state = 63},
  [9318] = {.lex_state = 63},
  [9319] = {.lex_state = 52, .external_lex_state = 36},
  [9320] = {.lex_state = 61},
  [9321] = {.lex_state = 61, .external_lex_state = 40},
  [9322] = {.lex_state = 63},
  [9323] = {.lex_state = 63, .external_lex_state = 29},
  [9324] = {.lex_state = 63},
  [9325] = {.lex_state = 63},
  [9326] = {.lex_state = 63},
  [9327] = {.lex_state = 63, .external_lex_state = 30},
  [9328] = {.lex_state = 61, .external_lex_state = 47},
  [9329] = {.lex_state = 58, .external_lex_state = 59},
  [9330] = {.lex_state = 63, .external_lex_state = 31},
  [9331] = {.lex_state = 52, .external_lex_state = 35},
  [9332] = {.lex_state = 63, .external_lex_state = 50},
  [9333] = {.lex_state = 61, .external_lex_state = 47},
  [9334] = {.lex_state = 63, .external_lex_state = 23},
  [9335] = {.lex_state = 61, .external_lex_state = 47},
  [9336] = {.lex_state = 61, .external_lex_state = 47},
  [9337] = {.lex_state = 61, .external_lex_state = 47},
  [9338] = {.lex_state = 63, .external_lex_state = 33},
  [9339] = {.lex_state = 63},
  [9340] = {.lex_state = 61, .external_lex_state = 48},
  [9341] = {.lex_state = 61, .external_lex_state = 24},
  [9342] = {.lex_state = 63, .external_lex_state = 31},
  [9343] = {.lex_state = 63, .external_lex_state = 49},
  [9344] = {.lex_state = 52, .external_lex_state = 48},
  [9345] = {.lex_state = 62, .external_lex_state = 23},
  [9346] = {.lex_state = 63, .external_lex_state = 30},
  [9347] = {.lex_state = 63, .external_lex_state = 31},
  [9348] = {.lex_state = 63},
  [9349] = {.lex_state = 58, .external_lex_state = 51},
  [9350] = {.lex_state = 63},
  [9351] = {.lex_state = 63, .external_lex_state = 36},
  [9352] = {.lex_state = 63},
  [9353] = {.lex_state = 61, .external_lex_state = 34},
  [9354] = {.lex_state = 63},
  [9355] = {.lex_state = 63},
  [9356] = {.lex_state = 63},
  [9357] = {.lex_state = 63},
  [9358] = {.lex_state = 62},
  [9359] = {.lex_state = 52, .external_lex_state = 47},
  [9360] = {.lex_state = 14, .external_lex_state = 2},
  [9361] = {.lex_state = 62, .external_lex_state = 38},
  [9362] = {.lex_state = 14, .external_lex_state = 2},
  [9363] = {.lex_state = 63},
  [9364] = {.lex_state = 63},
  [9365] = {.lex_state = 63},
  [9366] = {.lex_state = 65, .external_lex_state = 37},
  [9367] = {.lex_state = 58, .external_lex_state = 59},
  [9368] = {.lex_state = 63},
  [9369] = {.lex_state = 65, .external_lex_state = 37},
  [9370] = {.lex_state = 58, .external_lex_state = 59},
  [9371] = {.lex_state = 65, .external_lex_state = 37},
  [9372] = {.lex_state = 63},
  [9373] = {.lex_state = 63, .external_lex_state = 24},
  [9374] = {.lex_state = 58, .external_lex_state = 59},
  [9375] = {.lex_state = 63, .external_lex_state = 31},
  [9376] = {.lex_state = 63},
  [9377] = {.lex_state = 52, .external_lex_state = 24},
  [9378] = {.lex_state = 63, .external_lex_state = 34},
  [9379] = {.lex_state = 63, .external_lex_state = 30},
  [9380] = {.lex_state = 58, .external_lex_state = 59},
  [9381] = {.lex_state = 21, .external_lex_state = 51},
  [9382] = {.lex_state = 52, .external_lex_state = 47},
  [9383] = {.lex_state = 58, .external_lex_state = 59},
  [9384] = {.lex_state = 63, .external_lex_state = 56},
  [9385] = {.lex_state = 63, .external_lex_state = 30},
  [9386] = {.lex_state = 61, .external_lex_state = 47},
  [9387] = {.lex_state = 63, .external_lex_state = 48},
  [9388] = {.lex_state = 58, .external_lex_state = 59},
  [9389] = {.lex_state = 63, .external_lex_state = 36},
  [9390] = {.lex_state = 63, .external_lex_state = 31},
  [9391] = {.lex_state = 63},
  [9392] = {.lex_state = 58, .external_lex_state = 59},
  [9393] = {.lex_state = 63, .external_lex_state = 24},
  [9394] = {.lex_state = 63},
  [9395] = {.lex_state = 63},
  [9396] = {.lex_state = 52, .external_lex_state = 48},
  [9397] = {.lex_state = 63},
  [9398] = {.lex_state = 63},
  [9399] = {.lex_state = 63},
  [9400] = {.lex_state = 52, .external_lex_state = 35},
  [9401] = {.lex_state = 63},
  [9402] = {.lex_state = 63},
  [9403] = {.lex_state = 14, .external_lex_state = 2},
  [9404] = {.lex_state = 52, .external_lex_state = 28},
  [9405] = {.lex_state = 63},
  [9406] = {.lex_state = 63, .external_lex_state = 31},
  [9407] = {.lex_state = 63, .external_lex_state = 33},
  [9408] = {.lex_state = 63, .external_lex_state = 36},
  [9409] = {.lex_state = 63},
  [9410] = {.lex_state = 63},
  [9411] = {.lex_state = 61, .external_lex_state = 48},
  [9412] = {.lex_state = 63},
  [9413] = {.lex_state = 63},
  [9414] = {.lex_state = 63, .external_lex_state = 30},
  [9415] = {.lex_state = 63, .external_lex_state = 50},
  [9416] = {.lex_state = 63},
  [9417] = {.lex_state = 63},
  [9418] = {.lex_state = 63, .external_lex_state = 30},
  [9419] = {.lex_state = 63, .external_lex_state = 31},
  [9420] = {.lex_state = 63, .external_lex_state = 30},
  [9421] = {.lex_state = 63, .external_lex_state = 30},
  [9422] = {.lex_state = 63, .external_lex_state = 49},
  [9423] = {.lex_state = 63, .external_lex_state = 31},
  [9424] = {.lex_state = 63, .external_lex_state = 30},
  [9425] = {.lex_state = 61, .external_lex_state = 47},
  [9426] = {.lex_state = 63, .external_lex_state = 24},
  [9427] = {.lex_state = 61, .external_lex_state = 49},
  [9428] = {.lex_state = 63},
  [9429] = {.lex_state = 14, .external_lex_state = 2},
  [9430] = {.lex_state = 63, .external_lex_state = 30},
  [9431] = {.lex_state = 63},
  [9432] = {.lex_state = 63, .external_lex_state = 30},
  [9433] = {.lex_state = 63, .external_lex_state = 30},
  [9434] = {.lex_state = 52, .external_lex_state = 42},
  [9435] = {.lex_state = 52, .external_lex_state = 23},
  [9436] = {.lex_state = 63},
  [9437] = {.lex_state = 61, .external_lex_state = 49},
  [9438] = {.lex_state = 61, .external_lex_state = 49},
  [9439] = {.lex_state = 52, .external_lex_state = 42},
  [9440] = {.lex_state = 14, .external_lex_state = 2},
  [9441] = {.lex_state = 63, .external_lex_state = 30},
  [9442] = {.lex_state = 63, .external_lex_state = 30},
  [9443] = {.lex_state = 63},
  [9444] = {.lex_state = 63},
  [9445] = {.lex_state = 52, .external_lex_state = 42},
  [9446] = {.lex_state = 61, .external_lex_state = 49},
  [9447] = {.lex_state = 17},
  [9448] = {.lex_state = 61, .external_lex_state = 49},
  [9449] = {.lex_state = 63, .external_lex_state = 57},
  [9450] = {.lex_state = 64, .external_lex_state = 38},
  [9451] = {.lex_state = 63, .external_lex_state = 30},
  [9452] = {.lex_state = 63},
  [9453] = {.lex_state = 63, .external_lex_state = 30},
  [9454] = {.lex_state = 52, .external_lex_state = 42},
  [9455] = {.lex_state = 61, .external_lex_state = 50},
  [9456] = {.lex_state = 61, .external_lex_state = 48},
  [9457] = {.lex_state = 61, .external_lex_state = 48},
  [9458] = {.lex_state = 52, .external_lex_state = 42},
  [9459] = {.lex_state = 61, .external_lex_state = 49},
  [9460] = {.lex_state = 63},
  [9461] = {.lex_state = 63, .external_lex_state = 31},
  [9462] = {.lex_state = 65, .external_lex_state = 37},
  [9463] = {.lex_state = 63, .external_lex_state = 30},
  [9464] = {.lex_state = 63, .external_lex_state = 30},
  [9465] = {.lex_state = 63, .external_lex_state = 31},
  [9466] = {.lex_state = 63, .external_lex_state = 24},
  [9467] = {.lex_state = 63, .external_lex_state = 30},
  [9468] = {.lex_state = 63, .external_lex_state = 38},
  [9469] = {.lex_state = 63, .external_lex_state = 24},
  [9470] = {.lex_state = 63, .external_lex_state = 30},
  [9471] = {.lex_state = 52, .external_lex_state = 40},
  [9472] = {.lex_state = 63, .external_lex_state = 30},
  [9473] = {.lex_state = 65, .external_lex_state = 33},
  [9474] = {.lex_state = 63, .external_lex_state = 48},
  [9475] = {.lex_state = 63, .external_lex_state = 33},
  [9476] = {.lex_state = 65, .external_lex_state = 33},
  [9477] = {.lex_state = 52, .external_lex_state = 38},
  [9478] = {.lex_state = 65, .external_lex_state = 33},
  [9479] = {.lex_state = 63, .external_lex_state = 56},
  [9480] = {.lex_state = 19, .external_lex_state = 51},
  [9481] = {.lex_state = 61, .external_lex_state = 50},
  [9482] = {.lex_state = 61, .external_lex_state = 50},
  [9483] = {.lex_state = 63, .external_lex_state = 30},
  [9484] = {.lex_state = 52, .external_lex_state = 56},
  [9485] = {.lex_state = 63},
  [9486] = {.lex_state = 63, .external_lex_state = 31},
  [9487] = {.lex_state = 61, .external_lex_state = 48},
  [9488] = {.lex_state = 52, .external_lex_state = 38},
  [9489] = {.lex_state = 63},
  [9490] = {.lex_state = 63, .external_lex_state = 31},
  [9491] = {.lex_state = 61, .external_lex_state = 48},
  [9492] = {.lex_state = 63, .external_lex_state = 31},
  [9493] = {.lex_state = 61, .external_lex_state = 50},
  [9494] = {.lex_state = 61, .external_lex_state = 50},
  [9495] = {.lex_state = 63, .external_lex_state = 30},
  [9496] = {.lex_state = 61, .external_lex_state = 48},
  [9497] = {.lex_state = 52, .external_lex_state = 34},
  [9498] = {.lex_state = 61, .external_lex_state = 48},
  [9499] = {.lex_state = 52, .external_lex_state = 40},
  [9500] = {.lex_state = 63, .external_lex_state = 50},
  [9501] = {.lex_state = 63, .external_lex_state = 30},
  [9502] = {.lex_state = 63, .external_lex_state = 31},
  [9503] = {.lex_state = 63, .external_lex_state = 33},
  [9504] = {.lex_state = 52, .external_lex_state = 23},
  [9505] = {.lex_state = 63},
  [9506] = {.lex_state = 52, .external_lex_state = 23},
  [9507] = {.lex_state = 63},
  [9508] = {.lex_state = 52, .external_lex_state = 26},
  [9509] = {.lex_state = 52, .external_lex_state = 59},
  [9510] = {.lex_state = 63, .external_lex_state = 30},
  [9511] = {.lex_state = 63, .external_lex_state = 50},
  [9512] = {.lex_state = 63, .external_lex_state = 35},
  [9513] = {.lex_state = 63, .external_lex_state = 24},
  [9514] = {.lex_state = 63, .external_lex_state = 23},
  [9515] = {.lex_state = 63, .external_lex_state = 23},
  [9516] = {.lex_state = 63, .external_lex_state = 24},
  [9517] = {.lex_state = 52, .external_lex_state = 59},
  [9518] = {.lex_state = 63, .external_lex_state = 30},
  [9519] = {.lex_state = 63, .external_lex_state = 31},
  [9520] = {.lex_state = 65, .external_lex_state = 36},
  [9521] = {.lex_state = 63},
  [9522] = {.lex_state = 65, .external_lex_state = 36},
  [9523] = {.lex_state = 65, .external_lex_state = 33},
  [9524] = {.lex_state = 63, .external_lex_state = 31},
  [9525] = {.lex_state = 63, .external_lex_state = 23},
  [9526] = {.lex_state = 63, .external_lex_state = 57},
  [9527] = {.lex_state = 52, .external_lex_state = 40},
  [9528] = {.lex_state = 64, .external_lex_state = 38},
  [9529] = {.lex_state = 63, .external_lex_state = 30},
  [9530] = {.lex_state = 63, .external_lex_state = 30},
  [9531] = {.lex_state = 52, .external_lex_state = 40},
  [9532] = {.lex_state = 52, .external_lex_state = 40},
  [9533] = {.lex_state = 63, .external_lex_state = 38},
  [9534] = {.lex_state = 63, .external_lex_state = 23},
  [9535] = {.lex_state = 63, .external_lex_state = 38},
  [9536] = {.lex_state = 63, .external_lex_state = 30},
  [9537] = {.lex_state = 65, .external_lex_state = 36},
  [9538] = {.lex_state = 20, .external_lex_state = 51},
  [9539] = {.lex_state = 63},
  [9540] = {.lex_state = 63, .external_lex_state = 31},
  [9541] = {.lex_state = 63, .external_lex_state = 31},
  [9542] = {.lex_state = 10, .external_lex_state = 51},
  [9543] = {.lex_state = 65, .external_lex_state = 36},
  [9544] = {.lex_state = 63, .external_lex_state = 30},
  [9545] = {.lex_state = 58, .external_lex_state = 59},
  [9546] = {.lex_state = 63, .external_lex_state = 24},
  [9547] = {.lex_state = 63, .external_lex_state = 24},
  [9548] = {.lex_state = 61, .external_lex_state = 47},
  [9549] = {.lex_state = 63, .external_lex_state = 31},
  [9550] = {.lex_state = 63, .external_lex_state = 24},
  [9551] = {.lex_state = 63},
  [9552] = {.lex_state = 63, .external_lex_state = 31},
  [9553] = {.lex_state = 63, .external_lex_state = 31},
  [9554] = {.lex_state = 63, .external_lex_state = 30},
  [9555] = {.lex_state = 61, .external_lex_state = 35},
  [9556] = {.lex_state = 63, .external_lex_state = 24},
  [9557] = {.lex_state = 14, .external_lex_state = 2},
  [9558] = {.lex_state = 14, .external_lex_state = 2},
  [9559] = {.lex_state = 63, .external_lex_state = 31},
  [9560] = {.lex_state = 58, .external_lex_state = 51},
  [9561] = {.lex_state = 63, .external_lex_state = 47},
  [9562] = {.lex_state = 3},
  [9563] = {.lex_state = 63, .external_lex_state = 31},
  [9564] = {.lex_state = 17, .external_lex_state = 51},
  [9565] = {.lex_state = 63},
  [9566] = {.lex_state = 52, .external_lex_state = 40},
  [9567] = {.lex_state = 53, .external_lex_state = 23},
  [9568] = {.lex_state = 61, .external_lex_state = 48},
  [9569] = {.lex_state = 63, .external_lex_state = 31},
  [9570] = {.lex_state = 61, .external_lex_state = 47},
  [9571] = {.lex_state = 52, .external_lex_state = 40},
  [9572] = {.lex_state = 63, .external_lex_state = 26},
  [9573] = {.lex_state = 61, .external_lex_state = 48},
  [9574] = {.lex_state = 10, .external_lex_state = 51},
  [9575] = {.lex_state = 63, .external_lex_state = 47},
  [9576] = {.lex_state = 63},
  [9577] = {.lex_state = 52, .external_lex_state = 40},
  [9578] = {.lex_state = 61, .external_lex_state = 48},
  [9579] = {.lex_state = 63, .external_lex_state = 24},
  [9580] = {.lex_state = 52, .external_lex_state = 28},
  [9581] = {.lex_state = 63, .external_lex_state = 36},
  [9582] = {.lex_state = 52, .external_lex_state = 42},
  [9583] = {.lex_state = 61, .external_lex_state = 47},
  [9584] = {.lex_state = 61, .external_lex_state = 48},
  [9585] = {.lex_state = 56, .external_lex_state = 51},
  [9586] = {.lex_state = 52, .external_lex_state = 40},
  [9587] = {.lex_state = 63, .external_lex_state = 31},
  [9588] = {.lex_state = 63},
  [9589] = {.lex_state = 63, .external_lex_state = 38},
  [9590] = {.lex_state = 52, .external_lex_state = 40},
  [9591] = {.lex_state = 61, .external_lex_state = 49},
  [9592] = {.lex_state = 63},
  [9593] = {.lex_state = 61, .external_lex_state = 48},
  [9594] = {.lex_state = 61, .external_lex_state = 49},
  [9595] = {.lex_state = 61, .external_lex_state = 49},
  [9596] = {.lex_state = 61, .external_lex_state = 49},
  [9597] = {.lex_state = 63, .external_lex_state = 31},
  [9598] = {.lex_state = 17, .external_lex_state = 51},
  [9599] = {.lex_state = 61, .external_lex_state = 50},
  [9600] = {.lex_state = 52, .external_lex_state = 23},
  [9601] = {.lex_state = 61, .external_lex_state = 38},
  [9602] = {.lex_state = 63, .external_lex_state = 58},
  [9603] = {.lex_state = 63, .external_lex_state = 31},
  [9604] = {.lex_state = 61, .external_lex_state = 50},
  [9605] = {.lex_state = 58, .external_lex_state = 59},
  [9606] = {.lex_state = 52, .external_lex_state = 58},
  [9607] = {.lex_state = 63, .external_lex_state = 24},
  [9608] = {.lex_state = 61, .external_lex_state = 35},
  [9609] = {.lex_state = 58, .external_lex_state = 59},
  [9610] = {.lex_state = 61, .external_lex_state = 50},
  [9611] = {.lex_state = 58, .external_lex_state = 59},
  [9612] = {.lex_state = 63, .external_lex_state = 31},
  [9613] = {.lex_state = 58, .external_lex_state = 59},
  [9614] = {.lex_state = 63},
  [9615] = {.lex_state = 63, .external_lex_state = 24},
  [9616] = {.lex_state = 65, .external_lex_state = 36},
  [9617] = {.lex_state = 52, .external_lex_state = 57},
  [9618] = {.lex_state = 14, .external_lex_state = 2},
  [9619] = {.lex_state = 61, .external_lex_state = 50},
  [9620] = {.lex_state = 63},
  [9621] = {.lex_state = 19, .external_lex_state = 51},
  [9622] = {.lex_state = 19, .external_lex_state = 51},
  [9623] = {.lex_state = 61, .external_lex_state = 50},
  [9624] = {.lex_state = 19, .external_lex_state = 51},
  [9625] = {.lex_state = 63, .external_lex_state = 23},
  [9626] = {.lex_state = 63, .external_lex_state = 23},
  [9627] = {.lex_state = 20, .external_lex_state = 51},
  [9628] = {.lex_state = 63, .external_lex_state = 24},
  [9629] = {.lex_state = 63, .external_lex_state = 23},
  [9630] = {.lex_state = 3},
  [9631] = {.lex_state = 52, .external_lex_state = 24},
  [9632] = {.lex_state = 61, .external_lex_state = 50},
  [9633] = {.lex_state = 61, .external_lex_state = 50},
  [9634] = {.lex_state = 61, .external_lex_state = 50},
  [9635] = {.lex_state = 63, .external_lex_state = 24},
  [9636] = {.lex_state = 61, .external_lex_state = 50},
  [9637] = {.lex_state = 61, .external_lex_state = 47},
  [9638] = {.lex_state = 52, .external_lex_state = 42},
  [9639] = {.lex_state = 21, .external_lex_state = 51},
  [9640] = {.lex_state = 63, .external_lex_state = 31},
  [9641] = {.lex_state = 63},
  [9642] = {.lex_state = 63},
  [9643] = {.lex_state = 52, .external_lex_state = 40},
  [9644] = {.lex_state = 63, .external_lex_state = 34},
  [9645] = {.lex_state = 63, .external_lex_state = 30},
  [9646] = {.lex_state = 52, .external_lex_state = 34},
  [9647] = {.lex_state = 52, .external_lex_state = 40},
  [9648] = {.lex_state = 52, .external_lex_state = 40},
  [9649] = {.lex_state = 63, .external_lex_state = 24},
  [9650] = {.lex_state = 52, .external_lex_state = 40},
  [9651] = {.lex_state = 21, .external_lex_state = 51},
  [9652] = {.lex_state = 64, .external_lex_state = 38},
  [9653] = {.lex_state = 63, .external_lex_state = 24},
  [9654] = {.lex_state = 61, .external_lex_state = 47},
  [9655] = {.lex_state = 65, .external_lex_state = 37},
  [9656] = {.lex_state = 63, .external_lex_state = 24},
  [9657] = {.lex_state = 63, .external_lex_state = 24},
  [9658] = {.lex_state = 65, .external_lex_state = 33},
  [9659] = {.lex_state = 63, .external_lex_state = 24},
  [9660] = {.lex_state = 63, .external_lex_state = 24},
  [9661] = {.lex_state = 63, .external_lex_state = 24},
  [9662] = {.lex_state = 63, .external_lex_state = 38},
  [9663] = {.lex_state = 63, .external_lex_state = 36},
  [9664] = {.lex_state = 61, .external_lex_state = 48},
  [9665] = {.lex_state = 3},
  [9666] = {.lex_state = 63, .external_lex_state = 23},
  [9667] = {.lex_state = 63, .external_lex_state = 30},
  [9668] = {.lex_state = 62, .external_lex_state = 38},
  [9669] = {.lex_state = 63, .external_lex_state = 24},
  [9670] = {.lex_state = 3},
  [9671] = {.lex_state = 52, .external_lex_state = 42},
  [9672] = {.lex_state = 52, .external_lex_state = 42},
  [9673] = {.lex_state = 52, .external_lex_state = 42},
  [9674] = {.lex_state = 52, .external_lex_state = 42},
  [9675] = {.lex_state = 63, .external_lex_state = 58},
  [9676] = {.lex_state = 63, .external_lex_state = 30},
  [9677] = {.lex_state = 52, .external_lex_state = 42},
  [9678] = {.lex_state = 63, .external_lex_state = 30},
  [9679] = {.lex_state = 63, .external_lex_state = 23},
  [9680] = {.lex_state = 63, .external_lex_state = 24},
  [9681] = {.lex_state = 64, .external_lex_state = 38},
  [9682] = {.lex_state = 52, .external_lex_state = 42},
  [9683] = {.lex_state = 63, .external_lex_state = 38},
  [9684] = {.lex_state = 52, .external_lex_state = 42},
  [9685] = {.lex_state = 63, .external_lex_state = 40},
  [9686] = {.lex_state = 61, .external_lex_state = 47},
  [9687] = {.lex_state = 63, .external_lex_state = 24},
  [9688] = {.lex_state = 61, .external_lex_state = 34},
  [9689] = {.lex_state = 61, .external_lex_state = 38},
  [9690] = {.lex_state = 63, .external_lex_state = 37},
  [9691] = {.lex_state = 63, .external_lex_state = 24},
  [9692] = {.lex_state = 63, .external_lex_state = 24},
  [9693] = {.lex_state = 63, .external_lex_state = 49},
  [9694] = {.lex_state = 3},
  [9695] = {.lex_state = 63, .external_lex_state = 26},
  [9696] = {.lex_state = 63, .external_lex_state = 30},
  [9697] = {.lex_state = 64, .external_lex_state = 52},
  [9698] = {.lex_state = 61, .external_lex_state = 31},
  [9699] = {.lex_state = 63, .external_lex_state = 24},
  [9700] = {.lex_state = 63, .external_lex_state = 24},
  [9701] = {.lex_state = 61, .external_lex_state = 49},
  [9702] = {.lex_state = 63, .external_lex_state = 35},
  [9703] = {.lex_state = 63},
  [9704] = {.lex_state = 61, .external_lex_state = 30},
  [9705] = {.lex_state = 63, .external_lex_state = 24},
  [9706] = {.lex_state = 63, .external_lex_state = 24},
  [9707] = {.lex_state = 63},
  [9708] = {.lex_state = 63, .external_lex_state = 31},
  [9709] = {.lex_state = 63, .external_lex_state = 31},
  [9710] = {.lex_state = 62, .external_lex_state = 51},
  [9711] = {.lex_state = 63, .external_lex_state = 31},
  [9712] = {.lex_state = 63, .external_lex_state = 49},
  [9713] = {.lex_state = 63, .external_lex_state = 31},
  [9714] = {.lex_state = 63, .external_lex_state = 31},
  [9715] = {.lex_state = 62, .external_lex_state = 51},
  [9716] = {.lex_state = 63, .external_lex_state = 31},
  [9717] = {.lex_state = 21, .external_lex_state = 51},
  [9718] = {.lex_state = 63},
  [9719] = {.lex_state = 63, .external_lex_state = 33},
  [9720] = {.lex_state = 61, .external_lex_state = 47},
  [9721] = {.lex_state = 63, .external_lex_state = 31},
  [9722] = {.lex_state = 63, .external_lex_state = 26},
  [9723] = {.lex_state = 63, .external_lex_state = 23},
  [9724] = {.lex_state = 63, .external_lex_state = 24},
  [9725] = {.lex_state = 61, .external_lex_state = 49},
  [9726] = {.lex_state = 52, .external_lex_state = 29},
  [9727] = {.lex_state = 52, .external_lex_state = 29},
  [9728] = {.lex_state = 64, .external_lex_state = 52},
  [9729] = {.lex_state = 61, .external_lex_state = 49},
  [9730] = {.lex_state = 63, .external_lex_state = 24},
  [9731] = {.lex_state = 61, .external_lex_state = 49},
  [9732] = {.lex_state = 63, .external_lex_state = 56},
  [9733] = {.lex_state = 63, .external_lex_state = 36},
  [9734] = {.lex_state = 62, .external_lex_state = 24},
  [9735] = {.lex_state = 63, .external_lex_state = 36},
  [9736] = {.lex_state = 51},
  [9737] = {.lex_state = 63, .external_lex_state = 37},
  [9738] = {.lex_state = 62, .external_lex_state = 24},
  [9739] = {.lex_state = 63, .external_lex_state = 36},
  [9740] = {.lex_state = 52, .external_lex_state = 56},
  [9741] = {.lex_state = 3},
  [9742] = {.lex_state = 19, .external_lex_state = 51},
  [9743] = {.lex_state = 63, .external_lex_state = 33},
  [9744] = {.lex_state = 3},
  [9745] = {.lex_state = 62, .external_lex_state = 24},
  [9746] = {.lex_state = 65, .external_lex_state = 23},
  [9747] = {.lex_state = 61, .external_lex_state = 58},
  [9748] = {.lex_state = 65, .external_lex_state = 23},
  [9749] = {.lex_state = 63, .external_lex_state = 36},
  [9750] = {.lex_state = 61, .external_lex_state = 26},
  [9751] = {.lex_state = 61, .external_lex_state = 58},
  [9752] = {.lex_state = 64, .external_lex_state = 24},
  [9753] = {.lex_state = 56, .external_lex_state = 51},
  [9754] = {.lex_state = 61, .external_lex_state = 26},
  [9755] = {.lex_state = 52, .external_lex_state = 35},
  [9756] = {.lex_state = 11, .external_lex_state = 51},
  [9757] = {.lex_state = 63},
  [9758] = {.lex_state = 61, .external_lex_state = 56},
  [9759] = {.lex_state = 61, .external_lex_state = 26},
  [9760] = {.lex_state = 65, .external_lex_state = 23},
  [9761] = {.lex_state = 63, .external_lex_state = 30},
  [9762] = {.lex_state = 51},
  [9763] = {.lex_state = 63, .external_lex_state = 26},
  [9764] = {.lex_state = 52, .external_lex_state = 38},
  [9765] = {.lex_state = 63, .external_lex_state = 36},
  [9766] = {.lex_state = 62, .external_lex_state = 23},
  [9767] = {.lex_state = 51},
  [9768] = {.lex_state = 61, .external_lex_state = 56},
  [9769] = {.lex_state = 63, .external_lex_state = 57},
  [9770] = {.lex_state = 61, .external_lex_state = 56},
  [9771] = {.lex_state = 63, .external_lex_state = 36},
  [9772] = {.lex_state = 54, .external_lex_state = 25},
  [9773] = {.lex_state = 61, .external_lex_state = 56},
  [9774] = {.lex_state = 63, .external_lex_state = 36},
  [9775] = {.lex_state = 51},
  [9776] = {.lex_state = 65, .external_lex_state = 42},
  [9777] = {.lex_state = 63, .external_lex_state = 48},
  [9778] = {.lex_state = 56, .external_lex_state = 51},
  [9779] = {.lex_state = 11, .external_lex_state = 51},
  [9780] = {.lex_state = 52, .external_lex_state = 49},
  [9781] = {.lex_state = 63, .external_lex_state = 40},
  [9782] = {.lex_state = 63, .external_lex_state = 36},
  [9783] = {.lex_state = 63, .external_lex_state = 57},
  [9784] = {.lex_state = 63, .external_lex_state = 36},
  [9785] = {.lex_state = 61, .external_lex_state = 58},
  [9786] = {.lex_state = 52, .external_lex_state = 56},
  [9787] = {.lex_state = 61, .external_lex_state = 56},
  [9788] = {.lex_state = 63, .external_lex_state = 36},
  [9789] = {.lex_state = 62, .external_lex_state = 23},
  [9790] = {.lex_state = 63, .external_lex_state = 33},
  [9791] = {.lex_state = 63, .external_lex_state = 58},
  [9792] = {.lex_state = 62, .external_lex_state = 23},
  [9793] = {.lex_state = 63, .external_lex_state = 36},
  [9794] = {.lex_state = 62, .external_lex_state = 23},
  [9795] = {.lex_state = 52, .external_lex_state = 24},
  [9796] = {.lex_state = 63, .external_lex_state = 33},
  [9797] = {.lex_state = 51},
  [9798] = {.lex_state = 63, .external_lex_state = 36},
  [9799] = {.lex_state = 52, .external_lex_state = 24},
  [9800] = {.lex_state = 52, .external_lex_state = 24},
  [9801] = {.lex_state = 63, .external_lex_state = 57},
  [9802] = {.lex_state = 63},
  [9803] = {.lex_state = 11, .external_lex_state = 51},
  [9804] = {.lex_state = 51},
  [9805] = {.lex_state = 63, .external_lex_state = 36},
  [9806] = {.lex_state = 63, .external_lex_state = 37},
  [9807] = {.lex_state = 63, .external_lex_state = 33},
  [9808] = {.lex_state = 62, .external_lex_state = 24},
  [9809] = {.lex_state = 63, .external_lex_state = 36},
  [9810] = {.lex_state = 52, .external_lex_state = 24},
  [9811] = {.lex_state = 52, .external_lex_state = 24},
  [9812] = {.lex_state = 11, .external_lex_state = 51},
  [9813] = {.lex_state = 63, .external_lex_state = 33},
  [9814] = {.lex_state = 58, .external_lex_state = 59},
  [9815] = {.lex_state = 52, .external_lex_state = 35},
  [9816] = {.lex_state = 63, .external_lex_state = 33},
  [9817] = {.lex_state = 61, .external_lex_state = 58},
  [9818] = {.lex_state = 63, .external_lex_state = 36},
  [9819] = {.lex_state = 62, .external_lex_state = 23},
  [9820] = {.lex_state = 58, .external_lex_state = 59},
  [9821] = {.lex_state = 51},
  [9822] = {.lex_state = 52, .external_lex_state = 59},
  [9823] = {.lex_state = 52, .external_lex_state = 48},
  [9824] = {.lex_state = 62, .external_lex_state = 24},
  [9825] = {.lex_state = 56, .external_lex_state = 51},
  [9826] = {.lex_state = 52, .external_lex_state = 31},
  [9827] = {.lex_state = 56, .external_lex_state = 51},
  [9828] = {.lex_state = 52, .external_lex_state = 30},
  [9829] = {.lex_state = 52, .external_lex_state = 24},
  [9830] = {.lex_state = 11, .external_lex_state = 51},
  [9831] = {.lex_state = 11, .external_lex_state = 51},
  [9832] = {.lex_state = 61, .external_lex_state = 56},
  [9833] = {.lex_state = 62, .external_lex_state = 24},
  [9834] = {.lex_state = 52, .external_lex_state = 48},
  [9835] = {.lex_state = 63, .external_lex_state = 30},
  [9836] = {.lex_state = 62, .external_lex_state = 24},
  [9837] = {.lex_state = 52, .external_lex_state = 48},
  [9838] = {.lex_state = 62, .external_lex_state = 24},
  [9839] = {.lex_state = 61, .external_lex_state = 56},
  [9840] = {.lex_state = 52},
  [9841] = {.lex_state = 62, .external_lex_state = 23},
  [9842] = {.lex_state = 64, .external_lex_state = 23},
  [9843] = {.lex_state = 56, .external_lex_state = 51},
  [9844] = {.lex_state = 52, .external_lex_state = 24},
  [9845] = {.lex_state = 52},
  [9846] = {.lex_state = 63, .external_lex_state = 42},
  [9847] = {.lex_state = 52, .external_lex_state = 24},
  [9848] = {.lex_state = 61, .external_lex_state = 58},
  [9849] = {.lex_state = 52, .external_lex_state = 49},
  [9850] = {.lex_state = 51},
  [9851] = {.lex_state = 52, .external_lex_state = 49},
  [9852] = {.lex_state = 52, .external_lex_state = 23},
  [9853] = {.lex_state = 52, .external_lex_state = 24},
  [9854] = {.lex_state = 56, .external_lex_state = 51},
  [9855] = {.lex_state = 61, .external_lex_state = 58},
  [9856] = {.lex_state = 62, .external_lex_state = 23},
  [9857] = {.lex_state = 63, .external_lex_state = 24},
  [9858] = {.lex_state = 62, .external_lex_state = 24},
  [9859] = {.lex_state = 63, .external_lex_state = 33},
  [9860] = {.lex_state = 63, .external_lex_state = 23},
  [9861] = {.lex_state = 63, .external_lex_state = 33},
  [9862] = {.lex_state = 51},
  [9863] = {.lex_state = 11, .external_lex_state = 51},
  [9864] = {.lex_state = 52, .external_lex_state = 49},
  [9865] = {.lex_state = 56, .external_lex_state = 51},
  [9866] = {.lex_state = 63, .external_lex_state = 36},
  [9867] = {.lex_state = 63, .external_lex_state = 36},
  [9868] = {.lex_state = 52, .external_lex_state = 49},
  [9869] = {.lex_state = 61, .external_lex_state = 58},
  [9870] = {.lex_state = 63, .external_lex_state = 36},
  [9871] = {.lex_state = 52, .external_lex_state = 50},
  [9872] = {.lex_state = 64, .external_lex_state = 38},
  [9873] = {.lex_state = 65, .external_lex_state = 40},
  [9874] = {.lex_state = 63, .external_lex_state = 33},
  [9875] = {.lex_state = 65, .external_lex_state = 40},
  [9876] = {.lex_state = 63, .external_lex_state = 33},
  [9877] = {.lex_state = 63, .external_lex_state = 36},
  [9878] = {.lex_state = 63, .external_lex_state = 33},
  [9879] = {.lex_state = 52, .external_lex_state = 48},
  [9880] = {.lex_state = 56, .external_lex_state = 51},
  [9881] = {.lex_state = 52, .external_lex_state = 50},
  [9882] = {.lex_state = 61},
  [9883] = {.lex_state = 61},
  [9884] = {.lex_state = 52, .external_lex_state = 50},
  [9885] = {.lex_state = 51},
  [9886] = {.lex_state = 61},
  [9887] = {.lex_state = 20, .external_lex_state = 51},
  [9888] = {.lex_state = 51},
  [9889] = {.lex_state = 4},
  [9890] = {.lex_state = 61},
  [9891] = {.lex_state = 52, .external_lex_state = 50},
  [9892] = {.lex_state = 61, .external_lex_state = 57},
  [9893] = {.lex_state = 61},
  [9894] = {.lex_state = 61, .external_lex_state = 58},
  [9895] = {.lex_state = 52, .external_lex_state = 50},
  [9896] = {.lex_state = 61, .external_lex_state = 38},
  [9897] = {.lex_state = 61},
  [9898] = {.lex_state = 61, .external_lex_state = 57},
  [9899] = {.lex_state = 11, .external_lex_state = 51},
  [9900] = {.lex_state = 63, .external_lex_state = 37},
  [9901] = {.lex_state = 63, .external_lex_state = 36},
  [9902] = {.lex_state = 11, .external_lex_state = 51},
  [9903] = {.lex_state = 63, .external_lex_state = 36},
  [9904] = {.lex_state = 51},
  [9905] = {.lex_state = 61},
  [9906] = {.lex_state = 56, .external_lex_state = 51},
  [9907] = {.lex_state = 56, .external_lex_state = 51},
  [9908] = {.lex_state = 52, .external_lex_state = 49},
  [9909] = {.lex_state = 63, .external_lex_state = 58},
  [9910] = {.lex_state = 11, .external_lex_state = 51},
  [9911] = {.lex_state = 62, .external_lex_state = 23},
  [9912] = {.lex_state = 63},
  [9913] = {.lex_state = 52, .external_lex_state = 49},
  [9914] = {.lex_state = 11, .external_lex_state = 51},
  [9915] = {.lex_state = 63, .external_lex_state = 36},
  [9916] = {.lex_state = 63},
  [9917] = {.lex_state = 51},
  [9918] = {.lex_state = 61, .external_lex_state = 57},
  [9919] = {.lex_state = 61},
  [9920] = {.lex_state = 61, .external_lex_state = 26},
  [9921] = {.lex_state = 52, .external_lex_state = 50},
  [9922] = {.lex_state = 62, .external_lex_state = 24},
  [9923] = {.lex_state = 51},
  [9924] = {.lex_state = 63, .external_lex_state = 33},
  [9925] = {.lex_state = 63, .external_lex_state = 31},
  [9926] = {.lex_state = 52, .external_lex_state = 49},
  [9927] = {.lex_state = 4},
  [9928] = {.lex_state = 63, .external_lex_state = 33},
  [9929] = {.lex_state = 61, .external_lex_state = 57},
  [9930] = {.lex_state = 62, .external_lex_state = 24},
  [9931] = {.lex_state = 62, .external_lex_state = 24},
  [9932] = {.lex_state = 51},
  [9933] = {.lex_state = 11, .external_lex_state = 51},
  [9934] = {.lex_state = 63, .external_lex_state = 33},
  [9935] = {.lex_state = 52, .external_lex_state = 49},
  [9936] = {.lex_state = 51},
  [9937] = {.lex_state = 52, .external_lex_state = 49},
  [9938] = {.lex_state = 63, .external_lex_state = 56},
  [9939] = {.lex_state = 63, .external_lex_state = 23},
  [9940] = {.lex_state = 52, .external_lex_state = 50},
  [9941] = {.lex_state = 52, .external_lex_state = 49},
  [9942] = {.lex_state = 11, .external_lex_state = 51},
  [9943] = {.lex_state = 52, .external_lex_state = 24},
  [9944] = {.lex_state = 52, .external_lex_state = 24},
  [9945] = {.lex_state = 56, .external_lex_state = 51},
  [9946] = {.lex_state = 52, .external_lex_state = 51},
  [9947] = {.lex_state = 52, .external_lex_state = 24},
  [9948] = {.lex_state = 52, .external_lex_state = 34},
  [9949] = {.lex_state = 63, .external_lex_state = 33},
  [9950] = {.lex_state = 63, .external_lex_state = 33},
  [9951] = {.lex_state = 62, .external_lex_state = 24},
  [9952] = {.lex_state = 63, .external_lex_state = 36},
  [9953] = {.lex_state = 65, .external_lex_state = 42},
  [9954] = {.lex_state = 52, .external_lex_state = 48},
  [9955] = {.lex_state = 52, .external_lex_state = 47},
  [9956] = {.lex_state = 52, .external_lex_state = 24},
  [9957] = {.lex_state = 52, .external_lex_state = 48},
  [9958] = {.lex_state = 52, .external_lex_state = 50},
  [9959] = {.lex_state = 63, .external_lex_state = 33},
  [9960] = {.lex_state = 56, .external_lex_state = 51},
  [9961] = {.lex_state = 63, .external_lex_state = 36},
  [9962] = {.lex_state = 63, .external_lex_state = 33},
  [9963] = {.lex_state = 61, .external_lex_state = 57},
  [9964] = {.lex_state = 51},
  [9965] = {.lex_state = 61, .external_lex_state = 58},
  [9966] = {.lex_state = 65, .external_lex_state = 40},
  [9967] = {.lex_state = 52, .external_lex_state = 50},
  [9968] = {.lex_state = 63, .external_lex_state = 36},
  [9969] = {.lex_state = 52, .external_lex_state = 48},
  [9970] = {.lex_state = 56, .external_lex_state = 51},
  [9971] = {.lex_state = 19, .external_lex_state = 51},
  [9972] = {.lex_state = 63, .external_lex_state = 30},
  [9973] = {.lex_state = 52, .external_lex_state = 47},
  [9974] = {.lex_state = 52, .external_lex_state = 50},
  [9975] = {.lex_state = 63, .external_lex_state = 31},
  [9976] = {.lex_state = 52, .external_lex_state = 47},
  [9977] = {.lex_state = 52, .external_lex_state = 38},
  [9978] = {.lex_state = 56, .external_lex_state = 51},
  [9979] = {.lex_state = 51},
  [9980] = {.lex_state = 61, .external_lex_state = 58},
  [9981] = {.lex_state = 52, .external_lex_state = 50},
  [9982] = {.lex_state = 61, .external_lex_state = 57},
  [9983] = {.lex_state = 52, .external_lex_state = 47},
  [9984] = {.lex_state = 52, .external_lex_state = 50},
  [9985] = {.lex_state = 52, .external_lex_state = 50},
  [9986] = {.lex_state = 63, .external_lex_state = 38},
  [9987] = {.lex_state = 52, .external_lex_state = 50},
  [9988] = {.lex_state = 20, .external_lex_state = 51},
  [9989] = {.lex_state = 63, .external_lex_state = 33},
  [9990] = {.lex_state = 20, .external_lex_state = 51},
  [9991] = {.lex_state = 63, .external_lex_state = 33},
  [9992] = {.lex_state = 20, .external_lex_state = 51},
  [9993] = {.lex_state = 65, .external_lex_state = 40},
  [9994] = {.lex_state = 51},
  [9995] = {.lex_state = 61, .external_lex_state = 57},
  [9996] = {.lex_state = 63, .external_lex_state = 33},
  [9997] = {.lex_state = 63, .external_lex_state = 33},
  [9998] = {.lex_state = 61},
  [9999] = {.lex_state = 61, .external_lex_state = 57},
  [10000] = {.lex_state = 52, .external_lex_state = 59},
  [10001] = {.lex_state = 63, .external_lex_state = 36},
  [10002] = {.lex_state = 61, .external_lex_state = 26},
  [10003] = {.lex_state = 61, .external_lex_state = 26},
  [10004] = {.lex_state = 52, .external_lex_state = 48},
  [10005] = {.lex_state = 52, .external_lex_state = 48},
  [10006] = {.lex_state = 56, .external_lex_state = 51},
  [10007] = {.lex_state = 56, .external_lex_state = 51},
  [10008] = {.lex_state = 61, .external_lex_state = 56},
  [10009] = {.lex_state = 52, .external_lex_state = 24},
  [10010] = {.lex_state = 52, .external_lex_state = 47},
  [10011] = {.lex_state = 11, .external_lex_state = 51},
  [10012] = {.lex_state = 61, .external_lex_state = 58},
  [10013] = {.lex_state = 61, .external_lex_state = 58},
  [10014] = {.lex_state = 11, .external_lex_state = 51},
  [10015] = {.lex_state = 52, .external_lex_state = 47},
  [10016] = {.lex_state = 52, .external_lex_state = 49},
  [10017] = {.lex_state = 51},
  [10018] = {.lex_state = 52, .external_lex_state = 47},
  [10019] = {.lex_state = 61, .external_lex_state = 26},
  [10020] = {.lex_state = 52, .external_lex_state = 47},
  [10021] = {.lex_state = 56, .external_lex_state = 51},
  [10022] = {.lex_state = 63, .external_lex_state = 23},
  [10023] = {.lex_state = 63, .external_lex_state = 36},
  [10024] = {.lex_state = 61, .external_lex_state = 58},
  [10025] = {.lex_state = 61, .external_lex_state = 38},
  [10026] = {.lex_state = 63, .external_lex_state = 36},
  [10027] = {.lex_state = 61, .external_lex_state = 58},
  [10028] = {.lex_state = 63, .external_lex_state = 58},
  [10029] = {.lex_state = 52, .external_lex_state = 47},
  [10030] = {.lex_state = 52, .external_lex_state = 49},
  [10031] = {.lex_state = 61, .external_lex_state = 57},
  [10032] = {.lex_state = 61, .external_lex_state = 36},
  [10033] = {.lex_state = 52, .external_lex_state = 47},
  [10034] = {.lex_state = 56, .external_lex_state = 51},
  [10035] = {.lex_state = 61, .external_lex_state = 56},
  [10036] = {.lex_state = 52, .external_lex_state = 49},
  [10037] = {.lex_state = 64, .external_lex_state = 38},
  [10038] = {.lex_state = 63, .external_lex_state = 36},
  [10039] = {.lex_state = 63, .external_lex_state = 57},
  [10040] = {.lex_state = 52, .external_lex_state = 34},
  [10041] = {.lex_state = 52, .external_lex_state = 47},
  [10042] = {.lex_state = 52, .external_lex_state = 47},
  [10043] = {.lex_state = 61, .external_lex_state = 57},
  [10044] = {.lex_state = 61, .external_lex_state = 56},
  [10045] = {.lex_state = 61, .external_lex_state = 57},
  [10046] = {.lex_state = 63},
  [10047] = {.lex_state = 52, .external_lex_state = 47},
  [10048] = {.lex_state = 63, .external_lex_state = 36},
  [10049] = {.lex_state = 62, .external_lex_state = 23},
  [10050] = {.lex_state = 62, .external_lex_state = 23},
  [10051] = {.lex_state = 56, .external_lex_state = 51},
  [10052] = {.lex_state = 11, .external_lex_state = 51},
  [10053] = {.lex_state = 63, .external_lex_state = 33},
  [10054] = {.lex_state = 61, .external_lex_state = 57},
  [10055] = {.lex_state = 63, .external_lex_state = 33},
  [10056] = {.lex_state = 61, .external_lex_state = 26},
  [10057] = {.lex_state = 63, .external_lex_state = 36},
  [10058] = {.lex_state = 51},
  [10059] = {.lex_state = 61, .external_lex_state = 56},
  [10060] = {.lex_state = 53, .external_lex_state = 23},
  [10061] = {.lex_state = 61, .external_lex_state = 56},
  [10062] = {.lex_state = 63, .external_lex_state = 33},
  [10063] = {.lex_state = 65, .external_lex_state = 40},
  [10064] = {.lex_state = 65, .external_lex_state = 23},
  [10065] = {.lex_state = 65, .external_lex_state = 23},
  [10066] = {.lex_state = 61, .external_lex_state = 26},
  [10067] = {.lex_state = 56, .external_lex_state = 51},
  [10068] = {.lex_state = 63, .external_lex_state = 38},
  [10069] = {.lex_state = 56, .external_lex_state = 51},
  [10070] = {.lex_state = 63, .external_lex_state = 33},
  [10071] = {.lex_state = 61, .external_lex_state = 57},
  [10072] = {.lex_state = 61, .external_lex_state = 56},
  [10073] = {.lex_state = 63, .external_lex_state = 33},
  [10074] = {.lex_state = 63, .external_lex_state = 33},
  [10075] = {.lex_state = 61, .external_lex_state = 57},
  [10076] = {.lex_state = 52, .external_lex_state = 24},
  [10077] = {.lex_state = 63, .external_lex_state = 36},
  [10078] = {.lex_state = 63, .external_lex_state = 33},
  [10079] = {.lex_state = 62, .external_lex_state = 23},
  [10080] = {.lex_state = 61, .external_lex_state = 56},
  [10081] = {.lex_state = 52, .external_lex_state = 48},
  [10082] = {.lex_state = 61},
  [10083] = {.lex_state = 63, .external_lex_state = 26},
  [10084] = {.lex_state = 63, .external_lex_state = 33},
  [10085] = {.lex_state = 52, .external_lex_state = 48},
  [10086] = {.lex_state = 63, .external_lex_state = 36},
  [10087] = {.lex_state = 63, .external_lex_state = 37},
  [10088] = {.lex_state = 63, .external_lex_state = 31},
  [10089] = {.lex_state = 62, .external_lex_state = 23},
  [10090] = {.lex_state = 63, .external_lex_state = 36},
  [10091] = {.lex_state = 56, .external_lex_state = 51},
  [10092] = {.lex_state = 61, .external_lex_state = 33},
  [10093] = {.lex_state = 63, .external_lex_state = 36},
  [10094] = {.lex_state = 63, .external_lex_state = 33},
  [10095] = {.lex_state = 63, .external_lex_state = 33},
  [10096] = {.lex_state = 61},
  [10097] = {.lex_state = 62, .external_lex_state = 23},
  [10098] = {.lex_state = 61},
  [10099] = {.lex_state = 62, .external_lex_state = 23},
  [10100] = {.lex_state = 63, .external_lex_state = 36},
  [10101] = {.lex_state = 61, .external_lex_state = 26},
  [10102] = {.lex_state = 63, .external_lex_state = 47},
  [10103] = {.lex_state = 62, .external_lex_state = 24},
  [10104] = {.lex_state = 63, .external_lex_state = 33},
  [10105] = {.lex_state = 63, .external_lex_state = 23},
  [10106] = {.lex_state = 63, .external_lex_state = 33},
  [10107] = {.lex_state = 65, .external_lex_state = 42},
  [10108] = {.lex_state = 21},
  [10109] = {.lex_state = 65, .external_lex_state = 42},
  [10110] = {.lex_state = 61, .external_lex_state = 26},
  [10111] = {.lex_state = 52, .external_lex_state = 47},
  [10112] = {.lex_state = 65, .external_lex_state = 42},
  [10113] = {.lex_state = 61, .external_lex_state = 26},
  [10114] = {.lex_state = 56, .external_lex_state = 51},
  [10115] = {.lex_state = 61, .external_lex_state = 26},
  [10116] = {.lex_state = 63, .external_lex_state = 33},
  [10117] = {.lex_state = 11, .external_lex_state = 51},
  [10118] = {.lex_state = 63, .external_lex_state = 58},
  [10119] = {.lex_state = 61, .external_lex_state = 26},
  [10120] = {.lex_state = 52, .external_lex_state = 48},
  [10121] = {.lex_state = 61},
  [10122] = {.lex_state = 52, .external_lex_state = 48},
  [10123] = {.lex_state = 61},
  [10124] = {.lex_state = 52, .external_lex_state = 48},
  [10125] = {.lex_state = 63, .external_lex_state = 33},
  [10126] = {.lex_state = 56, .external_lex_state = 51},
  [10127] = {.lex_state = 52, .external_lex_state = 58},
  [10128] = {.lex_state = 65, .external_lex_state = 49},
  [10129] = {.lex_state = 52, .external_lex_state = 58},
  [10130] = {.lex_state = 61, .external_lex_state = 24},
  [10131] = {.lex_state = 63, .external_lex_state = 23},
  [10132] = {.lex_state = 62, .external_lex_state = 23},
  [10133] = {.lex_state = 61, .external_lex_state = 24},
  [10134] = {.lex_state = 62, .external_lex_state = 23},
  [10135] = {.lex_state = 63, .external_lex_state = 23},
  [10136] = {.lex_state = 61, .external_lex_state = 30},
  [10137] = {.lex_state = 56, .external_lex_state = 51},
  [10138] = {.lex_state = 63, .external_lex_state = 23},
  [10139] = {.lex_state = 63, .external_lex_state = 25},
  [10140] = {.lex_state = 63, .external_lex_state = 25},
  [10141] = {.lex_state = 63, .external_lex_state = 23},
  [10142] = {.lex_state = 62, .external_lex_state = 23},
  [10143] = {.lex_state = 61, .external_lex_state = 24},
  [10144] = {.lex_state = 64, .external_lex_state = 23},
  [10145] = {.lex_state = 61, .external_lex_state = 24},
  [10146] = {.lex_state = 65, .external_lex_state = 49},
  [10147] = {.lex_state = 63, .external_lex_state = 33},
  [10148] = {.lex_state = 63, .external_lex_state = 25},
  [10149] = {.lex_state = 4},
  [10150] = {.lex_state = 63, .external_lex_state = 25},
  [10151] = {.lex_state = 63, .external_lex_state = 25},
  [10152] = {.lex_state = 62, .external_lex_state = 23},
  [10153] = {.lex_state = 52, .external_lex_state = 56},
  [10154] = {.lex_state = 54, .external_lex_state = 60},
  [10155] = {.lex_state = 56, .external_lex_state = 51},
  [10156] = {.lex_state = 52},
  [10157] = {.lex_state = 63, .external_lex_state = 25},
  [10158] = {.lex_state = 63, .external_lex_state = 23},
  [10159] = {.lex_state = 63, .external_lex_state = 56},
  [10160] = {.lex_state = 65, .external_lex_state = 49},
  [10161] = {.lex_state = 61, .external_lex_state = 31},
  [10162] = {.lex_state = 20, .external_lex_state = 51},
  [10163] = {.lex_state = 56, .external_lex_state = 51},
  [10164] = {.lex_state = 63, .external_lex_state = 42},
  [10165] = {.lex_state = 52, .external_lex_state = 56},
  [10166] = {.lex_state = 63, .external_lex_state = 23},
  [10167] = {.lex_state = 56, .external_lex_state = 51},
  [10168] = {.lex_state = 52, .external_lex_state = 56},
  [10169] = {.lex_state = 52, .external_lex_state = 57},
  [10170] = {.lex_state = 52, .external_lex_state = 57},
  [10171] = {.lex_state = 65, .external_lex_state = 48},
  [10172] = {.lex_state = 17},
  [10173] = {.lex_state = 17},
  [10174] = {.lex_state = 63, .external_lex_state = 23},
  [10175] = {.lex_state = 56, .external_lex_state = 51},
  [10176] = {.lex_state = 52, .external_lex_state = 57},
  [10177] = {.lex_state = 52, .external_lex_state = 56},
  [10178] = {.lex_state = 56, .external_lex_state = 51},
  [10179] = {.lex_state = 52, .external_lex_state = 56},
  [10180] = {.lex_state = 52},
  [10181] = {.lex_state = 52, .external_lex_state = 56},
  [10182] = {.lex_state = 3},
  [10183] = {.lex_state = 52, .external_lex_state = 56},
  [10184] = {.lex_state = 52, .external_lex_state = 56},
  [10185] = {.lex_state = 61, .external_lex_state = 24},
  [10186] = {.lex_state = 63, .external_lex_state = 25},
  [10187] = {.lex_state = 20, .external_lex_state = 51},
  [10188] = {.lex_state = 52, .external_lex_state = 56},
  [10189] = {.lex_state = 52, .external_lex_state = 56},
  [10190] = {.lex_state = 56, .external_lex_state = 51},
  [10191] = {.lex_state = 61, .external_lex_state = 30},
  [10192] = {.lex_state = 63, .external_lex_state = 25},
  [10193] = {.lex_state = 63, .external_lex_state = 25},
  [10194] = {.lex_state = 61, .external_lex_state = 24},
  [10195] = {.lex_state = 17},
  [10196] = {.lex_state = 65, .external_lex_state = 50},
  [10197] = {.lex_state = 52, .external_lex_state = 58},
  [10198] = {.lex_state = 52, .external_lex_state = 58},
  [10199] = {.lex_state = 52, .external_lex_state = 59},
  [10200] = {.lex_state = 63, .external_lex_state = 25},
  [10201] = {.lex_state = 62, .external_lex_state = 23},
  [10202] = {.lex_state = 56, .external_lex_state = 51},
  [10203] = {.lex_state = 52, .external_lex_state = 56},
  [10204] = {.lex_state = 52, .external_lex_state = 57},
  [10205] = {.lex_state = 63, .external_lex_state = 47},
  [10206] = {.lex_state = 21, .external_lex_state = 51},
  [10207] = {.lex_state = 21, .external_lex_state = 51},
  [10208] = {.lex_state = 21, .external_lex_state = 51},
  [10209] = {.lex_state = 61, .external_lex_state = 24},
  [10210] = {.lex_state = 52, .external_lex_state = 59},
  [10211] = {.lex_state = 52, .external_lex_state = 59},
  [10212] = {.lex_state = 65, .external_lex_state = 50},
  [10213] = {.lex_state = 63, .external_lex_state = 25},
  [10214] = {.lex_state = 61, .external_lex_state = 30},
  [10215] = {.lex_state = 56, .external_lex_state = 51},
  [10216] = {.lex_state = 63, .external_lex_state = 23},
  [10217] = {.lex_state = 65, .external_lex_state = 47},
  [10218] = {.lex_state = 17},
  [10219] = {.lex_state = 65, .external_lex_state = 50},
  [10220] = {.lex_state = 63, .external_lex_state = 23},
  [10221] = {.lex_state = 56, .external_lex_state = 51},
  [10222] = {.lex_state = 63, .external_lex_state = 23},
  [10223] = {.lex_state = 65, .external_lex_state = 50},
  [10224] = {.lex_state = 63, .external_lex_state = 23},
  [10225] = {.lex_state = 63, .external_lex_state = 30},
  [10226] = {.lex_state = 63, .external_lex_state = 25},
  [10227] = {.lex_state = 52, .external_lex_state = 59},
  [10228] = {.lex_state = 52, .external_lex_state = 56},
  [10229] = {.lex_state = 63, .external_lex_state = 25},
  [10230] = {.lex_state = 63, .external_lex_state = 49},
  [10231] = {.lex_state = 56, .external_lex_state = 51},
  [10232] = {.lex_state = 63, .external_lex_state = 23},
  [10233] = {.lex_state = 52, .external_lex_state = 58},
  [10234] = {.lex_state = 63, .external_lex_state = 40},
  [10235] = {.lex_state = 65, .external_lex_state = 48},
  [10236] = {.lex_state = 52, .external_lex_state = 26},
  [10237] = {.lex_state = 65, .external_lex_state = 48},
  [10238] = {.lex_state = 61, .external_lex_state = 24},
  [10239] = {.lex_state = 61, .external_lex_state = 31},
  [10240] = {.lex_state = 56, .external_lex_state = 51},
  [10241] = {.lex_state = 56, .external_lex_state = 51},
  [10242] = {.lex_state = 62, .external_lex_state = 23},
  [10243] = {.lex_state = 61, .external_lex_state = 30},
  [10244] = {.lex_state = 17},
  [10245] = {.lex_state = 61, .external_lex_state = 24},
  [10246] = {.lex_state = 54, .external_lex_state = 26},
  [10247] = {.lex_state = 63, .external_lex_state = 23},
  [10248] = {.lex_state = 62},
  [10249] = {.lex_state = 63, .external_lex_state = 23},
  [10250] = {.lex_state = 63, .external_lex_state = 48},
  [10251] = {.lex_state = 63, .external_lex_state = 42},
  [10252] = {.lex_state = 62, .external_lex_state = 23},
  [10253] = {.lex_state = 61, .external_lex_state = 24},
  [10254] = {.lex_state = 52, .external_lex_state = 33},
  [10255] = {.lex_state = 52, .external_lex_state = 58},
  [10256] = {.lex_state = 65, .external_lex_state = 49},
  [10257] = {.lex_state = 56, .external_lex_state = 51},
  [10258] = {.lex_state = 61, .external_lex_state = 30},
  [10259] = {.lex_state = 65, .external_lex_state = 49},
  [10260] = {.lex_state = 63},
  [10261] = {.lex_state = 52, .external_lex_state = 58},
  [10262] = {.lex_state = 63, .external_lex_state = 50},
  [10263] = {.lex_state = 63, .external_lex_state = 33},
  [10264] = {.lex_state = 51},
  [10265] = {.lex_state = 52, .external_lex_state = 56},
  [10266] = {.lex_state = 21, .external_lex_state = 51},
  [10267] = {.lex_state = 52, .external_lex_state = 58},
  [10268] = {.lex_state = 63, .external_lex_state = 25},
  [10269] = {.lex_state = 62},
  [10270] = {.lex_state = 63, .external_lex_state = 24},
  [10271] = {.lex_state = 61, .external_lex_state = 31},
  [10272] = {.lex_state = 61, .external_lex_state = 31},
  [10273] = {.lex_state = 63, .external_lex_state = 24},
  [10274] = {.lex_state = 63, .external_lex_state = 25},
  [10275] = {.lex_state = 63, .external_lex_state = 31},
  [10276] = {.lex_state = 63, .external_lex_state = 25},
  [10277] = {.lex_state = 63, .external_lex_state = 24},
  [10278] = {.lex_state = 61, .external_lex_state = 31},
  [10279] = {.lex_state = 63, .external_lex_state = 25},
  [10280] = {.lex_state = 52, .external_lex_state = 58},
  [10281] = {.lex_state = 65, .external_lex_state = 48},
  [10282] = {.lex_state = 56, .external_lex_state = 51},
  [10283] = {.lex_state = 65, .external_lex_state = 48},
  [10284] = {.lex_state = 62, .external_lex_state = 23},
  [10285] = {.lex_state = 63, .external_lex_state = 25},
  [10286] = {.lex_state = 61, .external_lex_state = 24},
  [10287] = {.lex_state = 61, .external_lex_state = 24},
  [10288] = {.lex_state = 52, .external_lex_state = 58},
  [10289] = {.lex_state = 63, .external_lex_state = 40},
  [10290] = {.lex_state = 63},
  [10291] = {.lex_state = 52, .external_lex_state = 26},
  [10292] = {.lex_state = 52, .external_lex_state = 58},
  [10293] = {.lex_state = 62, .external_lex_state = 23},
  [10294] = {.lex_state = 52, .external_lex_state = 58},
  [10295] = {.lex_state = 3},
  [10296] = {.lex_state = 65},
  [10297] = {.lex_state = 52, .external_lex_state = 58},
  [10298] = {.lex_state = 61, .external_lex_state = 30},
  [10299] = {.lex_state = 52, .external_lex_state = 58},
  [10300] = {.lex_state = 62, .external_lex_state = 23},
  [10301] = {.lex_state = 62, .external_lex_state = 23},
  [10302] = {.lex_state = 61, .external_lex_state = 30},
  [10303] = {.lex_state = 3},
  [10304] = {.lex_state = 65},
  [10305] = {.lex_state = 63},
  [10306] = {.lex_state = 63, .external_lex_state = 24},
  [10307] = {.lex_state = 52, .external_lex_state = 57},
  [10308] = {.lex_state = 56, .external_lex_state = 51},
  [10309] = {.lex_state = 61, .external_lex_state = 30},
  [10310] = {.lex_state = 63, .external_lex_state = 23},
  [10311] = {.lex_state = 3},
  [10312] = {.lex_state = 65, .external_lex_state = 50},
  [10313] = {.lex_state = 52, .external_lex_state = 26},
  [10314] = {.lex_state = 62, .external_lex_state = 23},
  [10315] = {.lex_state = 61, .external_lex_state = 23},
  [10316] = {.lex_state = 17},
  [10317] = {.lex_state = 52, .external_lex_state = 26},
  [10318] = {.lex_state = 62},
  [10319] = {.lex_state = 61, .external_lex_state = 30},
  [10320] = {.lex_state = 61, .external_lex_state = 30},
  [10321] = {.lex_state = 65, .external_lex_state = 47},
  [10322] = {.lex_state = 63, .external_lex_state = 25},
  [10323] = {.lex_state = 62},
  [10324] = {.lex_state = 52, .external_lex_state = 23},
  [10325] = {.lex_state = 56, .external_lex_state = 51},
  [10326] = {.lex_state = 62},
  [10327] = {.lex_state = 52, .external_lex_state = 57},
  [10328] = {.lex_state = 3},
  [10329] = {.lex_state = 4},
  [10330] = {.lex_state = 62},
  [10331] = {.lex_state = 62},
  [10332] = {.lex_state = 52, .external_lex_state = 57},
  [10333] = {.lex_state = 61, .external_lex_state = 30},
  [10334] = {.lex_state = 61, .external_lex_state = 24},
  [10335] = {.lex_state = 63, .external_lex_state = 23},
  [10336] = {.lex_state = 65, .external_lex_state = 47},
  [10337] = {.lex_state = 63, .external_lex_state = 23},
  [10338] = {.lex_state = 3},
  [10339] = {.lex_state = 61, .external_lex_state = 30},
  [10340] = {.lex_state = 56, .external_lex_state = 51},
  [10341] = {.lex_state = 62},
  [10342] = {.lex_state = 17},
  [10343] = {.lex_state = 52, .external_lex_state = 26},
  [10344] = {.lex_state = 62, .external_lex_state = 23},
  [10345] = {.lex_state = 52, .external_lex_state = 23},
  [10346] = {.lex_state = 65},
  [10347] = {.lex_state = 63, .external_lex_state = 23},
  [10348] = {.lex_state = 63, .external_lex_state = 23},
  [10349] = {.lex_state = 17},
  [10350] = {.lex_state = 52, .external_lex_state = 57},
  [10351] = {.lex_state = 52, .external_lex_state = 57},
  [10352] = {.lex_state = 65, .external_lex_state = 47},
  [10353] = {.lex_state = 63, .external_lex_state = 33},
  [10354] = {.lex_state = 3},
  [10355] = {.lex_state = 61, .external_lex_state = 31},
  [10356] = {.lex_state = 52, .external_lex_state = 57},
  [10357] = {.lex_state = 56, .external_lex_state = 51},
  [10358] = {.lex_state = 63, .external_lex_state = 23},
  [10359] = {.lex_state = 62},
  [10360] = {.lex_state = 63, .external_lex_state = 25},
  [10361] = {.lex_state = 17},
  [10362] = {.lex_state = 52, .external_lex_state = 57},
  [10363] = {.lex_state = 56, .external_lex_state = 51},
  [10364] = {.lex_state = 17},
  [10365] = {.lex_state = 4},
  [10366] = {.lex_state = 56, .external_lex_state = 51},
  [10367] = {.lex_state = 17},
  [10368] = {.lex_state = 52, .external_lex_state = 26},
  [10369] = {.lex_state = 63, .external_lex_state = 25},
  [10370] = {.lex_state = 52, .external_lex_state = 26},
  [10371] = {.lex_state = 63, .external_lex_state = 23},
  [10372] = {.lex_state = 63, .external_lex_state = 25},
  [10373] = {.lex_state = 3},
  [10374] = {.lex_state = 21, .external_lex_state = 51},
  [10375] = {.lex_state = 61, .external_lex_state = 24},
  [10376] = {.lex_state = 63, .external_lex_state = 23},
  [10377] = {.lex_state = 52, .external_lex_state = 26},
  [10378] = {.lex_state = 52, .external_lex_state = 26},
  [10379] = {.lex_state = 21, .external_lex_state = 51},
  [10380] = {.lex_state = 61, .external_lex_state = 30},
  [10381] = {.lex_state = 3},
  [10382] = {.lex_state = 63, .external_lex_state = 23},
  [10383] = {.lex_state = 52, .external_lex_state = 26},
  [10384] = {.lex_state = 3},
  [10385] = {.lex_state = 63, .external_lex_state = 25},
  [10386] = {.lex_state = 63, .external_lex_state = 36},
  [10387] = {.lex_state = 52, .external_lex_state = 26},
  [10388] = {.lex_state = 3},
  [10389] = {.lex_state = 62},
  [10390] = {.lex_state = 52, .external_lex_state = 26},
  [10391] = {.lex_state = 61, .external_lex_state = 31},
  [10392] = {.lex_state = 52, .external_lex_state = 56},
  [10393] = {.lex_state = 62, .external_lex_state = 23},
  [10394] = {.lex_state = 63, .external_lex_state = 23},
  [10395] = {.lex_state = 63},
  [10396] = {.lex_state = 63, .external_lex_state = 25},
  [10397] = {.lex_state = 65, .external_lex_state = 47},
  [10398] = {.lex_state = 56, .external_lex_state = 51},
  [10399] = {.lex_state = 63, .external_lex_state = 36},
  [10400] = {.lex_state = 52, .external_lex_state = 36},
  [10401] = {.lex_state = 52, .external_lex_state = 57},
  [10402] = {.lex_state = 56, .external_lex_state = 51},
  [10403] = {.lex_state = 63, .external_lex_state = 36},
  [10404] = {.lex_state = 65},
  [10405] = {.lex_state = 63, .external_lex_state = 40},
  [10406] = {.lex_state = 4},
  [10407] = {.lex_state = 61, .external_lex_state = 31},
  [10408] = {.lex_state = 63, .external_lex_state = 23},
  [10409] = {.lex_state = 62},
  [10410] = {.lex_state = 52, .external_lex_state = 26},
  [10411] = {.lex_state = 61, .external_lex_state = 31},
  [10412] = {.lex_state = 61, .external_lex_state = 31},
  [10413] = {.lex_state = 63, .external_lex_state = 23},
  [10414] = {.lex_state = 63, .external_lex_state = 30},
  [10415] = {.lex_state = 61, .external_lex_state = 31},
  [10416] = {.lex_state = 4},
  [10417] = {.lex_state = 63, .external_lex_state = 25},
  [10418] = {.lex_state = 61, .external_lex_state = 31},
  [10419] = {.lex_state = 63, .external_lex_state = 23},
  [10420] = {.lex_state = 56, .external_lex_state = 51},
  [10421] = {.lex_state = 63},
  [10422] = {.lex_state = 3},
  [10423] = {.lex_state = 52, .external_lex_state = 26},
  [10424] = {.lex_state = 19},
  [10425] = {.lex_state = 63, .external_lex_state = 40},
  [10426] = {.lex_state = 52, .external_lex_state = 57},
  [10427] = {.lex_state = 61, .external_lex_state = 30},
  [10428] = {.lex_state = 17},
  [10429] = {.lex_state = 62},
  [10430] = {.lex_state = 17},
  [10431] = {.lex_state = 17},
  [10432] = {.lex_state = 63, .external_lex_state = 23},
  [10433] = {.lex_state = 62},
  [10434] = {.lex_state = 61, .external_lex_state = 31},
  [10435] = {.lex_state = 3},
  [10436] = {.lex_state = 19, .external_lex_state = 51},
  [10437] = {.lex_state = 63, .external_lex_state = 24},
  [10438] = {.lex_state = 61, .external_lex_state = 31},
  [10439] = {.lex_state = 52, .external_lex_state = 57},
  [10440] = {.lex_state = 19, .external_lex_state = 51},
  [10441] = {.lex_state = 63, .external_lex_state = 31},
  [10442] = {.lex_state = 63, .external_lex_state = 23},
  [10443] = {.lex_state = 8},
  [10444] = {.lex_state = 52, .external_lex_state = 23},
  [10445] = {.lex_state = 52, .external_lex_state = 23},
  [10446] = {.lex_state = 63},
  [10447] = {.lex_state = 51},
  [10448] = {.lex_state = 52, .external_lex_state = 30},
  [10449] = {.lex_state = 54, .external_lex_state = 61},
  [10450] = {.lex_state = 52, .external_lex_state = 30},
  [10451] = {.lex_state = 64, .external_lex_state = 24},
  [10452] = {.lex_state = 63, .external_lex_state = 24},
  [10453] = {.lex_state = 64, .external_lex_state = 24},
  [10454] = {.lex_state = 64, .external_lex_state = 24},
  [10455] = {.lex_state = 52, .external_lex_state = 30},
  [10456] = {.lex_state = 65},
  [10457] = {.lex_state = 51},
  [10458] = {.lex_state = 64, .external_lex_state = 24},
  [10459] = {.lex_state = 52, .external_lex_state = 23},
  [10460] = {.lex_state = 52, .external_lex_state = 23},
  [10461] = {.lex_state = 52, .external_lex_state = 30},
  [10462] = {.lex_state = 64, .external_lex_state = 24},
  [10463] = {.lex_state = 64, .external_lex_state = 24},
  [10464] = {.lex_state = 52, .external_lex_state = 23},
  [10465] = {.lex_state = 65, .external_lex_state = 58},
  [10466] = {.lex_state = 21, .external_lex_state = 51},
  [10467] = {.lex_state = 65},
  [10468] = {.lex_state = 63, .external_lex_state = 23},
  [10469] = {.lex_state = 61, .external_lex_state = 36},
  [10470] = {.lex_state = 64, .external_lex_state = 23},
  [10471] = {.lex_state = 51, .external_lex_state = 23},
  [10472] = {.lex_state = 51},
  [10473] = {.lex_state = 51},
  [10474] = {.lex_state = 61, .external_lex_state = 36},
  [10475] = {.lex_state = 64, .external_lex_state = 23},
  [10476] = {.lex_state = 64, .external_lex_state = 23},
  [10477] = {.lex_state = 51, .external_lex_state = 23},
  [10478] = {.lex_state = 64, .external_lex_state = 23},
  [10479] = {.lex_state = 61, .external_lex_state = 36},
  [10480] = {.lex_state = 63, .external_lex_state = 48},
  [10481] = {.lex_state = 51, .external_lex_state = 23},
  [10482] = {.lex_state = 63, .external_lex_state = 33},
  [10483] = {.lex_state = 61, .external_lex_state = 33},
  [10484] = {.lex_state = 52, .external_lex_state = 23},
  [10485] = {.lex_state = 63, .external_lex_state = 50},
  [10486] = {.lex_state = 61, .external_lex_state = 36},
  [10487] = {.lex_state = 51},
  [10488] = {.lex_state = 64, .external_lex_state = 23},
  [10489] = {.lex_state = 4},
  [10490] = {.lex_state = 21},
  [10491] = {.lex_state = 4},
  [10492] = {.lex_state = 65, .external_lex_state = 57},
  [10493] = {.lex_state = 65, .external_lex_state = 26},
  [10494] = {.lex_state = 65},
  [10495] = {.lex_state = 62},
  [10496] = {.lex_state = 65},
  [10497] = {.lex_state = 63, .external_lex_state = 48},
  [10498] = {.lex_state = 51},
  [10499] = {.lex_state = 65},
  [10500] = {.lex_state = 61, .external_lex_state = 36},
  [10501] = {.lex_state = 63, .external_lex_state = 47},
  [10502] = {.lex_state = 63, .external_lex_state = 23},
  [10503] = {.lex_state = 63, .external_lex_state = 49},
  [10504] = {.lex_state = 51, .external_lex_state = 23},
  [10505] = {.lex_state = 52, .external_lex_state = 31},
  [10506] = {.lex_state = 63, .external_lex_state = 47},
  [10507] = {.lex_state = 52, .external_lex_state = 31},
  [10508] = {.lex_state = 51},
  [10509] = {.lex_state = 51},
  [10510] = {.lex_state = 63, .external_lex_state = 23},
  [10511] = {.lex_state = 52, .external_lex_state = 31},
  [10512] = {.lex_state = 63, .external_lex_state = 57},
  [10513] = {.lex_state = 51},
  [10514] = {.lex_state = 51},
  [10515] = {.lex_state = 65, .external_lex_state = 57},
  [10516] = {.lex_state = 65, .external_lex_state = 56},
  [10517] = {.lex_state = 51},
  [10518] = {.lex_state = 64, .external_lex_state = 23},
  [10519] = {.lex_state = 52, .external_lex_state = 31},
  [10520] = {.lex_state = 51},
  [10521] = {.lex_state = 52, .external_lex_state = 31},
  [10522] = {.lex_state = 52, .external_lex_state = 31},
  [10523] = {.lex_state = 63, .external_lex_state = 23},
  [10524] = {.lex_state = 64, .external_lex_state = 24},
  [10525] = {.lex_state = 64, .external_lex_state = 23},
  [10526] = {.lex_state = 65, .external_lex_state = 26},
  [10527] = {.lex_state = 3},
  [10528] = {.lex_state = 61, .external_lex_state = 33},
  [10529] = {.lex_state = 63, .external_lex_state = 33},
  [10530] = {.lex_state = 63, .external_lex_state = 23},
  [10531] = {.lex_state = 63, .external_lex_state = 24},
  [10532] = {.lex_state = 54, .external_lex_state = 30},
  [10533] = {.lex_state = 61, .external_lex_state = 33},
  [10534] = {.lex_state = 61, .external_lex_state = 36},
  [10535] = {.lex_state = 52, .external_lex_state = 30},
  [10536] = {.lex_state = 52},
  [10537] = {.lex_state = 61, .external_lex_state = 33},
  [10538] = {.lex_state = 20},
  [10539] = {.lex_state = 63, .external_lex_state = 26},
  [10540] = {.lex_state = 65},
  [10541] = {.lex_state = 64, .external_lex_state = 23},
  [10542] = {.lex_state = 52, .external_lex_state = 31},
  [10543] = {.lex_state = 64, .external_lex_state = 24},
  [10544] = {.lex_state = 65},
  [10545] = {.lex_state = 65},
  [10546] = {.lex_state = 21},
  [10547] = {.lex_state = 61, .external_lex_state = 33},
  [10548] = {.lex_state = 52, .external_lex_state = 31},
  [10549] = {.lex_state = 64, .external_lex_state = 23},
  [10550] = {.lex_state = 65, .external_lex_state = 58},
  [10551] = {.lex_state = 65, .external_lex_state = 58},
  [10552] = {.lex_state = 51},
  [10553] = {.lex_state = 65, .external_lex_state = 58},
  [10554] = {.lex_state = 53, .external_lex_state = 38},
  [10555] = {.lex_state = 51},
  [10556] = {.lex_state = 65, .external_lex_state = 56},
  [10557] = {.lex_state = 52, .external_lex_state = 30},
  [10558] = {.lex_state = 21, .external_lex_state = 51},
  [10559] = {.lex_state = 52, .external_lex_state = 23},
  [10560] = {.lex_state = 52, .external_lex_state = 31},
  [10561] = {.lex_state = 52},
  [10562] = {.lex_state = 52, .external_lex_state = 31},
  [10563] = {.lex_state = 52, .external_lex_state = 23},
  [10564] = {.lex_state = 63, .external_lex_state = 49},
  [10565] = {.lex_state = 51, .external_lex_state = 23},
  [10566] = {.lex_state = 20, .external_lex_state = 51},
  [10567] = {.lex_state = 52, .external_lex_state = 23},
  [10568] = {.lex_state = 3},
  [10569] = {.lex_state = 63, .external_lex_state = 48},
  [10570] = {.lex_state = 61, .external_lex_state = 36},
  [10571] = {.lex_state = 52, .external_lex_state = 23},
  [10572] = {.lex_state = 63, .external_lex_state = 47},
  [10573] = {.lex_state = 52, .external_lex_state = 23},
  [10574] = {.lex_state = 63, .external_lex_state = 47},
  [10575] = {.lex_state = 52, .external_lex_state = 23},
  [10576] = {.lex_state = 52, .external_lex_state = 59},
  [10577] = {.lex_state = 63, .external_lex_state = 24},
  [10578] = {.lex_state = 63, .external_lex_state = 24},
  [10579] = {.lex_state = 61, .external_lex_state = 36},
  [10580] = {.lex_state = 51},
  [10581] = {.lex_state = 61, .external_lex_state = 36},
  [10582] = {.lex_state = 51},
  [10583] = {.lex_state = 63, .external_lex_state = 24},
  [10584] = {.lex_state = 63, .external_lex_state = 58},
  [10585] = {.lex_state = 65, .external_lex_state = 57},
  [10586] = {.lex_state = 63, .external_lex_state = 24},
  [10587] = {.lex_state = 61, .external_lex_state = 33},
  [10588] = {.lex_state = 65, .external_lex_state = 57},
  [10589] = {.lex_state = 61, .external_lex_state = 33},
  [10590] = {.lex_state = 63, .external_lex_state = 24},
  [10591] = {.lex_state = 52, .external_lex_state = 30},
  [10592] = {.lex_state = 20, .external_lex_state = 51},
  [10593] = {.lex_state = 65, .external_lex_state = 56},
  [10594] = {.lex_state = 54, .external_lex_state = 62},
  [10595] = {.lex_state = 52, .external_lex_state = 30},
  [10596] = {.lex_state = 65, .external_lex_state = 57},
  [10597] = {.lex_state = 65, .external_lex_state = 56},
  [10598] = {.lex_state = 61, .external_lex_state = 33},
  [10599] = {.lex_state = 65, .external_lex_state = 56},
  [10600] = {.lex_state = 64, .external_lex_state = 23},
  [10601] = {.lex_state = 61, .external_lex_state = 33},
  [10602] = {.lex_state = 63, .external_lex_state = 24},
  [10603] = {.lex_state = 52, .external_lex_state = 31},
  [10604] = {.lex_state = 4},
  [10605] = {.lex_state = 61, .external_lex_state = 36},
  [10606] = {.lex_state = 61, .external_lex_state = 33},
  [10607] = {.lex_state = 52, .external_lex_state = 31},
  [10608] = {.lex_state = 52, .external_lex_state = 31},
  [10609] = {.lex_state = 61, .external_lex_state = 33},
  [10610] = {.lex_state = 51, .external_lex_state = 24},
  [10611] = {.lex_state = 61, .external_lex_state = 33},
  [10612] = {.lex_state = 52, .external_lex_state = 31},
  [10613] = {.lex_state = 61, .external_lex_state = 36},
  [10614] = {.lex_state = 64, .external_lex_state = 24},
  [10615] = {.lex_state = 64, .external_lex_state = 24},
  [10616] = {.lex_state = 61, .external_lex_state = 36},
  [10617] = {.lex_state = 65},
  [10618] = {.lex_state = 65},
  [10619] = {.lex_state = 64, .external_lex_state = 24},
  [10620] = {.lex_state = 63, .external_lex_state = 48},
  [10621] = {.lex_state = 3},
  [10622] = {.lex_state = 61, .external_lex_state = 36},
  [10623] = {.lex_state = 51, .external_lex_state = 24},
  [10624] = {.lex_state = 51, .external_lex_state = 24},
  [10625] = {.lex_state = 51, .external_lex_state = 24},
  [10626] = {.lex_state = 64, .external_lex_state = 23},
  [10627] = {.lex_state = 51, .external_lex_state = 24},
  [10628] = {.lex_state = 64, .external_lex_state = 23},
  [10629] = {.lex_state = 52, .external_lex_state = 30},
  [10630] = {.lex_state = 52, .external_lex_state = 23},
  [10631] = {.lex_state = 63, .external_lex_state = 50},
  [10632] = {.lex_state = 64, .external_lex_state = 24},
  [10633] = {.lex_state = 65},
  [10634] = {.lex_state = 52, .external_lex_state = 23},
  [10635] = {.lex_state = 64, .external_lex_state = 24},
  [10636] = {.lex_state = 64, .external_lex_state = 24},
  [10637] = {.lex_state = 3},
  [10638] = {.lex_state = 52, .external_lex_state = 30},
  [10639] = {.lex_state = 52, .external_lex_state = 59},
  [10640] = {.lex_state = 54, .external_lex_state = 31},
  [10641] = {.lex_state = 65},
  [10642] = {.lex_state = 63, .external_lex_state = 23},
  [10643] = {.lex_state = 63, .external_lex_state = 36},
  [10644] = {.lex_state = 61, .external_lex_state = 36},
  [10645] = {.lex_state = 63, .external_lex_state = 56},
  [10646] = {.lex_state = 52, .external_lex_state = 30},
  [10647] = {.lex_state = 54, .external_lex_state = 62},
  [10648] = {.lex_state = 51},
  [10649] = {.lex_state = 52, .external_lex_state = 30},
  [10650] = {.lex_state = 63, .external_lex_state = 36},
  [10651] = {.lex_state = 61, .external_lex_state = 33},
  [10652] = {.lex_state = 61, .external_lex_state = 33},
  [10653] = {.lex_state = 51},
  [10654] = {.lex_state = 65, .external_lex_state = 26},
  [10655] = {.lex_state = 65, .external_lex_state = 26},
  [10656] = {.lex_state = 64, .external_lex_state = 23},
  [10657] = {.lex_state = 65, .external_lex_state = 26},
  [10658] = {.lex_state = 52, .external_lex_state = 30},
  [10659] = {.lex_state = 65, .external_lex_state = 58},
  [10660] = {.lex_state = 64, .external_lex_state = 23},
  [10661] = {.lex_state = 52, .external_lex_state = 30},
  [10662] = {.lex_state = 4},
  [10663] = {.lex_state = 63},
  [10664] = {.lex_state = 51, .external_lex_state = 23},
  [10665] = {.lex_state = 3},
  [10666] = {.lex_state = 63},
  [10667] = {.lex_state = 54, .external_lex_state = 63},
  [10668] = {.lex_state = 61, .external_lex_state = 23},
  [10669] = {.lex_state = 21},
  [10670] = {.lex_state = 4},
  [10671] = {.lex_state = 54, .external_lex_state = 62},
  [10672] = {.lex_state = 54, .external_lex_state = 63},
  [10673] = {.lex_state = 21},
  [10674] = {.lex_state = 54, .external_lex_state = 25},
  [10675] = {.lex_state = 21},
  [10676] = {.lex_state = 52, .external_lex_state = 33},
  [10677] = {.lex_state = 4},
  [10678] = {.lex_state = 19},
  [10679] = {.lex_state = 63, .external_lex_state = 56},
  [10680] = {.lex_state = 63},
  [10681] = {.lex_state = 51},
  [10682] = {.lex_state = 4},
  [10683] = {.lex_state = 4},
  [10684] = {.lex_state = 21},
  [10685] = {.lex_state = 21},
  [10686] = {.lex_state = 4},
  [10687] = {.lex_state = 54, .external_lex_state = 25},
  [10688] = {.lex_state = 51, .external_lex_state = 23},
  [10689] = {.lex_state = 21},
  [10690] = {.lex_state = 21},
  [10691] = {.lex_state = 51, .external_lex_state = 24},
  [10692] = {.lex_state = 63},
  [10693] = {.lex_state = 54, .external_lex_state = 25},
  [10694] = {.lex_state = 3},
  [10695] = {.lex_state = 4},
  [10696] = {.lex_state = 19},
  [10697] = {.lex_state = 63, .external_lex_state = 30},
  [10698] = {.lex_state = 4},
  [10699] = {.lex_state = 51, .external_lex_state = 24},
  [10700] = {.lex_state = 63, .external_lex_state = 58},
  [10701] = {.lex_state = 3},
  [10702] = {.lex_state = 54, .external_lex_state = 25},
  [10703] = {.lex_state = 63, .external_lex_state = 31},
  [10704] = {.lex_state = 51, .external_lex_state = 24},
  [10705] = {.lex_state = 54, .external_lex_state = 25},
  [10706] = {.lex_state = 3},
  [10707] = {.lex_state = 18},
  [10708] = {.lex_state = 51},
  [10709] = {.lex_state = 61, .external_lex_state = 23},
  [10710] = {.lex_state = 64, .external_lex_state = 23},
  [10711] = {.lex_state = 63, .external_lex_state = 26},
  [10712] = {.lex_state = 52, .external_lex_state = 33},
  [10713] = {.lex_state = 52, .external_lex_state = 33},
  [10714] = {.lex_state = 52, .external_lex_state = 33},
  [10715] = {.lex_state = 51, .external_lex_state = 24},
  [10716] = {.lex_state = 61, .external_lex_state = 23},
  [10717] = {.lex_state = 51},
  [10718] = {.lex_state = 54, .external_lex_state = 23},
  [10719] = {.lex_state = 8},
  [10720] = {.lex_state = 63},
  [10721] = {.lex_state = 51, .external_lex_state = 24},
  [10722] = {.lex_state = 61, .external_lex_state = 23},
  [10723] = {.lex_state = 21},
  [10724] = {.lex_state = 51, .external_lex_state = 24},
  [10725] = {.lex_state = 53, .external_lex_state = 38},
  [10726] = {.lex_state = 21},
  [10727] = {.lex_state = 51, .external_lex_state = 23},
  [10728] = {.lex_state = 21},
  [10729] = {.lex_state = 51, .external_lex_state = 24},
  [10730] = {.lex_state = 52, .external_lex_state = 33},
  [10731] = {.lex_state = 51, .external_lex_state = 23},
  [10732] = {.lex_state = 51, .external_lex_state = 23},
  [10733] = {.lex_state = 51, .external_lex_state = 24},
  [10734] = {.lex_state = 51, .external_lex_state = 24},
  [10735] = {.lex_state = 4},
  [10736] = {.lex_state = 51},
  [10737] = {.lex_state = 51},
  [10738] = {.lex_state = 21},
  [10739] = {.lex_state = 3},
  [10740] = {.lex_state = 64, .external_lex_state = 23},
  [10741] = {.lex_state = 63},
  [10742] = {.lex_state = 61, .external_lex_state = 23},
  [10743] = {.lex_state = 63},
  [10744] = {.lex_state = 63},
  [10745] = {.lex_state = 51, .external_lex_state = 23},
  [10746] = {.lex_state = 3},
  [10747] = {.lex_state = 51},
  [10748] = {.lex_state = 3},
  [10749] = {.lex_state = 64, .external_lex_state = 23},
  [10750] = {.lex_state = 51, .external_lex_state = 23},
  [10751] = {.lex_state = 51},
  [10752] = {.lex_state = 21},
  [10753] = {.lex_state = 51},
  [10754] = {.lex_state = 51, .external_lex_state = 24},
  [10755] = {.lex_state = 53, .external_lex_state = 52},
  [10756] = {.lex_state = 21},
  [10757] = {.lex_state = 64, .external_lex_state = 23},
  [10758] = {.lex_state = 21},
  [10759] = {.lex_state = 63, .external_lex_state = 56},
  [10760] = {.lex_state = 21},
  [10761] = {.lex_state = 21},
  [10762] = {.lex_state = 52, .external_lex_state = 36},
  [10763] = {.lex_state = 63, .external_lex_state = 23},
  [10764] = {.lex_state = 52, .external_lex_state = 36},
  [10765] = {.lex_state = 61, .external_lex_state = 23},
  [10766] = {.lex_state = 3},
  [10767] = {.lex_state = 3},
  [10768] = {.lex_state = 54, .external_lex_state = 25},
  [10769] = {.lex_state = 8},
  [10770] = {.lex_state = 51, .external_lex_state = 23},
  [10771] = {.lex_state = 21},
  [10772] = {.lex_state = 51},
  [10773] = {.lex_state = 51, .external_lex_state = 23},
  [10774] = {.lex_state = 54, .external_lex_state = 26},
  [10775] = {.lex_state = 54, .external_lex_state = 25},
  [10776] = {.lex_state = 21},
  [10777] = {.lex_state = 54, .external_lex_state = 25},
  [10778] = {.lex_state = 61, .external_lex_state = 23},
  [10779] = {.lex_state = 51, .external_lex_state = 23},
  [10780] = {.lex_state = 61, .external_lex_state = 23},
  [10781] = {.lex_state = 61, .external_lex_state = 23},
  [10782] = {.lex_state = 54, .external_lex_state = 25},
  [10783] = {.lex_state = 54, .external_lex_state = 25},
  [10784] = {.lex_state = 3},
  [10785] = {.lex_state = 3},
  [10786] = {.lex_state = 52, .external_lex_state = 36},
  [10787] = {.lex_state = 51, .external_lex_state = 23},
  [10788] = {.lex_state = 61, .external_lex_state = 23},
  [10789] = {.lex_state = 51, .external_lex_state = 24},
  [10790] = {.lex_state = 51, .external_lex_state = 23},
  [10791] = {.lex_state = 51, .external_lex_state = 24},
  [10792] = {.lex_state = 19},
  [10793] = {.lex_state = 19},
  [10794] = {.lex_state = 60, .external_lex_state = 26},
  [10795] = {.lex_state = 63, .external_lex_state = 56},
  [10796] = {.lex_state = 54, .external_lex_state = 25},
  [10797] = {.lex_state = 60, .external_lex_state = 26},
  [10798] = {.lex_state = 54, .external_lex_state = 26},
  [10799] = {.lex_state = 63, .external_lex_state = 58},
  [10800] = {.lex_state = 52, .external_lex_state = 33},
  [10801] = {.lex_state = 54, .external_lex_state = 26},
  [10802] = {.lex_state = 65, .external_lex_state = 30},
  [10803] = {.lex_state = 63},
  [10804] = {.lex_state = 52, .external_lex_state = 36},
  [10805] = {.lex_state = 61, .external_lex_state = 23},
  [10806] = {.lex_state = 51, .external_lex_state = 23},
  [10807] = {.lex_state = 21},
  [10808] = {.lex_state = 21},
  [10809] = {.lex_state = 63},
  [10810] = {.lex_state = 54, .external_lex_state = 25},
  [10811] = {.lex_state = 61, .external_lex_state = 23},
  [10812] = {.lex_state = 52, .external_lex_state = 36},
  [10813] = {.lex_state = 21},
  [10814] = {.lex_state = 51},
  [10815] = {.lex_state = 63, .external_lex_state = 57},
  [10816] = {.lex_state = 51, .external_lex_state = 24},
  [10817] = {.lex_state = 51, .external_lex_state = 24},
  [10818] = {.lex_state = 51, .external_lex_state = 24},
  [10819] = {.lex_state = 21},
  [10820] = {.lex_state = 51, .external_lex_state = 24},
  [10821] = {.lex_state = 51, .external_lex_state = 24},
  [10822] = {.lex_state = 51, .external_lex_state = 23},
  [10823] = {.lex_state = 21},
  [10824] = {.lex_state = 54, .external_lex_state = 25},
  [10825] = {.lex_state = 51, .external_lex_state = 23},
  [10826] = {.lex_state = 52, .external_lex_state = 33},
  [10827] = {.lex_state = 51, .external_lex_state = 23},
  [10828] = {.lex_state = 21},
  [10829] = {.lex_state = 65, .external_lex_state = 24},
  [10830] = {.lex_state = 52, .external_lex_state = 36},
  [10831] = {.lex_state = 21},
  [10832] = {.lex_state = 52, .external_lex_state = 36},
  [10833] = {.lex_state = 21},
  [10834] = {.lex_state = 52, .external_lex_state = 36},
  [10835] = {.lex_state = 65, .external_lex_state = 30},
  [10836] = {.lex_state = 65, .external_lex_state = 30},
  [10837] = {.lex_state = 51, .external_lex_state = 23},
  [10838] = {.lex_state = 21},
  [10839] = {.lex_state = 64, .external_lex_state = 23},
  [10840] = {.lex_state = 63},
  [10841] = {.lex_state = 65, .external_lex_state = 31},
  [10842] = {.lex_state = 54, .external_lex_state = 60},
  [10843] = {.lex_state = 63},
  [10844] = {.lex_state = 63, .external_lex_state = 23},
  [10845] = {.lex_state = 21},
  [10846] = {.lex_state = 61, .external_lex_state = 23},
  [10847] = {.lex_state = 54, .external_lex_state = 36},
  [10848] = {.lex_state = 21},
  [10849] = {.lex_state = 21},
  [10850] = {.lex_state = 19},
  [10851] = {.lex_state = 21},
  [10852] = {.lex_state = 51},
  [10853] = {.lex_state = 65, .external_lex_state = 30},
  [10854] = {.lex_state = 65, .external_lex_state = 30},
  [10855] = {.lex_state = 21},
  [10856] = {.lex_state = 21},
  [10857] = {.lex_state = 52, .external_lex_state = 33},
  [10858] = {.lex_state = 63, .external_lex_state = 26},
  [10859] = {.lex_state = 64, .external_lex_state = 23},
  [10860] = {.lex_state = 52, .external_lex_state = 33},
  [10861] = {.lex_state = 51, .external_lex_state = 23},
  [10862] = {.lex_state = 63},
  [10863] = {.lex_state = 63},
  [10864] = {.lex_state = 52, .external_lex_state = 33},
  [10865] = {.lex_state = 21},
  [10866] = {.lex_state = 21},
  [10867] = {.lex_state = 3},
  [10868] = {.lex_state = 52, .external_lex_state = 36},
  [10869] = {.lex_state = 51, .external_lex_state = 23},
  [10870] = {.lex_state = 18},
  [10871] = {.lex_state = 52, .external_lex_state = 33},
  [10872] = {.lex_state = 52, .external_lex_state = 33},
  [10873] = {.lex_state = 65, .external_lex_state = 31},
  [10874] = {.lex_state = 65, .external_lex_state = 31},
  [10875] = {.lex_state = 53, .external_lex_state = 38},
  [10876] = {.lex_state = 63, .external_lex_state = 57},
  [10877] = {.lex_state = 65, .external_lex_state = 31},
  [10878] = {.lex_state = 54, .external_lex_state = 33},
  [10879] = {.lex_state = 51},
  [10880] = {.lex_state = 52, .external_lex_state = 36},
  [10881] = {.lex_state = 21},
  [10882] = {.lex_state = 64, .external_lex_state = 23},
  [10883] = {.lex_state = 51, .external_lex_state = 23},
  [10884] = {.lex_state = 8},
  [10885] = {.lex_state = 52, .external_lex_state = 36},
  [10886] = {.lex_state = 3},
  [10887] = {.lex_state = 65, .external_lex_state = 31},
  [10888] = {.lex_state = 54, .external_lex_state = 62},
  [10889] = {.lex_state = 54, .external_lex_state = 26},
  [10890] = {.lex_state = 64, .external_lex_state = 23},
  [10891] = {.lex_state = 64, .external_lex_state = 23},
  [10892] = {.lex_state = 65, .external_lex_state = 24},
  [10893] = {.lex_state = 3},
  [10894] = {.lex_state = 64, .external_lex_state = 23},
  [10895] = {.lex_state = 51, .external_lex_state = 23},
  [10896] = {.lex_state = 52, .external_lex_state = 59},
  [10897] = {.lex_state = 21},
  [10898] = {.lex_state = 63, .external_lex_state = 24},
  [10899] = {.lex_state = 52, .external_lex_state = 36},
  [10900] = {.lex_state = 63},
  [10901] = {.lex_state = 52, .external_lex_state = 36},
  [10902] = {.lex_state = 51, .external_lex_state = 23},
  [10903] = {.lex_state = 65, .external_lex_state = 24},
  [10904] = {.lex_state = 65, .external_lex_state = 24},
  [10905] = {.lex_state = 21},
  [10906] = {.lex_state = 52, .external_lex_state = 33},
  [10907] = {.lex_state = 64, .external_lex_state = 23},
  [10908] = {.lex_state = 54, .external_lex_state = 60},
  [10909] = {.lex_state = 64, .external_lex_state = 23},
  [10910] = {.lex_state = 64, .external_lex_state = 23},
  [10911] = {.lex_state = 65, .external_lex_state = 24},
  [10912] = {.lex_state = 19},
  [10913] = {.lex_state = 52, .external_lex_state = 59},
  [10914] = {.lex_state = 64, .external_lex_state = 23},
  [10915] = {.lex_state = 3},
  [10916] = {.lex_state = 21},
  [10917] = {.lex_state = 54, .external_lex_state = 62},
  [10918] = {.lex_state = 21},
  [10919] = {.lex_state = 8},
  [10920] = {.lex_state = 3},
  [10921] = {.lex_state = 21},
  [10922] = {.lex_state = 21},
  [10923] = {.lex_state = 21},
  [10924] = {.lex_state = 21},
  [10925] = {.lex_state = 19},
  [10926] = {.lex_state = 19},
  [10927] = {.lex_state = 3},
  [10928] = {.lex_state = 52, .external_lex_state = 33},
  [10929] = {.lex_state = 21},
  [10930] = {.lex_state = 54, .external_lex_state = 25},
  [10931] = {.lex_state = 52, .external_lex_state = 36},
  [10932] = {.lex_state = 19},
  [10933] = {.lex_state = 63},
  [10934] = {.lex_state = 63},
  [10935] = {.lex_state = 21},
  [10936] = {.lex_state = 53, .external_lex_state = 23},
  [10937] = {.lex_state = 63},
  [10938] = {.lex_state = 63},
  [10939] = {.lex_state = 61, .external_lex_state = 23},
  [10940] = {.lex_state = 19},
  [10941] = {.lex_state = 21},
  [10942] = {.lex_state = 19},
  [10943] = {.lex_state = 3},
  [10944] = {.lex_state = 63, .external_lex_state = 56},
  [10945] = {.lex_state = 19},
  [10946] = {.lex_state = 54, .external_lex_state = 62},
  [10947] = {.lex_state = 19},
  [10948] = {.lex_state = 52},
  [10949] = {.lex_state = 19},
  [10950] = {.lex_state = 54, .external_lex_state = 23},
  [10951] = {.lex_state = 3},
  [10952] = {.lex_state = 20},
  [10953] = {.lex_state = 20},
  [10954] = {.lex_state = 51},
  [10955] = {.lex_state = 20},
  [10956] = {.lex_state = 20},
  [10957] = {.lex_state = 54, .external_lex_state = 26},
  [10958] = {.lex_state = 3},
  [10959] = {.lex_state = 20},
  [10960] = {.lex_state = 54, .external_lex_state = 63},
  [10961] = {.lex_state = 54, .external_lex_state = 61},
  [10962] = {.lex_state = 20},
  [10963] = {.lex_state = 3},
  [10964] = {.lex_state = 20},
  [10965] = {.lex_state = 3},
  [10966] = {.lex_state = 20},
  [10967] = {.lex_state = 51, .external_lex_state = 23},
  [10968] = {.lex_state = 54, .external_lex_state = 26},
  [10969] = {.lex_state = 20},
  [10970] = {.lex_state = 54, .external_lex_state = 26},
  [10971] = {.lex_state = 20},
  [10972] = {.lex_state = 3},
  [10973] = {.lex_state = 8},
  [10974] = {.lex_state = 51},
  [10975] = {.lex_state = 54, .external_lex_state = 26},
  [10976] = {.lex_state = 51},
  [10977] = {.lex_state = 18},
  [10978] = {.lex_state = 65, .external_lex_state = 33},
  [10979] = {.lex_state = 65, .external_lex_state = 33},
  [10980] = {.lex_state = 21},
  [10981] = {.lex_state = 65, .external_lex_state = 33},
  [10982] = {.lex_state = 54, .external_lex_state = 26},
  [10983] = {.lex_state = 51, .external_lex_state = 23},
  [10984] = {.lex_state = 54, .external_lex_state = 63},
  [10985] = {.lex_state = 51, .external_lex_state = 23},
  [10986] = {.lex_state = 53, .external_lex_state = 24},
  [10987] = {.lex_state = 54, .external_lex_state = 26},
  [10988] = {.lex_state = 54, .external_lex_state = 26},
  [10989] = {.lex_state = 65, .external_lex_state = 33},
  [10990] = {.lex_state = 4},
  [10991] = {.lex_state = 51},
  [10992] = {.lex_state = 52, .external_lex_state = 64},
  [10993] = {.lex_state = 8},
  [10994] = {.lex_state = 51},
  [10995] = {.lex_state = 63},
  [10996] = {.lex_state = 3},
  [10997] = {.lex_state = 51},
  [10998] = {.lex_state = 20},
  [10999] = {.lex_state = 3},
  [11000] = {.lex_state = 51},
  [11001] = {.lex_state = 63},
  [11002] = {.lex_state = 8},
  [11003] = {.lex_state = 51},
  [11004] = {.lex_state = 51},
  [11005] = {.lex_state = 54, .external_lex_state = 31},
  [11006] = {.lex_state = 51, .external_lex_state = 23},
  [11007] = {.lex_state = 8},
  [11008] = {.lex_state = 54, .external_lex_state = 26},
  [11009] = {.lex_state = 8},
  [11010] = {.lex_state = 3},
  [11011] = {.lex_state = 51, .external_lex_state = 23},
  [11012] = {.lex_state = 51, .external_lex_state = 23},
  [11013] = {.lex_state = 51},
  [11014] = {.lex_state = 51},
  [11015] = {.lex_state = 66, .external_lex_state = 23},
  [11016] = {.lex_state = 66, .external_lex_state = 23},
  [11017] = {.lex_state = 51},
  [11018] = {.lex_state = 63, .external_lex_state = 36},
  [11019] = {.lex_state = 3},
  [11020] = {.lex_state = 4},
  [11021] = {.lex_state = 3},
  [11022] = {.lex_state = 60, .external_lex_state = 31},
  [11023] = {.lex_state = 3},
  [11024] = {.lex_state = 51, .external_lex_state = 23},
  [11025] = {.lex_state = 51},
  [11026] = {.lex_state = 65, .external_lex_state = 36},
  [11027] = {.lex_state = 51, .external_lex_state = 23},
  [11028] = {.lex_state = 3},
  [11029] = {.lex_state = 66, .external_lex_state = 24},
  [11030] = {.lex_state = 54, .external_lex_state = 63},
  [11031] = {.lex_state = 51},
  [11032] = {.lex_state = 60, .external_lex_state = 31},
  [11033] = {.lex_state = 3},
  [11034] = {.lex_state = 20},
  [11035] = {.lex_state = 54, .external_lex_state = 26},
  [11036] = {.lex_state = 65, .external_lex_state = 33},
  [11037] = {.lex_state = 66, .external_lex_state = 24},
  [11038] = {.lex_state = 66, .external_lex_state = 24},
  [11039] = {.lex_state = 3},
  [11040] = {.lex_state = 66, .external_lex_state = 24},
  [11041] = {.lex_state = 63, .external_lex_state = 23},
  [11042] = {.lex_state = 63, .external_lex_state = 23},
  [11043] = {.lex_state = 54, .external_lex_state = 26},
  [11044] = {.lex_state = 65, .external_lex_state = 36},
  [11045] = {.lex_state = 54, .external_lex_state = 26},
  [11046] = {.lex_state = 54, .external_lex_state = 60},
  [11047] = {.lex_state = 53, .external_lex_state = 52},
  [11048] = {.lex_state = 54, .external_lex_state = 26},
  [11049] = {.lex_state = 8},
  [11050] = {.lex_state = 3},
  [11051] = {.lex_state = 54, .external_lex_state = 30},
  [11052] = {.lex_state = 66, .external_lex_state = 24},
  [11053] = {.lex_state = 65, .external_lex_state = 36},
  [11054] = {.lex_state = 65, .external_lex_state = 36},
  [11055] = {.lex_state = 54, .external_lex_state = 23},
  [11056] = {.lex_state = 8},
  [11057] = {.lex_state = 21},
  [11058] = {.lex_state = 3},
  [11059] = {.lex_state = 62},
  [11060] = {.lex_state = 54, .external_lex_state = 31},
  [11061] = {.lex_state = 54, .external_lex_state = 31},
  [11062] = {.lex_state = 8},
  [11063] = {.lex_state = 8},
  [11064] = {.lex_state = 54, .external_lex_state = 61},
  [11065] = {.lex_state = 65, .external_lex_state = 36},
  [11066] = {.lex_state = 53, .external_lex_state = 24},
  [11067] = {.lex_state = 63, .external_lex_state = 30},
  [11068] = {.lex_state = 63, .external_lex_state = 31},
  [11069] = {.lex_state = 8},
  [11070] = {.lex_state = 54, .external_lex_state = 30},
  [11071] = {.lex_state = 54, .external_lex_state = 62},
  [11072] = {.lex_state = 3},
  [11073] = {.lex_state = 54, .external_lex_state = 62},
  [11074] = {.lex_state = 53, .external_lex_state = 52},
  [11075] = {.lex_state = 60, .external_lex_state = 30},
  [11076] = {.lex_state = 54, .external_lex_state = 60},
  [11077] = {.lex_state = 20},
  [11078] = {.lex_state = 51, .external_lex_state = 23},
  [11079] = {.lex_state = 51, .external_lex_state = 23},
  [11080] = {.lex_state = 51, .external_lex_state = 23},
  [11081] = {.lex_state = 63, .external_lex_state = 33},
  [11082] = {.lex_state = 20},
  [11083] = {.lex_state = 51, .external_lex_state = 23},
  [11084] = {.lex_state = 66, .external_lex_state = 23},
  [11085] = {.lex_state = 51, .external_lex_state = 24},
  [11086] = {.lex_state = 51, .external_lex_state = 24},
  [11087] = {.lex_state = 51},
  [11088] = {.lex_state = 51, .external_lex_state = 23},
  [11089] = {.lex_state = 51},
  [11090] = {.lex_state = 51},
  [11091] = {.lex_state = 51},
  [11092] = {.lex_state = 51},
  [11093] = {.lex_state = 51},
  [11094] = {.lex_state = 51},
  [11095] = {.lex_state = 51},
  [11096] = {.lex_state = 51},
  [11097] = {.lex_state = 54, .external_lex_state = 31},
  [11098] = {.lex_state = 66, .external_lex_state = 23},
  [11099] = {.lex_state = 66, .external_lex_state = 23},
  [11100] = {.lex_state = 3},
  [11101] = {.lex_state = 54, .external_lex_state = 30},
  [11102] = {.lex_state = 3},
  [11103] = {.lex_state = 4},
  [11104] = {.lex_state = 51, .external_lex_state = 23},
  [11105] = {.lex_state = 51, .external_lex_state = 23},
  [11106] = {.lex_state = 3},
  [11107] = {.lex_state = 51},
  [11108] = {.lex_state = 60, .external_lex_state = 30},
  [11109] = {.lex_state = 8},
  [11110] = {.lex_state = 3},
  [11111] = {.lex_state = 3},
  [11112] = {.lex_state = 3},
  [11113] = {.lex_state = 53, .external_lex_state = 23},
  [11114] = {.lex_state = 8},
  [11115] = {.lex_state = 51},
  [11116] = {.lex_state = 3},
  [11117] = {.lex_state = 51, .external_lex_state = 23},
  [11118] = {.lex_state = 60, .external_lex_state = 26},
  [11119] = {.lex_state = 54, .external_lex_state = 30},
  [11120] = {.lex_state = 51},
  [11121] = {.lex_state = 3},
  [11122] = {.lex_state = 4},
  [11123] = {.lex_state = 51},
  [11124] = {.lex_state = 63},
  [11125] = {.lex_state = 54, .external_lex_state = 37},
  [11126] = {.lex_state = 51, .external_lex_state = 23},
  [11127] = {.lex_state = 63, .external_lex_state = 30},
  [11128] = {.lex_state = 8},
  [11129] = {.lex_state = 54, .external_lex_state = 26},
  [11130] = {.lex_state = 51, .external_lex_state = 23},
  [11131] = {.lex_state = 51, .external_lex_state = 23},
  [11132] = {.lex_state = 63, .external_lex_state = 31},
  [11133] = {.lex_state = 54, .external_lex_state = 63},
  [11134] = {.lex_state = 63},
  [11135] = {.lex_state = 53, .external_lex_state = 38},
  [11136] = {.lex_state = 63},
  [11137] = {.lex_state = 60, .external_lex_state = 31},
  [11138] = {.lex_state = 63},
  [11139] = {.lex_state = 54, .external_lex_state = 30},
  [11140] = {.lex_state = 63},
  [11141] = {.lex_state = 51},
  [11142] = {.lex_state = 51},
  [11143] = {.lex_state = 54, .external_lex_state = 62},
  [11144] = {.lex_state = 63},
  [11145] = {.lex_state = 54, .external_lex_state = 30},
  [11146] = {.lex_state = 63},
  [11147] = {.lex_state = 63},
  [11148] = {.lex_state = 54, .external_lex_state = 36},
  [11149] = {.lex_state = 53, .external_lex_state = 23},
  [11150] = {.lex_state = 54, .external_lex_state = 30},
  [11151] = {.lex_state = 63},
  [11152] = {.lex_state = 63},
  [11153] = {.lex_state = 63},
  [11154] = {.lex_state = 63},
  [11155] = {.lex_state = 23},
  [11156] = {.lex_state = 53, .external_lex_state = 23},
  [11157] = {.lex_state = 54, .external_lex_state = 30},
  [11158] = {.lex_state = 23},
  [11159] = {.lex_state = 63},
  [11160] = {.lex_state = 63},
  [11161] = {.lex_state = 51},
  [11162] = {.lex_state = 63},
  [11163] = {.lex_state = 63},
  [11164] = {.lex_state = 51},
  [11165] = {.lex_state = 54, .external_lex_state = 30},
  [11166] = {.lex_state = 63},
  [11167] = {.lex_state = 63},
  [11168] = {.lex_state = 54, .external_lex_state = 30},
  [11169] = {.lex_state = 63},
  [11170] = {.lex_state = 54, .external_lex_state = 40},
  [11171] = {.lex_state = 63},
  [11172] = {.lex_state = 53, .external_lex_state = 38},
  [11173] = {.lex_state = 60, .external_lex_state = 36},
  [11174] = {.lex_state = 53, .external_lex_state = 38},
  [11175] = {.lex_state = 54, .external_lex_state = 30},
  [11176] = {.lex_state = 63},
  [11177] = {.lex_state = 54, .external_lex_state = 38},
  [11178] = {.lex_state = 63, .external_lex_state = 33},
  [11179] = {.lex_state = 63},
  [11180] = {.lex_state = 63},
  [11181] = {.lex_state = 51},
  [11182] = {.lex_state = 66, .external_lex_state = 23},
  [11183] = {.lex_state = 66, .external_lex_state = 23},
  [11184] = {.lex_state = 63},
  [11185] = {.lex_state = 63},
  [11186] = {.lex_state = 63},
  [11187] = {.lex_state = 63},
  [11188] = {.lex_state = 63},
  [11189] = {.lex_state = 63},
  [11190] = {.lex_state = 51},
  [11191] = {.lex_state = 51},
  [11192] = {.lex_state = 63},
  [11193] = {.lex_state = 63},
  [11194] = {.lex_state = 54, .external_lex_state = 52},
  [11195] = {.lex_state = 51},
  [11196] = {.lex_state = 51},
  [11197] = {.lex_state = 63},
  [11198] = {.lex_state = 63},
  [11199] = {.lex_state = 54, .external_lex_state = 60},
  [11200] = {.lex_state = 63},
  [11201] = {.lex_state = 54, .external_lex_state = 60},
  [11202] = {.lex_state = 51},
  [11203] = {.lex_state = 54, .external_lex_state = 26},
  [11204] = {.lex_state = 63},
  [11205] = {.lex_state = 53, .external_lex_state = 38},
  [11206] = {.lex_state = 54, .external_lex_state = 31},
  [11207] = {.lex_state = 63},
  [11208] = {.lex_state = 23},
  [11209] = {.lex_state = 63},
  [11210] = {.lex_state = 63},
  [11211] = {.lex_state = 63},
  [11212] = {.lex_state = 63},
  [11213] = {.lex_state = 63},
  [11214] = {.lex_state = 4},
  [11215] = {.lex_state = 63},
  [11216] = {.lex_state = 18},
  [11217] = {.lex_state = 63},
  [11218] = {.lex_state = 53, .external_lex_state = 52},
  [11219] = {.lex_state = 63},
  [11220] = {.lex_state = 54, .external_lex_state = 26},
  [11221] = {.lex_state = 54, .external_lex_state = 38},
  [11222] = {.lex_state = 63},
  [11223] = {.lex_state = 54, .external_lex_state = 61},
  [11224] = {.lex_state = 54, .external_lex_state = 31},
  [11225] = {.lex_state = 60, .external_lex_state = 36},
  [11226] = {.lex_state = 54, .external_lex_state = 26},
  [11227] = {.lex_state = 54, .external_lex_state = 26},
  [11228] = {.lex_state = 63, .external_lex_state = 23},
  [11229] = {.lex_state = 54, .external_lex_state = 30},
  [11230] = {.lex_state = 53, .external_lex_state = 52},
  [11231] = {.lex_state = 4},
  [11232] = {.lex_state = 4},
  [11233] = {.lex_state = 63},
  [11234] = {.lex_state = 63},
  [11235] = {.lex_state = 53, .external_lex_state = 52},
  [11236] = {.lex_state = 51},
  [11237] = {.lex_state = 63},
  [11238] = {.lex_state = 63},
  [11239] = {.lex_state = 54, .external_lex_state = 26},
  [11240] = {.lex_state = 63},
  [11241] = {.lex_state = 63},
  [11242] = {.lex_state = 51},
  [11243] = {.lex_state = 51},
  [11244] = {.lex_state = 63},
  [11245] = {.lex_state = 63},
  [11246] = {.lex_state = 63},
  [11247] = {.lex_state = 63},
  [11248] = {.lex_state = 54, .external_lex_state = 26},
  [11249] = {.lex_state = 63},
  [11250] = {.lex_state = 53, .external_lex_state = 38},
  [11251] = {.lex_state = 63},
  [11252] = {.lex_state = 63},
  [11253] = {.lex_state = 53, .external_lex_state = 52},
  [11254] = {.lex_state = 53, .external_lex_state = 52},
  [11255] = {.lex_state = 63},
  [11256] = {.lex_state = 54, .external_lex_state = 31},
  [11257] = {.lex_state = 54, .external_lex_state = 31},
  [11258] = {.lex_state = 54, .external_lex_state = 61},
  [11259] = {.lex_state = 54, .external_lex_state = 31},
  [11260] = {.lex_state = 54, .external_lex_state = 31},
  [11261] = {.lex_state = 63},
  [11262] = {.lex_state = 54, .external_lex_state = 31},
  [11263] = {.lex_state = 54, .external_lex_state = 31},
  [11264] = {.lex_state = 51},
  [11265] = {.lex_state = 63},
  [11266] = {.lex_state = 63},
  [11267] = {.lex_state = 63},
  [11268] = {.lex_state = 63},
  [11269] = {.lex_state = 63},
  [11270] = {.lex_state = 54, .external_lex_state = 31},
  [11271] = {.lex_state = 63},
  [11272] = {.lex_state = 63, .external_lex_state = 33},
  [11273] = {.lex_state = 60, .external_lex_state = 26},
  [11274] = {.lex_state = 63},
  [11275] = {.lex_state = 63},
  [11276] = {.lex_state = 63},
  [11277] = {.lex_state = 63},
  [11278] = {.lex_state = 54, .external_lex_state = 62},
  [11279] = {.lex_state = 63},
  [11280] = {.lex_state = 63},
  [11281] = {.lex_state = 63},
  [11282] = {.lex_state = 63},
  [11283] = {.lex_state = 54, .external_lex_state = 26},
  [11284] = {.lex_state = 63},
  [11285] = {.lex_state = 63},
  [11286] = {.lex_state = 65, .external_lex_state = 23},
  [11287] = {.lex_state = 63},
  [11288] = {.lex_state = 65, .external_lex_state = 23},
  [11289] = {.lex_state = 53, .external_lex_state = 38},
  [11290] = {.lex_state = 65, .external_lex_state = 23},
  [11291] = {.lex_state = 60, .external_lex_state = 30},
  [11292] = {.lex_state = 54, .external_lex_state = 30},
  [11293] = {.lex_state = 63},
  [11294] = {.lex_state = 51},
  [11295] = {.lex_state = 51},
  [11296] = {.lex_state = 23},
  [11297] = {.lex_state = 63},
  [11298] = {.lex_state = 51},
  [11299] = {.lex_state = 63},
  [11300] = {.lex_state = 63},
  [11301] = {.lex_state = 63},
  [11302] = {.lex_state = 63},
  [11303] = {.lex_state = 53, .external_lex_state = 23},
  [11304] = {.lex_state = 63},
  [11305] = {.lex_state = 63},
  [11306] = {.lex_state = 51},
  [11307] = {.lex_state = 51},
  [11308] = {.lex_state = 54, .external_lex_state = 33},
  [11309] = {.lex_state = 63},
  [11310] = {.lex_state = 51},
  [11311] = {.lex_state = 23},
  [11312] = {.lex_state = 63},
  [11313] = {.lex_state = 63},
  [11314] = {.lex_state = 54, .external_lex_state = 60},
  [11315] = {.lex_state = 53, .external_lex_state = 38},
  [11316] = {.lex_state = 63},
  [11317] = {.lex_state = 63},
  [11318] = {.lex_state = 18},
  [11319] = {.lex_state = 51},
  [11320] = {.lex_state = 63},
  [11321] = {.lex_state = 18},
  [11322] = {.lex_state = 54, .external_lex_state = 33},
  [11323] = {.lex_state = 63},
  [11324] = {.lex_state = 54, .external_lex_state = 62},
  [11325] = {.lex_state = 54, .external_lex_state = 33},
  [11326] = {.lex_state = 63},
  [11327] = {.lex_state = 51},
  [11328] = {.lex_state = 63},
  [11329] = {.lex_state = 63},
  [11330] = {.lex_state = 63},
  [11331] = {.lex_state = 51},
  [11332] = {.lex_state = 66, .external_lex_state = 23},
  [11333] = {.lex_state = 63},
  [11334] = {.lex_state = 53, .external_lex_state = 23},
  [11335] = {.lex_state = 66, .external_lex_state = 23},
  [11336] = {.lex_state = 51},
  [11337] = {.lex_state = 65, .external_lex_state = 23},
  [11338] = {.lex_state = 54, .external_lex_state = 36},
  [11339] = {.lex_state = 63},
  [11340] = {.lex_state = 65, .external_lex_state = 23},
  [11341] = {.lex_state = 63},
  [11342] = {.lex_state = 54, .external_lex_state = 63},
  [11343] = {.lex_state = 53, .external_lex_state = 52},
  [11344] = {.lex_state = 66, .external_lex_state = 23},
  [11345] = {.lex_state = 63},
  [11346] = {.lex_state = 53, .external_lex_state = 23},
  [11347] = {.lex_state = 63},
  [11348] = {.lex_state = 63},
  [11349] = {.lex_state = 60, .external_lex_state = 33},
  [11350] = {.lex_state = 18},
  [11351] = {.lex_state = 63},
  [11352] = {.lex_state = 63},
  [11353] = {.lex_state = 63},
  [11354] = {.lex_state = 54, .external_lex_state = 26},
  [11355] = {.lex_state = 63},
  [11356] = {.lex_state = 63},
  [11357] = {.lex_state = 51},
  [11358] = {.lex_state = 63},
  [11359] = {.lex_state = 60, .external_lex_state = 33},
  [11360] = {.lex_state = 63},
  [11361] = {.lex_state = 63},
  [11362] = {.lex_state = 63},
  [11363] = {.lex_state = 63},
  [11364] = {.lex_state = 54, .external_lex_state = 60},
  [11365] = {.lex_state = 53, .external_lex_state = 23},
  [11366] = {.lex_state = 51},
  [11367] = {.lex_state = 63},
  [11368] = {.lex_state = 63},
  [11369] = {.lex_state = 53, .external_lex_state = 23},
  [11370] = {.lex_state = 63},
  [11371] = {.lex_state = 54, .external_lex_state = 60},
  [11372] = {.lex_state = 63},
  [11373] = {.lex_state = 63},
  [11374] = {.lex_state = 54, .external_lex_state = 31},
  [11375] = {.lex_state = 63},
  [11376] = {.lex_state = 54, .external_lex_state = 60},
  [11377] = {.lex_state = 63},
  [11378] = {.lex_state = 63},
  [11379] = {.lex_state = 63},
  [11380] = {.lex_state = 63, .external_lex_state = 36},
  [11381] = {.lex_state = 51},
  [11382] = {.lex_state = 54, .external_lex_state = 26},
  [11383] = {.lex_state = 63},
  [11384] = {.lex_state = 63},
  [11385] = {.lex_state = 54, .external_lex_state = 52},
  [11386] = {.lex_state = 63},
  [11387] = {.lex_state = 54, .external_lex_state = 30},
  [11388] = {.lex_state = 63},
  [11389] = {.lex_state = 53, .external_lex_state = 23},
  [11390] = {.lex_state = 63},
  [11391] = {.lex_state = 63},
  [11392] = {.lex_state = 54, .external_lex_state = 63},
  [11393] = {.lex_state = 53, .external_lex_state = 23},
  [11394] = {.lex_state = 63},
  [11395] = {.lex_state = 54, .external_lex_state = 62},
  [11396] = {.lex_state = 53, .external_lex_state = 38},
  [11397] = {.lex_state = 53, .external_lex_state = 38},
  [11398] = {.lex_state = 53, .external_lex_state = 38},
  [11399] = {.lex_state = 54, .external_lex_state = 30},
  [11400] = {.lex_state = 51},
  [11401] = {.lex_state = 54, .external_lex_state = 30},
  [11402] = {.lex_state = 53, .external_lex_state = 23},
  [11403] = {.lex_state = 54, .external_lex_state = 26},
  [11404] = {.lex_state = 51},
  [11405] = {.lex_state = 54, .external_lex_state = 26},
  [11406] = {.lex_state = 63},
  [11407] = {.lex_state = 54, .external_lex_state = 26},
  [11408] = {.lex_state = 63, .external_lex_state = 36},
  [11409] = {.lex_state = 54, .external_lex_state = 26},
  [11410] = {.lex_state = 54, .external_lex_state = 26},
  [11411] = {.lex_state = 63},
  [11412] = {.lex_state = 4},
  [11413] = {.lex_state = 53, .external_lex_state = 23},
  [11414] = {.lex_state = 4},
  [11415] = {.lex_state = 4},
  [11416] = {.lex_state = 51},
  [11417] = {.lex_state = 63},
  [11418] = {.lex_state = 63},
  [11419] = {.lex_state = 54, .external_lex_state = 31},
  [11420] = {.lex_state = 54, .external_lex_state = 31},
  [11421] = {.lex_state = 54, .external_lex_state = 31},
  [11422] = {.lex_state = 54, .external_lex_state = 26},
  [11423] = {.lex_state = 63},
  [11424] = {.lex_state = 54, .external_lex_state = 36},
  [11425] = {.lex_state = 53, .external_lex_state = 23},
  [11426] = {.lex_state = 54, .external_lex_state = 30},
  [11427] = {.lex_state = 54, .external_lex_state = 60},
  [11428] = {.lex_state = 51},
  [11429] = {.lex_state = 54, .external_lex_state = 36},
  [11430] = {.lex_state = 63},
  [11431] = {.lex_state = 54, .external_lex_state = 33},
  [11432] = {.lex_state = 63},
  [11433] = {.lex_state = 51},
  [11434] = {.lex_state = 51},
  [11435] = {.lex_state = 63},
  [11436] = {.lex_state = 63},
  [11437] = {.lex_state = 21},
  [11438] = {.lex_state = 53, .external_lex_state = 23},
  [11439] = {.lex_state = 51},
  [11440] = {.lex_state = 63},
  [11441] = {.lex_state = 51},
  [11442] = {.lex_state = 54, .external_lex_state = 26},
  [11443] = {.lex_state = 63},
  [11444] = {.lex_state = 51},
  [11445] = {.lex_state = 53, .external_lex_state = 23},
  [11446] = {.lex_state = 63},
  [11447] = {.lex_state = 51},
  [11448] = {.lex_state = 63},
  [11449] = {.lex_state = 54, .external_lex_state = 26},
  [11450] = {.lex_state = 63},
  [11451] = {.lex_state = 63},
  [11452] = {.lex_state = 63},
  [11453] = {.lex_state = 51},
  [11454] = {.lex_state = 51},
  [11455] = {.lex_state = 63},
  [11456] = {.lex_state = 63},
  [11457] = {.lex_state = 54, .external_lex_state = 42},
  [11458] = {.lex_state = 63},
  [11459] = {.lex_state = 53, .external_lex_state = 38},
  [11460] = {.lex_state = 63},
  [11461] = {.lex_state = 63},
  [11462] = {.lex_state = 63},
  [11463] = {.lex_state = 63},
  [11464] = {.lex_state = 4},
  [11465] = {.lex_state = 53, .external_lex_state = 38},
  [11466] = {.lex_state = 54, .external_lex_state = 62},
  [11467] = {.lex_state = 63},
  [11468] = {.lex_state = 53, .external_lex_state = 52},
  [11469] = {.lex_state = 54, .external_lex_state = 47},
  [11470] = {.lex_state = 63, .external_lex_state = 25},
  [11471] = {.lex_state = 63},
  [11472] = {.lex_state = 52},
  [11473] = {.lex_state = 54, .external_lex_state = 23},
  [11474] = {.lex_state = 53, .external_lex_state = 38},
  [11475] = {.lex_state = 63},
  [11476] = {.lex_state = 63},
  [11477] = {.lex_state = 63},
  [11478] = {.lex_state = 53, .external_lex_state = 38},
  [11479] = {.lex_state = 63},
  [11480] = {.lex_state = 54, .external_lex_state = 62},
  [11481] = {.lex_state = 53, .external_lex_state = 23},
  [11482] = {.lex_state = 4},
  [11483] = {.lex_state = 53, .external_lex_state = 38},
  [11484] = {.lex_state = 63},
  [11485] = {.lex_state = 53, .external_lex_state = 38},
  [11486] = {.lex_state = 54, .external_lex_state = 60},
  [11487] = {.lex_state = 63},
  [11488] = {.lex_state = 63},
  [11489] = {.lex_state = 54, .external_lex_state = 61},
  [11490] = {.lex_state = 63},
  [11491] = {.lex_state = 63},
  [11492] = {.lex_state = 54, .external_lex_state = 36},
  [11493] = {.lex_state = 4},
  [11494] = {.lex_state = 63},
  [11495] = {.lex_state = 63},
  [11496] = {.lex_state = 54, .external_lex_state = 62},
  [11497] = {.lex_state = 54, .external_lex_state = 31},
  [11498] = {.lex_state = 53, .external_lex_state = 38},
  [11499] = {.lex_state = 53, .external_lex_state = 38},
  [11500] = {.lex_state = 63},
  [11501] = {.lex_state = 53, .external_lex_state = 52},
  [11502] = {.lex_state = 54, .external_lex_state = 60},
  [11503] = {.lex_state = 63},
  [11504] = {.lex_state = 63},
  [11505] = {.lex_state = 53, .external_lex_state = 52},
  [11506] = {.lex_state = 53, .external_lex_state = 52},
  [11507] = {.lex_state = 53, .external_lex_state = 38},
  [11508] = {.lex_state = 60, .external_lex_state = 37},
  [11509] = {.lex_state = 63},
  [11510] = {.lex_state = 54, .external_lex_state = 49},
  [11511] = {.lex_state = 54, .external_lex_state = 61},
  [11512] = {.lex_state = 63},
  [11513] = {.lex_state = 63},
  [11514] = {.lex_state = 54, .external_lex_state = 30},
  [11515] = {.lex_state = 54, .external_lex_state = 37},
  [11516] = {.lex_state = 53, .external_lex_state = 38},
  [11517] = {.lex_state = 63},
  [11518] = {.lex_state = 4},
  [11519] = {.lex_state = 63},
  [11520] = {.lex_state = 54, .external_lex_state = 36},
  [11521] = {.lex_state = 54, .external_lex_state = 30},
  [11522] = {.lex_state = 54},
  [11523] = {.lex_state = 54, .external_lex_state = 62},
  [11524] = {.lex_state = 63},
  [11525] = {.lex_state = 54, .external_lex_state = 33},
  [11526] = {.lex_state = 54, .external_lex_state = 31},
  [11527] = {.lex_state = 63},
  [11528] = {.lex_state = 4},
  [11529] = {.lex_state = 53, .external_lex_state = 38},
  [11530] = {.lex_state = 63},
  [11531] = {.lex_state = 54, .external_lex_state = 52},
  [11532] = {.lex_state = 63},
  [11533] = {.lex_state = 63},
  [11534] = {.lex_state = 63},
  [11535] = {.lex_state = 54, .external_lex_state = 33},
  [11536] = {.lex_state = 4},
  [11537] = {.lex_state = 63},
  [11538] = {.lex_state = 60, .external_lex_state = 36},
  [11539] = {.lex_state = 54, .external_lex_state = 62},
  [11540] = {.lex_state = 54, .external_lex_state = 62},
  [11541] = {.lex_state = 60, .external_lex_state = 26},
  [11542] = {.lex_state = 4},
  [11543] = {.lex_state = 54, .external_lex_state = 63},
  [11544] = {.lex_state = 54, .external_lex_state = 33},
  [11545] = {.lex_state = 63},
  [11546] = {.lex_state = 54, .external_lex_state = 62},
  [11547] = {.lex_state = 54, .external_lex_state = 37},
  [11548] = {.lex_state = 63},
  [11549] = {.lex_state = 63},
  [11550] = {.lex_state = 53, .external_lex_state = 38},
  [11551] = {.lex_state = 63},
  [11552] = {.lex_state = 60, .external_lex_state = 26},
  [11553] = {.lex_state = 4},
  [11554] = {.lex_state = 60, .external_lex_state = 26},
  [11555] = {.lex_state = 63},
  [11556] = {.lex_state = 4},
  [11557] = {.lex_state = 52, .external_lex_state = 64},
  [11558] = {.lex_state = 60, .external_lex_state = 33},
  [11559] = {.lex_state = 24},
  [11560] = {.lex_state = 54, .external_lex_state = 62},
  [11561] = {.lex_state = 24},
  [11562] = {.lex_state = 53, .external_lex_state = 38},
  [11563] = {.lex_state = 53, .external_lex_state = 38},
  [11564] = {.lex_state = 54, .external_lex_state = 60},
  [11565] = {.lex_state = 4},
  [11566] = {.lex_state = 54, .external_lex_state = 31},
  [11567] = {.lex_state = 54, .external_lex_state = 30},
  [11568] = {.lex_state = 63},
  [11569] = {.lex_state = 53, .external_lex_state = 52},
  [11570] = {.lex_state = 54, .external_lex_state = 36},
  [11571] = {.lex_state = 54, .external_lex_state = 36},
  [11572] = {.lex_state = 24},
  [11573] = {.lex_state = 54, .external_lex_state = 63},
  [11574] = {.lex_state = 18},
  [11575] = {.lex_state = 24},
  [11576] = {.lex_state = 54, .external_lex_state = 31},
  [11577] = {.lex_state = 53, .external_lex_state = 38},
  [11578] = {.lex_state = 54, .external_lex_state = 33},
  [11579] = {.lex_state = 54, .external_lex_state = 33},
  [11580] = {.lex_state = 63},
  [11581] = {.lex_state = 60, .external_lex_state = 26},
  [11582] = {.lex_state = 54, .external_lex_state = 31},
  [11583] = {.lex_state = 60, .external_lex_state = 37},
  [11584] = {.lex_state = 54, .external_lex_state = 30},
  [11585] = {.lex_state = 63},
  [11586] = {.lex_state = 4},
  [11587] = {.lex_state = 60, .external_lex_state = 26},
  [11588] = {.lex_state = 54, .external_lex_state = 52},
  [11589] = {.lex_state = 60, .external_lex_state = 23},
  [11590] = {.lex_state = 24},
  [11591] = {.lex_state = 54, .external_lex_state = 63},
  [11592] = {.lex_state = 54, .external_lex_state = 33},
  [11593] = {.lex_state = 63},
  [11594] = {.lex_state = 54, .external_lex_state = 31},
  [11595] = {.lex_state = 53, .external_lex_state = 52},
  [11596] = {.lex_state = 54, .external_lex_state = 33},
  [11597] = {.lex_state = 60, .external_lex_state = 26},
  [11598] = {.lex_state = 54, .external_lex_state = 33},
  [11599] = {.lex_state = 63},
  [11600] = {.lex_state = 54, .external_lex_state = 30},
  [11601] = {.lex_state = 60, .external_lex_state = 26},
  [11602] = {.lex_state = 63},
  [11603] = {.lex_state = 4},
  [11604] = {.lex_state = 54, .external_lex_state = 31},
  [11605] = {.lex_state = 54, .external_lex_state = 33},
  [11606] = {.lex_state = 60, .external_lex_state = 26},
  [11607] = {.lex_state = 54, .external_lex_state = 60},
  [11608] = {.lex_state = 53, .external_lex_state = 38},
  [11609] = {.lex_state = 54, .external_lex_state = 31},
  [11610] = {.lex_state = 60, .external_lex_state = 26},
  [11611] = {.lex_state = 54, .external_lex_state = 62},
  [11612] = {.lex_state = 53, .external_lex_state = 38},
  [11613] = {.lex_state = 60, .external_lex_state = 30},
  [11614] = {.lex_state = 53, .external_lex_state = 38},
  [11615] = {.lex_state = 54, .external_lex_state = 36},
  [11616] = {.lex_state = 60, .external_lex_state = 26},
  [11617] = {.lex_state = 60, .external_lex_state = 26},
  [11618] = {.lex_state = 54, .external_lex_state = 30},
  [11619] = {.lex_state = 60, .external_lex_state = 26},
  [11620] = {.lex_state = 52, .external_lex_state = 64},
  [11621] = {.lex_state = 60, .external_lex_state = 23},
  [11622] = {.lex_state = 54, .external_lex_state = 31},
  [11623] = {.lex_state = 60, .external_lex_state = 26},
  [11624] = {.lex_state = 52, .external_lex_state = 64},
  [11625] = {.lex_state = 53, .external_lex_state = 38},
  [11626] = {.lex_state = 4},
  [11627] = {.lex_state = 54, .external_lex_state = 36},
  [11628] = {.lex_state = 53, .external_lex_state = 38},
  [11629] = {.lex_state = 54, .external_lex_state = 36},
  [11630] = {.lex_state = 54, .external_lex_state = 30},
  [11631] = {.lex_state = 4},
  [11632] = {.lex_state = 63},
  [11633] = {.lex_state = 54, .external_lex_state = 60},
  [11634] = {.lex_state = 52, .external_lex_state = 64},
  [11635] = {.lex_state = 63},
  [11636] = {.lex_state = 63},
  [11637] = {.lex_state = 54, .external_lex_state = 60},
  [11638] = {.lex_state = 60, .external_lex_state = 26},
  [11639] = {.lex_state = 54, .external_lex_state = 60},
  [11640] = {.lex_state = 63},
  [11641] = {.lex_state = 60, .external_lex_state = 26},
  [11642] = {.lex_state = 60, .external_lex_state = 26},
  [11643] = {.lex_state = 60, .external_lex_state = 26},
  [11644] = {.lex_state = 52, .external_lex_state = 64},
  [11645] = {.lex_state = 54, .external_lex_state = 60},
  [11646] = {.lex_state = 52, .external_lex_state = 64},
  [11647] = {.lex_state = 63},
  [11648] = {.lex_state = 52, .external_lex_state = 64},
  [11649] = {.lex_state = 63},
  [11650] = {.lex_state = 63},
  [11651] = {.lex_state = 54, .external_lex_state = 30},
  [11652] = {.lex_state = 54, .external_lex_state = 36},
  [11653] = {.lex_state = 63},
  [11654] = {.lex_state = 54, .external_lex_state = 62},
  [11655] = {.lex_state = 53, .external_lex_state = 38},
  [11656] = {.lex_state = 54, .external_lex_state = 31},
  [11657] = {.lex_state = 54, .external_lex_state = 62},
  [11658] = {.lex_state = 52, .external_lex_state = 64},
  [11659] = {.lex_state = 54, .external_lex_state = 62},
  [11660] = {.lex_state = 60, .external_lex_state = 26},
  [11661] = {.lex_state = 63},
  [11662] = {.lex_state = 60, .external_lex_state = 26},
  [11663] = {.lex_state = 63},
  [11664] = {.lex_state = 53, .external_lex_state = 38},
  [11665] = {.lex_state = 54, .external_lex_state = 48},
  [11666] = {.lex_state = 63},
  [11667] = {.lex_state = 63},
  [11668] = {.lex_state = 54, .external_lex_state = 36},
  [11669] = {.lex_state = 63},
  [11670] = {.lex_state = 52, .external_lex_state = 64},
  [11671] = {.lex_state = 60, .external_lex_state = 26},
  [11672] = {.lex_state = 60, .external_lex_state = 26},
  [11673] = {.lex_state = 52, .external_lex_state = 64},
  [11674] = {.lex_state = 52, .external_lex_state = 64},
  [11675] = {.lex_state = 4},
  [11676] = {.lex_state = 60, .external_lex_state = 26},
  [11677] = {.lex_state = 4},
  [11678] = {.lex_state = 60, .external_lex_state = 26},
  [11679] = {.lex_state = 60, .external_lex_state = 26},
  [11680] = {.lex_state = 54, .external_lex_state = 50},
  [11681] = {.lex_state = 54, .external_lex_state = 60},
  [11682] = {.lex_state = 63},
  [11683] = {.lex_state = 54, .external_lex_state = 61},
  [11684] = {.lex_state = 60, .external_lex_state = 26},
  [11685] = {.lex_state = 54, .external_lex_state = 52},
  [11686] = {.lex_state = 54, .external_lex_state = 62},
  [11687] = {.lex_state = 54, .external_lex_state = 62},
  [11688] = {.lex_state = 54, .external_lex_state = 30},
  [11689] = {.lex_state = 54, .external_lex_state = 36},
  [11690] = {.lex_state = 54, .external_lex_state = 31},
  [11691] = {.lex_state = 53, .external_lex_state = 38},
  [11692] = {.lex_state = 63},
  [11693] = {.lex_state = 60, .external_lex_state = 26},
  [11694] = {.lex_state = 60, .external_lex_state = 26},
  [11695] = {.lex_state = 60, .external_lex_state = 26},
  [11696] = {.lex_state = 63},
  [11697] = {.lex_state = 53, .external_lex_state = 52},
  [11698] = {.lex_state = 52, .external_lex_state = 64},
  [11699] = {.lex_state = 60, .external_lex_state = 26},
  [11700] = {.lex_state = 54, .external_lex_state = 60},
  [11701] = {.lex_state = 54, .external_lex_state = 61},
  [11702] = {.lex_state = 53, .external_lex_state = 38},
  [11703] = {.lex_state = 54, .external_lex_state = 62},
  [11704] = {.lex_state = 54, .external_lex_state = 30},
  [11705] = {.lex_state = 63},
  [11706] = {.lex_state = 63},
  [11707] = {.lex_state = 54, .external_lex_state = 62},
  [11708] = {.lex_state = 4},
  [11709] = {.lex_state = 54, .external_lex_state = 60},
  [11710] = {.lex_state = 63},
  [11711] = {.lex_state = 54, .external_lex_state = 31},
  [11712] = {.lex_state = 4},
  [11713] = {.lex_state = 63},
  [11714] = {.lex_state = 63},
  [11715] = {.lex_state = 52, .external_lex_state = 64},
  [11716] = {.lex_state = 63},
  [11717] = {.lex_state = 54, .external_lex_state = 31},
  [11718] = {.lex_state = 54, .external_lex_state = 60},
  [11719] = {.lex_state = 54, .external_lex_state = 63},
  [11720] = {.lex_state = 54, .external_lex_state = 30},
  [11721] = {.lex_state = 63},
  [11722] = {.lex_state = 63},
  [11723] = {.lex_state = 52, .external_lex_state = 64},
  [11724] = {.lex_state = 54, .external_lex_state = 30},
  [11725] = {.lex_state = 54, .external_lex_state = 30},
  [11726] = {.lex_state = 4},
  [11727] = {.lex_state = 4},
  [11728] = {.lex_state = 54, .external_lex_state = 61},
  [11729] = {.lex_state = 53, .external_lex_state = 52},
  [11730] = {.lex_state = 54, .external_lex_state = 31},
  [11731] = {.lex_state = 54, .external_lex_state = 31},
  [11732] = {.lex_state = 4},
  [11733] = {.lex_state = 53, .external_lex_state = 38},
  [11734] = {.lex_state = 63},
  [11735] = {.lex_state = 4},
  [11736] = {.lex_state = 54, .external_lex_state = 30},
  [11737] = {.lex_state = 53, .external_lex_state = 38},
  [11738] = {.lex_state = 54, .external_lex_state = 31},
  [11739] = {.lex_state = 54, .external_lex_state = 36},
  [11740] = {.lex_state = 54, .external_lex_state = 38},
  [11741] = {.lex_state = 54, .external_lex_state = 62},
  [11742] = {.lex_state = 54, .external_lex_state = 31},
  [11743] = {.lex_state = 54, .external_lex_state = 38},
  [11744] = {.lex_state = 63},
  [11745] = {.lex_state = 63},
  [11746] = {.lex_state = 4},
  [11747] = {.lex_state = 4},
  [11748] = {.lex_state = 54, .external_lex_state = 30},
  [11749] = {.lex_state = 63},
  [11750] = {.lex_state = 63},
  [11751] = {.lex_state = 4},
  [11752] = {.lex_state = 54, .external_lex_state = 33},
  [11753] = {.lex_state = 4},
  [11754] = {.lex_state = 54, .external_lex_state = 60},
  [11755] = {.lex_state = 54, .external_lex_state = 36},
  [11756] = {.lex_state = 60, .external_lex_state = 26},
  [11757] = {.lex_state = 54, .external_lex_state = 30},
  [11758] = {.lex_state = 53, .external_lex_state = 52},
  [11759] = {.lex_state = 63},
  [11760] = {.lex_state = 4},
  [11761] = {.lex_state = 54, .external_lex_state = 37},
  [11762] = {.lex_state = 53, .external_lex_state = 52},
  [11763] = {.lex_state = 54, .external_lex_state = 60},
  [11764] = {.lex_state = 54, .external_lex_state = 30},
  [11765] = {.lex_state = 54, .external_lex_state = 33},
  [11766] = {.lex_state = 54, .external_lex_state = 61},
  [11767] = {.lex_state = 63},
  [11768] = {.lex_state = 53, .external_lex_state = 38},
  [11769] = {.lex_state = 60, .external_lex_state = 31},
  [11770] = {.lex_state = 63},
  [11771] = {.lex_state = 54, .external_lex_state = 38},
  [11772] = {.lex_state = 53, .external_lex_state = 38},
  [11773] = {.lex_state = 54, .external_lex_state = 33},
  [11774] = {.lex_state = 54, .external_lex_state = 37},
  [11775] = {.lex_state = 54, .external_lex_state = 33},
  [11776] = {.lex_state = 63},
  [11777] = {.lex_state = 63},
  [11778] = {.lex_state = 4},
  [11779] = {.lex_state = 63},
  [11780] = {.lex_state = 54, .external_lex_state = 36},
  [11781] = {.lex_state = 54, .external_lex_state = 60},
  [11782] = {.lex_state = 4},
  [11783] = {.lex_state = 63},
  [11784] = {.lex_state = 53, .external_lex_state = 38},
  [11785] = {.lex_state = 54, .external_lex_state = 23},
  [11786] = {.lex_state = 60, .external_lex_state = 31},
  [11787] = {.lex_state = 51},
  [11788] = {.lex_state = 60, .external_lex_state = 30},
  [11789] = {.lex_state = 54, .external_lex_state = 33},
  [11790] = {.lex_state = 53},
  [11791] = {.lex_state = 54, .external_lex_state = 42},
  [11792] = {.lex_state = 60, .external_lex_state = 31},
  [11793] = {.lex_state = 63},
  [11794] = {.lex_state = 53},
  [11795] = {.lex_state = 60, .external_lex_state = 30},
  [11796] = {.lex_state = 53, .external_lex_state = 52},
  [11797] = {.lex_state = 54, .external_lex_state = 36},
  [11798] = {.lex_state = 51},
  [11799] = {.lex_state = 53},
  [11800] = {.lex_state = 54, .external_lex_state = 33},
  [11801] = {.lex_state = 54, .external_lex_state = 33},
  [11802] = {.lex_state = 60, .external_lex_state = 31},
  [11803] = {.lex_state = 60, .external_lex_state = 30},
  [11804] = {.lex_state = 54, .external_lex_state = 42},
  [11805] = {.lex_state = 54, .external_lex_state = 33},
  [11806] = {.lex_state = 54, .external_lex_state = 42},
  [11807] = {.lex_state = 51},
  [11808] = {.lex_state = 60, .external_lex_state = 30},
  [11809] = {.lex_state = 54, .external_lex_state = 36},
  [11810] = {.lex_state = 51},
  [11811] = {.lex_state = 60, .external_lex_state = 36},
  [11812] = {.lex_state = 60, .external_lex_state = 30},
  [11813] = {.lex_state = 63},
  [11814] = {.lex_state = 60, .external_lex_state = 30},
  [11815] = {.lex_state = 54, .external_lex_state = 33},
  [11816] = {.lex_state = 63},
  [11817] = {.lex_state = 54, .external_lex_state = 38},
  [11818] = {.lex_state = 60, .external_lex_state = 30},
  [11819] = {.lex_state = 63},
  [11820] = {.lex_state = 63},
  [11821] = {.lex_state = 63},
  [11822] = {.lex_state = 63},
  [11823] = {.lex_state = 54, .external_lex_state = 23},
  [11824] = {.lex_state = 54, .external_lex_state = 33},
  [11825] = {.lex_state = 51},
  [11826] = {.lex_state = 54, .external_lex_state = 36},
  [11827] = {.lex_state = 63},
  [11828] = {.lex_state = 54, .external_lex_state = 36},
  [11829] = {.lex_state = 54, .external_lex_state = 36},
  [11830] = {.lex_state = 54, .external_lex_state = 36},
  [11831] = {.lex_state = 54, .external_lex_state = 36},
  [11832] = {.lex_state = 54, .external_lex_state = 36},
  [11833] = {.lex_state = 54, .external_lex_state = 33},
  [11834] = {.lex_state = 54, .external_lex_state = 60},
  [11835] = {.lex_state = 54, .external_lex_state = 61},
  [11836] = {.lex_state = 63},
  [11837] = {.lex_state = 54, .external_lex_state = 37},
  [11838] = {.lex_state = 63},
  [11839] = {.lex_state = 60, .external_lex_state = 23},
  [11840] = {.lex_state = 63},
  [11841] = {.lex_state = 53, .external_lex_state = 52},
  [11842] = {.lex_state = 63},
  [11843] = {.lex_state = 63},
  [11844] = {.lex_state = 63},
  [11845] = {.lex_state = 54, .external_lex_state = 61},
  [11846] = {.lex_state = 63},
  [11847] = {.lex_state = 60, .external_lex_state = 31},
  [11848] = {.lex_state = 51},
  [11849] = {.lex_state = 60, .external_lex_state = 31},
  [11850] = {.lex_state = 54, .external_lex_state = 61},
  [11851] = {.lex_state = 53, .external_lex_state = 52},
  [11852] = {.lex_state = 60, .external_lex_state = 30},
  [11853] = {.lex_state = 63},
  [11854] = {.lex_state = 63},
  [11855] = {.lex_state = 60, .external_lex_state = 30},
  [11856] = {.lex_state = 54, .external_lex_state = 61},
  [11857] = {.lex_state = 54, .external_lex_state = 61},
  [11858] = {.lex_state = 54, .external_lex_state = 36},
  [11859] = {.lex_state = 54, .external_lex_state = 23},
  [11860] = {.lex_state = 63},
  [11861] = {.lex_state = 63},
  [11862] = {.lex_state = 60, .external_lex_state = 30},
  [11863] = {.lex_state = 60, .external_lex_state = 30},
  [11864] = {.lex_state = 54, .external_lex_state = 33},
  [11865] = {.lex_state = 54, .external_lex_state = 23},
  [11866] = {.lex_state = 54, .external_lex_state = 63},
  [11867] = {.lex_state = 63},
  [11868] = {.lex_state = 53, .external_lex_state = 52},
  [11869] = {.lex_state = 63},
  [11870] = {.lex_state = 63},
  [11871] = {.lex_state = 63},
  [11872] = {.lex_state = 63},
  [11873] = {.lex_state = 63},
  [11874] = {.lex_state = 54, .external_lex_state = 61},
  [11875] = {.lex_state = 53, .external_lex_state = 24},
  [11876] = {.lex_state = 63},
  [11877] = {.lex_state = 54, .external_lex_state = 40},
  [11878] = {.lex_state = 53, .external_lex_state = 52},
  [11879] = {.lex_state = 63},
  [11880] = {.lex_state = 54, .external_lex_state = 63},
  [11881] = {.lex_state = 60, .external_lex_state = 37},
  [11882] = {.lex_state = 54, .external_lex_state = 36},
  [11883] = {.lex_state = 53},
  [11884] = {.lex_state = 63},
  [11885] = {.lex_state = 63},
  [11886] = {.lex_state = 53, .external_lex_state = 52},
  [11887] = {.lex_state = 54, .external_lex_state = 40},
  [11888] = {.lex_state = 63},
  [11889] = {.lex_state = 54, .external_lex_state = 65},
  [11890] = {.lex_state = 63},
  [11891] = {.lex_state = 54, .external_lex_state = 33},
  [11892] = {.lex_state = 63},
  [11893] = {.lex_state = 53, .external_lex_state = 52},
  [11894] = {.lex_state = 60, .external_lex_state = 30},
  [11895] = {.lex_state = 54, .external_lex_state = 37},
  [11896] = {.lex_state = 53},
  [11897] = {.lex_state = 60, .external_lex_state = 30},
  [11898] = {.lex_state = 63},
  [11899] = {.lex_state = 63},
  [11900] = {.lex_state = 63},
  [11901] = {.lex_state = 63},
  [11902] = {.lex_state = 54, .external_lex_state = 33},
  [11903] = {.lex_state = 63},
  [11904] = {.lex_state = 54, .external_lex_state = 61},
  [11905] = {.lex_state = 63},
  [11906] = {.lex_state = 54, .external_lex_state = 57},
  [11907] = {.lex_state = 60, .external_lex_state = 30},
  [11908] = {.lex_state = 60, .external_lex_state = 30},
  [11909] = {.lex_state = 60, .external_lex_state = 30},
  [11910] = {.lex_state = 53},
  [11911] = {.lex_state = 60, .external_lex_state = 30},
  [11912] = {.lex_state = 63},
  [11913] = {.lex_state = 63},
  [11914] = {.lex_state = 53},
  [11915] = {.lex_state = 60, .external_lex_state = 30},
  [11916] = {.lex_state = 54, .external_lex_state = 63},
  [11917] = {.lex_state = 54, .external_lex_state = 36},
  [11918] = {.lex_state = 63},
  [11919] = {.lex_state = 63},
  [11920] = {.lex_state = 63},
  [11921] = {.lex_state = 63},
  [11922] = {.lex_state = 60, .external_lex_state = 31},
  [11923] = {.lex_state = 63},
  [11924] = {.lex_state = 63},
  [11925] = {.lex_state = 54, .external_lex_state = 33},
  [11926] = {.lex_state = 63},
  [11927] = {.lex_state = 63},
  [11928] = {.lex_state = 63},
  [11929] = {.lex_state = 54, .external_lex_state = 56},
  [11930] = {.lex_state = 53},
  [11931] = {.lex_state = 63},
  [11932] = {.lex_state = 63},
  [11933] = {.lex_state = 63},
  [11934] = {.lex_state = 54, .external_lex_state = 60},
  [11935] = {.lex_state = 63},
  [11936] = {.lex_state = 54, .external_lex_state = 60},
  [11937] = {.lex_state = 63},
  [11938] = {.lex_state = 63},
  [11939] = {.lex_state = 63},
  [11940] = {.lex_state = 63},
  [11941] = {.lex_state = 53},
  [11942] = {.lex_state = 54, .external_lex_state = 61},
  [11943] = {.lex_state = 63},
  [11944] = {.lex_state = 54, .external_lex_state = 23},
  [11945] = {.lex_state = 63},
  [11946] = {.lex_state = 63},
  [11947] = {.lex_state = 63},
  [11948] = {.lex_state = 63},
  [11949] = {.lex_state = 63},
  [11950] = {.lex_state = 63},
  [11951] = {.lex_state = 63},
  [11952] = {.lex_state = 53, .external_lex_state = 52},
  [11953] = {.lex_state = 63},
  [11954] = {.lex_state = 54, .external_lex_state = 62},
  [11955] = {.lex_state = 53},
  [11956] = {.lex_state = 63},
  [11957] = {.lex_state = 63},
  [11958] = {.lex_state = 53},
  [11959] = {.lex_state = 63},
  [11960] = {.lex_state = 54, .external_lex_state = 37},
  [11961] = {.lex_state = 53, .external_lex_state = 52},
  [11962] = {.lex_state = 63},
  [11963] = {.lex_state = 54, .external_lex_state = 36},
  [11964] = {.lex_state = 54, .external_lex_state = 37},
  [11965] = {.lex_state = 53, .external_lex_state = 52},
  [11966] = {.lex_state = 54, .external_lex_state = 63},
  [11967] = {.lex_state = 54, .external_lex_state = 60},
  [11968] = {.lex_state = 63},
  [11969] = {.lex_state = 63},
  [11970] = {.lex_state = 54, .external_lex_state = 63},
  [11971] = {.lex_state = 63},
  [11972] = {.lex_state = 63},
  [11973] = {.lex_state = 63},
  [11974] = {.lex_state = 54, .external_lex_state = 58},
  [11975] = {.lex_state = 63},
  [11976] = {.lex_state = 54, .external_lex_state = 66},
  [11977] = {.lex_state = 54, .external_lex_state = 37},
  [11978] = {.lex_state = 54, .external_lex_state = 23},
  [11979] = {.lex_state = 60, .external_lex_state = 30},
  [11980] = {.lex_state = 54, .external_lex_state = 61},
  [11981] = {.lex_state = 54, .external_lex_state = 40},
  [11982] = {.lex_state = 60, .external_lex_state = 31},
  [11983] = {.lex_state = 54, .external_lex_state = 37},
  [11984] = {.lex_state = 60, .external_lex_state = 30},
  [11985] = {.lex_state = 63},
  [11986] = {.lex_state = 53},
  [11987] = {.lex_state = 60, .external_lex_state = 31},
  [11988] = {.lex_state = 54, .external_lex_state = 65},
  [11989] = {.lex_state = 54, .external_lex_state = 37},
  [11990] = {.lex_state = 63},
  [11991] = {.lex_state = 60, .external_lex_state = 30},
  [11992] = {.lex_state = 63},
  [11993] = {.lex_state = 63},
  [11994] = {.lex_state = 63},
  [11995] = {.lex_state = 54, .external_lex_state = 37},
  [11996] = {.lex_state = 63},
  [11997] = {.lex_state = 54, .external_lex_state = 37},
  [11998] = {.lex_state = 63},
  [11999] = {.lex_state = 54, .external_lex_state = 40},
  [12000] = {.lex_state = 63},
  [12001] = {.lex_state = 63},
  [12002] = {.lex_state = 60, .external_lex_state = 31},
  [12003] = {.lex_state = 63},
  [12004] = {.lex_state = 54, .external_lex_state = 33},
  [12005] = {.lex_state = 53, .external_lex_state = 52},
  [12006] = {.lex_state = 63},
  [12007] = {.lex_state = 63},
  [12008] = {.lex_state = 60, .external_lex_state = 31},
  [12009] = {.lex_state = 54, .external_lex_state = 23},
  [12010] = {.lex_state = 54, .external_lex_state = 23},
  [12011] = {.lex_state = 54, .external_lex_state = 36},
  [12012] = {.lex_state = 54, .external_lex_state = 37},
  [12013] = {.lex_state = 63},
  [12014] = {.lex_state = 54, .external_lex_state = 63},
  [12015] = {.lex_state = 54, .external_lex_state = 61},
  [12016] = {.lex_state = 63},
  [12017] = {.lex_state = 54, .external_lex_state = 63},
  [12018] = {.lex_state = 54, .external_lex_state = 61},
  [12019] = {.lex_state = 63},
  [12020] = {.lex_state = 54, .external_lex_state = 37},
  [12021] = {.lex_state = 53, .external_lex_state = 52},
  [12022] = {.lex_state = 54, .external_lex_state = 23},
  [12023] = {.lex_state = 60, .external_lex_state = 31},
  [12024] = {.lex_state = 54, .external_lex_state = 37},
  [12025] = {.lex_state = 63},
  [12026] = {.lex_state = 53, .external_lex_state = 24},
  [12027] = {.lex_state = 60, .external_lex_state = 33},
  [12028] = {.lex_state = 63},
  [12029] = {.lex_state = 54, .external_lex_state = 37},
  [12030] = {.lex_state = 63},
  [12031] = {.lex_state = 63},
  [12032] = {.lex_state = 63},
  [12033] = {.lex_state = 60, .external_lex_state = 31},
  [12034] = {.lex_state = 63},
  [12035] = {.lex_state = 63},
  [12036] = {.lex_state = 63},
  [12037] = {.lex_state = 54, .external_lex_state = 33},
  [12038] = {.lex_state = 54, .external_lex_state = 63},
  [12039] = {.lex_state = 63},
  [12040] = {.lex_state = 53, .external_lex_state = 52},
  [12041] = {.lex_state = 60, .external_lex_state = 30},
  [12042] = {.lex_state = 54, .external_lex_state = 63},
  [12043] = {.lex_state = 51},
  [12044] = {.lex_state = 60, .external_lex_state = 31},
  [12045] = {.lex_state = 63},
  [12046] = {.lex_state = 63},
  [12047] = {.lex_state = 63},
  [12048] = {.lex_state = 60, .external_lex_state = 30},
  [12049] = {.lex_state = 63},
  [12050] = {.lex_state = 63},
  [12051] = {.lex_state = 51},
  [12052] = {.lex_state = 63},
  [12053] = {.lex_state = 54, .external_lex_state = 36},
  [12054] = {.lex_state = 60, .external_lex_state = 31},
  [12055] = {.lex_state = 63},
  [12056] = {.lex_state = 63},
  [12057] = {.lex_state = 63},
  [12058] = {.lex_state = 54, .external_lex_state = 61},
  [12059] = {.lex_state = 54, .external_lex_state = 61},
  [12060] = {.lex_state = 54, .external_lex_state = 61},
  [12061] = {.lex_state = 63},
  [12062] = {.lex_state = 63},
  [12063] = {.lex_state = 63},
  [12064] = {.lex_state = 54, .external_lex_state = 63},
  [12065] = {.lex_state = 60, .external_lex_state = 31},
  [12066] = {.lex_state = 54, .external_lex_state = 63},
  [12067] = {.lex_state = 63},
  [12068] = {.lex_state = 54, .external_lex_state = 63},
  [12069] = {.lex_state = 60, .external_lex_state = 42},
  [12070] = {.lex_state = 63},
  [12071] = {.lex_state = 63},
  [12072] = {.lex_state = 63},
  [12073] = {.lex_state = 60, .external_lex_state = 31},
  [12074] = {.lex_state = 63},
  [12075] = {.lex_state = 60, .external_lex_state = 30},
  [12076] = {.lex_state = 63},
  [12077] = {.lex_state = 60, .external_lex_state = 30},
  [12078] = {.lex_state = 63},
  [12079] = {.lex_state = 63},
  [12080] = {.lex_state = 54, .external_lex_state = 63},
  [12081] = {.lex_state = 53, .external_lex_state = 52},
  [12082] = {.lex_state = 63},
  [12083] = {.lex_state = 63},
  [12084] = {.lex_state = 63},
  [12085] = {.lex_state = 53, .external_lex_state = 52},
  [12086] = {.lex_state = 63},
  [12087] = {.lex_state = 63},
  [12088] = {.lex_state = 60, .external_lex_state = 30},
  [12089] = {.lex_state = 63},
  [12090] = {.lex_state = 63},
  [12091] = {.lex_state = 54, .external_lex_state = 33},
  [12092] = {.lex_state = 63},
  [12093] = {.lex_state = 63},
  [12094] = {.lex_state = 63},
  [12095] = {.lex_state = 63},
  [12096] = {.lex_state = 60, .external_lex_state = 30},
  [12097] = {.lex_state = 54, .external_lex_state = 24},
  [12098] = {.lex_state = 63},
  [12099] = {.lex_state = 54, .external_lex_state = 33},
  [12100] = {.lex_state = 60, .external_lex_state = 30},
  [12101] = {.lex_state = 63},
  [12102] = {.lex_state = 60, .external_lex_state = 30},
  [12103] = {.lex_state = 63},
  [12104] = {.lex_state = 60, .external_lex_state = 40},
  [12105] = {.lex_state = 63},
  [12106] = {.lex_state = 63},
  [12107] = {.lex_state = 60, .external_lex_state = 30},
  [12108] = {.lex_state = 54, .external_lex_state = 33},
  [12109] = {.lex_state = 53},
  [12110] = {.lex_state = 63},
  [12111] = {.lex_state = 63},
  [12112] = {.lex_state = 63},
  [12113] = {.lex_state = 54, .external_lex_state = 52},
  [12114] = {.lex_state = 54, .external_lex_state = 63},
  [12115] = {.lex_state = 54, .external_lex_state = 36},
  [12116] = {.lex_state = 53},
  [12117] = {.lex_state = 63},
  [12118] = {.lex_state = 63},
  [12119] = {.lex_state = 60, .external_lex_state = 42},
  [12120] = {.lex_state = 63},
  [12121] = {.lex_state = 60, .external_lex_state = 40},
  [12122] = {.lex_state = 63},
  [12123] = {.lex_state = 63},
  [12124] = {.lex_state = 63},
  [12125] = {.lex_state = 54, .external_lex_state = 66},
  [12126] = {.lex_state = 63},
  [12127] = {.lex_state = 60, .external_lex_state = 31},
  [12128] = {.lex_state = 63},
  [12129] = {.lex_state = 54, .external_lex_state = 63},
  [12130] = {.lex_state = 54, .external_lex_state = 36},
  [12131] = {.lex_state = 63},
  [12132] = {.lex_state = 63},
  [12133] = {.lex_state = 21},
  [12134] = {.lex_state = 60, .external_lex_state = 31},
  [12135] = {.lex_state = 60, .external_lex_state = 31},
  [12136] = {.lex_state = 51},
  [12137] = {.lex_state = 60, .external_lex_state = 31},
  [12138] = {.lex_state = 54, .external_lex_state = 36},
  [12139] = {.lex_state = 60, .external_lex_state = 31},
  [12140] = {.lex_state = 54, .external_lex_state = 52},
  [12141] = {.lex_state = 53},
  [12142] = {.lex_state = 63},
  [12143] = {.lex_state = 63},
  [12144] = {.lex_state = 54, .external_lex_state = 33},
  [12145] = {.lex_state = 63},
  [12146] = {.lex_state = 60, .external_lex_state = 31},
  [12147] = {.lex_state = 54, .external_lex_state = 63},
  [12148] = {.lex_state = 63},
  [12149] = {.lex_state = 54, .external_lex_state = 38},
  [12150] = {.lex_state = 60, .external_lex_state = 31},
  [12151] = {.lex_state = 51},
  [12152] = {.lex_state = 53, .external_lex_state = 52},
  [12153] = {.lex_state = 60, .external_lex_state = 31},
  [12154] = {.lex_state = 54, .external_lex_state = 23},
  [12155] = {.lex_state = 63},
  [12156] = {.lex_state = 63},
  [12157] = {.lex_state = 63},
  [12158] = {.lex_state = 60, .external_lex_state = 31},
  [12159] = {.lex_state = 54, .external_lex_state = 23},
  [12160] = {.lex_state = 54, .external_lex_state = 42},
  [12161] = {.lex_state = 54, .external_lex_state = 61},
  [12162] = {.lex_state = 54, .external_lex_state = 60},
  [12163] = {.lex_state = 60, .external_lex_state = 31},
  [12164] = {.lex_state = 63},
  [12165] = {.lex_state = 60, .external_lex_state = 31},
  [12166] = {.lex_state = 63},
  [12167] = {.lex_state = 63},
  [12168] = {.lex_state = 63},
  [12169] = {.lex_state = 60, .external_lex_state = 31},
  [12170] = {.lex_state = 54, .external_lex_state = 63},
  [12171] = {.lex_state = 60, .external_lex_state = 31},
  [12172] = {.lex_state = 60, .external_lex_state = 31},
  [12173] = {.lex_state = 53, .external_lex_state = 52},
  [12174] = {.lex_state = 63},
  [12175] = {.lex_state = 53, .external_lex_state = 38},
  [12176] = {.lex_state = 63},
  [12177] = {.lex_state = 63},
  [12178] = {.lex_state = 63},
  [12179] = {.lex_state = 63},
  [12180] = {.lex_state = 63},
  [12181] = {.lex_state = 63},
  [12182] = {.lex_state = 63},
  [12183] = {.lex_state = 54, .external_lex_state = 65},
  [12184] = {.lex_state = 54, .external_lex_state = 24},
  [12185] = {.lex_state = 54, .external_lex_state = 62},
  [12186] = {.lex_state = 60},
  [12187] = {.lex_state = 60},
  [12188] = {.lex_state = 63},
  [12189] = {.lex_state = 63},
  [12190] = {.lex_state = 60},
  [12191] = {.lex_state = 60},
  [12192] = {.lex_state = 63},
  [12193] = {.lex_state = 63},
  [12194] = {.lex_state = 63},
  [12195] = {.lex_state = 53, .external_lex_state = 38},
  [12196] = {.lex_state = 54, .external_lex_state = 65},
  [12197] = {.lex_state = 63},
  [12198] = {.lex_state = 63},
  [12199] = {.lex_state = 63},
  [12200] = {.lex_state = 63},
  [12201] = {.lex_state = 63},
  [12202] = {.lex_state = 63},
  [12203] = {.lex_state = 63},
  [12204] = {.lex_state = 54, .external_lex_state = 61},
  [12205] = {.lex_state = 60},
  [12206] = {.lex_state = 63},
  [12207] = {.lex_state = 63},
  [12208] = {.lex_state = 63},
  [12209] = {.lex_state = 60, .external_lex_state = 33},
  [12210] = {.lex_state = 63},
  [12211] = {.lex_state = 63},
  [12212] = {.lex_state = 63},
  [12213] = {.lex_state = 60, .external_lex_state = 33},
  [12214] = {.lex_state = 60, .external_lex_state = 40},
  [12215] = {.lex_state = 60, .external_lex_state = 37},
  [12216] = {.lex_state = 60, .external_lex_state = 33},
  [12217] = {.lex_state = 60, .external_lex_state = 33},
  [12218] = {.lex_state = 63},
  [12219] = {.lex_state = 63},
  [12220] = {.lex_state = 60},
  [12221] = {.lex_state = 60},
  [12222] = {.lex_state = 63},
  [12223] = {.lex_state = 60},
  [12224] = {.lex_state = 63},
  [12225] = {.lex_state = 60, .external_lex_state = 33},
  [12226] = {.lex_state = 60, .external_lex_state = 36},
  [12227] = {.lex_state = 63},
  [12228] = {.lex_state = 63},
  [12229] = {.lex_state = 63},
  [12230] = {.lex_state = 63},
  [12231] = {.lex_state = 53, .external_lex_state = 38},
  [12232] = {.lex_state = 63},
  [12233] = {.lex_state = 63},
  [12234] = {.lex_state = 63},
  [12235] = {.lex_state = 63},
  [12236] = {.lex_state = 54, .external_lex_state = 37},
  [12237] = {.lex_state = 54, .external_lex_state = 61},
  [12238] = {.lex_state = 54, .external_lex_state = 61},
  [12239] = {.lex_state = 63},
  [12240] = {.lex_state = 63},
  [12241] = {.lex_state = 63},
  [12242] = {.lex_state = 60, .external_lex_state = 42},
  [12243] = {.lex_state = 60, .external_lex_state = 26},
  [12244] = {.lex_state = 63},
  [12245] = {.lex_state = 63},
  [12246] = {.lex_state = 63},
  [12247] = {.lex_state = 60},
  [12248] = {.lex_state = 63},
  [12249] = {.lex_state = 60},
  [12250] = {.lex_state = 63},
  [12251] = {.lex_state = 63},
  [12252] = {.lex_state = 54, .external_lex_state = 61},
  [12253] = {.lex_state = 63},
  [12254] = {.lex_state = 63},
  [12255] = {.lex_state = 63},
  [12256] = {.lex_state = 63},
  [12257] = {.lex_state = 63},
  [12258] = {.lex_state = 54, .external_lex_state = 37},
  [12259] = {.lex_state = 63},
  [12260] = {.lex_state = 63},
  [12261] = {.lex_state = 63},
  [12262] = {.lex_state = 63},
  [12263] = {.lex_state = 60},
  [12264] = {.lex_state = 60},
  [12265] = {.lex_state = 63},
  [12266] = {.lex_state = 60, .external_lex_state = 36},
  [12267] = {.lex_state = 63},
  [12268] = {.lex_state = 60, .external_lex_state = 33},
  [12269] = {.lex_state = 63},
  [12270] = {.lex_state = 63},
  [12271] = {.lex_state = 63},
  [12272] = {.lex_state = 60, .external_lex_state = 33},
  [12273] = {.lex_state = 60, .external_lex_state = 33},
  [12274] = {.lex_state = 63},
  [12275] = {.lex_state = 60, .external_lex_state = 33},
  [12276] = {.lex_state = 60, .external_lex_state = 33},
  [12277] = {.lex_state = 60, .external_lex_state = 33},
  [12278] = {.lex_state = 60, .external_lex_state = 33},
  [12279] = {.lex_state = 60, .external_lex_state = 33},
  [12280] = {.lex_state = 60, .external_lex_state = 33},
  [12281] = {.lex_state = 63},
  [12282] = {.lex_state = 60, .external_lex_state = 33},
  [12283] = {.lex_state = 63},
  [12284] = {.lex_state = 63},
  [12285] = {.lex_state = 63},
  [12286] = {.lex_state = 60, .external_lex_state = 33},
  [12287] = {.lex_state = 60},
  [12288] = {.lex_state = 60, .external_lex_state = 33},
  [12289] = {.lex_state = 60, .external_lex_state = 33},
  [12290] = {.lex_state = 60},
  [12291] = {.lex_state = 54, .external_lex_state = 63},
  [12292] = {.lex_state = 60},
  [12293] = {.lex_state = 60},
  [12294] = {.lex_state = 60, .external_lex_state = 36},
  [12295] = {.lex_state = 63},
  [12296] = {.lex_state = 63},
  [12297] = {.lex_state = 60, .external_lex_state = 36},
  [12298] = {.lex_state = 60, .external_lex_state = 36},
  [12299] = {.lex_state = 60, .external_lex_state = 33},
  [12300] = {.lex_state = 60, .external_lex_state = 36},
  [12301] = {.lex_state = 63},
  [12302] = {.lex_state = 60, .external_lex_state = 48},
  [12303] = {.lex_state = 60, .external_lex_state = 36},
  [12304] = {.lex_state = 63},
  [12305] = {.lex_state = 60, .external_lex_state = 33},
  [12306] = {.lex_state = 54, .external_lex_state = 37},
  [12307] = {.lex_state = 60, .external_lex_state = 48},
  [12308] = {.lex_state = 60},
  [12309] = {.lex_state = 60, .external_lex_state = 47},
  [12310] = {.lex_state = 63},
  [12311] = {.lex_state = 63},
  [12312] = {.lex_state = 60},
  [12313] = {.lex_state = 60, .external_lex_state = 36},
  [12314] = {.lex_state = 63},
  [12315] = {.lex_state = 60, .external_lex_state = 47},
  [12316] = {.lex_state = 63},
  [12317] = {.lex_state = 63},
  [12318] = {.lex_state = 54, .external_lex_state = 37},
  [12319] = {.lex_state = 54, .external_lex_state = 37},
  [12320] = {.lex_state = 60, .external_lex_state = 36},
  [12321] = {.lex_state = 63},
  [12322] = {.lex_state = 63},
  [12323] = {.lex_state = 54, .external_lex_state = 37},
  [12324] = {.lex_state = 54, .external_lex_state = 37},
  [12325] = {.lex_state = 63},
  [12326] = {.lex_state = 63},
  [12327] = {.lex_state = 54, .external_lex_state = 37},
  [12328] = {.lex_state = 60, .external_lex_state = 33},
  [12329] = {.lex_state = 63},
  [12330] = {.lex_state = 60, .external_lex_state = 36},
  [12331] = {.lex_state = 63},
  [12332] = {.lex_state = 60, .external_lex_state = 36},
  [12333] = {.lex_state = 63},
  [12334] = {.lex_state = 63},
  [12335] = {.lex_state = 60, .external_lex_state = 36},
  [12336] = {.lex_state = 53, .external_lex_state = 24},
  [12337] = {.lex_state = 63},
  [12338] = {.lex_state = 63},
  [12339] = {.lex_state = 63},
  [12340] = {.lex_state = 54, .external_lex_state = 37},
  [12341] = {.lex_state = 54},
  [12342] = {.lex_state = 60, .external_lex_state = 36},
  [12343] = {.lex_state = 60},
  [12344] = {.lex_state = 60, .external_lex_state = 36},
  [12345] = {.lex_state = 60, .external_lex_state = 49},
  [12346] = {.lex_state = 63},
  [12347] = {.lex_state = 60},
  [12348] = {.lex_state = 60, .external_lex_state = 49},
  [12349] = {.lex_state = 63},
  [12350] = {.lex_state = 60, .external_lex_state = 36},
  [12351] = {.lex_state = 60, .external_lex_state = 36},
  [12352] = {.lex_state = 60, .external_lex_state = 36},
  [12353] = {.lex_state = 63},
  [12354] = {.lex_state = 63},
  [12355] = {.lex_state = 63},
  [12356] = {.lex_state = 60, .external_lex_state = 33},
  [12357] = {.lex_state = 54, .external_lex_state = 60},
  [12358] = {.lex_state = 60, .external_lex_state = 36},
  [12359] = {.lex_state = 60, .external_lex_state = 36},
  [12360] = {.lex_state = 60, .external_lex_state = 36},
  [12361] = {.lex_state = 60, .external_lex_state = 36},
  [12362] = {.lex_state = 60, .external_lex_state = 36},
  [12363] = {.lex_state = 60, .external_lex_state = 33},
  [12364] = {.lex_state = 60},
  [12365] = {.lex_state = 60},
  [12366] = {.lex_state = 63},
  [12367] = {.lex_state = 63},
  [12368] = {.lex_state = 63},
  [12369] = {.lex_state = 60, .external_lex_state = 33},
  [12370] = {.lex_state = 63},
  [12371] = {.lex_state = 60},
  [12372] = {.lex_state = 60, .external_lex_state = 36},
  [12373] = {.lex_state = 60},
  [12374] = {.lex_state = 60, .external_lex_state = 67},
  [12375] = {.lex_state = 54, .external_lex_state = 60},
  [12376] = {.lex_state = 54, .external_lex_state = 60},
  [12377] = {.lex_state = 54, .external_lex_state = 60},
  [12378] = {.lex_state = 60, .external_lex_state = 36},
  [12379] = {.lex_state = 60, .external_lex_state = 36},
  [12380] = {.lex_state = 63},
  [12381] = {.lex_state = 63},
  [12382] = {.lex_state = 63},
  [12383] = {.lex_state = 60, .external_lex_state = 36},
  [12384] = {.lex_state = 54, .external_lex_state = 47},
  [12385] = {.lex_state = 60, .external_lex_state = 36},
  [12386] = {.lex_state = 63},
  [12387] = {.lex_state = 60, .external_lex_state = 26},
  [12388] = {.lex_state = 63},
  [12389] = {.lex_state = 63},
  [12390] = {.lex_state = 63},
  [12391] = {.lex_state = 63},
  [12392] = {.lex_state = 60},
  [12393] = {.lex_state = 60},
  [12394] = {.lex_state = 63},
  [12395] = {.lex_state = 63},
  [12396] = {.lex_state = 63},
  [12397] = {.lex_state = 60, .external_lex_state = 33},
  [12398] = {.lex_state = 63},
  [12399] = {.lex_state = 54, .external_lex_state = 37},
  [12400] = {.lex_state = 60, .external_lex_state = 33},
  [12401] = {.lex_state = 54, .external_lex_state = 23},
  [12402] = {.lex_state = 54, .external_lex_state = 50},
  [12403] = {.lex_state = 54, .external_lex_state = 50},
  [12404] = {.lex_state = 54, .external_lex_state = 40},
  [12405] = {.lex_state = 63},
  [12406] = {.lex_state = 63},
  [12407] = {.lex_state = 63},
  [12408] = {.lex_state = 54, .external_lex_state = 37},
  [12409] = {.lex_state = 54, .external_lex_state = 49},
  [12410] = {.lex_state = 54, .external_lex_state = 49},
  [12411] = {.lex_state = 63},
  [12412] = {.lex_state = 54, .external_lex_state = 48},
  [12413] = {.lex_state = 54, .external_lex_state = 60},
  [12414] = {.lex_state = 54, .external_lex_state = 60},
  [12415] = {.lex_state = 54, .external_lex_state = 60},
  [12416] = {.lex_state = 54, .external_lex_state = 60},
  [12417] = {.lex_state = 63},
  [12418] = {.lex_state = 63},
  [12419] = {.lex_state = 63},
  [12420] = {.lex_state = 60, .external_lex_state = 26},
  [12421] = {.lex_state = 54, .external_lex_state = 48},
  [12422] = {.lex_state = 60},
  [12423] = {.lex_state = 60},
  [12424] = {.lex_state = 54, .external_lex_state = 40},
  [12425] = {.lex_state = 54, .external_lex_state = 40},
  [12426] = {.lex_state = 63},
  [12427] = {.lex_state = 54, .external_lex_state = 40},
  [12428] = {.lex_state = 60, .external_lex_state = 23},
  [12429] = {.lex_state = 63, .external_lex_state = 64},
  [12430] = {.lex_state = 63},
  [12431] = {.lex_state = 63},
  [12432] = {.lex_state = 60, .external_lex_state = 37},
  [12433] = {.lex_state = 63},
  [12434] = {.lex_state = 63},
  [12435] = {.lex_state = 54, .external_lex_state = 60},
  [12436] = {.lex_state = 60},
  [12437] = {.lex_state = 60},
  [12438] = {.lex_state = 54, .external_lex_state = 37},
  [12439] = {.lex_state = 63},
  [12440] = {.lex_state = 63},
  [12441] = {.lex_state = 63},
  [12442] = {.lex_state = 54, .external_lex_state = 42},
  [12443] = {.lex_state = 54, .external_lex_state = 42},
  [12444] = {.lex_state = 54, .external_lex_state = 37},
  [12445] = {.lex_state = 54, .external_lex_state = 68},
  [12446] = {.lex_state = 54, .external_lex_state = 42},
  [12447] = {.lex_state = 54, .external_lex_state = 42},
  [12448] = {.lex_state = 63},
  [12449] = {.lex_state = 63},
  [12450] = {.lex_state = 63},
  [12451] = {.lex_state = 54, .external_lex_state = 62},
  [12452] = {.lex_state = 54, .external_lex_state = 47},
  [12453] = {.lex_state = 63},
  [12454] = {.lex_state = 63},
  [12455] = {.lex_state = 54, .external_lex_state = 37},
  [12456] = {.lex_state = 54, .external_lex_state = 50},
  [12457] = {.lex_state = 54, .external_lex_state = 24},
  [12458] = {.lex_state = 63},
  [12459] = {.lex_state = 54, .external_lex_state = 47},
  [12460] = {.lex_state = 54, .external_lex_state = 37},
  [12461] = {.lex_state = 54, .external_lex_state = 68},
  [12462] = {.lex_state = 54, .external_lex_state = 37},
  [12463] = {.lex_state = 54, .external_lex_state = 65},
  [12464] = {.lex_state = 63},
  [12465] = {.lex_state = 54, .external_lex_state = 60},
  [12466] = {.lex_state = 63},
  [12467] = {.lex_state = 54, .external_lex_state = 60},
  [12468] = {.lex_state = 54, .external_lex_state = 65},
  [12469] = {.lex_state = 63},
  [12470] = {.lex_state = 54, .external_lex_state = 50},
  [12471] = {.lex_state = 52},
  [12472] = {.lex_state = 63},
  [12473] = {.lex_state = 54, .external_lex_state = 40},
  [12474] = {.lex_state = 54, .external_lex_state = 40},
  [12475] = {.lex_state = 63},
  [12476] = {.lex_state = 54, .external_lex_state = 40},
  [12477] = {.lex_state = 60},
  [12478] = {.lex_state = 54, .external_lex_state = 40},
  [12479] = {.lex_state = 54, .external_lex_state = 40},
  [12480] = {.lex_state = 60},
  [12481] = {.lex_state = 54, .external_lex_state = 40},
  [12482] = {.lex_state = 54, .external_lex_state = 40},
  [12483] = {.lex_state = 60, .external_lex_state = 26},
  [12484] = {.lex_state = 60},
  [12485] = {.lex_state = 63},
  [12486] = {.lex_state = 60},
  [12487] = {.lex_state = 54, .external_lex_state = 40},
  [12488] = {.lex_state = 54, .external_lex_state = 62},
  [12489] = {.lex_state = 60, .external_lex_state = 50},
  [12490] = {.lex_state = 60, .external_lex_state = 37},
  [12491] = {.lex_state = 63},
  [12492] = {.lex_state = 60, .external_lex_state = 50},
  [12493] = {.lex_state = 60, .external_lex_state = 37},
  [12494] = {.lex_state = 63},
  [12495] = {.lex_state = 63},
  [12496] = {.lex_state = 54, .external_lex_state = 42},
  [12497] = {.lex_state = 54, .external_lex_state = 42},
  [12498] = {.lex_state = 63},
  [12499] = {.lex_state = 63},
  [12500] = {.lex_state = 54, .external_lex_state = 42},
  [12501] = {.lex_state = 54, .external_lex_state = 42},
  [12502] = {.lex_state = 54, .external_lex_state = 62},
  [12503] = {.lex_state = 54, .external_lex_state = 42},
  [12504] = {.lex_state = 54, .external_lex_state = 42},
  [12505] = {.lex_state = 63},
  [12506] = {.lex_state = 54, .external_lex_state = 42},
  [12507] = {.lex_state = 60},
  [12508] = {.lex_state = 60},
  [12509] = {.lex_state = 54, .external_lex_state = 60},
  [12510] = {.lex_state = 54, .external_lex_state = 47},
  [12511] = {.lex_state = 54, .external_lex_state = 42},
  [12512] = {.lex_state = 54, .external_lex_state = 62},
  [12513] = {.lex_state = 63},
  [12514] = {.lex_state = 63},
  [12515] = {.lex_state = 54, .external_lex_state = 62},
  [12516] = {.lex_state = 63},
  [12517] = {.lex_state = 60, .external_lex_state = 37},
  [12518] = {.lex_state = 63},
  [12519] = {.lex_state = 63},
  [12520] = {.lex_state = 60, .external_lex_state = 33},
  [12521] = {.lex_state = 60, .external_lex_state = 26},
  [12522] = {.lex_state = 60},
  [12523] = {.lex_state = 63},
  [12524] = {.lex_state = 60},
  [12525] = {.lex_state = 63},
  [12526] = {.lex_state = 54, .external_lex_state = 62},
  [12527] = {.lex_state = 54, .external_lex_state = 40},
  [12528] = {.lex_state = 63},
  [12529] = {.lex_state = 63},
  [12530] = {.lex_state = 63},
  [12531] = {.lex_state = 63},
  [12532] = {.lex_state = 63},
  [12533] = {.lex_state = 63},
  [12534] = {.lex_state = 63},
  [12535] = {.lex_state = 63},
  [12536] = {.lex_state = 63, .external_lex_state = 64},
  [12537] = {.lex_state = 63},
  [12538] = {.lex_state = 63},
  [12539] = {.lex_state = 63},
  [12540] = {.lex_state = 63, .external_lex_state = 64},
  [12541] = {.lex_state = 63, .external_lex_state = 64},
  [12542] = {.lex_state = 63},
  [12543] = {.lex_state = 63},
  [12544] = {.lex_state = 63},
  [12545] = {.lex_state = 63},
  [12546] = {.lex_state = 54, .external_lex_state = 48},
  [12547] = {.lex_state = 63},
  [12548] = {.lex_state = 63},
  [12549] = {.lex_state = 60, .external_lex_state = 26},
  [12550] = {.lex_state = 54, .external_lex_state = 49},
  [12551] = {.lex_state = 63},
  [12552] = {.lex_state = 63},
  [12553] = {.lex_state = 60, .external_lex_state = 69},
  [12554] = {.lex_state = 63},
  [12555] = {.lex_state = 60},
  [12556] = {.lex_state = 60},
  [12557] = {.lex_state = 63},
  [12558] = {.lex_state = 63},
  [12559] = {.lex_state = 63},
  [12560] = {.lex_state = 63},
  [12561] = {.lex_state = 63},
  [12562] = {.lex_state = 63},
  [12563] = {.lex_state = 63, .external_lex_state = 64},
  [12564] = {.lex_state = 63},
  [12565] = {.lex_state = 63},
  [12566] = {.lex_state = 54, .external_lex_state = 42},
  [12567] = {.lex_state = 63},
  [12568] = {.lex_state = 63},
  [12569] = {.lex_state = 63},
  [12570] = {.lex_state = 60},
  [12571] = {.lex_state = 63},
  [12572] = {.lex_state = 53, .external_lex_state = 23},
  [12573] = {.lex_state = 63},
  [12574] = {.lex_state = 63},
  [12575] = {.lex_state = 60, .external_lex_state = 33},
  [12576] = {.lex_state = 60, .external_lex_state = 33},
  [12577] = {.lex_state = 63},
  [12578] = {.lex_state = 60},
  [12579] = {.lex_state = 60},
  [12580] = {.lex_state = 60, .external_lex_state = 33},
  [12581] = {.lex_state = 63},
  [12582] = {.lex_state = 53, .external_lex_state = 38},
  [12583] = {.lex_state = 63},
  [12584] = {.lex_state = 60},
  [12585] = {.lex_state = 60, .external_lex_state = 37},
  [12586] = {.lex_state = 54, .external_lex_state = 60},
  [12587] = {.lex_state = 63},
  [12588] = {.lex_state = 63},
  [12589] = {.lex_state = 54, .external_lex_state = 49},
  [12590] = {.lex_state = 63},
  [12591] = {.lex_state = 60, .external_lex_state = 37},
  [12592] = {.lex_state = 63},
  [12593] = {.lex_state = 63},
  [12594] = {.lex_state = 53, .external_lex_state = 38},
  [12595] = {.lex_state = 54, .external_lex_state = 60},
  [12596] = {.lex_state = 63},
  [12597] = {.lex_state = 63},
  [12598] = {.lex_state = 60},
  [12599] = {.lex_state = 60},
  [12600] = {.lex_state = 63},
  [12601] = {.lex_state = 60},
  [12602] = {.lex_state = 63},
  [12603] = {.lex_state = 54},
  [12604] = {.lex_state = 63},
  [12605] = {.lex_state = 63},
  [12606] = {.lex_state = 63},
  [12607] = {.lex_state = 63},
  [12608] = {.lex_state = 63},
  [12609] = {.lex_state = 54, .external_lex_state = 60},
  [12610] = {.lex_state = 63},
  [12611] = {.lex_state = 63},
  [12612] = {.lex_state = 63},
  [12613] = {.lex_state = 63},
  [12614] = {.lex_state = 63},
  [12615] = {.lex_state = 63},
  [12616] = {.lex_state = 63},
  [12617] = {.lex_state = 63},
  [12618] = {.lex_state = 63},
  [12619] = {.lex_state = 54, .external_lex_state = 23},
  [12620] = {.lex_state = 63},
  [12621] = {.lex_state = 63},
  [12622] = {.lex_state = 60},
  [12623] = {.lex_state = 54, .external_lex_state = 60},
  [12624] = {.lex_state = 60},
  [12625] = {.lex_state = 63},
  [12626] = {.lex_state = 60, .external_lex_state = 37},
  [12627] = {.lex_state = 54, .external_lex_state = 48},
  [12628] = {.lex_state = 53, .external_lex_state = 23},
  [12629] = {.lex_state = 54, .external_lex_state = 37},
  [12630] = {.lex_state = 53, .external_lex_state = 23},
  [12631] = {.lex_state = 63},
  [12632] = {.lex_state = 63},
  [12633] = {.lex_state = 63},
  [12634] = {.lex_state = 63},
  [12635] = {.lex_state = 53, .external_lex_state = 23},
  [12636] = {.lex_state = 60},
  [12637] = {.lex_state = 60},
  [12638] = {.lex_state = 60},
  [12639] = {.lex_state = 60},
  [12640] = {.lex_state = 54, .external_lex_state = 48},
  [12641] = {.lex_state = 53, .external_lex_state = 23},
  [12642] = {.lex_state = 60, .external_lex_state = 37},
  [12643] = {.lex_state = 54, .external_lex_state = 62},
  [12644] = {.lex_state = 54, .external_lex_state = 62},
  [12645] = {.lex_state = 54, .external_lex_state = 62},
  [12646] = {.lex_state = 63},
  [12647] = {.lex_state = 53, .external_lex_state = 24},
  [12648] = {.lex_state = 63},
  [12649] = {.lex_state = 54, .external_lex_state = 48},
  [12650] = {.lex_state = 60, .external_lex_state = 37},
  [12651] = {.lex_state = 54, .external_lex_state = 42},
  [12652] = {.lex_state = 53, .external_lex_state = 24},
  [12653] = {.lex_state = 63},
  [12654] = {.lex_state = 60, .external_lex_state = 23},
  [12655] = {.lex_state = 63},
  [12656] = {.lex_state = 54, .external_lex_state = 62},
  [12657] = {.lex_state = 54, .external_lex_state = 50},
  [12658] = {.lex_state = 54, .external_lex_state = 23},
  [12659] = {.lex_state = 54, .external_lex_state = 47},
  [12660] = {.lex_state = 60, .external_lex_state = 37},
  [12661] = {.lex_state = 54, .external_lex_state = 47},
  [12662] = {.lex_state = 54, .external_lex_state = 47},
  [12663] = {.lex_state = 54, .external_lex_state = 40},
  [12664] = {.lex_state = 63},
  [12665] = {.lex_state = 60, .external_lex_state = 37},
  [12666] = {.lex_state = 54, .external_lex_state = 48},
  [12667] = {.lex_state = 54, .external_lex_state = 48},
  [12668] = {.lex_state = 63},
  [12669] = {.lex_state = 54, .external_lex_state = 47},
  [12670] = {.lex_state = 54, .external_lex_state = 48},
  [12671] = {.lex_state = 63},
  [12672] = {.lex_state = 60, .external_lex_state = 37},
  [12673] = {.lex_state = 54, .external_lex_state = 48},
  [12674] = {.lex_state = 54, .external_lex_state = 48},
  [12675] = {.lex_state = 54, .external_lex_state = 50},
  [12676] = {.lex_state = 54, .external_lex_state = 47},
  [12677] = {.lex_state = 60, .external_lex_state = 37},
  [12678] = {.lex_state = 60, .external_lex_state = 26},
  [12679] = {.lex_state = 60, .external_lex_state = 23},
  [12680] = {.lex_state = 54, .external_lex_state = 47},
  [12681] = {.lex_state = 54, .external_lex_state = 47},
  [12682] = {.lex_state = 54, .external_lex_state = 62},
  [12683] = {.lex_state = 54, .external_lex_state = 47},
  [12684] = {.lex_state = 54, .external_lex_state = 62},
  [12685] = {.lex_state = 54, .external_lex_state = 47},
  [12686] = {.lex_state = 54, .external_lex_state = 50},
  [12687] = {.lex_state = 53, .external_lex_state = 23},
  [12688] = {.lex_state = 60, .external_lex_state = 30},
  [12689] = {.lex_state = 54, .external_lex_state = 50},
  [12690] = {.lex_state = 54, .external_lex_state = 50},
  [12691] = {.lex_state = 60, .external_lex_state = 23},
  [12692] = {.lex_state = 54, .external_lex_state = 42},
  [12693] = {.lex_state = 54, .external_lex_state = 47},
  [12694] = {.lex_state = 54, .external_lex_state = 48},
  [12695] = {.lex_state = 54, .external_lex_state = 50},
  [12696] = {.lex_state = 63},
  [12697] = {.lex_state = 63},
  [12698] = {.lex_state = 63},
  [12699] = {.lex_state = 63},
  [12700] = {.lex_state = 54, .external_lex_state = 50},
  [12701] = {.lex_state = 60, .external_lex_state = 49},
  [12702] = {.lex_state = 54, .external_lex_state = 49},
  [12703] = {.lex_state = 60},
  [12704] = {.lex_state = 54, .external_lex_state = 47},
  [12705] = {.lex_state = 60, .external_lex_state = 37},
  [12706] = {.lex_state = 60, .external_lex_state = 23},
  [12707] = {.lex_state = 60, .external_lex_state = 42},
  [12708] = {.lex_state = 63},
  [12709] = {.lex_state = 60},
  [12710] = {.lex_state = 54, .external_lex_state = 50},
  [12711] = {.lex_state = 60},
  [12712] = {.lex_state = 54, .external_lex_state = 62},
  [12713] = {.lex_state = 54, .external_lex_state = 49},
  [12714] = {.lex_state = 63},
  [12715] = {.lex_state = 60, .external_lex_state = 37},
  [12716] = {.lex_state = 53, .external_lex_state = 24},
  [12717] = {.lex_state = 21},
  [12718] = {.lex_state = 53, .external_lex_state = 24},
  [12719] = {.lex_state = 60},
  [12720] = {.lex_state = 60, .external_lex_state = 23},
  [12721] = {.lex_state = 21},
  [12722] = {.lex_state = 53, .external_lex_state = 38},
  [12723] = {.lex_state = 53, .external_lex_state = 24},
  [12724] = {.lex_state = 63},
  [12725] = {.lex_state = 54, .external_lex_state = 49},
  [12726] = {.lex_state = 63},
  [12727] = {.lex_state = 54, .external_lex_state = 49},
  [12728] = {.lex_state = 53, .external_lex_state = 24},
  [12729] = {.lex_state = 63},
  [12730] = {.lex_state = 63},
  [12731] = {.lex_state = 63},
  [12732] = {.lex_state = 60, .external_lex_state = 30},
  [12733] = {.lex_state = 54, .external_lex_state = 49},
  [12734] = {.lex_state = 53, .external_lex_state = 52},
  [12735] = {.lex_state = 53, .external_lex_state = 24},
  [12736] = {.lex_state = 54, .external_lex_state = 49},
  [12737] = {.lex_state = 63},
  [12738] = {.lex_state = 54, .external_lex_state = 61},
  [12739] = {.lex_state = 63},
  [12740] = {.lex_state = 54, .external_lex_state = 47},
  [12741] = {.lex_state = 63},
  [12742] = {.lex_state = 54, .external_lex_state = 48},
  [12743] = {.lex_state = 54, .external_lex_state = 47},
  [12744] = {.lex_state = 60, .external_lex_state = 26},
  [12745] = {.lex_state = 53, .external_lex_state = 24},
  [12746] = {.lex_state = 54, .external_lex_state = 60},
  [12747] = {.lex_state = 54, .external_lex_state = 50},
  [12748] = {.lex_state = 60, .external_lex_state = 42},
  [12749] = {.lex_state = 54, .external_lex_state = 50},
  [12750] = {.lex_state = 63},
  [12751] = {.lex_state = 54, .external_lex_state = 66},
  [12752] = {.lex_state = 63},
  [12753] = {.lex_state = 54, .external_lex_state = 49},
  [12754] = {.lex_state = 60, .external_lex_state = 40},
  [12755] = {.lex_state = 54, .external_lex_state = 50},
  [12756] = {.lex_state = 54, .external_lex_state = 65},
  [12757] = {.lex_state = 60, .external_lex_state = 42},
  [12758] = {.lex_state = 54, .external_lex_state = 61},
  [12759] = {.lex_state = 54, .external_lex_state = 50},
  [12760] = {.lex_state = 60, .external_lex_state = 42},
  [12761] = {.lex_state = 60, .external_lex_state = 42},
  [12762] = {.lex_state = 63},
  [12763] = {.lex_state = 63},
  [12764] = {.lex_state = 54, .external_lex_state = 23},
  [12765] = {.lex_state = 54, .external_lex_state = 63},
  [12766] = {.lex_state = 53, .external_lex_state = 24},
  [12767] = {.lex_state = 60, .external_lex_state = 50},
  [12768] = {.lex_state = 54, .external_lex_state = 49},
  [12769] = {.lex_state = 63},
  [12770] = {.lex_state = 63},
  [12771] = {.lex_state = 54, .external_lex_state = 63},
  [12772] = {.lex_state = 54, .external_lex_state = 49},
  [12773] = {.lex_state = 60, .external_lex_state = 42},
  [12774] = {.lex_state = 54, .external_lex_state = 58},
  [12775] = {.lex_state = 53, .external_lex_state = 24},
  [12776] = {.lex_state = 53, .external_lex_state = 24},
  [12777] = {.lex_state = 63},
  [12778] = {.lex_state = 63},
  [12779] = {.lex_state = 54, .external_lex_state = 63},
  [12780] = {.lex_state = 53, .external_lex_state = 52},
  [12781] = {.lex_state = 54, .external_lex_state = 50},
  [12782] = {.lex_state = 53, .external_lex_state = 52},
  [12783] = {.lex_state = 54, .external_lex_state = 61},
  [12784] = {.lex_state = 60, .external_lex_state = 37},
  [12785] = {.lex_state = 54, .external_lex_state = 23},
  [12786] = {.lex_state = 53, .external_lex_state = 24},
  [12787] = {.lex_state = 60, .external_lex_state = 37},
  [12788] = {.lex_state = 53, .external_lex_state = 52},
  [12789] = {.lex_state = 54, .external_lex_state = 56},
  [12790] = {.lex_state = 53, .external_lex_state = 23},
  [12791] = {.lex_state = 63},
  [12792] = {.lex_state = 54, .external_lex_state = 56},
  [12793] = {.lex_state = 54, .external_lex_state = 57},
  [12794] = {.lex_state = 60, .external_lex_state = 37},
  [12795] = {.lex_state = 60, .external_lex_state = 42},
  [12796] = {.lex_state = 54, .external_lex_state = 57},
  [12797] = {.lex_state = 63},
  [12798] = {.lex_state = 54, .external_lex_state = 42},
  [12799] = {.lex_state = 54, .external_lex_state = 42},
  [12800] = {.lex_state = 60, .external_lex_state = 37},
  [12801] = {.lex_state = 53, .external_lex_state = 52},
  [12802] = {.lex_state = 63},
  [12803] = {.lex_state = 60, .external_lex_state = 30},
  [12804] = {.lex_state = 54, .external_lex_state = 42},
  [12805] = {.lex_state = 63},
  [12806] = {.lex_state = 54, .external_lex_state = 42},
  [12807] = {.lex_state = 54, .external_lex_state = 42},
  [12808] = {.lex_state = 63},
  [12809] = {.lex_state = 60, .external_lex_state = 37},
  [12810] = {.lex_state = 54, .external_lex_state = 42},
  [12811] = {.lex_state = 63},
  [12812] = {.lex_state = 54, .external_lex_state = 61},
  [12813] = {.lex_state = 54, .external_lex_state = 42},
  [12814] = {.lex_state = 63},
  [12815] = {.lex_state = 60, .external_lex_state = 42},
  [12816] = {.lex_state = 54, .external_lex_state = 62},
  [12817] = {.lex_state = 54, .external_lex_state = 61},
  [12818] = {.lex_state = 63},
  [12819] = {.lex_state = 60, .external_lex_state = 37},
  [12820] = {.lex_state = 63},
  [12821] = {.lex_state = 54, .external_lex_state = 61},
  [12822] = {.lex_state = 63},
  [12823] = {.lex_state = 54, .external_lex_state = 23},
  [12824] = {.lex_state = 63},
  [12825] = {.lex_state = 63},
  [12826] = {.lex_state = 63},
  [12827] = {.lex_state = 60, .external_lex_state = 23},
  [12828] = {.lex_state = 54, .external_lex_state = 42},
  [12829] = {.lex_state = 54, .external_lex_state = 58},
  [12830] = {.lex_state = 54, .external_lex_state = 61},
  [12831] = {.lex_state = 54, .external_lex_state = 49},
  [12832] = {.lex_state = 54, .external_lex_state = 58},
  [12833] = {.lex_state = 54, .external_lex_state = 42},
  [12834] = {.lex_state = 63},
  [12835] = {.lex_state = 60, .external_lex_state = 37},
  [12836] = {.lex_state = 63},
  [12837] = {.lex_state = 54, .external_lex_state = 56},
  [12838] = {.lex_state = 54, .external_lex_state = 63},
  [12839] = {.lex_state = 54, .external_lex_state = 49},
  [12840] = {.lex_state = 54, .external_lex_state = 42},
  [12841] = {.lex_state = 63},
  [12842] = {.lex_state = 60, .external_lex_state = 23},
  [12843] = {.lex_state = 54, .external_lex_state = 42},
  [12844] = {.lex_state = 54, .external_lex_state = 40},
  [12845] = {.lex_state = 54, .external_lex_state = 62},
  [12846] = {.lex_state = 63},
  [12847] = {.lex_state = 54, .external_lex_state = 49},
  [12848] = {.lex_state = 60, .external_lex_state = 37},
  [12849] = {.lex_state = 54, .external_lex_state = 49},
  [12850] = {.lex_state = 60, .external_lex_state = 23},
  [12851] = {.lex_state = 54, .external_lex_state = 61},
  [12852] = {.lex_state = 54, .external_lex_state = 40},
  [12853] = {.lex_state = 60, .external_lex_state = 58},
  [12854] = {.lex_state = 60, .external_lex_state = 40},
  [12855] = {.lex_state = 60, .external_lex_state = 58},
  [12856] = {.lex_state = 63},
  [12857] = {.lex_state = 54, .external_lex_state = 62},
  [12858] = {.lex_state = 63},
  [12859] = {.lex_state = 60},
  [12860] = {.lex_state = 63},
  [12861] = {.lex_state = 53, .external_lex_state = 24},
  [12862] = {.lex_state = 54, .external_lex_state = 57},
  [12863] = {.lex_state = 54, .external_lex_state = 62},
  [12864] = {.lex_state = 54, .external_lex_state = 42},
  [12865] = {.lex_state = 60, .external_lex_state = 42},
  [12866] = {.lex_state = 60, .external_lex_state = 23},
  [12867] = {.lex_state = 63},
  [12868] = {.lex_state = 60, .external_lex_state = 37},
  [12869] = {.lex_state = 63},
  [12870] = {.lex_state = 63},
  [12871] = {.lex_state = 60, .external_lex_state = 23},
  [12872] = {.lex_state = 60, .external_lex_state = 23},
  [12873] = {.lex_state = 54, .external_lex_state = 60},
  [12874] = {.lex_state = 60, .external_lex_state = 23},
  [12875] = {.lex_state = 54, .external_lex_state = 58},
  [12876] = {.lex_state = 54, .external_lex_state = 63},
  [12877] = {.lex_state = 63},
  [12878] = {.lex_state = 54, .external_lex_state = 65},
  [12879] = {.lex_state = 63},
  [12880] = {.lex_state = 60, .external_lex_state = 30},
  [12881] = {.lex_state = 54, .external_lex_state = 62},
  [12882] = {.lex_state = 53, .external_lex_state = 23},
  [12883] = {.lex_state = 53, .external_lex_state = 23},
  [12884] = {.lex_state = 60, .external_lex_state = 37},
  [12885] = {.lex_state = 53, .external_lex_state = 23},
  [12886] = {.lex_state = 60},
  [12887] = {.lex_state = 60, .external_lex_state = 47},
  [12888] = {.lex_state = 54, .external_lex_state = 48},
  [12889] = {.lex_state = 60, .external_lex_state = 23},
  [12890] = {.lex_state = 54, .external_lex_state = 57},
  [12891] = {.lex_state = 60, .external_lex_state = 23},
  [12892] = {.lex_state = 60, .external_lex_state = 37},
  [12893] = {.lex_state = 63},
  [12894] = {.lex_state = 54, .external_lex_state = 61},
  [12895] = {.lex_state = 60},
  [12896] = {.lex_state = 54, .external_lex_state = 40},
  [12897] = {.lex_state = 63},
  [12898] = {.lex_state = 63},
  [12899] = {.lex_state = 63},
  [12900] = {.lex_state = 63},
  [12901] = {.lex_state = 60, .external_lex_state = 23},
  [12902] = {.lex_state = 63},
  [12903] = {.lex_state = 60, .external_lex_state = 57},
  [12904] = {.lex_state = 54, .external_lex_state = 66},
  [12905] = {.lex_state = 54, .external_lex_state = 62},
  [12906] = {.lex_state = 54, .external_lex_state = 40},
  [12907] = {.lex_state = 63},
  [12908] = {.lex_state = 54, .external_lex_state = 48},
  [12909] = {.lex_state = 63},
  [12910] = {.lex_state = 54, .external_lex_state = 48},
  [12911] = {.lex_state = 60, .external_lex_state = 42},
  [12912] = {.lex_state = 60, .external_lex_state = 23},
  [12913] = {.lex_state = 60, .external_lex_state = 23},
  [12914] = {.lex_state = 60, .external_lex_state = 23},
  [12915] = {.lex_state = 63},
  [12916] = {.lex_state = 63},
  [12917] = {.lex_state = 54, .external_lex_state = 42},
  [12918] = {.lex_state = 54, .external_lex_state = 40},
  [12919] = {.lex_state = 54, .external_lex_state = 40},
  [12920] = {.lex_state = 60, .external_lex_state = 23},
  [12921] = {.lex_state = 63},
  [12922] = {.lex_state = 54, .external_lex_state = 40},
  [12923] = {.lex_state = 54, .external_lex_state = 40},
  [12924] = {.lex_state = 63},
  [12925] = {.lex_state = 60, .external_lex_state = 23},
  [12926] = {.lex_state = 60, .external_lex_state = 37},
  [12927] = {.lex_state = 54, .external_lex_state = 61},
  [12928] = {.lex_state = 60},
  [12929] = {.lex_state = 63},
  [12930] = {.lex_state = 53, .external_lex_state = 24},
  [12931] = {.lex_state = 60, .external_lex_state = 30},
  [12932] = {.lex_state = 63},
  [12933] = {.lex_state = 54, .external_lex_state = 40},
  [12934] = {.lex_state = 54, .external_lex_state = 48},
  [12935] = {.lex_state = 54, .external_lex_state = 61},
  [12936] = {.lex_state = 54, .external_lex_state = 40},
  [12937] = {.lex_state = 54, .external_lex_state = 61},
  [12938] = {.lex_state = 54, .external_lex_state = 40},
  [12939] = {.lex_state = 54, .external_lex_state = 62},
  [12940] = {.lex_state = 54, .external_lex_state = 61},
  [12941] = {.lex_state = 63},
  [12942] = {.lex_state = 54, .external_lex_state = 40},
  [12943] = {.lex_state = 63},
  [12944] = {.lex_state = 60, .external_lex_state = 23},
  [12945] = {.lex_state = 60, .external_lex_state = 37},
  [12946] = {.lex_state = 60, .external_lex_state = 23},
  [12947] = {.lex_state = 63},
  [12948] = {.lex_state = 60, .external_lex_state = 40},
  [12949] = {.lex_state = 60, .external_lex_state = 23},
  [12950] = {.lex_state = 60, .external_lex_state = 37},
  [12951] = {.lex_state = 63},
  [12952] = {.lex_state = 60, .external_lex_state = 42},
  [12953] = {.lex_state = 63},
  [12954] = {.lex_state = 54, .external_lex_state = 56},
  [12955] = {.lex_state = 60, .external_lex_state = 37},
  [12956] = {.lex_state = 60, .external_lex_state = 26},
  [12957] = {.lex_state = 60, .external_lex_state = 37},
  [12958] = {.lex_state = 54, .external_lex_state = 40},
  [12959] = {.lex_state = 60, .external_lex_state = 23},
  [12960] = {.lex_state = 54, .external_lex_state = 40},
  [12961] = {.lex_state = 63},
  [12962] = {.lex_state = 54, .external_lex_state = 40},
  [12963] = {.lex_state = 63},
  [12964] = {.lex_state = 53, .external_lex_state = 24},
  [12965] = {.lex_state = 63},
  [12966] = {.lex_state = 60, .external_lex_state = 37},
  [12967] = {.lex_state = 60, .external_lex_state = 57},
  [12968] = {.lex_state = 63},
  [12969] = {.lex_state = 53, .external_lex_state = 23},
  [12970] = {.lex_state = 60, .external_lex_state = 26},
  [12971] = {.lex_state = 63},
  [12972] = {.lex_state = 60, .external_lex_state = 23},
  [12973] = {.lex_state = 53, .external_lex_state = 24},
  [12974] = {.lex_state = 60, .external_lex_state = 42},
  [12975] = {.lex_state = 63},
  [12976] = {.lex_state = 60, .external_lex_state = 42},
  [12977] = {.lex_state = 60, .external_lex_state = 30},
  [12978] = {.lex_state = 60, .external_lex_state = 23},
  [12979] = {.lex_state = 54, .external_lex_state = 63},
  [12980] = {.lex_state = 63},
  [12981] = {.lex_state = 60, .external_lex_state = 42},
  [12982] = {.lex_state = 63},
  [12983] = {.lex_state = 60, .external_lex_state = 26},
  [12984] = {.lex_state = 54, .external_lex_state = 66},
  [12985] = {.lex_state = 60, .external_lex_state = 40},
  [12986] = {.lex_state = 53, .external_lex_state = 23},
  [12987] = {.lex_state = 54, .external_lex_state = 42},
  [12988] = {.lex_state = 63},
  [12989] = {.lex_state = 54, .external_lex_state = 62},
  [12990] = {.lex_state = 63},
  [12991] = {.lex_state = 60},
  [12992] = {.lex_state = 53, .external_lex_state = 24},
  [12993] = {.lex_state = 63},
  [12994] = {.lex_state = 63},
  [12995] = {.lex_state = 63},
  [12996] = {.lex_state = 63},
  [12997] = {.lex_state = 54, .external_lex_state = 63},
  [12998] = {.lex_state = 63},
  [12999] = {.lex_state = 60, .external_lex_state = 56},
  [13000] = {.lex_state = 54, .external_lex_state = 40},
  [13001] = {.lex_state = 63},
  [13002] = {.lex_state = 63},
  [13003] = {.lex_state = 60, .external_lex_state = 40},
  [13004] = {.lex_state = 53, .external_lex_state = 24},
  [13005] = {.lex_state = 63},
  [13006] = {.lex_state = 60},
  [13007] = {.lex_state = 63},
  [13008] = {.lex_state = 54, .external_lex_state = 42},
  [13009] = {.lex_state = 60, .external_lex_state = 37},
  [13010] = {.lex_state = 60, .external_lex_state = 40},
  [13011] = {.lex_state = 53, .external_lex_state = 23},
  [13012] = {.lex_state = 63},
  [13013] = {.lex_state = 60, .external_lex_state = 40},
  [13014] = {.lex_state = 60, .external_lex_state = 40},
  [13015] = {.lex_state = 63},
  [13016] = {.lex_state = 60, .external_lex_state = 23},
  [13017] = {.lex_state = 54, .external_lex_state = 61},
  [13018] = {.lex_state = 54, .external_lex_state = 61},
  [13019] = {.lex_state = 54, .external_lex_state = 61},
  [13020] = {.lex_state = 53, .external_lex_state = 24},
  [13021] = {.lex_state = 60, .external_lex_state = 23},
  [13022] = {.lex_state = 60, .external_lex_state = 56},
  [13023] = {.lex_state = 60, .external_lex_state = 23},
  [13024] = {.lex_state = 60, .external_lex_state = 48},
  [13025] = {.lex_state = 60, .external_lex_state = 47},
  [13026] = {.lex_state = 53, .external_lex_state = 24},
  [13027] = {.lex_state = 54, .external_lex_state = 63},
  [13028] = {.lex_state = 54, .external_lex_state = 49},
  [13029] = {.lex_state = 54, .external_lex_state = 65},
  [13030] = {.lex_state = 60, .external_lex_state = 40},
  [13031] = {.lex_state = 54, .external_lex_state = 47},
  [13032] = {.lex_state = 54, .external_lex_state = 49},
  [13033] = {.lex_state = 54, .external_lex_state = 50},
  [13034] = {.lex_state = 54, .external_lex_state = 50},
  [13035] = {.lex_state = 54, .external_lex_state = 57},
  [13036] = {.lex_state = 54, .external_lex_state = 49},
  [13037] = {.lex_state = 54, .external_lex_state = 56},
  [13038] = {.lex_state = 54, .external_lex_state = 57},
  [13039] = {.lex_state = 54, .external_lex_state = 57},
  [13040] = {.lex_state = 60},
  [13041] = {.lex_state = 54, .external_lex_state = 50},
  [13042] = {.lex_state = 54, .external_lex_state = 56},
  [13043] = {.lex_state = 54, .external_lex_state = 56},
  [13044] = {.lex_state = 54, .external_lex_state = 57},
  [13045] = {.lex_state = 53, .external_lex_state = 52},
  [13046] = {.lex_state = 60, .external_lex_state = 31},
  [13047] = {.lex_state = 54, .external_lex_state = 50},
  [13048] = {.lex_state = 54, .external_lex_state = 57},
  [13049] = {.lex_state = 54, .external_lex_state = 56},
  [13050] = {.lex_state = 54, .external_lex_state = 50},
  [13051] = {.lex_state = 54, .external_lex_state = 56},
  [13052] = {.lex_state = 60, .external_lex_state = 49},
  [13053] = {.lex_state = 54, .external_lex_state = 60},
  [13054] = {.lex_state = 54, .external_lex_state = 60},
  [13055] = {.lex_state = 54, .external_lex_state = 66},
  [13056] = {.lex_state = 54, .external_lex_state = 50},
  [13057] = {.lex_state = 54, .external_lex_state = 49},
  [13058] = {.lex_state = 54, .external_lex_state = 49},
  [13059] = {.lex_state = 54, .external_lex_state = 50},
  [13060] = {.lex_state = 54, .external_lex_state = 56},
  [13061] = {.lex_state = 54, .external_lex_state = 56},
  [13062] = {.lex_state = 60, .external_lex_state = 42},
  [13063] = {.lex_state = 54, .external_lex_state = 49},
  [13064] = {.lex_state = 60, .external_lex_state = 26},
  [13065] = {.lex_state = 54, .external_lex_state = 66},
  [13066] = {.lex_state = 60, .external_lex_state = 49},
  [13067] = {.lex_state = 60, .external_lex_state = 30},
  [13068] = {.lex_state = 54, .external_lex_state = 62},
  [13069] = {.lex_state = 60, .external_lex_state = 49},
  [13070] = {.lex_state = 54, .external_lex_state = 63},
  [13071] = {.lex_state = 60, .external_lex_state = 42},
  [13072] = {.lex_state = 60, .external_lex_state = 42},
  [13073] = {.lex_state = 54, .external_lex_state = 66},
  [13074] = {.lex_state = 54, .external_lex_state = 57},
  [13075] = {.lex_state = 60, .external_lex_state = 42},
  [13076] = {.lex_state = 0},
  [13077] = {.lex_state = 60},
  [13078] = {.lex_state = 54, .external_lex_state = 50},
  [13079] = {.lex_state = 60, .external_lex_state = 42},
  [13080] = {.lex_state = 54, .external_lex_state = 50},
  [13081] = {.lex_state = 60},
  [13082] = {.lex_state = 54, .external_lex_state = 66},
  [13083] = {.lex_state = 60, .external_lex_state = 40},
  [13084] = {.lex_state = 54, .external_lex_state = 57},
  [13085] = {.lex_state = 54, .external_lex_state = 63},
  [13086] = {.lex_state = 60, .external_lex_state = 40},
  [13087] = {.lex_state = 53, .external_lex_state = 24},
  [13088] = {.lex_state = 54, .external_lex_state = 57},
  [13089] = {.lex_state = 60, .external_lex_state = 47},
  [13090] = {.lex_state = 54, .external_lex_state = 47},
  [13091] = {.lex_state = 60, .external_lex_state = 49},
  [13092] = {.lex_state = 60, .external_lex_state = 40},
  [13093] = {.lex_state = 54, .external_lex_state = 63},
  [13094] = {.lex_state = 60, .external_lex_state = 49},
  [13095] = {.lex_state = 60, .external_lex_state = 40},
  [13096] = {.lex_state = 53, .external_lex_state = 24},
  [13097] = {.lex_state = 53, .external_lex_state = 24},
  [13098] = {.lex_state = 60, .external_lex_state = 50},
  [13099] = {.lex_state = 54, .external_lex_state = 63},
  [13100] = {.lex_state = 60, .external_lex_state = 49},
  [13101] = {.lex_state = 53, .external_lex_state = 23},
  [13102] = {.lex_state = 54, .external_lex_state = 60},
  [13103] = {.lex_state = 60, .external_lex_state = 48},
  [13104] = {.lex_state = 54, .external_lex_state = 60},
  [13105] = {.lex_state = 54, .external_lex_state = 66},
  [13106] = {.lex_state = 54, .external_lex_state = 63},
  [13107] = {.lex_state = 60, .external_lex_state = 49},
  [13108] = {.lex_state = 60, .external_lex_state = 40},
  [13109] = {.lex_state = 54, .external_lex_state = 56},
  [13110] = {.lex_state = 60, .external_lex_state = 42},
  [13111] = {.lex_state = 54, .external_lex_state = 48},
  [13112] = {.lex_state = 60, .external_lex_state = 40},
  [13113] = {.lex_state = 54, .external_lex_state = 47},
  [13114] = {.lex_state = 54, .external_lex_state = 63},
  [13115] = {.lex_state = 54, .external_lex_state = 58},
  [13116] = {.lex_state = 54, .external_lex_state = 48},
  [13117] = {.lex_state = 60, .external_lex_state = 48},
  [13118] = {.lex_state = 54, .external_lex_state = 47},
  [13119] = {.lex_state = 54, .external_lex_state = 63},
  [13120] = {.lex_state = 54, .external_lex_state = 48},
  [13121] = {.lex_state = 54, .external_lex_state = 60},
  [13122] = {.lex_state = 60, .external_lex_state = 40},
  [13123] = {.lex_state = 54, .external_lex_state = 60},
  [13124] = {.lex_state = 54, .external_lex_state = 63},
  [13125] = {.lex_state = 60, .external_lex_state = 40},
  [13126] = {.lex_state = 60, .external_lex_state = 40},
  [13127] = {.lex_state = 60, .external_lex_state = 40},
  [13128] = {.lex_state = 53, .external_lex_state = 24},
  [13129] = {.lex_state = 60, .external_lex_state = 40},
  [13130] = {.lex_state = 54, .external_lex_state = 48},
  [13131] = {.lex_state = 60, .external_lex_state = 40},
  [13132] = {.lex_state = 54, .external_lex_state = 63},
  [13133] = {.lex_state = 54, .external_lex_state = 48},
  [13134] = {.lex_state = 60, .external_lex_state = 40},
  [13135] = {.lex_state = 60, .external_lex_state = 40},
  [13136] = {.lex_state = 54, .external_lex_state = 63},
  [13137] = {.lex_state = 60, .external_lex_state = 31},
  [13138] = {.lex_state = 54, .external_lex_state = 49},
  [13139] = {.lex_state = 60, .external_lex_state = 49},
  [13140] = {.lex_state = 54, .external_lex_state = 47},
  [13141] = {.lex_state = 60, .external_lex_state = 49},
  [13142] = {.lex_state = 54, .external_lex_state = 66},
  [13143] = {.lex_state = 54, .external_lex_state = 66},
  [13144] = {.lex_state = 54, .external_lex_state = 50},
  [13145] = {.lex_state = 60, .external_lex_state = 42},
  [13146] = {.lex_state = 60, .external_lex_state = 42},
  [13147] = {.lex_state = 54, .external_lex_state = 47},
  [13148] = {.lex_state = 54, .external_lex_state = 50},
  [13149] = {.lex_state = 60, .external_lex_state = 40},
  [13150] = {.lex_state = 54, .external_lex_state = 47},
  [13151] = {.lex_state = 54, .external_lex_state = 60},
  [13152] = {.lex_state = 54, .external_lex_state = 60},
  [13153] = {.lex_state = 60, .external_lex_state = 42},
  [13154] = {.lex_state = 54, .external_lex_state = 47},
  [13155] = {.lex_state = 54, .external_lex_state = 60},
  [13156] = {.lex_state = 54, .external_lex_state = 47},
  [13157] = {.lex_state = 54, .external_lex_state = 50},
  [13158] = {.lex_state = 54, .external_lex_state = 50},
  [13159] = {.lex_state = 54, .external_lex_state = 63},
  [13160] = {.lex_state = 54, .external_lex_state = 50},
  [13161] = {.lex_state = 54, .external_lex_state = 47},
  [13162] = {.lex_state = 54, .external_lex_state = 60},
  [13163] = {.lex_state = 54, .external_lex_state = 49},
  [13164] = {.lex_state = 54, .external_lex_state = 60},
  [13165] = {.lex_state = 54, .external_lex_state = 60},
  [13166] = {.lex_state = 53, .external_lex_state = 24},
  [13167] = {.lex_state = 60, .external_lex_state = 42},
  [13168] = {.lex_state = 60, .external_lex_state = 42},
  [13169] = {.lex_state = 53, .external_lex_state = 24},
  [13170] = {.lex_state = 54, .external_lex_state = 48},
  [13171] = {.lex_state = 54, .external_lex_state = 66},
  [13172] = {.lex_state = 60, .external_lex_state = 42},
  [13173] = {.lex_state = 60, .external_lex_state = 40},
  [13174] = {.lex_state = 60, .external_lex_state = 42},
  [13175] = {.lex_state = 60, .external_lex_state = 40},
  [13176] = {.lex_state = 60, .external_lex_state = 42},
  [13177] = {.lex_state = 54, .external_lex_state = 58},
  [13178] = {.lex_state = 54, .external_lex_state = 23},
  [13179] = {.lex_state = 54, .external_lex_state = 48},
  [13180] = {.lex_state = 60, .external_lex_state = 42},
  [13181] = {.lex_state = 60, .external_lex_state = 42},
  [13182] = {.lex_state = 54, .external_lex_state = 51},
  [13183] = {.lex_state = 60, .external_lex_state = 50},
  [13184] = {.lex_state = 54, .external_lex_state = 65},
  [13185] = {.lex_state = 60, .external_lex_state = 40},
  [13186] = {.lex_state = 54, .external_lex_state = 66},
  [13187] = {.lex_state = 54, .external_lex_state = 48},
  [13188] = {.lex_state = 60, .external_lex_state = 40},
  [13189] = {.lex_state = 60, .external_lex_state = 40},
  [13190] = {.lex_state = 54, .external_lex_state = 49},
  [13191] = {.lex_state = 60, .external_lex_state = 30},
  [13192] = {.lex_state = 54, .external_lex_state = 58},
  [13193] = {.lex_state = 54, .external_lex_state = 58},
  [13194] = {.lex_state = 54, .external_lex_state = 58},
  [13195] = {.lex_state = 54, .external_lex_state = 48},
  [13196] = {.lex_state = 54, .external_lex_state = 48},
  [13197] = {.lex_state = 60, .external_lex_state = 49},
  [13198] = {.lex_state = 54, .external_lex_state = 48},
  [13199] = {.lex_state = 54, .external_lex_state = 68},
  [13200] = {.lex_state = 54, .external_lex_state = 24},
  [13201] = {.lex_state = 54, .external_lex_state = 63},
  [13202] = {.lex_state = 54, .external_lex_state = 58},
  [13203] = {.lex_state = 54, .external_lex_state = 58},
  [13204] = {.lex_state = 54, .external_lex_state = 58},
  [13205] = {.lex_state = 54, .external_lex_state = 58},
  [13206] = {.lex_state = 60, .external_lex_state = 42},
  [13207] = {.lex_state = 54, .external_lex_state = 48},
  [13208] = {.lex_state = 54, .external_lex_state = 63},
  [13209] = {.lex_state = 60, .external_lex_state = 42},
  [13210] = {.lex_state = 60, .external_lex_state = 42},
  [13211] = {.lex_state = 60, .external_lex_state = 50},
  [13212] = {.lex_state = 60, .external_lex_state = 37},
  [13213] = {.lex_state = 0},
  [13214] = {.lex_state = 54, .external_lex_state = 68},
  [13215] = {.lex_state = 54, .external_lex_state = 24},
  [13216] = {.lex_state = 60, .external_lex_state = 42},
  [13217] = {.lex_state = 60, .external_lex_state = 42},
  [13218] = {.lex_state = 60, .external_lex_state = 48},
  [13219] = {.lex_state = 54, .external_lex_state = 63},
  [13220] = {.lex_state = 54, .external_lex_state = 49},
  [13221] = {.lex_state = 60, .external_lex_state = 48},
  [13222] = {.lex_state = 60, .external_lex_state = 42},
  [13223] = {.lex_state = 54, .external_lex_state = 66},
  [13224] = {.lex_state = 60, .external_lex_state = 49},
  [13225] = {.lex_state = 54, .external_lex_state = 66},
  [13226] = {.lex_state = 60, .external_lex_state = 56},
  [13227] = {.lex_state = 54, .external_lex_state = 66},
  [13228] = {.lex_state = 54, .external_lex_state = 66},
  [13229] = {.lex_state = 54, .external_lex_state = 47},
  [13230] = {.lex_state = 54, .external_lex_state = 66},
  [13231] = {.lex_state = 54, .external_lex_state = 49},
  [13232] = {.lex_state = 60, .external_lex_state = 42},
  [13233] = {.lex_state = 60, .external_lex_state = 49},
  [13234] = {.lex_state = 60, .external_lex_state = 26},
  [13235] = {.lex_state = 54, .external_lex_state = 47},
  [13236] = {.lex_state = 60, .external_lex_state = 26},
  [13237] = {.lex_state = 54, .external_lex_state = 51},
  [13238] = {.lex_state = 60, .external_lex_state = 26},
  [13239] = {.lex_state = 54, .external_lex_state = 47},
  [13240] = {.lex_state = 60, .external_lex_state = 31},
  [13241] = {.lex_state = 60, .external_lex_state = 26},
  [13242] = {.lex_state = 54, .external_lex_state = 47},
  [13243] = {.lex_state = 54, .external_lex_state = 56},
  [13244] = {.lex_state = 60, .external_lex_state = 26},
  [13245] = {.lex_state = 60, .external_lex_state = 48},
  [13246] = {.lex_state = 54, .external_lex_state = 60},
  [13247] = {.lex_state = 54, .external_lex_state = 60},
  [13248] = {.lex_state = 54, .external_lex_state = 66},
  [13249] = {.lex_state = 54, .external_lex_state = 49},
  [13250] = {.lex_state = 54, .external_lex_state = 48},
  [13251] = {.lex_state = 60, .external_lex_state = 26},
  [13252] = {.lex_state = 60, .external_lex_state = 48},
  [13253] = {.lex_state = 60, .external_lex_state = 42},
  [13254] = {.lex_state = 54, .external_lex_state = 47},
  [13255] = {.lex_state = 60, .external_lex_state = 42},
  [13256] = {.lex_state = 54, .external_lex_state = 50},
  [13257] = {.lex_state = 60, .external_lex_state = 30},
  [13258] = {.lex_state = 60, .external_lex_state = 47},
  [13259] = {.lex_state = 54, .external_lex_state = 65},
  [13260] = {.lex_state = 60, .external_lex_state = 47},
  [13261] = {.lex_state = 60, .external_lex_state = 58},
  [13262] = {.lex_state = 54, .external_lex_state = 49},
  [13263] = {.lex_state = 54, .external_lex_state = 48},
  [13264] = {.lex_state = 54, .external_lex_state = 49},
  [13265] = {.lex_state = 54, .external_lex_state = 68},
  [13266] = {.lex_state = 54, .external_lex_state = 60},
  [13267] = {.lex_state = 60, .external_lex_state = 47},
  [13268] = {.lex_state = 53, .external_lex_state = 24},
  [13269] = {.lex_state = 60, .external_lex_state = 50},
  [13270] = {.lex_state = 54, .external_lex_state = 50},
  [13271] = {.lex_state = 54, .external_lex_state = 48},
  [13272] = {.lex_state = 54, .external_lex_state = 49},
  [13273] = {.lex_state = 54, .external_lex_state = 49},
  [13274] = {.lex_state = 60, .external_lex_state = 47},
  [13275] = {.lex_state = 60, .external_lex_state = 48},
  [13276] = {.lex_state = 54, .external_lex_state = 58},
  [13277] = {.lex_state = 60, .external_lex_state = 50},
  [13278] = {.lex_state = 54, .external_lex_state = 48},
  [13279] = {.lex_state = 54, .external_lex_state = 58},
  [13280] = {.lex_state = 54, .external_lex_state = 58},
  [13281] = {.lex_state = 54, .external_lex_state = 58},
  [13282] = {.lex_state = 60, .external_lex_state = 30},
  [13283] = {.lex_state = 60, .external_lex_state = 50},
  [13284] = {.lex_state = 54, .external_lex_state = 47},
  [13285] = {.lex_state = 60, .external_lex_state = 57},
  [13286] = {.lex_state = 60, .external_lex_state = 50},
  [13287] = {.lex_state = 54, .external_lex_state = 65},
  [13288] = {.lex_state = 60, .external_lex_state = 26},
  [13289] = {.lex_state = 60, .external_lex_state = 26},
  [13290] = {.lex_state = 60, .external_lex_state = 49},
  [13291] = {.lex_state = 60, .external_lex_state = 26},
  [13292] = {.lex_state = 60, .external_lex_state = 26},
  [13293] = {.lex_state = 60, .external_lex_state = 26},
  [13294] = {.lex_state = 54, .external_lex_state = 24},
  [13295] = {.lex_state = 60, .external_lex_state = 49},
  [13296] = {.lex_state = 60, .external_lex_state = 50},
  [13297] = {.lex_state = 60, .external_lex_state = 40},
  [13298] = {.lex_state = 60, .external_lex_state = 40},
  [13299] = {.lex_state = 60, .external_lex_state = 24},
  [13300] = {.lex_state = 54, .external_lex_state = 56},
  [13301] = {.lex_state = 60, .external_lex_state = 47},
  [13302] = {.lex_state = 54, .external_lex_state = 56},
  [13303] = {.lex_state = 54, .external_lex_state = 56},
  [13304] = {.lex_state = 54, .external_lex_state = 56},
  [13305] = {.lex_state = 54, .external_lex_state = 49},
  [13306] = {.lex_state = 54, .external_lex_state = 57},
  [13307] = {.lex_state = 54, .external_lex_state = 57},
  [13308] = {.lex_state = 60, .external_lex_state = 30},
  [13309] = {.lex_state = 54, .external_lex_state = 57},
  [13310] = {.lex_state = 54, .external_lex_state = 57},
  [13311] = {.lex_state = 54, .external_lex_state = 57},
  [13312] = {.lex_state = 60, .external_lex_state = 47},
  [13313] = {.lex_state = 54, .external_lex_state = 50},
  [13314] = {.lex_state = 60, .external_lex_state = 31},
  [13315] = {.lex_state = 54, .external_lex_state = 66},
  [13316] = {.lex_state = 54, .external_lex_state = 47},
  [13317] = {.lex_state = 60, .external_lex_state = 24},
  [13318] = {.lex_state = 54, .external_lex_state = 48},
  [13319] = {.lex_state = 54, .external_lex_state = 24},
  [13320] = {.lex_state = 54, .external_lex_state = 24},
  [13321] = {.lex_state = 60, .external_lex_state = 49},
  [13322] = {.lex_state = 60, .external_lex_state = 50},
  [13323] = {.lex_state = 60, .external_lex_state = 42},
  [13324] = {.lex_state = 60, .external_lex_state = 58},
  [13325] = {.lex_state = 60, .external_lex_state = 50},
  [13326] = {.lex_state = 60, .external_lex_state = 56},
  [13327] = {.lex_state = 60, .external_lex_state = 50},
  [13328] = {.lex_state = 54, .external_lex_state = 24},
  [13329] = {.lex_state = 54, .external_lex_state = 65},
  [13330] = {.lex_state = 60, .external_lex_state = 48},
  [13331] = {.lex_state = 54, .external_lex_state = 58},
  [13332] = {.lex_state = 54, .external_lex_state = 57},
  [13333] = {.lex_state = 53, .external_lex_state = 23},
  [13334] = {.lex_state = 60, .external_lex_state = 48},
  [13335] = {.lex_state = 60, .external_lex_state = 48},
  [13336] = {.lex_state = 60, .external_lex_state = 48},
  [13337] = {.lex_state = 60, .external_lex_state = 47},
  [13338] = {.lex_state = 60, .external_lex_state = 48},
  [13339] = {.lex_state = 60, .external_lex_state = 48},
  [13340] = {.lex_state = 60, .external_lex_state = 42},
  [13341] = {.lex_state = 60, .external_lex_state = 47},
  [13342] = {.lex_state = 60, .external_lex_state = 48},
  [13343] = {.lex_state = 54, .external_lex_state = 51},
  [13344] = {.lex_state = 54, .external_lex_state = 58},
  [13345] = {.lex_state = 60, .external_lex_state = 50},
  [13346] = {.lex_state = 53, .external_lex_state = 23},
  [13347] = {.lex_state = 54, .external_lex_state = 65},
  [13348] = {.lex_state = 54, .external_lex_state = 61},
  [13349] = {.lex_state = 60, .external_lex_state = 47},
  [13350] = {.lex_state = 54, .external_lex_state = 24},
  [13351] = {.lex_state = 60, .external_lex_state = 49},
  [13352] = {.lex_state = 60, .external_lex_state = 26},
  [13353] = {.lex_state = 60, .external_lex_state = 48},
  [13354] = {.lex_state = 54, .external_lex_state = 24},
  [13355] = {.lex_state = 60, .external_lex_state = 48},
  [13356] = {.lex_state = 60, .external_lex_state = 47},
  [13357] = {.lex_state = 54, .external_lex_state = 24},
  [13358] = {.lex_state = 60, .external_lex_state = 50},
  [13359] = {.lex_state = 54, .external_lex_state = 57},
  [13360] = {.lex_state = 60, .external_lex_state = 48},
  [13361] = {.lex_state = 60, .external_lex_state = 30},
  [13362] = {.lex_state = 54, .external_lex_state = 56},
  [13363] = {.lex_state = 60, .external_lex_state = 47},
  [13364] = {.lex_state = 60, .external_lex_state = 48},
  [13365] = {.lex_state = 54, .external_lex_state = 61},
  [13366] = {.lex_state = 60, .external_lex_state = 50},
  [13367] = {.lex_state = 53, .external_lex_state = 23},
  [13368] = {.lex_state = 60, .external_lex_state = 42},
  [13369] = {.lex_state = 54, .external_lex_state = 24},
  [13370] = {.lex_state = 60, .external_lex_state = 31},
  [13371] = {.lex_state = 54, .external_lex_state = 58},
  [13372] = {.lex_state = 54, .external_lex_state = 58},
  [13373] = {.lex_state = 60, .external_lex_state = 48},
  [13374] = {.lex_state = 60, .external_lex_state = 48},
  [13375] = {.lex_state = 54, .external_lex_state = 57},
  [13376] = {.lex_state = 60, .external_lex_state = 47},
  [13377] = {.lex_state = 54, .external_lex_state = 56},
  [13378] = {.lex_state = 60, .external_lex_state = 26},
  [13379] = {.lex_state = 60, .external_lex_state = 26},
  [13380] = {.lex_state = 60, .external_lex_state = 26},
  [13381] = {.lex_state = 54, .external_lex_state = 56},
  [13382] = {.lex_state = 54, .external_lex_state = 38},
  [13383] = {.lex_state = 60, .external_lex_state = 48},
  [13384] = {.lex_state = 60, .external_lex_state = 30},
  [13385] = {.lex_state = 60, .external_lex_state = 26},
  [13386] = {.lex_state = 54, .external_lex_state = 56},
  [13387] = {.lex_state = 60, .external_lex_state = 42},
  [13388] = {.lex_state = 60, .external_lex_state = 33},
  [13389] = {.lex_state = 54, .external_lex_state = 56},
  [13390] = {.lex_state = 60, .external_lex_state = 42},
  [13391] = {.lex_state = 60, .external_lex_state = 50},
  [13392] = {.lex_state = 60, .external_lex_state = 57},
  [13393] = {.lex_state = 54, .external_lex_state = 58},
  [13394] = {.lex_state = 60, .external_lex_state = 49},
  [13395] = {.lex_state = 60, .external_lex_state = 48},
  [13396] = {.lex_state = 60, .external_lex_state = 30},
  [13397] = {.lex_state = 54, .external_lex_state = 68},
  [13398] = {.lex_state = 60, .external_lex_state = 31},
  [13399] = {.lex_state = 60, .external_lex_state = 31},
  [13400] = {.lex_state = 60},
  [13401] = {.lex_state = 60, .external_lex_state = 49},
  [13402] = {.lex_state = 60, .external_lex_state = 31},
  [13403] = {.lex_state = 54, .external_lex_state = 56},
  [13404] = {.lex_state = 60, .external_lex_state = 47},
  [13405] = {.lex_state = 54, .external_lex_state = 56},
  [13406] = {.lex_state = 60, .external_lex_state = 47},
  [13407] = {.lex_state = 54, .external_lex_state = 58},
  [13408] = {.lex_state = 60, .external_lex_state = 49},
  [13409] = {.lex_state = 60, .external_lex_state = 48},
  [13410] = {.lex_state = 60, .external_lex_state = 47},
  [13411] = {.lex_state = 60, .external_lex_state = 37},
  [13412] = {.lex_state = 54, .external_lex_state = 65},
  [13413] = {.lex_state = 60, .external_lex_state = 56},
  [13414] = {.lex_state = 54, .external_lex_state = 58},
  [13415] = {.lex_state = 60, .external_lex_state = 50},
  [13416] = {.lex_state = 54, .external_lex_state = 65},
  [13417] = {.lex_state = 60, .external_lex_state = 50},
  [13418] = {.lex_state = 60, .external_lex_state = 50},
  [13419] = {.lex_state = 54, .external_lex_state = 56},
  [13420] = {.lex_state = 60, .external_lex_state = 37},
  [13421] = {.lex_state = 54, .external_lex_state = 61},
  [13422] = {.lex_state = 54, .external_lex_state = 58},
  [13423] = {.lex_state = 54, .external_lex_state = 61},
  [13424] = {.lex_state = 60, .external_lex_state = 31},
  [13425] = {.lex_state = 60, .external_lex_state = 48},
  [13426] = {.lex_state = 60, .external_lex_state = 48},
  [13427] = {.lex_state = 60, .external_lex_state = 40},
  [13428] = {.lex_state = 60, .external_lex_state = 50},
  [13429] = {.lex_state = 54, .external_lex_state = 65},
  [13430] = {.lex_state = 60, .external_lex_state = 47},
  [13431] = {.lex_state = 54, .external_lex_state = 65},
  [13432] = {.lex_state = 60, .external_lex_state = 58},
  [13433] = {.lex_state = 60, .external_lex_state = 49},
  [13434] = {.lex_state = 60, .external_lex_state = 57},
  [13435] = {.lex_state = 60, .external_lex_state = 48},
  [13436] = {.lex_state = 54, .external_lex_state = 65},
  [13437] = {.lex_state = 54, .external_lex_state = 58},
  [13438] = {.lex_state = 54, .external_lex_state = 58},
  [13439] = {.lex_state = 60, .external_lex_state = 47},
  [13440] = {.lex_state = 60, .external_lex_state = 50},
  [13441] = {.lex_state = 60, .external_lex_state = 58},
  [13442] = {.lex_state = 60, .external_lex_state = 50},
  [13443] = {.lex_state = 54, .external_lex_state = 23},
  [13444] = {.lex_state = 60, .external_lex_state = 48},
  [13445] = {.lex_state = 54, .external_lex_state = 58},
  [13446] = {.lex_state = 60, .external_lex_state = 50},
  [13447] = {.lex_state = 60, .external_lex_state = 47},
  [13448] = {.lex_state = 60, .external_lex_state = 37},
  [13449] = {.lex_state = 54, .external_lex_state = 58},
  [13450] = {.lex_state = 53, .external_lex_state = 23},
  [13451] = {.lex_state = 60, .external_lex_state = 37},
  [13452] = {.lex_state = 54, .external_lex_state = 57},
  [13453] = {.lex_state = 60, .external_lex_state = 47},
  [13454] = {.lex_state = 60, .external_lex_state = 23},
  [13455] = {.lex_state = 60, .external_lex_state = 37},
  [13456] = {.lex_state = 60, .external_lex_state = 49},
  [13457] = {.lex_state = 54, .external_lex_state = 56},
  [13458] = {.lex_state = 54, .external_lex_state = 65},
  [13459] = {.lex_state = 54, .external_lex_state = 65},
  [13460] = {.lex_state = 54, .external_lex_state = 68},
  [13461] = {.lex_state = 60, .external_lex_state = 50},
  [13462] = {.lex_state = 54, .external_lex_state = 56},
  [13463] = {.lex_state = 60, .external_lex_state = 37},
  [13464] = {.lex_state = 60, .external_lex_state = 57},
  [13465] = {.lex_state = 60, .external_lex_state = 26},
  [13466] = {.lex_state = 60, .external_lex_state = 26},
  [13467] = {.lex_state = 60, .external_lex_state = 58},
  [13468] = {.lex_state = 54, .external_lex_state = 68},
  [13469] = {.lex_state = 53, .external_lex_state = 24},
  [13470] = {.lex_state = 60, .external_lex_state = 26},
  [13471] = {.lex_state = 54, .external_lex_state = 63},
  [13472] = {.lex_state = 60, .external_lex_state = 49},
  [13473] = {.lex_state = 54, .external_lex_state = 58},
  [13474] = {.lex_state = 60, .external_lex_state = 49},
  [13475] = {.lex_state = 60, .external_lex_state = 47},
  [13476] = {.lex_state = 54, .external_lex_state = 68},
  [13477] = {.lex_state = 60, .external_lex_state = 47},
  [13478] = {.lex_state = 60, .external_lex_state = 49},
  [13479] = {.lex_state = 60, .external_lex_state = 49},
  [13480] = {.lex_state = 60, .external_lex_state = 31},
  [13481] = {.lex_state = 53, .external_lex_state = 23},
  [13482] = {.lex_state = 60, .external_lex_state = 49},
  [13483] = {.lex_state = 60, .external_lex_state = 50},
  [13484] = {.lex_state = 54, .external_lex_state = 56},
  [13485] = {.lex_state = 54, .external_lex_state = 57},
  [13486] = {.lex_state = 60, .external_lex_state = 49},
  [13487] = {.lex_state = 60, .external_lex_state = 42},
  [13488] = {.lex_state = 54, .external_lex_state = 65},
  [13489] = {.lex_state = 60, .external_lex_state = 50},
  [13490] = {.lex_state = 53, .external_lex_state = 23},
  [13491] = {.lex_state = 60, .external_lex_state = 33},
  [13492] = {.lex_state = 60, .external_lex_state = 47},
  [13493] = {.lex_state = 60, .external_lex_state = 47},
  [13494] = {.lex_state = 54, .external_lex_state = 65},
  [13495] = {.lex_state = 54, .external_lex_state = 65},
  [13496] = {.lex_state = 54},
  [13497] = {.lex_state = 60, .external_lex_state = 47},
  [13498] = {.lex_state = 60, .external_lex_state = 47},
  [13499] = {.lex_state = 60, .external_lex_state = 47},
  [13500] = {.lex_state = 54, .external_lex_state = 24},
  [13501] = {.lex_state = 60, .external_lex_state = 49},
  [13502] = {.lex_state = 54, .external_lex_state = 56},
  [13503] = {.lex_state = 60, .external_lex_state = 56},
  [13504] = {.lex_state = 54, .external_lex_state = 24},
  [13505] = {.lex_state = 60, .external_lex_state = 49},
  [13506] = {.lex_state = 54, .external_lex_state = 23},
  [13507] = {.lex_state = 60, .external_lex_state = 49},
  [13508] = {.lex_state = 60, .external_lex_state = 50},
  [13509] = {.lex_state = 60, .external_lex_state = 37},
  [13510] = {.lex_state = 60, .external_lex_state = 49},
  [13511] = {.lex_state = 60, .external_lex_state = 48},
  [13512] = {.lex_state = 60, .external_lex_state = 49},
  [13513] = {.lex_state = 54, .external_lex_state = 57},
  [13514] = {.lex_state = 54, .external_lex_state = 68},
  [13515] = {.lex_state = 60, .external_lex_state = 47},
  [13516] = {.lex_state = 60, .external_lex_state = 23},
  [13517] = {.lex_state = 60, .external_lex_state = 30},
  [13518] = {.lex_state = 60, .external_lex_state = 49},
  [13519] = {.lex_state = 60, .external_lex_state = 49},
  [13520] = {.lex_state = 60, .external_lex_state = 26},
  [13521] = {.lex_state = 54, .external_lex_state = 58},
  [13522] = {.lex_state = 54, .external_lex_state = 56},
  [13523] = {.lex_state = 60, .external_lex_state = 57},
  [13524] = {.lex_state = 60, .external_lex_state = 50},
  [13525] = {.lex_state = 54, .external_lex_state = 56},
  [13526] = {.lex_state = 54, .external_lex_state = 57},
  [13527] = {.lex_state = 54, .external_lex_state = 61},
  [13528] = {.lex_state = 60, .external_lex_state = 50},
  [13529] = {.lex_state = 60, .external_lex_state = 47},
  [13530] = {.lex_state = 60, .external_lex_state = 49},
  [13531] = {.lex_state = 54, .external_lex_state = 57},
  [13532] = {.lex_state = 54, .external_lex_state = 57},
  [13533] = {.lex_state = 60, .external_lex_state = 26},
  [13534] = {.lex_state = 60, .external_lex_state = 47},
  [13535] = {.lex_state = 54, .external_lex_state = 58},
  [13536] = {.lex_state = 60, .external_lex_state = 56},
  [13537] = {.lex_state = 54, .external_lex_state = 68},
  [13538] = {.lex_state = 54, .external_lex_state = 57},
  [13539] = {.lex_state = 60, .external_lex_state = 49},
  [13540] = {.lex_state = 60, .external_lex_state = 47},
  [13541] = {.lex_state = 60, .external_lex_state = 50},
  [13542] = {.lex_state = 60, .external_lex_state = 47},
  [13543] = {.lex_state = 54, .external_lex_state = 68},
  [13544] = {.lex_state = 60, .external_lex_state = 37},
  [13545] = {.lex_state = 60, .external_lex_state = 30},
  [13546] = {.lex_state = 54, .external_lex_state = 68},
  [13547] = {.lex_state = 53, .external_lex_state = 23},
  [13548] = {.lex_state = 53, .external_lex_state = 23},
  [13549] = {.lex_state = 60, .external_lex_state = 58},
  [13550] = {.lex_state = 54, .external_lex_state = 68},
  [13551] = {.lex_state = 60, .external_lex_state = 57},
  [13552] = {.lex_state = 60, .external_lex_state = 58},
  [13553] = {.lex_state = 54, .external_lex_state = 68},
  [13554] = {.lex_state = 54, .external_lex_state = 68},
  [13555] = {.lex_state = 54, .external_lex_state = 61},
  [13556] = {.lex_state = 60, .external_lex_state = 58},
  [13557] = {.lex_state = 54, .external_lex_state = 61},
  [13558] = {.lex_state = 60, .external_lex_state = 50},
  [13559] = {.lex_state = 54, .external_lex_state = 57},
  [13560] = {.lex_state = 60, .external_lex_state = 57},
  [13561] = {.lex_state = 54, .external_lex_state = 61},
  [13562] = {.lex_state = 54, .external_lex_state = 61},
  [13563] = {.lex_state = 54, .external_lex_state = 61},
  [13564] = {.lex_state = 54, .external_lex_state = 57},
  [13565] = {.lex_state = 54, .external_lex_state = 57},
  [13566] = {.lex_state = 60, .external_lex_state = 42},
  [13567] = {.lex_state = 53, .external_lex_state = 23},
  [13568] = {.lex_state = 60, .external_lex_state = 50},
  [13569] = {.lex_state = 60, .external_lex_state = 56},
  [13570] = {.lex_state = 60, .external_lex_state = 56},
  [13571] = {.lex_state = 54, .external_lex_state = 61},
  [13572] = {.lex_state = 60, .external_lex_state = 50},
  [13573] = {.lex_state = 54, .external_lex_state = 68},
  [13574] = {.lex_state = 54, .external_lex_state = 61},
  [13575] = {.lex_state = 54, .external_lex_state = 57},
  [13576] = {.lex_state = 54, .external_lex_state = 61},
  [13577] = {.lex_state = 54, .external_lex_state = 23},
  [13578] = {.lex_state = 54, .external_lex_state = 57},
  [13579] = {.lex_state = 53, .external_lex_state = 23},
  [13580] = {.lex_state = 54, .external_lex_state = 23},
  [13581] = {.lex_state = 60, .external_lex_state = 57},
  [13582] = {.lex_state = 60, .external_lex_state = 50},
  [13583] = {.lex_state = 60, .external_lex_state = 37},
  [13584] = {.lex_state = 54, .external_lex_state = 57},
  [13585] = {.lex_state = 54, .external_lex_state = 65},
  [13586] = {.lex_state = 54, .external_lex_state = 56},
  [13587] = {.lex_state = 54, .external_lex_state = 68},
  [13588] = {.lex_state = 54, .external_lex_state = 57},
  [13589] = {.lex_state = 60, .external_lex_state = 24},
  [13590] = {.lex_state = 54, .external_lex_state = 52},
  [13591] = {.lex_state = 60, .external_lex_state = 42},
  [13592] = {.lex_state = 60, .external_lex_state = 40},
  [13593] = {.lex_state = 54, .external_lex_state = 58},
  [13594] = {.lex_state = 60, .external_lex_state = 58},
  [13595] = {.lex_state = 53, .external_lex_state = 23},
  [13596] = {.lex_state = 60, .external_lex_state = 33},
  [13597] = {.lex_state = 54, .external_lex_state = 65},
  [13598] = {.lex_state = 54, .external_lex_state = 68},
  [13599] = {.lex_state = 54, .external_lex_state = 56},
  [13600] = {.lex_state = 60, .external_lex_state = 31},
  [13601] = {.lex_state = 60, .external_lex_state = 31},
  [13602] = {.lex_state = 54, .external_lex_state = 68},
  [13603] = {.lex_state = 60, .external_lex_state = 26},
  [13604] = {.lex_state = 53, .external_lex_state = 23},
  [13605] = {.lex_state = 60, .external_lex_state = 31},
  [13606] = {.lex_state = 54, .external_lex_state = 56},
  [13607] = {.lex_state = 60, .external_lex_state = 31},
  [13608] = {.lex_state = 54, .external_lex_state = 61},
  [13609] = {.lex_state = 54, .external_lex_state = 61},
  [13610] = {.lex_state = 60, .external_lex_state = 49},
  [13611] = {.lex_state = 54, .external_lex_state = 24},
  [13612] = {.lex_state = 60, .external_lex_state = 26},
  [13613] = {.lex_state = 60, .external_lex_state = 49},
  [13614] = {.lex_state = 60, .external_lex_state = 49},
  [13615] = {.lex_state = 60, .external_lex_state = 56},
  [13616] = {.lex_state = 54, .external_lex_state = 65},
  [13617] = {.lex_state = 60, .external_lex_state = 47},
  [13618] = {.lex_state = 60, .external_lex_state = 33},
  [13619] = {.lex_state = 60, .external_lex_state = 37},
  [13620] = {.lex_state = 60, .external_lex_state = 49},
  [13621] = {.lex_state = 54, .external_lex_state = 68},
  [13622] = {.lex_state = 54, .external_lex_state = 23},
  [13623] = {.lex_state = 54, .external_lex_state = 58},
  [13624] = {.lex_state = 54, .external_lex_state = 24},
  [13625] = {.lex_state = 60, .external_lex_state = 50},
  [13626] = {.lex_state = 60, .external_lex_state = 50},
  [13627] = {.lex_state = 54, .external_lex_state = 65},
  [13628] = {.lex_state = 54, .external_lex_state = 24},
  [13629] = {.lex_state = 60, .external_lex_state = 56},
  [13630] = {.lex_state = 54, .external_lex_state = 65},
  [13631] = {.lex_state = 54, .external_lex_state = 24},
  [13632] = {.lex_state = 60, .external_lex_state = 23},
  [13633] = {.lex_state = 60, .external_lex_state = 57},
  [13634] = {.lex_state = 60, .external_lex_state = 36},
  [13635] = {.lex_state = 60, .external_lex_state = 58},
  [13636] = {.lex_state = 0},
  [13637] = {.lex_state = 60, .external_lex_state = 47},
  [13638] = {.lex_state = 54, .external_lex_state = 60},
  [13639] = {.lex_state = 54, .external_lex_state = 52},
  [13640] = {.lex_state = 60, .external_lex_state = 58},
  [13641] = {.lex_state = 60, .external_lex_state = 24},
  [13642] = {.lex_state = 60, .external_lex_state = 56},
  [13643] = {.lex_state = 60, .external_lex_state = 56},
  [13644] = {.lex_state = 60, .external_lex_state = 56},
  [13645] = {.lex_state = 60, .external_lex_state = 58},
  [13646] = {.lex_state = 54, .external_lex_state = 23},
  [13647] = {.lex_state = 60, .external_lex_state = 58},
  [13648] = {.lex_state = 60, .external_lex_state = 69},
  [13649] = {.lex_state = 54, .external_lex_state = 60},
  [13650] = {.lex_state = 54, .external_lex_state = 60},
  [13651] = {.lex_state = 54, .external_lex_state = 60},
  [13652] = {.lex_state = 0},
  [13653] = {.lex_state = 60, .external_lex_state = 50},
  [13654] = {.lex_state = 54, .external_lex_state = 65},
  [13655] = {.lex_state = 60, .external_lex_state = 58},
  [13656] = {.lex_state = 60},
  [13657] = {.lex_state = 0},
  [13658] = {.lex_state = 54, .external_lex_state = 60},
  [13659] = {.lex_state = 60, .external_lex_state = 67},
  [13660] = {.lex_state = 60, .external_lex_state = 36},
  [13661] = {.lex_state = 60, .external_lex_state = 56},
  [13662] = {.lex_state = 60, .external_lex_state = 57},
  [13663] = {.lex_state = 54, .external_lex_state = 66},
  [13664] = {.lex_state = 60, .external_lex_state = 56},
  [13665] = {.lex_state = 60, .external_lex_state = 69},
  [13666] = {.lex_state = 60, .external_lex_state = 67},
  [13667] = {.lex_state = 60, .external_lex_state = 57},
  [13668] = {.lex_state = 60, .external_lex_state = 40},
  [13669] = {.lex_state = 60, .external_lex_state = 31},
  [13670] = {.lex_state = 53, .external_lex_state = 24},
  [13671] = {.lex_state = 60, .external_lex_state = 37},
  [13672] = {.lex_state = 60, .external_lex_state = 36},
  [13673] = {.lex_state = 60, .external_lex_state = 56},
  [13674] = {.lex_state = 60, .external_lex_state = 57},
  [13675] = {.lex_state = 60, .external_lex_state = 57},
  [13676] = {.lex_state = 0},
  [13677] = {.lex_state = 53, .external_lex_state = 24},
  [13678] = {.lex_state = 60, .external_lex_state = 31},
  [13679] = {.lex_state = 54, .external_lex_state = 51},
  [13680] = {.lex_state = 53},
  [13681] = {.lex_state = 60, .external_lex_state = 23},
  [13682] = {.lex_state = 60, .external_lex_state = 38},
  [13683] = {.lex_state = 53},
  [13684] = {.lex_state = 60, .external_lex_state = 58},
  [13685] = {.lex_state = 53, .external_lex_state = 24},
  [13686] = {.lex_state = 60, .external_lex_state = 57},
  [13687] = {.lex_state = 60, .external_lex_state = 31},
  [13688] = {.lex_state = 60, .external_lex_state = 58},
  [13689] = {.lex_state = 60, .external_lex_state = 30},
  [13690] = {.lex_state = 60, .external_lex_state = 52},
  [13691] = {.lex_state = 60, .external_lex_state = 58},
  [13692] = {.lex_state = 60, .external_lex_state = 23},
  [13693] = {.lex_state = 60, .external_lex_state = 57},
  [13694] = {.lex_state = 53, .external_lex_state = 24},
  [13695] = {.lex_state = 60, .external_lex_state = 30},
  [13696] = {.lex_state = 60, .external_lex_state = 30},
  [13697] = {.lex_state = 60, .external_lex_state = 36},
  [13698] = {.lex_state = 53, .external_lex_state = 24},
  [13699] = {.lex_state = 54, .external_lex_state = 24},
  [13700] = {.lex_state = 60, .external_lex_state = 24},
  [13701] = {.lex_state = 60, .external_lex_state = 56},
  [13702] = {.lex_state = 60, .external_lex_state = 58},
  [13703] = {.lex_state = 60, .external_lex_state = 56},
  [13704] = {.lex_state = 60, .external_lex_state = 38},
  [13705] = {.lex_state = 60, .external_lex_state = 57},
  [13706] = {.lex_state = 60, .external_lex_state = 56},
  [13707] = {.lex_state = 53, .external_lex_state = 24},
  [13708] = {.lex_state = 60, .external_lex_state = 50},
  [13709] = {.lex_state = 60, .external_lex_state = 57},
  [13710] = {.lex_state = 60, .external_lex_state = 57},
  [13711] = {.lex_state = 60, .external_lex_state = 24},
  [13712] = {.lex_state = 60, .external_lex_state = 57},
  [13713] = {.lex_state = 60, .external_lex_state = 24},
  [13714] = {.lex_state = 60, .external_lex_state = 24},
  [13715] = {.lex_state = 60, .external_lex_state = 31},
  [13716] = {.lex_state = 60, .external_lex_state = 58},
  [13717] = {.lex_state = 60, .external_lex_state = 56},
  [13718] = {.lex_state = 60, .external_lex_state = 56},
  [13719] = {.lex_state = 60, .external_lex_state = 58},
  [13720] = {.lex_state = 60, .external_lex_state = 26},
  [13721] = {.lex_state = 60, .external_lex_state = 30},
  [13722] = {.lex_state = 60, .external_lex_state = 58},
  [13723] = {.lex_state = 60, .external_lex_state = 58},
  [13724] = {.lex_state = 60, .external_lex_state = 40},
  [13725] = {.lex_state = 60, .external_lex_state = 56},
  [13726] = {.lex_state = 60, .external_lex_state = 58},
  [13727] = {.lex_state = 60, .external_lex_state = 26},
  [13728] = {.lex_state = 60, .external_lex_state = 58},
  [13729] = {.lex_state = 54, .external_lex_state = 24},
  [13730] = {.lex_state = 60, .external_lex_state = 58},
  [13731] = {.lex_state = 60, .external_lex_state = 56},
  [13732] = {.lex_state = 60},
  [13733] = {.lex_state = 60, .external_lex_state = 24},
  [13734] = {.lex_state = 60, .external_lex_state = 50},
  [13735] = {.lex_state = 60, .external_lex_state = 30},
  [13736] = {.lex_state = 60, .external_lex_state = 56},
  [13737] = {.lex_state = 60, .external_lex_state = 58},
  [13738] = {.lex_state = 0},
  [13739] = {.lex_state = 0},
  [13740] = {.lex_state = 60, .external_lex_state = 24},
  [13741] = {.lex_state = 0},
  [13742] = {.lex_state = 53, .external_lex_state = 24},
  [13743] = {.lex_state = 60, .external_lex_state = 58},
  [13744] = {.lex_state = 0},
  [13745] = {.lex_state = 0},
  [13746] = {.lex_state = 0},
  [13747] = {.lex_state = 60, .external_lex_state = 30},
  [13748] = {.lex_state = 54, .external_lex_state = 51},
  [13749] = {.lex_state = 60, .external_lex_state = 33},
  [13750] = {.lex_state = 60, .external_lex_state = 57},
  [13751] = {.lex_state = 60, .external_lex_state = 30},
  [13752] = {.lex_state = 53, .external_lex_state = 23},
  [13753] = {.lex_state = 60, .external_lex_state = 58},
  [13754] = {.lex_state = 60, .external_lex_state = 58},
  [13755] = {.lex_state = 53, .external_lex_state = 24},
  [13756] = {.lex_state = 60, .external_lex_state = 57},
  [13757] = {.lex_state = 60, .external_lex_state = 56},
  [13758] = {.lex_state = 60, .external_lex_state = 56},
  [13759] = {.lex_state = 60, .external_lex_state = 56},
  [13760] = {.lex_state = 53, .external_lex_state = 24},
  [13761] = {.lex_state = 54, .external_lex_state = 24},
  [13762] = {.lex_state = 54, .external_lex_state = 60},
  [13763] = {.lex_state = 54, .external_lex_state = 24},
  [13764] = {.lex_state = 60, .external_lex_state = 56},
  [13765] = {.lex_state = 54, .external_lex_state = 60},
  [13766] = {.lex_state = 54, .external_lex_state = 60},
  [13767] = {.lex_state = 54, .external_lex_state = 60},
  [13768] = {.lex_state = 60, .external_lex_state = 31},
  [13769] = {.lex_state = 60, .external_lex_state = 36},
  [13770] = {.lex_state = 60, .external_lex_state = 58},
  [13771] = {.lex_state = 60, .external_lex_state = 58},
  [13772] = {.lex_state = 60, .external_lex_state = 56},
  [13773] = {.lex_state = 60, .external_lex_state = 36},
  [13774] = {.lex_state = 60, .external_lex_state = 58},
  [13775] = {.lex_state = 60, .external_lex_state = 23},
  [13776] = {.lex_state = 60, .external_lex_state = 31},
  [13777] = {.lex_state = 60, .external_lex_state = 33},
  [13778] = {.lex_state = 60, .external_lex_state = 57},
  [13779] = {.lex_state = 54, .external_lex_state = 23},
  [13780] = {.lex_state = 60, .external_lex_state = 40},
  [13781] = {.lex_state = 60, .external_lex_state = 30},
  [13782] = {.lex_state = 60, .external_lex_state = 57},
  [13783] = {.lex_state = 60, .external_lex_state = 57},
  [13784] = {.lex_state = 54},
  [13785] = {.lex_state = 54, .external_lex_state = 51},
  [13786] = {.lex_state = 60, .external_lex_state = 57},
  [13787] = {.lex_state = 54, .external_lex_state = 24},
  [13788] = {.lex_state = 60, .external_lex_state = 58},
  [13789] = {.lex_state = 60},
  [13790] = {.lex_state = 54, .external_lex_state = 24},
  [13791] = {.lex_state = 60, .external_lex_state = 58},
  [13792] = {.lex_state = 60, .external_lex_state = 58},
  [13793] = {.lex_state = 60, .external_lex_state = 57},
  [13794] = {.lex_state = 54, .external_lex_state = 51},
  [13795] = {.lex_state = 53, .external_lex_state = 24},
  [13796] = {.lex_state = 60, .external_lex_state = 56},
  [13797] = {.lex_state = 60, .external_lex_state = 24},
  [13798] = {.lex_state = 60, .external_lex_state = 26},
  [13799] = {.lex_state = 60, .external_lex_state = 24},
  [13800] = {.lex_state = 60, .external_lex_state = 58},
  [13801] = {.lex_state = 54, .external_lex_state = 38},
  [13802] = {.lex_state = 60, .external_lex_state = 57},
  [13803] = {.lex_state = 60, .external_lex_state = 57},
  [13804] = {.lex_state = 60, .external_lex_state = 31},
  [13805] = {.lex_state = 60, .external_lex_state = 57},
  [13806] = {.lex_state = 60},
  [13807] = {.lex_state = 60, .external_lex_state = 31},
  [13808] = {.lex_state = 60, .external_lex_state = 50},
  [13809] = {.lex_state = 60},
  [13810] = {.lex_state = 60, .external_lex_state = 40},
  [13811] = {.lex_state = 60, .external_lex_state = 56},
  [13812] = {.lex_state = 60, .external_lex_state = 31},
  [13813] = {.lex_state = 60, .external_lex_state = 36},
  [13814] = {.lex_state = 60, .external_lex_state = 56},
  [13815] = {.lex_state = 60, .external_lex_state = 31},
  [13816] = {.lex_state = 60, .external_lex_state = 26},
  [13817] = {.lex_state = 60, .external_lex_state = 24},
  [13818] = {.lex_state = 60, .external_lex_state = 52},
  [13819] = {.lex_state = 0, .external_lex_state = 23},
  [13820] = {.lex_state = 60},
  [13821] = {.lex_state = 60, .external_lex_state = 31},
  [13822] = {.lex_state = 60, .external_lex_state = 50},
  [13823] = {.lex_state = 60, .external_lex_state = 50},
  [13824] = {.lex_state = 60, .external_lex_state = 31},
  [13825] = {.lex_state = 60, .external_lex_state = 31},
  [13826] = {.lex_state = 60, .external_lex_state = 23},
  [13827] = {.lex_state = 60, .external_lex_state = 56},
  [13828] = {.lex_state = 60, .external_lex_state = 36},
  [13829] = {.lex_state = 54, .external_lex_state = 60},
  [13830] = {.lex_state = 60, .external_lex_state = 37},
  [13831] = {.lex_state = 60, .external_lex_state = 50},
  [13832] = {.lex_state = 60, .external_lex_state = 50},
  [13833] = {.lex_state = 53, .external_lex_state = 24},
  [13834] = {.lex_state = 53, .external_lex_state = 24},
  [13835] = {.lex_state = 60, .external_lex_state = 33},
  [13836] = {.lex_state = 60, .external_lex_state = 24},
  [13837] = {.lex_state = 60, .external_lex_state = 23},
  [13838] = {.lex_state = 53, .external_lex_state = 23},
  [13839] = {.lex_state = 54, .external_lex_state = 51},
  [13840] = {.lex_state = 60, .external_lex_state = 23},
  [13841] = {.lex_state = 60, .external_lex_state = 48},
  [13842] = {.lex_state = 54, .external_lex_state = 51},
  [13843] = {.lex_state = 60, .external_lex_state = 24},
  [13844] = {.lex_state = 60, .external_lex_state = 33},
  [13845] = {.lex_state = 53, .external_lex_state = 23},
  [13846] = {.lex_state = 60, .external_lex_state = 48},
  [13847] = {.lex_state = 60, .external_lex_state = 57},
  [13848] = {.lex_state = 60, .external_lex_state = 33},
  [13849] = {.lex_state = 60, .external_lex_state = 57},
  [13850] = {.lex_state = 60, .external_lex_state = 33},
  [13851] = {.lex_state = 60, .external_lex_state = 33},
  [13852] = {.lex_state = 53, .external_lex_state = 24},
  [13853] = {.lex_state = 60, .external_lex_state = 38},
  [13854] = {.lex_state = 54, .external_lex_state = 51},
  [13855] = {.lex_state = 60, .external_lex_state = 37},
  [13856] = {.lex_state = 60, .external_lex_state = 37},
  [13857] = {.lex_state = 60, .external_lex_state = 24},
  [13858] = {.lex_state = 0, .external_lex_state = 23},
  [13859] = {.lex_state = 53, .external_lex_state = 23},
  [13860] = {.lex_state = 54, .external_lex_state = 65},
  [13861] = {.lex_state = 54, .external_lex_state = 51},
  [13862] = {.lex_state = 53, .external_lex_state = 23},
  [13863] = {.lex_state = 60, .external_lex_state = 23},
  [13864] = {.lex_state = 60, .external_lex_state = 31},
  [13865] = {.lex_state = 53, .external_lex_state = 24},
  [13866] = {.lex_state = 54, .external_lex_state = 65},
  [13867] = {.lex_state = 60, .external_lex_state = 52},
  [13868] = {.lex_state = 60, .external_lex_state = 24},
  [13869] = {.lex_state = 60, .external_lex_state = 24},
  [13870] = {.lex_state = 60, .external_lex_state = 36},
  [13871] = {.lex_state = 60},
  [13872] = {.lex_state = 54, .external_lex_state = 65},
  [13873] = {.lex_state = 60, .external_lex_state = 33},
  [13874] = {.lex_state = 53, .external_lex_state = 24},
  [13875] = {.lex_state = 60},
  [13876] = {.lex_state = 60, .external_lex_state = 24},
  [13877] = {.lex_state = 60, .external_lex_state = 36},
  [13878] = {.lex_state = 54, .external_lex_state = 65},
  [13879] = {.lex_state = 60, .external_lex_state = 24},
  [13880] = {.lex_state = 60, .external_lex_state = 36},
  [13881] = {.lex_state = 54, .external_lex_state = 68},
  [13882] = {.lex_state = 54, .external_lex_state = 51},
  [13883] = {.lex_state = 60, .external_lex_state = 24},
  [13884] = {.lex_state = 0, .external_lex_state = 23},
  [13885] = {.lex_state = 60, .external_lex_state = 36},
  [13886] = {.lex_state = 60, .external_lex_state = 36},
  [13887] = {.lex_state = 60, .external_lex_state = 57},
  [13888] = {.lex_state = 60, .external_lex_state = 57},
  [13889] = {.lex_state = 60, .external_lex_state = 52},
  [13890] = {.lex_state = 60},
  [13891] = {.lex_state = 60, .external_lex_state = 40},
  [13892] = {.lex_state = 60, .external_lex_state = 69},
  [13893] = {.lex_state = 60, .external_lex_state = 38},
  [13894] = {.lex_state = 60, .external_lex_state = 48},
  [13895] = {.lex_state = 60, .external_lex_state = 37},
  [13896] = {.lex_state = 60, .external_lex_state = 37},
  [13897] = {.lex_state = 60, .external_lex_state = 23},
  [13898] = {.lex_state = 60, .external_lex_state = 31},
  [13899] = {.lex_state = 54, .external_lex_state = 24},
  [13900] = {.lex_state = 60, .external_lex_state = 47},
  [13901] = {.lex_state = 54, .external_lex_state = 51},
  [13902] = {.lex_state = 60, .external_lex_state = 23},
  [13903] = {.lex_state = 60, .external_lex_state = 24},
  [13904] = {.lex_state = 60, .external_lex_state = 40},
  [13905] = {.lex_state = 60, .external_lex_state = 47},
  [13906] = {.lex_state = 60, .external_lex_state = 23},
  [13907] = {.lex_state = 60, .external_lex_state = 47},
  [13908] = {.lex_state = 54, .external_lex_state = 70},
  [13909] = {.lex_state = 54, .external_lex_state = 24},
  [13910] = {.lex_state = 60, .external_lex_state = 24},
  [13911] = {.lex_state = 60, .external_lex_state = 58},
  [13912] = {.lex_state = 60, .external_lex_state = 24},
  [13913] = {.lex_state = 60, .external_lex_state = 36},
  [13914] = {.lex_state = 60, .external_lex_state = 56},
  [13915] = {.lex_state = 60, .external_lex_state = 24},
  [13916] = {.lex_state = 54, .external_lex_state = 65},
  [13917] = {.lex_state = 53, .external_lex_state = 23},
  [13918] = {.lex_state = 60, .external_lex_state = 57},
  [13919] = {.lex_state = 60, .external_lex_state = 36},
  [13920] = {.lex_state = 54, .external_lex_state = 51},
  [13921] = {.lex_state = 60},
  [13922] = {.lex_state = 54, .external_lex_state = 51},
  [13923] = {.lex_state = 60, .external_lex_state = 24},
  [13924] = {.lex_state = 60, .external_lex_state = 36},
  [13925] = {.lex_state = 60, .external_lex_state = 47},
  [13926] = {.lex_state = 54, .external_lex_state = 51},
  [13927] = {.lex_state = 60, .external_lex_state = 24},
  [13928] = {.lex_state = 60, .external_lex_state = 31},
  [13929] = {.lex_state = 53, .external_lex_state = 23},
  [13930] = {.lex_state = 60, .external_lex_state = 33},
  [13931] = {.lex_state = 60, .external_lex_state = 24},
  [13932] = {.lex_state = 60, .external_lex_state = 24},
  [13933] = {.lex_state = 60},
  [13934] = {.lex_state = 60},
  [13935] = {.lex_state = 60},
  [13936] = {.lex_state = 60, .external_lex_state = 40},
  [13937] = {.lex_state = 60, .external_lex_state = 52},
  [13938] = {.lex_state = 54, .external_lex_state = 51},
  [13939] = {.lex_state = 0, .external_lex_state = 23},
  [13940] = {.lex_state = 60, .external_lex_state = 67},
  [13941] = {.lex_state = 60, .external_lex_state = 24},
  [13942] = {.lex_state = 60, .external_lex_state = 67},
  [13943] = {.lex_state = 60},
  [13944] = {.lex_state = 60, .external_lex_state = 47},
  [13945] = {.lex_state = 60, .external_lex_state = 57},
  [13946] = {.lex_state = 60, .external_lex_state = 23},
  [13947] = {.lex_state = 53, .external_lex_state = 23},
  [13948] = {.lex_state = 60, .external_lex_state = 38},
  [13949] = {.lex_state = 60},
  [13950] = {.lex_state = 60, .external_lex_state = 23},
  [13951] = {.lex_state = 60},
  [13952] = {.lex_state = 60, .external_lex_state = 24},
  [13953] = {.lex_state = 60, .external_lex_state = 24},
  [13954] = {.lex_state = 54, .external_lex_state = 51},
  [13955] = {.lex_state = 54, .external_lex_state = 70},
  [13956] = {.lex_state = 60, .external_lex_state = 37},
  [13957] = {.lex_state = 54, .external_lex_state = 51},
  [13958] = {.lex_state = 60, .external_lex_state = 37},
  [13959] = {.lex_state = 54, .external_lex_state = 65},
  [13960] = {.lex_state = 60, .external_lex_state = 24},
  [13961] = {.lex_state = 60, .external_lex_state = 23},
  [13962] = {.lex_state = 60, .external_lex_state = 24},
  [13963] = {.lex_state = 60, .external_lex_state = 24},
  [13964] = {.lex_state = 60},
  [13965] = {.lex_state = 60, .external_lex_state = 24},
  [13966] = {.lex_state = 60, .external_lex_state = 57},
  [13967] = {.lex_state = 60, .external_lex_state = 57},
  [13968] = {.lex_state = 54, .external_lex_state = 51},
  [13969] = {.lex_state = 60},
  [13970] = {.lex_state = 60},
  [13971] = {.lex_state = 60, .external_lex_state = 24},
  [13972] = {.lex_state = 60},
  [13973] = {.lex_state = 60, .external_lex_state = 24},
  [13974] = {.lex_state = 54, .external_lex_state = 70},
  [13975] = {.lex_state = 53, .external_lex_state = 23},
  [13976] = {.lex_state = 60, .external_lex_state = 31},
  [13977] = {.lex_state = 53, .external_lex_state = 23},
  [13978] = {.lex_state = 53, .external_lex_state = 24},
  [13979] = {.lex_state = 60, .external_lex_state = 37},
  [13980] = {.lex_state = 60, .external_lex_state = 69},
  [13981] = {.lex_state = 54, .external_lex_state = 51},
  [13982] = {.lex_state = 60},
  [13983] = {.lex_state = 60, .external_lex_state = 24},
  [13984] = {.lex_state = 60},
  [13985] = {.lex_state = 60, .external_lex_state = 48},
  [13986] = {.lex_state = 54, .external_lex_state = 51},
  [13987] = {.lex_state = 60, .external_lex_state = 33},
  [13988] = {.lex_state = 60, .external_lex_state = 24},
  [13989] = {.lex_state = 54, .external_lex_state = 65},
  [13990] = {.lex_state = 60},
  [13991] = {.lex_state = 60, .external_lex_state = 47},
  [13992] = {.lex_state = 54, .external_lex_state = 51},
  [13993] = {.lex_state = 60, .external_lex_state = 24},
  [13994] = {.lex_state = 60, .external_lex_state = 36},
  [13995] = {.lex_state = 60, .external_lex_state = 67},
  [13996] = {.lex_state = 60},
  [13997] = {.lex_state = 53, .external_lex_state = 23},
  [13998] = {.lex_state = 60},
  [13999] = {.lex_state = 54, .external_lex_state = 51},
  [14000] = {.lex_state = 60, .external_lex_state = 33},
  [14001] = {.lex_state = 60, .external_lex_state = 37},
  [14002] = {.lex_state = 60, .external_lex_state = 56},
  [14003] = {.lex_state = 53, .external_lex_state = 24},
  [14004] = {.lex_state = 60, .external_lex_state = 40},
  [14005] = {.lex_state = 54, .external_lex_state = 70},
  [14006] = {.lex_state = 60, .external_lex_state = 36},
  [14007] = {.lex_state = 60, .external_lex_state = 33},
  [14008] = {.lex_state = 60, .external_lex_state = 69},
  [14009] = {.lex_state = 60},
  [14010] = {.lex_state = 60, .external_lex_state = 52},
  [14011] = {.lex_state = 60, .external_lex_state = 69},
  [14012] = {.lex_state = 60},
  [14013] = {.lex_state = 60, .external_lex_state = 23},
  [14014] = {.lex_state = 53, .external_lex_state = 23},
  [14015] = {.lex_state = 60},
  [14016] = {.lex_state = 60},
  [14017] = {.lex_state = 53, .external_lex_state = 24},
  [14018] = {.lex_state = 60},
  [14019] = {.lex_state = 60, .external_lex_state = 36},
  [14020] = {.lex_state = 60, .external_lex_state = 40},
  [14021] = {.lex_state = 60, .external_lex_state = 38},
  [14022] = {.lex_state = 60, .external_lex_state = 23},
  [14023] = {.lex_state = 0, .external_lex_state = 23},
  [14024] = {.lex_state = 53, .external_lex_state = 23},
  [14025] = {.lex_state = 60, .external_lex_state = 40},
  [14026] = {.lex_state = 60, .external_lex_state = 52},
  [14027] = {.lex_state = 53, .external_lex_state = 24},
  [14028] = {.lex_state = 60},
  [14029] = {.lex_state = 0, .external_lex_state = 24},
  [14030] = {.lex_state = 60, .external_lex_state = 23},
  [14031] = {.lex_state = 60, .external_lex_state = 23},
  [14032] = {.lex_state = 60},
  [14033] = {.lex_state = 60, .external_lex_state = 40},
  [14034] = {.lex_state = 60, .external_lex_state = 40},
  [14035] = {.lex_state = 60, .external_lex_state = 36},
  [14036] = {.lex_state = 54, .external_lex_state = 71},
  [14037] = {.lex_state = 60, .external_lex_state = 38},
  [14038] = {.lex_state = 60, .external_lex_state = 24},
  [14039] = {.lex_state = 54, .external_lex_state = 65},
  [14040] = {.lex_state = 60},
  [14041] = {.lex_state = 0, .external_lex_state = 23},
  [14042] = {.lex_state = 60, .external_lex_state = 38},
  [14043] = {.lex_state = 60, .external_lex_state = 23},
  [14044] = {.lex_state = 53, .external_lex_state = 23},
  [14045] = {.lex_state = 60, .external_lex_state = 23},
  [14046] = {.lex_state = 60},
  [14047] = {.lex_state = 54, .external_lex_state = 65},
  [14048] = {.lex_state = 60, .external_lex_state = 57},
  [14049] = {.lex_state = 0, .external_lex_state = 23},
  [14050] = {.lex_state = 54, .external_lex_state = 71},
  [14051] = {.lex_state = 60, .external_lex_state = 23},
  [14052] = {.lex_state = 60},
  [14053] = {.lex_state = 54},
  [14054] = {.lex_state = 60},
  [14055] = {.lex_state = 53, .external_lex_state = 23},
  [14056] = {.lex_state = 60, .external_lex_state = 23},
  [14057] = {.lex_state = 60, .external_lex_state = 52},
  [14058] = {.lex_state = 60, .external_lex_state = 38},
  [14059] = {.lex_state = 0, .external_lex_state = 24},
  [14060] = {.lex_state = 53, .external_lex_state = 24},
  [14061] = {.lex_state = 54, .external_lex_state = 65},
  [14062] = {.lex_state = 53, .external_lex_state = 24},
  [14063] = {.lex_state = 60, .external_lex_state = 47},
  [14064] = {.lex_state = 60, .external_lex_state = 67},
  [14065] = {.lex_state = 53, .external_lex_state = 23},
  [14066] = {.lex_state = 60},
  [14067] = {.lex_state = 60, .external_lex_state = 38},
  [14068] = {.lex_state = 60, .external_lex_state = 38},
  [14069] = {.lex_state = 60, .external_lex_state = 38},
  [14070] = {.lex_state = 54, .external_lex_state = 65},
  [14071] = {.lex_state = 54, .external_lex_state = 65},
  [14072] = {.lex_state = 60, .external_lex_state = 23},
  [14073] = {.lex_state = 60},
  [14074] = {.lex_state = 60, .external_lex_state = 36},
  [14075] = {.lex_state = 60, .external_lex_state = 24},
  [14076] = {.lex_state = 60, .external_lex_state = 57},
  [14077] = {.lex_state = 53, .external_lex_state = 23},
  [14078] = {.lex_state = 53, .external_lex_state = 23},
  [14079] = {.lex_state = 60, .external_lex_state = 24},
  [14080] = {.lex_state = 60, .external_lex_state = 38},
  [14081] = {.lex_state = 6},
  [14082] = {.lex_state = 0},
  [14083] = {.lex_state = 60, .external_lex_state = 24},
  [14084] = {.lex_state = 60, .external_lex_state = 23},
  [14085] = {.lex_state = 54, .external_lex_state = 65},
  [14086] = {.lex_state = 60, .external_lex_state = 38},
  [14087] = {.lex_state = 60, .external_lex_state = 24},
  [14088] = {.lex_state = 60, .external_lex_state = 24},
  [14089] = {.lex_state = 54, .external_lex_state = 65},
  [14090] = {.lex_state = 60, .external_lex_state = 38},
  [14091] = {.lex_state = 60, .external_lex_state = 23},
  [14092] = {.lex_state = 60, .external_lex_state = 23},
  [14093] = {.lex_state = 54, .external_lex_state = 65},
  [14094] = {.lex_state = 60, .external_lex_state = 23},
  [14095] = {.lex_state = 60, .external_lex_state = 23},
  [14096] = {.lex_state = 60, .external_lex_state = 36},
  [14097] = {.lex_state = 60},
  [14098] = {.lex_state = 60, .external_lex_state = 38},
  [14099] = {.lex_state = 54, .external_lex_state = 65},
  [14100] = {.lex_state = 60, .external_lex_state = 24},
  [14101] = {.lex_state = 54, .external_lex_state = 65},
  [14102] = {.lex_state = 54, .external_lex_state = 65},
  [14103] = {.lex_state = 0, .external_lex_state = 23},
  [14104] = {.lex_state = 54, .external_lex_state = 65},
  [14105] = {.lex_state = 54, .external_lex_state = 65},
  [14106] = {.lex_state = 60, .external_lex_state = 52},
  [14107] = {.lex_state = 60},
  [14108] = {.lex_state = 60, .external_lex_state = 24},
  [14109] = {.lex_state = 60, .external_lex_state = 23},
  [14110] = {.lex_state = 0, .external_lex_state = 23},
  [14111] = {.lex_state = 54, .external_lex_state = 71},
  [14112] = {.lex_state = 60},
  [14113] = {.lex_state = 60, .external_lex_state = 52},
  [14114] = {.lex_state = 60, .external_lex_state = 52},
  [14115] = {.lex_state = 54},
  [14116] = {.lex_state = 60, .external_lex_state = 52},
  [14117] = {.lex_state = 0, .external_lex_state = 24},
  [14118] = {.lex_state = 60},
  [14119] = {.lex_state = 0, .external_lex_state = 23},
  [14120] = {.lex_state = 53, .external_lex_state = 23},
  [14121] = {.lex_state = 60, .external_lex_state = 23},
  [14122] = {.lex_state = 60},
  [14123] = {.lex_state = 54},
  [14124] = {.lex_state = 60},
  [14125] = {.lex_state = 6},
  [14126] = {.lex_state = 60},
  [14127] = {.lex_state = 60, .external_lex_state = 52},
  [14128] = {.lex_state = 60},
  [14129] = {.lex_state = 60, .external_lex_state = 36},
  [14130] = {.lex_state = 60},
  [14131] = {.lex_state = 54, .external_lex_state = 65},
  [14132] = {.lex_state = 54, .external_lex_state = 65},
  [14133] = {.lex_state = 0, .external_lex_state = 24},
  [14134] = {.lex_state = 60, .external_lex_state = 52},
  [14135] = {.lex_state = 60, .external_lex_state = 23},
  [14136] = {.lex_state = 60, .external_lex_state = 23},
  [14137] = {.lex_state = 60},
  [14138] = {.lex_state = 60, .external_lex_state = 36},
  [14139] = {.lex_state = 60},
  [14140] = {.lex_state = 60, .external_lex_state = 40},
  [14141] = {.lex_state = 60, .external_lex_state = 52},
  [14142] = {.lex_state = 60, .external_lex_state = 38},
  [14143] = {.lex_state = 0, .external_lex_state = 23},
  [14144] = {.lex_state = 60, .external_lex_state = 40},
  [14145] = {.lex_state = 60},
  [14146] = {.lex_state = 60},
  [14147] = {.lex_state = 54},
  [14148] = {.lex_state = 60, .external_lex_state = 47},
  [14149] = {.lex_state = 60, .external_lex_state = 24},
  [14150] = {.lex_state = 60, .external_lex_state = 52},
  [14151] = {.lex_state = 53, .external_lex_state = 24},
  [14152] = {.lex_state = 53, .external_lex_state = 23},
  [14153] = {.lex_state = 60},
  [14154] = {.lex_state = 60},
  [14155] = {.lex_state = 53, .external_lex_state = 23},
  [14156] = {.lex_state = 60, .external_lex_state = 52},
  [14157] = {.lex_state = 0, .external_lex_state = 23},
  [14158] = {.lex_state = 60, .external_lex_state = 40},
  [14159] = {.lex_state = 0, .external_lex_state = 23},
  [14160] = {.lex_state = 53, .external_lex_state = 23},
  [14161] = {.lex_state = 60, .external_lex_state = 40},
  [14162] = {.lex_state = 60, .external_lex_state = 23},
  [14163] = {.lex_state = 53, .external_lex_state = 23},
  [14164] = {.lex_state = 0, .external_lex_state = 23},
  [14165] = {.lex_state = 60, .external_lex_state = 23},
  [14166] = {.lex_state = 0},
  [14167] = {.lex_state = 0},
  [14168] = {.lex_state = 0},
  [14169] = {.lex_state = 0},
  [14170] = {.lex_state = 0},
  [14171] = {.lex_state = 60},
  [14172] = {.lex_state = 0},
  [14173] = {.lex_state = 60, .external_lex_state = 23},
  [14174] = {.lex_state = 0, .external_lex_state = 23},
  [14175] = {.lex_state = 60, .external_lex_state = 23},
  [14176] = {.lex_state = 60, .external_lex_state = 23},
  [14177] = {.lex_state = 60, .external_lex_state = 23},
  [14178] = {.lex_state = 54, .external_lex_state = 71},
  [14179] = {.lex_state = 60, .external_lex_state = 69},
  [14180] = {.lex_state = 60},
  [14181] = {.lex_state = 54, .external_lex_state = 71},
  [14182] = {.lex_state = 60, .external_lex_state = 23},
  [14183] = {.lex_state = 60, .external_lex_state = 23},
  [14184] = {.lex_state = 60},
  [14185] = {.lex_state = 0, .external_lex_state = 24},
  [14186] = {.lex_state = 0},
  [14187] = {.lex_state = 60, .external_lex_state = 67},
  [14188] = {.lex_state = 54, .external_lex_state = 71},
  [14189] = {.lex_state = 60, .external_lex_state = 23},
  [14190] = {.lex_state = 54, .external_lex_state = 71},
  [14191] = {.lex_state = 54, .external_lex_state = 71},
  [14192] = {.lex_state = 0},
  [14193] = {.lex_state = 60},
  [14194] = {.lex_state = 0},
  [14195] = {.lex_state = 60, .external_lex_state = 56},
  [14196] = {.lex_state = 60},
  [14197] = {.lex_state = 60, .external_lex_state = 69},
  [14198] = {.lex_state = 60},
  [14199] = {.lex_state = 60},
  [14200] = {.lex_state = 60, .external_lex_state = 67},
  [14201] = {.lex_state = 60},
  [14202] = {.lex_state = 60},
  [14203] = {.lex_state = 0},
  [14204] = {.lex_state = 0},
  [14205] = {.lex_state = 0},
  [14206] = {.lex_state = 60, .external_lex_state = 23},
  [14207] = {.lex_state = 60, .external_lex_state = 67},
  [14208] = {.lex_state = 60, .external_lex_state = 23},
  [14209] = {.lex_state = 60, .external_lex_state = 23},
  [14210] = {.lex_state = 0},
  [14211] = {.lex_state = 0},
  [14212] = {.lex_state = 0, .external_lex_state = 23},
  [14213] = {.lex_state = 0, .external_lex_state = 23},
  [14214] = {.lex_state = 53, .external_lex_state = 24},
  [14215] = {.lex_state = 60, .external_lex_state = 24},
  [14216] = {.lex_state = 0},
  [14217] = {.lex_state = 60, .external_lex_state = 23},
  [14218] = {.lex_state = 0},
  [14219] = {.lex_state = 60, .external_lex_state = 23},
  [14220] = {.lex_state = 54, .external_lex_state = 71},
  [14221] = {.lex_state = 60, .external_lex_state = 48},
  [14222] = {.lex_state = 60, .external_lex_state = 23},
  [14223] = {.lex_state = 60},
  [14224] = {.lex_state = 0},
  [14225] = {.lex_state = 60, .external_lex_state = 23},
  [14226] = {.lex_state = 60, .external_lex_state = 23},
  [14227] = {.lex_state = 0},
  [14228] = {.lex_state = 60, .external_lex_state = 56},
  [14229] = {.lex_state = 0},
  [14230] = {.lex_state = 60, .external_lex_state = 23},
  [14231] = {.lex_state = 0},
  [14232] = {.lex_state = 60, .external_lex_state = 23},
  [14233] = {.lex_state = 0, .external_lex_state = 23},
  [14234] = {.lex_state = 60, .external_lex_state = 67},
  [14235] = {.lex_state = 60, .external_lex_state = 23},
  [14236] = {.lex_state = 60, .external_lex_state = 23},
  [14237] = {.lex_state = 0},
  [14238] = {.lex_state = 60, .external_lex_state = 23},
  [14239] = {.lex_state = 60, .external_lex_state = 24},
  [14240] = {.lex_state = 60, .external_lex_state = 48},
  [14241] = {.lex_state = 0},
  [14242] = {.lex_state = 60, .external_lex_state = 69},
  [14243] = {.lex_state = 60, .external_lex_state = 69},
  [14244] = {.lex_state = 60, .external_lex_state = 23},
  [14245] = {.lex_state = 53, .external_lex_state = 24},
  [14246] = {.lex_state = 60, .external_lex_state = 23},
  [14247] = {.lex_state = 0},
  [14248] = {.lex_state = 60, .external_lex_state = 23},
  [14249] = {.lex_state = 54, .external_lex_state = 71},
  [14250] = {.lex_state = 54, .external_lex_state = 71},
  [14251] = {.lex_state = 60, .external_lex_state = 23},
  [14252] = {.lex_state = 60, .external_lex_state = 23},
  [14253] = {.lex_state = 60, .external_lex_state = 23},
  [14254] = {.lex_state = 60, .external_lex_state = 23},
  [14255] = {.lex_state = 0},
  [14256] = {.lex_state = 0},
  [14257] = {.lex_state = 60, .external_lex_state = 56},
  [14258] = {.lex_state = 54, .external_lex_state = 71},
  [14259] = {.lex_state = 60, .external_lex_state = 23},
  [14260] = {.lex_state = 0},
  [14261] = {.lex_state = 0},
  [14262] = {.lex_state = 60, .external_lex_state = 48},
  [14263] = {.lex_state = 54, .external_lex_state = 71},
  [14264] = {.lex_state = 60, .external_lex_state = 48},
  [14265] = {.lex_state = 0},
  [14266] = {.lex_state = 60, .external_lex_state = 23},
  [14267] = {.lex_state = 0},
  [14268] = {.lex_state = 0},
  [14269] = {.lex_state = 0},
  [14270] = {.lex_state = 60, .external_lex_state = 24},
  [14271] = {.lex_state = 60, .external_lex_state = 24},
  [14272] = {.lex_state = 60, .external_lex_state = 23},
  [14273] = {.lex_state = 60, .external_lex_state = 23},
  [14274] = {.lex_state = 60, .external_lex_state = 23},
  [14275] = {.lex_state = 60, .external_lex_state = 23},
  [14276] = {.lex_state = 60, .external_lex_state = 48},
  [14277] = {.lex_state = 60, .external_lex_state = 69},
  [14278] = {.lex_state = 60, .external_lex_state = 48},
  [14279] = {.lex_state = 54, .external_lex_state = 71},
  [14280] = {.lex_state = 60, .external_lex_state = 67},
  [14281] = {.lex_state = 0},
  [14282] = {.lex_state = 53, .external_lex_state = 23},
  [14283] = {.lex_state = 0},
  [14284] = {.lex_state = 0},
  [14285] = {.lex_state = 0},
  [14286] = {.lex_state = 54, .external_lex_state = 65},
  [14287] = {.lex_state = 54, .external_lex_state = 71},
  [14288] = {.lex_state = 54, .external_lex_state = 71},
  [14289] = {.lex_state = 54, .external_lex_state = 71},
  [14290] = {.lex_state = 60, .external_lex_state = 69},
  [14291] = {.lex_state = 0},
  [14292] = {.lex_state = 0, .external_lex_state = 23},
  [14293] = {.lex_state = 60, .external_lex_state = 23},
  [14294] = {.lex_state = 60, .external_lex_state = 23},
  [14295] = {.lex_state = 0},
  [14296] = {.lex_state = 0, .external_lex_state = 23},
  [14297] = {.lex_state = 60, .external_lex_state = 69},
  [14298] = {.lex_state = 54, .external_lex_state = 51},
  [14299] = {.lex_state = 54},
  [14300] = {.lex_state = 60, .external_lex_state = 23},
  [14301] = {.lex_state = 60, .external_lex_state = 23},
  [14302] = {.lex_state = 60, .external_lex_state = 23},
  [14303] = {.lex_state = 54, .external_lex_state = 51},
  [14304] = {.lex_state = 0},
  [14305] = {.lex_state = 54, .external_lex_state = 51},
  [14306] = {.lex_state = 60, .external_lex_state = 23},
  [14307] = {.lex_state = 54, .external_lex_state = 71},
  [14308] = {.lex_state = 60},
  [14309] = {.lex_state = 0},
  [14310] = {.lex_state = 53, .external_lex_state = 23},
  [14311] = {.lex_state = 0},
  [14312] = {.lex_state = 60, .external_lex_state = 24},
  [14313] = {.lex_state = 54, .external_lex_state = 51},
  [14314] = {.lex_state = 0},
  [14315] = {.lex_state = 54, .external_lex_state = 24},
  [14316] = {.lex_state = 0},
  [14317] = {.lex_state = 60, .external_lex_state = 24},
  [14318] = {.lex_state = 60, .external_lex_state = 23},
  [14319] = {.lex_state = 60, .external_lex_state = 23},
  [14320] = {.lex_state = 60, .external_lex_state = 23},
  [14321] = {.lex_state = 60, .external_lex_state = 23},
  [14322] = {.lex_state = 60, .external_lex_state = 23},
  [14323] = {.lex_state = 60, .external_lex_state = 48},
  [14324] = {.lex_state = 60, .external_lex_state = 23},
  [14325] = {.lex_state = 60, .external_lex_state = 48},
  [14326] = {.lex_state = 0, .external_lex_state = 24},
  [14327] = {.lex_state = 0, .external_lex_state = 24},
  [14328] = {.lex_state = 0},
  [14329] = {.lex_state = 0},
  [14330] = {.lex_state = 0},
  [14331] = {.lex_state = 53, .external_lex_state = 24},
  [14332] = {.lex_state = 60, .external_lex_state = 23},
  [14333] = {.lex_state = 60, .external_lex_state = 23},
  [14334] = {.lex_state = 60, .external_lex_state = 23},
  [14335] = {.lex_state = 60, .external_lex_state = 23},
  [14336] = {.lex_state = 0},
  [14337] = {.lex_state = 0},
  [14338] = {.lex_state = 60, .external_lex_state = 24},
  [14339] = {.lex_state = 0},
  [14340] = {.lex_state = 60, .external_lex_state = 23},
  [14341] = {.lex_state = 54, .external_lex_state = 71},
  [14342] = {.lex_state = 53, .external_lex_state = 24},
  [14343] = {.lex_state = 0},
  [14344] = {.lex_state = 54, .external_lex_state = 51},
  [14345] = {.lex_state = 0},
  [14346] = {.lex_state = 0},
  [14347] = {.lex_state = 60, .external_lex_state = 23},
  [14348] = {.lex_state = 54, .external_lex_state = 71},
  [14349] = {.lex_state = 0, .external_lex_state = 23},
  [14350] = {.lex_state = 60, .external_lex_state = 23},
  [14351] = {.lex_state = 0, .external_lex_state = 24},
  [14352] = {.lex_state = 0, .external_lex_state = 24},
  [14353] = {.lex_state = 60, .external_lex_state = 23},
  [14354] = {.lex_state = 60, .external_lex_state = 67},
  [14355] = {.lex_state = 54, .external_lex_state = 51},
  [14356] = {.lex_state = 0},
  [14357] = {.lex_state = 60, .external_lex_state = 23},
  [14358] = {.lex_state = 60, .external_lex_state = 23},
  [14359] = {.lex_state = 0, .external_lex_state = 23},
  [14360] = {.lex_state = 60, .external_lex_state = 23},
  [14361] = {.lex_state = 0},
  [14362] = {.lex_state = 53, .external_lex_state = 24},
  [14363] = {.lex_state = 53, .external_lex_state = 23},
  [14364] = {.lex_state = 60, .external_lex_state = 67},
  [14365] = {.lex_state = 60, .external_lex_state = 24},
  [14366] = {.lex_state = 0},
  [14367] = {.lex_state = 53, .external_lex_state = 24},
  [14368] = {.lex_state = 60, .external_lex_state = 23},
  [14369] = {.lex_state = 0},
  [14370] = {.lex_state = 0},
  [14371] = {.lex_state = 0},
  [14372] = {.lex_state = 0},
  [14373] = {.lex_state = 60, .external_lex_state = 23},
  [14374] = {.lex_state = 60, .external_lex_state = 23},
  [14375] = {.lex_state = 0},
  [14376] = {.lex_state = 60, .external_lex_state = 23},
  [14377] = {.lex_state = 60, .external_lex_state = 24},
  [14378] = {.lex_state = 0},
  [14379] = {.lex_state = 60, .external_lex_state = 24},
  [14380] = {.lex_state = 0},
  [14381] = {.lex_state = 0},
  [14382] = {.lex_state = 54, .external_lex_state = 71},
  [14383] = {.lex_state = 0},
  [14384] = {.lex_state = 60, .external_lex_state = 24},
  [14385] = {.lex_state = 60, .external_lex_state = 23},
  [14386] = {.lex_state = 60, .external_lex_state = 23},
  [14387] = {.lex_state = 54, .external_lex_state = 71},
  [14388] = {.lex_state = 60},
  [14389] = {.lex_state = 0},
  [14390] = {.lex_state = 0, .external_lex_state = 24},
  [14391] = {.lex_state = 54},
  [14392] = {.lex_state = 60, .external_lex_state = 23},
  [14393] = {.lex_state = 60, .external_lex_state = 23},
  [14394] = {.lex_state = 0},
  [14395] = {.lex_state = 60, .external_lex_state = 23},
  [14396] = {.lex_state = 0},
  [14397] = {.lex_state = 60, .external_lex_state = 23},
  [14398] = {.lex_state = 53, .external_lex_state = 23},
  [14399] = {.lex_state = 60, .external_lex_state = 23},
  [14400] = {.lex_state = 53, .external_lex_state = 24},
  [14401] = {.lex_state = 60, .external_lex_state = 23},
  [14402] = {.lex_state = 0, .external_lex_state = 23},
  [14403] = {.lex_state = 0},
  [14404] = {.lex_state = 60, .external_lex_state = 23},
  [14405] = {.lex_state = 60, .external_lex_state = 23},
  [14406] = {.lex_state = 53, .external_lex_state = 24},
  [14407] = {.lex_state = 0},
  [14408] = {.lex_state = 53, .external_lex_state = 24},
  [14409] = {.lex_state = 0},
  [14410] = {.lex_state = 60, .external_lex_state = 23},
  [14411] = {.lex_state = 60, .external_lex_state = 56},
  [14412] = {.lex_state = 60, .external_lex_state = 23},
  [14413] = {.lex_state = 54, .external_lex_state = 71},
  [14414] = {.lex_state = 60, .external_lex_state = 23},
  [14415] = {.lex_state = 0},
  [14416] = {.lex_state = 60, .external_lex_state = 23},
  [14417] = {.lex_state = 0},
  [14418] = {.lex_state = 53},
  [14419] = {.lex_state = 0, .external_lex_state = 24},
  [14420] = {.lex_state = 60, .external_lex_state = 64},
  [14421] = {.lex_state = 0, .external_lex_state = 24},
  [14422] = {.lex_state = 60},
  [14423] = {.lex_state = 60, .external_lex_state = 24},
  [14424] = {.lex_state = 60, .external_lex_state = 24},
  [14425] = {.lex_state = 60, .external_lex_state = 24},
  [14426] = {.lex_state = 60, .external_lex_state = 24},
  [14427] = {.lex_state = 0, .external_lex_state = 25},
  [14428] = {.lex_state = 60, .external_lex_state = 24},
  [14429] = {.lex_state = 60, .external_lex_state = 64},
  [14430] = {.lex_state = 0, .external_lex_state = 25},
  [14431] = {.lex_state = 60},
  [14432] = {.lex_state = 60},
  [14433] = {.lex_state = 60},
  [14434] = {.lex_state = 60, .external_lex_state = 24},
  [14435] = {.lex_state = 60, .external_lex_state = 24},
  [14436] = {.lex_state = 60, .external_lex_state = 24},
  [14437] = {.lex_state = 60, .external_lex_state = 24},
  [14438] = {.lex_state = 60, .external_lex_state = 24},
  [14439] = {.lex_state = 53, .external_lex_state = 23},
  [14440] = {.lex_state = 0, .external_lex_state = 25},
  [14441] = {.lex_state = 53},
  [14442] = {.lex_state = 53},
  [14443] = {.lex_state = 60, .external_lex_state = 64},
  [14444] = {.lex_state = 60},
  [14445] = {.lex_state = 0, .external_lex_state = 25},
  [14446] = {.lex_state = 60},
  [14447] = {.lex_state = 53},
  [14448] = {.lex_state = 60},
  [14449] = {.lex_state = 0, .external_lex_state = 23},
  [14450] = {.lex_state = 60, .external_lex_state = 24},
  [14451] = {.lex_state = 60, .external_lex_state = 24},
  [14452] = {.lex_state = 0},
  [14453] = {.lex_state = 53},
  [14454] = {.lex_state = 60, .external_lex_state = 24},
  [14455] = {.lex_state = 60},
  [14456] = {.lex_state = 60},
  [14457] = {.lex_state = 60, .external_lex_state = 64},
  [14458] = {.lex_state = 60, .external_lex_state = 24},
  [14459] = {.lex_state = 0, .external_lex_state = 24},
  [14460] = {.lex_state = 60, .external_lex_state = 24},
  [14461] = {.lex_state = 60, .external_lex_state = 24},
  [14462] = {.lex_state = 0, .external_lex_state = 25},
  [14463] = {.lex_state = 60, .external_lex_state = 64},
  [14464] = {.lex_state = 60},
  [14465] = {.lex_state = 60, .external_lex_state = 24},
  [14466] = {.lex_state = 0},
  [14467] = {.lex_state = 60, .external_lex_state = 64},
  [14468] = {.lex_state = 60, .external_lex_state = 24},
  [14469] = {.lex_state = 60, .external_lex_state = 24},
  [14470] = {.lex_state = 60},
  [14471] = {.lex_state = 60, .external_lex_state = 64},
  [14472] = {.lex_state = 60, .external_lex_state = 64},
  [14473] = {.lex_state = 0},
  [14474] = {.lex_state = 60, .external_lex_state = 24},
  [14475] = {.lex_state = 60, .external_lex_state = 24},
  [14476] = {.lex_state = 0, .external_lex_state = 23},
  [14477] = {.lex_state = 0, .external_lex_state = 25},
  [14478] = {.lex_state = 60, .external_lex_state = 24},
  [14479] = {.lex_state = 60},
  [14480] = {.lex_state = 60},
  [14481] = {.lex_state = 60, .external_lex_state = 24},
  [14482] = {.lex_state = 60, .external_lex_state = 64},
  [14483] = {.lex_state = 0, .external_lex_state = 24},
  [14484] = {.lex_state = 60, .external_lex_state = 24},
  [14485] = {.lex_state = 60, .external_lex_state = 24},
  [14486] = {.lex_state = 60},
  [14487] = {.lex_state = 60},
  [14488] = {.lex_state = 60, .external_lex_state = 64},
  [14489] = {.lex_state = 60, .external_lex_state = 24},
  [14490] = {.lex_state = 60},
  [14491] = {.lex_state = 60, .external_lex_state = 24},
  [14492] = {.lex_state = 60, .external_lex_state = 24},
  [14493] = {.lex_state = 60, .external_lex_state = 24},
  [14494] = {.lex_state = 60, .external_lex_state = 24},
  [14495] = {.lex_state = 60, .external_lex_state = 24},
  [14496] = {.lex_state = 60, .external_lex_state = 24},
  [14497] = {.lex_state = 0, .external_lex_state = 25},
  [14498] = {.lex_state = 60},
  [14499] = {.lex_state = 60},
  [14500] = {.lex_state = 60, .external_lex_state = 24},
  [14501] = {.lex_state = 60, .external_lex_state = 24},
  [14502] = {.lex_state = 60, .external_lex_state = 24},
  [14503] = {.lex_state = 60, .external_lex_state = 24},
  [14504] = {.lex_state = 60, .external_lex_state = 24},
  [14505] = {.lex_state = 0, .external_lex_state = 25},
  [14506] = {.lex_state = 60, .external_lex_state = 24},
  [14507] = {.lex_state = 0},
  [14508] = {.lex_state = 53},
  [14509] = {.lex_state = 0, .external_lex_state = 24},
  [14510] = {.lex_state = 60, .external_lex_state = 64},
  [14511] = {.lex_state = 0, .external_lex_state = 24},
  [14512] = {.lex_state = 60},
  [14513] = {.lex_state = 60},
  [14514] = {.lex_state = 0, .external_lex_state = 25},
  [14515] = {.lex_state = 60, .external_lex_state = 64},
  [14516] = {.lex_state = 60},
  [14517] = {.lex_state = 60, .external_lex_state = 24},
  [14518] = {.lex_state = 60},
  [14519] = {.lex_state = 0, .external_lex_state = 23},
  [14520] = {.lex_state = 0},
  [14521] = {.lex_state = 60, .external_lex_state = 24},
  [14522] = {.lex_state = 60},
  [14523] = {.lex_state = 0, .external_lex_state = 25},
  [14524] = {.lex_state = 0},
  [14525] = {.lex_state = 60, .external_lex_state = 64},
  [14526] = {.lex_state = 60},
  [14527] = {.lex_state = 54, .external_lex_state = 51},
  [14528] = {.lex_state = 60},
  [14529] = {.lex_state = 60},
  [14530] = {.lex_state = 0, .external_lex_state = 24},
  [14531] = {.lex_state = 60},
  [14532] = {.lex_state = 0, .external_lex_state = 25},
  [14533] = {.lex_state = 60, .external_lex_state = 64},
  [14534] = {.lex_state = 60},
  [14535] = {.lex_state = 60},
  [14536] = {.lex_state = 0, .external_lex_state = 25},
  [14537] = {.lex_state = 0},
  [14538] = {.lex_state = 60},
  [14539] = {.lex_state = 60, .external_lex_state = 24},
  [14540] = {.lex_state = 60, .external_lex_state = 24},
  [14541] = {.lex_state = 60},
  [14542] = {.lex_state = 60, .external_lex_state = 64},
  [14543] = {.lex_state = 53},
  [14544] = {.lex_state = 60},
  [14545] = {.lex_state = 0},
  [14546] = {.lex_state = 60, .external_lex_state = 24},
  [14547] = {.lex_state = 60},
  [14548] = {.lex_state = 60, .external_lex_state = 24},
  [14549] = {.lex_state = 60, .external_lex_state = 64},
  [14550] = {.lex_state = 60},
  [14551] = {.lex_state = 0},
  [14552] = {.lex_state = 60, .external_lex_state = 24},
  [14553] = {.lex_state = 60, .external_lex_state = 24},
  [14554] = {.lex_state = 60, .external_lex_state = 24},
  [14555] = {.lex_state = 60, .external_lex_state = 24},
  [14556] = {.lex_state = 0},
  [14557] = {.lex_state = 60, .external_lex_state = 24},
  [14558] = {.lex_state = 60, .external_lex_state = 24},
  [14559] = {.lex_state = 60, .external_lex_state = 24},
  [14560] = {.lex_state = 0, .external_lex_state = 25},
  [14561] = {.lex_state = 0, .external_lex_state = 25},
  [14562] = {.lex_state = 0, .external_lex_state = 24},
  [14563] = {.lex_state = 60},
  [14564] = {.lex_state = 60},
  [14565] = {.lex_state = 60, .external_lex_state = 24},
  [14566] = {.lex_state = 60, .external_lex_state = 24},
  [14567] = {.lex_state = 60, .external_lex_state = 24},
  [14568] = {.lex_state = 60, .external_lex_state = 24},
  [14569] = {.lex_state = 60, .external_lex_state = 64},
  [14570] = {.lex_state = 0, .external_lex_state = 25},
  [14571] = {.lex_state = 60, .external_lex_state = 24},
  [14572] = {.lex_state = 60, .external_lex_state = 24},
  [14573] = {.lex_state = 53, .external_lex_state = 23},
  [14574] = {.lex_state = 60, .external_lex_state = 24},
  [14575] = {.lex_state = 60},
  [14576] = {.lex_state = 60, .external_lex_state = 64},
  [14577] = {.lex_state = 60},
  [14578] = {.lex_state = 0},
  [14579] = {.lex_state = 60},
  [14580] = {.lex_state = 60},
  [14581] = {.lex_state = 53},
  [14582] = {.lex_state = 60, .external_lex_state = 64},
  [14583] = {.lex_state = 60},
  [14584] = {.lex_state = 60},
  [14585] = {.lex_state = 0, .external_lex_state = 25},
  [14586] = {.lex_state = 60, .external_lex_state = 24},
  [14587] = {.lex_state = 60, .external_lex_state = 64},
  [14588] = {.lex_state = 0, .external_lex_state = 23},
  [14589] = {.lex_state = 60, .external_lex_state = 23},
  [14590] = {.lex_state = 0, .external_lex_state = 23},
  [14591] = {.lex_state = 0, .external_lex_state = 23},
  [14592] = {.lex_state = 0},
  [14593] = {.lex_state = 0},
  [14594] = {.lex_state = 60},
  [14595] = {.lex_state = 60},
  [14596] = {.lex_state = 60},
  [14597] = {.lex_state = 0, .external_lex_state = 23},
  [14598] = {.lex_state = 53},
  [14599] = {.lex_state = 60, .external_lex_state = 64},
  [14600] = {.lex_state = 0, .external_lex_state = 25},
  [14601] = {.lex_state = 60, .external_lex_state = 64},
  [14602] = {.lex_state = 60},
  [14603] = {.lex_state = 0, .external_lex_state = 23},
  [14604] = {.lex_state = 60},
  [14605] = {.lex_state = 54, .external_lex_state = 51},
  [14606] = {.lex_state = 60, .external_lex_state = 64},
  [14607] = {.lex_state = 60, .external_lex_state = 64},
  [14608] = {.lex_state = 0, .external_lex_state = 25},
  [14609] = {.lex_state = 0},
  [14610] = {.lex_state = 0, .external_lex_state = 23},
  [14611] = {.lex_state = 60, .external_lex_state = 24},
  [14612] = {.lex_state = 60},
  [14613] = {.lex_state = 60, .external_lex_state = 64},
  [14614] = {.lex_state = 60},
  [14615] = {.lex_state = 60, .external_lex_state = 24},
  [14616] = {.lex_state = 0, .external_lex_state = 25},
  [14617] = {.lex_state = 60, .external_lex_state = 64},
  [14618] = {.lex_state = 60, .external_lex_state = 24},
  [14619] = {.lex_state = 0, .external_lex_state = 25},
  [14620] = {.lex_state = 60, .external_lex_state = 24},
  [14621] = {.lex_state = 53, .external_lex_state = 23},
  [14622] = {.lex_state = 0, .external_lex_state = 23},
  [14623] = {.lex_state = 60, .external_lex_state = 64},
  [14624] = {.lex_state = 60, .external_lex_state = 64},
  [14625] = {.lex_state = 60},
  [14626] = {.lex_state = 60},
  [14627] = {.lex_state = 0, .external_lex_state = 23},
  [14628] = {.lex_state = 0, .external_lex_state = 24},
  [14629] = {.lex_state = 60, .external_lex_state = 24},
  [14630] = {.lex_state = 60},
  [14631] = {.lex_state = 60, .external_lex_state = 24},
  [14632] = {.lex_state = 60},
  [14633] = {.lex_state = 0, .external_lex_state = 25},
  [14634] = {.lex_state = 60},
  [14635] = {.lex_state = 0, .external_lex_state = 25},
  [14636] = {.lex_state = 53},
  [14637] = {.lex_state = 60},
  [14638] = {.lex_state = 60, .external_lex_state = 64},
  [14639] = {.lex_state = 60, .external_lex_state = 64},
  [14640] = {.lex_state = 60, .external_lex_state = 64},
  [14641] = {.lex_state = 60},
  [14642] = {.lex_state = 0, .external_lex_state = 24},
  [14643] = {.lex_state = 60, .external_lex_state = 64},
  [14644] = {.lex_state = 0, .external_lex_state = 25},
  [14645] = {.lex_state = 60},
  [14646] = {.lex_state = 0},
  [14647] = {.lex_state = 60},
  [14648] = {.lex_state = 60, .external_lex_state = 64},
  [14649] = {.lex_state = 60},
  [14650] = {.lex_state = 60},
  [14651] = {.lex_state = 60},
  [14652] = {.lex_state = 60, .external_lex_state = 64},
  [14653] = {.lex_state = 60, .external_lex_state = 64},
  [14654] = {.lex_state = 0, .external_lex_state = 24},
  [14655] = {.lex_state = 0},
  [14656] = {.lex_state = 60, .external_lex_state = 64},
  [14657] = {.lex_state = 60, .external_lex_state = 24},
  [14658] = {.lex_state = 0},
  [14659] = {.lex_state = 53},
  [14660] = {.lex_state = 60},
  [14661] = {.lex_state = 0, .external_lex_state = 25},
  [14662] = {.lex_state = 60, .external_lex_state = 24},
  [14663] = {.lex_state = 60, .external_lex_state = 64},
  [14664] = {.lex_state = 60, .external_lex_state = 64},
  [14665] = {.lex_state = 0, .external_lex_state = 25},
  [14666] = {.lex_state = 60, .external_lex_state = 64},
  [14667] = {.lex_state = 60},
  [14668] = {.lex_state = 60, .external_lex_state = 24},
  [14669] = {.lex_state = 60},
  [14670] = {.lex_state = 60, .external_lex_state = 64},
  [14671] = {.lex_state = 0, .external_lex_state = 23},
  [14672] = {.lex_state = 60, .external_lex_state = 24},
  [14673] = {.lex_state = 53},
  [14674] = {.lex_state = 60},
  [14675] = {.lex_state = 60, .external_lex_state = 64},
  [14676] = {.lex_state = 0, .external_lex_state = 23},
  [14677] = {.lex_state = 60},
  [14678] = {.lex_state = 0, .external_lex_state = 25},
  [14679] = {.lex_state = 53},
  [14680] = {.lex_state = 60, .external_lex_state = 24},
  [14681] = {.lex_state = 60},
  [14682] = {.lex_state = 60},
  [14683] = {.lex_state = 60},
  [14684] = {.lex_state = 60},
  [14685] = {.lex_state = 60, .external_lex_state = 64},
  [14686] = {.lex_state = 0, .external_lex_state = 23},
  [14687] = {.lex_state = 60, .external_lex_state = 64},
  [14688] = {.lex_state = 60, .external_lex_state = 64},
  [14689] = {.lex_state = 0, .external_lex_state = 25},
  [14690] = {.lex_state = 60},
  [14691] = {.lex_state = 60, .external_lex_state = 64},
  [14692] = {.lex_state = 60},
  [14693] = {.lex_state = 60},
  [14694] = {.lex_state = 0, .external_lex_state = 23},
  [14695] = {.lex_state = 0, .external_lex_state = 25},
  [14696] = {.lex_state = 60},
  [14697] = {.lex_state = 60},
  [14698] = {.lex_state = 60, .external_lex_state = 24},
  [14699] = {.lex_state = 0, .external_lex_state = 25},
  [14700] = {.lex_state = 0, .external_lex_state = 25},
  [14701] = {.lex_state = 60, .external_lex_state = 64},
  [14702] = {.lex_state = 60},
  [14703] = {.lex_state = 0, .external_lex_state = 25},
  [14704] = {.lex_state = 0, .external_lex_state = 23},
  [14705] = {.lex_state = 53, .external_lex_state = 23},
  [14706] = {.lex_state = 54},
  [14707] = {.lex_state = 60},
  [14708] = {.lex_state = 60, .external_lex_state = 64},
  [14709] = {.lex_state = 0, .external_lex_state = 24},
  [14710] = {.lex_state = 0, .external_lex_state = 25},
  [14711] = {.lex_state = 60, .external_lex_state = 64},
  [14712] = {.lex_state = 60, .external_lex_state = 64},
  [14713] = {.lex_state = 53},
  [14714] = {.lex_state = 60},
  [14715] = {.lex_state = 0, .external_lex_state = 25},
  [14716] = {.lex_state = 0},
  [14717] = {.lex_state = 60},
  [14718] = {.lex_state = 60, .external_lex_state = 64},
  [14719] = {.lex_state = 60, .external_lex_state = 64},
  [14720] = {.lex_state = 0, .external_lex_state = 25},
  [14721] = {.lex_state = 0, .external_lex_state = 25},
  [14722] = {.lex_state = 60, .external_lex_state = 64},
  [14723] = {.lex_state = 60},
  [14724] = {.lex_state = 0, .external_lex_state = 25},
  [14725] = {.lex_state = 53},
  [14726] = {.lex_state = 60},
  [14727] = {.lex_state = 60},
  [14728] = {.lex_state = 60},
  [14729] = {.lex_state = 0},
  [14730] = {.lex_state = 60, .external_lex_state = 64},
  [14731] = {.lex_state = 53},
  [14732] = {.lex_state = 0},
  [14733] = {.lex_state = 0},
  [14734] = {.lex_state = 0},
  [14735] = {.lex_state = 0},
  [14736] = {.lex_state = 0},
  [14737] = {.lex_state = 0},
  [14738] = {.lex_state = 0},
  [14739] = {.lex_state = 0},
  [14740] = {.lex_state = 0, .external_lex_state = 72},
  [14741] = {.lex_state = 0},
  [14742] = {.lex_state = 0},
  [14743] = {.lex_state = 0},
  [14744] = {.lex_state = 0, .external_lex_state = 73},
  [14745] = {.lex_state = 0},
  [14746] = {.lex_state = 0},
  [14747] = {.lex_state = 0},
  [14748] = {.lex_state = 0},
  [14749] = {.lex_state = 0},
  [14750] = {.lex_state = 0},
  [14751] = {.lex_state = 0},
  [14752] = {.lex_state = 0},
  [14753] = {.lex_state = 0},
  [14754] = {.lex_state = 0},
  [14755] = {.lex_state = 0},
  [14756] = {.lex_state = 0},
  [14757] = {.lex_state = 0},
  [14758] = {.lex_state = 0},
  [14759] = {.lex_state = 0, .external_lex_state = 73},
  [14760] = {.lex_state = 0},
  [14761] = {.lex_state = 60},
  [14762] = {.lex_state = 0},
  [14763] = {.lex_state = 0},
  [14764] = {.lex_state = 0, .external_lex_state = 72},
  [14765] = {.lex_state = 0},
  [14766] = {.lex_state = 0},
  [14767] = {.lex_state = 0},
  [14768] = {.lex_state = 0},
  [14769] = {.lex_state = 0},
  [14770] = {.lex_state = 0},
  [14771] = {.lex_state = 0},
  [14772] = {.lex_state = 0},
  [14773] = {.lex_state = 0},
  [14774] = {.lex_state = 0},
  [14775] = {.lex_state = 0},
  [14776] = {.lex_state = 0},
  [14777] = {.lex_state = 0},
  [14778] = {.lex_state = 0},
  [14779] = {.lex_state = 0},
  [14780] = {.lex_state = 0},
  [14781] = {.lex_state = 0},
  [14782] = {.lex_state = 0},
  [14783] = {.lex_state = 0},
  [14784] = {.lex_state = 0},
  [14785] = {.lex_state = 0},
  [14786] = {.lex_state = 0},
  [14787] = {.lex_state = 0},
  [14788] = {.lex_state = 0, .external_lex_state = 72},
  [14789] = {.lex_state = 0},
  [14790] = {.lex_state = 0, .external_lex_state = 73},
  [14791] = {.lex_state = 0},
  [14792] = {.lex_state = 0},
  [14793] = {.lex_state = 0},
  [14794] = {.lex_state = 60},
  [14795] = {.lex_state = 0},
  [14796] = {.lex_state = 0},
  [14797] = {.lex_state = 0},
  [14798] = {.lex_state = 0},
  [14799] = {.lex_state = 60, .external_lex_state = 51},
  [14800] = {.lex_state = 0},
  [14801] = {.lex_state = 0},
  [14802] = {.lex_state = 0},
  [14803] = {.lex_state = 0, .external_lex_state = 25},
  [14804] = {.lex_state = 0},
  [14805] = {.lex_state = 0},
  [14806] = {.lex_state = 0},
  [14807] = {.lex_state = 0},
  [14808] = {.lex_state = 60},
  [14809] = {.lex_state = 0},
  [14810] = {.lex_state = 0},
  [14811] = {.lex_state = 53},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 0, .external_lex_state = 25},
  [14814] = {.lex_state = 0},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 0},
  [14817] = {.lex_state = 0},
  [14818] = {.lex_state = 0},
  [14819] = {.lex_state = 0},
  [14820] = {.lex_state = 0},
  [14821] = {.lex_state = 0, .external_lex_state = 73},
  [14822] = {.lex_state = 60},
  [14823] = {.lex_state = 0},
  [14824] = {.lex_state = 0, .external_lex_state = 72},
  [14825] = {.lex_state = 0},
  [14826] = {.lex_state = 0},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 0},
  [14829] = {.lex_state = 0, .external_lex_state = 73},
  [14830] = {.lex_state = 0},
  [14831] = {.lex_state = 60},
  [14832] = {.lex_state = 0, .external_lex_state = 72},
  [14833] = {.lex_state = 0},
  [14834] = {.lex_state = 0},
  [14835] = {.lex_state = 0},
  [14836] = {.lex_state = 0},
  [14837] = {.lex_state = 0},
  [14838] = {.lex_state = 0},
  [14839] = {.lex_state = 0},
  [14840] = {.lex_state = 0, .external_lex_state = 72},
  [14841] = {.lex_state = 0},
  [14842] = {.lex_state = 0, .external_lex_state = 73},
  [14843] = {.lex_state = 0, .external_lex_state = 72},
  [14844] = {.lex_state = 0, .external_lex_state = 73},
  [14845] = {.lex_state = 0},
  [14846] = {.lex_state = 0},
  [14847] = {.lex_state = 0},
  [14848] = {.lex_state = 0},
  [14849] = {.lex_state = 0},
  [14850] = {.lex_state = 0},
  [14851] = {.lex_state = 0},
  [14852] = {.lex_state = 0},
  [14853] = {.lex_state = 0},
  [14854] = {.lex_state = 0},
  [14855] = {.lex_state = 60},
  [14856] = {.lex_state = 0},
  [14857] = {.lex_state = 0},
  [14858] = {.lex_state = 0},
  [14859] = {.lex_state = 53},
  [14860] = {.lex_state = 0},
  [14861] = {.lex_state = 0, .external_lex_state = 23},
  [14862] = {.lex_state = 0, .external_lex_state = 72},
  [14863] = {.lex_state = 0},
  [14864] = {.lex_state = 0},
  [14865] = {.lex_state = 0},
  [14866] = {.lex_state = 0},
  [14867] = {.lex_state = 0},
  [14868] = {.lex_state = 0},
  [14869] = {.lex_state = 0, .external_lex_state = 72},
  [14870] = {.lex_state = 0},
  [14871] = {.lex_state = 0, .external_lex_state = 73},
  [14872] = {.lex_state = 0},
  [14873] = {.lex_state = 0},
  [14874] = {.lex_state = 0},
  [14875] = {.lex_state = 60},
  [14876] = {.lex_state = 0},
  [14877] = {.lex_state = 0},
  [14878] = {.lex_state = 0, .external_lex_state = 72},
  [14879] = {.lex_state = 60},
  [14880] = {.lex_state = 0},
  [14881] = {.lex_state = 0},
  [14882] = {.lex_state = 0},
  [14883] = {.lex_state = 0},
  [14884] = {.lex_state = 0},
  [14885] = {.lex_state = 0},
  [14886] = {.lex_state = 0, .external_lex_state = 73},
  [14887] = {.lex_state = 0},
  [14888] = {.lex_state = 0},
  [14889] = {.lex_state = 53},
  [14890] = {.lex_state = 0},
  [14891] = {.lex_state = 0},
  [14892] = {.lex_state = 0},
  [14893] = {.lex_state = 0},
  [14894] = {.lex_state = 0},
  [14895] = {.lex_state = 0, .external_lex_state = 72},
  [14896] = {.lex_state = 0},
  [14897] = {.lex_state = 0},
  [14898] = {.lex_state = 0},
  [14899] = {.lex_state = 0},
  [14900] = {.lex_state = 0, .external_lex_state = 73},
  [14901] = {.lex_state = 0},
  [14902] = {.lex_state = 0},
  [14903] = {.lex_state = 0},
  [14904] = {.lex_state = 0, .external_lex_state = 25},
  [14905] = {.lex_state = 0},
  [14906] = {.lex_state = 0},
  [14907] = {.lex_state = 60},
  [14908] = {.lex_state = 0},
  [14909] = {.lex_state = 0, .external_lex_state = 72},
  [14910] = {.lex_state = 0, .external_lex_state = 73},
  [14911] = {.lex_state = 0},
  [14912] = {.lex_state = 0},
  [14913] = {.lex_state = 0},
  [14914] = {.lex_state = 0, .external_lex_state = 72},
  [14915] = {.lex_state = 0, .external_lex_state = 73},
  [14916] = {.lex_state = 0},
  [14917] = {.lex_state = 0},
  [14918] = {.lex_state = 0},
  [14919] = {.lex_state = 0},
  [14920] = {.lex_state = 0},
  [14921] = {.lex_state = 0},
  [14922] = {.lex_state = 0, .external_lex_state = 73},
  [14923] = {.lex_state = 1},
  [14924] = {.lex_state = 0},
  [14925] = {.lex_state = 0, .external_lex_state = 23},
  [14926] = {.lex_state = 0},
  [14927] = {.lex_state = 0},
  [14928] = {.lex_state = 0, .external_lex_state = 73},
  [14929] = {.lex_state = 60},
  [14930] = {.lex_state = 0, .external_lex_state = 73},
  [14931] = {.lex_state = 0},
  [14932] = {.lex_state = 60},
  [14933] = {.lex_state = 0},
  [14934] = {.lex_state = 0},
  [14935] = {.lex_state = 0},
  [14936] = {.lex_state = 0},
  [14937] = {.lex_state = 0},
  [14938] = {.lex_state = 0},
  [14939] = {.lex_state = 0},
  [14940] = {.lex_state = 0, .external_lex_state = 72},
  [14941] = {.lex_state = 0},
  [14942] = {.lex_state = 0},
  [14943] = {.lex_state = 0},
  [14944] = {.lex_state = 0},
  [14945] = {.lex_state = 0},
  [14946] = {.lex_state = 0, .external_lex_state = 72},
  [14947] = {.lex_state = 0, .external_lex_state = 73},
  [14948] = {.lex_state = 0, .external_lex_state = 72},
  [14949] = {.lex_state = 0},
  [14950] = {.lex_state = 0},
  [14951] = {.lex_state = 0},
  [14952] = {.lex_state = 0},
  [14953] = {.lex_state = 0},
  [14954] = {.lex_state = 0, .external_lex_state = 73},
  [14955] = {.lex_state = 0, .external_lex_state = 72},
  [14956] = {.lex_state = 0},
  [14957] = {.lex_state = 0},
  [14958] = {.lex_state = 0},
  [14959] = {.lex_state = 0, .external_lex_state = 73},
  [14960] = {.lex_state = 0},
  [14961] = {.lex_state = 0},
  [14962] = {.lex_state = 0},
  [14963] = {.lex_state = 0, .external_lex_state = 23},
  [14964] = {.lex_state = 0},
  [14965] = {.lex_state = 0},
  [14966] = {.lex_state = 0},
  [14967] = {.lex_state = 0, .external_lex_state = 23},
  [14968] = {.lex_state = 0},
  [14969] = {.lex_state = 0},
  [14970] = {.lex_state = 0, .external_lex_state = 25},
  [14971] = {.lex_state = 0},
  [14972] = {.lex_state = 0},
  [14973] = {.lex_state = 0},
  [14974] = {.lex_state = 0},
  [14975] = {.lex_state = 0},
  [14976] = {.lex_state = 0},
  [14977] = {.lex_state = 0},
  [14978] = {.lex_state = 0},
  [14979] = {.lex_state = 0},
  [14980] = {.lex_state = 0},
  [14981] = {.lex_state = 0, .external_lex_state = 72},
  [14982] = {.lex_state = 0},
  [14983] = {.lex_state = 0},
  [14984] = {.lex_state = 0},
  [14985] = {.lex_state = 0},
  [14986] = {.lex_state = 0},
  [14987] = {.lex_state = 0},
  [14988] = {.lex_state = 60},
  [14989] = {.lex_state = 0},
  [14990] = {.lex_state = 0},
  [14991] = {.lex_state = 0},
  [14992] = {.lex_state = 0},
  [14993] = {.lex_state = 0},
  [14994] = {.lex_state = 60},
  [14995] = {.lex_state = 0, .external_lex_state = 72},
  [14996] = {.lex_state = 0},
  [14997] = {.lex_state = 0, .external_lex_state = 73},
  [14998] = {.lex_state = 0},
  [14999] = {.lex_state = 0},
  [15000] = {.lex_state = 0},
  [15001] = {.lex_state = 0},
  [15002] = {.lex_state = 0},
  [15003] = {.lex_state = 0},
  [15004] = {.lex_state = 0},
  [15005] = {.lex_state = 0, .external_lex_state = 25},
  [15006] = {.lex_state = 0},
  [15007] = {.lex_state = 0},
  [15008] = {.lex_state = 0},
  [15009] = {.lex_state = 0},
  [15010] = {.lex_state = 0},
  [15011] = {.lex_state = 0},
  [15012] = {.lex_state = 60},
  [15013] = {.lex_state = 0},
  [15014] = {.lex_state = 0},
  [15015] = {.lex_state = 0},
  [15016] = {.lex_state = 0},
  [15017] = {.lex_state = 0},
  [15018] = {.lex_state = 0, .external_lex_state = 25},
  [15019] = {.lex_state = 0},
  [15020] = {.lex_state = 0, .external_lex_state = 25},
  [15021] = {.lex_state = 60},
  [15022] = {.lex_state = 0},
  [15023] = {.lex_state = 0},
  [15024] = {.lex_state = 0},
  [15025] = {.lex_state = 0},
  [15026] = {.lex_state = 0, .external_lex_state = 25},
  [15027] = {.lex_state = 1},
  [15028] = {.lex_state = 0},
  [15029] = {.lex_state = 0},
  [15030] = {.lex_state = 0},
  [15031] = {.lex_state = 0},
  [15032] = {.lex_state = 0},
  [15033] = {.lex_state = 0},
  [15034] = {.lex_state = 0},
  [15035] = {.lex_state = 0, .external_lex_state = 23},
  [15036] = {.lex_state = 0, .external_lex_state = 25},
  [15037] = {.lex_state = 0},
  [15038] = {.lex_state = 0},
  [15039] = {.lex_state = 0},
  [15040] = {.lex_state = 0},
  [15041] = {.lex_state = 0},
  [15042] = {.lex_state = 0},
  [15043] = {.lex_state = 0},
  [15044] = {.lex_state = 0},
  [15045] = {.lex_state = 0},
  [15046] = {.lex_state = 0},
  [15047] = {.lex_state = 60},
  [15048] = {.lex_state = 0},
  [15049] = {.lex_state = 0},
  [15050] = {.lex_state = 0},
  [15051] = {.lex_state = 0},
  [15052] = {.lex_state = 0},
  [15053] = {.lex_state = 53},
  [15054] = {.lex_state = 0},
  [15055] = {.lex_state = 0},
  [15056] = {.lex_state = 0},
  [15057] = {.lex_state = 0},
  [15058] = {.lex_state = 0},
  [15059] = {.lex_state = 0, .external_lex_state = 72},
  [15060] = {.lex_state = 0, .external_lex_state = 73},
  [15061] = {.lex_state = 0},
  [15062] = {.lex_state = 0},
  [15063] = {.lex_state = 0},
  [15064] = {.lex_state = 0},
  [15065] = {.lex_state = 60},
  [15066] = {.lex_state = 0},
  [15067] = {.lex_state = 0},
  [15068] = {.lex_state = 0},
  [15069] = {.lex_state = 0},
  [15070] = {.lex_state = 0},
  [15071] = {.lex_state = 0},
  [15072] = {.lex_state = 0},
  [15073] = {.lex_state = 0},
  [15074] = {.lex_state = 0},
  [15075] = {.lex_state = 60},
  [15076] = {.lex_state = 0, .external_lex_state = 25},
  [15077] = {.lex_state = 60},
  [15078] = {.lex_state = 0},
  [15079] = {.lex_state = 0},
  [15080] = {.lex_state = 0},
  [15081] = {.lex_state = 60},
  [15082] = {.lex_state = 0},
  [15083] = {.lex_state = 0},
  [15084] = {.lex_state = 0},
  [15085] = {.lex_state = 0, .external_lex_state = 72},
  [15086] = {.lex_state = 0},
  [15087] = {.lex_state = 0},
  [15088] = {.lex_state = 0},
  [15089] = {.lex_state = 0, .external_lex_state = 73},
  [15090] = {.lex_state = 0},
  [15091] = {.lex_state = 60},
  [15092] = {.lex_state = 0},
  [15093] = {.lex_state = 0},
  [15094] = {.lex_state = 0},
  [15095] = {.lex_state = 0},
  [15096] = {.lex_state = 60},
  [15097] = {.lex_state = 0},
  [15098] = {.lex_state = 0},
  [15099] = {.lex_state = 0},
  [15100] = {.lex_state = 0},
  [15101] = {.lex_state = 0},
  [15102] = {.lex_state = 0},
  [15103] = {.lex_state = 0},
  [15104] = {.lex_state = 0},
  [15105] = {.lex_state = 0, .external_lex_state = 72},
  [15106] = {.lex_state = 0},
  [15107] = {.lex_state = 0, .external_lex_state = 73},
  [15108] = {.lex_state = 0},
  [15109] = {.lex_state = 0},
  [15110] = {.lex_state = 0, .external_lex_state = 23},
  [15111] = {.lex_state = 0},
  [15112] = {.lex_state = 0},
  [15113] = {.lex_state = 0, .external_lex_state = 25},
  [15114] = {.lex_state = 0, .external_lex_state = 72},
  [15115] = {.lex_state = 0},
  [15116] = {.lex_state = 0},
  [15117] = {.lex_state = 0},
  [15118] = {.lex_state = 0},
  [15119] = {.lex_state = 0},
  [15120] = {.lex_state = 0, .external_lex_state = 25},
  [15121] = {.lex_state = 0, .external_lex_state = 73},
  [15122] = {.lex_state = 0},
  [15123] = {.lex_state = 0},
  [15124] = {.lex_state = 0},
  [15125] = {.lex_state = 0},
  [15126] = {.lex_state = 0},
  [15127] = {.lex_state = 0},
  [15128] = {.lex_state = 0},
  [15129] = {.lex_state = 0},
  [15130] = {.lex_state = 0, .external_lex_state = 72},
  [15131] = {.lex_state = 0},
  [15132] = {.lex_state = 53},
  [15133] = {.lex_state = 0},
  [15134] = {.lex_state = 0, .external_lex_state = 73},
  [15135] = {.lex_state = 0},
  [15136] = {.lex_state = 0},
  [15137] = {.lex_state = 0},
  [15138] = {.lex_state = 0},
  [15139] = {.lex_state = 0},
  [15140] = {.lex_state = 0},
  [15141] = {.lex_state = 0},
  [15142] = {.lex_state = 0},
  [15143] = {.lex_state = 0},
  [15144] = {.lex_state = 60},
  [15145] = {.lex_state = 0},
  [15146] = {.lex_state = 0},
  [15147] = {.lex_state = 0},
  [15148] = {.lex_state = 0},
  [15149] = {.lex_state = 0},
  [15150] = {.lex_state = 60},
  [15151] = {.lex_state = 0},
  [15152] = {.lex_state = 0},
  [15153] = {.lex_state = 0},
  [15154] = {.lex_state = 0},
  [15155] = {.lex_state = 0},
  [15156] = {.lex_state = 60},
  [15157] = {.lex_state = 0},
  [15158] = {.lex_state = 0},
  [15159] = {.lex_state = 0},
  [15160] = {.lex_state = 0},
  [15161] = {.lex_state = 60},
  [15162] = {.lex_state = 0},
  [15163] = {.lex_state = 0},
  [15164] = {.lex_state = 0},
  [15165] = {.lex_state = 0},
  [15166] = {.lex_state = 0},
  [15167] = {.lex_state = 0},
  [15168] = {.lex_state = 0},
  [15169] = {.lex_state = 0},
  [15170] = {.lex_state = 0, .external_lex_state = 25},
  [15171] = {.lex_state = 0},
  [15172] = {.lex_state = 0},
  [15173] = {.lex_state = 0},
  [15174] = {.lex_state = 0},
  [15175] = {.lex_state = 0},
  [15176] = {.lex_state = 6},
  [15177] = {.lex_state = 0, .external_lex_state = 72},
  [15178] = {.lex_state = 0},
  [15179] = {.lex_state = 6},
  [15180] = {.lex_state = 0},
  [15181] = {.lex_state = 0, .external_lex_state = 73},
  [15182] = {.lex_state = 0, .external_lex_state = 72},
  [15183] = {.lex_state = 0},
  [15184] = {.lex_state = 0, .external_lex_state = 73},
  [15185] = {.lex_state = 0},
  [15186] = {.lex_state = 0},
  [15187] = {.lex_state = 0},
  [15188] = {.lex_state = 60},
  [15189] = {.lex_state = 0},
  [15190] = {.lex_state = 0},
  [15191] = {.lex_state = 0},
  [15192] = {.lex_state = 0},
  [15193] = {.lex_state = 0},
  [15194] = {.lex_state = 0},
  [15195] = {.lex_state = 0},
  [15196] = {.lex_state = 0, .external_lex_state = 72},
  [15197] = {.lex_state = 0},
  [15198] = {.lex_state = 0},
  [15199] = {.lex_state = 0},
  [15200] = {.lex_state = 0},
  [15201] = {.lex_state = 0},
  [15202] = {.lex_state = 0},
  [15203] = {.lex_state = 0, .external_lex_state = 73},
  [15204] = {.lex_state = 0, .external_lex_state = 72},
  [15205] = {.lex_state = 0},
  [15206] = {.lex_state = 0},
  [15207] = {.lex_state = 0, .external_lex_state = 73},
  [15208] = {.lex_state = 0},
  [15209] = {.lex_state = 0},
  [15210] = {.lex_state = 0},
  [15211] = {.lex_state = 0},
  [15212] = {.lex_state = 0},
  [15213] = {.lex_state = 0},
  [15214] = {.lex_state = 0},
  [15215] = {.lex_state = 0},
  [15216] = {.lex_state = 0},
  [15217] = {.lex_state = 0},
  [15218] = {.lex_state = 0, .external_lex_state = 72},
  [15219] = {.lex_state = 0},
  [15220] = {.lex_state = 0},
  [15221] = {.lex_state = 0},
  [15222] = {.lex_state = 0},
  [15223] = {.lex_state = 0},
  [15224] = {.lex_state = 0},
  [15225] = {.lex_state = 0},
  [15226] = {.lex_state = 60},
  [15227] = {.lex_state = 0},
  [15228] = {.lex_state = 0},
  [15229] = {.lex_state = 0},
  [15230] = {.lex_state = 0},
  [15231] = {.lex_state = 0},
  [15232] = {.lex_state = 0},
  [15233] = {.lex_state = 0},
  [15234] = {.lex_state = 0},
  [15235] = {.lex_state = 0},
  [15236] = {.lex_state = 0},
  [15237] = {.lex_state = 0, .external_lex_state = 25},
  [15238] = {.lex_state = 0},
  [15239] = {.lex_state = 53},
  [15240] = {.lex_state = 0},
  [15241] = {.lex_state = 0},
  [15242] = {.lex_state = 0},
  [15243] = {.lex_state = 0},
  [15244] = {.lex_state = 60},
  [15245] = {.lex_state = 0},
  [15246] = {.lex_state = 0},
  [15247] = {.lex_state = 0},
  [15248] = {.lex_state = 60},
  [15249] = {.lex_state = 0},
  [15250] = {.lex_state = 0},
  [15251] = {.lex_state = 0},
  [15252] = {.lex_state = 0},
  [15253] = {.lex_state = 0},
  [15254] = {.lex_state = 0},
  [15255] = {.lex_state = 0, .external_lex_state = 25},
  [15256] = {.lex_state = 0},
  [15257] = {.lex_state = 0},
  [15258] = {.lex_state = 0},
  [15259] = {.lex_state = 0, .external_lex_state = 25},
  [15260] = {.lex_state = 0},
  [15261] = {.lex_state = 0},
  [15262] = {.lex_state = 60},
  [15263] = {.lex_state = 0},
  [15264] = {.lex_state = 0},
  [15265] = {.lex_state = 0},
  [15266] = {.lex_state = 0},
  [15267] = {.lex_state = 0},
  [15268] = {.lex_state = 0},
  [15269] = {.lex_state = 0},
  [15270] = {.lex_state = 0},
  [15271] = {.lex_state = 0},
  [15272] = {.lex_state = 0},
  [15273] = {.lex_state = 0},
  [15274] = {.lex_state = 0},
  [15275] = {.lex_state = 0},
  [15276] = {.lex_state = 0},
  [15277] = {.lex_state = 0},
  [15278] = {.lex_state = 0},
  [15279] = {.lex_state = 0, .external_lex_state = 73},
  [15280] = {.lex_state = 0},
  [15281] = {.lex_state = 0},
  [15282] = {.lex_state = 0},
  [15283] = {.lex_state = 0},
  [15284] = {.lex_state = 0},
  [15285] = {.lex_state = 0, .external_lex_state = 73},
  [15286] = {.lex_state = 0},
  [15287] = {.lex_state = 0},
  [15288] = {.lex_state = 0},
  [15289] = {.lex_state = 0, .external_lex_state = 24},
  [15290] = {.lex_state = 0},
  [15291] = {.lex_state = 0},
  [15292] = {.lex_state = 0},
  [15293] = {.lex_state = 0},
  [15294] = {.lex_state = 0},
  [15295] = {.lex_state = 0},
  [15296] = {.lex_state = 0},
  [15297] = {.lex_state = 0},
  [15298] = {.lex_state = 0},
  [15299] = {.lex_state = 0, .external_lex_state = 73},
  [15300] = {.lex_state = 0},
  [15301] = {.lex_state = 0},
  [15302] = {.lex_state = 0},
  [15303] = {.lex_state = 0},
  [15304] = {.lex_state = 0},
  [15305] = {.lex_state = 0},
  [15306] = {.lex_state = 0},
  [15307] = {.lex_state = 0},
  [15308] = {.lex_state = 0},
  [15309] = {.lex_state = 0},
  [15310] = {.lex_state = 0},
  [15311] = {.lex_state = 0},
  [15312] = {.lex_state = 0},
  [15313] = {.lex_state = 0},
  [15314] = {.lex_state = 0},
  [15315] = {.lex_state = 60},
  [15316] = {.lex_state = 0},
  [15317] = {.lex_state = 0},
  [15318] = {.lex_state = 0},
  [15319] = {.lex_state = 0},
  [15320] = {.lex_state = 0},
  [15321] = {.lex_state = 0},
  [15322] = {.lex_state = 0},
  [15323] = {.lex_state = 0},
  [15324] = {.lex_state = 0},
  [15325] = {.lex_state = 0, .external_lex_state = 24},
  [15326] = {.lex_state = 0},
  [15327] = {.lex_state = 0},
  [15328] = {.lex_state = 0},
  [15329] = {.lex_state = 0},
  [15330] = {.lex_state = 0},
  [15331] = {.lex_state = 0},
  [15332] = {.lex_state = 0},
  [15333] = {.lex_state = 0},
  [15334] = {.lex_state = 0},
  [15335] = {.lex_state = 0},
  [15336] = {.lex_state = 0, .external_lex_state = 73},
  [15337] = {.lex_state = 0},
  [15338] = {.lex_state = 60},
  [15339] = {.lex_state = 0, .external_lex_state = 72},
  [15340] = {.lex_state = 0},
  [15341] = {.lex_state = 0},
  [15342] = {.lex_state = 0},
  [15343] = {.lex_state = 0},
  [15344] = {.lex_state = 0},
  [15345] = {.lex_state = 0},
  [15346] = {.lex_state = 0},
  [15347] = {.lex_state = 0},
  [15348] = {.lex_state = 0},
  [15349] = {.lex_state = 0},
  [15350] = {.lex_state = 0},
  [15351] = {.lex_state = 0, .external_lex_state = 24},
  [15352] = {.lex_state = 0},
  [15353] = {.lex_state = 0},
  [15354] = {.lex_state = 0},
  [15355] = {.lex_state = 0},
  [15356] = {.lex_state = 0, .external_lex_state = 73},
  [15357] = {.lex_state = 0},
  [15358] = {.lex_state = 0},
  [15359] = {.lex_state = 0},
  [15360] = {.lex_state = 0},
  [15361] = {.lex_state = 0},
  [15362] = {.lex_state = 60},
  [15363] = {.lex_state = 0},
  [15364] = {.lex_state = 0},
  [15365] = {.lex_state = 0},
  [15366] = {.lex_state = 0, .external_lex_state = 72},
  [15367] = {.lex_state = 0},
  [15368] = {.lex_state = 0},
  [15369] = {.lex_state = 0, .external_lex_state = 73},
  [15370] = {.lex_state = 0},
  [15371] = {.lex_state = 0},
  [15372] = {.lex_state = 0},
  [15373] = {.lex_state = 0},
  [15374] = {.lex_state = 0, .external_lex_state = 72},
  [15375] = {.lex_state = 0},
  [15376] = {.lex_state = 0, .external_lex_state = 73},
  [15377] = {.lex_state = 0},
  [15378] = {.lex_state = 60},
  [15379] = {.lex_state = 0},
  [15380] = {.lex_state = 0},
  [15381] = {.lex_state = 0, .external_lex_state = 72},
  [15382] = {.lex_state = 0},
  [15383] = {.lex_state = 0},
  [15384] = {.lex_state = 0},
  [15385] = {.lex_state = 0},
  [15386] = {.lex_state = 0},
  [15387] = {.lex_state = 0, .external_lex_state = 73},
  [15388] = {.lex_state = 0, .external_lex_state = 72},
  [15389] = {.lex_state = 0},
  [15390] = {.lex_state = 60},
  [15391] = {.lex_state = 0},
  [15392] = {.lex_state = 0},
  [15393] = {.lex_state = 0, .external_lex_state = 24},
  [15394] = {.lex_state = 0},
  [15395] = {.lex_state = 60},
  [15396] = {.lex_state = 0},
  [15397] = {.lex_state = 0, .external_lex_state = 23},
  [15398] = {.lex_state = 0},
  [15399] = {.lex_state = 0, .external_lex_state = 24},
  [15400] = {.lex_state = 0},
  [15401] = {.lex_state = 60},
  [15402] = {.lex_state = 0},
  [15403] = {.lex_state = 0},
  [15404] = {.lex_state = 0},
  [15405] = {.lex_state = 0},
  [15406] = {.lex_state = 0, .external_lex_state = 73},
  [15407] = {.lex_state = 0},
  [15408] = {.lex_state = 0},
  [15409] = {.lex_state = 0, .external_lex_state = 24},
  [15410] = {.lex_state = 0},
  [15411] = {.lex_state = 0},
  [15412] = {.lex_state = 60},
  [15413] = {.lex_state = 60},
  [15414] = {.lex_state = 0},
  [15415] = {.lex_state = 0},
  [15416] = {.lex_state = 0},
  [15417] = {.lex_state = 60},
  [15418] = {.lex_state = 0},
  [15419] = {.lex_state = 0},
  [15420] = {.lex_state = 0},
  [15421] = {.lex_state = 0},
  [15422] = {.lex_state = 0, .external_lex_state = 25},
  [15423] = {.lex_state = 0},
  [15424] = {.lex_state = 60},
  [15425] = {.lex_state = 0},
  [15426] = {.lex_state = 60},
  [15427] = {.lex_state = 0, .external_lex_state = 25},
  [15428] = {.lex_state = 0},
  [15429] = {.lex_state = 0},
  [15430] = {.lex_state = 0},
  [15431] = {.lex_state = 0},
  [15432] = {.lex_state = 0},
  [15433] = {.lex_state = 0},
  [15434] = {.lex_state = 0},
  [15435] = {.lex_state = 0},
  [15436] = {.lex_state = 0},
  [15437] = {.lex_state = 0},
  [15438] = {.lex_state = 0},
  [15439] = {.lex_state = 0},
  [15440] = {.lex_state = 0},
  [15441] = {.lex_state = 0},
  [15442] = {.lex_state = 0},
  [15443] = {.lex_state = 0},
  [15444] = {.lex_state = 0},
  [15445] = {.lex_state = 0},
  [15446] = {.lex_state = 0},
  [15447] = {.lex_state = 0},
  [15448] = {.lex_state = 0},
  [15449] = {.lex_state = 0},
  [15450] = {.lex_state = 0},
  [15451] = {.lex_state = 0},
  [15452] = {.lex_state = 0},
  [15453] = {.lex_state = 0, .external_lex_state = 73},
  [15454] = {.lex_state = 60},
  [15455] = {.lex_state = 0, .external_lex_state = 73},
  [15456] = {.lex_state = 0},
  [15457] = {.lex_state = 0, .external_lex_state = 72},
  [15458] = {.lex_state = 0},
  [15459] = {.lex_state = 0},
  [15460] = {.lex_state = 0},
  [15461] = {.lex_state = 0},
  [15462] = {.lex_state = 0},
  [15463] = {.lex_state = 0},
  [15464] = {.lex_state = 0},
  [15465] = {.lex_state = 0},
  [15466] = {.lex_state = 0},
  [15467] = {.lex_state = 0},
  [15468] = {.lex_state = 0},
  [15469] = {.lex_state = 0},
  [15470] = {.lex_state = 0},
  [15471] = {.lex_state = 0},
  [15472] = {.lex_state = 0},
  [15473] = {.lex_state = 0},
  [15474] = {.lex_state = 0},
  [15475] = {.lex_state = 0},
  [15476] = {.lex_state = 0},
  [15477] = {.lex_state = 0},
  [15478] = {.lex_state = 0, .external_lex_state = 72},
  [15479] = {.lex_state = 0},
  [15480] = {.lex_state = 0},
  [15481] = {.lex_state = 0},
  [15482] = {.lex_state = 0},
  [15483] = {.lex_state = 0, .external_lex_state = 73},
  [15484] = {.lex_state = 0},
  [15485] = {.lex_state = 0},
  [15486] = {.lex_state = 0, .external_lex_state = 73},
  [15487] = {.lex_state = 0},
  [15488] = {.lex_state = 0, .external_lex_state = 72},
  [15489] = {.lex_state = 0},
  [15490] = {.lex_state = 0, .external_lex_state = 24},
  [15491] = {.lex_state = 0},
  [15492] = {.lex_state = 0},
  [15493] = {.lex_state = 0},
  [15494] = {.lex_state = 0, .external_lex_state = 72},
  [15495] = {.lex_state = 0, .external_lex_state = 73},
  [15496] = {.lex_state = 0, .external_lex_state = 72},
  [15497] = {.lex_state = 0, .external_lex_state = 72},
  [15498] = {.lex_state = 0},
  [15499] = {.lex_state = 0, .external_lex_state = 72},
  [15500] = {.lex_state = 0, .external_lex_state = 73},
  [15501] = {.lex_state = 0},
  [15502] = {.lex_state = 0},
  [15503] = {.lex_state = 150},
  [15504] = {.lex_state = 0},
  [15505] = {.lex_state = 0},
  [15506] = {.lex_state = 0},
  [15507] = {.lex_state = 0},
  [15508] = {.lex_state = 0},
  [15509] = {.lex_state = 60},
  [15510] = {.lex_state = 0},
  [15511] = {.lex_state = 0},
  [15512] = {.lex_state = 0},
  [15513] = {.lex_state = 0},
  [15514] = {.lex_state = 0},
  [15515] = {.lex_state = 0},
  [15516] = {.lex_state = 0},
  [15517] = {.lex_state = 0},
  [15518] = {.lex_state = 0},
  [15519] = {.lex_state = 0},
  [15520] = {.lex_state = 0},
  [15521] = {.lex_state = 0},
  [15522] = {.lex_state = 0, .external_lex_state = 23},
  [15523] = {.lex_state = 0},
  [15524] = {.lex_state = 0, .external_lex_state = 73},
  [15525] = {.lex_state = 60},
  [15526] = {.lex_state = 0, .external_lex_state = 72},
  [15527] = {.lex_state = 0},
  [15528] = {.lex_state = 0},
  [15529] = {.lex_state = 0},
  [15530] = {.lex_state = 0},
  [15531] = {.lex_state = 0},
  [15532] = {.lex_state = 60},
  [15533] = {.lex_state = 0},
  [15534] = {.lex_state = 0},
  [15535] = {.lex_state = 0},
  [15536] = {.lex_state = 0},
  [15537] = {.lex_state = 0},
  [15538] = {.lex_state = 0},
  [15539] = {.lex_state = 60},
  [15540] = {.lex_state = 0},
  [15541] = {.lex_state = 60},
  [15542] = {.lex_state = 0},
  [15543] = {.lex_state = 0},
  [15544] = {.lex_state = 0},
  [15545] = {.lex_state = 0},
  [15546] = {.lex_state = 0, .external_lex_state = 23},
  [15547] = {.lex_state = 0},
  [15548] = {.lex_state = 0},
  [15549] = {.lex_state = 0},
  [15550] = {.lex_state = 0},
  [15551] = {.lex_state = 0},
  [15552] = {.lex_state = 0},
  [15553] = {.lex_state = 0},
  [15554] = {.lex_state = 0},
  [15555] = {.lex_state = 0},
  [15556] = {.lex_state = 60},
  [15557] = {.lex_state = 0},
  [15558] = {.lex_state = 0, .external_lex_state = 72},
  [15559] = {.lex_state = 0},
  [15560] = {.lex_state = 0},
  [15561] = {.lex_state = 0},
  [15562] = {.lex_state = 0, .external_lex_state = 72},
  [15563] = {.lex_state = 0},
  [15564] = {.lex_state = 0},
  [15565] = {.lex_state = 0, .external_lex_state = 24},
  [15566] = {.lex_state = 0, .external_lex_state = 25},
  [15567] = {.lex_state = 0},
  [15568] = {.lex_state = 0, .external_lex_state = 23},
  [15569] = {.lex_state = 0},
  [15570] = {.lex_state = 0},
  [15571] = {.lex_state = 0},
  [15572] = {.lex_state = 60},
  [15573] = {.lex_state = 0},
  [15574] = {.lex_state = 0, .external_lex_state = 73},
  [15575] = {.lex_state = 60},
  [15576] = {.lex_state = 0},
  [15577] = {.lex_state = 0},
  [15578] = {.lex_state = 0},
  [15579] = {.lex_state = 0},
  [15580] = {.lex_state = 0},
  [15581] = {.lex_state = 0},
  [15582] = {.lex_state = 0},
  [15583] = {.lex_state = 0, .external_lex_state = 25},
  [15584] = {.lex_state = 60},
  [15585] = {.lex_state = 0},
  [15586] = {.lex_state = 0},
  [15587] = {.lex_state = 0},
  [15588] = {.lex_state = 0},
  [15589] = {.lex_state = 0, .external_lex_state = 72},
  [15590] = {.lex_state = 0},
  [15591] = {.lex_state = 0, .external_lex_state = 73},
  [15592] = {.lex_state = 0},
  [15593] = {.lex_state = 0},
  [15594] = {.lex_state = 0},
  [15595] = {.lex_state = 60},
  [15596] = {.lex_state = 0},
  [15597] = {.lex_state = 0},
  [15598] = {.lex_state = 0},
  [15599] = {.lex_state = 0},
  [15600] = {.lex_state = 0},
  [15601] = {.lex_state = 0, .external_lex_state = 23},
  [15602] = {.lex_state = 0},
  [15603] = {.lex_state = 0},
  [15604] = {.lex_state = 0},
  [15605] = {.lex_state = 0},
  [15606] = {.lex_state = 0},
  [15607] = {.lex_state = 0},
  [15608] = {.lex_state = 0},
  [15609] = {.lex_state = 0},
  [15610] = {.lex_state = 0},
  [15611] = {.lex_state = 0},
  [15612] = {.lex_state = 0},
  [15613] = {.lex_state = 0, .external_lex_state = 73},
  [15614] = {.lex_state = 0},
  [15615] = {.lex_state = 0},
  [15616] = {.lex_state = 0},
  [15617] = {.lex_state = 0},
  [15618] = {.lex_state = 0},
  [15619] = {.lex_state = 0},
  [15620] = {.lex_state = 0},
  [15621] = {.lex_state = 0},
  [15622] = {.lex_state = 0},
  [15623] = {.lex_state = 0},
  [15624] = {.lex_state = 0, .external_lex_state = 73},
  [15625] = {.lex_state = 60},
  [15626] = {.lex_state = 0},
  [15627] = {.lex_state = 60},
  [15628] = {.lex_state = 0, .external_lex_state = 72},
  [15629] = {.lex_state = 60},
  [15630] = {.lex_state = 60},
  [15631] = {.lex_state = 0, .external_lex_state = 72},
  [15632] = {.lex_state = 0},
  [15633] = {.lex_state = 0},
  [15634] = {.lex_state = 0},
  [15635] = {.lex_state = 0, .external_lex_state = 72},
  [15636] = {.lex_state = 0, .external_lex_state = 73},
  [15637] = {.lex_state = 0},
  [15638] = {.lex_state = 0},
  [15639] = {.lex_state = 60},
  [15640] = {.lex_state = 0},
  [15641] = {.lex_state = 0, .external_lex_state = 72},
  [15642] = {.lex_state = 0, .external_lex_state = 73},
  [15643] = {.lex_state = 0},
  [15644] = {.lex_state = 0, .external_lex_state = 72},
  [15645] = {.lex_state = 0},
  [15646] = {.lex_state = 60},
  [15647] = {.lex_state = 0},
  [15648] = {.lex_state = 0},
  [15649] = {.lex_state = 0},
  [15650] = {.lex_state = 0, .external_lex_state = 25},
  [15651] = {.lex_state = 0},
  [15652] = {.lex_state = 0},
  [15653] = {.lex_state = 0},
  [15654] = {.lex_state = 0},
  [15655] = {.lex_state = 0},
  [15656] = {.lex_state = 0},
  [15657] = {.lex_state = 0},
  [15658] = {.lex_state = 0},
  [15659] = {.lex_state = 53},
  [15660] = {.lex_state = 0},
  [15661] = {.lex_state = 0},
  [15662] = {.lex_state = 0},
  [15663] = {.lex_state = 0},
  [15664] = {.lex_state = 0},
  [15665] = {.lex_state = 0},
  [15666] = {.lex_state = 0},
  [15667] = {.lex_state = 0},
  [15668] = {.lex_state = 0, .external_lex_state = 72},
  [15669] = {.lex_state = 0},
  [15670] = {.lex_state = 60},
  [15671] = {.lex_state = 60},
  [15672] = {.lex_state = 0},
  [15673] = {.lex_state = 0},
  [15674] = {.lex_state = 0, .external_lex_state = 24},
  [15675] = {.lex_state = 0, .external_lex_state = 73},
  [15676] = {.lex_state = 60},
  [15677] = {.lex_state = 0},
  [15678] = {.lex_state = 0},
  [15679] = {.lex_state = 0},
  [15680] = {.lex_state = 0},
  [15681] = {.lex_state = 0},
  [15682] = {.lex_state = 60},
  [15683] = {.lex_state = 60},
  [15684] = {.lex_state = 0},
  [15685] = {.lex_state = 0},
  [15686] = {.lex_state = 0},
  [15687] = {.lex_state = 0},
  [15688] = {.lex_state = 0},
  [15689] = {.lex_state = 0},
  [15690] = {.lex_state = 0},
  [15691] = {.lex_state = 0},
  [15692] = {.lex_state = 0},
  [15693] = {.lex_state = 0},
  [15694] = {.lex_state = 60},
  [15695] = {.lex_state = 0},
  [15696] = {.lex_state = 0},
  [15697] = {.lex_state = 0},
  [15698] = {.lex_state = 0},
  [15699] = {.lex_state = 0},
  [15700] = {.lex_state = 0},
  [15701] = {.lex_state = 0, .external_lex_state = 73},
  [15702] = {.lex_state = 0},
  [15703] = {.lex_state = 0},
  [15704] = {.lex_state = 0},
  [15705] = {.lex_state = 60},
  [15706] = {.lex_state = 0},
  [15707] = {.lex_state = 0},
  [15708] = {.lex_state = 0},
  [15709] = {.lex_state = 0},
  [15710] = {.lex_state = 60},
  [15711] = {.lex_state = 0},
  [15712] = {.lex_state = 0},
  [15713] = {.lex_state = 0, .external_lex_state = 23},
  [15714] = {.lex_state = 0},
  [15715] = {.lex_state = 0},
  [15716] = {.lex_state = 0},
  [15717] = {.lex_state = 60},
  [15718] = {.lex_state = 0},
  [15719] = {.lex_state = 54, .external_lex_state = 71},
  [15720] = {.lex_state = 0},
  [15721] = {.lex_state = 0},
  [15722] = {.lex_state = 0},
  [15723] = {.lex_state = 0},
  [15724] = {.lex_state = 0},
  [15725] = {.lex_state = 0},
  [15726] = {.lex_state = 0},
  [15727] = {.lex_state = 0},
  [15728] = {.lex_state = 0},
  [15729] = {.lex_state = 0},
  [15730] = {.lex_state = 0},
  [15731] = {.lex_state = 0, .external_lex_state = 72},
  [15732] = {.lex_state = 0, .external_lex_state = 73},
  [15733] = {.lex_state = 0},
  [15734] = {.lex_state = 0},
  [15735] = {.lex_state = 0, .external_lex_state = 72},
  [15736] = {.lex_state = 0},
  [15737] = {.lex_state = 0},
  [15738] = {.lex_state = 0},
  [15739] = {.lex_state = 60},
  [15740] = {.lex_state = 0, .external_lex_state = 73},
  [15741] = {.lex_state = 0},
  [15742] = {.lex_state = 0},
  [15743] = {.lex_state = 0},
  [15744] = {.lex_state = 60},
  [15745] = {.lex_state = 0},
  [15746] = {.lex_state = 0},
  [15747] = {.lex_state = 0},
  [15748] = {.lex_state = 0},
  [15749] = {.lex_state = 0, .external_lex_state = 73},
  [15750] = {.lex_state = 0, .external_lex_state = 25},
  [15751] = {.lex_state = 60},
  [15752] = {.lex_state = 0},
  [15753] = {.lex_state = 0},
  [15754] = {.lex_state = 0},
  [15755] = {.lex_state = 0},
  [15756] = {.lex_state = 0},
  [15757] = {.lex_state = 0},
  [15758] = {.lex_state = 0},
  [15759] = {.lex_state = 0},
  [15760] = {.lex_state = 0},
  [15761] = {.lex_state = 0},
  [15762] = {.lex_state = 0},
  [15763] = {.lex_state = 0},
  [15764] = {.lex_state = 0},
  [15765] = {.lex_state = 0, .external_lex_state = 72},
  [15766] = {.lex_state = 1},
  [15767] = {.lex_state = 0},
  [15768] = {.lex_state = 0, .external_lex_state = 25},
  [15769] = {.lex_state = 0},
  [15770] = {.lex_state = 0},
  [15771] = {.lex_state = 0},
  [15772] = {.lex_state = 60},
  [15773] = {.lex_state = 0},
  [15774] = {.lex_state = 0},
  [15775] = {.lex_state = 60},
  [15776] = {.lex_state = 0, .external_lex_state = 25},
  [15777] = {.lex_state = 60},
  [15778] = {.lex_state = 0},
  [15779] = {.lex_state = 0},
  [15780] = {.lex_state = 0},
  [15781] = {.lex_state = 60},
  [15782] = {.lex_state = 0},
  [15783] = {.lex_state = 0},
  [15784] = {.lex_state = 60},
  [15785] = {.lex_state = 0},
  [15786] = {.lex_state = 60},
  [15787] = {.lex_state = 0},
  [15788] = {.lex_state = 0},
  [15789] = {.lex_state = 0},
  [15790] = {.lex_state = 0},
  [15791] = {.lex_state = 0},
  [15792] = {.lex_state = 0},
  [15793] = {.lex_state = 0},
  [15794] = {.lex_state = 53},
  [15795] = {.lex_state = 0, .external_lex_state = 73},
  [15796] = {.lex_state = 0},
  [15797] = {.lex_state = 0},
  [15798] = {.lex_state = 0},
  [15799] = {.lex_state = 0},
  [15800] = {.lex_state = 0, .external_lex_state = 73},
  [15801] = {.lex_state = 60},
  [15802] = {.lex_state = 0},
  [15803] = {.lex_state = 0},
  [15804] = {.lex_state = 0},
  [15805] = {.lex_state = 60},
  [15806] = {.lex_state = 0},
  [15807] = {.lex_state = 0, .external_lex_state = 72},
  [15808] = {.lex_state = 60},
  [15809] = {.lex_state = 0},
  [15810] = {.lex_state = 60},
  [15811] = {.lex_state = 0},
  [15812] = {.lex_state = 0},
  [15813] = {.lex_state = 0, .external_lex_state = 72},
  [15814] = {.lex_state = 0},
  [15815] = {.lex_state = 0},
  [15816] = {.lex_state = 0},
  [15817] = {.lex_state = 60},
  [15818] = {.lex_state = 0},
  [15819] = {.lex_state = 0},
  [15820] = {.lex_state = 0},
  [15821] = {.lex_state = 0},
  [15822] = {.lex_state = 0},
  [15823] = {.lex_state = 0},
  [15824] = {.lex_state = 0, .external_lex_state = 72},
  [15825] = {.lex_state = 0},
  [15826] = {.lex_state = 0},
  [15827] = {.lex_state = 0},
  [15828] = {.lex_state = 0},
  [15829] = {.lex_state = 0},
  [15830] = {.lex_state = 60},
  [15831] = {.lex_state = 0},
  [15832] = {.lex_state = 0, .external_lex_state = 25},
  [15833] = {.lex_state = 0},
  [15834] = {.lex_state = 0},
  [15835] = {.lex_state = 0},
  [15836] = {.lex_state = 0},
  [15837] = {.lex_state = 0},
  [15838] = {.lex_state = 60},
  [15839] = {.lex_state = 0},
  [15840] = {.lex_state = 0},
  [15841] = {.lex_state = 0},
  [15842] = {.lex_state = 0},
  [15843] = {.lex_state = 60},
  [15844] = {.lex_state = 0},
  [15845] = {.lex_state = 0},
  [15846] = {.lex_state = 0},
  [15847] = {.lex_state = 0},
  [15848] = {.lex_state = 0},
  [15849] = {.lex_state = 60},
  [15850] = {.lex_state = 0},
  [15851] = {.lex_state = 53},
  [15852] = {.lex_state = 60},
  [15853] = {.lex_state = 60},
  [15854] = {.lex_state = 0},
  [15855] = {.lex_state = 60},
  [15856] = {.lex_state = 0},
  [15857] = {.lex_state = 0},
  [15858] = {.lex_state = 0},
  [15859] = {.lex_state = 0},
  [15860] = {.lex_state = 0},
  [15861] = {.lex_state = 60},
  [15862] = {.lex_state = 0},
  [15863] = {.lex_state = 0},
  [15864] = {.lex_state = 60},
  [15865] = {.lex_state = 60},
  [15866] = {.lex_state = 0},
  [15867] = {.lex_state = 0},
  [15868] = {.lex_state = 60},
  [15869] = {.lex_state = 0},
  [15870] = {.lex_state = 0},
  [15871] = {.lex_state = 0},
  [15872] = {.lex_state = 0},
  [15873] = {.lex_state = 60},
  [15874] = {.lex_state = 0},
  [15875] = {.lex_state = 0},
  [15876] = {.lex_state = 0},
  [15877] = {.lex_state = 0},
  [15878] = {.lex_state = 60},
  [15879] = {.lex_state = 0, .external_lex_state = 72},
  [15880] = {.lex_state = 60, .external_lex_state = 64},
  [15881] = {.lex_state = 0, .external_lex_state = 72},
  [15882] = {.lex_state = 0, .external_lex_state = 72},
  [15883] = {.lex_state = 0},
  [15884] = {.lex_state = 0},
  [15885] = {.lex_state = 60},
  [15886] = {.lex_state = 0},
  [15887] = {.lex_state = 0},
  [15888] = {.lex_state = 0},
  [15889] = {.lex_state = 60},
  [15890] = {.lex_state = 0, .external_lex_state = 25},
  [15891] = {.lex_state = 0},
  [15892] = {.lex_state = 0},
  [15893] = {.lex_state = 0, .external_lex_state = 25},
  [15894] = {.lex_state = 60, .external_lex_state = 51},
  [15895] = {.lex_state = 0, .external_lex_state = 25},
  [15896] = {.lex_state = 0},
  [15897] = {.lex_state = 0},
  [15898] = {.lex_state = 0, .external_lex_state = 73},
  [15899] = {.lex_state = 60},
  [15900] = {.lex_state = 60},
  [15901] = {.lex_state = 0},
  [15902] = {.lex_state = 0, .external_lex_state = 25},
  [15903] = {.lex_state = 60},
  [15904] = {.lex_state = 0},
  [15905] = {.lex_state = 60},
  [15906] = {.lex_state = 0},
  [15907] = {.lex_state = 60},
  [15908] = {.lex_state = 0},
  [15909] = {.lex_state = 0, .external_lex_state = 73},
  [15910] = {.lex_state = 0},
  [15911] = {.lex_state = 0, .external_lex_state = 72},
  [15912] = {.lex_state = 0},
  [15913] = {.lex_state = 0},
  [15914] = {.lex_state = 0},
  [15915] = {.lex_state = 0},
  [15916] = {.lex_state = 0},
  [15917] = {.lex_state = 0},
  [15918] = {.lex_state = 60},
  [15919] = {.lex_state = 0},
  [15920] = {.lex_state = 0},
  [15921] = {.lex_state = 60},
  [15922] = {.lex_state = 60},
  [15923] = {.lex_state = 0},
  [15924] = {.lex_state = 60},
  [15925] = {.lex_state = 0, .external_lex_state = 25},
  [15926] = {.lex_state = 0},
  [15927] = {.lex_state = 0},
  [15928] = {.lex_state = 0},
  [15929] = {.lex_state = 0},
  [15930] = {.lex_state = 60},
  [15931] = {.lex_state = 0},
  [15932] = {.lex_state = 53},
  [15933] = {.lex_state = 0},
  [15934] = {.lex_state = 0},
  [15935] = {.lex_state = 0},
  [15936] = {.lex_state = 0},
  [15937] = {.lex_state = 0},
  [15938] = {.lex_state = 60},
  [15939] = {.lex_state = 0},
  [15940] = {.lex_state = 60},
  [15941] = {.lex_state = 0},
  [15942] = {.lex_state = 0, .external_lex_state = 25},
  [15943] = {.lex_state = 0},
  [15944] = {.lex_state = 0},
  [15945] = {.lex_state = 0, .external_lex_state = 25},
  [15946] = {.lex_state = 60},
  [15947] = {.lex_state = 0},
  [15948] = {.lex_state = 0},
  [15949] = {.lex_state = 0},
  [15950] = {.lex_state = 60},
  [15951] = {.lex_state = 0},
  [15952] = {.lex_state = 53},
  [15953] = {.lex_state = 0},
  [15954] = {.lex_state = 0},
  [15955] = {.lex_state = 0, .external_lex_state = 73},
  [15956] = {.lex_state = 60},
  [15957] = {.lex_state = 0, .external_lex_state = 73},
  [15958] = {.lex_state = 53},
  [15959] = {.lex_state = 0},
  [15960] = {.lex_state = 0},
  [15961] = {.lex_state = 60},
  [15962] = {.lex_state = 60},
  [15963] = {.lex_state = 0, .external_lex_state = 25},
  [15964] = {.lex_state = 60, .external_lex_state = 51},
  [15965] = {.lex_state = 0},
  [15966] = {.lex_state = 0},
  [15967] = {.lex_state = 0},
  [15968] = {.lex_state = 0},
  [15969] = {.lex_state = 0},
  [15970] = {.lex_state = 0},
  [15971] = {.lex_state = 60, .external_lex_state = 51},
  [15972] = {.lex_state = 0, .external_lex_state = 73},
  [15973] = {.lex_state = 0},
  [15974] = {.lex_state = 60},
  [15975] = {.lex_state = 0},
  [15976] = {.lex_state = 0},
  [15977] = {.lex_state = 0},
  [15978] = {.lex_state = 0, .external_lex_state = 25},
  [15979] = {.lex_state = 0, .external_lex_state = 25},
  [15980] = {.lex_state = 0},
  [15981] = {.lex_state = 60},
  [15982] = {.lex_state = 0, .external_lex_state = 25},
  [15983] = {.lex_state = 0},
  [15984] = {.lex_state = 60},
  [15985] = {.lex_state = 0},
  [15986] = {.lex_state = 0},
  [15987] = {.lex_state = 0},
  [15988] = {.lex_state = 60},
  [15989] = {.lex_state = 0},
  [15990] = {.lex_state = 0},
  [15991] = {.lex_state = 0, .external_lex_state = 25},
  [15992] = {.lex_state = 60},
  [15993] = {.lex_state = 60},
  [15994] = {.lex_state = 0},
  [15995] = {.lex_state = 0, .external_lex_state = 25},
  [15996] = {.lex_state = 0},
  [15997] = {.lex_state = 0},
  [15998] = {.lex_state = 0},
  [15999] = {.lex_state = 0},
  [16000] = {.lex_state = 0},
  [16001] = {.lex_state = 60},
  [16002] = {.lex_state = 0},
  [16003] = {.lex_state = 0},
  [16004] = {.lex_state = 0},
  [16005] = {.lex_state = 0},
  [16006] = {.lex_state = 0, .external_lex_state = 25},
  [16007] = {.lex_state = 0},
  [16008] = {.lex_state = 60, .external_lex_state = 51},
  [16009] = {.lex_state = 60},
  [16010] = {.lex_state = 0},
  [16011] = {.lex_state = 0},
  [16012] = {.lex_state = 0, .external_lex_state = 73},
  [16013] = {.lex_state = 60, .external_lex_state = 64},
  [16014] = {.lex_state = 0, .external_lex_state = 25},
  [16015] = {.lex_state = 0},
  [16016] = {.lex_state = 0},
  [16017] = {.lex_state = 60},
  [16018] = {.lex_state = 60},
  [16019] = {.lex_state = 0},
  [16020] = {.lex_state = 60},
  [16021] = {.lex_state = 0},
  [16022] = {.lex_state = 0},
  [16023] = {.lex_state = 0},
  [16024] = {.lex_state = 60},
  [16025] = {.lex_state = 0},
  [16026] = {.lex_state = 0},
  [16027] = {.lex_state = 60, .external_lex_state = 64},
  [16028] = {.lex_state = 60, .external_lex_state = 64},
  [16029] = {.lex_state = 0, .external_lex_state = 25},
  [16030] = {.lex_state = 60, .external_lex_state = 64},
  [16031] = {.lex_state = 0},
  [16032] = {.lex_state = 0},
  [16033] = {.lex_state = 60},
  [16034] = {.lex_state = 60, .external_lex_state = 64},
  [16035] = {.lex_state = 60, .external_lex_state = 64},
  [16036] = {.lex_state = 0},
  [16037] = {.lex_state = 0, .external_lex_state = 25},
  [16038] = {.lex_state = 0},
  [16039] = {.lex_state = 0},
  [16040] = {.lex_state = 60},
  [16041] = {.lex_state = 0},
  [16042] = {.lex_state = 60},
  [16043] = {.lex_state = 0},
  [16044] = {.lex_state = 0},
  [16045] = {.lex_state = 0},
  [16046] = {.lex_state = 60},
  [16047] = {.lex_state = 0},
  [16048] = {.lex_state = 1},
  [16049] = {.lex_state = 0},
  [16050] = {.lex_state = 60},
  [16051] = {.lex_state = 60},
  [16052] = {.lex_state = 0, .external_lex_state = 25},
  [16053] = {.lex_state = 0, .external_lex_state = 72},
  [16054] = {.lex_state = 0},
  [16055] = {.lex_state = 60, .external_lex_state = 64},
  [16056] = {.lex_state = 0},
  [16057] = {.lex_state = 0},
  [16058] = {.lex_state = 0, .external_lex_state = 25},
  [16059] = {.lex_state = 60},
  [16060] = {.lex_state = 0},
  [16061] = {.lex_state = 0},
  [16062] = {.lex_state = 53},
  [16063] = {.lex_state = 53},
  [16064] = {.lex_state = 60, .external_lex_state = 51},
  [16065] = {.lex_state = 60, .external_lex_state = 51},
  [16066] = {.lex_state = 0},
  [16067] = {.lex_state = 60},
  [16068] = {.lex_state = 0, .external_lex_state = 25},
  [16069] = {.lex_state = 0},
  [16070] = {.lex_state = 60, .external_lex_state = 64},
  [16071] = {.lex_state = 0},
  [16072] = {.lex_state = 0},
  [16073] = {.lex_state = 0},
  [16074] = {.lex_state = 60},
  [16075] = {.lex_state = 0, .external_lex_state = 25},
  [16076] = {.lex_state = 60},
  [16077] = {.lex_state = 0},
  [16078] = {.lex_state = 0},
  [16079] = {.lex_state = 0},
  [16080] = {.lex_state = 60},
  [16081] = {.lex_state = 0, .external_lex_state = 25},
  [16082] = {.lex_state = 0},
  [16083] = {.lex_state = 0},
  [16084] = {.lex_state = 0, .external_lex_state = 25},
  [16085] = {.lex_state = 0},
  [16086] = {.lex_state = 60},
  [16087] = {.lex_state = 60, .external_lex_state = 64},
  [16088] = {.lex_state = 0, .external_lex_state = 25},
  [16089] = {.lex_state = 0},
  [16090] = {.lex_state = 60, .external_lex_state = 51},
  [16091] = {.lex_state = 0},
  [16092] = {.lex_state = 0},
  [16093] = {.lex_state = 0},
  [16094] = {.lex_state = 0},
  [16095] = {.lex_state = 60},
  [16096] = {.lex_state = 60},
  [16097] = {.lex_state = 0},
  [16098] = {.lex_state = 60},
  [16099] = {.lex_state = 0},
  [16100] = {.lex_state = 0, .external_lex_state = 73},
  [16101] = {.lex_state = 0, .external_lex_state = 72},
  [16102] = {.lex_state = 0},
  [16103] = {.lex_state = 60},
  [16104] = {.lex_state = 53},
  [16105] = {.lex_state = 0, .external_lex_state = 25},
  [16106] = {.lex_state = 0},
  [16107] = {.lex_state = 0},
  [16108] = {.lex_state = 53},
  [16109] = {.lex_state = 0},
  [16110] = {.lex_state = 60},
  [16111] = {.lex_state = 0},
  [16112] = {.lex_state = 60},
  [16113] = {.lex_state = 60, .external_lex_state = 64},
  [16114] = {.lex_state = 0, .external_lex_state = 25},
  [16115] = {.lex_state = 60, .external_lex_state = 64},
  [16116] = {.lex_state = 0},
  [16117] = {.lex_state = 0},
  [16118] = {.lex_state = 0},
  [16119] = {.lex_state = 0},
  [16120] = {.lex_state = 0},
  [16121] = {.lex_state = 0},
  [16122] = {.lex_state = 60},
  [16123] = {.lex_state = 0},
  [16124] = {.lex_state = 53},
  [16125] = {.lex_state = 0},
  [16126] = {.lex_state = 0},
  [16127] = {.lex_state = 60},
  [16128] = {.lex_state = 0},
  [16129] = {.lex_state = 60},
  [16130] = {.lex_state = 0},
  [16131] = {.lex_state = 0},
  [16132] = {.lex_state = 60},
  [16133] = {.lex_state = 0, .external_lex_state = 25},
  [16134] = {.lex_state = 60, .external_lex_state = 64},
  [16135] = {.lex_state = 60, .external_lex_state = 64},
  [16136] = {.lex_state = 53},
  [16137] = {.lex_state = 60},
  [16138] = {.lex_state = 0, .external_lex_state = 25},
  [16139] = {.lex_state = 0},
  [16140] = {.lex_state = 0},
  [16141] = {.lex_state = 60, .external_lex_state = 51},
  [16142] = {.lex_state = 0},
  [16143] = {.lex_state = 0},
  [16144] = {.lex_state = 0},
  [16145] = {.lex_state = 60},
  [16146] = {.lex_state = 0},
  [16147] = {.lex_state = 0, .external_lex_state = 72},
  [16148] = {.lex_state = 0},
  [16149] = {.lex_state = 0},
  [16150] = {.lex_state = 0},
  [16151] = {.lex_state = 0},
  [16152] = {.lex_state = 0},
  [16153] = {.lex_state = 0},
  [16154] = {.lex_state = 0},
  [16155] = {.lex_state = 0},
  [16156] = {.lex_state = 0, .external_lex_state = 64},
  [16157] = {.lex_state = 0},
  [16158] = {.lex_state = 0},
  [16159] = {.lex_state = 60, .external_lex_state = 48},
  [16160] = {.lex_state = 0},
  [16161] = {.lex_state = 0},
  [16162] = {.lex_state = 0},
  [16163] = {.lex_state = 60, .external_lex_state = 48},
  [16164] = {.lex_state = 0, .external_lex_state = 64},
  [16165] = {.lex_state = 0},
  [16166] = {.lex_state = 0},
  [16167] = {.lex_state = 0},
  [16168] = {.lex_state = 0, .external_lex_state = 64},
  [16169] = {.lex_state = 6},
  [16170] = {.lex_state = 0, .external_lex_state = 64},
  [16171] = {.lex_state = 6},
  [16172] = {.lex_state = 6},
  [16173] = {.lex_state = 6},
  [16174] = {.lex_state = 6},
  [16175] = {.lex_state = 0, .external_lex_state = 64},
  [16176] = {.lex_state = 0},
  [16177] = {.lex_state = 6},
  [16178] = {.lex_state = 0},
  [16179] = {.lex_state = 0},
  [16180] = {.lex_state = 0},
  [16181] = {.lex_state = 6},
  [16182] = {.lex_state = 0},
  [16183] = {.lex_state = 60},
  [16184] = {.lex_state = 6},
  [16185] = {.lex_state = 6},
  [16186] = {.lex_state = 60, .external_lex_state = 48},
  [16187] = {.lex_state = 0},
  [16188] = {.lex_state = 6},
  [16189] = {.lex_state = 6},
  [16190] = {.lex_state = 6},
  [16191] = {.lex_state = 0},
  [16192] = {.lex_state = 0},
  [16193] = {.lex_state = 0, .external_lex_state = 64},
  [16194] = {.lex_state = 6},
  [16195] = {.lex_state = 0},
  [16196] = {.lex_state = 0},
  [16197] = {.lex_state = 60, .external_lex_state = 48},
  [16198] = {.lex_state = 0, .external_lex_state = 64},
  [16199] = {.lex_state = 6},
  [16200] = {.lex_state = 0},
  [16201] = {.lex_state = 6},
  [16202] = {.lex_state = 6},
  [16203] = {.lex_state = 6},
  [16204] = {.lex_state = 60},
  [16205] = {.lex_state = 0},
  [16206] = {.lex_state = 60},
  [16207] = {.lex_state = 6},
  [16208] = {.lex_state = 0},
  [16209] = {.lex_state = 0},
  [16210] = {.lex_state = 0},
  [16211] = {.lex_state = 6},
  [16212] = {.lex_state = 0},
  [16213] = {.lex_state = 6},
  [16214] = {.lex_state = 6},
  [16215] = {.lex_state = 0, .external_lex_state = 64},
  [16216] = {.lex_state = 0},
  [16217] = {.lex_state = 0},
  [16218] = {.lex_state = 0},
  [16219] = {.lex_state = 0},
  [16220] = {.lex_state = 0, .external_lex_state = 64},
  [16221] = {.lex_state = 60, .external_lex_state = 48},
  [16222] = {.lex_state = 0},
  [16223] = {.lex_state = 0},
  [16224] = {.lex_state = 0},
  [16225] = {.lex_state = 0, .external_lex_state = 64},
  [16226] = {.lex_state = 0},
  [16227] = {.lex_state = 0},
  [16228] = {.lex_state = 0},
  [16229] = {.lex_state = 6},
  [16230] = {.lex_state = 60, .external_lex_state = 48},
  [16231] = {.lex_state = 6},
  [16232] = {.lex_state = 6},
  [16233] = {.lex_state = 6},
  [16234] = {.lex_state = 0},
  [16235] = {.lex_state = 60},
  [16236] = {.lex_state = 6},
  [16237] = {.lex_state = 0},
  [16238] = {.lex_state = 0},
  [16239] = {.lex_state = 0},
  [16240] = {.lex_state = 6},
  [16241] = {.lex_state = 6},
  [16242] = {.lex_state = 6},
  [16243] = {.lex_state = 0, .external_lex_state = 64},
  [16244] = {.lex_state = 0, .external_lex_state = 64},
  [16245] = {.lex_state = 0},
  [16246] = {.lex_state = 60, .external_lex_state = 48},
  [16247] = {.lex_state = 60, .external_lex_state = 48},
  [16248] = {.lex_state = 60},
  [16249] = {.lex_state = 0},
  [16250] = {.lex_state = 60, .external_lex_state = 48},
  [16251] = {.lex_state = 0, .external_lex_state = 64},
  [16252] = {.lex_state = 0},
  [16253] = {.lex_state = 60, .external_lex_state = 48},
  [16254] = {.lex_state = 0, .external_lex_state = 64},
  [16255] = {.lex_state = 0},
  [16256] = {.lex_state = 0},
  [16257] = {.lex_state = 0},
  [16258] = {.lex_state = 0},
  [16259] = {.lex_state = 6},
  [16260] = {.lex_state = 0, .external_lex_state = 64},
  [16261] = {.lex_state = 6},
  [16262] = {.lex_state = 6},
  [16263] = {.lex_state = 6},
  [16264] = {.lex_state = 6},
  [16265] = {.lex_state = 0, .external_lex_state = 64},
  [16266] = {.lex_state = 0},
  [16267] = {.lex_state = 0},
  [16268] = {.lex_state = 60, .external_lex_state = 48},
  [16269] = {.lex_state = 6},
  [16270] = {.lex_state = 6},
  [16271] = {.lex_state = 6},
  [16272] = {.lex_state = 0, .external_lex_state = 64},
  [16273] = {.lex_state = 0},
  [16274] = {.lex_state = 0, .external_lex_state = 64},
  [16275] = {.lex_state = 0},
  [16276] = {.lex_state = 0},
  [16277] = {.lex_state = 0, .external_lex_state = 64},
  [16278] = {.lex_state = 60, .external_lex_state = 48},
  [16279] = {.lex_state = 0},
  [16280] = {.lex_state = 0, .external_lex_state = 64},
  [16281] = {.lex_state = 0},
  [16282] = {.lex_state = 60, .external_lex_state = 48},
  [16283] = {.lex_state = 0},
  [16284] = {.lex_state = 60, .external_lex_state = 48},
  [16285] = {.lex_state = 60},
  [16286] = {.lex_state = 6},
  [16287] = {.lex_state = 0},
  [16288] = {.lex_state = 6},
  [16289] = {.lex_state = 6},
  [16290] = {.lex_state = 6},
  [16291] = {.lex_state = 0},
  [16292] = {.lex_state = 0},
  [16293] = {.lex_state = 0},
  [16294] = {.lex_state = 0},
  [16295] = {.lex_state = 0, .external_lex_state = 64},
  [16296] = {.lex_state = 0},
  [16297] = {.lex_state = 0},
  [16298] = {.lex_state = 6},
  [16299] = {.lex_state = 6},
  [16300] = {.lex_state = 6},
  [16301] = {.lex_state = 6},
  [16302] = {.lex_state = 0},
  [16303] = {.lex_state = 0, .external_lex_state = 64},
  [16304] = {.lex_state = 6},
  [16305] = {.lex_state = 60},
  [16306] = {.lex_state = 0},
  [16307] = {.lex_state = 0, .external_lex_state = 64},
  [16308] = {.lex_state = 6},
  [16309] = {.lex_state = 0},
  [16310] = {.lex_state = 6},
  [16311] = {.lex_state = 0},
  [16312] = {.lex_state = 6},
  [16313] = {.lex_state = 6},
  [16314] = {.lex_state = 6},
  [16315] = {.lex_state = 0},
  [16316] = {.lex_state = 0},
  [16317] = {.lex_state = 0},
  [16318] = {.lex_state = 0},
  [16319] = {.lex_state = 60},
  [16320] = {.lex_state = 0},
  [16321] = {.lex_state = 0},
  [16322] = {.lex_state = 0},
  [16323] = {.lex_state = 60, .external_lex_state = 48},
  [16324] = {.lex_state = 0},
  [16325] = {.lex_state = 0, .external_lex_state = 64},
  [16326] = {.lex_state = 6},
  [16327] = {.lex_state = 6},
  [16328] = {.lex_state = 6},
  [16329] = {.lex_state = 6},
  [16330] = {.lex_state = 60, .external_lex_state = 48},
  [16331] = {.lex_state = 0},
  [16332] = {.lex_state = 0},
  [16333] = {.lex_state = 0},
  [16334] = {.lex_state = 6},
  [16335] = {.lex_state = 6},
  [16336] = {.lex_state = 6},
  [16337] = {.lex_state = 6},
  [16338] = {.lex_state = 0},
  [16339] = {.lex_state = 60, .external_lex_state = 48},
  [16340] = {.lex_state = 0},
  [16341] = {.lex_state = 0},
  [16342] = {.lex_state = 0},
  [16343] = {.lex_state = 60},
  [16344] = {.lex_state = 0},
  [16345] = {.lex_state = 0},
  [16346] = {.lex_state = 0},
  [16347] = {.lex_state = 0},
  [16348] = {.lex_state = 0},
  [16349] = {.lex_state = 0},
  [16350] = {.lex_state = 60},
  [16351] = {.lex_state = 0},
  [16352] = {.lex_state = 0, .external_lex_state = 64},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 0},
  [16355] = {.lex_state = 6},
  [16356] = {.lex_state = 6},
  [16357] = {.lex_state = 6},
  [16358] = {.lex_state = 6},
  [16359] = {.lex_state = 6},
  [16360] = {.lex_state = 6},
  [16361] = {.lex_state = 6},
  [16362] = {.lex_state = 6},
  [16363] = {.lex_state = 0},
  [16364] = {.lex_state = 0},
  [16365] = {.lex_state = 60, .external_lex_state = 48},
  [16366] = {.lex_state = 0},
  [16367] = {.lex_state = 0},
  [16368] = {.lex_state = 0},
  [16369] = {.lex_state = 0},
  [16370] = {.lex_state = 0, .external_lex_state = 64},
  [16371] = {.lex_state = 0},
  [16372] = {.lex_state = 0},
  [16373] = {.lex_state = 0},
  [16374] = {.lex_state = 0, .external_lex_state = 64},
  [16375] = {.lex_state = 0, .external_lex_state = 64},
  [16376] = {.lex_state = 0},
  [16377] = {.lex_state = 0},
  [16378] = {.lex_state = 6},
  [16379] = {.lex_state = 6},
  [16380] = {.lex_state = 6},
  [16381] = {.lex_state = 6},
  [16382] = {.lex_state = 60, .external_lex_state = 48},
  [16383] = {.lex_state = 0},
  [16384] = {.lex_state = 0},
  [16385] = {.lex_state = 0},
  [16386] = {.lex_state = 0, .external_lex_state = 64},
  [16387] = {.lex_state = 6},
  [16388] = {.lex_state = 6},
  [16389] = {.lex_state = 6},
  [16390] = {.lex_state = 6},
  [16391] = {.lex_state = 0, .external_lex_state = 64},
  [16392] = {.lex_state = 0},
  [16393] = {.lex_state = 0},
  [16394] = {.lex_state = 0},
  [16395] = {.lex_state = 0, .external_lex_state = 64},
  [16396] = {.lex_state = 0},
  [16397] = {.lex_state = 60, .external_lex_state = 48},
  [16398] = {.lex_state = 0},
  [16399] = {.lex_state = 6},
  [16400] = {.lex_state = 6},
  [16401] = {.lex_state = 6},
  [16402] = {.lex_state = 6},
  [16403] = {.lex_state = 60, .external_lex_state = 48},
  [16404] = {.lex_state = 0},
  [16405] = {.lex_state = 0},
  [16406] = {.lex_state = 0},
  [16407] = {.lex_state = 0, .external_lex_state = 64},
  [16408] = {.lex_state = 60},
  [16409] = {.lex_state = 0},
  [16410] = {.lex_state = 0},
  [16411] = {.lex_state = 0},
  [16412] = {.lex_state = 0, .external_lex_state = 64},
  [16413] = {.lex_state = 0},
  [16414] = {.lex_state = 6},
  [16415] = {.lex_state = 6},
  [16416] = {.lex_state = 0},
  [16417] = {.lex_state = 6},
  [16418] = {.lex_state = 0},
  [16419] = {.lex_state = 6},
  [16420] = {.lex_state = 6},
  [16421] = {.lex_state = 6},
  [16422] = {.lex_state = 6},
  [16423] = {.lex_state = 6},
  [16424] = {.lex_state = 0},
  [16425] = {.lex_state = 0},
  [16426] = {.lex_state = 0},
  [16427] = {.lex_state = 0},
  [16428] = {.lex_state = 0},
  [16429] = {.lex_state = 60},
  [16430] = {.lex_state = 0},
  [16431] = {.lex_state = 0},
  [16432] = {.lex_state = 0},
  [16433] = {.lex_state = 0, .external_lex_state = 64},
  [16434] = {.lex_state = 0},
  [16435] = {.lex_state = 0},
  [16436] = {.lex_state = 0},
  [16437] = {.lex_state = 0},
  [16438] = {.lex_state = 0},
  [16439] = {.lex_state = 0},
  [16440] = {.lex_state = 60, .external_lex_state = 48},
  [16441] = {.lex_state = 6},
  [16442] = {.lex_state = 6},
  [16443] = {.lex_state = 6},
  [16444] = {.lex_state = 6},
  [16445] = {.lex_state = 0, .external_lex_state = 64},
  [16446] = {.lex_state = 0, .external_lex_state = 64},
  [16447] = {.lex_state = 0},
  [16448] = {.lex_state = 0},
  [16449] = {.lex_state = 0},
  [16450] = {.lex_state = 60, .external_lex_state = 48},
  [16451] = {.lex_state = 60, .external_lex_state = 48},
  [16452] = {.lex_state = 0},
  [16453] = {.lex_state = 0, .external_lex_state = 64},
  [16454] = {.lex_state = 0},
  [16455] = {.lex_state = 0},
  [16456] = {.lex_state = 60},
  [16457] = {.lex_state = 0},
  [16458] = {.lex_state = 6},
  [16459] = {.lex_state = 6},
  [16460] = {.lex_state = 0, .external_lex_state = 64},
  [16461] = {.lex_state = 0},
  [16462] = {.lex_state = 6},
  [16463] = {.lex_state = 6},
  [16464] = {.lex_state = 6},
  [16465] = {.lex_state = 6},
  [16466] = {.lex_state = 0},
  [16467] = {.lex_state = 6},
  [16468] = {.lex_state = 0},
  [16469] = {.lex_state = 0},
  [16470] = {.lex_state = 6},
  [16471] = {.lex_state = 0},
  [16472] = {.lex_state = 0},
  [16473] = {.lex_state = 0},
  [16474] = {.lex_state = 0, .external_lex_state = 64},
  [16475] = {.lex_state = 0},
  [16476] = {.lex_state = 0, .external_lex_state = 64},
  [16477] = {.lex_state = 0},
  [16478] = {.lex_state = 0},
  [16479] = {.lex_state = 0, .external_lex_state = 64},
  [16480] = {.lex_state = 60, .external_lex_state = 48},
  [16481] = {.lex_state = 60, .external_lex_state = 48},
  [16482] = {.lex_state = 0},
  [16483] = {.lex_state = 6},
  [16484] = {.lex_state = 6},
  [16485] = {.lex_state = 6},
  [16486] = {.lex_state = 6},
  [16487] = {.lex_state = 0},
  [16488] = {.lex_state = 0, .external_lex_state = 64},
  [16489] = {.lex_state = 0},
  [16490] = {.lex_state = 0},
  [16491] = {.lex_state = 0},
  [16492] = {.lex_state = 0},
  [16493] = {.lex_state = 0, .external_lex_state = 64},
  [16494] = {.lex_state = 0, .external_lex_state = 64},
  [16495] = {.lex_state = 6},
  [16496] = {.lex_state = 6},
  [16497] = {.lex_state = 6},
  [16498] = {.lex_state = 60},
  [16499] = {.lex_state = 6},
  [16500] = {.lex_state = 60, .external_lex_state = 48},
  [16501] = {.lex_state = 0},
  [16502] = {.lex_state = 0},
  [16503] = {.lex_state = 60, .external_lex_state = 48},
  [16504] = {.lex_state = 6},
  [16505] = {.lex_state = 6},
  [16506] = {.lex_state = 6},
  [16507] = {.lex_state = 6},
  [16508] = {.lex_state = 60, .external_lex_state = 48},
  [16509] = {.lex_state = 0},
  [16510] = {.lex_state = 0},
  [16511] = {.lex_state = 0},
  [16512] = {.lex_state = 60, .external_lex_state = 48},
  [16513] = {.lex_state = 0},
  [16514] = {.lex_state = 0},
  [16515] = {.lex_state = 6},
  [16516] = {.lex_state = 60, .external_lex_state = 48},
  [16517] = {.lex_state = 6},
  [16518] = {.lex_state = 6},
  [16519] = {.lex_state = 0, .external_lex_state = 64},
  [16520] = {.lex_state = 60, .external_lex_state = 48},
  [16521] = {.lex_state = 0, .external_lex_state = 64},
  [16522] = {.lex_state = 6},
  [16523] = {.lex_state = 0},
  [16524] = {.lex_state = 0},
  [16525] = {.lex_state = 6},
  [16526] = {.lex_state = 6},
  [16527] = {.lex_state = 6},
  [16528] = {.lex_state = 6},
  [16529] = {.lex_state = 6},
  [16530] = {.lex_state = 0},
  [16531] = {.lex_state = 0},
  [16532] = {.lex_state = 0},
  [16533] = {.lex_state = 0, .external_lex_state = 64},
  [16534] = {.lex_state = 0},
  [16535] = {.lex_state = 0, .external_lex_state = 64},
  [16536] = {.lex_state = 0},
  [16537] = {.lex_state = 0, .external_lex_state = 64},
  [16538] = {.lex_state = 0, .external_lex_state = 64},
  [16539] = {.lex_state = 0},
  [16540] = {.lex_state = 60, .external_lex_state = 48},
  [16541] = {.lex_state = 0},
  [16542] = {.lex_state = 0},
  [16543] = {.lex_state = 0, .external_lex_state = 64},
  [16544] = {.lex_state = 60, .external_lex_state = 48},
  [16545] = {.lex_state = 6},
  [16546] = {.lex_state = 6},
  [16547] = {.lex_state = 6},
  [16548] = {.lex_state = 6},
  [16549] = {.lex_state = 0},
  [16550] = {.lex_state = 0},
  [16551] = {.lex_state = 0},
  [16552] = {.lex_state = 0},
  [16553] = {.lex_state = 0},
  [16554] = {.lex_state = 0},
  [16555] = {.lex_state = 6},
  [16556] = {.lex_state = 6},
  [16557] = {.lex_state = 0, .external_lex_state = 64},
  [16558] = {.lex_state = 0},
  [16559] = {.lex_state = 6},
  [16560] = {.lex_state = 6},
  [16561] = {.lex_state = 0, .external_lex_state = 64},
  [16562] = {.lex_state = 0},
  [16563] = {.lex_state = 60, .external_lex_state = 48},
  [16564] = {.lex_state = 0},
  [16565] = {.lex_state = 6},
  [16566] = {.lex_state = 6},
  [16567] = {.lex_state = 6},
  [16568] = {.lex_state = 6},
  [16569] = {.lex_state = 0, .external_lex_state = 64},
  [16570] = {.lex_state = 0},
  [16571] = {.lex_state = 0},
  [16572] = {.lex_state = 0},
  [16573] = {.lex_state = 0, .external_lex_state = 64},
  [16574] = {.lex_state = 0},
  [16575] = {.lex_state = 0, .external_lex_state = 64},
  [16576] = {.lex_state = 0},
  [16577] = {.lex_state = 60},
  [16578] = {.lex_state = 0},
  [16579] = {.lex_state = 0},
  [16580] = {.lex_state = 60},
  [16581] = {.lex_state = 0},
  [16582] = {.lex_state = 60},
  [16583] = {.lex_state = 0},
  [16584] = {.lex_state = 0},
  [16585] = {.lex_state = 6},
  [16586] = {.lex_state = 6},
  [16587] = {.lex_state = 6},
  [16588] = {.lex_state = 6},
  [16589] = {.lex_state = 0},
  [16590] = {.lex_state = 0},
  [16591] = {.lex_state = 0},
  [16592] = {.lex_state = 0},
  [16593] = {.lex_state = 6},
  [16594] = {.lex_state = 0},
  [16595] = {.lex_state = 6},
  [16596] = {.lex_state = 6},
  [16597] = {.lex_state = 6},
  [16598] = {.lex_state = 60, .external_lex_state = 48},
  [16599] = {.lex_state = 60},
  [16600] = {.lex_state = 0, .external_lex_state = 64},
  [16601] = {.lex_state = 60},
  [16602] = {.lex_state = 0},
  [16603] = {.lex_state = 0, .external_lex_state = 64},
  [16604] = {.lex_state = 0},
  [16605] = {.lex_state = 6},
  [16606] = {.lex_state = 6},
  [16607] = {.lex_state = 6},
  [16608] = {.lex_state = 6},
  [16609] = {.lex_state = 0},
  [16610] = {.lex_state = 0},
  [16611] = {.lex_state = 0},
  [16612] = {.lex_state = 0},
  [16613] = {.lex_state = 0, .external_lex_state = 64},
  [16614] = {.lex_state = 0},
  [16615] = {.lex_state = 0, .external_lex_state = 64},
  [16616] = {.lex_state = 0},
  [16617] = {.lex_state = 60, .external_lex_state = 48},
  [16618] = {.lex_state = 0},
  [16619] = {.lex_state = 0},
  [16620] = {.lex_state = 6},
  [16621] = {.lex_state = 6},
  [16622] = {.lex_state = 6},
  [16623] = {.lex_state = 6},
  [16624] = {.lex_state = 0, .external_lex_state = 64},
  [16625] = {.lex_state = 6},
  [16626] = {.lex_state = 6},
  [16627] = {.lex_state = 6},
  [16628] = {.lex_state = 6},
  [16629] = {.lex_state = 60, .external_lex_state = 48},
  [16630] = {.lex_state = 0},
  [16631] = {.lex_state = 0},
  [16632] = {.lex_state = 0},
  [16633] = {.lex_state = 0},
  [16634] = {.lex_state = 0},
  [16635] = {.lex_state = 0},
  [16636] = {.lex_state = 0},
  [16637] = {.lex_state = 0, .external_lex_state = 64},
  [16638] = {.lex_state = 0},
  [16639] = {.lex_state = 0},
  [16640] = {.lex_state = 60, .external_lex_state = 48},
  [16641] = {.lex_state = 0},
  [16642] = {.lex_state = 0},
  [16643] = {.lex_state = 0},
  [16644] = {.lex_state = 60},
  [16645] = {.lex_state = 6},
  [16646] = {.lex_state = 6},
  [16647] = {.lex_state = 6},
  [16648] = {.lex_state = 6},
  [16649] = {.lex_state = 60},
  [16650] = {.lex_state = 0},
  [16651] = {.lex_state = 0},
  [16652] = {.lex_state = 0},
  [16653] = {.lex_state = 0, .external_lex_state = 64},
  [16654] = {.lex_state = 53},
  [16655] = {.lex_state = 0},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 0},
  [16658] = {.lex_state = 53},
  [16659] = {.lex_state = 60},
  [16660] = {.lex_state = 60},
  [16661] = {.lex_state = 6},
  [16662] = {.lex_state = 6},
  [16663] = {.lex_state = 6},
  [16664] = {.lex_state = 6},
  [16665] = {.lex_state = 6},
  [16666] = {.lex_state = 6},
  [16667] = {.lex_state = 6},
  [16668] = {.lex_state = 6},
  [16669] = {.lex_state = 0},
  [16670] = {.lex_state = 0, .external_lex_state = 64},
  [16671] = {.lex_state = 0},
  [16672] = {.lex_state = 0},
  [16673] = {.lex_state = 0},
  [16674] = {.lex_state = 0},
  [16675] = {.lex_state = 0},
  [16676] = {.lex_state = 0},
  [16677] = {.lex_state = 0},
  [16678] = {.lex_state = 0, .external_lex_state = 64},
  [16679] = {.lex_state = 0},
  [16680] = {.lex_state = 60, .external_lex_state = 48},
  [16681] = {.lex_state = 0},
  [16682] = {.lex_state = 0, .external_lex_state = 64},
  [16683] = {.lex_state = 60, .external_lex_state = 48},
  [16684] = {.lex_state = 6},
  [16685] = {.lex_state = 6},
  [16686] = {.lex_state = 6},
  [16687] = {.lex_state = 6},
  [16688] = {.lex_state = 60},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 0},
  [16691] = {.lex_state = 0},
  [16692] = {.lex_state = 0, .external_lex_state = 64},
  [16693] = {.lex_state = 0},
  [16694] = {.lex_state = 0},
  [16695] = {.lex_state = 60},
  [16696] = {.lex_state = 60},
  [16697] = {.lex_state = 6},
  [16698] = {.lex_state = 0},
  [16699] = {.lex_state = 0},
  [16700] = {.lex_state = 6},
  [16701] = {.lex_state = 6},
  [16702] = {.lex_state = 0},
  [16703] = {.lex_state = 6},
  [16704] = {.lex_state = 6},
  [16705] = {.lex_state = 6},
  [16706] = {.lex_state = 6},
  [16707] = {.lex_state = 0},
  [16708] = {.lex_state = 60, .external_lex_state = 48},
  [16709] = {.lex_state = 0},
  [16710] = {.lex_state = 0},
  [16711] = {.lex_state = 0},
  [16712] = {.lex_state = 0, .external_lex_state = 64},
  [16713] = {.lex_state = 0},
  [16714] = {.lex_state = 6},
  [16715] = {.lex_state = 0},
  [16716] = {.lex_state = 0},
  [16717] = {.lex_state = 60, .external_lex_state = 48},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 0},
  [16720] = {.lex_state = 0},
  [16721] = {.lex_state = 0},
  [16722] = {.lex_state = 6},
  [16723] = {.lex_state = 6},
  [16724] = {.lex_state = 6},
  [16725] = {.lex_state = 6},
  [16726] = {.lex_state = 0},
  [16727] = {.lex_state = 0, .external_lex_state = 64},
  [16728] = {.lex_state = 0},
  [16729] = {.lex_state = 0},
  [16730] = {.lex_state = 0},
  [16731] = {.lex_state = 0, .external_lex_state = 64},
  [16732] = {.lex_state = 0, .external_lex_state = 64},
  [16733] = {.lex_state = 0},
  [16734] = {.lex_state = 0},
  [16735] = {.lex_state = 0},
  [16736] = {.lex_state = 0},
  [16737] = {.lex_state = 60, .external_lex_state = 48},
  [16738] = {.lex_state = 0},
  [16739] = {.lex_state = 0},
  [16740] = {.lex_state = 0},
  [16741] = {.lex_state = 6},
  [16742] = {.lex_state = 6},
  [16743] = {.lex_state = 6},
  [16744] = {.lex_state = 6},
  [16745] = {.lex_state = 0},
  [16746] = {.lex_state = 0},
  [16747] = {.lex_state = 0},
  [16748] = {.lex_state = 0},
  [16749] = {.lex_state = 0, .external_lex_state = 64},
  [16750] = {.lex_state = 0},
  [16751] = {.lex_state = 0, .external_lex_state = 64},
  [16752] = {.lex_state = 0},
  [16753] = {.lex_state = 60, .external_lex_state = 48},
  [16754] = {.lex_state = 0},
  [16755] = {.lex_state = 0},
  [16756] = {.lex_state = 60, .external_lex_state = 48},
  [16757] = {.lex_state = 60},
  [16758] = {.lex_state = 0},
  [16759] = {.lex_state = 0},
  [16760] = {.lex_state = 6},
  [16761] = {.lex_state = 6},
  [16762] = {.lex_state = 6},
  [16763] = {.lex_state = 6},
  [16764] = {.lex_state = 60},
  [16765] = {.lex_state = 0, .external_lex_state = 64},
  [16766] = {.lex_state = 0},
  [16767] = {.lex_state = 60},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 0},
  [16770] = {.lex_state = 0},
  [16771] = {.lex_state = 0},
  [16772] = {.lex_state = 0},
  [16773] = {.lex_state = 0},
  [16774] = {.lex_state = 0},
  [16775] = {.lex_state = 0, .external_lex_state = 64},
  [16776] = {.lex_state = 60, .external_lex_state = 48},
  [16777] = {.lex_state = 6},
  [16778] = {.lex_state = 6},
  [16779] = {.lex_state = 6},
  [16780] = {.lex_state = 6},
  [16781] = {.lex_state = 6},
  [16782] = {.lex_state = 6},
  [16783] = {.lex_state = 0},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 6},
  [16786] = {.lex_state = 60, .external_lex_state = 48},
  [16787] = {.lex_state = 0, .external_lex_state = 64},
  [16788] = {.lex_state = 0, .external_lex_state = 64},
  [16789] = {.lex_state = 6},
  [16790] = {.lex_state = 0},
  [16791] = {.lex_state = 0},
  [16792] = {.lex_state = 0},
  [16793] = {.lex_state = 0},
  [16794] = {.lex_state = 60, .external_lex_state = 48},
  [16795] = {.lex_state = 60, .external_lex_state = 48},
  [16796] = {.lex_state = 6},
  [16797] = {.lex_state = 6},
  [16798] = {.lex_state = 6},
  [16799] = {.lex_state = 6},
  [16800] = {.lex_state = 0},
  [16801] = {.lex_state = 60},
  [16802] = {.lex_state = 0},
  [16803] = {.lex_state = 0},
  [16804] = {.lex_state = 0},
  [16805] = {.lex_state = 0},
  [16806] = {.lex_state = 0},
  [16807] = {.lex_state = 0, .external_lex_state = 64},
  [16808] = {.lex_state = 0},
  [16809] = {.lex_state = 60, .external_lex_state = 48},
  [16810] = {.lex_state = 0},
  [16811] = {.lex_state = 0, .external_lex_state = 64},
  [16812] = {.lex_state = 60, .external_lex_state = 48},
  [16813] = {.lex_state = 0, .external_lex_state = 64},
  [16814] = {.lex_state = 6},
  [16815] = {.lex_state = 6},
  [16816] = {.lex_state = 6},
  [16817] = {.lex_state = 6},
  [16818] = {.lex_state = 60, .external_lex_state = 48},
  [16819] = {.lex_state = 60},
  [16820] = {.lex_state = 0},
  [16821] = {.lex_state = 60},
  [16822] = {.lex_state = 0},
  [16823] = {.lex_state = 0, .external_lex_state = 64},
  [16824] = {.lex_state = 0},
  [16825] = {.lex_state = 0},
  [16826] = {.lex_state = 0},
  [16827] = {.lex_state = 0},
  [16828] = {.lex_state = 0},
  [16829] = {.lex_state = 0},
  [16830] = {.lex_state = 0, .external_lex_state = 64},
  [16831] = {.lex_state = 0, .external_lex_state = 64},
  [16832] = {.lex_state = 6},
  [16833] = {.lex_state = 6},
  [16834] = {.lex_state = 6},
  [16835] = {.lex_state = 6},
  [16836] = {.lex_state = 0},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 0},
  [16839] = {.lex_state = 0},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 0},
  [16842] = {.lex_state = 60, .external_lex_state = 51},
  [16843] = {.lex_state = 0},
  [16844] = {.lex_state = 60},
  [16845] = {.lex_state = 60},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0},
  [16848] = {.lex_state = 0},
  [16849] = {.lex_state = 60, .external_lex_state = 48},
  [16850] = {.lex_state = 6},
  [16851] = {.lex_state = 6},
  [16852] = {.lex_state = 6},
  [16853] = {.lex_state = 6},
  [16854] = {.lex_state = 0},
  [16855] = {.lex_state = 0},
  [16856] = {.lex_state = 0},
  [16857] = {.lex_state = 0, .external_lex_state = 64},
  [16858] = {.lex_state = 0},
  [16859] = {.lex_state = 53},
  [16860] = {.lex_state = 53},
  [16861] = {.lex_state = 0},
  [16862] = {.lex_state = 60},
  [16863] = {.lex_state = 0},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 0},
  [16866] = {.lex_state = 0},
  [16867] = {.lex_state = 0},
  [16868] = {.lex_state = 6},
  [16869] = {.lex_state = 6},
  [16870] = {.lex_state = 6},
  [16871] = {.lex_state = 6},
  [16872] = {.lex_state = 0},
  [16873] = {.lex_state = 0},
  [16874] = {.lex_state = 0},
  [16875] = {.lex_state = 0},
  [16876] = {.lex_state = 60, .external_lex_state = 48},
  [16877] = {.lex_state = 0},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 0},
  [16880] = {.lex_state = 0},
  [16881] = {.lex_state = 0, .external_lex_state = 64},
  [16882] = {.lex_state = 0},
  [16883] = {.lex_state = 0},
  [16884] = {.lex_state = 0, .external_lex_state = 64},
  [16885] = {.lex_state = 0, .external_lex_state = 64},
  [16886] = {.lex_state = 6},
  [16887] = {.lex_state = 6},
  [16888] = {.lex_state = 6},
  [16889] = {.lex_state = 6},
  [16890] = {.lex_state = 60},
  [16891] = {.lex_state = 60, .external_lex_state = 48},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 0},
  [16894] = {.lex_state = 0, .external_lex_state = 64},
  [16895] = {.lex_state = 0, .external_lex_state = 64},
  [16896] = {.lex_state = 0},
  [16897] = {.lex_state = 0},
  [16898] = {.lex_state = 0},
  [16899] = {.lex_state = 0, .external_lex_state = 64},
  [16900] = {.lex_state = 0},
  [16901] = {.lex_state = 0, .external_lex_state = 64},
  [16902] = {.lex_state = 0, .external_lex_state = 64},
  [16903] = {.lex_state = 60, .external_lex_state = 48},
  [16904] = {.lex_state = 6},
  [16905] = {.lex_state = 6},
  [16906] = {.lex_state = 6},
  [16907] = {.lex_state = 6},
  [16908] = {.lex_state = 0},
  [16909] = {.lex_state = 60, .external_lex_state = 48},
  [16910] = {.lex_state = 0},
  [16911] = {.lex_state = 0, .external_lex_state = 64},
  [16912] = {.lex_state = 0},
  [16913] = {.lex_state = 0},
  [16914] = {.lex_state = 0},
  [16915] = {.lex_state = 0},
  [16916] = {.lex_state = 6},
  [16917] = {.lex_state = 6},
  [16918] = {.lex_state = 6},
  [16919] = {.lex_state = 6},
  [16920] = {.lex_state = 0},
  [16921] = {.lex_state = 0, .external_lex_state = 64},
  [16922] = {.lex_state = 0, .external_lex_state = 64},
  [16923] = {.lex_state = 0},
  [16924] = {.lex_state = 0},
  [16925] = {.lex_state = 6},
  [16926] = {.lex_state = 0, .external_lex_state = 64},
  [16927] = {.lex_state = 0},
  [16928] = {.lex_state = 6},
  [16929] = {.lex_state = 6},
  [16930] = {.lex_state = 6},
  [16931] = {.lex_state = 6},
  [16932] = {.lex_state = 0},
  [16933] = {.lex_state = 0},
  [16934] = {.lex_state = 0, .external_lex_state = 64},
  [16935] = {.lex_state = 0, .external_lex_state = 64},
  [16936] = {.lex_state = 0},
  [16937] = {.lex_state = 0},
  [16938] = {.lex_state = 0, .external_lex_state = 64},
  [16939] = {.lex_state = 0},
  [16940] = {.lex_state = 6},
  [16941] = {.lex_state = 6},
  [16942] = {.lex_state = 6},
  [16943] = {.lex_state = 6},
  [16944] = {.lex_state = 0},
  [16945] = {.lex_state = 0},
  [16946] = {.lex_state = 0},
  [16947] = {.lex_state = 60, .external_lex_state = 48},
  [16948] = {.lex_state = 0},
  [16949] = {.lex_state = 0},
  [16950] = {.lex_state = 0},
  [16951] = {.lex_state = 6},
  [16952] = {.lex_state = 6},
  [16953] = {.lex_state = 6},
  [16954] = {.lex_state = 6},
  [16955] = {.lex_state = 0},
  [16956] = {.lex_state = 0},
  [16957] = {.lex_state = 0},
  [16958] = {.lex_state = 0},
  [16959] = {.lex_state = 0},
  [16960] = {.lex_state = 0, .external_lex_state = 64},
  [16961] = {.lex_state = 0},
  [16962] = {.lex_state = 6},
  [16963] = {.lex_state = 6},
  [16964] = {.lex_state = 6},
  [16965] = {.lex_state = 6},
  [16966] = {.lex_state = 0},
  [16967] = {.lex_state = 0},
  [16968] = {.lex_state = 0},
  [16969] = {.lex_state = 0, .external_lex_state = 64},
  [16970] = {.lex_state = 0, .external_lex_state = 64},
  [16971] = {.lex_state = 0},
  [16972] = {.lex_state = 157},
  [16973] = {.lex_state = 6},
  [16974] = {.lex_state = 6},
  [16975] = {.lex_state = 6},
  [16976] = {.lex_state = 6},
  [16977] = {.lex_state = 0},
  [16978] = {.lex_state = 60},
  [16979] = {.lex_state = 0, .external_lex_state = 64},
  [16980] = {.lex_state = 0},
  [16981] = {.lex_state = 0, .external_lex_state = 64},
  [16982] = {.lex_state = 0},
  [16983] = {.lex_state = 0},
  [16984] = {.lex_state = 6},
  [16985] = {.lex_state = 6},
  [16986] = {.lex_state = 6},
  [16987] = {.lex_state = 6},
  [16988] = {.lex_state = 0},
  [16989] = {.lex_state = 0},
  [16990] = {.lex_state = 0},
  [16991] = {.lex_state = 0, .external_lex_state = 64},
  [16992] = {.lex_state = 0},
  [16993] = {.lex_state = 0},
  [16994] = {.lex_state = 60, .external_lex_state = 48},
  [16995] = {.lex_state = 6},
  [16996] = {.lex_state = 6},
  [16997] = {.lex_state = 6},
  [16998] = {.lex_state = 6},
  [16999] = {.lex_state = 0},
  [17000] = {.lex_state = 0, .external_lex_state = 64},
  [17001] = {.lex_state = 0, .external_lex_state = 64},
  [17002] = {.lex_state = 0, .external_lex_state = 64},
  [17003] = {.lex_state = 0},
  [17004] = {.lex_state = 0, .external_lex_state = 64},
  [17005] = {.lex_state = 60},
  [17006] = {.lex_state = 6},
  [17007] = {.lex_state = 6},
  [17008] = {.lex_state = 6},
  [17009] = {.lex_state = 6},
  [17010] = {.lex_state = 0},
  [17011] = {.lex_state = 0},
  [17012] = {.lex_state = 0},
  [17013] = {.lex_state = 0},
  [17014] = {.lex_state = 0},
  [17015] = {.lex_state = 0, .external_lex_state = 64},
  [17016] = {.lex_state = 0},
  [17017] = {.lex_state = 6},
  [17018] = {.lex_state = 6},
  [17019] = {.lex_state = 6},
  [17020] = {.lex_state = 6},
  [17021] = {.lex_state = 0},
  [17022] = {.lex_state = 0},
  [17023] = {.lex_state = 0},
  [17024] = {.lex_state = 0},
  [17025] = {.lex_state = 0},
  [17026] = {.lex_state = 0},
  [17027] = {.lex_state = 0},
  [17028] = {.lex_state = 0},
  [17029] = {.lex_state = 0},
  [17030] = {.lex_state = 0},
  [17031] = {.lex_state = 0, .external_lex_state = 64},
  [17032] = {.lex_state = 0},
  [17033] = {.lex_state = 0},
  [17034] = {.lex_state = 6},
  [17035] = {.lex_state = 0},
  [17036] = {.lex_state = 60},
  [17037] = {.lex_state = 6},
  [17038] = {.lex_state = 60, .external_lex_state = 48},
  [17039] = {.lex_state = 0},
  [17040] = {.lex_state = 0, .external_lex_state = 64},
  [17041] = {.lex_state = 0},
  [17042] = {.lex_state = 0, .external_lex_state = 64},
  [17043] = {.lex_state = 0},
  [17044] = {.lex_state = 0, .external_lex_state = 64},
  [17045] = {.lex_state = 0},
  [17046] = {.lex_state = 0, .external_lex_state = 64},
  [17047] = {.lex_state = 0},
  [17048] = {.lex_state = 0},
  [17049] = {.lex_state = 6},
  [17050] = {.lex_state = 0, .external_lex_state = 64},
  [17051] = {.lex_state = 0},
  [17052] = {.lex_state = 0},
  [17053] = {.lex_state = 0},
  [17054] = {.lex_state = 0, .external_lex_state = 64},
  [17055] = {.lex_state = 0},
  [17056] = {.lex_state = 0},
  [17057] = {.lex_state = 0},
  [17058] = {.lex_state = 0},
  [17059] = {.lex_state = 0},
  [17060] = {.lex_state = 60, .external_lex_state = 48},
  [17061] = {.lex_state = 0},
  [17062] = {.lex_state = 0},
  [17063] = {.lex_state = 0},
  [17064] = {.lex_state = 0},
  [17065] = {.lex_state = 0, .external_lex_state = 64},
  [17066] = {.lex_state = 0, .external_lex_state = 64},
  [17067] = {.lex_state = 0},
  [17068] = {.lex_state = 0},
  [17069] = {.lex_state = 0},
  [17070] = {.lex_state = 0},
  [17071] = {.lex_state = 0},
  [17072] = {.lex_state = 0, .external_lex_state = 64},
  [17073] = {.lex_state = 0},
  [17074] = {.lex_state = 0},
  [17075] = {.lex_state = 0},
  [17076] = {.lex_state = 60, .external_lex_state = 48},
  [17077] = {.lex_state = 0},
  [17078] = {.lex_state = 0},
  [17079] = {.lex_state = 0, .external_lex_state = 64},
  [17080] = {.lex_state = 0, .external_lex_state = 64},
  [17081] = {.lex_state = 0},
  [17082] = {.lex_state = 0, .external_lex_state = 64},
  [17083] = {.lex_state = 0, .external_lex_state = 64},
  [17084] = {.lex_state = 0},
  [17085] = {.lex_state = 60, .external_lex_state = 48},
  [17086] = {.lex_state = 0},
  [17087] = {.lex_state = 0},
  [17088] = {.lex_state = 0, .external_lex_state = 64},
  [17089] = {.lex_state = 0},
  [17090] = {.lex_state = 60},
  [17091] = {.lex_state = 0},
  [17092] = {.lex_state = 0},
  [17093] = {.lex_state = 0},
  [17094] = {.lex_state = 0},
  [17095] = {.lex_state = 60},
  [17096] = {.lex_state = 0, .external_lex_state = 64},
  [17097] = {.lex_state = 0},
  [17098] = {.lex_state = 0},
  [17099] = {.lex_state = 0},
  [17100] = {.lex_state = 0},
  [17101] = {.lex_state = 0},
  [17102] = {.lex_state = 60},
  [17103] = {.lex_state = 0, .external_lex_state = 64},
  [17104] = {.lex_state = 0},
  [17105] = {.lex_state = 0},
  [17106] = {.lex_state = 0},
  [17107] = {.lex_state = 0},
  [17108] = {.lex_state = 0},
  [17109] = {.lex_state = 0, .external_lex_state = 64},
  [17110] = {.lex_state = 0, .external_lex_state = 64},
  [17111] = {.lex_state = 0},
  [17112] = {.lex_state = 0, .external_lex_state = 64},
  [17113] = {.lex_state = 0},
  [17114] = {.lex_state = 0},
  [17115] = {.lex_state = 0},
  [17116] = {.lex_state = 0},
  [17117] = {.lex_state = 0},
  [17118] = {.lex_state = 60, .external_lex_state = 48},
  [17119] = {.lex_state = 0},
  [17120] = {.lex_state = 0, .external_lex_state = 64},
  [17121] = {.lex_state = 0},
  [17122] = {.lex_state = 0},
  [17123] = {.lex_state = 0},
  [17124] = {.lex_state = 60},
  [17125] = {.lex_state = 0},
  [17126] = {.lex_state = 0},
  [17127] = {.lex_state = 0, .external_lex_state = 64},
  [17128] = {.lex_state = 0, .external_lex_state = 64},
  [17129] = {.lex_state = 0},
  [17130] = {.lex_state = 0},
  [17131] = {.lex_state = 0},
  [17132] = {.lex_state = 0},
  [17133] = {.lex_state = 0},
  [17134] = {.lex_state = 0},
  [17135] = {.lex_state = 0},
  [17136] = {.lex_state = 0, .external_lex_state = 64},
  [17137] = {.lex_state = 60, .external_lex_state = 48},
  [17138] = {.lex_state = 0, .external_lex_state = 64},
  [17139] = {.lex_state = 60, .external_lex_state = 48},
  [17140] = {.lex_state = 60, .external_lex_state = 51},
  [17141] = {.lex_state = 0},
  [17142] = {.lex_state = 0, .external_lex_state = 64},
  [17143] = {.lex_state = 0},
  [17144] = {.lex_state = 0},
  [17145] = {.lex_state = 0, .external_lex_state = 64},
  [17146] = {.lex_state = 0, .external_lex_state = 64},
  [17147] = {.lex_state = 0},
  [17148] = {.lex_state = 0},
  [17149] = {.lex_state = 60, .external_lex_state = 48},
  [17150] = {.lex_state = 60, .external_lex_state = 48},
  [17151] = {.lex_state = 0},
  [17152] = {.lex_state = 60, .external_lex_state = 48},
  [17153] = {.lex_state = 0},
  [17154] = {.lex_state = 0},
  [17155] = {.lex_state = 0, .external_lex_state = 64},
  [17156] = {.lex_state = 0, .external_lex_state = 64},
  [17157] = {.lex_state = 0, .external_lex_state = 64},
  [17158] = {.lex_state = 0},
  [17159] = {.lex_state = 0},
  [17160] = {.lex_state = 0},
  [17161] = {.lex_state = 0},
  [17162] = {.lex_state = 0, .external_lex_state = 64},
  [17163] = {.lex_state = 60, .external_lex_state = 48},
  [17164] = {.lex_state = 0},
  [17165] = {.lex_state = 0},
  [17166] = {.lex_state = 60},
  [17167] = {.lex_state = 0},
  [17168] = {.lex_state = 0},
  [17169] = {.lex_state = 60},
  [17170] = {.lex_state = 0, .external_lex_state = 64},
  [17171] = {.lex_state = 0},
  [17172] = {.lex_state = 0, .external_lex_state = 64},
  [17173] = {.lex_state = 0},
  [17174] = {.lex_state = 60, .external_lex_state = 48},
  [17175] = {.lex_state = 0},
  [17176] = {.lex_state = 0, .external_lex_state = 64},
  [17177] = {.lex_state = 0},
  [17178] = {.lex_state = 0},
  [17179] = {.lex_state = 0},
  [17180] = {.lex_state = 0},
  [17181] = {.lex_state = 0},
  [17182] = {.lex_state = 0},
  [17183] = {.lex_state = 0},
  [17184] = {.lex_state = 0},
  [17185] = {.lex_state = 0},
  [17186] = {.lex_state = 0},
  [17187] = {.lex_state = 0},
  [17188] = {.lex_state = 0},
  [17189] = {.lex_state = 0},
  [17190] = {.lex_state = 0},
  [17191] = {.lex_state = 0, .external_lex_state = 64},
  [17192] = {.lex_state = 0, .external_lex_state = 64},
  [17193] = {.lex_state = 0},
  [17194] = {.lex_state = 0},
  [17195] = {.lex_state = 0},
  [17196] = {.lex_state = 0, .external_lex_state = 25},
  [17197] = {.lex_state = 0},
  [17198] = {.lex_state = 0, .external_lex_state = 64},
  [17199] = {.lex_state = 0, .external_lex_state = 64},
  [17200] = {.lex_state = 0},
  [17201] = {.lex_state = 0},
  [17202] = {.lex_state = 60, .external_lex_state = 48},
  [17203] = {.lex_state = 0},
  [17204] = {.lex_state = 0},
  [17205] = {.lex_state = 0, .external_lex_state = 64},
  [17206] = {.lex_state = 0, .external_lex_state = 64},
  [17207] = {.lex_state = 0},
  [17208] = {.lex_state = 0, .external_lex_state = 64},
  [17209] = {.lex_state = 0},
  [17210] = {.lex_state = 60, .external_lex_state = 48},
  [17211] = {.lex_state = 0, .external_lex_state = 64},
  [17212] = {.lex_state = 0},
  [17213] = {.lex_state = 0},
  [17214] = {.lex_state = 0},
  [17215] = {.lex_state = 0},
  [17216] = {.lex_state = 0},
  [17217] = {.lex_state = 0, .external_lex_state = 64},
  [17218] = {.lex_state = 0},
  [17219] = {.lex_state = 0},
  [17220] = {.lex_state = 60},
  [17221] = {.lex_state = 60},
  [17222] = {.lex_state = 0, .external_lex_state = 64},
  [17223] = {.lex_state = 0},
  [17224] = {.lex_state = 0},
  [17225] = {.lex_state = 0},
  [17226] = {.lex_state = 0},
  [17227] = {.lex_state = 0},
  [17228] = {.lex_state = 0},
  [17229] = {.lex_state = 0},
  [17230] = {.lex_state = 0},
  [17231] = {.lex_state = 0},
  [17232] = {.lex_state = 0},
  [17233] = {.lex_state = 0, .external_lex_state = 64},
  [17234] = {.lex_state = 0},
  [17235] = {.lex_state = 0},
  [17236] = {.lex_state = 0, .external_lex_state = 64},
  [17237] = {.lex_state = 0},
  [17238] = {.lex_state = 25},
  [17239] = {.lex_state = 0},
  [17240] = {.lex_state = 0},
  [17241] = {.lex_state = 0, .external_lex_state = 64},
  [17242] = {.lex_state = 0},
  [17243] = {.lex_state = 0},
  [17244] = {.lex_state = 0},
  [17245] = {.lex_state = 0},
  [17246] = {.lex_state = 0},
  [17247] = {.lex_state = 0, .external_lex_state = 64},
  [17248] = {.lex_state = 0},
  [17249] = {.lex_state = 0},
  [17250] = {.lex_state = 0},
  [17251] = {.lex_state = 60, .external_lex_state = 48},
  [17252] = {.lex_state = 0},
  [17253] = {.lex_state = 0, .external_lex_state = 64},
  [17254] = {.lex_state = 0},
  [17255] = {.lex_state = 0},
  [17256] = {.lex_state = 60},
  [17257] = {.lex_state = 60},
  [17258] = {.lex_state = 0, .external_lex_state = 64},
  [17259] = {.lex_state = 60, .external_lex_state = 48},
  [17260] = {.lex_state = 0},
  [17261] = {.lex_state = 0},
  [17262] = {.lex_state = 0, .external_lex_state = 64},
  [17263] = {.lex_state = 0},
  [17264] = {.lex_state = 0},
  [17265] = {.lex_state = 0},
  [17266] = {.lex_state = 0},
  [17267] = {.lex_state = 0},
  [17268] = {.lex_state = 0, .external_lex_state = 64},
  [17269] = {.lex_state = 60, .external_lex_state = 48},
  [17270] = {.lex_state = 0},
  [17271] = {.lex_state = 0},
  [17272] = {.lex_state = 0, .external_lex_state = 64},
  [17273] = {.lex_state = 0},
  [17274] = {.lex_state = 60, .external_lex_state = 48},
  [17275] = {.lex_state = 0, .external_lex_state = 64},
  [17276] = {.lex_state = 0},
  [17277] = {.lex_state = 0},
  [17278] = {.lex_state = 0, .external_lex_state = 64},
  [17279] = {.lex_state = 0},
  [17280] = {.lex_state = 0},
  [17281] = {.lex_state = 0, .external_lex_state = 64},
  [17282] = {.lex_state = 0},
  [17283] = {.lex_state = 0},
  [17284] = {.lex_state = 0},
  [17285] = {.lex_state = 0},
  [17286] = {.lex_state = 0},
  [17287] = {.lex_state = 60},
  [17288] = {.lex_state = 0},
  [17289] = {.lex_state = 0},
  [17290] = {.lex_state = 0},
  [17291] = {.lex_state = 0},
  [17292] = {.lex_state = 0, .external_lex_state = 64},
  [17293] = {.lex_state = 0},
  [17294] = {.lex_state = 0, .external_lex_state = 64},
  [17295] = {.lex_state = 0},
  [17296] = {.lex_state = 0},
  [17297] = {.lex_state = 0},
  [17298] = {.lex_state = 0, .external_lex_state = 64},
  [17299] = {.lex_state = 0},
  [17300] = {.lex_state = 60},
  [17301] = {.lex_state = 0, .external_lex_state = 64},
  [17302] = {.lex_state = 0},
  [17303] = {.lex_state = 0},
  [17304] = {.lex_state = 0, .external_lex_state = 64},
  [17305] = {.lex_state = 0},
  [17306] = {.lex_state = 0},
  [17307] = {.lex_state = 60},
  [17308] = {.lex_state = 0},
  [17309] = {.lex_state = 0},
  [17310] = {.lex_state = 0},
  [17311] = {.lex_state = 0},
  [17312] = {.lex_state = 0, .external_lex_state = 64},
  [17313] = {.lex_state = 60},
  [17314] = {.lex_state = 0},
  [17315] = {.lex_state = 0, .external_lex_state = 64},
  [17316] = {.lex_state = 0},
  [17317] = {.lex_state = 0},
  [17318] = {.lex_state = 0, .external_lex_state = 25},
  [17319] = {.lex_state = 0},
  [17320] = {.lex_state = 0},
  [17321] = {.lex_state = 0, .external_lex_state = 64},
  [17322] = {.lex_state = 0},
  [17323] = {.lex_state = 0, .external_lex_state = 64},
  [17324] = {.lex_state = 0},
  [17325] = {.lex_state = 0, .external_lex_state = 64},
  [17326] = {.lex_state = 0},
  [17327] = {.lex_state = 0},
  [17328] = {.lex_state = 60, .external_lex_state = 48},
  [17329] = {.lex_state = 0},
  [17330] = {.lex_state = 60},
  [17331] = {.lex_state = 0},
  [17332] = {.lex_state = 0, .external_lex_state = 64},
  [17333] = {.lex_state = 60},
  [17334] = {.lex_state = 0},
  [17335] = {.lex_state = 60, .external_lex_state = 48},
  [17336] = {.lex_state = 0, .external_lex_state = 64},
  [17337] = {.lex_state = 0, .external_lex_state = 64},
  [17338] = {.lex_state = 0, .external_lex_state = 64},
  [17339] = {.lex_state = 0},
  [17340] = {.lex_state = 60, .external_lex_state = 48},
  [17341] = {.lex_state = 0, .external_lex_state = 64},
  [17342] = {.lex_state = 0},
  [17343] = {.lex_state = 0},
  [17344] = {.lex_state = 0},
  [17345] = {.lex_state = 60, .external_lex_state = 48},
  [17346] = {.lex_state = 60, .external_lex_state = 51},
  [17347] = {.lex_state = 0},
  [17348] = {.lex_state = 0, .external_lex_state = 64},
  [17349] = {.lex_state = 0, .external_lex_state = 25},
  [17350] = {.lex_state = 60},
  [17351] = {.lex_state = 0, .external_lex_state = 64},
  [17352] = {.lex_state = 0, .external_lex_state = 25},
  [17353] = {.lex_state = 60, .external_lex_state = 48},
  [17354] = {.lex_state = 60},
  [17355] = {.lex_state = 0},
  [17356] = {.lex_state = 60},
  [17357] = {.lex_state = 60, .external_lex_state = 48},
  [17358] = {.lex_state = 0},
  [17359] = {.lex_state = 0},
  [17360] = {.lex_state = 0},
  [17361] = {.lex_state = 0, .external_lex_state = 64},
  [17362] = {.lex_state = 0, .external_lex_state = 64},
  [17363] = {.lex_state = 0},
  [17364] = {.lex_state = 0},
  [17365] = {.lex_state = 0},
  [17366] = {.lex_state = 0},
  [17367] = {.lex_state = 0},
  [17368] = {.lex_state = 60, .external_lex_state = 51},
  [17369] = {.lex_state = 60, .external_lex_state = 48},
  [17370] = {.lex_state = 0},
  [17371] = {.lex_state = 0, .external_lex_state = 25},
  [17372] = {.lex_state = 0},
  [17373] = {.lex_state = 0},
  [17374] = {.lex_state = 0},
  [17375] = {.lex_state = 0},
  [17376] = {.lex_state = 0},
  [17377] = {.lex_state = 60, .external_lex_state = 51},
  [17378] = {.lex_state = 0},
  [17379] = {.lex_state = 0, .external_lex_state = 64},
  [17380] = {.lex_state = 0, .external_lex_state = 25},
  [17381] = {.lex_state = 0},
  [17382] = {.lex_state = 0, .external_lex_state = 64},
  [17383] = {.lex_state = 0},
  [17384] = {.lex_state = 0},
  [17385] = {.lex_state = 0},
  [17386] = {.lex_state = 60},
  [17387] = {.lex_state = 0, .external_lex_state = 64},
  [17388] = {.lex_state = 0},
  [17389] = {.lex_state = 0, .external_lex_state = 25},
  [17390] = {.lex_state = 0},
  [17391] = {.lex_state = 0, .external_lex_state = 64},
  [17392] = {.lex_state = 0},
  [17393] = {.lex_state = 60},
  [17394] = {.lex_state = 0, .external_lex_state = 64},
  [17395] = {.lex_state = 0},
  [17396] = {.lex_state = 0, .external_lex_state = 25},
  [17397] = {.lex_state = 0, .external_lex_state = 64},
  [17398] = {.lex_state = 0},
  [17399] = {.lex_state = 0},
  [17400] = {.lex_state = 0},
  [17401] = {.lex_state = 0, .external_lex_state = 64},
  [17402] = {.lex_state = 0},
  [17403] = {.lex_state = 0, .external_lex_state = 25},
  [17404] = {.lex_state = 0},
  [17405] = {.lex_state = 0, .external_lex_state = 64},
  [17406] = {.lex_state = 0},
  [17407] = {.lex_state = 0},
  [17408] = {.lex_state = 0},
  [17409] = {.lex_state = 0},
  [17410] = {.lex_state = 0, .external_lex_state = 25},
  [17411] = {.lex_state = 0},
  [17412] = {.lex_state = 0, .external_lex_state = 64},
  [17413] = {.lex_state = 0},
  [17414] = {.lex_state = 60},
  [17415] = {.lex_state = 0, .external_lex_state = 64},
  [17416] = {.lex_state = 0, .external_lex_state = 64},
  [17417] = {.lex_state = 0, .external_lex_state = 25},
  [17418] = {.lex_state = 0},
  [17419] = {.lex_state = 0},
  [17420] = {.lex_state = 0},
  [17421] = {.lex_state = 0},
  [17422] = {.lex_state = 60, .external_lex_state = 48},
  [17423] = {.lex_state = 0},
  [17424] = {.lex_state = 0, .external_lex_state = 25},
  [17425] = {.lex_state = 60, .external_lex_state = 48},
  [17426] = {.lex_state = 0},
  [17427] = {.lex_state = 0, .external_lex_state = 64},
  [17428] = {.lex_state = 0},
  [17429] = {.lex_state = 0, .external_lex_state = 64},
  [17430] = {.lex_state = 0, .external_lex_state = 64},
  [17431] = {.lex_state = 0, .external_lex_state = 25},
  [17432] = {.lex_state = 0},
  [17433] = {.lex_state = 0},
  [17434] = {.lex_state = 0},
  [17435] = {.lex_state = 0, .external_lex_state = 64},
  [17436] = {.lex_state = 53},
  [17437] = {.lex_state = 0},
  [17438] = {.lex_state = 0, .external_lex_state = 25},
  [17439] = {.lex_state = 0},
  [17440] = {.lex_state = 53},
  [17441] = {.lex_state = 0},
  [17442] = {.lex_state = 0, .external_lex_state = 64},
  [17443] = {.lex_state = 60, .external_lex_state = 48},
  [17444] = {.lex_state = 0, .external_lex_state = 64},
  [17445] = {.lex_state = 0, .external_lex_state = 25},
  [17446] = {.lex_state = 0},
  [17447] = {.lex_state = 0, .external_lex_state = 64},
  [17448] = {.lex_state = 0},
  [17449] = {.lex_state = 60, .external_lex_state = 48},
  [17450] = {.lex_state = 0},
  [17451] = {.lex_state = 0, .external_lex_state = 64},
  [17452] = {.lex_state = 0, .external_lex_state = 25},
  [17453] = {.lex_state = 0},
  [17454] = {.lex_state = 0, .external_lex_state = 64},
  [17455] = {.lex_state = 6},
  [17456] = {.lex_state = 60},
  [17457] = {.lex_state = 0},
  [17458] = {.lex_state = 0, .external_lex_state = 64},
  [17459] = {.lex_state = 0, .external_lex_state = 25},
  [17460] = {.lex_state = 0},
  [17461] = {.lex_state = 0, .external_lex_state = 64},
  [17462] = {.lex_state = 0},
  [17463] = {.lex_state = 0},
  [17464] = {.lex_state = 0},
  [17465] = {.lex_state = 0},
  [17466] = {.lex_state = 0, .external_lex_state = 25},
  [17467] = {.lex_state = 0},
  [17468] = {.lex_state = 60, .external_lex_state = 48},
  [17469] = {.lex_state = 6},
  [17470] = {.lex_state = 60, .external_lex_state = 48},
  [17471] = {.lex_state = 60},
  [17472] = {.lex_state = 0, .external_lex_state = 64},
  [17473] = {.lex_state = 0, .external_lex_state = 25},
  [17474] = {.lex_state = 0, .external_lex_state = 64},
  [17475] = {.lex_state = 0, .external_lex_state = 64},
  [17476] = {.lex_state = 0},
  [17477] = {.lex_state = 6},
  [17478] = {.lex_state = 0, .external_lex_state = 64},
  [17479] = {.lex_state = 0},
  [17480] = {.lex_state = 0, .external_lex_state = 25},
  [17481] = {.lex_state = 0},
  [17482] = {.lex_state = 0},
  [17483] = {.lex_state = 6},
  [17484] = {.lex_state = 0},
  [17485] = {.lex_state = 0},
  [17486] = {.lex_state = 0, .external_lex_state = 25},
  [17487] = {.lex_state = 0, .external_lex_state = 64},
  [17488] = {.lex_state = 0},
  [17489] = {.lex_state = 0, .external_lex_state = 64},
  [17490] = {.lex_state = 0, .external_lex_state = 64},
  [17491] = {.lex_state = 0},
  [17492] = {.lex_state = 0, .external_lex_state = 25},
  [17493] = {.lex_state = 0},
  [17494] = {.lex_state = 0, .external_lex_state = 64},
  [17495] = {.lex_state = 0},
  [17496] = {.lex_state = 0},
  [17497] = {.lex_state = 0},
  [17498] = {.lex_state = 0, .external_lex_state = 25},
  [17499] = {.lex_state = 60, .external_lex_state = 48},
  [17500] = {.lex_state = 0},
  [17501] = {.lex_state = 0, .external_lex_state = 64},
  [17502] = {.lex_state = 0},
  [17503] = {.lex_state = 0},
  [17504] = {.lex_state = 0, .external_lex_state = 25},
  [17505] = {.lex_state = 0},
  [17506] = {.lex_state = 0},
  [17507] = {.lex_state = 0, .external_lex_state = 64},
  [17508] = {.lex_state = 0},
  [17509] = {.lex_state = 0},
  [17510] = {.lex_state = 0, .external_lex_state = 25},
  [17511] = {.lex_state = 0, .external_lex_state = 64},
  [17512] = {.lex_state = 60, .external_lex_state = 48},
  [17513] = {.lex_state = 60, .external_lex_state = 48},
  [17514] = {.lex_state = 0},
  [17515] = {.lex_state = 0},
  [17516] = {.lex_state = 0, .external_lex_state = 25},
  [17517] = {.lex_state = 0, .external_lex_state = 64},
  [17518] = {.lex_state = 0},
  [17519] = {.lex_state = 0},
  [17520] = {.lex_state = 60},
  [17521] = {.lex_state = 0, .external_lex_state = 64},
  [17522] = {.lex_state = 0, .external_lex_state = 25},
  [17523] = {.lex_state = 0},
  [17524] = {.lex_state = 0, .external_lex_state = 64},
  [17525] = {.lex_state = 0},
  [17526] = {.lex_state = 0},
  [17527] = {.lex_state = 0},
  [17528] = {.lex_state = 0, .external_lex_state = 25},
  [17529] = {.lex_state = 0, .external_lex_state = 64},
  [17530] = {.lex_state = 0},
  [17531] = {.lex_state = 0, .external_lex_state = 64},
  [17532] = {.lex_state = 0},
  [17533] = {.lex_state = 60},
  [17534] = {.lex_state = 0, .external_lex_state = 25},
  [17535] = {.lex_state = 0, .external_lex_state = 64},
  [17536] = {.lex_state = 0},
  [17537] = {.lex_state = 0},
  [17538] = {.lex_state = 0},
  [17539] = {.lex_state = 0},
  [17540] = {.lex_state = 0, .external_lex_state = 25},
  [17541] = {.lex_state = 0},
  [17542] = {.lex_state = 0},
  [17543] = {.lex_state = 0, .external_lex_state = 64},
  [17544] = {.lex_state = 60, .external_lex_state = 48},
  [17545] = {.lex_state = 0, .external_lex_state = 64},
  [17546] = {.lex_state = 0, .external_lex_state = 25},
  [17547] = {.lex_state = 0},
  [17548] = {.lex_state = 0},
  [17549] = {.lex_state = 0, .external_lex_state = 64},
  [17550] = {.lex_state = 60},
  [17551] = {.lex_state = 0, .external_lex_state = 64},
  [17552] = {.lex_state = 0, .external_lex_state = 25},
  [17553] = {.lex_state = 0},
  [17554] = {.lex_state = 0},
  [17555] = {.lex_state = 60, .external_lex_state = 48},
  [17556] = {.lex_state = 0},
  [17557] = {.lex_state = 0},
  [17558] = {.lex_state = 0, .external_lex_state = 25},
  [17559] = {.lex_state = 0, .external_lex_state = 64},
  [17560] = {.lex_state = 0},
  [17561] = {.lex_state = 0, .external_lex_state = 64},
  [17562] = {.lex_state = 0},
  [17563] = {.lex_state = 0},
  [17564] = {.lex_state = 0, .external_lex_state = 25},
  [17565] = {.lex_state = 0},
  [17566] = {.lex_state = 0},
  [17567] = {.lex_state = 60},
  [17568] = {.lex_state = 0},
  [17569] = {.lex_state = 0},
  [17570] = {.lex_state = 0, .external_lex_state = 25},
  [17571] = {.lex_state = 0},
  [17572] = {.lex_state = 0, .external_lex_state = 64},
  [17573] = {.lex_state = 0},
  [17574] = {.lex_state = 0},
  [17575] = {.lex_state = 0},
  [17576] = {.lex_state = 0, .external_lex_state = 25},
  [17577] = {.lex_state = 0, .external_lex_state = 64},
  [17578] = {.lex_state = 0},
  [17579] = {.lex_state = 60},
  [17580] = {.lex_state = 0, .external_lex_state = 64},
  [17581] = {.lex_state = 0},
  [17582] = {.lex_state = 0, .external_lex_state = 25},
  [17583] = {.lex_state = 0},
  [17584] = {.lex_state = 0, .external_lex_state = 64},
  [17585] = {.lex_state = 0},
  [17586] = {.lex_state = 0, .external_lex_state = 64},
  [17587] = {.lex_state = 0},
  [17588] = {.lex_state = 0, .external_lex_state = 25},
  [17589] = {.lex_state = 0},
  [17590] = {.lex_state = 0, .external_lex_state = 64},
  [17591] = {.lex_state = 0},
  [17592] = {.lex_state = 60, .external_lex_state = 48},
  [17593] = {.lex_state = 60, .external_lex_state = 48},
  [17594] = {.lex_state = 0, .external_lex_state = 25},
  [17595] = {.lex_state = 0},
  [17596] = {.lex_state = 0},
  [17597] = {.lex_state = 0},
  [17598] = {.lex_state = 0},
  [17599] = {.lex_state = 0, .external_lex_state = 64},
  [17600] = {.lex_state = 0, .external_lex_state = 25},
  [17601] = {.lex_state = 0, .external_lex_state = 64},
  [17602] = {.lex_state = 0},
  [17603] = {.lex_state = 0},
  [17604] = {.lex_state = 0},
  [17605] = {.lex_state = 0, .external_lex_state = 64},
  [17606] = {.lex_state = 0, .external_lex_state = 25},
  [17607] = {.lex_state = 0},
  [17608] = {.lex_state = 0},
  [17609] = {.lex_state = 0},
  [17610] = {.lex_state = 0, .external_lex_state = 64},
  [17611] = {.lex_state = 60, .external_lex_state = 48},
  [17612] = {.lex_state = 0, .external_lex_state = 25},
  [17613] = {.lex_state = 0},
  [17614] = {.lex_state = 0},
  [17615] = {.lex_state = 0},
  [17616] = {.lex_state = 0},
  [17617] = {.lex_state = 0},
  [17618] = {.lex_state = 0, .external_lex_state = 25},
  [17619] = {.lex_state = 0, .external_lex_state = 64},
  [17620] = {.lex_state = 0, .external_lex_state = 64},
  [17621] = {.lex_state = 0},
  [17622] = {.lex_state = 0, .external_lex_state = 64},
  [17623] = {.lex_state = 0},
  [17624] = {.lex_state = 0, .external_lex_state = 25},
  [17625] = {.lex_state = 0, .external_lex_state = 64},
  [17626] = {.lex_state = 0},
  [17627] = {.lex_state = 0},
  [17628] = {.lex_state = 0},
  [17629] = {.lex_state = 60, .external_lex_state = 48},
  [17630] = {.lex_state = 0, .external_lex_state = 25},
  [17631] = {.lex_state = 0},
  [17632] = {.lex_state = 0},
  [17633] = {.lex_state = 0, .external_lex_state = 64},
  [17634] = {.lex_state = 0},
  [17635] = {.lex_state = 0},
  [17636] = {.lex_state = 0, .external_lex_state = 25},
  [17637] = {.lex_state = 0, .external_lex_state = 64},
  [17638] = {.lex_state = 0},
  [17639] = {.lex_state = 0},
  [17640] = {.lex_state = 0, .external_lex_state = 64},
  [17641] = {.lex_state = 0},
  [17642] = {.lex_state = 0, .external_lex_state = 25},
  [17643] = {.lex_state = 0},
  [17644] = {.lex_state = 0},
  [17645] = {.lex_state = 60, .external_lex_state = 48},
  [17646] = {.lex_state = 0, .external_lex_state = 64},
  [17647] = {.lex_state = 0, .external_lex_state = 64},
  [17648] = {.lex_state = 0, .external_lex_state = 25},
  [17649] = {.lex_state = 0},
  [17650] = {.lex_state = 0, .external_lex_state = 64},
  [17651] = {.lex_state = 0},
  [17652] = {.lex_state = 0},
  [17653] = {.lex_state = 0, .external_lex_state = 64},
  [17654] = {.lex_state = 0, .external_lex_state = 25},
  [17655] = {.lex_state = 0},
  [17656] = {.lex_state = 0, .external_lex_state = 64},
  [17657] = {.lex_state = 60, .external_lex_state = 48},
  [17658] = {.lex_state = 0},
  [17659] = {.lex_state = 0},
  [17660] = {.lex_state = 0, .external_lex_state = 25},
  [17661] = {.lex_state = 60, .external_lex_state = 48},
  [17662] = {.lex_state = 53},
  [17663] = {.lex_state = 53},
  [17664] = {.lex_state = 0, .external_lex_state = 64},
  [17665] = {.lex_state = 0},
  [17666] = {.lex_state = 0, .external_lex_state = 25},
  [17667] = {.lex_state = 0, .external_lex_state = 64},
  [17668] = {.lex_state = 0},
  [17669] = {.lex_state = 0},
  [17670] = {.lex_state = 60},
  [17671] = {.lex_state = 0},
  [17672] = {.lex_state = 0, .external_lex_state = 25},
  [17673] = {.lex_state = 0, .external_lex_state = 64},
  [17674] = {.lex_state = 6},
  [17675] = {.lex_state = 0, .external_lex_state = 64},
  [17676] = {.lex_state = 0},
  [17677] = {.lex_state = 0},
  [17678] = {.lex_state = 0, .external_lex_state = 25},
  [17679] = {.lex_state = 60},
  [17680] = {.lex_state = 0, .external_lex_state = 64},
  [17681] = {.lex_state = 0},
  [17682] = {.lex_state = 0},
  [17683] = {.lex_state = 60, .external_lex_state = 48},
  [17684] = {.lex_state = 0, .external_lex_state = 25},
  [17685] = {.lex_state = 0},
  [17686] = {.lex_state = 0},
  [17687] = {.lex_state = 0},
  [17688] = {.lex_state = 0},
  [17689] = {.lex_state = 0, .external_lex_state = 64},
  [17690] = {.lex_state = 0, .external_lex_state = 25},
  [17691] = {.lex_state = 0},
  [17692] = {.lex_state = 60, .external_lex_state = 48},
  [17693] = {.lex_state = 6},
  [17694] = {.lex_state = 60},
  [17695] = {.lex_state = 0, .external_lex_state = 64},
  [17696] = {.lex_state = 0, .external_lex_state = 25},
  [17697] = {.lex_state = 0, .external_lex_state = 64},
  [17698] = {.lex_state = 0},
  [17699] = {.lex_state = 6},
  [17700] = {.lex_state = 0},
  [17701] = {.lex_state = 0},
  [17702] = {.lex_state = 0, .external_lex_state = 25},
  [17703] = {.lex_state = 0},
  [17704] = {.lex_state = 0, .external_lex_state = 64},
  [17705] = {.lex_state = 6},
  [17706] = {.lex_state = 0, .external_lex_state = 64},
  [17707] = {.lex_state = 0},
  [17708] = {.lex_state = 0, .external_lex_state = 25},
  [17709] = {.lex_state = 60, .external_lex_state = 48},
  [17710] = {.lex_state = 60, .external_lex_state = 48},
  [17711] = {.lex_state = 0},
  [17712] = {.lex_state = 0, .external_lex_state = 64},
  [17713] = {.lex_state = 0, .external_lex_state = 25},
  [17714] = {.lex_state = 0},
  [17715] = {.lex_state = 0, .external_lex_state = 64},
  [17716] = {.lex_state = 0},
  [17717] = {.lex_state = 60, .external_lex_state = 48},
  [17718] = {.lex_state = 0, .external_lex_state = 25},
  [17719] = {.lex_state = 60},
  [17720] = {.lex_state = 0},
  [17721] = {.lex_state = 0},
  [17722] = {.lex_state = 0, .external_lex_state = 64},
  [17723] = {.lex_state = 0, .external_lex_state = 25},
  [17724] = {.lex_state = 0, .external_lex_state = 64},
  [17725] = {.lex_state = 0},
  [17726] = {.lex_state = 0},
  [17727] = {.lex_state = 0, .external_lex_state = 64},
  [17728] = {.lex_state = 0, .external_lex_state = 25},
  [17729] = {.lex_state = 0, .external_lex_state = 64},
  [17730] = {.lex_state = 0},
  [17731] = {.lex_state = 0},
  [17732] = {.lex_state = 0, .external_lex_state = 64},
  [17733] = {.lex_state = 0, .external_lex_state = 25},
  [17734] = {.lex_state = 0},
  [17735] = {.lex_state = 0},
  [17736] = {.lex_state = 0, .external_lex_state = 64},
  [17737] = {.lex_state = 0},
  [17738] = {.lex_state = 0, .external_lex_state = 25},
  [17739] = {.lex_state = 0},
  [17740] = {.lex_state = 60, .external_lex_state = 48},
  [17741] = {.lex_state = 0, .external_lex_state = 64},
  [17742] = {.lex_state = 0},
  [17743] = {.lex_state = 0, .external_lex_state = 25},
  [17744] = {.lex_state = 0},
  [17745] = {.lex_state = 0},
  [17746] = {.lex_state = 0},
  [17747] = {.lex_state = 0},
  [17748] = {.lex_state = 0, .external_lex_state = 25},
  [17749] = {.lex_state = 0, .external_lex_state = 64},
  [17750] = {.lex_state = 0},
  [17751] = {.lex_state = 0},
  [17752] = {.lex_state = 0},
  [17753] = {.lex_state = 0, .external_lex_state = 25},
  [17754] = {.lex_state = 0},
  [17755] = {.lex_state = 0},
  [17756] = {.lex_state = 0},
  [17757] = {.lex_state = 0},
  [17758] = {.lex_state = 0, .external_lex_state = 25},
  [17759] = {.lex_state = 0, .external_lex_state = 64},
  [17760] = {.lex_state = 0, .external_lex_state = 64},
  [17761] = {.lex_state = 0},
  [17762] = {.lex_state = 0},
  [17763] = {.lex_state = 0, .external_lex_state = 25},
  [17764] = {.lex_state = 0, .external_lex_state = 25},
  [17765] = {.lex_state = 0, .external_lex_state = 25},
  [17766] = {.lex_state = 0, .external_lex_state = 25},
  [17767] = {.lex_state = 0, .external_lex_state = 25},
  [17768] = {.lex_state = 0, .external_lex_state = 25},
  [17769] = {.lex_state = 0, .external_lex_state = 25},
  [17770] = {.lex_state = 0, .external_lex_state = 25},
  [17771] = {.lex_state = 0, .external_lex_state = 25},
  [17772] = {.lex_state = 0, .external_lex_state = 25},
  [17773] = {.lex_state = 0, .external_lex_state = 25},
  [17774] = {.lex_state = 0, .external_lex_state = 25},
  [17775] = {.lex_state = 0, .external_lex_state = 25},
  [17776] = {.lex_state = 0, .external_lex_state = 25},
  [17777] = {.lex_state = 0, .external_lex_state = 25},
  [17778] = {.lex_state = 0, .external_lex_state = 25},
  [17779] = {.lex_state = 0, .external_lex_state = 25},
  [17780] = {.lex_state = 0, .external_lex_state = 25},
  [17781] = {.lex_state = 0, .external_lex_state = 25},
  [17782] = {.lex_state = 0, .external_lex_state = 25},
  [17783] = {.lex_state = 0, .external_lex_state = 25},
  [17784] = {.lex_state = 0, .external_lex_state = 25},
  [17785] = {.lex_state = 0, .external_lex_state = 25},
  [17786] = {.lex_state = 0, .external_lex_state = 25},
  [17787] = {.lex_state = 0, .external_lex_state = 25},
  [17788] = {.lex_state = 0, .external_lex_state = 25},
  [17789] = {.lex_state = 0, .external_lex_state = 25},
  [17790] = {.lex_state = 0, .external_lex_state = 25},
  [17791] = {.lex_state = 0, .external_lex_state = 25},
  [17792] = {.lex_state = 0, .external_lex_state = 25},
  [17793] = {.lex_state = 0, .external_lex_state = 25},
  [17794] = {.lex_state = 0, .external_lex_state = 25},
  [17795] = {.lex_state = 0, .external_lex_state = 25},
  [17796] = {.lex_state = 0, .external_lex_state = 25},
  [17797] = {.lex_state = 0, .external_lex_state = 25},
  [17798] = {.lex_state = 0, .external_lex_state = 25},
  [17799] = {.lex_state = 0, .external_lex_state = 25},
  [17800] = {.lex_state = 0, .external_lex_state = 25},
  [17801] = {.lex_state = 0, .external_lex_state = 25},
  [17802] = {.lex_state = 0, .external_lex_state = 25},
  [17803] = {.lex_state = 0, .external_lex_state = 25},
  [17804] = {.lex_state = 0, .external_lex_state = 25},
  [17805] = {.lex_state = 0, .external_lex_state = 25},
  [17806] = {.lex_state = 0, .external_lex_state = 25},
  [17807] = {.lex_state = 0, .external_lex_state = 25},
  [17808] = {.lex_state = 0, .external_lex_state = 25},
  [17809] = {.lex_state = 0, .external_lex_state = 25},
  [17810] = {.lex_state = 0, .external_lex_state = 25},
  [17811] = {.lex_state = 0, .external_lex_state = 25},
  [17812] = {.lex_state = 0, .external_lex_state = 25},
  [17813] = {.lex_state = 0, .external_lex_state = 25},
  [17814] = {.lex_state = 0, .external_lex_state = 25},
  [17815] = {.lex_state = 0, .external_lex_state = 64},
  [17816] = {.lex_state = 0, .external_lex_state = 64},
  [17817] = {.lex_state = 0},
  [17818] = {.lex_state = 53},
  [17819] = {.lex_state = 0},
  [17820] = {.lex_state = 0},
  [17821] = {.lex_state = 0, .external_lex_state = 64},
  [17822] = {.lex_state = 0},
  [17823] = {.lex_state = 53},
  [17824] = {.lex_state = 60},
  [17825] = {.lex_state = 0},
  [17826] = {.lex_state = 60},
  [17827] = {.lex_state = 0},
  [17828] = {.lex_state = 0},
  [17829] = {.lex_state = 0, .external_lex_state = 64},
  [17830] = {.lex_state = 60, .external_lex_state = 48},
  [17831] = {.lex_state = 0},
  [17832] = {.lex_state = 0, .external_lex_state = 64},
  [17833] = {.lex_state = 0},
  [17834] = {.lex_state = 0, .external_lex_state = 64},
  [17835] = {.lex_state = 60, .external_lex_state = 48},
  [17836] = {.lex_state = 0, .external_lex_state = 64},
  [17837] = {.lex_state = 0},
  [17838] = {.lex_state = 0},
  [17839] = {.lex_state = 0},
  [17840] = {.lex_state = 60, .external_lex_state = 48},
  [17841] = {.lex_state = 0},
  [17842] = {.lex_state = 0, .external_lex_state = 64},
  [17843] = {.lex_state = 0, .external_lex_state = 64},
  [17844] = {.lex_state = 0, .external_lex_state = 64},
  [17845] = {.lex_state = 0},
  [17846] = {.lex_state = 0},
  [17847] = {.lex_state = 0, .external_lex_state = 64},
  [17848] = {.lex_state = 0},
  [17849] = {.lex_state = 0},
  [17850] = {.lex_state = 0},
  [17851] = {.lex_state = 0, .external_lex_state = 64},
  [17852] = {.lex_state = 0},
  [17853] = {.lex_state = 0},
  [17854] = {.lex_state = 0, .external_lex_state = 64},
  [17855] = {.lex_state = 0},
  [17856] = {.lex_state = 0},
  [17857] = {.lex_state = 0},
  [17858] = {.lex_state = 0},
  [17859] = {.lex_state = 0},
  [17860] = {.lex_state = 0},
  [17861] = {.lex_state = 0},
  [17862] = {.lex_state = 0},
  [17863] = {.lex_state = 0},
  [17864] = {.lex_state = 0},
  [17865] = {.lex_state = 0},
  [17866] = {.lex_state = 0},
  [17867] = {.lex_state = 0},
  [17868] = {.lex_state = 0},
  [17869] = {.lex_state = 0},
  [17870] = {.lex_state = 0},
  [17871] = {.lex_state = 0, .external_lex_state = 64},
  [17872] = {.lex_state = 0},
  [17873] = {.lex_state = 0},
  [17874] = {.lex_state = 0},
  [17875] = {.lex_state = 0},
  [17876] = {(TSStateId)(-1)},
  [17877] = {(TSStateId)(-1)},
  [17878] = {(TSStateId)(-1)},
  [17879] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_block_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__alpha_identifier] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_given] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_COLON] = ACTIONS(1),
    [anon_sym_GT_COLON] = ACTIONS(1),
    [anon_sym_LT_PERCENT] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_transparent] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_derives] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_symbol_literal] = ACTIONS(1),
    [sym__backquoted_id] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__interpolated_string_middle] = ACTIONS(1),
    [sym__interpolated_string_end] = ACTIONS(1),
    [sym__interpolated_multiline_string_middle] = ACTIONS(1),
    [sym__interpolated_multiline_string_end] = ACTIONS(1),
    [sym__outdent] = ACTIONS(1),
    [sym__simple_multiline_string] = ACTIONS(1),
    [sym__simple_string] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(17563),
    [sym__top_level_definition] = STATE(14519),
    [sym_enum_definition] = STATE(15397),
    [sym_package_clause] = STATE(15397),
    [sym_package_object] = STATE(15397),
    [sym_import_declaration] = STATE(15397),
    [sym_export_declaration] = STATE(15397),
    [sym_object_definition] = STATE(15397),
    [sym_class_definition] = STATE(15397),
    [sym_trait_definition] = STATE(15397),
    [sym__end_marker] = STATE(15397),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15397),
    [sym_val_declaration] = STATE(15397),
    [sym__start_val] = STATE(4130),
    [sym_var_declaration] = STATE(15397),
    [sym_var_definition] = STATE(15397),
    [sym__start_var] = STATE(4132),
    [sym_type_definition] = STATE(15397),
    [sym_function_definition] = STATE(15397),
    [sym_function_declaration] = STATE(15397),
    [sym__function_declaration] = STATE(14014),
    [sym_opaque_modifier] = STATE(17533),
    [sym_extension_definition] = STATE(15397),
    [sym_given_definition] = STATE(15397),
    [sym_modifiers] = STATE(12886),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14031),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym__shebang] = STATE(134),
    [sym_comment] = STATE(1),
    [sym_block_comment] = STATE(1),
    [aux_sym_enum_definition_repeat1] = STATE(4270),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [aux_sym__shebang_token1] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17439),
    [sym__braced_template_body2] = STATE(17439),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2),
    [sym_block_comment] = STATE(2),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [3] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16791),
    [sym__braced_template_body2] = STATE(16791),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(3),
    [sym_block_comment] = STATE(3),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [4] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17819),
    [sym__braced_template_body2] = STATE(17819),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(4),
    [sym_block_comment] = STATE(4),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [5] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17739),
    [sym__braced_template_body2] = STATE(17739),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(5),
    [sym_block_comment] = STATE(5),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [6] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17720),
    [sym__braced_template_body2] = STATE(17720),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(6),
    [sym_block_comment] = STATE(6),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [7] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17686),
    [sym__braced_template_body2] = STATE(17686),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(7),
    [sym_block_comment] = STATE(7),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [8] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17595),
    [sym__braced_template_body2] = STATE(17595),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(8),
    [sym_block_comment] = STATE(8),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [9] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17530),
    [sym__braced_template_body2] = STATE(17530),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(9),
    [sym_block_comment] = STATE(9),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [10] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17465),
    [sym__braced_template_body2] = STATE(17465),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(10),
    [sym_block_comment] = STATE(10),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [11] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16983),
    [sym__braced_template_body2] = STATE(16983),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(11),
    [sym_block_comment] = STATE(11),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [12] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17303),
    [sym__braced_template_body2] = STATE(17303),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(12),
    [sym_block_comment] = STATE(12),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [13] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17227),
    [sym__braced_template_body2] = STATE(17227),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(13),
    [sym_block_comment] = STATE(13),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [14] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17168),
    [sym__braced_template_body2] = STATE(17168),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(14),
    [sym_block_comment] = STATE(14),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [15] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17119),
    [sym__braced_template_body2] = STATE(17119),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(15),
    [sym_block_comment] = STATE(15),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [16] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17043),
    [sym__braced_template_body2] = STATE(17043),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(16),
    [sym_block_comment] = STATE(16),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [17] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16846),
    [sym__braced_template_body2] = STATE(16846),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(17),
    [sym_block_comment] = STATE(17),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [18] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17420),
    [sym__braced_template_body2] = STATE(17420),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(18),
    [sym_block_comment] = STATE(18),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(207),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [19] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16758),
    [sym__braced_template_body2] = STATE(16758),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(19),
    [sym_block_comment] = STATE(19),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [20] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16656),
    [sym__braced_template_body2] = STATE(16656),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(20),
    [sym_block_comment] = STATE(20),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [21] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16589),
    [sym__braced_template_body2] = STATE(16589),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(21),
    [sym_block_comment] = STATE(21),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [22] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16523),
    [sym__braced_template_body2] = STATE(16523),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(22),
    [sym_block_comment] = STATE(22),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [23] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16473),
    [sym__braced_template_body2] = STATE(16473),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(23),
    [sym_block_comment] = STATE(23),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [24] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17825),
    [sym__braced_template_body2] = STATE(17825),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(24),
    [sym_block_comment] = STATE(24),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [25] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16409),
    [sym__braced_template_body2] = STATE(16409),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(25),
    [sym_block_comment] = STATE(25),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [26] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16367),
    [sym__braced_template_body2] = STATE(16367),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(26),
    [sym_block_comment] = STATE(26),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [27] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16297),
    [sym__braced_template_body2] = STATE(16297),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(27),
    [sym_block_comment] = STATE(27),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [28] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17754),
    [sym__braced_template_body2] = STATE(17754),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(28),
    [sym_block_comment] = STATE(28),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [29] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17735),
    [sym__braced_template_body2] = STATE(17735),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(29),
    [sym_block_comment] = STATE(29),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [30] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16249),
    [sym__braced_template_body2] = STATE(16249),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(30),
    [sym_block_comment] = STATE(30),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [31] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17716),
    [sym__braced_template_body2] = STATE(17716),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(31),
    [sym_block_comment] = STATE(31),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [32] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16217),
    [sym__braced_template_body2] = STATE(16217),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(32),
    [sym_block_comment] = STATE(32),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [33] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17701),
    [sym__braced_template_body2] = STATE(17701),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(33),
    [sym_block_comment] = STATE(33),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [34] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17685),
    [sym__braced_template_body2] = STATE(17685),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(34),
    [sym_block_comment] = STATE(34),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [35] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16160),
    [sym__braced_template_body2] = STATE(16160),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(35),
    [sym_block_comment] = STATE(35),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [36] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17671),
    [sym__braced_template_body2] = STATE(17671),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(36),
    [sym_block_comment] = STATE(36),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [37] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17659),
    [sym__braced_template_body2] = STATE(17659),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(37),
    [sym_block_comment] = STATE(37),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [38] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17649),
    [sym__braced_template_body2] = STATE(17649),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(38),
    [sym_block_comment] = STATE(38),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [39] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17628),
    [sym__braced_template_body2] = STATE(17628),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(39),
    [sym_block_comment] = STATE(39),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [40] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16219),
    [sym__braced_template_body2] = STATE(16219),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(40),
    [sym_block_comment] = STATE(40),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [41] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17613),
    [sym__braced_template_body2] = STATE(17613),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(41),
    [sym_block_comment] = STATE(41),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [42] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16302),
    [sym__braced_template_body2] = STATE(16302),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(42),
    [sym_block_comment] = STATE(42),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [43] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17591),
    [sym__braced_template_body2] = STATE(17591),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(43),
    [sym_block_comment] = STATE(43),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [44] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17581),
    [sym__braced_template_body2] = STATE(17581),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(44),
    [sym_block_comment] = STATE(44),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [45] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16416),
    [sym__braced_template_body2] = STATE(16416),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(45),
    [sym_block_comment] = STATE(45),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [46] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17568),
    [sym__braced_template_body2] = STATE(17568),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(46),
    [sym_block_comment] = STATE(46),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [47] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16492),
    [sym__braced_template_body2] = STATE(16492),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(47),
    [sym_block_comment] = STATE(47),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [48] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17556),
    [sym__braced_template_body2] = STATE(17556),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(48),
    [sym_block_comment] = STATE(48),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [49] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16576),
    [sym__braced_template_body2] = STATE(16576),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(49),
    [sym_block_comment] = STATE(49),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [50] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17541),
    [sym__braced_template_body2] = STATE(17541),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(50),
    [sym_block_comment] = STATE(50),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [51] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16669),
    [sym__braced_template_body2] = STATE(16669),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(51),
    [sym_block_comment] = STATE(51),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [52] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17525),
    [sym__braced_template_body2] = STATE(17525),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(52),
    [sym_block_comment] = STATE(52),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [53] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17514),
    [sym__braced_template_body2] = STATE(17514),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(53),
    [sym_block_comment] = STATE(53),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [54] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17434),
    [sym__braced_template_body2] = STATE(17434),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(54),
    [sym_block_comment] = STATE(54),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [55] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16754),
    [sym__braced_template_body2] = STATE(16754),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(55),
    [sym_block_comment] = STATE(55),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [56] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17583),
    [sym__braced_template_body2] = STATE(17583),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(56),
    [sym_block_comment] = STATE(56),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [57] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17467),
    [sym__braced_template_body2] = STATE(17467),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(57),
    [sym_block_comment] = STATE(57),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [58] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16847),
    [sym__braced_template_body2] = STATE(16847),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(58),
    [sym_block_comment] = STATE(58),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [59] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17453),
    [sym__braced_template_body2] = STATE(17453),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(59),
    [sym_block_comment] = STATE(59),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [60] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17482),
    [sym__braced_template_body2] = STATE(17482),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(60),
    [sym_block_comment] = STATE(60),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [61] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17860),
    [sym__braced_template_body2] = STATE(17860),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(61),
    [sym_block_comment] = STATE(61),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [62] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17404),
    [sym__braced_template_body2] = STATE(17404),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(62),
    [sym_block_comment] = STATE(62),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [63] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17407),
    [sym__braced_template_body2] = STATE(17407),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(63),
    [sym_block_comment] = STATE(63),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [64] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17114),
    [sym__braced_template_body2] = STATE(17114),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(64),
    [sym_block_comment] = STATE(64),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [65] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17399),
    [sym__braced_template_body2] = STATE(17399),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(65),
    [sym_block_comment] = STATE(65),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [66] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17388),
    [sym__braced_template_body2] = STATE(17388),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(66),
    [sym_block_comment] = STATE(66),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [67] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17375),
    [sym__braced_template_body2] = STATE(17375),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(67),
    [sym_block_comment] = STATE(67),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [68] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17212),
    [sym__braced_template_body2] = STATE(17212),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(68),
    [sym_block_comment] = STATE(68),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [69] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17358),
    [sym__braced_template_body2] = STATE(17358),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(69),
    [sym_block_comment] = STATE(69),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [70] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17339),
    [sym__braced_template_body2] = STATE(17339),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(70),
    [sym_block_comment] = STATE(70),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [71] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17320),
    [sym__braced_template_body2] = STATE(17320),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(71),
    [sym_block_comment] = STATE(71),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [72] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17305),
    [sym__braced_template_body2] = STATE(17305),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(72),
    [sym_block_comment] = STATE(72),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [73] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17308),
    [sym__braced_template_body2] = STATE(17308),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(73),
    [sym_block_comment] = STATE(73),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [74] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17299),
    [sym__braced_template_body2] = STATE(17299),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(74),
    [sym_block_comment] = STATE(74),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [75] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17400),
    [sym__braced_template_body2] = STATE(17400),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(75),
    [sym_block_comment] = STATE(75),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [76] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17283),
    [sym__braced_template_body2] = STATE(17283),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(76),
    [sym_block_comment] = STATE(76),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [77] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17265),
    [sym__braced_template_body2] = STATE(17265),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(77),
    [sym_block_comment] = STATE(77),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [78] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17245),
    [sym__braced_template_body2] = STATE(17245),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(78),
    [sym_block_comment] = STATE(78),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [79] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17536),
    [sym__braced_template_body2] = STATE(17536),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(79),
    [sym_block_comment] = STATE(79),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [80] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17224),
    [sym__braced_template_body2] = STATE(17224),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(80),
    [sym_block_comment] = STATE(80),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [81] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17658),
    [sym__braced_template_body2] = STATE(17658),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(81),
    [sym_block_comment] = STATE(81),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [82] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17216),
    [sym__braced_template_body2] = STATE(17216),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(82),
    [sym_block_comment] = STATE(82),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [83] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17820),
    [sym__braced_template_body2] = STATE(17820),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(83),
    [sym_block_comment] = STATE(83),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [84] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17203),
    [sym__braced_template_body2] = STATE(17203),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(84),
    [sym_block_comment] = STATE(84),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [85] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17181),
    [sym__braced_template_body2] = STATE(17181),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(85),
    [sym_block_comment] = STATE(85),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [86] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16594),
    [sym__braced_template_body2] = STATE(16594),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(86),
    [sym_block_comment] = STATE(86),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [87] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17167),
    [sym__braced_template_body2] = STATE(17167),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(87),
    [sym_block_comment] = STATE(87),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [88] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17151),
    [sym__braced_template_body2] = STATE(17151),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(88),
    [sym_block_comment] = STATE(88),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [89] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17134),
    [sym__braced_template_body2] = STATE(17134),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(89),
    [sym_block_comment] = STATE(89),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [90] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17433),
    [sym__braced_template_body2] = STATE(17433),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(90),
    [sym_block_comment] = STATE(90),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [91] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17855),
    [sym__braced_template_body2] = STATE(17855),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(91),
    [sym_block_comment] = STATE(91),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [92] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17116),
    [sym__braced_template_body2] = STATE(17116),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(92),
    [sym_block_comment] = STATE(92),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [93] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17091),
    [sym__braced_template_body2] = STATE(17091),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(93),
    [sym_block_comment] = STATE(93),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [94] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17232),
    [sym__braced_template_body2] = STATE(17232),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(94),
    [sym_block_comment] = STATE(94),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [95] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17074),
    [sym__braced_template_body2] = STATE(17074),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(95),
    [sym_block_comment] = STATE(95),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [96] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17062),
    [sym__braced_template_body2] = STATE(17062),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(96),
    [sym_block_comment] = STATE(96),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [97] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16948),
    [sym__braced_template_body2] = STATE(16948),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(97),
    [sym_block_comment] = STATE(97),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [98] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17048),
    [sym__braced_template_body2] = STATE(17048),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(98),
    [sym_block_comment] = STATE(98),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [99] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17186),
    [sym__braced_template_body2] = STATE(17186),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(99),
    [sym_block_comment] = STATE(99),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [100] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16657),
    [sym__braced_template_body2] = STATE(16657),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(100),
    [sym_block_comment] = STATE(100),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [101] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17035),
    [sym__braced_template_body2] = STATE(17035),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(101),
    [sym_block_comment] = STATE(101),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [102] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16149),
    [sym__braced_template_body2] = STATE(16149),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(102),
    [sym_block_comment] = STATE(102),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [103] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16346),
    [sym__braced_template_body2] = STATE(16346),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(103),
    [sym_block_comment] = STATE(103),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [104] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17841),
    [sym__braced_template_body2] = STATE(17841),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(104),
    [sym_block_comment] = STATE(104),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [105] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16721),
    [sym__braced_template_body2] = STATE(16721),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(105),
    [sym_block_comment] = STATE(105),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [106] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16993),
    [sym__braced_template_body2] = STATE(16993),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(106),
    [sym_block_comment] = STATE(106),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [107] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16855),
    [sym__braced_template_body2] = STATE(16855),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(107),
    [sym_block_comment] = STATE(107),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [108] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16945),
    [sym__braced_template_body2] = STATE(16945),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(108),
    [sym_block_comment] = STATE(108),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [109] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16933),
    [sym__braced_template_body2] = STATE(16933),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(109),
    [sym_block_comment] = STATE(109),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [110] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16162),
    [sym__braced_template_body2] = STATE(16162),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(110),
    [sym_block_comment] = STATE(110),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [111] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16913),
    [sym__braced_template_body2] = STATE(16913),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(111),
    [sym_block_comment] = STATE(111),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [112] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16404),
    [sym__braced_template_body2] = STATE(16404),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(112),
    [sym_block_comment] = STATE(112),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(395),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [113] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16898),
    [sym__braced_template_body2] = STATE(16898),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(113),
    [sym_block_comment] = STATE(113),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [114] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(16634),
    [sym__braced_template_body2] = STATE(16634),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(114),
    [sym_block_comment] = STATE(114),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [115] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17024),
    [sym__braced_template_body2] = STATE(17024),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(115),
    [sym_block_comment] = STATE(115),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [116] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17284),
    [sym__braced_template_body2] = STATE(17284),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(116),
    [sym_block_comment] = STATE(116),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [117] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17419),
    [sym__braced_template_body2] = STATE(17419),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(117),
    [sym_block_comment] = STATE(117),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [118] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17309),
    [sym__braced_template_body2] = STATE(17309),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(118),
    [sym_block_comment] = STATE(118),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [119] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__braced_template_body1] = STATE(17846),
    [sym__braced_template_body2] = STATE(17846),
    [sym__end_marker] = STATE(14671),
    [sym_self_type] = STATE(298),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5736),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(119),
    [sym_block_comment] = STATE(119),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [120] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16439),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(120),
    [sym_block_comment] = STATE(120),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14630),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [121] = {
    [sym__top_level_definition] = STATE(15110),
    [sym_enum_definition] = STATE(15397),
    [sym_package_clause] = STATE(15397),
    [sym_package_object] = STATE(15397),
    [sym_import_declaration] = STATE(15397),
    [sym_export_declaration] = STATE(15397),
    [sym_object_definition] = STATE(15397),
    [sym_class_definition] = STATE(15397),
    [sym_trait_definition] = STATE(15397),
    [sym__end_marker] = STATE(15397),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15397),
    [sym_val_declaration] = STATE(15397),
    [sym__start_val] = STATE(4130),
    [sym_var_declaration] = STATE(15397),
    [sym_var_definition] = STATE(15397),
    [sym__start_var] = STATE(4132),
    [sym_type_definition] = STATE(15397),
    [sym_function_definition] = STATE(15397),
    [sym_function_declaration] = STATE(15397),
    [sym__function_declaration] = STATE(14014),
    [sym_opaque_modifier] = STATE(17533),
    [sym_extension_definition] = STATE(15397),
    [sym_given_definition] = STATE(15397),
    [sym_modifiers] = STATE(12886),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14031),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(121),
    [sym_block_comment] = STATE(121),
    [aux_sym_enum_definition_repeat1] = STATE(4270),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [ts_builtin_sym_end] = ACTIONS(417),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [122] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17319),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(122),
    [sym_block_comment] = STATE(122),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14513),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [123] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17228),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(123),
    [sym_block_comment] = STATE(123),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14696),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [124] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17437),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(124),
    [sym_block_comment] = STATE(124),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14684),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [125] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17557),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(125),
    [sym_block_comment] = STATE(125),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14516),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [126] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17682),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(126),
    [sym_block_comment] = STATE(126),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14529),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [127] = {
    [sym__top_level_definition] = STATE(15110),
    [sym_enum_definition] = STATE(15397),
    [sym_package_clause] = STATE(15397),
    [sym_package_object] = STATE(15397),
    [sym_import_declaration] = STATE(15397),
    [sym_export_declaration] = STATE(15397),
    [sym_object_definition] = STATE(15397),
    [sym_class_definition] = STATE(15397),
    [sym_trait_definition] = STATE(15397),
    [sym__end_marker] = STATE(15397),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15397),
    [sym_val_declaration] = STATE(15397),
    [sym__start_val] = STATE(4130),
    [sym_var_declaration] = STATE(15397),
    [sym_var_definition] = STATE(15397),
    [sym__start_var] = STATE(4132),
    [sym_type_definition] = STATE(15397),
    [sym_function_definition] = STATE(15397),
    [sym_function_declaration] = STATE(15397),
    [sym__function_declaration] = STATE(14014),
    [sym_opaque_modifier] = STATE(17533),
    [sym_extension_definition] = STATE(15397),
    [sym_given_definition] = STATE(15397),
    [sym_modifiers] = STATE(12886),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14031),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(127),
    [sym_block_comment] = STATE(127),
    [aux_sym_enum_definition_repeat1] = STATE(4270),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [ts_builtin_sym_end] = ACTIONS(429),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [128] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17762),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(128),
    [sym_block_comment] = STATE(128),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14637),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(431),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [129] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17676),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(129),
    [sym_block_comment] = STATE(129),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14498),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [130] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17133),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(130),
    [sym_block_comment] = STATE(130),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14707),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [131] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17721),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(131),
    [sym_block_comment] = STATE(131),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14583),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [132] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17367),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(132),
    [sym_block_comment] = STATE(132),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14728),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [133] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17016),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(133),
    [sym_block_comment] = STATE(133),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14682),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [134] = {
    [sym__top_level_definition] = STATE(14686),
    [sym_enum_definition] = STATE(15397),
    [sym_package_clause] = STATE(15397),
    [sym_package_object] = STATE(15397),
    [sym_import_declaration] = STATE(15397),
    [sym_export_declaration] = STATE(15397),
    [sym_object_definition] = STATE(15397),
    [sym_class_definition] = STATE(15397),
    [sym_trait_definition] = STATE(15397),
    [sym__end_marker] = STATE(15397),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15397),
    [sym_val_declaration] = STATE(15397),
    [sym__start_val] = STATE(4130),
    [sym_var_declaration] = STATE(15397),
    [sym_var_definition] = STATE(15397),
    [sym__start_var] = STATE(4132),
    [sym_type_definition] = STATE(15397),
    [sym_function_definition] = STATE(15397),
    [sym_function_declaration] = STATE(15397),
    [sym__function_declaration] = STATE(14014),
    [sym_opaque_modifier] = STATE(17533),
    [sym_extension_definition] = STATE(15397),
    [sym_given_definition] = STATE(15397),
    [sym_modifiers] = STATE(12886),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14031),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(134),
    [sym_block_comment] = STATE(134),
    [aux_sym_enum_definition_repeat1] = STATE(4270),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [135] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17154),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(135),
    [sym_block_comment] = STATE(135),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14683),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [136] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17366),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(136),
    [sym_block_comment] = STATE(136),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14584),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [137] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16865),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(137),
    [sym_block_comment] = STATE(137),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14645),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [138] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17280),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(138),
    [sym_block_comment] = STATE(138),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14693),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [139] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17831),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(139),
    [sym_block_comment] = STATE(139),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14669),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [140] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16768),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(140),
    [sym_block_comment] = STATE(140),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14612),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [141] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17115),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(141),
    [sym_block_comment] = STATE(141),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14641),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [142] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16872),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(142),
    [sym_block_comment] = STATE(142),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14580),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [143] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16592),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(143),
    [sym_block_comment] = STATE(143),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14575),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [144] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16689),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(144),
    [sym_block_comment] = STATE(144),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14456),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [145] = {
    [sym__top_level_definition] = STATE(15110),
    [sym_enum_definition] = STATE(15397),
    [sym_package_clause] = STATE(15397),
    [sym_package_object] = STATE(15397),
    [sym_import_declaration] = STATE(15397),
    [sym_export_declaration] = STATE(15397),
    [sym_object_definition] = STATE(15397),
    [sym_class_definition] = STATE(15397),
    [sym_trait_definition] = STATE(15397),
    [sym__end_marker] = STATE(15397),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15397),
    [sym_val_declaration] = STATE(15397),
    [sym__start_val] = STATE(4130),
    [sym_var_declaration] = STATE(15397),
    [sym_var_definition] = STATE(15397),
    [sym__start_var] = STATE(4132),
    [sym_type_definition] = STATE(15397),
    [sym_function_definition] = STATE(15397),
    [sym_function_declaration] = STATE(15397),
    [sym__function_declaration] = STATE(14014),
    [sym_opaque_modifier] = STATE(17533),
    [sym_extension_definition] = STATE(15397),
    [sym_given_definition] = STATE(15397),
    [sym_modifiers] = STATE(12886),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14031),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(145),
    [sym_block_comment] = STATE(145),
    [aux_sym_enum_definition_repeat1] = STATE(4270),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [ts_builtin_sym_end] = ACTIONS(465),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [146] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16619),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(146),
    [sym_block_comment] = STATE(146),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14431),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [147] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16455),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(147),
    [sym_block_comment] = STATE(147),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14531),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [148] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16218),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_case_clause] = STATE(16098),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(148),
    [sym_block_comment] = STATE(148),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14692),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [149] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16474),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(149),
    [sym_block_comment] = STATE(149),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14420),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [150] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17000),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(150),
    [sym_block_comment] = STATE(150),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14691),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [151] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16537),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(151),
    [sym_block_comment] = STATE(151),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14599),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [152] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16573),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(152),
    [sym_block_comment] = STATE(152),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14576),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [153] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16603),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(153),
    [sym_block_comment] = STATE(153),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14663),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [154] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17625),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(154),
    [sym_block_comment] = STATE(154),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14722),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [155] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16653),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(155),
    [sym_block_comment] = STATE(155),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14429),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [156] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16749),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(156),
    [sym_block_comment] = STATE(156),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14420),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [157] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16670),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(157),
    [sym_block_comment] = STATE(157),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14640),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [158] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16831),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(158),
    [sym_block_comment] = STATE(158),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14601),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [159] = {
    [sym__top_level_definition] = STATE(15110),
    [sym_enum_definition] = STATE(15397),
    [sym_package_clause] = STATE(15397),
    [sym_package_object] = STATE(15397),
    [sym_import_declaration] = STATE(15397),
    [sym_export_declaration] = STATE(15397),
    [sym_object_definition] = STATE(15397),
    [sym_class_definition] = STATE(15397),
    [sym_trait_definition] = STATE(15397),
    [sym__end_marker] = STATE(15397),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15397),
    [sym_val_declaration] = STATE(15397),
    [sym__start_val] = STATE(4130),
    [sym_var_declaration] = STATE(15397),
    [sym_var_definition] = STATE(15397),
    [sym__start_var] = STATE(4132),
    [sym_type_definition] = STATE(15397),
    [sym_function_definition] = STATE(15397),
    [sym_function_declaration] = STATE(15397),
    [sym__function_declaration] = STATE(14014),
    [sym_opaque_modifier] = STATE(17533),
    [sym_extension_definition] = STATE(15397),
    [sym_given_definition] = STATE(15397),
    [sym_modifiers] = STATE(12886),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14031),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(159),
    [sym_block_comment] = STATE(159),
    [aux_sym_enum_definition_repeat1] = STATE(4270),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [160] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16970),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(160),
    [sym_block_comment] = STATE(160),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14639),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [161] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17109),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(161),
    [sym_block_comment] = STATE(161),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14730),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [162] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17198),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(162),
    [sym_block_comment] = STATE(162),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14691),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [163] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16370),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(163),
    [sym_block_comment] = STATE(163),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14730),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [164] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17298),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(164),
    [sym_block_comment] = STATE(164),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14664),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [165] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17387),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(165),
    [sym_block_comment] = STATE(165),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14467),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [166] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17854),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(166),
    [sym_block_comment] = STATE(166),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14722),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [167] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17272),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(167),
    [sym_block_comment] = STATE(167),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14457),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [168] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17524),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(168),
    [sym_block_comment] = STATE(168),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14685),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [169] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17647),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(169),
    [sym_block_comment] = STATE(169),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14685),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [170] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17815),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(170),
    [sym_block_comment] = STATE(170),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14607),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [171] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(208),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16881),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(171),
    [sym_block_comment] = STATE(171),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(559),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(561),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [172] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16476),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(172),
    [sym_block_comment] = STATE(172),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14569),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [173] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16407),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(173),
    [sym_block_comment] = STATE(173),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14719),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [174] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17472),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(174),
    [sym_block_comment] = STATE(174),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14708),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [175] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16678),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(175),
    [sym_block_comment] = STATE(175),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14482),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [176] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16295),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(176),
    [sym_block_comment] = STATE(176),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14701),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [177] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17442),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(177),
    [sym_block_comment] = STATE(177),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14463),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [178] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16198),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(178),
    [sym_block_comment] = STATE(178),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14663),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [179] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16412),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(179),
    [sym_block_comment] = STATE(179),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14639),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [180] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16575),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(180),
    [sym_block_comment] = STATE(180),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14601),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [181] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16164),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(181),
    [sym_block_comment] = STATE(181),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14643),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [182] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17321),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(182),
    [sym_block_comment] = STATE(182),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14708),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [183] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17112),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(183),
    [sym_block_comment] = STATE(183),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14542),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [184] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16156),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(184),
    [sym_block_comment] = STATE(184),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14542),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [185] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16692),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(185),
    [sym_block_comment] = STATE(185),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14482),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [186] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16251),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(186),
    [sym_block_comment] = STATE(186),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14607),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [187] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16375),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(187),
    [sym_block_comment] = STATE(187),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14429),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [188] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17127),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(188),
    [sym_block_comment] = STATE(188),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14643),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [189] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16307),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(189),
    [sym_block_comment] = STATE(189),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14640),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [190] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17001),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(190),
    [sym_block_comment] = STATE(190),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14711),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [191] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16395),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(191),
    [sym_block_comment] = STATE(191),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14576),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [192] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16220),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(192),
    [sym_block_comment] = STATE(192),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14463),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [193] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17590),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_case_clause] = STATE(16087),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(193),
    [sym_block_comment] = STATE(193),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [aux_sym_indented_cases_repeat1] = STATE(14467),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [194] = {
    [sym_enum_definition] = STATE(14271),
    [sym_import_declaration] = STATE(14271),
    [sym_export_declaration] = STATE(14271),
    [sym_object_definition] = STATE(14271),
    [sym_class_definition] = STATE(14271),
    [sym_trait_definition] = STATE(14271),
    [sym__end_marker] = STATE(14271),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14271),
    [sym_val_declaration] = STATE(14271),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14271),
    [sym_var_definition] = STATE(14271),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14271),
    [sym_function_definition] = STATE(14271),
    [sym_function_declaration] = STATE(14271),
    [sym__function_declaration] = STATE(13978),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14271),
    [sym_given_definition] = STATE(14271),
    [sym_modifiers] = STATE(12719),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(15880),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13711),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(194),
    [sym_block_comment] = STATE(194),
    [aux_sym_enum_definition_repeat1] = STATE(4254),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(563),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(565),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(577),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(579),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(591),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [195] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(421),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17172),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(195),
    [sym_block_comment] = STATE(195),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [196] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(411),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17004),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(196),
    [sym_block_comment] = STATE(196),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [197] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(453),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16533),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(197),
    [sym_block_comment] = STATE(197),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [198] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(465),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17749),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(198),
    [sym_block_comment] = STATE(198),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [199] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(401),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17551),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(199),
    [sym_block_comment] = STATE(199),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [200] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(408),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17031),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(200),
    [sym_block_comment] = STATE(200),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [201] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(447),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17732),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(201),
    [sym_block_comment] = STATE(201),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [202] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(405),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16303),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(202),
    [sym_block_comment] = STATE(202),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [203] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(409),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17704),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(203),
    [sym_block_comment] = STATE(203),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [204] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(344),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16170),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(204),
    [sym_block_comment] = STATE(204),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [205] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(339),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16225),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(205),
    [sym_block_comment] = STATE(205),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [206] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(373),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17633),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(206),
    [sym_block_comment] = STATE(206),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [207] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(403),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17046),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(207),
    [sym_block_comment] = STATE(207),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [208] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16535),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(208),
    [sym_block_comment] = STATE(208),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(595),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [209] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(395),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17535),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(209),
    [sym_block_comment] = STATE(209),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [210] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(398),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17054),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(210),
    [sym_block_comment] = STATE(210),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [211] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(335),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16488),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(211),
    [sym_block_comment] = STATE(211),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [212] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(330),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17543),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(212),
    [sym_block_comment] = STATE(212),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [213] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(396),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17072),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(213),
    [sym_block_comment] = STATE(213),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [214] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(389),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16765),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(214),
    [sym_block_comment] = STATE(214),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [215] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(390),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17521),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(215),
    [sym_block_comment] = STATE(215),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [216] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(399),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17494),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(216),
    [sym_block_comment] = STATE(216),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [217] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17437),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(217),
    [sym_block_comment] = STATE(217),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [218] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(435),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17079),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(218),
    [sym_block_comment] = STATE(218),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [219] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(393),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17088),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(219),
    [sym_block_comment] = STATE(219),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [220] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(450),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17415),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(220),
    [sym_block_comment] = STATE(220),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [221] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17562),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(221),
    [sym_block_comment] = STATE(221),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [222] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(478),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17323),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(222),
    [sym_block_comment] = STATE(222),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [223] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(387),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17110),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(223),
    [sym_block_comment] = STATE(223),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [224] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(466),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17680),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(224),
    [sym_block_comment] = STATE(224),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [225] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(413),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16991),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(225),
    [sym_block_comment] = STATE(225),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [226] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(497),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17236),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(226),
    [sym_block_comment] = STATE(226),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [227] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(507),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17435),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(227),
    [sym_block_comment] = STATE(227),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [228] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(504),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17580),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(228),
    [sym_block_comment] = STATE(228),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [229] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(410),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17561),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(229),
    [sym_block_comment] = STATE(229),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [230] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(385),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17128),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(230),
    [sym_block_comment] = STATE(230),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [231] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(354),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16453),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(231),
    [sym_block_comment] = STATE(231),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [232] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(415),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16979),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(232),
    [sym_block_comment] = STATE(232),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [233] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(488),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16823),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(233),
    [sym_block_comment] = STATE(233),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [234] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(487),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17247),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(234),
    [sym_block_comment] = STATE(234),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [235] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(486),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17844),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(235),
    [sym_block_comment] = STATE(235),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [236] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(508),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17851),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(236),
    [sym_block_comment] = STATE(236),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [237] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(471),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17722),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(237),
    [sym_block_comment] = STATE(237),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [238] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(506),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17206),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(238),
    [sym_block_comment] = STATE(238),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [239] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(380),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17146),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(239),
    [sym_block_comment] = STATE(239),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [240] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(374),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17507),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(240),
    [sym_block_comment] = STATE(240),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [241] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(476),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17191),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(241),
    [sym_block_comment] = STATE(241),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [242] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(459),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17620),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(242),
    [sym_block_comment] = STATE(242),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [243] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(420),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16938),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(243),
    [sym_block_comment] = STATE(243),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [244] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(376),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17162),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(244),
    [sym_block_comment] = STATE(244),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [245] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(458),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17136),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(245),
    [sym_block_comment] = STATE(245),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [246] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(449),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17490),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(246),
    [sym_block_comment] = STATE(246),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [247] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(369),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17489),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(247),
    [sym_block_comment] = STATE(247),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [248] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(500),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17834),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(248),
    [sym_block_comment] = STATE(248),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [249] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(445),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17065),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(249),
    [sym_block_comment] = STATE(249),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [250] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(371),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17176),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(250),
    [sym_block_comment] = STATE(250),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [251] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(438),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17361),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(251),
    [sym_block_comment] = STATE(251),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [252] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(494),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17821),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(252),
    [sym_block_comment] = STATE(252),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [253] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(364),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17478),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(253),
    [sym_block_comment] = STATE(253),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [254] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(434),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16857),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(254),
    [sym_block_comment] = STATE(254),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [255] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(429),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17278),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(255),
    [sym_block_comment] = STATE(255),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [256] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(366),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17199),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(256),
    [sym_block_comment] = STATE(256),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [257] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(363),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16926),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(257),
    [sym_block_comment] = STATE(257),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [258] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(428),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16807),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(258),
    [sym_block_comment] = STATE(258),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [259] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(483),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17829),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(259),
    [sym_block_comment] = STATE(259),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [260] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(359),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17461),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(260),
    [sym_block_comment] = STATE(260),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [261] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(419),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17577),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(261),
    [sym_block_comment] = STATE(261),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [262] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(417),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16731),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(262),
    [sym_block_comment] = STATE(262),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [263] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(361),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17211),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(263),
    [sym_block_comment] = STATE(263),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [264] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(407),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17082),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(264),
    [sym_block_comment] = STATE(264),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [265] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16759),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(265),
    [sym_block_comment] = STATE(265),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(601),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [266] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17094),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(266),
    [sym_block_comment] = STATE(266),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [267] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(352),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17447),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(267),
    [sym_block_comment] = STATE(267),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [268] = {
    [sym_enum_definition] = STATE(14416),
    [sym_import_declaration] = STATE(14416),
    [sym_export_declaration] = STATE(14416),
    [sym_object_definition] = STATE(14416),
    [sym_class_definition] = STATE(14416),
    [sym_trait_definition] = STATE(14416),
    [sym__end_marker] = STATE(14416),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14416),
    [sym_val_declaration] = STATE(14416),
    [sym__start_val] = STATE(4084),
    [sym_var_declaration] = STATE(14416),
    [sym_var_definition] = STATE(14416),
    [sym__start_var] = STATE(4085),
    [sym_type_definition] = STATE(14416),
    [sym_function_definition] = STATE(14416),
    [sym_function_declaration] = STATE(14416),
    [sym__function_declaration] = STATE(13845),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14416),
    [sym_given_definition] = STATE(14416),
    [sym_modifiers] = STATE(12709),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16017),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13692),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(268),
    [sym_block_comment] = STATE(268),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(591),
    [anon_sym_case] = ACTIONS(563),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(605),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(617),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(619),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(621),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [269] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(356),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17222),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(269),
    [sym_block_comment] = STATE(269),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [270] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(392),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16935),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(270),
    [sym_block_comment] = STATE(270),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [271] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(397),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16600),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(271),
    [sym_block_comment] = STATE(271),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [272] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(496),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17529),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(272),
    [sym_block_comment] = STATE(272),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [273] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(347),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17430),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(273),
    [sym_block_comment] = STATE(273),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [274] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(388),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16813),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(274),
    [sym_block_comment] = STATE(274),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [275] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(427),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16911),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(275),
    [sym_block_comment] = STATE(275),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [276] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(350),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(276),
    [sym_block_comment] = STATE(276),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [277] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17366),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(277),
    [sym_block_comment] = STATE(277),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [278] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(382),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16732),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(278),
    [sym_block_comment] = STATE(278),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [279] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(342),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17416),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(279),
    [sym_block_comment] = STATE(279),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [280] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(384),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16615),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(280),
    [sym_block_comment] = STATE(280),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [281] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(345),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17262),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(281),
    [sym_block_comment] = STATE(281),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [282] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(489),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17727),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(282),
    [sym_block_comment] = STATE(282),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [283] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(425),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17586),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(283),
    [sym_block_comment] = STATE(283),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [284] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(378),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16624),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(284),
    [sym_block_comment] = STATE(284),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [285] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(431),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16894),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(285),
    [sym_block_comment] = STATE(285),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [286] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(341),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17281),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(286),
    [sym_block_comment] = STATE(286),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [287] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(377),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16543),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(287),
    [sym_block_comment] = STATE(287),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [288] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(375),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16557),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(288),
    [sym_block_comment] = STATE(288),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [289] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(484),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17729),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(289),
    [sym_block_comment] = STATE(289),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [290] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(485),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17843),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(290),
    [sym_block_comment] = STATE(290),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [291] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(340),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17294),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(291),
    [sym_block_comment] = STATE(291),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [292] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(477),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17712),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(292),
    [sym_block_comment] = STATE(292),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [293] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(336),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17405),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(293),
    [sym_block_comment] = STATE(293),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [294] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(360),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16884),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(294),
    [sym_block_comment] = STATE(294),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [295] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(472),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17697),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(295),
    [sym_block_comment] = STATE(295),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [296] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(370),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16460),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(296),
    [sym_block_comment] = STATE(296),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [297] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(348),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17304),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(297),
    [sym_block_comment] = STATE(297),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [298] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16878),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(298),
    [sym_block_comment] = STATE(298),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(633),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [299] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(372),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16479),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(299),
    [sym_block_comment] = STATE(299),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [300] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(430),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17605),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(300),
    [sym_block_comment] = STATE(300),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [301] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(337),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17315),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(301),
    [sym_block_comment] = STATE(301),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [302] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(368),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16386),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(302),
    [sym_block_comment] = STATE(302),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [303] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(475),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17646),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(303),
    [sym_block_comment] = STATE(303),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [304] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(436),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17622),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(304),
    [sym_block_comment] = STATE(304),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [305] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(328),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17332),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(305),
    [sym_block_comment] = STATE(305),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [306] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(365),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16277),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(306),
    [sym_block_comment] = STATE(306),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [307] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(367),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16433),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(307),
    [sym_block_comment] = STATE(307),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [308] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(448),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16830),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(308),
    [sym_block_comment] = STATE(308),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [309] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(333),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17351),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(309),
    [sym_block_comment] = STATE(309),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [310] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(351),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16193),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(310),
    [sym_block_comment] = STATE(310),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [311] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(451),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16969),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(311),
    [sym_block_comment] = STATE(311),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [312] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(444),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17640),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(312),
    [sym_block_comment] = STATE(312),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [313] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(362),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16272),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(313),
    [sym_block_comment] = STATE(313),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [314] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(349),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16374),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(314),
    [sym_block_comment] = STATE(314),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [315] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(332),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17337),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(315),
    [sym_block_comment] = STATE(315),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [316] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(454),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17653),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(316),
    [sym_block_comment] = STATE(316),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [317] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(463),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17397),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(317),
    [sym_block_comment] = STATE(317),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [318] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17421),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(318),
    [sym_block_comment] = STATE(318),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [319] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(326),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17382),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(319),
    [sym_block_comment] = STATE(319),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [320] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(460),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17667),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(320),
    [sym_block_comment] = STATE(320),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [321] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(343),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16274),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(321),
    [sym_block_comment] = STATE(321),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [322] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(331),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17394),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(322),
    [sym_block_comment] = STATE(322),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [323] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_self_type] = STATE(334),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16215),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5826),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(323),
    [sym_block_comment] = STATE(323),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [324] = {
    [sym_enum_definition] = STATE(14589),
    [sym_import_declaration] = STATE(14589),
    [sym_export_declaration] = STATE(14589),
    [sym_object_definition] = STATE(14589),
    [sym_class_definition] = STATE(14589),
    [sym_trait_definition] = STATE(14589),
    [sym__end_marker] = STATE(14589),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14589),
    [sym_val_declaration] = STATE(14589),
    [sym__start_val] = STATE(4084),
    [sym_var_declaration] = STATE(14589),
    [sym_var_definition] = STATE(14589),
    [sym__start_var] = STATE(4085),
    [sym_type_definition] = STATE(14589),
    [sym_function_definition] = STATE(14589),
    [sym_function_declaration] = STATE(14589),
    [sym__function_declaration] = STATE(13845),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14589),
    [sym_given_definition] = STATE(14589),
    [sym_modifiers] = STATE(12709),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13946),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(324),
    [sym_block_comment] = STATE(324),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(605),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(617),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(619),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [325] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17378),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(325),
    [sym_block_comment] = STATE(325),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [326] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17379),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(326),
    [sym_block_comment] = STATE(326),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [327] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16711),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(327),
    [sym_block_comment] = STATE(327),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [328] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17325),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(328),
    [sym_block_comment] = STATE(328),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [329] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16702),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(329),
    [sym_block_comment] = STATE(329),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [330] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17549),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(330),
    [sym_block_comment] = STATE(330),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [331] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17391),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(331),
    [sym_block_comment] = STATE(331),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [332] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17362),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(332),
    [sym_block_comment] = STATE(332),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [333] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17341),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(333),
    [sym_block_comment] = STATE(333),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [334] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16325),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(334),
    [sym_block_comment] = STATE(334),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [335] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16519),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(335),
    [sym_block_comment] = STATE(335),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [336] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17401),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(336),
    [sym_block_comment] = STATE(336),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [337] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17312),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(337),
    [sym_block_comment] = STATE(337),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [338] = {
    [sym_enum_definition] = STATE(14597),
    [sym__enum_block] = STATE(16936),
    [sym_enum_case_definitions] = STATE(14597),
    [sym_import_declaration] = STATE(14597),
    [sym_export_declaration] = STATE(14597),
    [sym_object_definition] = STATE(14597),
    [sym_class_definition] = STATE(14597),
    [sym_trait_definition] = STATE(14597),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14597),
    [sym_val_declaration] = STATE(14597),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14597),
    [sym_var_definition] = STATE(14597),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14597),
    [sym_function_definition] = STATE(14597),
    [sym_function_declaration] = STATE(14597),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14597),
    [sym_given_definition] = STATE(14597),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13950),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(338),
    [sym_block_comment] = STATE(338),
    [aux_sym_enum_definition_repeat1] = STATE(4274),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [339] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16243),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(339),
    [sym_block_comment] = STATE(339),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [340] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17292),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(340),
    [sym_block_comment] = STATE(340),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [341] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17275),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(341),
    [sym_block_comment] = STATE(341),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [342] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17412),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(342),
    [sym_block_comment] = STATE(342),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [343] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16280),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(343),
    [sym_block_comment] = STATE(343),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [344] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16168),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(344),
    [sym_block_comment] = STATE(344),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [345] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17253),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(345),
    [sym_block_comment] = STATE(345),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [346] = {
    [sym_enum_definition] = STATE(14484),
    [sym_import_declaration] = STATE(14484),
    [sym_export_declaration] = STATE(14484),
    [sym_object_definition] = STATE(14484),
    [sym_class_definition] = STATE(14484),
    [sym_trait_definition] = STATE(14484),
    [sym__end_marker] = STATE(14484),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14484),
    [sym_val_declaration] = STATE(14484),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14484),
    [sym_var_definition] = STATE(14484),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14484),
    [sym_function_definition] = STATE(14484),
    [sym_function_declaration] = STATE(14484),
    [sym__function_declaration] = STATE(13978),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14484),
    [sym_given_definition] = STATE(14484),
    [sym_modifiers] = STATE(12719),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13923),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(346),
    [sym_block_comment] = STATE(346),
    [aux_sym_enum_definition_repeat1] = STATE(4254),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(565),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(577),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(579),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(637),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [347] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17427),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(347),
    [sym_block_comment] = STATE(347),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [348] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17301),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(348),
    [sym_block_comment] = STATE(348),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [349] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16391),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(349),
    [sym_block_comment] = STATE(349),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [350] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17233),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(350),
    [sym_block_comment] = STATE(350),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [351] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16175),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(351),
    [sym_block_comment] = STATE(351),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [352] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17444),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(352),
    [sym_block_comment] = STATE(352),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [353] = {
    [sym_enum_definition] = STATE(14589),
    [sym_import_declaration] = STATE(14589),
    [sym_export_declaration] = STATE(14589),
    [sym_object_definition] = STATE(14589),
    [sym_class_definition] = STATE(14589),
    [sym_trait_definition] = STATE(14589),
    [sym__end_marker] = STATE(14589),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14589),
    [sym_val_declaration] = STATE(14589),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14589),
    [sym_var_definition] = STATE(14589),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14589),
    [sym_function_definition] = STATE(14589),
    [sym_function_declaration] = STATE(14589),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14589),
    [sym_given_definition] = STATE(14589),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13946),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(353),
    [sym_block_comment] = STATE(353),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [354] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16265),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(354),
    [sym_block_comment] = STATE(354),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [355] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16434),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(355),
    [sym_block_comment] = STATE(355),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [356] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17217),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(356),
    [sym_block_comment] = STATE(356),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [357] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16430),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(357),
    [sym_block_comment] = STATE(357),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [358] = {
    [sym_enum_definition] = STATE(14484),
    [sym_import_declaration] = STATE(14484),
    [sym_export_declaration] = STATE(14484),
    [sym_object_definition] = STATE(14484),
    [sym_class_definition] = STATE(14484),
    [sym_trait_definition] = STATE(14484),
    [sym__end_marker] = STATE(14484),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14484),
    [sym_val_declaration] = STATE(14484),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14484),
    [sym_var_definition] = STATE(14484),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14484),
    [sym_function_definition] = STATE(14484),
    [sym_function_declaration] = STATE(14484),
    [sym__function_declaration] = STATE(13978),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14484),
    [sym_given_definition] = STATE(14484),
    [sym_modifiers] = STATE(12719),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13923),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(358),
    [sym_block_comment] = STATE(358),
    [aux_sym_enum_definition_repeat1] = STATE(4254),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(565),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(577),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(579),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(651),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [359] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17458),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(359),
    [sym_block_comment] = STATE(359),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [360] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16538),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(360),
    [sym_block_comment] = STATE(360),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [361] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17208),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(361),
    [sym_block_comment] = STATE(361),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [362] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16244),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(362),
    [sym_block_comment] = STATE(362),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [363] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16922),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(363),
    [sym_block_comment] = STATE(363),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [364] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17475),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(364),
    [sym_block_comment] = STATE(364),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [365] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16254),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(365),
    [sym_block_comment] = STATE(365),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [366] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17192),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(366),
    [sym_block_comment] = STATE(366),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [367] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16445),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(367),
    [sym_block_comment] = STATE(367),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [368] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16352),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(368),
    [sym_block_comment] = STATE(368),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [369] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17487),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(369),
    [sym_block_comment] = STATE(369),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [370] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16446),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(370),
    [sym_block_comment] = STATE(370),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [371] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17170),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(371),
    [sym_block_comment] = STATE(371),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [372] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16493),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(372),
    [sym_block_comment] = STATE(372),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [373] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17656),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(373),
    [sym_block_comment] = STATE(373),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [374] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17501),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(374),
    [sym_block_comment] = STATE(374),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [375] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16521),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(375),
    [sym_block_comment] = STATE(375),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [376] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17157),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(376),
    [sym_block_comment] = STATE(376),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [377] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16561),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(377),
    [sym_block_comment] = STATE(377),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [378] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16613),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(378),
    [sym_block_comment] = STATE(378),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [379] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16639),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(379),
    [sym_block_comment] = STATE(379),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [380] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17142),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(380),
    [sym_block_comment] = STATE(380),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [381] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16151),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(381),
    [sym_block_comment] = STATE(381),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [382] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16712),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(382),
    [sym_block_comment] = STATE(382),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [383] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16740),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(383),
    [sym_block_comment] = STATE(383),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [384] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16637),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(384),
    [sym_block_comment] = STATE(384),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [385] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17120),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(385),
    [sym_block_comment] = STATE(385),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [386] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16191),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(386),
    [sym_block_comment] = STATE(386),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [387] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17103),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(387),
    [sym_block_comment] = STATE(387),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [388] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16788),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(388),
    [sym_block_comment] = STATE(388),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [389] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16787),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(389),
    [sym_block_comment] = STATE(389),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [390] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17517),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(390),
    [sym_block_comment] = STATE(390),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [391] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16825),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(391),
    [sym_block_comment] = STATE(391),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [392] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16895),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(392),
    [sym_block_comment] = STATE(392),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [393] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17083),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(393),
    [sym_block_comment] = STATE(393),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [394] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16950),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(394),
    [sym_block_comment] = STATE(394),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [395] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17531),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(395),
    [sym_block_comment] = STATE(395),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [396] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17066),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(396),
    [sym_block_comment] = STATE(396),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [397] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16682),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(397),
    [sym_block_comment] = STATE(397),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [398] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17050),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(398),
    [sym_block_comment] = STATE(398),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [399] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17511),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(399),
    [sym_block_comment] = STATE(399),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [400] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16959),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(400),
    [sym_block_comment] = STATE(400),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [401] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17545),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(401),
    [sym_block_comment] = STATE(401),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [402] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17026),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(402),
    [sym_block_comment] = STATE(402),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [403] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17040),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(403),
    [sym_block_comment] = STATE(403),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [404] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16956),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(404),
    [sym_block_comment] = STATE(404),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [405] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(405),
    [sym_block_comment] = STATE(405),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [406] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17071),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(406),
    [sym_block_comment] = STATE(406),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [407] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17044),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(407),
    [sym_block_comment] = STATE(407),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [408] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17015),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(408),
    [sym_block_comment] = STATE(408),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [409] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17715),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(409),
    [sym_block_comment] = STATE(409),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [410] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17559),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(410),
    [sym_block_comment] = STATE(410),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [411] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17002),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(411),
    [sym_block_comment] = STATE(411),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [412] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17098),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(412),
    [sym_block_comment] = STATE(412),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [413] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16981),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(413),
    [sym_block_comment] = STATE(413),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [414] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17101),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(414),
    [sym_block_comment] = STATE(414),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [415] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16960),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(415),
    [sym_block_comment] = STATE(415),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [416] = {
    [sym_enum_definition] = STATE(14589),
    [sym_import_declaration] = STATE(14589),
    [sym_export_declaration] = STATE(14589),
    [sym_object_definition] = STATE(14589),
    [sym_class_definition] = STATE(14589),
    [sym_trait_definition] = STATE(14589),
    [sym__end_marker] = STATE(14589),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14589),
    [sym_val_declaration] = STATE(14589),
    [sym__start_val] = STATE(4084),
    [sym_var_declaration] = STATE(14589),
    [sym_var_definition] = STATE(14589),
    [sym__start_var] = STATE(4085),
    [sym_type_definition] = STATE(14589),
    [sym_function_definition] = STATE(14589),
    [sym_function_declaration] = STATE(14589),
    [sym__function_declaration] = STATE(13845),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14589),
    [sym_given_definition] = STATE(14589),
    [sym_modifiers] = STATE(12709),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13946),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(416),
    [sym_block_comment] = STATE(416),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_case] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(605),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(617),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(619),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [417] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16751),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(417),
    [sym_block_comment] = STATE(417),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [418] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17029),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(418),
    [sym_block_comment] = STATE(418),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [419] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17572),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(419),
    [sym_block_comment] = STATE(419),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [420] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16934),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(420),
    [sym_block_comment] = STATE(420),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [421] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17155),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(421),
    [sym_block_comment] = STATE(421),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [422] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17184),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(422),
    [sym_block_comment] = STATE(422),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [423] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17096),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(423),
    [sym_block_comment] = STATE(423),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [424] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17190),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(424),
    [sym_block_comment] = STATE(424),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [425] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17584),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(425),
    [sym_block_comment] = STATE(425),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [426] = {
    [sym_enum_definition] = STATE(14589),
    [sym_import_declaration] = STATE(14589),
    [sym_export_declaration] = STATE(14589),
    [sym_object_definition] = STATE(14589),
    [sym_class_definition] = STATE(14589),
    [sym_trait_definition] = STATE(14589),
    [sym__end_marker] = STATE(14589),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14589),
    [sym_val_declaration] = STATE(14589),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14589),
    [sym_var_definition] = STATE(14589),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14589),
    [sym_function_definition] = STATE(14589),
    [sym_function_declaration] = STATE(14589),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14589),
    [sym_given_definition] = STATE(14589),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13946),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(426),
    [sym_block_comment] = STATE(426),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [427] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16902),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(427),
    [sym_block_comment] = STATE(427),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [428] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16811),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(428),
    [sym_block_comment] = STATE(428),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [429] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17258),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(429),
    [sym_block_comment] = STATE(429),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [430] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17601),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(430),
    [sym_block_comment] = STATE(430),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [431] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16885),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(431),
    [sym_block_comment] = STATE(431),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [432] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17289),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(432),
    [sym_block_comment] = STATE(432),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [433] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17291),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(433),
    [sym_block_comment] = STATE(433),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [434] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16901),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(434),
    [sym_block_comment] = STATE(434),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [435] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17138),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(435),
    [sym_block_comment] = STATE(435),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [436] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17619),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(436),
    [sym_block_comment] = STATE(436),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [437] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16338),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(437),
    [sym_block_comment] = STATE(437),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [438] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17338),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(438),
    [sym_block_comment] = STATE(438),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [439] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17374),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(439),
    [sym_block_comment] = STATE(439),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [440] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16727),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(440),
    [sym_block_comment] = STATE(440),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [441] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16771),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(441),
    [sym_block_comment] = STATE(441),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [442] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16773),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(442),
    [sym_block_comment] = STATE(442),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [443] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16349),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(443),
    [sym_block_comment] = STATE(443),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [444] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17637),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(444),
    [sym_block_comment] = STATE(444),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [445] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17080),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(445),
    [sym_block_comment] = STATE(445),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [446] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17266),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(446),
    [sym_block_comment] = STATE(446),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [447] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17736),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(447),
    [sym_block_comment] = STATE(447),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [448] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16921),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(448),
    [sym_block_comment] = STATE(448),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [449] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17454),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(449),
    [sym_block_comment] = STATE(449),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [450] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17429),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(450),
    [sym_block_comment] = STATE(450),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [451] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17042),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(451),
    [sym_block_comment] = STATE(451),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [452] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17502),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(452),
    [sym_block_comment] = STATE(452),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [453] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16494),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(453),
    [sym_block_comment] = STATE(453),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [454] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17650),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(454),
    [sym_block_comment] = STATE(454),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [455] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17360),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(455),
    [sym_block_comment] = STATE(455),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [456] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17509),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(456),
    [sym_block_comment] = STATE(456),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [457] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17372),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(457),
    [sym_block_comment] = STATE(457),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [458] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17145),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(458),
    [sym_block_comment] = STATE(458),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [459] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17599),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(459),
    [sym_block_comment] = STATE(459),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [460] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17664),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(460),
    [sym_block_comment] = STATE(460),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [461] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17271),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(461),
    [sym_block_comment] = STATE(461),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [462] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17634),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(462),
    [sym_block_comment] = STATE(462),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [463] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17451),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(463),
    [sym_block_comment] = STATE(463),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [464] = {
    [sym_enum_definition] = STATE(14484),
    [sym_import_declaration] = STATE(14484),
    [sym_export_declaration] = STATE(14484),
    [sym_object_definition] = STATE(14484),
    [sym_class_definition] = STATE(14484),
    [sym_trait_definition] = STATE(14484),
    [sym__end_marker] = STATE(14484),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14484),
    [sym_val_declaration] = STATE(14484),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14484),
    [sym_var_definition] = STATE(14484),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14484),
    [sym_function_definition] = STATE(14484),
    [sym_function_declaration] = STATE(14484),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14484),
    [sym_given_definition] = STATE(14484),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13923),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(464),
    [sym_block_comment] = STATE(464),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(637),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [465] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17759),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(465),
    [sym_block_comment] = STATE(465),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [466] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17675),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(466),
    [sym_block_comment] = STATE(466),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [467] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(467),
    [sym_block_comment] = STATE(467),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [468] = {
    [sym_enum_definition] = STATE(14484),
    [sym_import_declaration] = STATE(14484),
    [sym_export_declaration] = STATE(14484),
    [sym_object_definition] = STATE(14484),
    [sym_class_definition] = STATE(14484),
    [sym_trait_definition] = STATE(14484),
    [sym__end_marker] = STATE(14484),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14484),
    [sym_val_declaration] = STATE(14484),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14484),
    [sym_var_definition] = STATE(14484),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14484),
    [sym_function_definition] = STATE(14484),
    [sym_function_declaration] = STATE(14484),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14484),
    [sym_given_definition] = STATE(14484),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13923),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(468),
    [sym_block_comment] = STATE(468),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(651),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [469] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17609),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(469),
    [sym_block_comment] = STATE(469),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [470] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17615),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(470),
    [sym_block_comment] = STATE(470),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [471] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17695),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(471),
    [sym_block_comment] = STATE(471),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [472] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17689),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(472),
    [sym_block_comment] = STATE(472),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [473] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16472),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(473),
    [sym_block_comment] = STATE(473),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [474] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16578),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(474),
    [sym_block_comment] = STATE(474),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [475] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17673),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(475),
    [sym_block_comment] = STATE(475),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [476] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17205),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(476),
    [sym_block_comment] = STATE(476),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [477] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17706),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(477),
    [sym_block_comment] = STATE(477),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [478] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17336),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(478),
    [sym_block_comment] = STATE(478),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [479] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17863),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(479),
    [sym_block_comment] = STATE(479),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [480] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17464),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(480),
    [sym_block_comment] = STATE(480),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [481] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17745),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(481),
    [sym_block_comment] = STATE(481),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [482] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17750),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(482),
    [sym_block_comment] = STATE(482),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [483] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17842),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(483),
    [sym_block_comment] = STATE(483),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [484] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17724),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(484),
    [sym_block_comment] = STATE(484),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [485] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17760),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(485),
    [sym_block_comment] = STATE(485),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [486] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17836),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(486),
    [sym_block_comment] = STATE(486),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [487] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17268),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(487),
    [sym_block_comment] = STATE(487),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [488] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16775),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(488),
    [sym_block_comment] = STATE(488),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [489] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17741),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(489),
    [sym_block_comment] = STATE(489),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [490] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17575),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(490),
    [sym_block_comment] = STATE(490),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [491] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17864),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(491),
    [sym_block_comment] = STATE(491),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [492] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17569),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(492),
    [sym_block_comment] = STATE(492),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [493] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17870),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(493),
    [sym_block_comment] = STATE(493),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [494] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17816),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(494),
    [sym_block_comment] = STATE(494),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [495] = {
    [sym_enum_definition] = STATE(14597),
    [sym__enum_block] = STATE(16826),
    [sym_enum_case_definitions] = STATE(14597),
    [sym_import_declaration] = STATE(14597),
    [sym_export_declaration] = STATE(14597),
    [sym_object_definition] = STATE(14597),
    [sym_class_definition] = STATE(14597),
    [sym_trait_definition] = STATE(14597),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14597),
    [sym_val_declaration] = STATE(14597),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14597),
    [sym_var_definition] = STATE(14597),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14597),
    [sym_function_definition] = STATE(14597),
    [sym_function_declaration] = STATE(14597),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14597),
    [sym_given_definition] = STATE(14597),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13950),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(495),
    [sym_block_comment] = STATE(495),
    [aux_sym_enum_definition_repeat1] = STATE(4274),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(655),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [496] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17474),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(496),
    [sym_block_comment] = STATE(496),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [497] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17871),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(497),
    [sym_block_comment] = STATE(497),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [498] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16858),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(498),
    [sym_block_comment] = STATE(498),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [499] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(16914),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(499),
    [sym_block_comment] = STATE(499),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [500] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17832),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(500),
    [sym_block_comment] = STATE(500),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [501] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17244),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(501),
    [sym_block_comment] = STATE(501),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [502] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17526),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(502),
    [sym_block_comment] = STATE(502),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [503] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17229),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(503),
    [sym_block_comment] = STATE(503),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [504] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17610),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(504),
    [sym_block_comment] = STATE(504),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [505] = {
    [sym_enum_definition] = STATE(14671),
    [sym_import_declaration] = STATE(14671),
    [sym_export_declaration] = STATE(14671),
    [sym_object_definition] = STATE(14671),
    [sym_class_definition] = STATE(14671),
    [sym_trait_definition] = STATE(14671),
    [sym__end_marker] = STATE(14671),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14671),
    [sym_val_declaration] = STATE(14671),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14671),
    [sym_var_definition] = STATE(14671),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14671),
    [sym_function_definition] = STATE(14671),
    [sym_function_declaration] = STATE(14671),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14671),
    [sym_given_definition] = STATE(14671),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17542),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13897),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(505),
    [sym_block_comment] = STATE(505),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [506] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17156),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(506),
    [sym_block_comment] = STATE(506),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [507] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17348),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(507),
    [sym_block_comment] = STATE(507),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [508] = {
    [sym_enum_definition] = STATE(14709),
    [sym_import_declaration] = STATE(14709),
    [sym_export_declaration] = STATE(14709),
    [sym_object_definition] = STATE(14709),
    [sym_class_definition] = STATE(14709),
    [sym_trait_definition] = STATE(14709),
    [sym__end_marker] = STATE(14709),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14709),
    [sym_val_declaration] = STATE(14709),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14709),
    [sym_var_definition] = STATE(14709),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14709),
    [sym_function_definition] = STATE(14709),
    [sym_function_declaration] = STATE(14709),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14709),
    [sym_given_definition] = STATE(14709),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym__block] = STATE(17847),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13910),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(508),
    [sym_block_comment] = STATE(508),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [509] = {
    [sym_enum_definition] = STATE(14484),
    [sym_import_declaration] = STATE(14484),
    [sym_export_declaration] = STATE(14484),
    [sym_object_definition] = STATE(14484),
    [sym_class_definition] = STATE(14484),
    [sym_trait_definition] = STATE(14484),
    [sym__end_marker] = STATE(14484),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14484),
    [sym_val_declaration] = STATE(14484),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14484),
    [sym_var_definition] = STATE(14484),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14484),
    [sym_function_definition] = STATE(14484),
    [sym_function_declaration] = STATE(14484),
    [sym__function_declaration] = STATE(13978),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14484),
    [sym_given_definition] = STATE(14484),
    [sym_modifiers] = STATE(12719),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13923),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(509),
    [sym_block_comment] = STATE(509),
    [aux_sym_enum_definition_repeat1] = STATE(4254),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(565),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(577),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(579),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [510] = {
    [sym_enum_definition] = STATE(15399),
    [sym_enum_case_definitions] = STATE(15399),
    [sym_import_declaration] = STATE(15399),
    [sym_export_declaration] = STATE(15399),
    [sym_object_definition] = STATE(15399),
    [sym_class_definition] = STATE(15399),
    [sym_trait_definition] = STATE(15399),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15399),
    [sym_val_declaration] = STATE(15399),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(15399),
    [sym_var_definition] = STATE(15399),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(15399),
    [sym_function_definition] = STATE(15399),
    [sym_function_declaration] = STATE(15399),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(15399),
    [sym_given_definition] = STATE(15399),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14038),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(510),
    [sym_block_comment] = STATE(510),
    [aux_sym_enum_definition_repeat1] = STATE(4269),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(661),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [511] = {
    [sym_enum_definition] = STATE(14509),
    [sym__enum_block] = STATE(16899),
    [sym_enum_case_definitions] = STATE(14509),
    [sym_import_declaration] = STATE(14509),
    [sym_export_declaration] = STATE(14509),
    [sym_object_definition] = STATE(14509),
    [sym_class_definition] = STATE(14509),
    [sym_trait_definition] = STATE(14509),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14509),
    [sym_val_declaration] = STATE(14509),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14509),
    [sym_var_definition] = STATE(14509),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14509),
    [sym_function_definition] = STATE(14509),
    [sym_function_declaration] = STATE(14509),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14509),
    [sym_given_definition] = STATE(14509),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13912),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(511),
    [sym_block_comment] = STATE(511),
    [aux_sym_enum_definition_repeat1] = STATE(4269),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [512] = {
    [sym_enum_definition] = STATE(14589),
    [sym_import_declaration] = STATE(14589),
    [sym_export_declaration] = STATE(14589),
    [sym_object_definition] = STATE(14589),
    [sym_class_definition] = STATE(14589),
    [sym_trait_definition] = STATE(14589),
    [sym__end_marker] = STATE(14589),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14589),
    [sym_val_declaration] = STATE(14589),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(14589),
    [sym_var_definition] = STATE(14589),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14589),
    [sym_function_definition] = STATE(14589),
    [sym_function_declaration] = STATE(14589),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14589),
    [sym_given_definition] = STATE(14589),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13946),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(512),
    [sym_block_comment] = STATE(512),
    [aux_sym_enum_definition_repeat1] = STATE(4275),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [513] = {
    [sym_enum_definition] = STATE(15568),
    [sym_enum_case_definitions] = STATE(15568),
    [sym_import_declaration] = STATE(15568),
    [sym_export_declaration] = STATE(15568),
    [sym_object_definition] = STATE(15568),
    [sym_class_definition] = STATE(15568),
    [sym_trait_definition] = STATE(15568),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15568),
    [sym_val_declaration] = STATE(15568),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(15568),
    [sym_var_definition] = STATE(15568),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(15568),
    [sym_function_definition] = STATE(15568),
    [sym_function_declaration] = STATE(15568),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(15568),
    [sym_given_definition] = STATE(15568),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(14051),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(513),
    [sym_block_comment] = STATE(513),
    [aux_sym_enum_definition_repeat1] = STATE(4274),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [514] = {
    [sym_enum_definition] = STATE(14509),
    [sym__enum_block] = STATE(16569),
    [sym_enum_case_definitions] = STATE(14509),
    [sym_import_declaration] = STATE(14509),
    [sym_export_declaration] = STATE(14509),
    [sym_object_definition] = STATE(14509),
    [sym_class_definition] = STATE(14509),
    [sym_trait_definition] = STATE(14509),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14509),
    [sym_val_declaration] = STATE(14509),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14509),
    [sym_var_definition] = STATE(14509),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14509),
    [sym_function_definition] = STATE(14509),
    [sym_function_declaration] = STATE(14509),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14509),
    [sym_given_definition] = STATE(14509),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13912),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(514),
    [sym_block_comment] = STATE(514),
    [aux_sym_enum_definition_repeat1] = STATE(4269),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [515] = {
    [sym_enum_definition] = STATE(14589),
    [sym_import_declaration] = STATE(14589),
    [sym_export_declaration] = STATE(14589),
    [sym_object_definition] = STATE(14589),
    [sym_class_definition] = STATE(14589),
    [sym_trait_definition] = STATE(14589),
    [sym__end_marker] = STATE(14589),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14589),
    [sym_val_declaration] = STATE(14589),
    [sym__start_val] = STATE(4084),
    [sym_var_declaration] = STATE(14589),
    [sym_var_definition] = STATE(14589),
    [sym__start_var] = STATE(4085),
    [sym_type_definition] = STATE(14589),
    [sym_function_definition] = STATE(14589),
    [sym_function_declaration] = STATE(14589),
    [sym__function_declaration] = STATE(13845),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(14589),
    [sym_given_definition] = STATE(14589),
    [sym_modifiers] = STATE(12709),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13946),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(515),
    [sym_block_comment] = STATE(515),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(605),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(617),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(619),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [516] = {
    [sym_enum_definition] = STATE(14484),
    [sym_import_declaration] = STATE(14484),
    [sym_export_declaration] = STATE(14484),
    [sym_object_definition] = STATE(14484),
    [sym_class_definition] = STATE(14484),
    [sym_trait_definition] = STATE(14484),
    [sym__end_marker] = STATE(14484),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(14484),
    [sym_val_declaration] = STATE(14484),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(14484),
    [sym_var_definition] = STATE(14484),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(14484),
    [sym_function_definition] = STATE(14484),
    [sym_function_declaration] = STATE(14484),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(14484),
    [sym_given_definition] = STATE(14484),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13923),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(516),
    [sym_block_comment] = STATE(516),
    [aux_sym_enum_definition_repeat1] = STATE(4271),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [517] = {
    [sym_enum_definition] = STATE(15399),
    [sym_enum_case_definitions] = STATE(15399),
    [sym_import_declaration] = STATE(15399),
    [sym_export_declaration] = STATE(15399),
    [sym_object_definition] = STATE(15399),
    [sym_class_definition] = STATE(15399),
    [sym_trait_definition] = STATE(15399),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15399),
    [sym_val_declaration] = STATE(15399),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(15399),
    [sym_var_definition] = STATE(15399),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(15399),
    [sym_function_definition] = STATE(15399),
    [sym_function_declaration] = STATE(15399),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(15399),
    [sym_given_definition] = STATE(15399),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14038),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(517),
    [sym_block_comment] = STATE(517),
    [aux_sym_enum_definition_repeat1] = STATE(4269),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(663),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [518] = {
    [sym_enum_definition] = STATE(15568),
    [sym_enum_case_definitions] = STATE(15568),
    [sym_import_declaration] = STATE(15568),
    [sym_export_declaration] = STATE(15568),
    [sym_object_definition] = STATE(15568),
    [sym_class_definition] = STATE(15568),
    [sym_trait_definition] = STATE(15568),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15568),
    [sym_val_declaration] = STATE(15568),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(15568),
    [sym_var_definition] = STATE(15568),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(15568),
    [sym_function_definition] = STATE(15568),
    [sym_function_declaration] = STATE(15568),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(15568),
    [sym_given_definition] = STATE(15568),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(14051),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(518),
    [sym_block_comment] = STATE(518),
    [aux_sym_enum_definition_repeat1] = STATE(4274),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(661),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [519] = {
    [sym_enum_definition] = STATE(15399),
    [sym_enum_case_definitions] = STATE(15399),
    [sym_import_declaration] = STATE(15399),
    [sym_export_declaration] = STATE(15399),
    [sym_object_definition] = STATE(15399),
    [sym_class_definition] = STATE(15399),
    [sym_trait_definition] = STATE(15399),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15399),
    [sym_val_declaration] = STATE(15399),
    [sym__start_val] = STATE(4107),
    [sym_var_declaration] = STATE(15399),
    [sym_var_definition] = STATE(15399),
    [sym__start_var] = STATE(4102),
    [sym_type_definition] = STATE(15399),
    [sym_function_definition] = STATE(15399),
    [sym_function_declaration] = STATE(15399),
    [sym__function_declaration] = STATE(14060),
    [sym_opaque_modifier] = STATE(16601),
    [sym_extension_definition] = STATE(15399),
    [sym_given_definition] = STATE(15399),
    [sym_modifiers] = STATE(12859),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14038),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(519),
    [sym_block_comment] = STATE(519),
    [aux_sym_enum_definition_repeat1] = STATE(4269),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [520] = {
    [sym_enum_definition] = STATE(15568),
    [sym_enum_case_definitions] = STATE(15568),
    [sym_import_declaration] = STATE(15568),
    [sym_export_declaration] = STATE(15568),
    [sym_object_definition] = STATE(15568),
    [sym_class_definition] = STATE(15568),
    [sym_trait_definition] = STATE(15568),
    [sym_annotation] = STATE(7765),
    [sym_val_definition] = STATE(15568),
    [sym_val_declaration] = STATE(15568),
    [sym__start_val] = STATE(4128),
    [sym_var_declaration] = STATE(15568),
    [sym_var_definition] = STATE(15568),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(15568),
    [sym_function_definition] = STATE(15568),
    [sym_function_declaration] = STATE(15568),
    [sym__function_declaration] = STATE(14055),
    [sym_opaque_modifier] = STATE(16845),
    [sym_extension_definition] = STATE(15568),
    [sym_given_definition] = STATE(15568),
    [sym_modifiers] = STATE(13006),
    [sym_access_modifier] = STATE(6638),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6638),
    [sym_open_modifier] = STATE(6638),
    [sym_transparent_modifier] = STATE(6638),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(14051),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(520),
    [sym_block_comment] = STATE(520),
    [aux_sym_enum_definition_repeat1] = STATE(4274),
    [aux_sym_modifiers_repeat1] = STATE(5347),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [521] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13941),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(521),
    [sym_block_comment] = STATE(521),
    [sym__alpha_identifier] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(682),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(697),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(700),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(714),
    [sym__backquoted_id] = ACTIONS(717),
    [sym_operator_identifier] = ACTIONS(720),
    [sym_integer_literal] = ACTIONS(723),
    [sym_floating_point_literal] = ACTIONS(726),
    [anon_sym_true] = ACTIONS(729),
    [anon_sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(735),
    [anon_sym_throw] = ACTIONS(738),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__outdent] = ACTIONS(706),
    [sym__simple_multiline_string] = ACTIONS(746),
    [sym__simple_string] = ACTIONS(746),
  },
  [522] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13941),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(522),
    [sym_block_comment] = STATE(522),
    [sym__alpha_identifier] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(682),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(697),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(700),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(714),
    [sym__backquoted_id] = ACTIONS(717),
    [sym_operator_identifier] = ACTIONS(720),
    [sym_integer_literal] = ACTIONS(723),
    [sym_floating_point_literal] = ACTIONS(726),
    [anon_sym_true] = ACTIONS(729),
    [anon_sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(735),
    [anon_sym_throw] = ACTIONS(738),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(746),
    [sym__simple_string] = ACTIONS(746),
  },
  [523] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12691),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(523),
    [sym_block_comment] = STATE(523),
    [sym__alpha_identifier] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(755),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(758),
    [anon_sym_end] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_new] = ACTIONS(776),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(761),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(782),
    [anon_sym_infix] = ACTIONS(761),
    [anon_sym_open] = ACTIONS(761),
    [anon_sym_transparent] = ACTIONS(761),
    [anon_sym_LPAREN] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(788),
    [anon_sym_BANG] = ACTIONS(758),
    [anon_sym_TILDE] = ACTIONS(758),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_SQUOTE] = ACTIONS(794),
    [sym__backquoted_id] = ACTIONS(797),
    [sym_operator_identifier] = ACTIONS(800),
    [sym_integer_literal] = ACTIONS(803),
    [sym_floating_point_literal] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [sym_character_literal] = ACTIONS(806),
    [sym_null_literal] = ACTIONS(812),
    [anon_sym_return] = ACTIONS(815),
    [anon_sym_throw] = ACTIONS(818),
    [anon_sym_do] = ACTIONS(821),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(824),
    [sym__simple_multiline_string] = ACTIONS(827),
    [sym__simple_string] = ACTIONS(827),
  },
  [524] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15630),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(524),
    [sym_block_comment] = STATE(524),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [525] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(525),
    [sym_block_comment] = STATE(525),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [526] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(526),
    [sym_block_comment] = STATE(526),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [527] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(527),
    [sym_block_comment] = STATE(527),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [528] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15630),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(528),
    [sym_block_comment] = STATE(528),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [529] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(15012),
    [sym__simple_expression] = STATE(4430),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16426),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(6326),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4255),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(4793),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(529),
    [sym_block_comment] = STATE(529),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_COLON] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [530] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(14932),
    [sym__simple_expression] = STATE(4508),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4321),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(5123),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(530),
    [sym_block_comment] = STATE(530),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [531] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(15144),
    [sym__simple_expression] = STATE(4539),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16377),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7329),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4297),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(5463),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(531),
    [sym_block_comment] = STATE(531),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [532] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(15417),
    [sym__simple_expression] = STATE(5020),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16631),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8379),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4521),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6389),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(532),
    [sym_block_comment] = STATE(532),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [533] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(14761),
    [sym__simple_expression] = STATE(4623),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16447),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7603),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4418),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(5719),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(533),
    [sym_block_comment] = STATE(533),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_COLON] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [534] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(15541),
    [sym__simple_expression] = STATE(4735),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16200),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7740),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4426),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(5619),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(534),
    [sym_block_comment] = STATE(534),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [535] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(15830),
    [sym__simple_expression] = STATE(4704),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16468),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7537),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4428),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(5796),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(535),
    [sym_block_comment] = STATE(535),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [536] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12760),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(536),
    [sym_block_comment] = STATE(536),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [537] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5553),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16363),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4761),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7615),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(537),
    [sym_block_comment] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_COLON] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1196),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [538] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(15161),
    [sym__simple_expression] = STATE(5235),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16747),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9279),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(6819),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(538),
    [sym_block_comment] = STATE(538),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_COLON] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1232),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [539] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11619),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(539),
    [sym_block_comment] = STATE(539),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [540] = {
    [sym_inline_modifier] = STATE(2244),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11619),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(540),
    [sym_block_comment] = STATE(540),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [541] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(15338),
    [sym__simple_expression] = STATE(5442),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16340),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8724),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4689),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7263),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(541),
    [sym_block_comment] = STATE(541),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_COLON] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [542] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12626),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(542),
    [sym_block_comment] = STATE(542),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [543] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(15047),
    [sym__simple_expression] = STATE(4982),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16709),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8257),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(4497),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(6653),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(543),
    [sym_block_comment] = STATE(543),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_COLON] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1358),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [544] = {
    [sym_inline_modifier] = STATE(2211),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13378),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(544),
    [sym_block_comment] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [545] = {
    [sym_inline_modifier] = STATE(2198),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(545),
    [sym_block_comment] = STATE(545),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [546] = {
    [sym_inline_modifier] = STATE(2332),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11909),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(546),
    [sym_block_comment] = STATE(546),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [547] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11619),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(547),
    [sym_block_comment] = STATE(547),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [548] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(14855),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16651),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9675),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5029),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(7435),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(548),
    [sym_block_comment] = STATE(548),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(1464),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [549] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12153),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(549),
    [sym_block_comment] = STATE(549),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [550] = {
    [sym_inline_modifier] = STATE(2094),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12760),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(550),
    [sym_block_comment] = STATE(550),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [551] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(6439),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16454),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9835),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5424),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8484),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(551),
    [sym_block_comment] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1532),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [552] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(15781),
    [sym__simple_expression] = STATE(5465),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16510),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9449),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(552),
    [sym_block_comment] = STATE(552),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_COLON] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1568),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [553] = {
    [sym_inline_modifier] = STATE(2107),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13277),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(553),
    [sym_block_comment] = STATE(553),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [554] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(5383),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16322),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9234),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(4683),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(7366),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(554),
    [sym_block_comment] = STATE(554),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [555] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(14994),
    [sym__simple_expression] = STATE(5433),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16238),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9072),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(4684),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(6713),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(555),
    [sym_block_comment] = STATE(555),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_COLON] = ACTIONS(1638),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1660),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [556] = {
    [sym_inline_modifier] = STATE(2092),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11909),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(556),
    [sym_block_comment] = STATE(556),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [557] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(14831),
    [sym__simple_expression] = STATE(6615),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16671),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9975),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5100),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(557),
    [sym_block_comment] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_COLON] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(1712),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [558] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(4899),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8623),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(558),
    [sym_block_comment] = STATE(558),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [559] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12153),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(559),
    [sym_block_comment] = STATE(559),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [560] = {
    [sym_inline_modifier] = STATE(2315),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(13013),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(560),
    [sym_block_comment] = STATE(560),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [561] = {
    [sym_inline_modifier] = STATE(2075),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12279),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(561),
    [sym_block_comment] = STATE(561),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [562] = {
    [sym_inline_modifier] = STATE(2277),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11909),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(562),
    [sym_block_comment] = STATE(562),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [563] = {
    [sym_inline_modifier] = STATE(2041),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13277),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(563),
    [sym_block_comment] = STATE(563),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [564] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(13695),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(564),
    [sym_block_comment] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [565] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(4899),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8623),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(565),
    [sym_block_comment] = STATE(565),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [566] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(15081),
    [sym__simple_expression] = STATE(5758),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16489),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9384),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(7641),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(566),
    [sym_block_comment] = STATE(566),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_COLON] = ACTIONS(1832),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(1854),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [567] = {
    [sym_inline_modifier] = STATE(2185),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12303),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(567),
    [sym_block_comment] = STATE(567),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [568] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13258),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(568),
    [sym_block_comment] = STATE(568),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [569] = {
    [sym_inline_modifier] = STATE(2069),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12153),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(569),
    [sym_block_comment] = STATE(569),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [570] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13551),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(570),
    [sym_block_comment] = STATE(570),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [571] = {
    [sym_inline_modifier] = STATE(2251),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12279),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(571),
    [sym_block_comment] = STATE(571),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [572] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(6532),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9857),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(572),
    [sym_block_comment] = STATE(572),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [573] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12303),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(573),
    [sym_block_comment] = STATE(573),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [574] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13218),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(574),
    [sym_block_comment] = STATE(574),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [575] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(15075),
    [sym__simple_expression] = STATE(7117),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16228),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10399),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8738),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(575),
    [sym_block_comment] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_COLON] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [576] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(15244),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16384),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10263),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5569),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(576),
    [sym_block_comment] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_COLON] = ACTIONS(2034),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [577] = {
    [sym_inline_modifier] = STATE(2307),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13552),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(577),
    [sym_block_comment] = STATE(577),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [578] = {
    [sym_inline_modifier] = STATE(2309),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(13815),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(578),
    [sym_block_comment] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [579] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(579),
    [sym_block_comment] = STATE(579),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [580] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12945),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym__expr_case_clause] = STATE(12926),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(580),
    [sym_block_comment] = STATE(580),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2120),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [581] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12576),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym__expr_case_clause] = STATE(12575),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(581),
    [sym_block_comment] = STATE(581),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [582] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(12102),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym__expr_case_clause] = STATE(12100),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(582),
    [sym_block_comment] = STATE(582),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [583] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13518),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym__expr_case_clause] = STATE(13512),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(583),
    [sym_block_comment] = STATE(583),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(2166),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [584] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13217),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym__expr_case_clause] = STATE(13216),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(584),
    [sym_block_comment] = STATE(584),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2172),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [585] = {
    [sym_inline_modifier] = STATE(2297),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(585),
    [sym_block_comment] = STATE(585),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [586] = {
    [sym_inline_modifier] = STATE(2292),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12626),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(586),
    [sym_block_comment] = STATE(586),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [587] = {
    [sym_inline_modifier] = STATE(2093),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13552),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(587),
    [sym_block_comment] = STATE(587),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [588] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12945),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym__expr_case_clause] = STATE(12926),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(588),
    [sym_block_comment] = STATE(588),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [589] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(6532),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9857),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(589),
    [sym_block_comment] = STATE(589),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [590] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(13844),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(590),
    [sym_block_comment] = STATE(590),
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [591] = {
    [sym_inline_modifier] = STATE(2213),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13570),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(591),
    [sym_block_comment] = STATE(591),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [592] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(12102),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym__expr_case_clause] = STATE(12100),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(592),
    [sym_block_comment] = STATE(592),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2248),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [593] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12576),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym__expr_case_clause] = STATE(12575),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(593),
    [sym_block_comment] = STATE(593),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [594] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14808),
    [sym__simple_expression] = STATE(7820),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16755),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10530),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6323),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9506),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(594),
    [sym_block_comment] = STATE(594),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2260),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [595] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13645),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym__expr_case_clause] = STATE(13647),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(595),
    [sym_block_comment] = STATE(595),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [596] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13493),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym__expr_case_clause] = STATE(13492),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(596),
    [sym_block_comment] = STATE(596),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [597] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13415),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym__expr_case_clause] = STATE(13461),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(597),
    [sym_block_comment] = STATE(597),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [598] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12576),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym__expr_case_clause] = STATE(12575),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(598),
    [sym_block_comment] = STATE(598),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [599] = {
    [sym_inline_modifier] = STATE(2158),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(13885),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(599),
    [sym_block_comment] = STATE(599),
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [600] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12945),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym__expr_case_clause] = STATE(12926),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(600),
    [sym_block_comment] = STATE(600),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2312),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [601] = {
    [sym_inline_modifier] = STATE(2267),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12626),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(601),
    [sym_block_comment] = STATE(601),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [602] = {
    [sym_inline_modifier] = STATE(2326),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12303),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(602),
    [sym_block_comment] = STATE(602),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [603] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11676),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym__expr_case_clause] = STATE(11672),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(603),
    [sym_block_comment] = STATE(603),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [604] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13298),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym__expr_case_clause] = STATE(13297),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(604),
    [sym_block_comment] = STATE(604),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [605] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(12172),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym__expr_case_clause] = STATE(12171),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(605),
    [sym_block_comment] = STATE(605),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2352),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [606] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13298),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym__expr_case_clause] = STATE(13297),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(606),
    [sym_block_comment] = STATE(606),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(2358),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [607] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11676),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym__expr_case_clause] = STATE(11672),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(607),
    [sym_block_comment] = STATE(607),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [608] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13518),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym__expr_case_clause] = STATE(13512),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(608),
    [sym_block_comment] = STATE(608),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(2378),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [609] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13298),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym__expr_case_clause] = STATE(13297),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(609),
    [sym_block_comment] = STATE(609),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [610] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12172),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym__expr_case_clause] = STATE(12171),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(610),
    [sym_block_comment] = STATE(610),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [611] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14879),
    [sym__simple_expression] = STATE(6356),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10046),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(611),
    [sym_block_comment] = STATE(611),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_COLON] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [612] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13493),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym__expr_case_clause] = STATE(13492),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(612),
    [sym_block_comment] = STATE(612),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [613] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(12102),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym__expr_case_clause] = STATE(12100),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(613),
    [sym_block_comment] = STATE(613),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(2406),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [614] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13415),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym__expr_case_clause] = STATE(13461),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(614),
    [sym_block_comment] = STATE(614),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [615] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12172),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym__expr_case_clause] = STATE(12171),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(615),
    [sym_block_comment] = STATE(615),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [616] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13703),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym__expr_case_clause] = STATE(13701),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(616),
    [sym_block_comment] = STATE(616),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [617] = {
    [sym_inline_modifier] = STATE(2275),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12972),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(617),
    [sym_block_comment] = STATE(617),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [618] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(12172),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym__expr_case_clause] = STATE(12171),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(618),
    [sym_block_comment] = STATE(618),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [619] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12576),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym__expr_case_clause] = STATE(12575),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(619),
    [sym_block_comment] = STATE(619),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [620] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12972),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(620),
    [sym_block_comment] = STATE(620),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [621] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11676),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym__expr_case_clause] = STATE(11672),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(621),
    [sym_block_comment] = STATE(621),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [622] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13703),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym__expr_case_clause] = STATE(13701),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(622),
    [sym_block_comment] = STATE(622),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [623] = {
    [sym_inline_modifier] = STATE(2163),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12279),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(623),
    [sym_block_comment] = STATE(623),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [624] = {
    [sym_inline_modifier] = STATE(2227),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13551),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(624),
    [sym_block_comment] = STATE(624),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [625] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(12102),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym__expr_case_clause] = STATE(12100),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(625),
    [sym_block_comment] = STATE(625),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [626] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13217),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym__expr_case_clause] = STATE(13216),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(626),
    [sym_block_comment] = STATE(626),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [627] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13493),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym__expr_case_clause] = STATE(13492),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(627),
    [sym_block_comment] = STATE(627),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [628] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13703),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym__expr_case_clause] = STATE(13701),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(628),
    [sym_block_comment] = STATE(628),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [629] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13645),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym__expr_case_clause] = STATE(13647),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(629),
    [sym_block_comment] = STATE(629),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [630] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11676),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym__expr_case_clause] = STATE(11672),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(630),
    [sym_block_comment] = STATE(630),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [631] = {
    [sym_inline_modifier] = STATE(2315),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12985),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(631),
    [sym_block_comment] = STATE(631),
    [sym__alpha_identifier] = ACTIONS(2508),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2518),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2518),
    [anon_sym_open] = ACTIONS(2518),
    [anon_sym_transparent] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(2527),
    [sym_operator_identifier] = ACTIONS(2530),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [632] = {
    [sym_inline_modifier] = STATE(2332),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11897),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(632),
    [sym_block_comment] = STATE(632),
    [sym__alpha_identifier] = ACTIONS(2536),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2542),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2542),
    [anon_sym_open] = ACTIONS(2542),
    [anon_sym_transparent] = ACTIONS(2542),
    [anon_sym_LPAREN] = ACTIONS(2548),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2551),
    [sym_operator_identifier] = ACTIONS(2554),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [633] = {
    [sym_inline_modifier] = STATE(2244),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11587),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(633),
    [sym_block_comment] = STATE(633),
    [sym__alpha_identifier] = ACTIONS(2560),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2566),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym_infix] = ACTIONS(2566),
    [anon_sym_open] = ACTIONS(2566),
    [anon_sym_transparent] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2575),
    [sym_operator_identifier] = ACTIONS(2578),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [634] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(859),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(634),
    [sym_block_comment] = STATE(634),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [635] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(889),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(635),
    [sym_block_comment] = STATE(635),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [636] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1157),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(636),
    [sym_block_comment] = STATE(636),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [637] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12944),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(637),
    [sym_block_comment] = STATE(637),
    [sym__alpha_identifier] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2594),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(2599),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_transparent] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2605),
    [sym_operator_identifier] = ACTIONS(2608),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [638] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1607),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(638),
    [sym_block_comment] = STATE(638),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [639] = {
    [sym_inline_modifier] = STATE(2163),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12276),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(639),
    [sym_block_comment] = STATE(639),
    [sym__alpha_identifier] = ACTIONS(2614),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2620),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(2623),
    [anon_sym_infix] = ACTIONS(2620),
    [anon_sym_open] = ACTIONS(2620),
    [anon_sym_transparent] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2629),
    [sym_operator_identifier] = ACTIONS(2632),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [640] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1121),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(640),
    [sym_block_comment] = STATE(640),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [641] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(925),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(641),
    [sym_block_comment] = STATE(641),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [642] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1326),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(642),
    [sym_block_comment] = STATE(642),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [643] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11587),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(643),
    [sym_block_comment] = STATE(643),
    [sym__alpha_identifier] = ACTIONS(2560),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2566),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym_infix] = ACTIONS(2566),
    [anon_sym_open] = ACTIONS(2566),
    [anon_sym_transparent] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2575),
    [sym_operator_identifier] = ACTIONS(2638),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [644] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13252),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(644),
    [sym_block_comment] = STATE(644),
    [sym__alpha_identifier] = ACTIONS(2641),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2647),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2647),
    [anon_sym_open] = ACTIONS(2647),
    [anon_sym_transparent] = ACTIONS(2647),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(2656),
    [sym_operator_identifier] = ACTIONS(2659),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [645] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1086),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(645),
    [sym_block_comment] = STATE(645),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [646] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1111),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(646),
    [sym_block_comment] = STATE(646),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [647] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1183),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(647),
    [sym_block_comment] = STATE(647),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [648] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1096),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(648),
    [sym_block_comment] = STATE(648),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [649] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(851),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(649),
    [sym_block_comment] = STATE(649),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [650] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1238),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(650),
    [sym_block_comment] = STATE(650),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [651] = {
    [sym_inline_modifier] = STATE(2185),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12298),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(651),
    [sym_block_comment] = STATE(651),
    [sym__alpha_identifier] = ACTIONS(2665),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2671),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym_infix] = ACTIONS(2671),
    [anon_sym_open] = ACTIONS(2671),
    [anon_sym_transparent] = ACTIONS(2671),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(2680),
    [sym_operator_identifier] = ACTIONS(2683),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [652] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1261),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(652),
    [sym_block_comment] = STATE(652),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [653] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1064),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(653),
    [sym_block_comment] = STATE(653),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [654] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(862),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(654),
    [sym_block_comment] = STATE(654),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [655] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12298),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(655),
    [sym_block_comment] = STATE(655),
    [sym__alpha_identifier] = ACTIONS(2665),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2671),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym_infix] = ACTIONS(2671),
    [anon_sym_open] = ACTIONS(2671),
    [anon_sym_transparent] = ACTIONS(2671),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(2680),
    [sym_operator_identifier] = ACTIONS(2691),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [656] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12972),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(656),
    [sym_block_comment] = STATE(656),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [657] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1048),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(657),
    [sym_block_comment] = STATE(657),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [658] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(944),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(658),
    [sym_block_comment] = STATE(658),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [659] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1007),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(659),
    [sym_block_comment] = STATE(659),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [660] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(979),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(660),
    [sym_block_comment] = STATE(660),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [661] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1475),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(661),
    [sym_block_comment] = STATE(661),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [662] = {
    [sym_inline_modifier] = STATE(2048),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14136),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(662),
    [sym_block_comment] = STATE(662),
    [sym__alpha_identifier] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2700),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(2705),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_transparent] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(2711),
    [sym_operator_identifier] = ACTIONS(2714),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [663] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1001),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(663),
    [sym_block_comment] = STATE(663),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [664] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12944),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(664),
    [sym_block_comment] = STATE(664),
    [sym__alpha_identifier] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2594),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_transparent] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2605),
    [sym_operator_identifier] = ACTIONS(2720),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [665] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1047),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(665),
    [sym_block_comment] = STATE(665),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [666] = {
    [sym_inline_modifier] = STATE(2227),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13434),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(666),
    [sym_block_comment] = STATE(666),
    [sym__alpha_identifier] = ACTIONS(2723),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2729),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2734),
    [anon_sym_infix] = ACTIONS(2729),
    [anon_sym_open] = ACTIONS(2729),
    [anon_sym_transparent] = ACTIONS(2729),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(2740),
    [sym_operator_identifier] = ACTIONS(2743),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [667] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(919),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(667),
    [sym_block_comment] = STATE(667),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [668] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1506),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(668),
    [sym_block_comment] = STATE(668),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [669] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1076),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(669),
    [sym_block_comment] = STATE(669),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [670] = {
    [sym_inline_modifier] = STATE(2251),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12276),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(670),
    [sym_block_comment] = STATE(670),
    [sym__alpha_identifier] = ACTIONS(2614),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2620),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(2623),
    [anon_sym_infix] = ACTIONS(2620),
    [anon_sym_open] = ACTIONS(2620),
    [anon_sym_transparent] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2629),
    [sym_operator_identifier] = ACTIONS(2749),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [671] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1239),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(671),
    [sym_block_comment] = STATE(671),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [672] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(898),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(672),
    [sym_block_comment] = STATE(672),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [673] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1272),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(673),
    [sym_block_comment] = STATE(673),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [674] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13806),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(674),
    [sym_block_comment] = STATE(674),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [675] = {
    [sym_inline_modifier] = STATE(2256),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12985),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(675),
    [sym_block_comment] = STATE(675),
    [sym__alpha_identifier] = ACTIONS(2508),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2518),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2518),
    [anon_sym_open] = ACTIONS(2518),
    [anon_sym_transparent] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(2527),
    [sym_operator_identifier] = ACTIONS(2752),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [676] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1284),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(676),
    [sym_block_comment] = STATE(676),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [677] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(865),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(677),
    [sym_block_comment] = STATE(677),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [678] = {
    [sym_inline_modifier] = STATE(2256),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(13013),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(678),
    [sym_block_comment] = STATE(678),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [679] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(13721),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(679),
    [sym_block_comment] = STATE(679),
    [sym__alpha_identifier] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2761),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(2764),
    [anon_sym_infix] = ACTIONS(2761),
    [anon_sym_open] = ACTIONS(2761),
    [anon_sym_transparent] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2767),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(2770),
    [sym_operator_identifier] = ACTIONS(2773),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [680] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1600),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(680),
    [sym_block_comment] = STATE(680),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [681] = {
    [sym_inline_modifier] = STATE(2267),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12490),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(681),
    [sym_block_comment] = STATE(681),
    [sym__alpha_identifier] = ACTIONS(2776),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2782),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym_infix] = ACTIONS(2782),
    [anon_sym_open] = ACTIONS(2782),
    [anon_sym_transparent] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2788),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2791),
    [sym_operator_identifier] = ACTIONS(2794),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [682] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(863),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(682),
    [sym_block_comment] = STATE(682),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [683] = {
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13267),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(683),
    [sym_block_comment] = STATE(683),
    [sym__alpha_identifier] = ACTIONS(2800),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2806),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym_infix] = ACTIONS(2806),
    [anon_sym_open] = ACTIONS(2806),
    [anon_sym_transparent] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(2815),
    [sym_operator_identifier] = ACTIONS(2818),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [684] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1423),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(684),
    [sym_block_comment] = STATE(684),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [685] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13820),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(685),
    [sym_block_comment] = STATE(685),
    [sym__alpha_identifier] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2830),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym_infix] = ACTIONS(2830),
    [anon_sym_open] = ACTIONS(2830),
    [anon_sym_transparent] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2839),
    [sym_operator_identifier] = ACTIONS(2842),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [686] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(811),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(686),
    [sym_block_comment] = STATE(686),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [687] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1605),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(687),
    [sym_block_comment] = STATE(687),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [688] = {
    [sym_inline_modifier] = STATE(2048),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14056),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(688),
    [sym_block_comment] = STATE(688),
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [689] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1092),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(689),
    [sym_block_comment] = STATE(689),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [690] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1627),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(690),
    [sym_block_comment] = STATE(690),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [691] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1615),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(691),
    [sym_block_comment] = STATE(691),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [692] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(821),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(692),
    [sym_block_comment] = STATE(692),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [693] = {
    [sym_inline_modifier] = STATE(2198),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13091),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(693),
    [sym_block_comment] = STATE(693),
    [sym__alpha_identifier] = ACTIONS(2848),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2854),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym_infix] = ACTIONS(2854),
    [anon_sym_open] = ACTIONS(2854),
    [anon_sym_transparent] = ACTIONS(2854),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(2863),
    [sym_operator_identifier] = ACTIONS(2866),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [694] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1160),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(694),
    [sym_block_comment] = STATE(694),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [695] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(13013),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(695),
    [sym_block_comment] = STATE(695),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [696] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12146),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(696),
    [sym_block_comment] = STATE(696),
    [sym__alpha_identifier] = ACTIONS(2872),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2878),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_transparent] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(2887),
    [sym_operator_identifier] = ACTIONS(2890),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [697] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1642),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(697),
    [sym_block_comment] = STATE(697),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [698] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(884),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(698),
    [sym_block_comment] = STATE(698),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [699] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12985),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(699),
    [sym_block_comment] = STATE(699),
    [sym__alpha_identifier] = ACTIONS(2508),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2518),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2518),
    [anon_sym_open] = ACTIONS(2518),
    [anon_sym_transparent] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(2527),
    [sym_operator_identifier] = ACTIONS(2896),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [700] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1587),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(700),
    [sym_block_comment] = STATE(700),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [701] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1620),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(701),
    [sym_block_comment] = STATE(701),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [702] = {
    [sym_inline_modifier] = STATE(2161),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13267),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(702),
    [sym_block_comment] = STATE(702),
    [sym__alpha_identifier] = ACTIONS(2800),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2806),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym_infix] = ACTIONS(2806),
    [anon_sym_open] = ACTIONS(2806),
    [anon_sym_transparent] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(2815),
    [sym_operator_identifier] = ACTIONS(2899),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [703] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1142),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(703),
    [sym_block_comment] = STATE(703),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [704] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(938),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(704),
    [sym_block_comment] = STATE(704),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [705] = {
    [sym_inline_modifier] = STATE(2211),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13520),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(705),
    [sym_block_comment] = STATE(705),
    [sym__alpha_identifier] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2908),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym_infix] = ACTIONS(2908),
    [anon_sym_open] = ACTIONS(2908),
    [anon_sym_transparent] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2914),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(2917),
    [sym_operator_identifier] = ACTIONS(2920),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [706] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1209),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(706),
    [sym_block_comment] = STATE(706),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [707] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1198),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(707),
    [sym_block_comment] = STATE(707),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [708] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1606),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(708),
    [sym_block_comment] = STATE(708),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [709] = {
    [sym_inline_modifier] = STATE(2326),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12298),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(709),
    [sym_block_comment] = STATE(709),
    [sym__alpha_identifier] = ACTIONS(2665),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2671),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym_infix] = ACTIONS(2671),
    [anon_sym_open] = ACTIONS(2671),
    [anon_sym_transparent] = ACTIONS(2671),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(2680),
    [sym_operator_identifier] = ACTIONS(2925),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [710] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1489),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(710),
    [sym_block_comment] = STATE(710),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [711] = {
    [sym_inline_modifier] = STATE(2224),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13252),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(711),
    [sym_block_comment] = STATE(711),
    [sym__alpha_identifier] = ACTIONS(2641),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2647),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2647),
    [anon_sym_open] = ACTIONS(2647),
    [anon_sym_transparent] = ACTIONS(2647),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(2656),
    [sym_operator_identifier] = ACTIONS(2938),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [712] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1053),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(712),
    [sym_block_comment] = STATE(712),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [713] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1536),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(713),
    [sym_block_comment] = STATE(713),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [714] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12490),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(714),
    [sym_block_comment] = STATE(714),
    [sym__alpha_identifier] = ACTIONS(2776),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2782),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym_infix] = ACTIONS(2782),
    [anon_sym_open] = ACTIONS(2782),
    [anon_sym_transparent] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2788),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2791),
    [sym_operator_identifier] = ACTIONS(2945),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [715] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1576),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(715),
    [sym_block_comment] = STATE(715),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [716] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1493),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(716),
    [sym_block_comment] = STATE(716),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [717] = {
    [sym_inline_modifier] = STATE(2158),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(13913),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(717),
    [sym_block_comment] = STATE(717),
    [sym__alpha_identifier] = ACTIONS(2948),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2954),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2954),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym_infix] = ACTIONS(2954),
    [anon_sym_open] = ACTIONS(2954),
    [anon_sym_transparent] = ACTIONS(2954),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2963),
    [sym_operator_identifier] = ACTIONS(2966),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [718] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(877),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(718),
    [sym_block_comment] = STATE(718),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [719] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1222),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(719),
    [sym_block_comment] = STATE(719),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [720] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1424),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(720),
    [sym_block_comment] = STATE(720),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [721] = {
    [sym_inline_modifier] = STATE(2231),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12972),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(721),
    [sym_block_comment] = STATE(721),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [722] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1068),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(722),
    [sym_block_comment] = STATE(722),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [723] = {
    [sym_inline_modifier] = STATE(2107),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13286),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(723),
    [sym_block_comment] = STATE(723),
    [sym__alpha_identifier] = ACTIONS(2983),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2989),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_transparent] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(2998),
    [sym_operator_identifier] = ACTIONS(3001),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [724] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1490),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(724),
    [sym_block_comment] = STATE(724),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [725] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1411),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(725),
    [sym_block_comment] = STATE(725),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [726] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13091),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(726),
    [sym_block_comment] = STATE(726),
    [sym__alpha_identifier] = ACTIONS(2848),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2854),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym_infix] = ACTIONS(2854),
    [anon_sym_open] = ACTIONS(2854),
    [anon_sym_transparent] = ACTIONS(2854),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(2863),
    [sym_operator_identifier] = ACTIONS(3007),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [727] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1603),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(727),
    [sym_block_comment] = STATE(727),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [728] = {
    [sym_inline_modifier] = STATE(2094),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12773),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(728),
    [sym_block_comment] = STATE(728),
    [sym__alpha_identifier] = ACTIONS(3010),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3016),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym_infix] = ACTIONS(3016),
    [anon_sym_open] = ACTIONS(3016),
    [anon_sym_transparent] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3022),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(3025),
    [sym_operator_identifier] = ACTIONS(3028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [729] = {
    [sym_inline_modifier] = STATE(2231),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12944),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(729),
    [sym_block_comment] = STATE(729),
    [sym__alpha_identifier] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2594),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2599),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_transparent] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2605),
    [sym_operator_identifier] = ACTIONS(3036),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [730] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1156),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(730),
    [sym_block_comment] = STATE(730),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [731] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1350),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(731),
    [sym_block_comment] = STATE(731),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [732] = {
    [sym_inline_modifier] = STATE(2309),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(13776),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(732),
    [sym_block_comment] = STATE(732),
    [sym__alpha_identifier] = ACTIONS(3039),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3045),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym_infix] = ACTIONS(3045),
    [anon_sym_open] = ACTIONS(3045),
    [anon_sym_transparent] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3051),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(3054),
    [sym_operator_identifier] = ACTIONS(3057),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [733] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1393),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(733),
    [sym_block_comment] = STATE(733),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [734] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1341),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(734),
    [sym_block_comment] = STATE(734),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [735] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1154),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(735),
    [sym_block_comment] = STATE(735),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [736] = {
    [sym_inline_modifier] = STATE(2307),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13594),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(736),
    [sym_block_comment] = STATE(736),
    [sym__alpha_identifier] = ACTIONS(3060),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3063),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3066),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(3069),
    [anon_sym_infix] = ACTIONS(3066),
    [anon_sym_open] = ACTIONS(3066),
    [anon_sym_transparent] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(3075),
    [sym_operator_identifier] = ACTIONS(3078),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [737] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12146),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(737),
    [sym_block_comment] = STATE(737),
    [sym__alpha_identifier] = ACTIONS(2872),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2878),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_transparent] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(2887),
    [sym_operator_identifier] = ACTIONS(3084),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [738] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1176),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(738),
    [sym_block_comment] = STATE(738),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [739] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1269),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(739),
    [sym_block_comment] = STATE(739),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [740] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1303),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(740),
    [sym_block_comment] = STATE(740),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [741] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1058),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(741),
    [sym_block_comment] = STATE(741),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [742] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1382),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(742),
    [sym_block_comment] = STATE(742),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [743] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1262),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(743),
    [sym_block_comment] = STATE(743),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [744] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1300),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(744),
    [sym_block_comment] = STATE(744),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [745] = {
    [sym_inline_modifier] = STATE(2213),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13413),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(745),
    [sym_block_comment] = STATE(745),
    [sym__alpha_identifier] = ACTIONS(3087),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(3093),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3093),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym_infix] = ACTIONS(3093),
    [anon_sym_open] = ACTIONS(3093),
    [anon_sym_transparent] = ACTIONS(3093),
    [anon_sym_LPAREN] = ACTIONS(3099),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(3102),
    [sym_operator_identifier] = ACTIONS(3105),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [746] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13252),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(746),
    [sym_block_comment] = STATE(746),
    [sym__alpha_identifier] = ACTIONS(2641),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2647),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2647),
    [anon_sym_open] = ACTIONS(2647),
    [anon_sym_transparent] = ACTIONS(2647),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(2656),
    [sym_operator_identifier] = ACTIONS(3121),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [747] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1216),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(747),
    [sym_block_comment] = STATE(747),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [748] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12773),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(748),
    [sym_block_comment] = STATE(748),
    [sym__alpha_identifier] = ACTIONS(3010),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3016),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym_infix] = ACTIONS(3016),
    [anon_sym_open] = ACTIONS(3016),
    [anon_sym_transparent] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3022),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(3025),
    [sym_operator_identifier] = ACTIONS(3128),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [749] = {
    [sym_inline_modifier] = STATE(2131),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13740),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(749),
    [sym_block_comment] = STATE(749),
    [sym__alpha_identifier] = ACTIONS(3131),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3137),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3137),
    [anon_sym_open] = ACTIONS(3137),
    [anon_sym_transparent] = ACTIONS(3137),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(3148),
    [sym_operator_identifier] = ACTIONS(3151),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [750] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1323),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(750),
    [sym_block_comment] = STATE(750),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [751] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1277),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(751),
    [sym_block_comment] = STATE(751),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [752] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1177),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(752),
    [sym_block_comment] = STATE(752),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [753] = {
    [sym_inline_modifier] = STATE(2295),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13413),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(753),
    [sym_block_comment] = STATE(753),
    [sym__alpha_identifier] = ACTIONS(3087),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(3093),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3093),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym_infix] = ACTIONS(3093),
    [anon_sym_open] = ACTIONS(3093),
    [anon_sym_transparent] = ACTIONS(3093),
    [anon_sym_LPAREN] = ACTIONS(3099),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(3102),
    [sym_operator_identifier] = ACTIONS(3157),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [754] = {
    [sym_inline_modifier] = STATE(2292),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12490),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(754),
    [sym_block_comment] = STATE(754),
    [sym__alpha_identifier] = ACTIONS(2776),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2782),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym_infix] = ACTIONS(2782),
    [anon_sym_open] = ACTIONS(2782),
    [anon_sym_transparent] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2788),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2791),
    [sym_operator_identifier] = ACTIONS(3160),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [755] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1325),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(755),
    [sym_block_comment] = STATE(755),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [756] = {
    [sym_inline_modifier] = STATE(2131),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(756),
    [sym_block_comment] = STATE(756),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [757] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1387),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(757),
    [sym_block_comment] = STATE(757),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [758] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1140),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(758),
    [sym_block_comment] = STATE(758),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [759] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(922),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(759),
    [sym_block_comment] = STATE(759),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [760] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1126),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(760),
    [sym_block_comment] = STATE(760),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [761] = {
    [sym_inline_modifier] = STATE(2277),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11897),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(761),
    [sym_block_comment] = STATE(761),
    [sym__alpha_identifier] = ACTIONS(2536),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2542),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2542),
    [anon_sym_open] = ACTIONS(2542),
    [anon_sym_transparent] = ACTIONS(2542),
    [anon_sym_LPAREN] = ACTIONS(2548),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2551),
    [sym_operator_identifier] = ACTIONS(3163),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [762] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(13930),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(762),
    [sym_block_comment] = STATE(762),
    [sym__alpha_identifier] = ACTIONS(3166),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3172),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(3175),
    [anon_sym_infix] = ACTIONS(3172),
    [anon_sym_open] = ACTIONS(3172),
    [anon_sym_transparent] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(3181),
    [sym_operator_identifier] = ACTIONS(3184),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [763] = {
    [sym_inline_modifier] = STATE(2041),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13286),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(763),
    [sym_block_comment] = STATE(763),
    [sym__alpha_identifier] = ACTIONS(2983),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2989),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_transparent] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(2998),
    [sym_operator_identifier] = ACTIONS(3187),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [764] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1402),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(764),
    [sym_block_comment] = STATE(764),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [765] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1324),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(765),
    [sym_block_comment] = STATE(765),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [766] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1067),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(766),
    [sym_block_comment] = STATE(766),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [767] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(976),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(767),
    [sym_block_comment] = STATE(767),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [768] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1059),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(768),
    [sym_block_comment] = STATE(768),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [769] = {
    [sym_inline_modifier] = STATE(2297),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13740),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(769),
    [sym_block_comment] = STATE(769),
    [sym__alpha_identifier] = ACTIONS(3131),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3137),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3137),
    [anon_sym_open] = ACTIONS(3137),
    [anon_sym_transparent] = ACTIONS(3137),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(3148),
    [sym_operator_identifier] = ACTIONS(3193),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [770] = {
    [sym_inline_modifier] = STATE(2136),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13820),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(770),
    [sym_block_comment] = STATE(770),
    [sym__alpha_identifier] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2830),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym_infix] = ACTIONS(2830),
    [anon_sym_open] = ACTIONS(2830),
    [anon_sym_transparent] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2839),
    [sym_operator_identifier] = ACTIONS(3206),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [771] = {
    [sym_inline_modifier] = STATE(2093),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13594),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(771),
    [sym_block_comment] = STATE(771),
    [sym__alpha_identifier] = ACTIONS(3060),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3063),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3066),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(3069),
    [anon_sym_infix] = ACTIONS(3066),
    [anon_sym_open] = ACTIONS(3066),
    [anon_sym_transparent] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(3075),
    [sym_operator_identifier] = ACTIONS(3213),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [772] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1006),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(772),
    [sym_block_comment] = STATE(772),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [773] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1498),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(773),
    [sym_block_comment] = STATE(773),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [774] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1255),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(774),
    [sym_block_comment] = STATE(774),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [775] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1468),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(775),
    [sym_block_comment] = STATE(775),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [776] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(993),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(776),
    [sym_block_comment] = STATE(776),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [777] = {
    [sym_inline_modifier] = STATE(2275),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12944),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(777),
    [sym_block_comment] = STATE(777),
    [sym__alpha_identifier] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2594),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2599),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_transparent] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2605),
    [sym_operator_identifier] = ACTIONS(3218),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [778] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1385),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(778),
    [sym_block_comment] = STATE(778),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [779] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(957),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(779),
    [sym_block_comment] = STATE(779),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [780] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1328),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(780),
    [sym_block_comment] = STATE(780),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [781] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1538),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(781),
    [sym_block_comment] = STATE(781),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [782] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1503),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(782),
    [sym_block_comment] = STATE(782),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [783] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13267),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(783),
    [sym_block_comment] = STATE(783),
    [sym__alpha_identifier] = ACTIONS(2800),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2806),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym_infix] = ACTIONS(2806),
    [anon_sym_open] = ACTIONS(2806),
    [anon_sym_transparent] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(2815),
    [sym_operator_identifier] = ACTIONS(3221),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [784] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(835),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(784),
    [sym_block_comment] = STATE(784),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [785] = {
    [sym_inline_modifier] = STATE(2241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13740),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(785),
    [sym_block_comment] = STATE(785),
    [sym__alpha_identifier] = ACTIONS(3131),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3137),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3137),
    [anon_sym_open] = ACTIONS(3137),
    [anon_sym_transparent] = ACTIONS(3137),
    [anon_sym_LPAREN] = ACTIONS(3145),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(3148),
    [sym_operator_identifier] = ACTIONS(3234),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [786] = {
    [sym_inline_modifier] = STATE(2241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(786),
    [sym_block_comment] = STATE(786),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym__outdent] = ACTIONS(1150),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [787] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1433),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(787),
    [sym_block_comment] = STATE(787),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [788] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(973),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(788),
    [sym_block_comment] = STATE(788),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [789] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1645),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(789),
    [sym_block_comment] = STATE(789),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [790] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13434),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(790),
    [sym_block_comment] = STATE(790),
    [sym__alpha_identifier] = ACTIONS(2723),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2729),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(2734),
    [anon_sym_infix] = ACTIONS(2729),
    [anon_sym_open] = ACTIONS(2729),
    [anon_sym_transparent] = ACTIONS(2729),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(2740),
    [sym_operator_identifier] = ACTIONS(3243),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [791] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(981),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(791),
    [sym_block_comment] = STATE(791),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [792] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1532),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(792),
    [sym_block_comment] = STATE(792),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [793] = {
    [sym_inline_modifier] = STATE(2075),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12276),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(793),
    [sym_block_comment] = STATE(793),
    [sym__alpha_identifier] = ACTIONS(2614),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2620),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(2623),
    [anon_sym_infix] = ACTIONS(2620),
    [anon_sym_open] = ACTIONS(2620),
    [anon_sym_transparent] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2629),
    [sym_operator_identifier] = ACTIONS(3246),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [794] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11587),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(794),
    [sym_block_comment] = STATE(794),
    [sym__alpha_identifier] = ACTIONS(2560),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2566),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(2569),
    [anon_sym_infix] = ACTIONS(2566),
    [anon_sym_open] = ACTIONS(2566),
    [anon_sym_transparent] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2575),
    [sym_operator_identifier] = ACTIONS(3249),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [795] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1540),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(795),
    [sym_block_comment] = STATE(795),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [796] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1368),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(796),
    [sym_block_comment] = STATE(796),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [797] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1650),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(797),
    [sym_block_comment] = STATE(797),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [798] = {
    [sym_inline_modifier] = STATE(2092),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11897),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(798),
    [sym_block_comment] = STATE(798),
    [sym__alpha_identifier] = ACTIONS(2536),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2542),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2542),
    [anon_sym_open] = ACTIONS(2542),
    [anon_sym_transparent] = ACTIONS(2542),
    [anon_sym_LPAREN] = ACTIONS(2548),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2551),
    [sym_operator_identifier] = ACTIONS(3252),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [799] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(847),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(799),
    [sym_block_comment] = STATE(799),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [800] = {
    [sym_inline_modifier] = STATE(2069),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12146),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(800),
    [sym_block_comment] = STATE(800),
    [sym__alpha_identifier] = ACTIONS(2872),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2878),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym_infix] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2878),
    [anon_sym_transparent] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(2887),
    [sym_operator_identifier] = ACTIONS(3255),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [801] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13820),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(801),
    [sym_block_comment] = STATE(801),
    [sym__alpha_identifier] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2830),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym_infix] = ACTIONS(2830),
    [anon_sym_open] = ACTIONS(2830),
    [anon_sym_transparent] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2839),
    [sym_operator_identifier] = ACTIONS(3268),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [802] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(941),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(802),
    [sym_block_comment] = STATE(802),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [803] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1041),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(803),
    [sym_block_comment] = STATE(803),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [804] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13413),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(804),
    [sym_block_comment] = STATE(804),
    [sym__alpha_identifier] = ACTIONS(3087),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(3093),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3093),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym_infix] = ACTIONS(3093),
    [anon_sym_open] = ACTIONS(3093),
    [anon_sym_transparent] = ACTIONS(3093),
    [anon_sym_LPAREN] = ACTIONS(3099),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(3102),
    [sym_operator_identifier] = ACTIONS(3275),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [805] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1073),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(805),
    [sym_block_comment] = STATE(805),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [806] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(17333),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym__if_condition] = STATE(1593),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(4071),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(806),
    [sym_block_comment] = STATE(806),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [807] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16429),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(777),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(807),
    [sym_block_comment] = STATE(807),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [808] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13970),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(808),
    [sym_block_comment] = STATE(808),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [809] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12385),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(809),
    [sym_block_comment] = STATE(809),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [810] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11695),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(810),
    [sym_block_comment] = STATE(810),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [811] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(13773),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(811),
    [sym_block_comment] = STATE(811),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [812] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(812),
    [sym_block_comment] = STATE(812),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [813] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16695),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(666),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(813),
    [sym_block_comment] = STATE(813),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [814] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13667),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(814),
    [sym_block_comment] = STATE(814),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [815] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13539),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(815),
    [sym_block_comment] = STATE(815),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [816] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13693),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(816),
    [sym_block_comment] = STATE(816),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [817] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12981),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(817),
    [sym_block_comment] = STATE(817),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [818] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13376),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(818),
    [sym_block_comment] = STATE(818),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [819] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13530),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(819),
    [sym_block_comment] = STATE(819),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [820] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12691),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(820),
    [sym_block_comment] = STATE(820),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [821] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(13769),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(821),
    [sym_block_comment] = STATE(821),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [822] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13951),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(822),
    [sym_block_comment] = STATE(822),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [823] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13505),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(823),
    [sym_block_comment] = STATE(823),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [824] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13674),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(824),
    [sym_block_comment] = STATE(824),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [825] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13675),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(825),
    [sym_block_comment] = STATE(825),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [826] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13401),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(826),
    [sym_block_comment] = STATE(826),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [827] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12665),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(827),
    [sym_block_comment] = STATE(827),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [828] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13477),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(828),
    [sym_block_comment] = STATE(828),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [829] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17826),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(711),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(829),
    [sym_block_comment] = STATE(829),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [830] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12672),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(830),
    [sym_block_comment] = STATE(830),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [831] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12705),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(831),
    [sym_block_comment] = STATE(831),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [832] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12642),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(832),
    [sym_block_comment] = STATE(832),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [833] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13750),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(833),
    [sym_block_comment] = STATE(833),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [834] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12835),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(834),
    [sym_block_comment] = STATE(834),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [835] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13323),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(835),
    [sym_block_comment] = STATE(835),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [836] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13497),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(836),
    [sym_block_comment] = STATE(836),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [837] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12383),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(837),
    [sym_block_comment] = STATE(837),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [838] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13793),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(838),
    [sym_block_comment] = STATE(838),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [839] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13802),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(839),
    [sym_block_comment] = STATE(839),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [840] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(12678),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(840),
    [sym_block_comment] = STATE(840),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [841] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13803),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(841),
    [sym_block_comment] = STATE(841),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [842] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12868),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(842),
    [sym_block_comment] = STATE(842),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [843] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12379),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(843),
    [sym_block_comment] = STATE(843),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [844] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12950),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(844),
    [sym_block_comment] = STATE(844),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [845] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12955),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(845),
    [sym_block_comment] = STATE(845),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [846] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11679),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(846),
    [sym_block_comment] = STATE(846),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [847] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13566),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(847),
    [sym_block_comment] = STATE(847),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [848] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12378),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(848),
    [sym_block_comment] = STATE(848),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [849] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11678),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(849),
    [sym_block_comment] = STATE(849),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [850] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(12966),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(850),
    [sym_block_comment] = STATE(850),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [851] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(13672),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(851),
    [sym_block_comment] = STATE(851),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [852] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13498),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(852),
    [sym_block_comment] = STATE(852),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [853] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(12803),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(853),
    [sym_block_comment] = STATE(853),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [854] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13949),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(854),
    [sym_block_comment] = STATE(854),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [855] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12691),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(855),
    [sym_block_comment] = STATE(855),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [856] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16757),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(655),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(856),
    [sym_block_comment] = STATE(856),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [857] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13814),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(857),
    [sym_block_comment] = STATE(857),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [858] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(12707),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(858),
    [sym_block_comment] = STATE(858),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [859] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(13470),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(859),
    [sym_block_comment] = STATE(859),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [860] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13782),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(860),
    [sym_block_comment] = STATE(860),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [861] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(861),
    [sym_block_comment] = STATE(861),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [862] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(13697),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(862),
    [sym_block_comment] = STATE(862),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [863] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13241),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(863),
    [sym_block_comment] = STATE(863),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [864] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11660),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(864),
    [sym_block_comment] = STATE(864),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [865] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13244),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(865),
    [sym_block_comment] = STATE(865),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [866] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13772),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(866),
    [sym_block_comment] = STATE(866),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [867] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13764),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(867),
    [sym_block_comment] = STATE(867),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [868] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13706),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(868),
    [sym_block_comment] = STATE(868),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [869] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13718),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(869),
    [sym_block_comment] = STATE(869),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [870] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16183),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(753),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(870),
    [sym_block_comment] = STATE(870),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [871] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13661),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(871),
    [sym_block_comment] = STATE(871),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [872] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12949),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(872),
    [sym_block_comment] = STATE(872),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [873] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13998),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(873),
    [sym_block_comment] = STATE(873),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [874] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14399),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(874),
    [sym_block_comment] = STATE(874),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [875] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13943),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(875),
    [sym_block_comment] = STATE(875),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [876] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12946),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(876),
    [sym_block_comment] = STATE(876),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [877] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(13466),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(877),
    [sym_block_comment] = STATE(877),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [878] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14395),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(878),
    [sym_block_comment] = STATE(878),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [879] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12243),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(879),
    [sym_block_comment] = STATE(879),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [880] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13717),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(880),
    [sym_block_comment] = STATE(880),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [881] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13736),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(881),
    [sym_block_comment] = STATE(881),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [882] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11616),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(882),
    [sym_block_comment] = STATE(882),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [883] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13757),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(883),
    [sym_block_comment] = STATE(883),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [884] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13847),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(884),
    [sym_block_comment] = STATE(884),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [885] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13759),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(885),
    [sym_block_comment] = STATE(885),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [886] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13998),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(886),
    [sym_block_comment] = STATE(886),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [887] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(887),
    [sym_block_comment] = STATE(887),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [888] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(888),
    [sym_block_comment] = STATE(888),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [889] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14278),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(889),
    [sym_block_comment] = STATE(889),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [890] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16844),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(643),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(890),
    [sym_block_comment] = STATE(890),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [891] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(891),
    [sym_block_comment] = STATE(891),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [892] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13879),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(892),
    [sym_block_comment] = STATE(892),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [893] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16206),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(702),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(893),
    [sym_block_comment] = STATE(893),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [894] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13100),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(894),
    [sym_block_comment] = STATE(894),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [895] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13883),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(895),
    [sym_block_comment] = STATE(895),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [896] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13941),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(896),
    [sym_block_comment] = STATE(896),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [897] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14244),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(897),
    [sym_block_comment] = STATE(897),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [898] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(13607),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(898),
    [sym_block_comment] = STATE(898),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [899] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13869),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(899),
    [sym_block_comment] = STATE(899),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [900] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13993),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(900),
    [sym_block_comment] = STATE(900),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [901] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13988),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(901),
    [sym_block_comment] = STATE(901),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [902] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14175),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(902),
    [sym_block_comment] = STATE(902),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [903] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13971),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(903),
    [sym_block_comment] = STATE(903),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [904] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13970),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(904),
    [sym_block_comment] = STATE(904),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [905] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13915),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(905),
    [sym_block_comment] = STATE(905),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [906] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14238),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(906),
    [sym_block_comment] = STATE(906),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [907] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13915),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(907),
    [sym_block_comment] = STATE(907),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [908] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13964),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(908),
    [sym_block_comment] = STATE(908),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [909] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13883),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(909),
    [sym_block_comment] = STATE(909),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [910] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(12970),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(910),
    [sym_block_comment] = STATE(910),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [911] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12913),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(911),
    [sym_block_comment] = STATE(911),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [912] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13933),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(912),
    [sym_block_comment] = STATE(912),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [913] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17670),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(729),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(913),
    [sym_block_comment] = STATE(913),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [914] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13879),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(914),
    [sym_block_comment] = STATE(914),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [915] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11610),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(915),
    [sym_block_comment] = STATE(915),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [916] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(916),
    [sym_block_comment] = STATE(916),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [917] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12677),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(917),
    [sym_block_comment] = STATE(917),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [918] = {
    [sym_inline_modifier] = STATE(2241),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(918),
    [sym_block_comment] = STATE(918),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [919] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(13605),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(919),
    [sym_block_comment] = STATE(919),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [920] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13934),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(920),
    [sym_block_comment] = STATE(920),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [921] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11606),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(921),
    [sym_block_comment] = STATE(921),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [922] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13896),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(922),
    [sym_block_comment] = STATE(922),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [923] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13971),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(923),
    [sym_block_comment] = STATE(923),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [924] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12691),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(924),
    [sym_block_comment] = STATE(924),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [925] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14276),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(925),
    [sym_block_comment] = STATE(925),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [926] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16204),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(748),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(926),
    [sym_block_comment] = STATE(926),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [927] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14350),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(927),
    [sym_block_comment] = STATE(927),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [928] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14226),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(928),
    [sym_block_comment] = STATE(928),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [929] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13988),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(929),
    [sym_block_comment] = STATE(929),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [930] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13993),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(930),
    [sym_block_comment] = STATE(930),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [931] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13869),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(931),
    [sym_block_comment] = STATE(931),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [932] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13394),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(932),
    [sym_block_comment] = STATE(932),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [933] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12827),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(933),
    [sym_block_comment] = STATE(933),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [934] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12866),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(934),
    [sym_block_comment] = STATE(934),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [935] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12871),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(935),
    [sym_block_comment] = STATE(935),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [936] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12889),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(936),
    [sym_block_comment] = STATE(936),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [937] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11541),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(937),
    [sym_block_comment] = STATE(937),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [938] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13849),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(938),
    [sym_block_comment] = STATE(938),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [939] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(13016),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(939),
    [sym_block_comment] = STATE(939),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [940] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13534),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(940),
    [sym_block_comment] = STATE(940),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [941] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(14033),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(941),
    [sym_block_comment] = STATE(941),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [942] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(13941),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(942),
    [sym_block_comment] = STATE(942),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [943] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12949),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(943),
    [sym_block_comment] = STATE(943),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [944] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(13928),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(944),
    [sym_block_comment] = STATE(944),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [945] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12946),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(945),
    [sym_block_comment] = STATE(945),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [946] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13456),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(946),
    [sym_block_comment] = STATE(946),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [947] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12827),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(947),
    [sym_block_comment] = STATE(947),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [948] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12372),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(948),
    [sym_block_comment] = STATE(948),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [949] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12913),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(949),
    [sym_block_comment] = STATE(949),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [950] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17330),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(662),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(950),
    [sym_block_comment] = STATE(950),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [951] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13408),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(951),
    [sym_block_comment] = STATE(951),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [952] = {
    [sym_inline_modifier] = STATE(2275),
    [sym__indentable_expression] = STATE(12874),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(952),
    [sym_block_comment] = STATE(952),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [953] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(13411),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(953),
    [sym_block_comment] = STATE(953),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [954] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13517),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(954),
    [sym_block_comment] = STATE(954),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [955] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(11818),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(955),
    [sym_block_comment] = STATE(955),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [956] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(956),
    [sym_block_comment] = STATE(956),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [957] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(14034),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(957),
    [sym_block_comment] = STATE(957),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [958] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13499),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(958),
    [sym_block_comment] = STATE(958),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [959] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(12075),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(959),
    [sym_block_comment] = STATE(959),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [960] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14273),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(960),
    [sym_block_comment] = STATE(960),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [961] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(961),
    [sym_block_comment] = STATE(961),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [962] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(962),
    [sym_block_comment] = STATE(962),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [963] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13871),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(963),
    [sym_block_comment] = STATE(963),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [964] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17719),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(801),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(964),
    [sym_block_comment] = STATE(964),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [965] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(12077),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(965),
    [sym_block_comment] = STATE(965),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [966] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(11894),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(966),
    [sym_block_comment] = STATE(966),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [967] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14324),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(967),
    [sym_block_comment] = STATE(967),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [968] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13224),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(968),
    [sym_block_comment] = STATE(968),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [969] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16235),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(754),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(969),
    [sym_block_comment] = STATE(969),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [970] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(970),
    [sym_block_comment] = STATE(970),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [971] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13759),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(971),
    [sym_block_comment] = STATE(971),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [972] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(11803),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(972),
    [sym_block_comment] = STATE(972),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [973] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13895),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(973),
    [sym_block_comment] = STATE(973),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [974] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(11788),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(974),
    [sym_block_comment] = STATE(974),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [975] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(975),
    [sym_block_comment] = STATE(975),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [976] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(14138),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(976),
    [sym_block_comment] = STATE(976),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [977] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13757),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(977),
    [sym_block_comment] = STATE(977),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [978] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13534),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(978),
    [sym_block_comment] = STATE(978),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [979] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(13864),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(979),
    [sym_block_comment] = STATE(979),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [980] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13736),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(980),
    [sym_block_comment] = STATE(980),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [981] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13653),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(981),
    [sym_block_comment] = STATE(981),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [982] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13717),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(982),
    [sym_block_comment] = STATE(982),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [983] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12827),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(983),
    [sym_block_comment] = STATE(983),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [984] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(984),
    [sym_block_comment] = STATE(984),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [985] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17036),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(639),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(985),
    [sym_block_comment] = STATE(985),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [986] = {
    [sym_inline_modifier] = STATE(2224),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13218),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(986),
    [sym_block_comment] = STATE(986),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [987] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12665),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(987),
    [sym_block_comment] = STATE(987),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [988] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12672),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(988),
    [sym_block_comment] = STATE(988),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [989] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12705),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(989),
    [sym_block_comment] = STATE(989),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [990] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12642),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(990),
    [sym_block_comment] = STATE(990),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [991] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12835),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(991),
    [sym_block_comment] = STATE(991),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [992] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14324),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(992),
    [sym_block_comment] = STATE(992),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [993] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(14001),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(993),
    [sym_block_comment] = STATE(993),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [994] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13510),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(994),
    [sym_block_comment] = STATE(994),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [995] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13498),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(995),
    [sym_block_comment] = STATE(995),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [996] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(12483),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(996),
    [sym_block_comment] = STATE(996),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [997] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13661),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(997),
    [sym_block_comment] = STATE(997),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [998] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12868),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(998),
    [sym_block_comment] = STATE(998),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [999] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12950),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(999),
    [sym_block_comment] = STATE(999),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1000] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12955),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1000),
    [sym_block_comment] = STATE(1000),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1001] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(14025),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1001),
    [sym_block_comment] = STATE(1001),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1002] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13497),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1002),
    [sym_block_comment] = STATE(1002),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1003] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1003),
    [sym_block_comment] = STATE(1003),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1004] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(12966),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1004),
    [sym_block_comment] = STATE(1004),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1005] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13477),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1005),
    [sym_block_comment] = STATE(1005),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1006] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(13979),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1006),
    [sym_block_comment] = STATE(1006),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1007] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(14020),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1007),
    [sym_block_comment] = STATE(1007),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1008] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16649),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(675),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1008),
    [sym_block_comment] = STATE(1008),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1009] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13814),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1009),
    [sym_block_comment] = STATE(1009),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1010] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12866),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1010),
    [sym_block_comment] = STATE(1010),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1011] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12871),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1011),
    [sym_block_comment] = STATE(1011),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1012] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17550),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(762),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1012),
    [sym_block_comment] = STATE(1012),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1013] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13374),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1013),
    [sym_block_comment] = STATE(1013),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1014] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13718),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1014),
    [sym_block_comment] = STATE(1014),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1015] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13772),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1015),
    [sym_block_comment] = STATE(1015),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1016] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13764),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1016),
    [sym_block_comment] = STATE(1016),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1017] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13376),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1017),
    [sym_block_comment] = STATE(1017),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1018] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13321),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1018),
    [sym_block_comment] = STATE(1018),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1019] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13439),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1019),
    [sym_block_comment] = STATE(1019),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1020] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13706),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1020),
    [sym_block_comment] = STATE(1020),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1021] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13706),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1021),
    [sym_block_comment] = STATE(1021),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1022] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13764),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1022),
    [sym_block_comment] = STATE(1022),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1023] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13772),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1023),
    [sym_block_comment] = STATE(1023),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1024] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13718),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1024),
    [sym_block_comment] = STATE(1024),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1025] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13661),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1025),
    [sym_block_comment] = STATE(1025),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1026] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(13293),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1026),
    [sym_block_comment] = STATE(1026),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1027] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16319),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(761),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1027),
    [sym_block_comment] = STATE(1027),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1028] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13717),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1028),
    [sym_block_comment] = STATE(1028),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1029] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12874),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1029),
    [sym_block_comment] = STATE(1029),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1030] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13736),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1030),
    [sym_block_comment] = STATE(1030),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1031] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13757),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1031),
    [sym_block_comment] = STATE(1031),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1032] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13519),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1032),
    [sym_block_comment] = STATE(1032),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1033] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14176),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1033),
    [sym_block_comment] = STATE(1033),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1034] = {
    [sym_inline_modifier] = STATE(2295),
    [sym__indentable_expression] = STATE(13759),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1034),
    [sym_block_comment] = STATE(1034),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1035] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13970),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1035),
    [sym_block_comment] = STATE(1035),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1036] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13964),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1036),
    [sym_block_comment] = STATE(1036),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1037] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13355),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1037),
    [sym_block_comment] = STATE(1037),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1038] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13933),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1038),
    [sym_block_comment] = STATE(1038),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1039] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13613),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1039),
    [sym_block_comment] = STATE(1039),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1040] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12889),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1040),
    [sym_block_comment] = STATE(1040),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1041] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13734),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1041),
    [sym_block_comment] = STATE(1041),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1042] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12352),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1042),
    [sym_block_comment] = STATE(1042),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1043] = {
    [sym_inline_modifier] = STATE(2213),
    [sym__indentable_expression] = STATE(13814),
    [sym_block] = STATE(8728),
    [sym_indented_block] = STATE(13725),
    [sym_indented_cases] = STATE(13725),
    [sym_expression] = STATE(13503),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1043),
    [sym_block_comment] = STATE(1043),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2418),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1044] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17102),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(699),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1044),
    [sym_block_comment] = STATE(1044),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1045] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13210),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1045),
    [sym_block_comment] = STATE(1045),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1046] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(12931),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1046),
    [sym_block_comment] = STATE(1046),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1047] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14323),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1047),
    [sym_block_comment] = STATE(1047),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1048] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13708),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1048),
    [sym_block_comment] = STATE(1048),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1049] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16305),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(683),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1049),
    [sym_block_comment] = STATE(1049),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1050] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12660),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1050),
    [sym_block_comment] = STATE(1050),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1051] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13181),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1051),
    [sym_block_comment] = STATE(1051),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1052] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13180),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1052),
    [sym_block_comment] = STATE(1052),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1053] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(14161),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1053),
    [sym_block_comment] = STATE(1053),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1054] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13174),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1054),
    [sym_block_comment] = STATE(1054),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1055] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13168),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1055),
    [sym_block_comment] = STATE(1055),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1056] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13079),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1056),
    [sym_block_comment] = STATE(1056),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1057] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13353),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1057),
    [sym_block_comment] = STATE(1057),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1058] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(14035),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1058),
    [sym_block_comment] = STATE(1058),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1059] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13236),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1059),
    [sym_block_comment] = STATE(1059),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1060] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13075),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1060),
    [sym_block_comment] = STATE(1060),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1061] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13072),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1061),
    [sym_block_comment] = STATE(1061),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1062] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1062),
    [sym_block_comment] = STATE(1062),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1063] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13062),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1063),
    [sym_block_comment] = STATE(1063),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1064] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13808),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1064),
    [sym_block_comment] = STATE(1064),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1065] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13338),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1065),
    [sym_block_comment] = STATE(1065),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1066] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13444),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1066),
    [sym_block_comment] = STATE(1066),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1067] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13234),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1067),
    [sym_block_comment] = STATE(1067),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1068] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(14158),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1068),
    [sym_block_comment] = STATE(1068),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1069] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(12977),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1069),
    [sym_block_comment] = STATE(1069),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1070] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16580),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(631),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1070),
    [sym_block_comment] = STATE(1070),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1071] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13655),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1071),
    [sym_block_comment] = STATE(1071),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1072] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13871),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1072),
    [sym_block_comment] = STATE(1072),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1073] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(13956),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1073),
    [sym_block_comment] = STATE(1073),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1074] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13716),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1074),
    [sym_block_comment] = STATE(1074),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1075] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13295),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1075),
    [sym_block_comment] = STATE(1075),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1076] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14325),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1076),
    [sym_block_comment] = STATE(1076),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1077] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13719),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1077),
    [sym_block_comment] = STATE(1077),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1078] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17095),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(783),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1078),
    [sym_block_comment] = STATE(1078),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1079] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13723),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1079),
    [sym_block_comment] = STATE(1079),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1080] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12966),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1080),
    [sym_block_comment] = STATE(1080),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1081] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13339),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1081),
    [sym_block_comment] = STATE(1081),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1082] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13728),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1082),
    [sym_block_comment] = STATE(1082),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1083] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13770),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1083),
    [sym_block_comment] = STATE(1083),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1084] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13686),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1084),
    [sym_block_comment] = STATE(1084),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1085] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12955),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1085),
    [sym_block_comment] = STATE(1085),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1086] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(13798),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1086),
    [sym_block_comment] = STATE(1086),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1087] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13435),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1087),
    [sym_block_comment] = STATE(1087),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1088] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12350),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1088),
    [sym_block_comment] = STATE(1088),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1089] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13788),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1089),
    [sym_block_comment] = STATE(1089),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1090] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12950),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1090),
    [sym_block_comment] = STATE(1090),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1091] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12868),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1091),
    [sym_block_comment] = STATE(1091),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1092] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(13958),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1092),
    [sym_block_comment] = STATE(1092),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1093] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13791),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1093),
    [sym_block_comment] = STATE(1093),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1094] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13792),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1094),
    [sym_block_comment] = STATE(1094),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1095] = {
    [sym_inline_modifier] = STATE(2307),
    [sym__indentable_expression] = STATE(13800),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1095),
    [sym_block_comment] = STATE(1095),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1096] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(13720),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1096),
    [sym_block_comment] = STATE(1096),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1097] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13426),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1097),
    [sym_block_comment] = STATE(1097),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1098] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12344),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1098),
    [sym_block_comment] = STATE(1098),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1099] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17166),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(723),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1099),
    [sym_block_comment] = STATE(1099),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1100] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(11792),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1100),
    [sym_block_comment] = STATE(1100),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1101] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12521),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1101),
    [sym_block_comment] = STATE(1101),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1102] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13409),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1102),
    [sym_block_comment] = STATE(1102),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1103] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(11786),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1103),
    [sym_block_comment] = STATE(1103),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1104] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1104),
    [sym_block_comment] = STATE(1104),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1105] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1105),
    [sym_block_comment] = STATE(1105),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1106] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1106),
    [sym_block_comment] = STATE(1106),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1107] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14571),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1107),
    [sym_block_comment] = STATE(1107),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1108] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12835),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1108),
    [sym_block_comment] = STATE(1108),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1109] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13944),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1109),
    [sym_block_comment] = STATE(1109),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1110] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(12023),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1110),
    [sym_block_comment] = STATE(1110),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1111] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13368),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1111),
    [sym_block_comment] = STATE(1111),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1112] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13363),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1112),
    [sym_block_comment] = STATE(1112),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1113] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13934),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1113),
    [sym_block_comment] = STATE(1113),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1114] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1114),
    [sym_block_comment] = STATE(1114),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1115] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1115),
    [sym_block_comment] = STATE(1115),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1116] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13425),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1116),
    [sym_block_comment] = STATE(1116),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1117] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(12158),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1117),
    [sym_block_comment] = STATE(1117),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1118] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(12163),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1118),
    [sym_block_comment] = STATE(1118),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1119] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(12165),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1119),
    [sym_block_comment] = STATE(1119),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1120] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(12169),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1120),
    [sym_block_comment] = STATE(1120),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1121] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13340),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1121),
    [sym_block_comment] = STATE(1121),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1122] = {
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13258),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1122),
    [sym_block_comment] = STATE(1122),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1123] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13613),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1123),
    [sym_block_comment] = STATE(1123),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1124] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(13251),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1124),
    [sym_block_comment] = STATE(1124),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1125] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13016),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1125),
    [sym_block_comment] = STATE(1125),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1126] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(13813),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1126),
    [sym_block_comment] = STATE(1126),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1127] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13519),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1127),
    [sym_block_comment] = STATE(1127),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1128] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13321),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1128),
    [sym_block_comment] = STATE(1128),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1129] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17824),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(679),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1129),
    [sym_block_comment] = STATE(1129),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1130] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12642),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1130),
    [sym_block_comment] = STATE(1130),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1131] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13510),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1131),
    [sym_block_comment] = STATE(1131),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1132] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13505),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1132),
    [sym_block_comment] = STATE(1132),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1133] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13337),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1133),
    [sym_block_comment] = STATE(1133),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1134] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12705),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1134),
    [sym_block_comment] = STATE(1134),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1135] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13425),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1135),
    [sym_block_comment] = STATE(1135),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1136] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12672),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1136),
    [sym_block_comment] = STATE(1136),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1137] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13426),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1137),
    [sym_block_comment] = STATE(1137),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1138] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13951),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1138),
    [sym_block_comment] = STATE(1138),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1139] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12665),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1139),
    [sym_block_comment] = STATE(1139),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1140] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(13828),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1140),
    [sym_block_comment] = STATE(1140),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1141] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12952),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1141),
    [sym_block_comment] = STATE(1141),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1142] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(13544),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1142),
    [sym_block_comment] = STATE(1142),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1143] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13456),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1143),
    [sym_block_comment] = STATE(1143),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1144] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16498),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(785),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1144),
    [sym_block_comment] = STATE(1144),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1145] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13408),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1145),
    [sym_block_comment] = STATE(1145),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1146] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13539),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1146),
    [sym_block_comment] = STATE(1146),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1147] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13401),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1147),
    [sym_block_comment] = STATE(1147),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1148] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13394),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1148),
    [sym_block_comment] = STATE(1148),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1149] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13435),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1149),
    [sym_block_comment] = STATE(1149),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1150] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14559),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1150),
    [sym_block_comment] = STATE(1150),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1151] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(11818),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1151),
    [sym_block_comment] = STATE(1151),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1152] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17221),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(728),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1152),
    [sym_block_comment] = STATE(1152),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1153] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13949),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1153),
    [sym_block_comment] = STATE(1153),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1154] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(14096),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1154),
    [sym_block_comment] = STATE(1154),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1155] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(12865),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1155),
    [sym_block_comment] = STATE(1155),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1156] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13810),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1156),
    [sym_block_comment] = STATE(1156),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1157] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13822),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1157),
    [sym_block_comment] = STATE(1157),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1158] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13943),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1158),
    [sym_block_comment] = STATE(1158),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1159] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(13444),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1159),
    [sym_block_comment] = STATE(1159),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1160] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13823),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1160),
    [sym_block_comment] = STATE(1160),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1161] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14555),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1161),
    [sym_block_comment] = STATE(1161),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1162] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(12075),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1162),
    [sym_block_comment] = STATE(1162),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1163] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14553),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1163),
    [sym_block_comment] = STATE(1163),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1164] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1164),
    [sym_block_comment] = STATE(1164),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1165] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1165),
    [sym_block_comment] = STATE(1165),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1166] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1166),
    [sym_block_comment] = STATE(1166),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1167] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(13016),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1167),
    [sym_block_comment] = STATE(1167),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1168] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(12077),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1168),
    [sym_block_comment] = STATE(1168),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1169] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(11894),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1169),
    [sym_block_comment] = STATE(1169),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1170] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14552),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1170),
    [sym_block_comment] = STATE(1170),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1171] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1171),
    [sym_block_comment] = STATE(1171),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1172] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(11803),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1172),
    [sym_block_comment] = STATE(1172),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1173] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(11788),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1173),
    [sym_block_comment] = STATE(1173),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1174] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1174),
    [sym_block_comment] = STATE(1174),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1175] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12866),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1175),
    [sym_block_comment] = STATE(1175),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1176] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13724),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1176),
    [sym_block_comment] = STATE(1176),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1177] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13967),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1177),
    [sym_block_comment] = STATE(1177),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1178] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13949),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1178),
    [sym_block_comment] = STATE(1178),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1179] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13356),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1179),
    [sym_block_comment] = STATE(1179),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1180] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12420),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1180),
    [sym_block_comment] = STATE(1180),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1181] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12330),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1181),
    [sym_block_comment] = STATE(1181),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1182] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16577),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(696),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1182),
    [sym_block_comment] = STATE(1182),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1183] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(14240),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1183),
    [sym_block_comment] = STATE(1183),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1184] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13951),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1184),
    [sym_block_comment] = STATE(1184),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1185] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13349),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1185),
    [sym_block_comment] = STATE(1185),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1186] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1186),
    [sym_block_comment] = STATE(1186),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1187] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12344),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1187),
    [sym_block_comment] = STATE(1187),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1188] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12949),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1188),
    [sym_block_comment] = STATE(1188),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1189] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12946),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1189),
    [sym_block_comment] = STATE(1189),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1190] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12350),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1190),
    [sym_block_comment] = STATE(1190),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1191] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12352),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1191),
    [sym_block_comment] = STATE(1191),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1192] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12372),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1192),
    [sym_block_comment] = STATE(1192),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1193] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14244),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1193),
    [sym_block_comment] = STATE(1193),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1194] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17414),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(746),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1194),
    [sym_block_comment] = STATE(1194),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1195] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12378),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1195),
    [sym_block_comment] = STATE(1195),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1196] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12379),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1196),
    [sym_block_comment] = STATE(1196),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1197] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14165),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1197),
    [sym_block_comment] = STATE(1197),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1198] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(13448),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1198),
    [sym_block_comment] = STATE(1198),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1199] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13341),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1199),
    [sym_block_comment] = STATE(1199),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1200] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12383),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1200),
    [sym_block_comment] = STATE(1200),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1201] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13233),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1201),
    [sym_block_comment] = STATE(1201),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1202] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(12385),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1202),
    [sym_block_comment] = STATE(1202),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1203] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17300),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(771),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1203),
    [sym_block_comment] = STATE(1203),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1204] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(12549),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1204),
    [sym_block_comment] = STATE(1204),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1205] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12691),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1205),
    [sym_block_comment] = STATE(1205),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1206] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1206),
    [sym_block_comment] = STATE(1206),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1207] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12913),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1207),
    [sym_block_comment] = STATE(1207),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1208] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14273),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1208),
    [sym_block_comment] = STATE(1208),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1209] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13291),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1209),
    [sym_block_comment] = STATE(1209),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1210] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14175),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1210),
    [sym_block_comment] = STATE(1210),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1211] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12213),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1211),
    [sym_block_comment] = STATE(1211),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1212] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11792),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1212),
    [sym_block_comment] = STATE(1212),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1213] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12216),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1213),
    [sym_block_comment] = STATE(1213),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1214] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12400),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1214),
    [sym_block_comment] = STATE(1214),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1215] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17356),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(798),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1215),
    [sym_block_comment] = STATE(1215),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1216] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13966),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1216),
    [sym_block_comment] = STATE(1216),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1217] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14238),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1217),
    [sym_block_comment] = STATE(1217),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1218] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11786),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1218),
    [sym_block_comment] = STATE(1218),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1219] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1219),
    [sym_block_comment] = STATE(1219),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1220] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1220),
    [sym_block_comment] = STATE(1220),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1221] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12023),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1221),
    [sym_block_comment] = STATE(1221),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1222] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13292),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1222),
    [sym_block_comment] = STATE(1222),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1223] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13943),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1223),
    [sym_block_comment] = STATE(1223),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1224] = {
    [sym_inline_modifier] = STATE(2161),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13258),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1224),
    [sym_block_comment] = STATE(1224),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_catch] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1225] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1225),
    [sym_block_comment] = STATE(1225),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1226] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13905),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1226),
    [sym_block_comment] = STATE(1226),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1227] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12158),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1227),
    [sym_block_comment] = STATE(1227),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1228] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12163),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1228),
    [sym_block_comment] = STATE(1228),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1229] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13341),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1229),
    [sym_block_comment] = STATE(1229),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1230] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12165),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1230),
    [sym_block_comment] = STATE(1230),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1231] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13409),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1231),
    [sym_block_comment] = STATE(1231),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1232] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12169),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1232),
    [sym_block_comment] = STATE(1232),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1233] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16582),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(804),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1233),
    [sym_block_comment] = STATE(1233),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1234] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16644),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(637),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1234),
    [sym_block_comment] = STATE(1234),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1235] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12225),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1235),
    [sym_block_comment] = STATE(1235),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1236] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1236),
    [sym_block_comment] = STATE(1236),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1237] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16599),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(664),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1237),
    [sym_block_comment] = STATE(1237),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1238] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(14262),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1238),
    [sym_block_comment] = STATE(1238),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1239] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(13380),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1239),
    [sym_block_comment] = STATE(1239),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1240] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(12874),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1240),
    [sym_block_comment] = STATE(1240),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1241] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13086),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1241),
    [sym_block_comment] = STATE(1241),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1242] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(11818),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1242),
    [sym_block_comment] = STATE(1242),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1243] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13337),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1243),
    [sym_block_comment] = STATE(1243),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1244] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(12330),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1244),
    [sym_block_comment] = STATE(1244),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1245] = {
    [sym_inline_modifier] = STATE(2198),
    [sym__indentable_expression] = STATE(13066),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1245),
    [sym_block_comment] = STATE(1245),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1246] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13337),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1246),
    [sym_block_comment] = STATE(1246),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1247] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13122),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1247),
    [sym_block_comment] = STATE(1247),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1248] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13125),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1248),
    [sym_block_comment] = STATE(1248),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1249] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13112),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1249),
    [sym_block_comment] = STATE(1249),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1250] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13129),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1250),
    [sym_block_comment] = STATE(1250),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1251] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12691),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1251),
    [sym_block_comment] = STATE(1251),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1252] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13173),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1252),
    [sym_block_comment] = STATE(1252),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1253] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14226),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1253),
    [sym_block_comment] = STATE(1253),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1254] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12286),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1254),
    [sym_block_comment] = STATE(1254),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1255] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(13880),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1255),
    [sym_block_comment] = STATE(1255),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1256] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13175),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1256),
    [sym_block_comment] = STATE(1256),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1257] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13189),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1257),
    [sym_block_comment] = STATE(1257),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1258] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13185),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1258),
    [sym_block_comment] = STATE(1258),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1259] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14350),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1259),
    [sym_block_comment] = STATE(1259),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1260] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1260),
    [sym_block_comment] = STATE(1260),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1261] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(14264),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1261),
    [sym_block_comment] = STATE(1261),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1262] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(14144),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1262),
    [sym_block_comment] = STATE(1262),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1263] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12871),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1263),
    [sym_block_comment] = STATE(1263),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1264] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12299),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1264),
    [sym_block_comment] = STATE(1264),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1265] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12305),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1265),
    [sym_block_comment] = STATE(1265),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1266] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13188),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1266),
    [sym_block_comment] = STATE(1266),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1267] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17386),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(794),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1267),
    [sym_block_comment] = STATE(1267),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1268] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(13545),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1268),
    [sym_block_comment] = STATE(1268),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1269] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(13424),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1269),
    [sym_block_comment] = STATE(1269),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1270] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14273),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1270),
    [sym_block_comment] = STATE(1270),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1271] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13086),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1271),
    [sym_block_comment] = STATE(1271),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1272] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(14019),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1272),
    [sym_block_comment] = STATE(1272),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1273] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12827),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1273),
    [sym_block_comment] = STATE(1273),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1274] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(11788),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1274),
    [sym_block_comment] = STATE(1274),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1275] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14496),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1275),
    [sym_block_comment] = STATE(1275),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1276] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12827),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1276),
    [sym_block_comment] = STATE(1276),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1277] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(13402),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1277),
    [sym_block_comment] = STATE(1277),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1278] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12866),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1278),
    [sym_block_comment] = STATE(1278),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1279] = {
    [sym_inline_modifier] = STATE(2251),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1279),
    [sym_block_comment] = STATE(1279),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1280] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12871),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1280),
    [sym_block_comment] = STATE(1280),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1281] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13122),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1281),
    [sym_block_comment] = STATE(1281),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1282] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13349),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1282),
    [sym_block_comment] = STATE(1282),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1283] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12866),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1283),
    [sym_block_comment] = STATE(1283),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1284] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(13379),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1284),
    [sym_block_comment] = STATE(1284),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1285] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13125),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1285),
    [sym_block_comment] = STATE(1285),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1286] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13112),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1286),
    [sym_block_comment] = STATE(1286),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1287] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13129),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1287),
    [sym_block_comment] = STATE(1287),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1288] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13173),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1288),
    [sym_block_comment] = STATE(1288),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1289] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12871),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1289),
    [sym_block_comment] = STATE(1289),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1290] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(11803),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1290),
    [sym_block_comment] = STATE(1290),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1291] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13175),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1291),
    [sym_block_comment] = STATE(1291),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1292] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13189),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1292),
    [sym_block_comment] = STATE(1292),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1293] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13185),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1293),
    [sym_block_comment] = STATE(1293),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1294] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(13188),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1294),
    [sym_block_comment] = STATE(1294),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1295] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12889),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1295),
    [sym_block_comment] = STATE(1295),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1296] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13782),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1296),
    [sym_block_comment] = STATE(1296),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1297] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1297),
    [sym_block_comment] = STATE(1297),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1298] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12889),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1298),
    [sym_block_comment] = STATE(1298),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1299] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13907),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1299),
    [sym_block_comment] = STATE(1299),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1300] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13825),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1300),
    [sym_block_comment] = STATE(1300),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1301] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14395),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1301),
    [sym_block_comment] = STATE(1301),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1302] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14399),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1302),
    [sym_block_comment] = STATE(1302),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1303] = {
    [sym_inline_modifier] = STATE(2256),
    [sym__indentable_expression] = STATE(14140),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1303),
    [sym_block_comment] = STATE(1303),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1304] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13803),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1304),
    [sym_block_comment] = STATE(1304),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1305] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17567),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(770),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1305),
    [sym_block_comment] = STATE(1305),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1306] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17456),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(793),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1306),
    [sym_block_comment] = STATE(1306),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1307] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13341),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1307),
    [sym_block_comment] = STATE(1307),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1308] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(13509),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1308),
    [sym_block_comment] = STATE(1308),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1309] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16688),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(681),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1309),
    [sym_block_comment] = STATE(1309),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1310] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13802),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1310),
    [sym_block_comment] = STATE(1310),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1311] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13793),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1311),
    [sym_block_comment] = STATE(1311),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1312] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13750),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1312),
    [sym_block_comment] = STATE(1312),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1313] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13693),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1313),
    [sym_block_comment] = STATE(1313),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1314] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13925),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1314),
    [sym_block_comment] = STATE(1314),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1315] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1315),
    [sym_block_comment] = STATE(1315),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1316] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13686),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1316),
    [sym_block_comment] = STATE(1316),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1317] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13675),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1317),
    [sym_block_comment] = STATE(1317),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1318] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13674),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1318),
    [sym_block_comment] = STATE(1318),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1319] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11541),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1319),
    [sym_block_comment] = STATE(1319),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1320] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11606),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1320),
    [sym_block_comment] = STATE(1320),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1321] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11610),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1321),
    [sym_block_comment] = STATE(1321),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1322] = {
    [sym_inline_modifier] = STATE(2227),
    [sym__indentable_expression] = STATE(13667),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1322),
    [sym_block_comment] = STATE(1322),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1323] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13824),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1323),
    [sym_block_comment] = STATE(1323),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1324] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(13601),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1324),
    [sym_block_comment] = STATE(1324),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1325] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(13877),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1325),
    [sym_block_comment] = STATE(1325),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1326] = {
    [sym_inline_modifier] = STATE(2224),
    [sym__indentable_expression] = STATE(14221),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1326),
    [sym_block_comment] = STATE(1326),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1327] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12330),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1327),
    [sym_block_comment] = STATE(1327),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1328] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(13600),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1328),
    [sym_block_comment] = STATE(1328),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1329] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13349),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1329),
    [sym_block_comment] = STATE(1329),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1330] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(13016),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1330),
    [sym_block_comment] = STATE(1330),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1331] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13356),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1331),
    [sym_block_comment] = STATE(1331),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1332] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13356),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1332),
    [sym_block_comment] = STATE(1332),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1333] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12330),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1333),
    [sym_block_comment] = STATE(1333),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1334] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1334),
    [sym_block_comment] = STATE(1334),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1335] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(11788),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1335),
    [sym_block_comment] = STATE(1335),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1336] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11616),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1336),
    [sym_block_comment] = STATE(1336),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1337] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14350),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1337),
    [sym_block_comment] = STATE(1337),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1338] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12344),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1338),
    [sym_block_comment] = STATE(1338),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1339] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12350),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1339),
    [sym_block_comment] = STATE(1339),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1340] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12352),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1340),
    [sym_block_comment] = STATE(1340),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1341] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13855),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1341),
    [sym_block_comment] = STATE(1341),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1342] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12372),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1342),
    [sym_block_comment] = STATE(1342),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1343] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(13934),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1343),
    [sym_block_comment] = STATE(1343),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1344] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(12387),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1344),
    [sym_block_comment] = STATE(1344),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1345] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12378),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1345),
    [sym_block_comment] = STATE(1345),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1346] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12379),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1346),
    [sym_block_comment] = STATE(1346),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1347] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16456),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(709),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1347),
    [sym_block_comment] = STATE(1347),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1348] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13339),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1348),
    [sym_block_comment] = STATE(1348),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1349] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(12075),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1349),
    [sym_block_comment] = STATE(1349),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1350] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13856),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1350),
    [sym_block_comment] = STATE(1350),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1351] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12383),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1351),
    [sym_block_comment] = STATE(1351),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1352] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12385),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1352),
    [sym_block_comment] = STATE(1352),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1353] = {
    [sym_inline_modifier] = STATE(2292),
    [sym__indentable_expression] = STATE(13619),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1353),
    [sym_block_comment] = STATE(1353),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1354] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16890),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(651),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1354),
    [sym_block_comment] = STATE(1354),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1355] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1355),
    [sym_block_comment] = STATE(1355),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1356] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1356),
    [sym_block_comment] = STATE(1356),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1357] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17520),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(800),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1357),
    [sym_block_comment] = STATE(1357),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1358] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11695),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1358),
    [sym_block_comment] = STATE(1358),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1359] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12169),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1359),
    [sym_block_comment] = STATE(1359),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1360] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11660),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1360),
    [sym_block_comment] = STATE(1360),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1361] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(13238),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1361),
    [sym_block_comment] = STATE(1361),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1362] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1362),
    [sym_block_comment] = STATE(1362),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1363] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11678),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1363),
    [sym_block_comment] = STATE(1363),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1364] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13998),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1364),
    [sym_block_comment] = STATE(1364),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1365] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11679),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1365),
    [sym_block_comment] = STATE(1365),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1366] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(12732),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1366),
    [sym_block_comment] = STATE(1366),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1367] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11679),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1367),
    [sym_block_comment] = STATE(1367),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1368] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13831),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1368),
    [sym_block_comment] = STATE(1368),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1369] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12165),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1369),
    [sym_block_comment] = STATE(1369),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1370] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17694),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(705),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1370),
    [sym_block_comment] = STATE(1370),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1371] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11678),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1371),
    [sym_block_comment] = STATE(1371),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1372] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1372),
    [sym_block_comment] = STATE(1372),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1373] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11660),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1373),
    [sym_block_comment] = STATE(1373),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1374] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12163),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1374),
    [sym_block_comment] = STATE(1374),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1375] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11616),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1375),
    [sym_block_comment] = STATE(1375),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1376] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16764),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(790),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1376),
    [sym_block_comment] = STATE(1376),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1377] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14165),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1377),
    [sym_block_comment] = STATE(1377),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1378] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11610),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1378),
    [sym_block_comment] = STATE(1378),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1379] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11606),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1379),
    [sym_block_comment] = STATE(1379),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1380] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11541),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1380),
    [sym_block_comment] = STATE(1380),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1381] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10935),
    [sym_expression] = STATE(15572),
    [sym__simple_expression] = STATE(9303),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10935),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10935),
    [sym_call_expression] = STATE(10935),
    [sym_field_expression] = STATE(10935),
    [sym_instance_expression] = STATE(10935),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16405),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11057),
    [sym_tuple_expression] = STATE(10935),
    [sym_parenthesized_expression] = STATE(10935),
    [sym_splice_expression] = STATE(10935),
    [sym_quote_expression] = STATE(10935),
    [sym_identifier] = STATE(8212),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10561),
    [sym__non_null_literal] = STATE(10935),
    [sym_boolean_literal] = STATE(10823),
    [sym_interpolated_string_expression] = STATE(10935),
    [sym_string] = STATE(10823),
    [sym_unit] = STATE(10935),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1381),
    [sym_block_comment] = STATE(1381),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_COLON] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_DOLLAR] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3310),
    [sym_integer_literal] = ACTIONS(3312),
    [sym_floating_point_literal] = ACTIONS(3314),
    [anon_sym_true] = ACTIONS(3316),
    [anon_sym_false] = ACTIONS(3316),
    [sym_character_literal] = ACTIONS(3314),
    [sym_null_literal] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3320),
    [sym__simple_string] = ACTIONS(3320),
  },
  [1382] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13894),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1382),
    [sym_block_comment] = STATE(1382),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1383] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(11695),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1383),
    [sym_block_comment] = STATE(1383),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1384] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1384),
    [sym_block_comment] = STATE(1384),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1385] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13832),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1385),
    [sym_block_comment] = STATE(1385),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1386] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14478),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1386),
    [sym_block_comment] = STATE(1386),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1387] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(13660),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1387),
    [sym_block_comment] = STATE(1387),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1388] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14176),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1388),
    [sym_block_comment] = STATE(1388),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1389] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13016),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1389),
    [sym_block_comment] = STATE(1389),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1390] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12158),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1390),
    [sym_block_comment] = STATE(1390),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1391] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12949),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1391),
    [sym_block_comment] = STATE(1391),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1392] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12946),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1392),
    [sym_block_comment] = STATE(1392),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1393] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13841),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1393),
    [sym_block_comment] = STATE(1393),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1394] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(11894),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1394),
    [sym_block_comment] = STATE(1394),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1395] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1395),
    [sym_block_comment] = STATE(1395),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1396] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(12077),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1396),
    [sym_block_comment] = STATE(1396),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1397] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13941),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1397),
    [sym_block_comment] = STATE(1397),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1398] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12305),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1398),
    [sym_block_comment] = STATE(1398),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1399] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12299),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1399),
    [sym_block_comment] = STATE(1399),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1400] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1400),
    [sym_block_comment] = STATE(1400),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1401] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12286),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1401),
    [sym_block_comment] = STATE(1401),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1402] = {
    [sym_inline_modifier] = STATE(2326),
    [sym__indentable_expression] = STATE(13634),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1402),
    [sym_block_comment] = STATE(1402),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1403] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13338),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1403),
    [sym_block_comment] = STATE(1403),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1404] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16343),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(717),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1404),
    [sym_block_comment] = STATE(1404),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1405] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12225),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1405),
    [sym_block_comment] = STATE(1405),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1406] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12913),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1406),
    [sym_block_comment] = STATE(1406),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1407] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12400),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1407),
    [sym_block_comment] = STATE(1407),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1408] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12216),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1408),
    [sym_block_comment] = STATE(1408),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1409] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(12748),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1409),
    [sym_block_comment] = STATE(1409),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1410] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13363),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1410),
    [sym_block_comment] = STATE(1410),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1411] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13945),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1411),
    [sym_block_comment] = STATE(1411),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1412] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1412),
    [sym_block_comment] = STATE(1412),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1413] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12213),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1413),
    [sym_block_comment] = STATE(1413),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1414] = {
    [sym_inline_modifier] = STATE(2163),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1414),
    [sym_block_comment] = STATE(1414),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1415] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13444),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1415),
    [sym_block_comment] = STATE(1415),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1416] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17579),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(763),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1416),
    [sym_block_comment] = STATE(1416),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1417] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1417),
    [sym_block_comment] = STATE(1417),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1418] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13435),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1418),
    [sym_block_comment] = STATE(1418),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1419] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13426),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1419),
    [sym_block_comment] = STATE(1419),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1420] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13425),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1420),
    [sym_block_comment] = STATE(1420),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1421] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13086),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1421),
    [sym_block_comment] = STATE(1421),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1422] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16248),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(736),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1422),
    [sym_block_comment] = STATE(1422),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1423] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(13399),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1423),
    [sym_block_comment] = STATE(1423),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1424] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13918),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1424),
    [sym_block_comment] = STATE(1424),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1425] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13122),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1425),
    [sym_block_comment] = STATE(1425),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1426] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13125),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1426),
    [sym_block_comment] = STATE(1426),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1427] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12023),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1427),
    [sym_block_comment] = STATE(1427),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1428] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(11803),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1428),
    [sym_block_comment] = STATE(1428),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1429] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13112),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1429),
    [sym_block_comment] = STATE(1429),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1430] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13129),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1430),
    [sym_block_comment] = STATE(1430),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1431] = {
    [sym_inline_modifier] = STATE(2332),
    [sym__indentable_expression] = STATE(12880),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1431),
    [sym_block_comment] = STATE(1431),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1432] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13409),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1432),
    [sym_block_comment] = STATE(1432),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1433] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(13398),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1433),
    [sym_block_comment] = STATE(1433),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1434] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16862),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(769),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1434),
    [sym_block_comment] = STATE(1434),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1435] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13173),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1435),
    [sym_block_comment] = STATE(1435),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1436] = {
    [sym_inline_modifier] = STATE(2231),
    [sym__indentable_expression] = STATE(12874),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1436),
    [sym_block_comment] = STATE(1436),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1437] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13175),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1437),
    [sym_block_comment] = STATE(1437),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1438] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13189),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1438),
    [sym_block_comment] = STATE(1438),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1439] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13185),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1439),
    [sym_block_comment] = STATE(1439),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1440] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(13188),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1440),
    [sym_block_comment] = STATE(1440),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1441] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16408),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(632),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1441),
    [sym_block_comment] = STATE(1441),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1442] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13353),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1442),
    [sym_block_comment] = STATE(1442),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1443] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12344),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1443),
    [sym_block_comment] = STATE(1443),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1444] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13428),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1444),
    [sym_block_comment] = STATE(1444),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1445] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12350),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1445),
    [sym_block_comment] = STATE(1445),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1446] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1446),
    [sym_block_comment] = STATE(1446),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1447] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13339),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1447),
    [sym_block_comment] = STATE(1447),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1448] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13508),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1448),
    [sym_block_comment] = STATE(1448),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1449] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13355),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1449),
    [sym_block_comment] = STATE(1449),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1450] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13541),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1450),
    [sym_block_comment] = STATE(1450),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1451] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14324),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1451),
    [sym_block_comment] = STATE(1451),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1452] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13558),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1452),
    [sym_block_comment] = STATE(1452),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1453] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13338),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1453),
    [sym_block_comment] = STATE(1453),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1454] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13353),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1454),
    [sym_block_comment] = STATE(1454),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1455] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13355),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1455),
    [sym_block_comment] = STATE(1455),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1456] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13582),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1456),
    [sym_block_comment] = STATE(1456),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1457] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(13067),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1457),
    [sym_block_comment] = STATE(1457),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1458] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13358),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1458),
    [sym_block_comment] = STATE(1458),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1459] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13869),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1459),
    [sym_block_comment] = STATE(1459),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1460] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16659),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(749),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1460),
    [sym_block_comment] = STATE(1460),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1461] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13993),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1461),
    [sym_block_comment] = STATE(1461),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1462] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13325),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1462),
    [sym_block_comment] = STATE(1462),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1463] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13625),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1463),
    [sym_block_comment] = STATE(1463),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1464] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13366),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1464),
    [sym_block_comment] = STATE(1464),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1465] = {
    [sym_inline_modifier] = STATE(2107),
    [sym__indentable_expression] = STATE(13418),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1465),
    [sym_block_comment] = STATE(1465),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1466] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13900),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1466),
    [sym_block_comment] = STATE(1466),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1467] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13988),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1467),
    [sym_block_comment] = STATE(1467),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1468] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13985),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1468),
    [sym_block_comment] = STATE(1468),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1469] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14435),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1469),
    [sym_block_comment] = STATE(1469),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1470] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12352),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1470),
    [sym_block_comment] = STATE(1470),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1471] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14434),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1471),
    [sym_block_comment] = STATE(1471),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1472] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13210),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1472),
    [sym_block_comment] = STATE(1472),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1473] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1473),
    [sym_block_comment] = STATE(1473),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1474] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17679),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(737),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1474),
    [sym_block_comment] = STATE(1474),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1475] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13846),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1475),
    [sym_block_comment] = STATE(1475),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1476] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13374),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1476),
    [sym_block_comment] = STATE(1476),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1477] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1477),
    [sym_block_comment] = STATE(1477),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1478] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13181),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1478),
    [sym_block_comment] = STATE(1478),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1479] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(11786),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1479),
    [sym_block_comment] = STATE(1479),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1480] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13180),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1480),
    [sym_block_comment] = STATE(1480),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1481] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13174),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1481),
    [sym_block_comment] = STATE(1481),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1482] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13168),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1482),
    [sym_block_comment] = STATE(1482),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1483] = {
    [sym_inline_modifier] = STATE(2244),
    [sym__indentable_expression] = STATE(12956),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1483),
    [sym_block_comment] = STATE(1483),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1484] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(11792),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1484),
    [sym_block_comment] = STATE(1484),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1485] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(13308),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1485),
    [sym_block_comment] = STATE(1485),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1486] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13079),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1486),
    [sym_block_comment] = STATE(1486),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1487] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13971),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1487),
    [sym_block_comment] = STATE(1487),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1488] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13075),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1488),
    [sym_block_comment] = STATE(1488),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1489] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14076),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1489),
    [sym_block_comment] = STATE(1489),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1490] = {
    [sym_inline_modifier] = STATE(2158),
    [sym__indentable_expression] = STATE(14129),
    [sym_block] = STATE(9805),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(13994),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1490),
    [sym_block_comment] = STATE(1490),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1491] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13072),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1491),
    [sym_block_comment] = STATE(1491),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1492] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(12077),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1492),
    [sym_block_comment] = STATE(1492),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1493] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13887),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1493),
    [sym_block_comment] = STATE(1493),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1494] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1494),
    [sym_block_comment] = STATE(1494),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1495] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12372),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1495),
    [sym_block_comment] = STATE(1495),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1496] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13062),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1496),
    [sym_block_comment] = STATE(1496),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1497] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(14165),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1497),
    [sym_block_comment] = STATE(1497),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1498] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13289),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1498),
    [sym_block_comment] = STATE(1498),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1499] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13964),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1499),
    [sym_block_comment] = STATE(1499),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1500] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1500),
    [sym_block_comment] = STATE(1500),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1501] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1501),
    [sym_block_comment] = STATE(1501),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1502] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13218),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1502),
    [sym_block_comment] = STATE(1502),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1503] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13288),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1503),
    [sym_block_comment] = STATE(1503),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1504] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13655),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1504),
    [sym_block_comment] = STATE(1504),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1505] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(12075),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1505),
    [sym_block_comment] = STATE(1505),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1506] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(14074),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1506),
    [sym_block_comment] = STATE(1506),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1507] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13716),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1507),
    [sym_block_comment] = STATE(1507),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1508] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13719),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1508),
    [sym_block_comment] = STATE(1508),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1509] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13723),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1509),
    [sym_block_comment] = STATE(1509),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1510] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13728),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1510),
    [sym_block_comment] = STATE(1510),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1511] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12949),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1511),
    [sym_block_comment] = STATE(1511),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1512] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1512),
    [sym_block_comment] = STATE(1512),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1513] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12946),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1513),
    [sym_block_comment] = STATE(1513),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1514] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13770),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1514),
    [sym_block_comment] = STATE(1514),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1515] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13933),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1515),
    [sym_block_comment] = STATE(1515),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1516] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(12889),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1516),
    [sym_block_comment] = STATE(1516),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1517] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13788),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1517),
    [sym_block_comment] = STATE(1517),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1518] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13791),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1518),
    [sym_block_comment] = STATE(1518),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1519] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13792),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1519),
    [sym_block_comment] = STATE(1519),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1520] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12213),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1520),
    [sym_block_comment] = STATE(1520),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1521] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12216),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1521),
    [sym_block_comment] = STATE(1521),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1522] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13384),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1522),
    [sym_block_comment] = STATE(1522),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1523] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14244),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1523),
    [sym_block_comment] = STATE(1523),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1524] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12400),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1524),
    [sym_block_comment] = STATE(1524),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1525] = {
    [sym_inline_modifier] = STATE(2093),
    [sym__indentable_expression] = STATE(13800),
    [sym_block] = STATE(9134),
    [sym_indented_block] = STATE(13684),
    [sym_indented_cases] = STATE(13684),
    [sym_expression] = STATE(13549),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1525),
    [sym_block_comment] = STATE(1525),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2266),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1526] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14175),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1526),
    [sym_block_comment] = STATE(1526),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1527] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13404),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1527),
    [sym_block_comment] = STATE(1527),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1528] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17287),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(685),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1528),
    [sym_block_comment] = STATE(1528),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1529] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11695),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1529),
    [sym_block_comment] = STATE(1529),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1530] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14238),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1530),
    [sym_block_comment] = STATE(1530),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1531] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1531),
    [sym_block_comment] = STATE(1531),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1532] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(13898),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1532),
    [sym_block_comment] = STATE(1532),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1533] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11679),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1533),
    [sym_block_comment] = STATE(1533),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1534] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12913),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1534),
    [sym_block_comment] = STATE(1534),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1535] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11678),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1535),
    [sym_block_comment] = STATE(1535),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1536] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13888),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1536),
    [sym_block_comment] = STATE(1536),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1537] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1537),
    [sym_block_comment] = STATE(1537),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1538] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(13924),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1538),
    [sym_block_comment] = STATE(1538),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1539] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11660),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1539),
    [sym_block_comment] = STATE(1539),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1540] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(13870),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1540),
    [sym_block_comment] = STATE(1540),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1541] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17169),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(644),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1541),
    [sym_block_comment] = STATE(1541),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1542] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12225),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1542),
    [sym_block_comment] = STATE(1542),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1543] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(13257),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1543),
    [sym_block_comment] = STATE(1543),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1544] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11616),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1544),
    [sym_block_comment] = STATE(1544),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1545] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(13374),
    [sym_block] = STATE(8587),
    [sym_indented_block] = STATE(13383),
    [sym_indented_cases] = STATE(13383),
    [sym_expression] = STATE(13117),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1545),
    [sym_block_comment] = STATE(1545),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3292),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1546] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11610),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1546),
    [sym_block_comment] = STATE(1546),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1547] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14226),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1547),
    [sym_block_comment] = STATE(1547),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1548] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11606),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1548),
    [sym_block_comment] = STATE(1548),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1549] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11541),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1549),
    [sym_block_comment] = STATE(1549),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1550] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(5691),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(11642),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1550),
    [sym_block_comment] = STATE(1550),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1551] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14468),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1551),
    [sym_block_comment] = STATE(1551),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1552] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13418),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1552),
    [sym_block_comment] = STATE(1552),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1553] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13455),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1553),
    [sym_block_comment] = STATE(1553),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1554] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14571),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1554),
    [sym_block_comment] = STATE(1554),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1555] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13583),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1555),
    [sym_block_comment] = STATE(1555),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1556] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13290),
    [sym_block] = STATE(8120),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1556),
    [sym_block_comment] = STATE(1556),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2170),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1557] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1557),
    [sym_block_comment] = STATE(1557),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1558] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16350),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(726),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1558),
    [sym_block_comment] = STATE(1558),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1559] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12305),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1559),
    [sym_block_comment] = STATE(1559),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1560] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12299),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1560),
    [sym_block_comment] = STATE(1560),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1561] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14399),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1561),
    [sym_block_comment] = STATE(1561),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1562] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1562),
    [sym_block_comment] = STATE(1562),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1563] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12286),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1563),
    [sym_block_comment] = STATE(1563),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1564] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12225),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1564),
    [sym_block_comment] = STATE(1564),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1565] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14559),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1565),
    [sym_block_comment] = STATE(1565),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1566] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17313),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(633),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1566),
    [sym_block_comment] = STATE(1566),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1567] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12286),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1567),
    [sym_block_comment] = STATE(1567),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1568] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17005),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(745),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1568),
    [sym_block_comment] = STATE(1568),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1569] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12400),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1569),
    [sym_block_comment] = STATE(1569),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1570] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12216),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1570),
    [sym_block_comment] = STATE(1570),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1571] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12213),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1571),
    [sym_block_comment] = STATE(1571),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1572] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1572),
    [sym_block_comment] = STATE(1572),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1573] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12299),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1573),
    [sym_block_comment] = STATE(1573),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1574] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12305),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1574),
    [sym_block_comment] = STATE(1574),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1575] = {
    [sym_inline_modifier] = STATE(2075),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(6931),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1575),
    [sym_block_comment] = STATE(1575),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1576] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13591),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1576),
    [sym_block_comment] = STATE(1576),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1577] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14555),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1577),
    [sym_block_comment] = STATE(1577),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1578] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12378),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1578),
    [sym_block_comment] = STATE(1578),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1579] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(11792),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1579),
    [sym_block_comment] = STATE(1579),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1580] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14553),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1580),
    [sym_block_comment] = STATE(1580),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1581] = {
    [sym_inline_modifier] = STATE(2048),
    [sym__indentable_expression] = STATE(14395),
    [sym_block] = STATE(10174),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(14135),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1581),
    [sym_block_comment] = STATE(1581),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1582] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(11786),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1582),
    [sym_block_comment] = STATE(1582),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1583] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12379),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1583),
    [sym_block_comment] = STATE(1583),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1584] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1584),
    [sym_block_comment] = STATE(1584),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1585] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1585),
    [sym_block_comment] = STATE(1585),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1586] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(12023),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1586),
    [sym_block_comment] = STATE(1586),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1587] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13487),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1587),
    [sym_block_comment] = STATE(1587),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1588] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14552),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1588),
    [sym_block_comment] = STATE(1588),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1589] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13361),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1589),
    [sym_block_comment] = STATE(1589),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1590] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(12874),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1590),
    [sym_block_comment] = STATE(1590),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1591] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1591),
    [sym_block_comment] = STATE(1591),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1592] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(10073),
    [sym_indented_block] = STATE(12580),
    [sym_indented_cases] = STATE(12580),
    [sym_expression] = STATE(13848),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1592),
    [sym_block_comment] = STATE(1592),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1593] = {
    [sym_inline_modifier] = STATE(2309),
    [sym__indentable_expression] = STATE(13976),
    [sym_block] = STATE(9612),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(13821),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1593),
    [sym_block_comment] = STATE(1593),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1594] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(14176),
    [sym_block] = STATE(7509),
    [sym_indented_block] = STATE(12654),
    [sym_indented_cases] = STATE(12654),
    [sym_expression] = STATE(12959),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1594),
    [sym_block_comment] = STATE(1594),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1595] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12911),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1595),
    [sym_block_comment] = STATE(1595),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1596] = {
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(13363),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1596),
    [sym_block_comment] = STATE(1596),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1597] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(12158),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1597),
    [sym_block_comment] = STATE(1597),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1598] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13376),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1598),
    [sym_block_comment] = STATE(1598),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1599] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(14546),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1599),
    [sym_block_comment] = STATE(1599),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1600] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13804),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1600),
    [sym_block_comment] = STATE(1600),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1601] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13915),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1601),
    [sym_block_comment] = STATE(1601),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1602] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(16285),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(732),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1602),
    [sym_block_comment] = STATE(1602),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1603] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14048),
    [sym_block] = STATE(9247),
    [sym_indented_block] = STATE(13633),
    [sym_indented_cases] = STATE(13633),
    [sym_expression] = STATE(13581),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1603),
    [sym_block_comment] = STATE(1603),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3284),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1604] = {
    [sym_inline_modifier] = STATE(2260),
    [sym__indentable_expression] = STATE(13871),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1604),
    [sym_block_comment] = STATE(1604),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1605] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13807),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1605),
    [sym_block_comment] = STATE(1605),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1606] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13668),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1606),
    [sym_block_comment] = STATE(1606),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1607] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(13816),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1607),
    [sym_block_comment] = STATE(1607),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1608] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13534),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1608),
    [sym_block_comment] = STATE(1608),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1609] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(12163),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1609),
    [sym_block_comment] = STATE(1609),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1610] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14496),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1610),
    [sym_block_comment] = STATE(1610),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1611] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(12165),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1611),
    [sym_block_comment] = STATE(1611),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1612] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12957),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1612),
    [sym_block_comment] = STATE(1612),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1613] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(11818),
    [sym_block] = STATE(9379),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(13781),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1613),
    [sym_block_comment] = STATE(1613),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1614] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13366),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1614),
    [sym_block_comment] = STATE(1614),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1615] = {
    [sym_inline_modifier] = STATE(2211),
    [sym__indentable_expression] = STATE(13727),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11694),
    [sym_indented_cases] = STATE(11694),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1615),
    [sym_block_comment] = STATE(1615),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2330),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1616] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12383),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1616),
    [sym_block_comment] = STATE(1616),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1617] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13625),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1617),
    [sym_block_comment] = STATE(1617),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1618] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1618),
    [sym_block_comment] = STATE(1618),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1619] = {
    [sym_inline_modifier] = STATE(2092),
    [sym__indentable_expression] = STATE(11894),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1619),
    [sym_block_comment] = STATE(1619),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1620] = {
    [sym_inline_modifier] = STATE(2315),
    [sym__indentable_expression] = STATE(13780),
    [sym_block] = STATE(7667),
    [sym_indented_block] = STATE(13030),
    [sym_indented_cases] = STATE(13030),
    [sym_expression] = STATE(13014),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1620),
    [sym_block_comment] = STATE(1620),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2350),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1621] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17220),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(670),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1621),
    [sym_block_comment] = STATE(1621),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1622] = {
    [sym_inline_modifier] = STATE(2267),
    [sym__indentable_expression] = STATE(13420),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1622),
    [sym_block_comment] = STATE(1622),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1623] = {
    [sym_inline_modifier] = STATE(2277),
    [sym__indentable_expression] = STATE(12688),
    [sym_block] = STATE(6458),
    [sym_indented_block] = STATE(11852),
    [sym_indented_cases] = STATE(11852),
    [sym_expression] = STATE(11991),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1623),
    [sym_block_comment] = STATE(1623),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2164),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1624] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13325),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1624),
    [sym_block_comment] = STATE(1624),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1625] = {
    [sym_inline_modifier] = STATE(2069),
    [sym__indentable_expression] = STATE(12169),
    [sym_block] = STATE(6647),
    [sym_indented_block] = STATE(12002),
    [sym_indented_cases] = STATE(12002),
    [sym_expression] = STATE(12137),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1625),
    [sym_block_comment] = STATE(1625),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2356),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1626] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13477),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1626),
    [sym_block_comment] = STATE(1626),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1627] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(13451),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1627),
    [sym_block_comment] = STATE(1627),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1628] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13358),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1628),
    [sym_block_comment] = STATE(1628),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1629] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1629),
    [sym_block_comment] = STATE(1629),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1630] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13497),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1630),
    [sym_block_comment] = STATE(1630),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1631] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17393),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(693),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1631),
    [sym_block_comment] = STATE(1631),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1632] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13582),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1632),
    [sym_block_comment] = STATE(1632),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1633] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14478),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1633),
    [sym_block_comment] = STATE(1633),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1634] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13991),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1634),
    [sym_block_comment] = STATE(1634),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1635] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13879),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1635),
    [sym_block_comment] = STATE(1635),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1636] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14435),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1636),
    [sym_block_comment] = STATE(1636),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1637] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14434),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1637),
    [sym_block_comment] = STATE(1637),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1638] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14468),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1638),
    [sym_block_comment] = STATE(1638),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1639] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13428),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1639),
    [sym_block_comment] = STATE(1639),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1640] = {
    [sym_inline_modifier] = STATE(2297),
    [sym__indentable_expression] = STATE(14546),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1640),
    [sym_block_comment] = STATE(1640),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1641] = {
    [sym_inline_modifier] = STATE(2185),
    [sym__indentable_expression] = STATE(12385),
    [sym_block] = STATE(7016),
    [sym_indented_block] = STATE(12226),
    [sym_indented_cases] = STATE(12226),
    [sym_expression] = STATE(12313),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1641),
    [sym_block_comment] = STATE(1641),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1642] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(13463),
    [sym_block] = STATE(6675),
    [sym_indented_block] = STATE(12784),
    [sym_indented_cases] = STATE(12784),
    [sym_expression] = STATE(12493),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1642),
    [sym_block_comment] = STATE(1642),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1643] = {
    [sym_inline_modifier] = STATE(2136),
    [sym__indentable_expression] = STATE(17124),
    [sym_block] = STATE(9417),
    [sym_indented_block] = STATE(13969),
    [sym_indented_cases] = STATE(13969),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(714),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1643),
    [sym_block_comment] = STATE(1643),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2586),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1644] = {
    [sym_inline_modifier] = STATE(2131),
    [sym__indentable_expression] = STATE(13883),
    [sym_block] = STATE(9635),
    [sym_indented_block] = STATE(13903),
    [sym_indented_cases] = STATE(13903),
    [sym_expression] = STATE(13733),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1644),
    [sym_block_comment] = STATE(1644),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1645] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13387),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1645),
    [sym_block_comment] = STATE(1645),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1646] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13508),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1646),
    [sym_block_comment] = STATE(1646),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1647] = {
    [sym_inline_modifier] = STATE(2161),
    [sym__indentable_expression] = STATE(13498),
    [sym_block] = STATE(8253),
    [sym_indented_block] = STATE(13542),
    [sym_indented_cases] = STATE(13542),
    [sym_expression] = STATE(13025),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1647),
    [sym_block_comment] = STATE(1647),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2286),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1648] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13558),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1648),
    [sym_block_comment] = STATE(1648),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1649] = {
    [sym_inline_modifier] = STATE(2041),
    [sym__indentable_expression] = STATE(13541),
    [sym_block] = STATE(8632),
    [sym_indented_block] = STATE(13568),
    [sym_indented_cases] = STATE(13568),
    [sym_expression] = STATE(13269),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1649),
    [sym_block_comment] = STATE(1649),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2290),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1650] = {
    [sym_inline_modifier] = STATE(2094),
    [sym__indentable_expression] = STATE(13390),
    [sym_block] = STATE(7510),
    [sym_indented_block] = STATE(13232),
    [sym_indented_cases] = STATE(13232),
    [sym_expression] = STATE(12757),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1650),
    [sym_block_comment] = STATE(1650),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2174),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1651] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17365),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1651),
    [sym_block_comment] = STATE(1651),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_RPAREN] = ACTIONS(3324),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1652] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16750),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1652),
    [sym_block_comment] = STATE(1652),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_RPAREN] = ACTIONS(3328),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1653] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16730),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1653),
    [sym_block_comment] = STATE(1653),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_RPAREN] = ACTIONS(3332),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1654] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17827),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1654),
    [sym_block_comment] = STATE(1654),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_RPAREN] = ACTIONS(3336),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1655] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16896),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1655),
    [sym_block_comment] = STATE(1655),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_RPAREN] = ACTIONS(3340),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1656] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16877),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1656),
    [sym_block_comment] = STATE(1656),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_RPAREN] = ACTIONS(3344),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1657] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17698),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1657),
    [sym_block_comment] = STATE(1657),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_RPAREN] = ACTIONS(3348),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1658] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16867),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1658),
    [sym_block_comment] = STATE(1658),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3350),
    [anon_sym_RPAREN] = ACTIONS(3352),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1659] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16912),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1659),
    [sym_block_comment] = STATE(1659),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1660] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17714),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1660),
    [sym_block_comment] = STATE(1660),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_RPAREN] = ACTIONS(3360),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1661] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16863),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1661),
    [sym_block_comment] = STATE(1661),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3362),
    [anon_sym_RPAREN] = ACTIONS(3364),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1662] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(14994),
    [sym__simple_expression] = STATE(5433),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16238),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9072),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(4684),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(6713),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1662),
    [sym_block_comment] = STATE(1662),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_COLON] = ACTIONS(1638),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1660),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1663] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17681),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1663),
    [sym_block_comment] = STATE(1663),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_RPAREN] = ACTIONS(3368),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1664] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16927),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1664),
    [sym_block_comment] = STATE(1664),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3370),
    [anon_sym_RPAREN] = ACTIONS(3372),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1665] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17180),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1665),
    [sym_block_comment] = STATE(1665),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3374),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1666] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17668),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1666),
    [sym_block_comment] = STATE(1666),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3378),
    [anon_sym_RPAREN] = ACTIONS(3380),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1667] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16187),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1667),
    [sym_block_comment] = STATE(1667),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3382),
    [anon_sym_RPAREN] = ACTIONS(3384),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1668] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17730),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1668),
    [sym_block_comment] = STATE(1668),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3386),
    [anon_sym_RPAREN] = ACTIONS(3388),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1669] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16939),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1669),
    [sym_block_comment] = STATE(1669),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3390),
    [anon_sym_RPAREN] = ACTIONS(3392),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1670] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13570),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1670),
    [sym_block_comment] = STATE(1670),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1671] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16806),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1671),
    [sym_block_comment] = STATE(1671),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3394),
    [anon_sym_RPAREN] = ACTIONS(3396),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1672] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17655),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1672),
    [sym_block_comment] = STATE(1672),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3398),
    [anon_sym_RPAREN] = ACTIONS(3400),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1673] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17086),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1673),
    [sym_block_comment] = STATE(1673),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3402),
    [anon_sym_RPAREN] = ACTIONS(3404),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1674] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16980),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1674),
    [sym_block_comment] = STATE(1674),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3406),
    [anon_sym_RPAREN] = ACTIONS(3408),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1675] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(6439),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16454),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9835),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5424),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8484),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1675),
    [sym_block_comment] = STATE(1675),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1532),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1676] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17574),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1676),
    [sym_block_comment] = STATE(1676),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3410),
    [anon_sym_RPAREN] = ACTIONS(3412),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1677] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17215),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1677),
    [sym_block_comment] = STATE(1677),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3414),
    [anon_sym_RPAREN] = ACTIONS(3416),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1678] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17643),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1678),
    [sym_block_comment] = STATE(1678),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3418),
    [anon_sym_RPAREN] = ACTIONS(3420),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1679] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16992),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1679),
    [sym_block_comment] = STATE(1679),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3422),
    [anon_sym_RPAREN] = ACTIONS(3424),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1680] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16848),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1680),
    [sym_block_comment] = STATE(1680),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3426),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1681] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17532),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1681),
    [sym_block_comment] = STATE(1681),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3430),
    [anon_sym_RPAREN] = ACTIONS(3432),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1682] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17554),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1682),
    [sym_block_comment] = STATE(1682),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3434),
    [anon_sym_RPAREN] = ACTIONS(3436),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1683] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16167),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1683),
    [sym_block_comment] = STATE(1683),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3438),
    [anon_sym_RPAREN] = ACTIONS(3440),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1684] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16677),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1684),
    [sym_block_comment] = STATE(1684),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3442),
    [anon_sym_RPAREN] = ACTIONS(3444),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1685] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17012),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1685),
    [sym_block_comment] = STATE(1685),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_RPAREN] = ACTIONS(3448),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1686] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17607),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1686),
    [sym_block_comment] = STATE(1686),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_RPAREN] = ACTIONS(3452),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1687] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17746),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1687),
    [sym_block_comment] = STATE(1687),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_RPAREN] = ACTIONS(3456),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1688] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17286),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1688),
    [sym_block_comment] = STATE(1688),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_RPAREN] = ACTIONS(3460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1689] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17587),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1689),
    [sym_block_comment] = STATE(1689),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_RPAREN] = ACTIONS(3464),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1690] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16195),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1690),
    [sym_block_comment] = STATE(1690),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3466),
    [anon_sym_RPAREN] = ACTIONS(3468),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1691] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14808),
    [sym__simple_expression] = STATE(7820),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16755),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10530),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6323),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9506),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1691),
    [sym_block_comment] = STATE(1691),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2260),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1692] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(15338),
    [sym__simple_expression] = STATE(5442),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16340),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8724),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4689),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7263),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1692),
    [sym_block_comment] = STATE(1692),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_COLON] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1693] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17496),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1693),
    [sym_block_comment] = STATE(1693),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3470),
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1694] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(15075),
    [sym__simple_expression] = STATE(7117),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16228),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10399),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8738),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1694),
    [sym_block_comment] = STATE(1694),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_COLON] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1695] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17032),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1695),
    [sym_block_comment] = STATE(1695),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_RPAREN] = ACTIONS(3476),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1696] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17751),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1696),
    [sym_block_comment] = STATE(1696),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1697] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17578),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1697),
    [sym_block_comment] = STATE(1697),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3482),
    [anon_sym_RPAREN] = ACTIONS(3484),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1698] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17565),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1698),
    [sym_block_comment] = STATE(1698),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_RPAREN] = ACTIONS(3488),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1699] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17310),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1699),
    [sym_block_comment] = STATE(1699),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_RPAREN] = ACTIONS(3492),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1700] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5553),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16363),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4761),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7615),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1700),
    [sym_block_comment] = STATE(1700),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_COLON] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1196),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [1701] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17553),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1701),
    [sym_block_comment] = STATE(1701),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_RPAREN] = ACTIONS(3496),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1702] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17047),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1702),
    [sym_block_comment] = STATE(1702),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1703] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17025),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1703),
    [sym_block_comment] = STATE(1703),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_RPAREN] = ACTIONS(3504),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1704] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16224),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1704),
    [sym_block_comment] = STATE(1704),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_RPAREN] = ACTIONS(3508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1705] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17064),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1705),
    [sym_block_comment] = STATE(1705),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_RPAREN] = ACTIONS(3512),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1706] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17731),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1706),
    [sym_block_comment] = STATE(1706),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_RPAREN] = ACTIONS(3516),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1707] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17537),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1707),
    [sym_block_comment] = STATE(1707),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_RPAREN] = ACTIONS(3520),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1708] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17056),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1708),
    [sym_block_comment] = STATE(1708),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_RPAREN] = ACTIONS(3524),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1709] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16553),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1709),
    [sym_block_comment] = STATE(1709),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_RPAREN] = ACTIONS(3528),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1710] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16281),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1710),
    [sym_block_comment] = STATE(1710),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_RPAREN] = ACTIONS(3532),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1711] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17726),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1711),
    [sym_block_comment] = STATE(1711),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1712] = {
    [sym_inline_modifier] = STATE(2295),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13570),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1712),
    [sym_block_comment] = STATE(1712),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_finally] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1713] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(15244),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16384),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10263),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5569),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1713),
    [sym_block_comment] = STATE(1713),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_COLON] = ACTIONS(2034),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1714] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17523),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1714),
    [sym_block_comment] = STATE(1714),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_RPAREN] = ACTIONS(3540),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1715] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16273),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1715),
    [sym_block_comment] = STATE(1715),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_RPAREN] = ACTIONS(3544),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1716] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17073),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1716),
    [sym_block_comment] = STATE(1716),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_RPAREN] = ACTIONS(3548),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1717] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(15161),
    [sym__simple_expression] = STATE(5235),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16747),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9279),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(6819),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1717),
    [sym_block_comment] = STATE(1717),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_COLON] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1232),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1718] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(6532),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9857),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1718),
    [sym_block_comment] = STATE(1718),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1719] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16316),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1719),
    [sym_block_comment] = STATE(1719),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_RPAREN] = ACTIONS(3552),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1720] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(5383),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16322),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9234),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(4683),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(7366),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1720),
    [sym_block_comment] = STATE(1720),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1721] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(15541),
    [sym__simple_expression] = STATE(4735),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16200),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7740),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4426),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(5619),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1721),
    [sym_block_comment] = STATE(1721),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1722] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16946),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1722),
    [sym_block_comment] = STATE(1722),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_RPAREN] = ACTIONS(3556),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1723] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17508),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1723),
    [sym_block_comment] = STATE(1723),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_RPAREN] = ACTIONS(3560),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1724] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17132),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1724),
    [sym_block_comment] = STATE(1724),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3562),
    [anon_sym_RPAREN] = ACTIONS(3564),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1725] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16373),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1725),
    [sym_block_comment] = STATE(1725),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3566),
    [anon_sym_RPAREN] = ACTIONS(3568),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1726] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(15012),
    [sym__simple_expression] = STATE(4430),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16426),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(6326),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4255),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(4793),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1726),
    [sym_block_comment] = STATE(1726),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_COLON] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1727] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17089),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1727),
    [sym_block_comment] = STATE(1727),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_RPAREN] = ACTIONS(3572),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1728] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17423),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1728),
    [sym_block_comment] = STATE(1728),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_RPAREN] = ACTIONS(3576),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1729] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17491),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1729),
    [sym_block_comment] = STATE(1729),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_RPAREN] = ACTIONS(3580),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1730] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17752),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1730),
    [sym_block_comment] = STATE(1730),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_RPAREN] = ACTIONS(3584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1731] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17852),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1731),
    [sym_block_comment] = STATE(1731),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_RPAREN] = ACTIONS(3588),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1732] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16610),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1732),
    [sym_block_comment] = STATE(1732),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1733] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17703),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1733),
    [sym_block_comment] = STATE(1733),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_RPAREN] = ACTIONS(3596),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1734] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16392),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1734),
    [sym_block_comment] = STATE(1734),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_RPAREN] = ACTIONS(3600),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1735] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16989),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1735),
    [sym_block_comment] = STATE(1735),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_RPAREN] = ACTIONS(3604),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1736] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17479),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1736),
    [sym_block_comment] = STATE(1736),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_RPAREN] = ACTIONS(3608),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1737] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(15047),
    [sym__simple_expression] = STATE(4982),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16709),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8257),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(4497),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(6653),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1737),
    [sym_block_comment] = STATE(1737),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_COLON] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1358),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1738] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17390),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1738),
    [sym_block_comment] = STATE(1738),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_RPAREN] = ACTIONS(3612),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1739] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(14761),
    [sym__simple_expression] = STATE(4623),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16447),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7603),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4418),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(5719),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1739),
    [sym_block_comment] = STATE(1739),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_COLON] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1740] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17462),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1740),
    [sym_block_comment] = STATE(1740),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_RPAREN] = ACTIONS(3616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1741] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16457),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1741),
    [sym_block_comment] = STATE(1741),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3620),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1742] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17853),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1742),
    [sym_block_comment] = STATE(1742),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_RPAREN] = ACTIONS(3624),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1743] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16883),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1743),
    [sym_block_comment] = STATE(1743),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_RPAREN] = ACTIONS(3628),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1744] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(15830),
    [sym__simple_expression] = STATE(4704),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16468),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7537),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4428),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(5796),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1744),
    [sym_block_comment] = STATE(1744),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1745] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17448),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1745),
    [sym_block_comment] = STATE(1745),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_RPAREN] = ACTIONS(3632),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1746] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17131),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1746),
    [sym_block_comment] = STATE(1746),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_RPAREN] = ACTIONS(3636),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1747] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(14932),
    [sym__simple_expression] = STATE(4508),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4321),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(5123),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1747),
    [sym_block_comment] = STATE(1747),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1748] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17188),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1748),
    [sym_block_comment] = STATE(1748),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3640),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1749] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16332),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1749),
    [sym_block_comment] = STATE(1749),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_RPAREN] = ACTIONS(3644),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1750] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17432),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1750),
    [sym_block_comment] = STATE(1750),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_RPAREN] = ACTIONS(3648),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1751] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(15081),
    [sym__simple_expression] = STATE(5758),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16489),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9384),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(7641),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1751),
    [sym_block_comment] = STATE(1751),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_COLON] = ACTIONS(1832),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(1854),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1752] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17418),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1752),
    [sym_block_comment] = STATE(1752),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1753] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17148),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1753),
    [sym_block_comment] = STATE(1753),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_RPAREN] = ACTIONS(3656),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1754] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17631),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1754),
    [sym_block_comment] = STATE(1754),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_RPAREN] = ACTIONS(3660),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1755] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(14831),
    [sym__simple_expression] = STATE(6615),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16671),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9975),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5100),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1755),
    [sym_block_comment] = STATE(1755),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_COLON] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(1712),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1756] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16822),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1756),
    [sym_block_comment] = STATE(1756),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_RPAREN] = ACTIONS(3664),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1757] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16466),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1757),
    [sym_block_comment] = STATE(1757),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_RPAREN] = ACTIONS(3668),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1758] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17406),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1758),
    [sym_block_comment] = STATE(1758),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3670),
    [anon_sym_RPAREN] = ACTIONS(3672),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1759] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17164),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1759),
    [sym_block_comment] = STATE(1759),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_RPAREN] = ACTIONS(3676),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1760] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(6532),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9857),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1760),
    [sym_block_comment] = STATE(1760),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1761] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17246),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1761),
    [sym_block_comment] = STATE(1761),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_RPAREN] = ACTIONS(3680),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1762] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16542),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1762),
    [sym_block_comment] = STATE(1762),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_RPAREN] = ACTIONS(3684),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1763] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17395),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1763),
    [sym_block_comment] = STATE(1763),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_RPAREN] = ACTIONS(3688),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1764] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17822),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1764),
    [sym_block_comment] = STATE(1764),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1765] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17178),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1765),
    [sym_block_comment] = STATE(1765),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_RPAREN] = ACTIONS(3696),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1766] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16839),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1766),
    [sym_block_comment] = STATE(1766),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_RPAREN] = ACTIONS(3700),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1767] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17384),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1767),
    [sym_block_comment] = STATE(1767),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3702),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1768] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16558),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1768),
    [sym_block_comment] = STATE(1768),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3706),
    [anon_sym_RPAREN] = ACTIONS(3708),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1769] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17322),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1769),
    [sym_block_comment] = STATE(1769),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3710),
    [anon_sym_RPAREN] = ACTIONS(3712),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1770] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(15781),
    [sym__simple_expression] = STATE(5465),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16510),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9449),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1770),
    [sym_block_comment] = STATE(1770),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_COLON] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1568),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1771] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(14855),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16651),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9675),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5029),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(7435),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1771),
    [sym_block_comment] = STATE(1771),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(1464),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1772] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17370),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1772),
    [sym_block_comment] = STATE(1772),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3714),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1773] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17200),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1773),
    [sym_block_comment] = STATE(1773),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3718),
    [anon_sym_RPAREN] = ACTIONS(3720),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1774] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17355),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1774),
    [sym_block_comment] = STATE(1774),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3722),
    [anon_sym_RPAREN] = ACTIONS(3724),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1775] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17627),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1775),
    [sym_block_comment] = STATE(1775),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3726),
    [anon_sym_RPAREN] = ACTIONS(3728),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1776] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16431),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1776),
    [sym_block_comment] = STATE(1776),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3730),
    [anon_sym_RPAREN] = ACTIONS(3732),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1777] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17334),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1777),
    [sym_block_comment] = STATE(1777),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3734),
    [anon_sym_RPAREN] = ACTIONS(3736),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1778] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17059),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1778),
    [sym_block_comment] = STATE(1778),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3738),
    [anon_sym_RPAREN] = ACTIONS(3740),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1779] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17316),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1779),
    [sym_block_comment] = STATE(1779),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_RPAREN] = ACTIONS(3744),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1780] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17539),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1780),
    [sym_block_comment] = STATE(1780),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3746),
    [anon_sym_RPAREN] = ACTIONS(3748),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1781] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17214),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1781),
    [sym_block_comment] = STATE(1781),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3750),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1782] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(15417),
    [sym__simple_expression] = STATE(5020),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16631),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8379),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4521),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6389),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1782),
    [sym_block_comment] = STATE(1782),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1783] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17113),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1783),
    [sym_block_comment] = STATE(1783),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3754),
    [anon_sym_RPAREN] = ACTIONS(3756),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1784] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(15144),
    [sym__simple_expression] = STATE(4539),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16377),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7329),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4297),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(5463),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1784),
    [sym_block_comment] = STATE(1784),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1785] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16736),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1785),
    [sym_block_comment] = STATE(1785),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3758),
    [anon_sym_RPAREN] = ACTIONS(3760),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1786] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17242),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1786),
    [sym_block_comment] = STATE(1786),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3762),
    [anon_sym_RPAREN] = ACTIONS(3764),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1787] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16808),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1787),
    [sym_block_comment] = STATE(1787),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3766),
    [anon_sym_RPAREN] = ACTIONS(3768),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1788] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17263),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1788),
    [sym_block_comment] = STATE(1788),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1789] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17837),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1789),
    [sym_block_comment] = STATE(1789),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3774),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1790] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(4899),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8623),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1790),
    [sym_block_comment] = STATE(1790),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1791] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17282),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1791),
    [sym_block_comment] = STATE(1791),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3778),
    [anon_sym_RPAREN] = ACTIONS(3780),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1792] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17493),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1792),
    [sym_block_comment] = STATE(1792),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3782),
    [anon_sym_RPAREN] = ACTIONS(3784),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1793] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17297),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1793),
    [sym_block_comment] = STATE(1793),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3786),
    [anon_sym_RPAREN] = ACTIONS(3788),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1794] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17848),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1794),
    [sym_block_comment] = STATE(1794),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3790),
    [anon_sym_RPAREN] = ACTIONS(3792),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1795] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16478),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1795),
    [sym_block_comment] = STATE(1795),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_RPAREN] = ACTIONS(3796),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1796] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17306),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1796),
    [sym_block_comment] = STATE(1796),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3798),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1797] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16633),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1797),
    [sym_block_comment] = STATE(1797),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3802),
    [anon_sym_RPAREN] = ACTIONS(3804),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1798] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(4899),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8623),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1798),
    [sym_block_comment] = STATE(1798),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1799] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17411),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1799),
    [sym_block_comment] = STATE(1799),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3806),
    [anon_sym_RPAREN] = ACTIONS(3808),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1800] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14015),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1800),
    [sym_block_comment] = STATE(1800),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1801] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14107),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1801),
    [sym_block_comment] = STATE(1801),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3814),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1802] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14118),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1802),
    [sym_block_comment] = STATE(1802),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1803] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14032),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1803),
    [sym_block_comment] = STATE(1803),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3818),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1804] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14012),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1804),
    [sym_block_comment] = STATE(1804),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1805] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14124),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1805),
    [sym_block_comment] = STATE(1805),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3822),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1806] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14112),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1806),
    [sym_block_comment] = STATE(1806),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1807] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14009),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1807),
    [sym_block_comment] = STATE(1807),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3826),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1808] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14040),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1808),
    [sym_block_comment] = STATE(1808),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3828),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1809] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14126),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1809),
    [sym_block_comment] = STATE(1809),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1810] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14153),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1810),
    [sym_block_comment] = STATE(1810),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3832),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1811] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14130),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1811),
    [sym_block_comment] = STATE(1811),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3834),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1812] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14097),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1812),
    [sym_block_comment] = STATE(1812),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3836),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1813] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1813),
    [sym_block_comment] = STATE(1813),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3838),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1814] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14145),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1814),
    [sym_block_comment] = STATE(1814),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1815] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14016),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1815),
    [sym_block_comment] = STATE(1815),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1816] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14046),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1816),
    [sym_block_comment] = STATE(1816),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3844),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1817] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1817),
    [sym_block_comment] = STATE(1817),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1818] = {
    [sym_inline_modifier] = STATE(2136),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13806),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1818),
    [sym_block_comment] = STATE(1818),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1819] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14054),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1819),
    [sym_block_comment] = STATE(1819),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1820] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1820),
    [sym_block_comment] = STATE(1820),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1821] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14018),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1821),
    [sym_block_comment] = STATE(1821),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3848),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1822] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14066),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1822),
    [sym_block_comment] = STATE(1822),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1823] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14146),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1823),
    [sym_block_comment] = STATE(1823),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1824] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14137),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1824),
    [sym_block_comment] = STATE(1824),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1825] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14073),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1825),
    [sym_block_comment] = STATE(1825),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3856),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1826] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14128),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1826),
    [sym_block_comment] = STATE(1826),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3858),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1827] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13806),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1827),
    [sym_block_comment] = STATE(1827),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_match] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1828] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14122),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_binding] = STATE(14868),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(7210),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1828),
    [sym_block_comment] = STATE(1828),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3860),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1829] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17677),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1829),
    [sym_block_comment] = STATE(1829),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1830] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17347),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1830),
    [sym_block_comment] = STATE(1830),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1831] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16923),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1831),
    [sym_block_comment] = STATE(1831),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1832] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17519),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1832),
    [sym_block_comment] = STATE(1832),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1833] = {
    [sym_inline_modifier] = STATE(2256),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12854),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1833),
    [sym_block_comment] = STATE(1833),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_yield] = ACTIONS(3862),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1834] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17872),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1834),
    [sym_block_comment] = STATE(1834),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1835] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16514),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1835),
    [sym_block_comment] = STATE(1835),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1836] = {
    [sym_inline_modifier] = STATE(2231),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13023),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1836),
    [sym_block_comment] = STATE(1836),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3864),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1837] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16879),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1837),
    [sym_block_comment] = STATE(1837),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1838] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17548),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1838),
    [sym_block_comment] = STATE(1838),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1839] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12294),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1839),
    [sym_block_comment] = STATE(1839),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(3866),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1840] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17326),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1840),
    [sym_block_comment] = STATE(1840),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1841] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16961),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1841),
    [sym_block_comment] = STATE(1841),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1842] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1842),
    [sym_block_comment] = STATE(1842),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3868),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1843] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16783),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1843),
    [sym_block_comment] = STATE(1843),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1844] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17505),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1844),
    [sym_block_comment] = STATE(1844),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1845] = {
    [sym_inline_modifier] = STATE(2315),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12854),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1845),
    [sym_block_comment] = STATE(1845),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_yield] = ACTIONS(3870),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1846] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17849),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1846),
    [sym_block_comment] = STATE(1846),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1847] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17084),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1847),
    [sym_block_comment] = STATE(1847),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1848] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17711),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1848),
    [sym_block_comment] = STATE(1848),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1849] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17130),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1849),
    [sym_block_comment] = STATE(1849),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1850] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(13751),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1850),
    [sym_block_comment] = STATE(1850),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_yield] = ACTIONS(3872),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [1851] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13023),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1851),
    [sym_block_comment] = STATE(1851),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3874),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1852] = {
    [sym_inline_modifier] = STATE(2251),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12272),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1852),
    [sym_block_comment] = STATE(1852),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_yield] = ACTIONS(3876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1853] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16937),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1853),
    [sym_block_comment] = STATE(1853),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1854] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17426),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1854),
    [sym_block_comment] = STATE(1854),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1855] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12134),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1855),
    [sym_block_comment] = STATE(1855),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(3878),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1856] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17331),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1856),
    [sym_block_comment] = STATE(1856),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1857] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17161),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1857),
    [sym_block_comment] = STATE(1857),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1858] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16383),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1858),
    [sym_block_comment] = STATE(1858),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1859] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17547),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1859),
    [sym_block_comment] = STATE(1859),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1860] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17143),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1860),
    [sym_block_comment] = STATE(1860),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1861] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17598),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1861),
    [sym_block_comment] = STATE(1861),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1862] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17293),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1862),
    [sym_block_comment] = STATE(1862),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1863] = {
    [sym_inline_modifier] = STATE(2326),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12294),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1863),
    [sym_block_comment] = STATE(1863),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(3880),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1864] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17833),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1864),
    [sym_block_comment] = STATE(1864),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1865] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17264),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1865),
    [sym_block_comment] = STATE(1865),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1866] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17197),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1866),
    [sym_block_comment] = STATE(1866),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1867] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1867),
    [sym_block_comment] = STATE(1867),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3882),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1868] = {
    [sym_inline_modifier] = STATE(2163),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12272),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1868),
    [sym_block_comment] = STATE(1868),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_yield] = ACTIONS(3884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1869] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17838),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1869),
    [sym_block_comment] = STATE(1869),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1870] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12134),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1870),
    [sym_block_comment] = STATE(1870),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(3886),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1871] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17160),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1871),
    [sym_block_comment] = STATE(1871),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1872] = {
    [sym_inline_modifier] = STATE(2161),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13301),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1872),
    [sym_block_comment] = STATE(1872),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_yield] = ACTIONS(3888),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1873] = {
    [sym_inline_modifier] = STATE(2332),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11812),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1873),
    [sym_block_comment] = STATE(1873),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_yield] = ACTIONS(3890),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1874] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17204),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1874),
    [sym_block_comment] = STATE(1874),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1875] = {
    [sym_inline_modifier] = STATE(2048),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14094),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1875),
    [sym_block_comment] = STATE(1875),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1876] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17700),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1876),
    [sym_block_comment] = STATE(1876),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1877] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17497),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1877),
    [sym_block_comment] = STATE(1877),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1878] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1878),
    [sym_block_comment] = STATE(1878),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1879] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1879),
    [sym_block_comment] = STATE(1879),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1880] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13245),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1880),
    [sym_block_comment] = STATE(1880),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_yield] = ACTIONS(3898),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1881] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17302),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1881),
    [sym_block_comment] = STATE(1881),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1882] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13094),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1882),
    [sym_block_comment] = STATE(1882),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_yield] = ACTIONS(3900),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1883] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17817),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1883),
    [sym_block_comment] = STATE(1883),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1884] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17446),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1884),
    [sym_block_comment] = STATE(1884),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1885] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17604),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1885),
    [sym_block_comment] = STATE(1885),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1886] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16861),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1886),
    [sym_block_comment] = STATE(1886),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1887] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1887),
    [sym_block_comment] = STATE(1887),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3902),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1888] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17744),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1888),
    [sym_block_comment] = STATE(1888),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1889] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17144),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1889),
    [sym_block_comment] = STATE(1889),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1890] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13023),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1890),
    [sym_block_comment] = STATE(1890),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1891] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17761),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1891),
    [sym_block_comment] = STATE(1891),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1892] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1892),
    [sym_block_comment] = STATE(1892),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3906),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1893] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17343),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1893),
    [sym_block_comment] = STATE(1893),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1894] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13245),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1894),
    [sym_block_comment] = STATE(1894),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_yield] = ACTIONS(3908),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1895] = {
    [sym_inline_modifier] = STATE(2309),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(13687),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1895),
    [sym_block_comment] = STATE(1895),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(3910),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [1896] = {
    [sym_inline_modifier] = STATE(2224),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13245),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(1896),
    [sym_block_comment] = STATE(1896),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_yield] = ACTIONS(3912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [1897] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1897),
    [sym_block_comment] = STATE(1897),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3914),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1898] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17725),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1898),
    [sym_block_comment] = STATE(1898),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1899] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13301),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(1899),
    [sym_block_comment] = STATE(1899),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_yield] = ACTIONS(3916),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1900] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12854),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(1900),
    [sym_block_comment] = STATE(1900),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_yield] = ACTIONS(3918),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [1901] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17457),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1901),
    [sym_block_comment] = STATE(1901),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1902] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17707),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1902),
    [sym_block_comment] = STATE(1902),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1903] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12585),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1903),
    [sym_block_comment] = STATE(1903),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_yield] = ACTIONS(3920),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1904] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16866),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1904),
    [sym_block_comment] = STATE(1904),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1905] = {
    [sym_inline_modifier] = STATE(2107),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13183),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(1905),
    [sym_block_comment] = STATE(1905),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(3922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [1906] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17669),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1906),
    [sym_block_comment] = STATE(1906),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1907] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17342),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1907),
    [sym_block_comment] = STATE(1907),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1908] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1908),
    [sym_block_comment] = STATE(1908),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3924),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1909] = {
    [sym_inline_modifier] = STATE(2307),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1909),
    [sym_block_comment] = STATE(1909),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_yield] = ACTIONS(3926),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1910] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17691),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1910),
    [sym_block_comment] = STATE(1910),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1911] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16900),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1911),
    [sym_block_comment] = STATE(1911),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1912] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17022),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1912),
    [sym_block_comment] = STATE(1912),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1913] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16635),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1913),
    [sym_block_comment] = STATE(1913),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1914] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1914),
    [sym_block_comment] = STATE(1914),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3928),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1915] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17560),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1915),
    [sym_block_comment] = STATE(1915),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1916] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17503),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1916),
    [sym_block_comment] = STATE(1916),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1917] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17734),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1917),
    [sym_block_comment] = STATE(1917),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1918] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17260),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1918),
    [sym_block_comment] = STATE(1918),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1919] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1919),
    [sym_block_comment] = STATE(1919),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3930),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1920] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13656),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1920),
    [sym_block_comment] = STATE(1920),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(3932),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1921] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17209),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1921),
    [sym_block_comment] = STATE(1921),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1922] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16810),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1922),
    [sym_block_comment] = STATE(1922),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1923] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12974),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1923),
    [sym_block_comment] = STATE(1923),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_yield] = ACTIONS(3934),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1924] = {
    [sym_inline_modifier] = STATE(2094),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12974),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(1924),
    [sym_block_comment] = STATE(1924),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_yield] = ACTIONS(3936),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1925] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17402),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1925),
    [sym_block_comment] = STATE(1925),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1926] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17441),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1926),
    [sym_block_comment] = STATE(1926),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1927] = {
    [sym_inline_modifier] = STATE(2185),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12294),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1927),
    [sym_block_comment] = STATE(1927),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(3938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1928] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17158),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1928),
    [sym_block_comment] = STATE(1928),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1929] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16237),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1929),
    [sym_block_comment] = STATE(1929),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1930] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1930),
    [sym_block_comment] = STATE(1930),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3940),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1931] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17839),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1931),
    [sym_block_comment] = STATE(1931),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1932] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16502),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1932),
    [sym_block_comment] = STATE(1932),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1933] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16449),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1933),
    [sym_block_comment] = STATE(1933),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1934] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16990),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1934),
    [sym_block_comment] = STATE(1934),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1935] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16738),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1935),
    [sym_block_comment] = STATE(1935),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1936] = {
    [sym_inline_modifier] = STATE(2093),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(1936),
    [sym_block_comment] = STATE(1936),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [1937] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17651),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1937),
    [sym_block_comment] = STATE(1937),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1938] = {
    [sym_inline_modifier] = STATE(2295),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13615),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1938),
    [sym_block_comment] = STATE(1938),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(3944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1939] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17381),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1939),
    [sym_block_comment] = STATE(1939),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1940] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17055),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1940),
    [sym_block_comment] = STATE(1940),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1941] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1941),
    [sym_block_comment] = STATE(1941),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3946),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1942] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17413),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1942),
    [sym_block_comment] = STATE(1942),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1943] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17652),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1943),
    [sym_block_comment] = STATE(1943),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1944] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(14007),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1944),
    [sym_block_comment] = STATE(1944),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_yield] = ACTIONS(3948),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [1945] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11554),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(1945),
    [sym_block_comment] = STATE(1945),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(3950),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1946] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17756),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1946),
    [sym_block_comment] = STATE(1946),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1947] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17488),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1947),
    [sym_block_comment] = STATE(1947),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1948] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17639),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1948),
    [sym_block_comment] = STATE(1948),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1949] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16681),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1949),
    [sym_block_comment] = STATE(1949),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1950] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16873),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1950),
    [sym_block_comment] = STATE(1950),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1951] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1951),
    [sym_block_comment] = STATE(1951),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3952),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1952] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17173),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1952),
    [sym_block_comment] = STATE(1952),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1953] = {
    [sym_inline_modifier] = STATE(2075),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12272),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(1953),
    [sym_block_comment] = STATE(1953),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_yield] = ACTIONS(3954),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1954] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16897),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1954),
    [sym_block_comment] = STATE(1954),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1955] = {
    [sym_inline_modifier] = STATE(2213),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13615),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(1955),
    [sym_block_comment] = STATE(1955),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(3956),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [1956] = {
    [sym_inline_modifier] = STATE(2292),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12585),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(1956),
    [sym_block_comment] = STATE(1956),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_yield] = ACTIONS(3958),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1957] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16875),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1957),
    [sym_block_comment] = STATE(1957),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1958] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17077),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1958),
    [sym_block_comment] = STATE(1958),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1959] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1959),
    [sym_block_comment] = STATE(1959),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3960),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1960] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1960),
    [sym_block_comment] = STATE(1960),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3962),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1961] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17476),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1961),
    [sym_block_comment] = STATE(1961),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1962] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16790),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1962),
    [sym_block_comment] = STATE(1962),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1963] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16636),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1963),
    [sym_block_comment] = STATE(1963),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1964] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17052),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1964),
    [sym_block_comment] = STATE(1964),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1965] = {
    [sym_inline_modifier] = STATE(2277),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11812),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(1965),
    [sym_block_comment] = STATE(1965),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_yield] = ACTIONS(3964),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1966] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16713),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1966),
    [sym_block_comment] = STATE(1966),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1967] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17277),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1967),
    [sym_block_comment] = STATE(1967),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1968] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17218),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1968),
    [sym_block_comment] = STATE(1968),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1969] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17003),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1969),
    [sym_block_comment] = STATE(1969),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1970] = {
    [sym_inline_modifier] = STATE(2069),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12134),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(1970),
    [sym_block_comment] = STATE(1970),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(3966),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1971] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1971),
    [sym_block_comment] = STATE(1971),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3968),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1972] = {
    [sym_inline_modifier] = STATE(2227),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13523),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(1972),
    [sym_block_comment] = STATE(1972),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_yield] = ACTIONS(3970),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [1973] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17573),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1973),
    [sym_block_comment] = STATE(1973),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1974] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1974),
    [sym_block_comment] = STATE(1974),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3972),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1975] = {
    [sym_inline_modifier] = STATE(2198),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13094),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(1975),
    [sym_block_comment] = STATE(1975),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_yield] = ACTIONS(3974),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1976] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17460),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1976),
    [sym_block_comment] = STATE(1976),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1977] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17363),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1977),
    [sym_block_comment] = STATE(1977),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1978] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16614),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1978),
    [sym_block_comment] = STATE(1978),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1979] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16554),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1979),
    [sym_block_comment] = STATE(1979),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1980] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16910),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1980),
    [sym_block_comment] = STATE(1980),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1981] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17314),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1981),
    [sym_block_comment] = STATE(1981),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1982] = {
    [sym_inline_modifier] = STATE(2275),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13023),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(1982),
    [sym_block_comment] = STATE(1982),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3976),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1983] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1983),
    [sym_block_comment] = STATE(1983),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3978),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1984] = {
    [sym_inline_modifier] = STATE(2158),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(14006),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(1984),
    [sym_block_comment] = STATE(1984),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(3980),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1985] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17108),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1985),
    [sym_block_comment] = STATE(1985),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1986] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16276),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1986),
    [sym_block_comment] = STATE(1986),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1987] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1987),
    [sym_block_comment] = STATE(1987),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3982),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1988] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16530),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1988),
    [sym_block_comment] = STATE(1988),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1989] = {
    [sym_inline_modifier] = STATE(2131),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13713),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1989),
    [sym_block_comment] = STATE(1989),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3984),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1990] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16491),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1990),
    [sym_block_comment] = STATE(1990),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1991] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1991),
    [sym_block_comment] = STATE(1991),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3986),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1992] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1992),
    [sym_block_comment] = STATE(1992),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3988),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1993] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1993),
    [sym_block_comment] = STATE(1993),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3990),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1994] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17621),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1994),
    [sym_block_comment] = STATE(1994),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1995] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16792),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1995),
    [sym_block_comment] = STATE(1995),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1996] = {
    [sym_inline_modifier] = STATE(2241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13713),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1996),
    [sym_block_comment] = STATE(1996),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3992),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1997] = {
    [sym_inline_modifier] = STATE(2297),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13713),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(1997),
    [sym_block_comment] = STATE(1997),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1998] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16353),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1998),
    [sym_block_comment] = STATE(1998),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1999] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16893),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(1999),
    [sym_block_comment] = STATE(1999),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2000] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17068),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2000),
    [sym_block_comment] = STATE(2000),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2001] = {
    [sym_inline_modifier] = STATE(2211),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13612),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2001),
    [sym_block_comment] = STATE(2001),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(3996),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [2002] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17234),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2002),
    [sym_block_comment] = STATE(2002),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2003] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2003),
    [sym_block_comment] = STATE(2003),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3998),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2004] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16438),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2004),
    [sym_block_comment] = STATE(2004),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2005] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13656),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2005),
    [sym_block_comment] = STATE(2005),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(4000),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2006] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16255),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2006),
    [sym_block_comment] = STATE(2006),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2007] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13615),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2007),
    [sym_block_comment] = STATE(2007),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(4002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2008] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2008),
    [sym_block_comment] = STATE(2008),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4004),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2009] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2009),
    [sym_block_comment] = STATE(2009),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2010] = {
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13301),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2010),
    [sym_block_comment] = STATE(2010),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_yield] = ACTIONS(4008),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2011] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17665),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2011),
    [sym_block_comment] = STATE(2011),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2012] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16180),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2012),
    [sym_block_comment] = STATE(2012),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2013] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17585),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2013),
    [sym_block_comment] = STATE(2013),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2014] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11554),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2014),
    [sym_block_comment] = STATE(2014),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(4010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2015] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17041),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2015),
    [sym_block_comment] = STATE(2015),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2016] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16176),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2016),
    [sym_block_comment] = STATE(2016),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2017] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17122),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2017),
    [sym_block_comment] = STATE(2017),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2018] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2018),
    [sym_block_comment] = STATE(2018),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4012),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2019] = {
    [sym_inline_modifier] = STATE(2244),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11554),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2019),
    [sym_block_comment] = STATE(2019),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(4014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2020] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17254),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2020),
    [sym_block_comment] = STATE(2020),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2021] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16234),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2021),
    [sym_block_comment] = STATE(2021),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2022] = {
    [sym_inline_modifier] = STATE(2267),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12585),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2022),
    [sym_block_comment] = STATE(2022),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_yield] = ACTIONS(4016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2023] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16279),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2023),
    [sym_block_comment] = STATE(2023),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2024] = {
    [sym_inline_modifier] = STATE(2041),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13183),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(2024),
    [sym_block_comment] = STATE(2024),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(4018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2025] = {
    [sym_inline_modifier] = STATE(2136),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13656),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2025),
    [sym_block_comment] = STATE(2025),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(4020),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2026] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17428),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2026),
    [sym_block_comment] = STATE(2026),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2027] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17495),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2027),
    [sym_block_comment] = STATE(2027),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2028] = {
    [sym_inline_modifier] = STATE(2092),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11812),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2028),
    [sym_block_comment] = STATE(2028),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_yield] = ACTIONS(4022),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2029] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2029),
    [sym_block_comment] = STATE(2029),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4024),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2030] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(16324),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2030),
    [sym_block_comment] = STATE(2030),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2031] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17602),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2031),
    [sym_block_comment] = STATE(2031),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2032] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13523),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(2032),
    [sym_block_comment] = STATE(2032),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_yield] = ACTIONS(4026),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [2033] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14028),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym__exprs_in_parens] = STATE(17392),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2033),
    [sym_block_comment] = STATE(2033),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2034] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12978),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2034),
    [sym_block_comment] = STATE(2034),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2035] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(15338),
    [sym__simple_expression] = STATE(5452),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16340),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4689),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7263),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2035),
    [sym_block_comment] = STATE(2035),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2036] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13274),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2036),
    [sym_block_comment] = STATE(2036),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2037] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(11922),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2037),
    [sym_block_comment] = STATE(2037),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2038] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(14761),
    [sym__simple_expression] = STATE(4570),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(8317),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16447),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7946),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4418),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(5719),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2038),
    [sym_block_comment] = STATE(2038),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2039] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(15244),
    [sym__simple_expression] = STATE(7355),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16384),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5569),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2039),
    [sym_block_comment] = STATE(2039),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [2040] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(15417),
    [sym__simple_expression] = STATE(4863),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16631),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4521),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6389),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2040),
    [sym_block_comment] = STATE(2040),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2041] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15021),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2041),
    [sym_block_comment] = STATE(2041),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4028),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2042] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(15338),
    [sym__simple_expression] = STATE(5449),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9422),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16340),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9102),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4689),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7263),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2042),
    [sym_block_comment] = STATE(2042),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2043] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14432),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2043),
    [sym_block_comment] = STATE(2043),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2044] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11552),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2044),
    [sym_block_comment] = STATE(2044),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2045] = {
    [sym_inline_modifier] = STATE(2309),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(13678),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2045),
    [sym_block_comment] = STATE(2045),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [2046] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13260),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2046),
    [sym_block_comment] = STATE(2046),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2047] = {
    [sym_inline_modifier] = STATE(2211),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13603),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2047),
    [sym_block_comment] = STATE(2047),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [2048] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2048),
    [sym_block_comment] = STATE(2048),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2049] = {
    [sym_inline_modifier] = STATE(2211),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13385),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2049),
    [sym_block_comment] = STATE(2049),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [2050] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15378),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2050),
    [sym_block_comment] = STATE(2050),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4030),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2051] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14522),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2051),
    [sym_block_comment] = STATE(2051),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2052] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(15541),
    [sym__simple_expression] = STATE(4708),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16200),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4426),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(5619),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2052),
    [sym_block_comment] = STATE(2052),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2053] = {
    [sym_inline_modifier] = STATE(2136),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13789),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2053),
    [sym_block_comment] = STATE(2053),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2054] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12976),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(2054),
    [sym_block_comment] = STATE(2054),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2055] = {
    [sym_inline_modifier] = STATE(2041),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13098),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(2055),
    [sym_block_comment] = STATE(2055),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2056] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14667),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2056),
    [sym_block_comment] = STATE(2056),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2057] = {
    [sym_inline_modifier] = STATE(2224),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13221),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(2057),
    [sym_block_comment] = STATE(2057),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2058] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14422),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2058),
    [sym_block_comment] = STATE(2058),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2059] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(14831),
    [sym__simple_expression] = STATE(6559),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10441),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16671),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10088),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5100),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2059),
    [sym_block_comment] = STATE(2059),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(1712),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [2060] = {
    [sym_inline_modifier] = STATE(2161),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2060),
    [sym_block_comment] = STATE(2060),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2061] = {
    [sym_inline_modifier] = STATE(2224),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13275),
    [sym__simple_expression] = STATE(8051),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16047),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10620),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6374),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9344),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(2061),
    [sym_block_comment] = STATE(2061),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3294),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2062] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(15012),
    [sym__simple_expression] = STATE(4391),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16426),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4255),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(4793),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2062),
    [sym_block_comment] = STATE(2062),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2063] = {
    [sym_inline_modifier] = STATE(2198),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13069),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(2063),
    [sym_block_comment] = STATE(2063),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2064] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(15830),
    [sym__simple_expression] = STATE(4608),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(8603),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16468),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7668),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4428),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(5796),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2064),
    [sym_block_comment] = STATE(2064),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2065] = {
    [sym_inline_modifier] = STATE(2267),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12432),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2065),
    [sym_block_comment] = STATE(2065),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2066] = {
    [sym_inline_modifier] = STATE(2136),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13809),
    [sym__simple_expression] = STATE(9165),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15969),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(11001),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8017),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10156),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2066),
    [sym_block_comment] = STATE(2066),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3280),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2067] = {
    [sym_inline_modifier] = STATE(2069),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(11922),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2067),
    [sym_block_comment] = STATE(2067),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2068] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14455),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2068),
    [sym_block_comment] = STATE(2068),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2069] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15262),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2069),
    [sym_block_comment] = STATE(2069),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4032),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2070] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(6438),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10414),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16454),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5424),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8484),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2070),
    [sym_block_comment] = STATE(2070),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1532),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [2071] = {
    [sym_inline_modifier] = STATE(2198),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13139),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(2071),
    [sym_block_comment] = STATE(2071),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2072] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13569),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2072),
    [sym_block_comment] = STATE(2072),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2073] = {
    [sym_inline_modifier] = STATE(2295),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13629),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2073),
    [sym_block_comment] = STATE(2073),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2074] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16454),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5424),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8484),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2074),
    [sym_block_comment] = STATE(2074),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1532),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [2075] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15805),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2075),
    [sym_block_comment] = STATE(2075),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4034),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2076] = {
    [sym_inline_modifier] = STATE(2231),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12842),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2076),
    [sym_block_comment] = STATE(2076),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2077] = {
    [sym_inline_modifier] = STATE(2332),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11814),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2077),
    [sym_block_comment] = STATE(2077),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2078] = {
    [sym_inline_modifier] = STATE(2094),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12976),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(2078),
    [sym_block_comment] = STATE(2078),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2079] = {
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13260),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2079),
    [sym_block_comment] = STATE(2079),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2080] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14650),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2080),
    [sym_block_comment] = STATE(2080),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2081] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15772),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2081),
    [sym_block_comment] = STATE(2081),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4036),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2082] = {
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2082),
    [sym_block_comment] = STATE(2082),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2083] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13107),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(2083),
    [sym_block_comment] = STATE(2083),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2084] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(14761),
    [sym__simple_expression] = STATE(4607),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16447),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4418),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(5719),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2084),
    [sym_block_comment] = STATE(2084),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2085] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(15081),
    [sym__simple_expression] = STATE(5979),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9938),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16489),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9479),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(7641),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2085),
    [sym_block_comment] = STATE(2085),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(1854),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2086] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13392),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(2086),
    [sym_block_comment] = STATE(2086),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [2087] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14444),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2087),
    [sym_block_comment] = STATE(2087),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2088] = {
    [sym_inline_modifier] = STATE(2231),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12891),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2088),
    [sym_block_comment] = STATE(2088),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2089] = {
    [sym_inline_modifier] = STATE(2048),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14092),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2089),
    [sym_block_comment] = STATE(2089),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2090] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15509),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2090),
    [sym_block_comment] = STATE(2090),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4038),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2091] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13326),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2091),
    [sym_block_comment] = STATE(2091),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2092] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15509),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2092),
    [sym_block_comment] = STATE(2092),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4040),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2093] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15413),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2093),
    [sym_block_comment] = STATE(2093),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2094] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15556),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2094),
    [sym_block_comment] = STATE(2094),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4044),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2095] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14308),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2095),
    [sym_block_comment] = STATE(2095),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2096] = {
    [sym_inline_modifier] = STATE(2231),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12978),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2096),
    [sym_block_comment] = STATE(2096),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2097] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14538),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2097),
    [sym_block_comment] = STATE(2097),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2098] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2098),
    [sym_block_comment] = STATE(2098),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2099] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(7194),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10452),
    [sym_postfix_expression] = STATE(13899),
    [sym__postfix_expression_choice] = STATE(14315),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2099),
    [sym_block_comment] = STATE(2099),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2100] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14479),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2100),
    [sym_block_comment] = STATE(2100),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2101] = {
    [sym_inline_modifier] = STATE(2131),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2101),
    [sym_block_comment] = STATE(2101),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2102] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14464),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2102),
    [sym_block_comment] = STATE(2102),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2103] = {
    [sym_inline_modifier] = STATE(2292),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12215),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2103),
    [sym_block_comment] = STATE(2103),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2104] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(11922),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2104),
    [sym_block_comment] = STATE(2104),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2105] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(15830),
    [sym__simple_expression] = STATE(4668),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16468),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4428),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(5796),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2105),
    [sym_block_comment] = STATE(2105),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2106] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13560),
    [sym__simple_expression] = STATE(6551),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15951),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9769),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5301),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8642),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(2106),
    [sym_block_comment] = STATE(2106),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(1928),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [2107] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15021),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2107),
    [sym_block_comment] = STATE(2107),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4046),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2108] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(7134),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10590),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2108),
    [sym_block_comment] = STATE(2108),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2109] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14602),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2109),
    [sym_block_comment] = STATE(2109),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2110] = {
    [sym_inline_modifier] = STATE(2277),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11814),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2110),
    [sym_block_comment] = STATE(2110),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2111] = {
    [sym_inline_modifier] = STATE(2131),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13700),
    [sym__simple_expression] = STATE(7481),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15936),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10578),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(6516),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9631),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2111),
    [sym_block_comment] = STATE(2111),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2112] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9666),
    [sym_postfix_expression] = STATE(13178),
    [sym__postfix_expression_choice] = STATE(13779),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8892),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2112),
    [sym_block_comment] = STATE(2112),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2113] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14547),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2113),
    [sym_block_comment] = STATE(2113),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2114] = {
    [sym_inline_modifier] = STATE(2315),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12754),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2114),
    [sym_block_comment] = STATE(2114),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2115] = {
    [sym_inline_modifier] = STATE(2075),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12328),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2115),
    [sym_block_comment] = STATE(2115),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2116] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12139),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2116),
    [sym_block_comment] = STATE(2116),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2117] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(15081),
    [sym__simple_expression] = STATE(5855),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16489),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(7641),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2117),
    [sym_block_comment] = STATE(2117),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(1854),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2118] = {
    [sym_inline_modifier] = STATE(2241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13714),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2118),
    [sym_block_comment] = STATE(2118),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2119] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(15781),
    [sym__simple_expression] = STATE(5845),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10039),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16510),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2119),
    [sym_block_comment] = STATE(2119),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1568),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [2120] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10935),
    [sym_expression] = STATE(15572),
    [sym__simple_expression] = STATE(9143),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10935),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10935),
    [sym_call_expression] = STATE(10935),
    [sym_field_expression] = STATE(10935),
    [sym_instance_expression] = STATE(10935),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16405),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(10935),
    [sym_parenthesized_expression] = STATE(10935),
    [sym_splice_expression] = STATE(10935),
    [sym_quote_expression] = STATE(10935),
    [sym_identifier] = STATE(8212),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10561),
    [sym__non_null_literal] = STATE(10935),
    [sym_boolean_literal] = STATE(10823),
    [sym_interpolated_string_expression] = STATE(10935),
    [sym_string] = STATE(10823),
    [sym_unit] = STATE(10935),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2120),
    [sym_block_comment] = STATE(2120),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3310),
    [sym_integer_literal] = ACTIONS(3312),
    [sym_floating_point_literal] = ACTIONS(3314),
    [anon_sym_true] = ACTIONS(3316),
    [anon_sym_false] = ACTIONS(3316),
    [sym_character_literal] = ACTIONS(3314),
    [sym_null_literal] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3320),
    [sym__simple_string] = ACTIONS(3320),
  },
  [2121] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14681),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2121),
    [sym_block_comment] = STATE(2121),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2122] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(15144),
    [sym__simple_expression] = STATE(4564),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(7674),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16377),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7278),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4297),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(5463),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2122),
    [sym_block_comment] = STATE(2122),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2123] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(15012),
    [sym__simple_expression] = STATE(4444),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(7174),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16426),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(6423),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4255),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(4793),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2123),
    [sym_block_comment] = STATE(2123),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2124] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13275),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(2124),
    [sym_block_comment] = STATE(2124),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2125] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14470),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2125),
    [sym_block_comment] = STATE(2125),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2126] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12150),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15883),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4641),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7192),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2126),
    [sym_block_comment] = STATE(2126),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1486),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1490),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2127] = {
    [sym_inline_modifier] = STATE(2163),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12328),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2127),
    [sym_block_comment] = STATE(2127),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2128] = {
    [sym_inline_modifier] = STATE(2241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13641),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2128),
    [sym_block_comment] = STATE(2128),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2129] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(13696),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2129),
    [sym_block_comment] = STATE(2129),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [2130] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15575),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2130),
    [sym_block_comment] = STATE(2130),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4048),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2131] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15630),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2131),
    [sym_block_comment] = STATE(2131),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2132] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14388),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2132),
    [sym_block_comment] = STATE(2132),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2133] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15096),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2133),
    [sym_block_comment] = STATE(2133),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4050),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2134] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14490),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2134),
    [sym_block_comment] = STATE(2134),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2135] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14480),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2135),
    [sym_block_comment] = STATE(2135),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2136] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15378),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2136),
    [sym_block_comment] = STATE(2136),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4052),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2137] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5531),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16363),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4761),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7615),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2137),
    [sym_block_comment] = STATE(2137),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1196),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [2138] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11552),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2138),
    [sym_block_comment] = STATE(2138),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2139] = {
    [sym_inline_modifier] = STATE(2307),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13432),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(2139),
    [sym_block_comment] = STATE(2139),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2140] = {
    [sym_inline_modifier] = STATE(2093),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13432),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(2140),
    [sym_block_comment] = STATE(2140),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2141] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13789),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2141),
    [sym_block_comment] = STATE(2141),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2142] = {
    [sym_inline_modifier] = STATE(2251),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12328),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2142),
    [sym_block_comment] = STATE(2142),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2143] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(13850),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2143),
    [sym_block_comment] = STATE(2143),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [2144] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14649),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2144),
    [sym_block_comment] = STATE(2144),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2145] = {
    [sym_inline_modifier] = STATE(2241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2145),
    [sym_block_comment] = STATE(2145),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2146] = {
    [sym_inline_modifier] = STATE(2198),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13107),
    [sym__simple_expression] = STATE(5519),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16139),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9712),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4868),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(8000),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(2146),
    [sym_block_comment] = STATE(2146),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2147] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13221),
    [sym__simple_expression] = STATE(6657),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16069),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(9777),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(5415),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(8349),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(2147),
    [sym_block_comment] = STATE(2147),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2148] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12978),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2148),
    [sym_block_comment] = STATE(2148),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2149] = {
    [sym_inline_modifier] = STATE(2267),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12215),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2149),
    [sym_block_comment] = STATE(2149),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2150] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(6521),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2150),
    [sym_block_comment] = STATE(2150),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2151] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14544),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2151),
    [sym_block_comment] = STATE(2151),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2152] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13809),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2152),
    [sym_block_comment] = STATE(2152),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2153] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(5045),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2153),
    [sym_block_comment] = STATE(2153),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2154] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(15417),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9098),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16631),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8304),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4521),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6389),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2154),
    [sym_block_comment] = STATE(2154),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2155] = {
    [sym_inline_modifier] = STATE(2041),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13296),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(2155),
    [sym_block_comment] = STATE(2155),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2156] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14879),
    [sym__simple_expression] = STATE(6345),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10395),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9802),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2156),
    [sym_block_comment] = STATE(2156),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2157] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14486),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2157),
    [sym_block_comment] = STATE(2157),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2158] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15671),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2158),
    [sym_block_comment] = STATE(2158),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4054),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2159] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14518),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2159),
    [sym_block_comment] = STATE(2159),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2160] = {
    [sym_inline_modifier] = STATE(2041),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13283),
    [sym__simple_expression] = STATE(5671),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(15948),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9332),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(8085),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(2160),
    [sym_block_comment] = STATE(2160),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1802),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2161] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15575),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2161),
    [sym_block_comment] = STATE(2161),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4056),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2162] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14879),
    [sym__simple_expression] = STATE(6346),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2162),
    [sym_block_comment] = STATE(2162),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2163] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15805),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2163),
    [sym_block_comment] = STATE(2163),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4058),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2164] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(15161),
    [sym__simple_expression] = STATE(5189),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16747),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(6819),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2164),
    [sym_block_comment] = STATE(2164),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1232),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2165] = {
    [sym_inline_modifier] = STATE(2161),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13274),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2165),
    [sym_block_comment] = STATE(2165),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2166] = {
    [sym_inline_modifier] = STATE(2107),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13098),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(2166),
    [sym_block_comment] = STATE(2166),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2167] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(14000),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2167),
    [sym_block_comment] = STATE(2167),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [2168] = {
    [sym_inline_modifier] = STATE(2158),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(13886),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2168),
    [sym_block_comment] = STATE(2168),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2169] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(13747),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2169),
    [sym_block_comment] = STATE(2169),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [2170] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(14855),
    [sym__simple_expression] = STATE(5533),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16651),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5029),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(7435),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2170),
    [sym_block_comment] = STATE(2170),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(1464),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2171] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14727),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2171),
    [sym_block_comment] = STATE(2171),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2172] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(13987),
    [sym__simple_expression] = STATE(7100),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(15968),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(10482),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16153),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10353),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5881),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8722),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2172),
    [sym_block_comment] = STATE(2172),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2222),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [2173] = {
    [sym_inline_modifier] = STATE(2241),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13700),
    [sym__simple_expression] = STATE(7179),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(15884),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10577),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10306),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5658),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9127),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2173),
    [sym_block_comment] = STATE(2173),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2174] = {
    [sym_inline_modifier] = STATE(2069),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12139),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2174),
    [sym_block_comment] = STATE(2174),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2175] = {
    [sym_inline_modifier] = STATE(2075),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12275),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2175),
    [sym_block_comment] = STATE(2175),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2176] = {
    [sym_inline_modifier] = STATE(2069),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12150),
    [sym__simple_expression] = STATE(5303),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(16002),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9261),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4593),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7151),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2176),
    [sym_block_comment] = STATE(2176),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1914),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2177] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(14932),
    [sym__simple_expression] = STATE(4471),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(7702),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(6892),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4321),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(5123),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2177),
    [sym_block_comment] = STATE(2177),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2178] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15575),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2178),
    [sym_block_comment] = STATE(2178),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4060),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2179] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15772),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2179),
    [sym_block_comment] = STATE(2179),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4062),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2180] = {
    [sym_inline_modifier] = STATE(2275),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12891),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2180),
    [sym_block_comment] = STATE(2180),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2181] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15671),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2181),
    [sym_block_comment] = STATE(2181),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4064),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2182] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(15144),
    [sym__simple_expression] = STATE(4558),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16377),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4297),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(5463),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2182),
    [sym_block_comment] = STATE(2182),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2183] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14563),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2183),
    [sym_block_comment] = STATE(2183),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2184] = {
    [sym_inline_modifier] = STATE(2075),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12278),
    [sym__simple_expression] = STATE(5651),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16089),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9407),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4824),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(7931),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2184),
    [sym_block_comment] = STATE(2184),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1768),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2185] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15671),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2185),
    [sym_block_comment] = STATE(2185),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4066),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2186] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(7323),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10602),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10277),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2186),
    [sym_block_comment] = STATE(2186),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2187] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11581),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2187),
    [sym_block_comment] = STATE(2187),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2188] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11601),
    [sym__simple_expression] = STATE(4828),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16143),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8332),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4528),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2188),
    [sym_block_comment] = STATE(2188),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1254),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2189] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14577),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2189),
    [sym_block_comment] = STATE(2189),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2190] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15705),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2190),
    [sym_block_comment] = STATE(2190),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4068),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2191] = {
    [sym_inline_modifier] = STATE(2093),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13467),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(2191),
    [sym_block_comment] = STATE(2191),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2192] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14594),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2192),
    [sym_block_comment] = STATE(2192),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2193] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(15047),
    [sym__simple_expression] = STATE(5041),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16709),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(4497),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(6653),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2193),
    [sym_block_comment] = STATE(2193),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1358),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2194] = {
    [sym_inline_modifier] = STATE(2275),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12978),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2194),
    [sym_block_comment] = STATE(2194),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2195] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15262),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2195),
    [sym_block_comment] = STATE(2195),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4070),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2196] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13221),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(2196),
    [sym_block_comment] = STATE(2196),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2197] = {
    [sym_inline_modifier] = STATE(2093),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13556),
    [sym__simple_expression] = STATE(6403),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16116),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(9791),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5307),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8136),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(2197),
    [sym_block_comment] = STATE(2197),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2198),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2198] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15739),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2198),
    [sym_block_comment] = STATE(2198),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4072),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2199] = {
    [sym_inline_modifier] = STATE(2267),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12591),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(15933),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9806),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8143),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2199),
    [sym_block_comment] = STATE(2199),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2200] = {
    [sym_inline_modifier] = STATE(2297),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13700),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2200),
    [sym_block_comment] = STATE(2200),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2201] = {
    [sym_inline_modifier] = STATE(2277),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11907),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2201),
    [sym_block_comment] = STATE(2201),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2202] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14625),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2202),
    [sym_block_comment] = STATE(2202),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2203] = {
    [sym_inline_modifier] = STATE(2094),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(2203),
    [sym_block_comment] = STATE(2203),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2204] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10935),
    [sym_expression] = STATE(15572),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10935),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10935),
    [sym_call_expression] = STATE(10935),
    [sym_field_expression] = STATE(10935),
    [sym_instance_expression] = STATE(10935),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(11437),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16041),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10980),
    [sym_tuple_expression] = STATE(10935),
    [sym_parenthesized_expression] = STATE(10935),
    [sym_splice_expression] = STATE(10935),
    [sym_quote_expression] = STATE(10935),
    [sym_identifier] = STATE(8212),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10561),
    [sym__non_null_literal] = STATE(10935),
    [sym_boolean_literal] = STATE(10823),
    [sym_interpolated_string_expression] = STATE(10935),
    [sym_string] = STATE(10823),
    [sym_unit] = STATE(10935),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2204),
    [sym_block_comment] = STATE(2204),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_DOLLAR] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3310),
    [sym_integer_literal] = ACTIONS(3312),
    [sym_floating_point_literal] = ACTIONS(3314),
    [anon_sym_true] = ACTIONS(3316),
    [anon_sym_false] = ACTIONS(3316),
    [sym_character_literal] = ACTIONS(3314),
    [sym_null_literal] = ACTIONS(3318),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3320),
    [sym__simple_string] = ACTIONS(3320),
  },
  [2205] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(13275),
    [sym__simple_expression] = STATE(7961),
    [sym_lambda_expression] = STATE(13511),
    [sym_if_expression] = STATE(13511),
    [sym_match_expression] = STATE(13511),
    [sym_try_expression] = STATE(13511),
    [sym_bindings] = STATE(16109),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13511),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13511),
    [sym_infix_expression] = STATE(9387),
    [sym_postfix_expression] = STATE(13195),
    [sym__postfix_expression_choice] = STATE(16354),
    [sym_macro_body] = STATE(13511),
    [sym_prefix_expression] = STATE(10480),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(6429),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13511),
    [sym_throw_expression] = STATE(13511),
    [sym_while_expression] = STATE(13511),
    [sym_do_while_expression] = STATE(13511),
    [sym_for_expression] = STATE(13511),
    [sym_comment] = STATE(2205),
    [sym_block_comment] = STATE(2205),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2206] = {
    [sym_inline_modifier] = STATE(2277),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11862),
    [sym__simple_expression] = STATE(5288),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15954),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4586),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7126),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2206),
    [sym_block_comment] = STATE(2206),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2207] = {
    [sym_inline_modifier] = STATE(2275),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12842),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2207),
    [sym_block_comment] = STATE(2207),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2208] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2208),
    [sym_block_comment] = STATE(2208),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2209] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14632),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2209),
    [sym_block_comment] = STATE(2209),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2210] = {
    [sym_inline_modifier] = STATE(2094),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12761),
    [sym__simple_expression] = STATE(5298),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(9260),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4592),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(7150),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(2210),
    [sym_block_comment] = STATE(2210),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(1494),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1502),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2211] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15772),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2211),
    [sym_block_comment] = STATE(2211),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4074),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2212] = {
    [sym_inline_modifier] = STATE(2211),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13352),
    [sym__simple_expression] = STATE(5580),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15870),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(10083),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16205),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9572),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4981),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7399),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2212),
    [sym_block_comment] = STATE(2212),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1382),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [2213] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15801),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2213),
    [sym_block_comment] = STATE(2213),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4076),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2214] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10073),
    [sym_expression] = STATE(15244),
    [sym__simple_expression] = STATE(7347),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10073),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10073),
    [sym_call_expression] = STATE(10073),
    [sym_field_expression] = STATE(10073),
    [sym_instance_expression] = STATE(10073),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10529),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16384),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10147),
    [sym_tuple_expression] = STATE(10073),
    [sym_parenthesized_expression] = STATE(10073),
    [sym_splice_expression] = STATE(10073),
    [sym_quote_expression] = STATE(10073),
    [sym_identifier] = STATE(5569),
    [sym__soft_identifier] = STATE(4688),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(10073),
    [sym_boolean_literal] = STATE(10055),
    [sym_interpolated_string_expression] = STATE(10073),
    [sym_string] = STATE(10055),
    [sym_unit] = STATE(10073),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2214),
    [sym_block_comment] = STATE(2214),
    [sym__alpha_identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_end] = ACTIONS(2042),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2044),
    [anon_sym_opaque] = ACTIONS(2042),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2046),
    [anon_sym_infix] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2042),
    [anon_sym_transparent] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym__backquoted_id] = ACTIONS(2054),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(2058),
    [sym_floating_point_literal] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2062),
    [anon_sym_false] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2060),
    [sym_null_literal] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2066),
    [sym__simple_string] = ACTIONS(2066),
  },
  [2215] = {
    [sym_inline_modifier] = STATE(2297),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(7133),
    [sym_lambda_expression] = STATE(13836),
    [sym_if_expression] = STATE(13836),
    [sym_match_expression] = STATE(13836),
    [sym_try_expression] = STATE(13836),
    [sym_bindings] = STATE(16003),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13836),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13836),
    [sym_infix_expression] = STATE(10586),
    [sym_postfix_expression] = STATE(13761),
    [sym__postfix_expression_choice] = STATE(16513),
    [sym_macro_body] = STATE(13836),
    [sym_prefix_expression] = STATE(10270),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5681),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(9213),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13836),
    [sym_throw_expression] = STATE(13836),
    [sym_while_expression] = STATE(13836),
    [sym_do_while_expression] = STATE(13836),
    [sym_for_expression] = STATE(13836),
    [sym_comment] = STATE(2215),
    [sym_block_comment] = STATE(2215),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(567),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(569),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2176),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(585),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2216] = {
    [sym_inline_modifier] = STATE(2107),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13296),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(2216),
    [sym_block_comment] = STATE(2216),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2217] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14660),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2217),
    [sym_block_comment] = STATE(2217),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2218] = {
    [sym_inline_modifier] = STATE(2107),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(13283),
    [sym__simple_expression] = STATE(5618),
    [sym_lambda_expression] = STATE(13440),
    [sym_if_expression] = STATE(13440),
    [sym_match_expression] = STATE(13440),
    [sym_try_expression] = STATE(13440),
    [sym_bindings] = STATE(16072),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13440),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13440),
    [sym_infix_expression] = STATE(9500),
    [sym_postfix_expression] = STATE(13256),
    [sym__postfix_expression_choice] = STATE(16728),
    [sym_macro_body] = STATE(13440),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4886),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(7522),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13440),
    [sym_throw_expression] = STATE(13440),
    [sym_while_expression] = STATE(13440),
    [sym_do_while_expression] = STATE(13440),
    [sym_for_expression] = STATE(13440),
    [sym_comment] = STATE(2218),
    [sym_block_comment] = STATE(2218),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1580),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1592),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1594),
    [anon_sym_throw] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1598),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2219] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(15781),
    [sym__simple_expression] = STATE(5703),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16510),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2219),
    [sym_block_comment] = STATE(2219),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(1568),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [2220] = {
    [sym_inline_modifier] = STATE(2292),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12432),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2220),
    [sym_block_comment] = STATE(2220),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2221] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12948),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2221),
    [sym_block_comment] = STATE(2221),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2222] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(13010),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2222),
    [sym_block_comment] = STATE(2222),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2223] = {
    [sym_inline_modifier] = STATE(2275),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13021),
    [sym__simple_expression] = STATE(6449),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15854),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5382),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8466),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2223),
    [sym_block_comment] = STATE(2223),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2224] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15705),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2224),
    [sym_block_comment] = STATE(2224),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4078),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2225] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14634),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2225),
    [sym_block_comment] = STATE(2225),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2226] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(14855),
    [sym__simple_expression] = STATE(5593),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10028),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16651),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9602),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5029),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(7435),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2226),
    [sym_block_comment] = STATE(2226),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(1464),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2227] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15694),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2227),
    [sym_block_comment] = STATE(2227),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4080),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2228] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2228),
    [sym_block_comment] = STATE(2228),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2229] = {
    [sym_inline_modifier] = STATE(2244),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11601),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2229),
    [sym_block_comment] = STATE(2229),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2230] = {
    [sym_inline_modifier] = STATE(2163),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12275),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2230),
    [sym_block_comment] = STATE(2230),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2231] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2231),
    [sym_block_comment] = STATE(2231),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2232] = {
    [sym_inline_modifier] = STATE(2292),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12591),
    [sym__simple_expression] = STATE(6433),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16044),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9737),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(5354),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(8355),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2232),
    [sym_block_comment] = STATE(2232),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2233] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12754),
    [sym__simple_expression] = STATE(7189),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(16049),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10425),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5647),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9033),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2233),
    [sym_block_comment] = STATE(2233),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2234] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15805),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2234),
    [sym_block_comment] = STATE(2234),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4084),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2235] = {
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13274),
    [sym__simple_expression] = STATE(7982),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10506),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6427),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9382),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2235),
    [sym_block_comment] = STATE(2235),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2236] = {
    [sym_inline_modifier] = STATE(2163),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12278),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16021),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(9338),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(4851),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8053),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2236),
    [sym_block_comment] = STATE(2236),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2237] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15705),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2237),
    [sym_block_comment] = STATE(2237),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2238] = {
    [sym_inline_modifier] = STATE(2244),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11581),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2238),
    [sym_block_comment] = STATE(2238),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2239] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(14831),
    [sym__simple_expression] = STATE(6598),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16671),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5100),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2239),
    [sym_block_comment] = STATE(2239),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(1712),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [2240] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11581),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2240),
    [sym_block_comment] = STATE(2240),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2241] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15630),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2241),
    [sym_block_comment] = STATE(2241),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4088),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2242] = {
    [sym_inline_modifier] = STATE(2213),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13629),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2242),
    [sym_block_comment] = STATE(2242),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2243] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11601),
    [sym__simple_expression] = STATE(4853),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(15983),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(8154),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4546),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(6380),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2243),
    [sym_block_comment] = STATE(2243),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2244] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15772),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2244),
    [sym_block_comment] = STATE(2244),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4090),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2245] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12215),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2245),
    [sym_block_comment] = STATE(2245),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2246] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6489),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16056),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(5368),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(8263),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2246),
    [sym_block_comment] = STATE(2246),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1886),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1890),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1898),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_throw] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2247] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(14994),
    [sym__simple_expression] = STATE(5460),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9474),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16238),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8981),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(4684),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(6713),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2247),
    [sym_block_comment] = STATE(2247),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1660),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2248] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(15047),
    [sym__simple_expression] = STATE(4944),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9315),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16709),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8090),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(4497),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(6653),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2248),
    [sym_block_comment] = STATE(2248),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1358),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2249] = {
    [sym_inline_modifier] = STATE(2185),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12297),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2249),
    [sym_block_comment] = STATE(2249),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2250] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14171),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2250),
    [sym_block_comment] = STATE(2250),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2251] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15805),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2251),
    [sym_block_comment] = STATE(2251),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4092),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2252] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12297),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2252),
    [sym_block_comment] = STATE(2252),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2253] = {
    [sym_inline_modifier] = STATE(2295),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13569),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2253),
    [sym_block_comment] = STATE(2253),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2254] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15838),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2254),
    [sym_block_comment] = STATE(2254),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2255] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12300),
    [sym__simple_expression] = STATE(5657),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15947),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9389),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4829),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(7965),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2255),
    [sym_block_comment] = STATE(2255),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1970),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2256] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15096),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2256),
    [sym_block_comment] = STATE(2256),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4096),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2257] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(5370),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16322),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(4683),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(7366),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2257),
    [sym_block_comment] = STATE(2257),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2258] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(15075),
    [sym__simple_expression] = STATE(7167),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10650),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16228),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10403),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8738),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2258),
    [sym_block_comment] = STATE(2258),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2259] = {
    [sym_inline_modifier] = STATE(2185),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12300),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(16004),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10090),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(5451),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8596),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2259),
    [sym_block_comment] = STATE(2259),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1870),
    [anon_sym_try] = ACTIONS(1872),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1874),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2260] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15378),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2260),
    [sym_block_comment] = STATE(2260),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4098),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2261] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14651),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2261),
    [sym_block_comment] = STATE(2261),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2262] = {
    [sym_inline_modifier] = STATE(2295),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13326),
    [sym__simple_expression] = STATE(8335),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16117),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10944),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7188),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9740),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2262),
    [sym_block_comment] = STATE(2262),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2263] = {
    [sym_inline_modifier] = STATE(2161),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(13260),
    [sym__simple_expression] = STATE(8038),
    [sym_lambda_expression] = STATE(13617),
    [sym_if_expression] = STATE(13617),
    [sym_match_expression] = STATE(13617),
    [sym_try_expression] = STATE(13617),
    [sym_bindings] = STATE(16066),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13617),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13617),
    [sym_infix_expression] = STATE(9561),
    [sym_postfix_expression] = STATE(13239),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13617),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(6362),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(9359),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13617),
    [sym_throw_expression] = STATE(13617),
    [sym_while_expression] = STATE(13617),
    [sym_do_while_expression] = STATE(13617),
    [sym_for_expression] = STATE(13617),
    [sym_comment] = STATE(2263),
    [sym_block_comment] = STATE(2263),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2264] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14541),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2264),
    [sym_block_comment] = STATE(2264),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2265] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15694),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2265),
    [sym_block_comment] = STATE(2265),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4100),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2266] = {
    [sym_inline_modifier] = STATE(2251),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12278),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2266),
    [sym_block_comment] = STATE(2266),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2267] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15838),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2267),
    [sym_block_comment] = STATE(2267),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4102),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2268] = {
    [sym_inline_modifier] = STATE(2227),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13392),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(2268),
    [sym_block_comment] = STATE(2268),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [2269] = {
    [sym_inline_modifier] = STATE(2227),
    [sym_block] = STATE(9247),
    [sym_expression] = STATE(13560),
    [sym__simple_expression] = STATE(6401),
    [sym_lambda_expression] = STATE(13783),
    [sym_if_expression] = STATE(13783),
    [sym_match_expression] = STATE(13783),
    [sym_try_expression] = STATE(13783),
    [sym_bindings] = STATE(15937),
    [sym_case_block] = STATE(9247),
    [sym_assignment_expression] = STATE(13783),
    [sym_generic_function] = STATE(9247),
    [sym_call_expression] = STATE(9247),
    [sym_field_expression] = STATE(9247),
    [sym_instance_expression] = STATE(9247),
    [sym_ascription_expression] = STATE(13783),
    [sym_infix_expression] = STATE(9783),
    [sym_postfix_expression] = STATE(13513),
    [sym__postfix_expression_choice] = STATE(16317),
    [sym_macro_body] = STATE(13783),
    [sym_prefix_expression] = STATE(9801),
    [sym_tuple_expression] = STATE(9247),
    [sym_parenthesized_expression] = STATE(9247),
    [sym_splice_expression] = STATE(9247),
    [sym_quote_expression] = STATE(9247),
    [sym_identifier] = STATE(5304),
    [sym__soft_identifier] = STATE(6130),
    [sym_wildcard] = STATE(8138),
    [sym__non_null_literal] = STATE(9247),
    [sym_boolean_literal] = STATE(9194),
    [sym_interpolated_string_expression] = STATE(9247),
    [sym_string] = STATE(9194),
    [sym_unit] = STATE(9247),
    [sym_return_expression] = STATE(13783),
    [sym_throw_expression] = STATE(13783),
    [sym_while_expression] = STATE(13783),
    [sym_do_while_expression] = STATE(13783),
    [sym_for_expression] = STATE(13783),
    [sym_comment] = STATE(2269),
    [sym_block_comment] = STATE(2269),
    [sym__alpha_identifier] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_end] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_opaque] = ACTIONS(1554),
    [anon_sym_implicit] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym_infix] = ACTIONS(1554),
    [anon_sym_open] = ACTIONS(1554),
    [anon_sym_transparent] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_macro] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym__backquoted_id] = ACTIONS(1566),
    [sym_operator_identifier] = ACTIONS(2470),
    [sym_integer_literal] = ACTIONS(1570),
    [sym_floating_point_literal] = ACTIONS(1572),
    [anon_sym_true] = ACTIONS(1574),
    [anon_sym_false] = ACTIONS(1574),
    [sym_character_literal] = ACTIONS(1572),
    [sym_null_literal] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1578),
    [sym__simple_string] = ACTIONS(1578),
  },
  [2270] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15801),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2270),
    [sym_block_comment] = STATE(2270),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4104),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2271] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14808),
    [sym__simple_expression] = STATE(7543),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16755),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6323),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9506),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2271),
    [sym_block_comment] = STATE(2271),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2260),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2272] = {
    [sym_inline_modifier] = STATE(2251),
    [sym_block] = STATE(6931),
    [sym_expression] = STATE(12275),
    [sym__simple_expression] = STATE(6134),
    [sym_lambda_expression] = STATE(12520),
    [sym_if_expression] = STATE(12520),
    [sym_match_expression] = STATE(12520),
    [sym_try_expression] = STATE(12520),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(6931),
    [sym_assignment_expression] = STATE(12520),
    [sym_generic_function] = STATE(6931),
    [sym_call_expression] = STATE(6931),
    [sym_field_expression] = STATE(6931),
    [sym_instance_expression] = STATE(6931),
    [sym_ascription_expression] = STATE(12520),
    [sym_infix_expression] = STATE(8657),
    [sym_postfix_expression] = STATE(11801),
    [sym__postfix_expression_choice] = STATE(16208),
    [sym_macro_body] = STATE(12520),
    [sym_prefix_expression] = STATE(10053),
    [sym_tuple_expression] = STATE(6931),
    [sym_parenthesized_expression] = STATE(6931),
    [sym_splice_expression] = STATE(6931),
    [sym_quote_expression] = STATE(6931),
    [sym_identifier] = STATE(5373),
    [sym__soft_identifier] = STATE(4963),
    [sym_wildcard] = STATE(8662),
    [sym__non_null_literal] = STATE(6931),
    [sym_boolean_literal] = STATE(6877),
    [sym_interpolated_string_expression] = STATE(6931),
    [sym_string] = STATE(6877),
    [sym_unit] = STATE(6931),
    [sym_return_expression] = STATE(12520),
    [sym_throw_expression] = STATE(12520),
    [sym_while_expression] = STATE(12520),
    [sym_do_while_expression] = STATE(12520),
    [sym_for_expression] = STATE(12520),
    [sym_comment] = STATE(2272),
    [sym_block_comment] = STATE(2272),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1946),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1948),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1950),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2273] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14808),
    [sym__simple_expression] = STATE(7846),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10763),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16755),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10468),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6323),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9506),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2273),
    [sym_block_comment] = STATE(2273),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2260),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2274] = {
    [sym_inline_modifier] = STATE(2256),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12948),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2274),
    [sym_block_comment] = STATE(2274),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2275] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14907),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2275),
    [sym_block_comment] = STATE(2275),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4106),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2276] = {
    [sym_inline_modifier] = STATE(2256),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(13010),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2276),
    [sym_block_comment] = STATE(2276),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2277] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15509),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2277),
    [sym_block_comment] = STATE(2277),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4108),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2278] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12761),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(2278),
    [sym_block_comment] = STATE(2278),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2279] = {
    [sym_inline_modifier] = STATE(2213),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13326),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2279),
    [sym_block_comment] = STATE(2279),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2280] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14579),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2280),
    [sym_block_comment] = STATE(2280),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2281] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(7108),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10510),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10222),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2281),
    [sym_block_comment] = STATE(2281),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2282] = {
    [sym_inline_modifier] = STATE(2092),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11862),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2282),
    [sym_block_comment] = STATE(2282),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2283] = {
    [sym_inline_modifier] = STATE(2256),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12754),
    [sym__simple_expression] = STATE(7149),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15916),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5670),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(9272),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2283),
    [sym_block_comment] = STATE(2283),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(2370),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2284] = {
    [sym_inline_modifier] = STATE(2315),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(12948),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2284),
    [sym_block_comment] = STATE(2284),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2285] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12891),
    [sym__simple_expression] = STATE(7106),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15869),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10502),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10247),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5661),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9160),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2285),
    [sym_block_comment] = STATE(2285),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_while] = ACTIONS(611),
    [anon_sym_for] = ACTIONS(613),
    [anon_sym_try] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1828),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(607),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(625),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_throw] = ACTIONS(629),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2286] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14697),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2286),
    [sym_block_comment] = STATE(2286),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2287] = {
    [sym_inline_modifier] = STATE(2315),
    [sym_block] = STATE(7667),
    [sym_expression] = STATE(13010),
    [sym__simple_expression] = STATE(5821),
    [sym_lambda_expression] = STATE(13095),
    [sym_if_expression] = STATE(13095),
    [sym_match_expression] = STATE(13095),
    [sym_try_expression] = STATE(13095),
    [sym_bindings] = STATE(15897),
    [sym_case_block] = STATE(7667),
    [sym_assignment_expression] = STATE(13095),
    [sym_generic_function] = STATE(7667),
    [sym_call_expression] = STATE(7667),
    [sym_field_expression] = STATE(7667),
    [sym_instance_expression] = STATE(7667),
    [sym_ascription_expression] = STATE(13095),
    [sym_infix_expression] = STATE(8730),
    [sym_postfix_expression] = STATE(12958),
    [sym__postfix_expression_choice] = STATE(16611),
    [sym_macro_body] = STATE(13095),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(7667),
    [sym_parenthesized_expression] = STATE(7667),
    [sym_splice_expression] = STATE(7667),
    [sym_quote_expression] = STATE(7667),
    [sym_identifier] = STATE(5007),
    [sym__soft_identifier] = STATE(5211),
    [sym_wildcard] = STATE(8080),
    [sym__non_null_literal] = STATE(7667),
    [sym_boolean_literal] = STATE(8010),
    [sym_interpolated_string_expression] = STATE(7667),
    [sym_string] = STATE(8010),
    [sym_unit] = STATE(7667),
    [sym_return_expression] = STATE(13095),
    [sym_throw_expression] = STATE(13095),
    [sym_while_expression] = STATE(13095),
    [sym_do_while_expression] = STATE(13095),
    [sym_for_expression] = STATE(13095),
    [sym_comment] = STATE(2287),
    [sym_block_comment] = STATE(2287),
    [sym__alpha_identifier] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_end] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1346),
    [anon_sym_opaque] = ACTIONS(1344),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_infix] = ACTIONS(1344),
    [anon_sym_open] = ACTIONS(1344),
    [anon_sym_transparent] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym__backquoted_id] = ACTIONS(1356),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1360),
    [sym_floating_point_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [sym_character_literal] = ACTIONS(1362),
    [sym_null_literal] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1368),
    [sym__simple_string] = ACTIONS(1368),
  },
  [2288] = {
    [sym_inline_modifier] = STATE(2048),
    [sym_block] = STATE(10174),
    [sym_expression] = STATE(14121),
    [sym__simple_expression] = STATE(7925),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(16015),
    [sym_case_block] = STATE(10174),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(10174),
    [sym_call_expression] = STATE(10174),
    [sym_field_expression] = STATE(10174),
    [sym_instance_expression] = STATE(10174),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(10844),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(17485),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10642),
    [sym_tuple_expression] = STATE(10174),
    [sym_parenthesized_expression] = STATE(10174),
    [sym_splice_expression] = STATE(10174),
    [sym_quote_expression] = STATE(10174),
    [sym_identifier] = STATE(6545),
    [sym__soft_identifier] = STATE(4520),
    [sym_wildcard] = STATE(9600),
    [sym__non_null_literal] = STATE(10174),
    [sym_boolean_literal] = STATE(10382),
    [sym_interpolated_string_expression] = STATE(10174),
    [sym_string] = STATE(10382),
    [sym_unit] = STATE(10174),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2288),
    [sym_block_comment] = STATE(2288),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2258),
    [anon_sym_implicit] = ACTIONS(2703),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_transparent] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2289] = {
    [sym_inline_modifier] = STATE(2158),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(13919),
    [sym__simple_expression] = STATE(7190),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15858),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(10643),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16487),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(10386),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5543),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8991),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2289),
    [sym_block_comment] = STATE(2289),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2290] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9805),
    [sym_expression] = STATE(15075),
    [sym__simple_expression] = STATE(7177),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9805),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9805),
    [sym_call_expression] = STATE(9805),
    [sym_field_expression] = STATE(9805),
    [sym_instance_expression] = STATE(9805),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16228),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9805),
    [sym_parenthesized_expression] = STATE(9805),
    [sym_splice_expression] = STATE(9805),
    [sym_quote_expression] = STATE(9805),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4606),
    [sym_wildcard] = STATE(8738),
    [sym__non_null_literal] = STATE(9805),
    [sym_boolean_literal] = STATE(9915),
    [sym_interpolated_string_expression] = STATE(9805),
    [sym_string] = STATE(9915),
    [sym_unit] = STATE(9805),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2290),
    [sym_block_comment] = STATE(2290),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2291] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12139),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2291),
    [sym_block_comment] = STATE(2291),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2292] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15838),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2292),
    [sym_block_comment] = STATE(2292),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4110),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2293] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15262),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2293),
    [sym_block_comment] = STATE(2293),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4112),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2294] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(12150),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15886),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(7671),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9721),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4973),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(7956),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2294),
    [sym_block_comment] = STATE(2294),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1730),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1736),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2295] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15801),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2295),
    [sym_block_comment] = STATE(2295),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4114),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2296] = {
    [sym_inline_modifier] = STATE(2092),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11814),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2296),
    [sym_block_comment] = STATE(2296),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2297] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15630),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2297),
    [sym_block_comment] = STATE(2297),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2298] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12432),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2298),
    [sym_block_comment] = STATE(2298),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2299] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8253),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(5372),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8253),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8253),
    [sym_call_expression] = STATE(8253),
    [sym_field_expression] = STATE(8253),
    [sym_instance_expression] = STATE(8253),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9575),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16322),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9177),
    [sym_tuple_expression] = STATE(8253),
    [sym_parenthesized_expression] = STATE(8253),
    [sym_splice_expression] = STATE(8253),
    [sym_quote_expression] = STATE(8253),
    [sym_identifier] = STATE(4683),
    [sym__soft_identifier] = STATE(5620),
    [sym_wildcard] = STATE(7366),
    [sym__non_null_literal] = STATE(8253),
    [sym_boolean_literal] = STATE(8485),
    [sym_interpolated_string_expression] = STATE(8253),
    [sym_string] = STATE(8485),
    [sym_unit] = STATE(8253),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2299),
    [sym_block_comment] = STATE(2299),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2300] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(9379),
    [sym_expression] = STATE(13689),
    [sym__simple_expression] = STATE(6426),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16010),
    [sym_case_block] = STATE(9379),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(9379),
    [sym_call_expression] = STATE(9379),
    [sym_field_expression] = STATE(9379),
    [sym_instance_expression] = STATE(9379),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(10225),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16655),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9972),
    [sym_tuple_expression] = STATE(9379),
    [sym_parenthesized_expression] = STATE(9379),
    [sym_splice_expression] = STATE(9379),
    [sym_quote_expression] = STATE(9379),
    [sym_identifier] = STATE(5213),
    [sym__soft_identifier] = STATE(4501),
    [sym_wildcard] = STATE(8238),
    [sym__non_null_literal] = STATE(9379),
    [sym_boolean_literal] = STATE(9464),
    [sym_interpolated_string_expression] = STATE(9379),
    [sym_string] = STATE(9464),
    [sym_unit] = STATE(9379),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2300),
    [sym_block_comment] = STATE(2300),
    [sym__alpha_identifier] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym__] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_end] = ACTIONS(1518),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_opaque] = ACTIONS(1518),
    [anon_sym_implicit] = ACTIONS(1818),
    [anon_sym_inline] = ACTIONS(1522),
    [anon_sym_infix] = ACTIONS(1518),
    [anon_sym_open] = ACTIONS(1518),
    [anon_sym_transparent] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_macro] = ACTIONS(1820),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym__backquoted_id] = ACTIONS(1530),
    [sym_operator_identifier] = ACTIONS(1822),
    [sym_integer_literal] = ACTIONS(1534),
    [sym_floating_point_literal] = ACTIONS(1536),
    [anon_sym_true] = ACTIONS(1538),
    [anon_sym_false] = ACTIONS(1538),
    [sym_character_literal] = ACTIONS(1536),
    [sym_null_literal] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1542),
    [sym__simple_string] = ACTIONS(1542),
  },
  [2301] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15556),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2301),
    [sym_block_comment] = STATE(2301),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4116),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2302] = {
    [sym_inline_modifier] = STATE(2326),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12297),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2302),
    [sym_block_comment] = STATE(2302),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2303] = {
    [sym_inline_modifier] = STATE(2326),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(12300),
    [sym__simple_expression] = STATE(5680),
    [sym_lambda_expression] = STATE(12266),
    [sym_if_expression] = STATE(12266),
    [sym_match_expression] = STATE(12266),
    [sym_try_expression] = STATE(12266),
    [sym_bindings] = STATE(15859),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(12266),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(12266),
    [sym_infix_expression] = STATE(8562),
    [sym_postfix_expression] = STATE(11963),
    [sym__postfix_expression_choice] = STATE(16411),
    [sym_macro_body] = STATE(12266),
    [sym_prefix_expression] = STATE(9351),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4862),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(8044),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(12266),
    [sym_throw_expression] = STATE(12266),
    [sym_while_expression] = STATE(12266),
    [sym_do_while_expression] = STATE(12266),
    [sym_for_expression] = STATE(12266),
    [sym_comment] = STATE(2303),
    [sym_block_comment] = STATE(2303),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2304] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14604),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2304),
    [sym_block_comment] = STATE(2304),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2305] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8632),
    [sym_expression] = STATE(15161),
    [sym__simple_expression] = STATE(5073),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8632),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8632),
    [sym_call_expression] = STATE(8632),
    [sym_field_expression] = STATE(8632),
    [sym_instance_expression] = STATE(8632),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9415),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16747),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9008),
    [sym_tuple_expression] = STATE(8632),
    [sym_parenthesized_expression] = STATE(8632),
    [sym_splice_expression] = STATE(8632),
    [sym_quote_expression] = STATE(8632),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5748),
    [sym_wildcard] = STATE(6819),
    [sym__non_null_literal] = STATE(8632),
    [sym_boolean_literal] = STATE(8538),
    [sym_interpolated_string_expression] = STATE(8632),
    [sym_string] = STATE(8538),
    [sym_unit] = STATE(8632),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2305),
    [sym_block_comment] = STATE(2305),
    [sym__alpha_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym__] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_end] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1220),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_infix] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_transparent] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym__backquoted_id] = ACTIONS(1230),
    [sym_operator_identifier] = ACTIONS(1232),
    [sym_integer_literal] = ACTIONS(1234),
    [sym_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [sym_character_literal] = ACTIONS(1236),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1242),
    [sym__simple_string] = ACTIONS(1242),
  },
  [2306] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13809),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2306),
    [sym_block_comment] = STATE(2306),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2307] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15413),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2307),
    [sym_block_comment] = STATE(2307),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4118),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2308] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14180),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2308),
    [sym_block_comment] = STATE(2308),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2309] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15262),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2309),
    [sym_block_comment] = STATE(2309),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4120),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2310] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(6647),
    [sym_expression] = STATE(14932),
    [sym__simple_expression] = STATE(4502),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(6647),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(6647),
    [sym_call_expression] = STATE(6647),
    [sym_field_expression] = STATE(6647),
    [sym_instance_expression] = STATE(6647),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(6647),
    [sym_parenthesized_expression] = STATE(6647),
    [sym_splice_expression] = STATE(6647),
    [sym_quote_expression] = STATE(6647),
    [sym_identifier] = STATE(4321),
    [sym__soft_identifier] = STATE(4590),
    [sym_wildcard] = STATE(5123),
    [sym__non_null_literal] = STATE(6647),
    [sym_boolean_literal] = STATE(6457),
    [sym_interpolated_string_expression] = STATE(6647),
    [sym_string] = STATE(6457),
    [sym_unit] = STATE(6647),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2310),
    [sym_block_comment] = STATE(2310),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2311] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14184),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2311),
    [sym_block_comment] = STATE(2311),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2312] = {
    [sym_inline_modifier] = STATE(2092),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11907),
    [sym__simple_expression] = STATE(5629),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9470),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4882),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7703),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2312),
    [sym_block_comment] = STATE(2312),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2313] = {
    [sym_inline_modifier] = STATE(2231),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(13021),
    [sym__simple_expression] = STATE(6424),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15872),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(5369),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(8583),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2313),
    [sym_block_comment] = STATE(2313),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2314] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(6675),
    [sym_expression] = STATE(12591),
    [sym__simple_expression] = STATE(5258),
    [sym_lambda_expression] = STATE(12892),
    [sym_if_expression] = STATE(12892),
    [sym_match_expression] = STATE(12892),
    [sym_try_expression] = STATE(12892),
    [sym_bindings] = STATE(16061),
    [sym_case_block] = STATE(6675),
    [sym_assignment_expression] = STATE(12892),
    [sym_generic_function] = STATE(6675),
    [sym_call_expression] = STATE(6675),
    [sym_field_expression] = STATE(6675),
    [sym_instance_expression] = STATE(6675),
    [sym_ascription_expression] = STATE(12892),
    [sym_infix_expression] = STATE(8178),
    [sym_postfix_expression] = STATE(12340),
    [sym__postfix_expression_choice] = STATE(16266),
    [sym_macro_body] = STATE(12892),
    [sym_prefix_expression] = STATE(9195),
    [sym_tuple_expression] = STATE(6675),
    [sym_parenthesized_expression] = STATE(6675),
    [sym_splice_expression] = STATE(6675),
    [sym_quote_expression] = STATE(6675),
    [sym_identifier] = STATE(4639),
    [sym__soft_identifier] = STATE(4893),
    [sym_wildcard] = STATE(7295),
    [sym__non_null_literal] = STATE(6675),
    [sym_boolean_literal] = STATE(6661),
    [sym_interpolated_string_expression] = STATE(6675),
    [sym_string] = STATE(6661),
    [sym_unit] = STATE(6675),
    [sym_return_expression] = STATE(12892),
    [sym_throw_expression] = STATE(12892),
    [sym_while_expression] = STATE(12892),
    [sym_do_while_expression] = STATE(12892),
    [sym_for_expression] = STATE(12892),
    [sym_comment] = STATE(2314),
    [sym_block_comment] = STATE(2314),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1326),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2315] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15096),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2315),
    [sym_block_comment] = STATE(2315),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2316] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13629),
    [sym__simple_expression] = STATE(8148),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(15908),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(7148),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(9786),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2316),
    [sym_block_comment] = STATE(2316),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2317] = {
    [sym_inline_modifier] = STATE(2332),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11862),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2317),
    [sym_block_comment] = STATE(2317),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2318] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9635),
    [sym_expression] = STATE(14794),
    [sym__simple_expression] = STATE(6521),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9635),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9635),
    [sym_call_expression] = STATE(9635),
    [sym_field_expression] = STATE(9635),
    [sym_instance_expression] = STATE(9635),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16296),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9635),
    [sym_parenthesized_expression] = STATE(9635),
    [sym_splice_expression] = STATE(9635),
    [sym_quote_expression] = STATE(9635),
    [sym_identifier] = STATE(5350),
    [sym__soft_identifier] = STATE(5512),
    [sym_wildcard] = STATE(8392),
    [sym__non_null_literal] = STATE(9635),
    [sym_boolean_literal] = STATE(9547),
    [sym_interpolated_string_expression] = STATE(9635),
    [sym_string] = STATE(9547),
    [sym_unit] = STATE(9635),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2318),
    [sym_block_comment] = STATE(2318),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2319] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7016),
    [sym_expression] = STATE(15541),
    [sym__simple_expression] = STATE(4685),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7016),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7016),
    [sym_call_expression] = STATE(7016),
    [sym_field_expression] = STATE(7016),
    [sym_instance_expression] = STATE(7016),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(8577),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16200),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(7803),
    [sym_tuple_expression] = STATE(7016),
    [sym_parenthesized_expression] = STATE(7016),
    [sym_splice_expression] = STATE(7016),
    [sym_quote_expression] = STATE(7016),
    [sym_identifier] = STATE(4426),
    [sym__soft_identifier] = STATE(4892),
    [sym_wildcard] = STATE(5619),
    [sym__non_null_literal] = STATE(7016),
    [sym_boolean_literal] = STATE(7364),
    [sym_interpolated_string_expression] = STATE(7016),
    [sym_string] = STATE(7364),
    [sym_unit] = STATE(7016),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2319),
    [sym_block_comment] = STATE(2319),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2320] = {
    [sym_inline_modifier] = STATE(2332),
    [sym_block] = STATE(6458),
    [sym_expression] = STATE(11907),
    [sym__simple_expression] = STATE(5341),
    [sym_lambda_expression] = STATE(12107),
    [sym_if_expression] = STATE(12107),
    [sym_match_expression] = STATE(12107),
    [sym_try_expression] = STATE(12107),
    [sym_bindings] = STATE(15866),
    [sym_case_block] = STATE(6458),
    [sym_assignment_expression] = STATE(12107),
    [sym_generic_function] = STATE(6458),
    [sym_call_expression] = STATE(6458),
    [sym_field_expression] = STATE(6458),
    [sym_instance_expression] = STATE(6458),
    [sym_ascription_expression] = STATE(12107),
    [sym_infix_expression] = STATE(7696),
    [sym_postfix_expression] = STATE(11521),
    [sym__postfix_expression_choice] = STATE(16583),
    [sym_macro_body] = STATE(12107),
    [sym_prefix_expression] = STATE(9140),
    [sym_tuple_expression] = STATE(6458),
    [sym_parenthesized_expression] = STATE(6458),
    [sym_splice_expression] = STATE(6458),
    [sym_quote_expression] = STATE(6458),
    [sym_identifier] = STATE(4633),
    [sym__soft_identifier] = STATE(4577),
    [sym_wildcard] = STATE(7176),
    [sym__non_null_literal] = STATE(6458),
    [sym_boolean_literal] = STATE(6540),
    [sym_interpolated_string_expression] = STATE(6458),
    [sym_string] = STATE(6540),
    [sym_unit] = STATE(6458),
    [sym_return_expression] = STATE(12107),
    [sym_throw_expression] = STATE(12107),
    [sym_while_expression] = STATE(12107),
    [sym_do_while_expression] = STATE(12107),
    [sym_for_expression] = STATE(12107),
    [sym_comment] = STATE(2320),
    [sym_block_comment] = STATE(2320),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2321] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14448),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2321),
    [sym_block_comment] = STATE(2321),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2322] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(12891),
    [sym__simple_expression] = STATE(7512),
    [sym_lambda_expression] = STATE(12850),
    [sym_if_expression] = STATE(12850),
    [sym_match_expression] = STATE(12850),
    [sym_try_expression] = STATE(12850),
    [sym_bindings] = STATE(15910),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(12850),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(12850),
    [sym_infix_expression] = STATE(9525),
    [sym_postfix_expression] = STATE(12401),
    [sym__postfix_expression_choice] = STATE(16843),
    [sym_macro_body] = STATE(12850),
    [sym_prefix_expression] = STATE(10523),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(6101),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(9504),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(12850),
    [sym_throw_expression] = STATE(12850),
    [sym_while_expression] = STATE(12850),
    [sym_do_while_expression] = STATE(12850),
    [sym_for_expression] = STATE(12850),
    [sym_comment] = STATE(2322),
    [sym_block_comment] = STATE(2322),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2597),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2323] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7510),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5384),
    [sym_lambda_expression] = STATE(13253),
    [sym_if_expression] = STATE(13253),
    [sym_match_expression] = STATE(13253),
    [sym_try_expression] = STATE(13253),
    [sym_bindings] = STATE(16085),
    [sym_case_block] = STATE(7510),
    [sym_assignment_expression] = STATE(13253),
    [sym_generic_function] = STATE(7510),
    [sym_call_expression] = STATE(7510),
    [sym_field_expression] = STATE(7510),
    [sym_instance_expression] = STATE(7510),
    [sym_ascription_expression] = STATE(13253),
    [sym_infix_expression] = STATE(8736),
    [sym_postfix_expression] = STATE(12651),
    [sym__postfix_expression_choice] = STATE(16531),
    [sym_macro_body] = STATE(13253),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(7510),
    [sym_parenthesized_expression] = STATE(7510),
    [sym_splice_expression] = STATE(7510),
    [sym_quote_expression] = STATE(7510),
    [sym_identifier] = STATE(4588),
    [sym__soft_identifier] = STATE(5173),
    [sym_wildcard] = STATE(6702),
    [sym__non_null_literal] = STATE(7510),
    [sym_boolean_literal] = STATE(7525),
    [sym_interpolated_string_expression] = STATE(7510),
    [sym_string] = STATE(7525),
    [sym_unit] = STATE(7510),
    [sym_return_expression] = STATE(13253),
    [sym_throw_expression] = STATE(13253),
    [sym_while_expression] = STATE(13253),
    [sym_do_while_expression] = STATE(13253),
    [sym_for_expression] = STATE(13253),
    [sym_comment] = STATE(2323),
    [sym_block_comment] = STATE(2323),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2324] = {
    [sym_inline_modifier] = STATE(2244),
    [sym_block] = STATE(5691),
    [sym_expression] = STATE(11552),
    [sym__simple_expression] = STATE(5107),
    [sym_lambda_expression] = STATE(11756),
    [sym_if_expression] = STATE(11756),
    [sym_match_expression] = STATE(11756),
    [sym_try_expression] = STATE(11756),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(5691),
    [sym_assignment_expression] = STATE(11756),
    [sym_generic_function] = STATE(5691),
    [sym_call_expression] = STATE(5691),
    [sym_field_expression] = STATE(5691),
    [sym_instance_expression] = STATE(5691),
    [sym_ascription_expression] = STATE(11756),
    [sym_infix_expression] = STATE(6677),
    [sym_postfix_expression] = STATE(11203),
    [sym__postfix_expression_choice] = STATE(16178),
    [sym_macro_body] = STATE(11756),
    [sym_prefix_expression] = STATE(9275),
    [sym_tuple_expression] = STATE(5691),
    [sym_parenthesized_expression] = STATE(5691),
    [sym_splice_expression] = STATE(5691),
    [sym_quote_expression] = STATE(5691),
    [sym_identifier] = STATE(4667),
    [sym__soft_identifier] = STATE(4536),
    [sym_wildcard] = STATE(7181),
    [sym__non_null_literal] = STATE(5691),
    [sym_boolean_literal] = STATE(5646),
    [sym_interpolated_string_expression] = STATE(5691),
    [sym_string] = STATE(5646),
    [sym_unit] = STATE(5691),
    [sym_return_expression] = STATE(11756),
    [sym_throw_expression] = STATE(11756),
    [sym_while_expression] = STATE(11756),
    [sym_do_while_expression] = STATE(11756),
    [sym_for_expression] = STATE(11756),
    [sym_comment] = STATE(2324),
    [sym_block_comment] = STATE(2324),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1272),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2325] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(5057),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9723),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(8885),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2325),
    [sym_block_comment] = STATE(2325),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2326] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15671),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2326),
    [sym_block_comment] = STATE(2326),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4124),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2327] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(7509),
    [sym_expression] = STATE(15627),
    [sym__simple_expression] = STATE(5045),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(7509),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(7509),
    [sym_call_expression] = STATE(7509),
    [sym_field_expression] = STATE(7509),
    [sym_instance_expression] = STATE(7509),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16618),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(7509),
    [sym_parenthesized_expression] = STATE(7509),
    [sym_splice_expression] = STATE(7509),
    [sym_quote_expression] = STATE(7509),
    [sym_identifier] = STATE(4552),
    [sym__soft_identifier] = STATE(5285),
    [sym_wildcard] = STATE(6352),
    [sym__non_null_literal] = STATE(7509),
    [sym_boolean_literal] = STATE(7505),
    [sym_interpolated_string_expression] = STATE(7509),
    [sym_string] = STATE(7505),
    [sym_unit] = STATE(7509),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2327),
    [sym_block_comment] = STATE(2327),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1726),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2328] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13069),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(2328),
    [sym_block_comment] = STATE(2328),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2329] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8120),
    [sym_expression] = STATE(13139),
    [sym__simple_expression] = STATE(5678),
    [sym_lambda_expression] = STATE(13482),
    [sym_if_expression] = STATE(13482),
    [sym_match_expression] = STATE(13482),
    [sym_try_expression] = STATE(13482),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(8120),
    [sym_assignment_expression] = STATE(13482),
    [sym_generic_function] = STATE(8120),
    [sym_call_expression] = STATE(8120),
    [sym_field_expression] = STATE(8120),
    [sym_instance_expression] = STATE(8120),
    [sym_ascription_expression] = STATE(13482),
    [sym_infix_expression] = STATE(9693),
    [sym_postfix_expression] = STATE(13138),
    [sym__postfix_expression_choice] = STATE(16258),
    [sym_macro_body] = STATE(13482),
    [sym_prefix_expression] = STATE(9343),
    [sym_tuple_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_splice_expression] = STATE(8120),
    [sym_quote_expression] = STATE(8120),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(5525),
    [sym_wildcard] = STATE(7388),
    [sym__non_null_literal] = STATE(8120),
    [sym_boolean_literal] = STATE(8113),
    [sym_interpolated_string_expression] = STATE(8120),
    [sym_string] = STATE(8113),
    [sym_unit] = STATE(8120),
    [sym_return_expression] = STATE(13482),
    [sym_throw_expression] = STATE(13482),
    [sym_while_expression] = STATE(13482),
    [sym_do_while_expression] = STATE(13482),
    [sym_for_expression] = STATE(13482),
    [sym_comment] = STATE(2329),
    [sym_block_comment] = STATE(2329),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2112),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2114),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2330] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14202),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2330),
    [sym_block_comment] = STATE(2330),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2331] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14201),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2331),
    [sym_block_comment] = STATE(2331),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2332] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15509),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2332),
    [sym_block_comment] = STATE(2332),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4126),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2333] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14223),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2333),
    [sym_block_comment] = STATE(2333),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2334] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14199),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2334),
    [sym_block_comment] = STATE(2334),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2335] = {
    [sym_inline_modifier] = STATE(2309),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(13768),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2335),
    [sym_block_comment] = STATE(2335),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [2336] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14198),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2336),
    [sym_block_comment] = STATE(2336),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2337] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14564),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2337),
    [sym_block_comment] = STATE(2337),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2338] = {
    [sym_inline_modifier] = STATE(2309),
    [sym_block] = STATE(9612),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(6420),
    [sym_lambda_expression] = STATE(12127),
    [sym_if_expression] = STATE(12127),
    [sym_match_expression] = STATE(12127),
    [sym_try_expression] = STATE(12127),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(9612),
    [sym_assignment_expression] = STATE(12127),
    [sym_generic_function] = STATE(9612),
    [sym_call_expression] = STATE(9612),
    [sym_field_expression] = STATE(9612),
    [sym_instance_expression] = STATE(9612),
    [sym_ascription_expression] = STATE(12127),
    [sym_infix_expression] = STATE(10275),
    [sym_postfix_expression] = STATE(11497),
    [sym__postfix_expression_choice] = STATE(16571),
    [sym_macro_body] = STATE(12127),
    [sym_prefix_expression] = STATE(9925),
    [sym_tuple_expression] = STATE(9612),
    [sym_parenthesized_expression] = STATE(9612),
    [sym_splice_expression] = STATE(9612),
    [sym_quote_expression] = STATE(9612),
    [sym_identifier] = STATE(5140),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(8524),
    [sym__non_null_literal] = STATE(9612),
    [sym_boolean_literal] = STATE(9713),
    [sym_interpolated_string_expression] = STATE(9612),
    [sym_string] = STATE(9713),
    [sym_unit] = STATE(9612),
    [sym_return_expression] = STATE(12127),
    [sym_throw_expression] = STATE(12127),
    [sym_while_expression] = STATE(12127),
    [sym_do_while_expression] = STATE(12127),
    [sym_for_expression] = STATE(12127),
    [sym_comment] = STATE(2338),
    [sym_block_comment] = STATE(2338),
    [sym__alpha_identifier] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_end] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_new] = ACTIONS(1700),
    [anon_sym_opaque] = ACTIONS(1698),
    [anon_sym_implicit] = ACTIONS(2096),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym_infix] = ACTIONS(1698),
    [anon_sym_open] = ACTIONS(1698),
    [anon_sym_transparent] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [sym__backquoted_id] = ACTIONS(1710),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1714),
    [sym_floating_point_literal] = ACTIONS(1716),
    [anon_sym_true] = ACTIONS(1718),
    [anon_sym_false] = ACTIONS(1718),
    [sym_character_literal] = ACTIONS(1716),
    [sym_null_literal] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1722),
    [sym__simple_string] = ACTIONS(1722),
  },
  [2339] = {
    [sym_inline_modifier] = STATE(2307),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13556),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(2339),
    [sym_block_comment] = STATE(2339),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2340] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14196),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2340),
    [sym_block_comment] = STATE(2340),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2341] = {
    [sym_inline_modifier] = STATE(2213),
    [sym_block] = STATE(8728),
    [sym_expression] = STATE(13569),
    [sym__simple_expression] = STATE(7356),
    [sym_lambda_expression] = STATE(13731),
    [sym_if_expression] = STATE(13731),
    [sym_match_expression] = STATE(13731),
    [sym_try_expression] = STATE(13731),
    [sym_bindings] = STATE(16023),
    [sym_case_block] = STATE(8728),
    [sym_assignment_expression] = STATE(13731),
    [sym_generic_function] = STATE(8728),
    [sym_call_expression] = STATE(8728),
    [sym_field_expression] = STATE(8728),
    [sym_instance_expression] = STATE(8728),
    [sym_ascription_expression] = STATE(13731),
    [sym_infix_expression] = STATE(9732),
    [sym_postfix_expression] = STATE(13586),
    [sym__postfix_expression_choice] = STATE(16293),
    [sym_macro_body] = STATE(13731),
    [sym_prefix_expression] = STATE(10159),
    [sym_tuple_expression] = STATE(8728),
    [sym_parenthesized_expression] = STATE(8728),
    [sym_splice_expression] = STATE(8728),
    [sym_quote_expression] = STATE(8728),
    [sym_identifier] = STATE(5918),
    [sym__soft_identifier] = STATE(6149),
    [sym_wildcard] = STATE(8757),
    [sym__non_null_literal] = STATE(8728),
    [sym_boolean_literal] = STATE(8880),
    [sym_interpolated_string_expression] = STATE(8728),
    [sym_string] = STATE(8880),
    [sym_unit] = STATE(8728),
    [sym_return_expression] = STATE(13731),
    [sym_throw_expression] = STATE(13731),
    [sym_while_expression] = STATE(13731),
    [sym_do_while_expression] = STATE(13731),
    [sym_for_expression] = STATE(13731),
    [sym_comment] = STATE(2341),
    [sym_block_comment] = STATE(2341),
    [sym__alpha_identifier] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym__] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_end] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_new] = ACTIONS(1842),
    [anon_sym_opaque] = ACTIONS(1840),
    [anon_sym_implicit] = ACTIONS(2236),
    [anon_sym_inline] = ACTIONS(1844),
    [anon_sym_infix] = ACTIONS(1840),
    [anon_sym_open] = ACTIONS(1840),
    [anon_sym_transparent] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_macro] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DOLLAR] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym__backquoted_id] = ACTIONS(1852),
    [sym_operator_identifier] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(1856),
    [sym_floating_point_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym_character_literal] = ACTIONS(1858),
    [sym_null_literal] = ACTIONS(1862),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2244),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1864),
    [sym__simple_string] = ACTIONS(1864),
  },
  [2342] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(14193),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2342),
    [sym_block_comment] = STATE(2342),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2343] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5537),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16363),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(9722),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(4761),
    [sym__soft_identifier] = STATE(4413),
    [sym_wildcard] = STATE(7615),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8715),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8715),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2343),
    [sym_block_comment] = STATE(2343),
    [sym__alpha_identifier] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_end] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_infix] = ACTIONS(1182),
    [anon_sym_open] = ACTIONS(1182),
    [anon_sym_transparent] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym__backquoted_id] = ACTIONS(1194),
    [sym_operator_identifier] = ACTIONS(1196),
    [sym_integer_literal] = ACTIONS(1198),
    [sym_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1206),
    [sym__simple_string] = ACTIONS(1206),
  },
  [2344] = {
    [sym_inline_modifier] = STATE(2307),
    [sym_block] = STATE(9134),
    [sym_expression] = STATE(13467),
    [sym__simple_expression] = STATE(6635),
    [sym_lambda_expression] = STATE(13702),
    [sym_if_expression] = STATE(13702),
    [sym_match_expression] = STATE(13702),
    [sym_try_expression] = STATE(13702),
    [sym_bindings] = STATE(16039),
    [sym_case_block] = STATE(9134),
    [sym_assignment_expression] = STATE(13702),
    [sym_generic_function] = STATE(9134),
    [sym_call_expression] = STATE(9134),
    [sym_field_expression] = STATE(9134),
    [sym_instance_expression] = STATE(9134),
    [sym_ascription_expression] = STATE(13702),
    [sym_infix_expression] = STATE(9909),
    [sym_postfix_expression] = STATE(13593),
    [sym__postfix_expression_choice] = STATE(16551),
    [sym_macro_body] = STATE(13702),
    [sym_prefix_expression] = STATE(10118),
    [sym_tuple_expression] = STATE(9134),
    [sym_parenthesized_expression] = STATE(9134),
    [sym_splice_expression] = STATE(9134),
    [sym_quote_expression] = STATE(9134),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6219),
    [sym_wildcard] = STATE(8597),
    [sym__non_null_literal] = STATE(9134),
    [sym_boolean_literal] = STATE(8923),
    [sym_interpolated_string_expression] = STATE(9134),
    [sym_string] = STATE(8923),
    [sym_unit] = STATE(9134),
    [sym_return_expression] = STATE(13702),
    [sym_throw_expression] = STATE(13702),
    [sym_while_expression] = STATE(13702),
    [sym_do_while_expression] = STATE(13702),
    [sym_for_expression] = STATE(13702),
    [sym_comment] = STATE(2344),
    [sym_block_comment] = STATE(2344),
    [sym__alpha_identifier] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym__] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_end] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_opaque] = ACTIONS(1450),
    [anon_sym_implicit] = ACTIONS(2076),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym_infix] = ACTIONS(1450),
    [anon_sym_open] = ACTIONS(1450),
    [anon_sym_transparent] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_macro] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [sym__backquoted_id] = ACTIONS(1462),
    [sym_operator_identifier] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(1466),
    [sym_floating_point_literal] = ACTIONS(1468),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [sym_character_literal] = ACTIONS(1468),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2084),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1474),
    [sym__simple_string] = ACTIONS(1474),
  },
  [2345] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(8587),
    [sym_expression] = STATE(14994),
    [sym__simple_expression] = STATE(5456),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8587),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(8587),
    [sym_call_expression] = STATE(8587),
    [sym_field_expression] = STATE(8587),
    [sym_instance_expression] = STATE(8587),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16238),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(8587),
    [sym_parenthesized_expression] = STATE(8587),
    [sym_splice_expression] = STATE(8587),
    [sym_quote_expression] = STATE(8587),
    [sym_identifier] = STATE(4684),
    [sym__soft_identifier] = STATE(5474),
    [sym_wildcard] = STATE(6713),
    [sym__non_null_literal] = STATE(8587),
    [sym_boolean_literal] = STATE(8680),
    [sym_interpolated_string_expression] = STATE(8587),
    [sym_string] = STATE(8680),
    [sym_unit] = STATE(8587),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2345),
    [sym_block_comment] = STATE(2345),
    [sym__alpha_identifier] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1648),
    [anon_sym_opaque] = ACTIONS(1646),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1650),
    [anon_sym_infix] = ACTIONS(1646),
    [anon_sym_open] = ACTIONS(1646),
    [anon_sym_transparent] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [sym__backquoted_id] = ACTIONS(1658),
    [sym_operator_identifier] = ACTIONS(1660),
    [sym_integer_literal] = ACTIONS(1662),
    [sym_floating_point_literal] = ACTIONS(1664),
    [anon_sym_true] = ACTIONS(1666),
    [anon_sym_false] = ACTIONS(1666),
    [sym_character_literal] = ACTIONS(1664),
    [sym_null_literal] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1670),
    [sym__simple_string] = ACTIONS(1670),
  },
  [2346] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(13789),
    [sym__simple_expression] = STATE(9150),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(15923),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10995),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(8002),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(10180),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2346),
    [sym_block_comment] = STATE(2346),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3288),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2347] = {
    [sym_inline_modifier] = STATE(2260),
    [sym_block] = STATE(9417),
    [sym_expression] = STATE(15739),
    [sym__simple_expression] = STATE(7945),
    [sym_lambda_expression] = STATE(13935),
    [sym_if_expression] = STATE(13935),
    [sym_match_expression] = STATE(13935),
    [sym_try_expression] = STATE(13935),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(9417),
    [sym_assignment_expression] = STATE(13935),
    [sym_generic_function] = STATE(9417),
    [sym_call_expression] = STATE(9417),
    [sym_field_expression] = STATE(9417),
    [sym_instance_expression] = STATE(9417),
    [sym_ascription_expression] = STATE(13935),
    [sym_infix_expression] = STATE(10421),
    [sym_postfix_expression] = STATE(13496),
    [sym__postfix_expression_choice] = STATE(16694),
    [sym_macro_body] = STATE(13935),
    [sym_prefix_expression] = STATE(10446),
    [sym_tuple_expression] = STATE(9417),
    [sym_parenthesized_expression] = STATE(9417),
    [sym_splice_expression] = STATE(9417),
    [sym_quote_expression] = STATE(9417),
    [sym_identifier] = STATE(5296),
    [sym__soft_identifier] = STATE(5588),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9417),
    [sym_boolean_literal] = STATE(8325),
    [sym_interpolated_string_expression] = STATE(9417),
    [sym_string] = STATE(8325),
    [sym_unit] = STATE(9417),
    [sym_return_expression] = STATE(13935),
    [sym_throw_expression] = STATE(13935),
    [sym_while_expression] = STATE(13935),
    [sym_do_while_expression] = STATE(13935),
    [sym_for_expression] = STATE(13935),
    [sym_comment] = STATE(2347),
    [sym_block_comment] = STATE(2347),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4128),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2348] = {
    [sym_comment] = STATE(2348),
    [sym_block_comment] = STATE(2348),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4136),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
  [2349] = {
    [sym_comment] = STATE(2349),
    [sym_block_comment] = STATE(2349),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__outdent] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
  [2350] = {
    [sym_comment] = STATE(2350),
    [sym_block_comment] = STATE(2350),
    [ts_builtin_sym_end] = ACTIONS(4136),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4158), 1,
      sym_operator_identifier,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4166), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8655), 1,
      sym_colon_argument,
    STATE(10091), 1,
      sym_identifier,
    STATE(10155), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16425), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2351), 2,
      sym_comment,
      sym_block_comment,
    STATE(8650), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [147] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4170), 1,
      sym_operator_identifier,
    ACTIONS(4172), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9692), 1,
      sym_colon_argument,
    STATE(9960), 1,
      sym_identifier,
    STATE(10241), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16562), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2352), 2,
      sym_comment,
      sym_block_comment,
    STATE(9691), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [294] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4174), 1,
      sym_operator_identifier,
    ACTIONS(4176), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8134), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9865), 1,
      sym_identifier,
    STATE(10398), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16283), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2353), 2,
      sym_comment,
      sym_block_comment,
    STATE(8129), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [441] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4178), 1,
      sym_operator_identifier,
    ACTIONS(4180), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(7582), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10069), 1,
      sym_identifier,
    STATE(10163), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16182), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2354), 2,
      sym_comment,
      sym_block_comment,
    STATE(7577), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [588] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4182), 1,
      sym_operator_identifier,
    ACTIONS(4184), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9433), 1,
      sym_colon_argument,
    STATE(9854), 1,
      sym_identifier,
    STATE(10340), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16676), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2355), 2,
      sym_comment,
      sym_block_comment,
    STATE(9327), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [735] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      sym__indent,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4194), 1,
      anon_sym_EQ_GT,
    ACTIONS(4196), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      anon_sym_AT,
    ACTIONS(4202), 1,
      anon_sym_LPAREN,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(4206), 1,
      sym_operator_identifier,
    ACTIONS(4208), 1,
      sym_integer_literal,
    STATE(5534), 1,
      sym__simple_type,
    STATE(5536), 1,
      sym__annotated_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(7209), 1,
      sym_identifier,
    STATE(7836), 1,
      sym_wildcard,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(9433), 1,
      sym_colon_argument,
    STATE(10853), 1,
      sym_literal_type,
    STATE(10854), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11736), 1,
      sym__type,
    STATE(12407), 1,
      sym__infix_type_choice,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16209), 1,
      sym_stable_identifier,
    STATE(16676), 1,
      sym_bindings,
    ACTIONS(4210), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4212), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4214), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2356), 2,
      sym_comment,
      sym_block_comment,
    STATE(9327), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10835), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11855), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [882] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4224), 1,
      anon_sym_EQ_GT,
    ACTIONS(4226), 1,
      anon_sym_LBRACK,
    ACTIONS(4230), 1,
      anon_sym_AT,
    ACTIONS(4232), 1,
      anon_sym_LPAREN,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(4236), 1,
      sym_operator_identifier,
    ACTIONS(4238), 1,
      sym_integer_literal,
    ACTIONS(4244), 1,
      sym__indent,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(5003), 1,
      sym_identifier,
    STATE(5088), 1,
      sym_wildcard,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(6778), 1,
      sym_colon_argument,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9655), 1,
      sym__non_null_literal,
    STATE(12399), 1,
      sym_template_body,
    STATE(12562), 1,
      sym__infix_type_choice,
    STATE(12629), 1,
      sym__type,
    STATE(14755), 1,
      sym_parameter_types,
    STATE(16245), 1,
      sym_bindings,
    STATE(17033), 1,
      sym_stable_identifier,
    ACTIONS(4240), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4242), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4246), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2357), 2,
      sym_comment,
      sym_block_comment,
    STATE(6773), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9369), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12438), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12650), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1029] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      sym_operator_identifier,
    ACTIONS(4250), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8333), 1,
      sym_colon_argument,
    STATE(10114), 1,
      sym_identifier,
    STATE(10137), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16436), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2358), 2,
      sym_comment,
      sym_block_comment,
    STATE(8343), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1176] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4244), 1,
      sym__indent,
    ACTIONS(4252), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(6778), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9843), 1,
      sym_identifier,
    STATE(10363), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16245), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6773), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1323] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4262), 1,
      anon_sym_EQ_GT,
    ACTIONS(4264), 1,
      anon_sym_LBRACK,
    ACTIONS(4268), 1,
      anon_sym_AT,
    ACTIONS(4270), 1,
      anon_sym_LPAREN,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(4274), 1,
      sym_operator_identifier,
    ACTIONS(4276), 1,
      sym_integer_literal,
    ACTIONS(4282), 1,
      sym__indent,
    STATE(6193), 1,
      sym__annotated_type,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(7662), 1,
      sym_identifier,
    STATE(8615), 1,
      sym_wildcard,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(9928), 1,
      sym_colon_argument,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(11036), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12099), 1,
      sym__type,
    STATE(12552), 1,
      sym__infix_type_choice,
    STATE(15340), 1,
      sym_parameter_types,
    STATE(16366), 1,
      sym_bindings,
    STATE(16999), 1,
      sym_stable_identifier,
    ACTIONS(4278), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4280), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4284), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2360), 2,
      sym_comment,
      sym_block_comment,
    STATE(9934), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10598), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10979), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12356), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1470] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym_COLON,
    ACTIONS(4290), 1,
      anon_sym_LBRACE,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4294), 1,
      anon_sym_EQ_GT,
    ACTIONS(4296), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      anon_sym_AT,
    ACTIONS(4302), 1,
      anon_sym_LPAREN,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(4306), 1,
      sym_operator_identifier,
    ACTIONS(4308), 1,
      sym_integer_literal,
    ACTIONS(4314), 1,
      sym__indent,
    STATE(4831), 1,
      sym__annotated_type,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5576), 1,
      sym_identifier,
    STATE(6511), 1,
      sym_wildcard,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(8172), 1,
      sym_colon_argument,
    STATE(10217), 1,
      sym__non_null_literal,
    STATE(10397), 1,
      sym_literal_type,
    STATE(12519), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13284), 1,
      sym__type,
    STATE(15587), 1,
      sym_parameter_types,
    STATE(16511), 1,
      sym_stable_identifier,
    STATE(16602), 1,
      sym_bindings,
    ACTIONS(4310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2361), 2,
      sym_comment,
      sym_block_comment,
    STATE(8173), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9425), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10336), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13515), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1617] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4318), 1,
      sym_operator_identifier,
    ACTIONS(4320), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(6732), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9906), 1,
      sym_identifier,
    STATE(10308), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16275), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2362), 2,
      sym_comment,
      sym_block_comment,
    STATE(6797), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1764] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4330), 1,
      anon_sym_EQ_GT,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4336), 1,
      anon_sym_AT,
    ACTIONS(4338), 1,
      anon_sym_LPAREN,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4342), 1,
      sym_operator_identifier,
    ACTIONS(4344), 1,
      sym_integer_literal,
    STATE(4808), 1,
      sym__annotated_type,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5498), 1,
      sym_identifier,
    STATE(6612), 1,
      sym_wildcard,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(8655), 1,
      sym_colon_argument,
    STATE(10256), 1,
      sym_literal_type,
    STATE(10259), 1,
      sym__non_null_literal,
    STATE(12539), 1,
      sym__infix_type_choice,
    STATE(13057), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(14780), 1,
      sym_parameter_types,
    STATE(16425), 1,
      sym_bindings,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4350), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2363), 2,
      sym_comment,
      sym_block_comment,
    STATE(8650), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9595), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10160), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13063), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13620), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1911] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4352), 1,
      sym_operator_identifier,
    ACTIONS(4354), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5723), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9978), 1,
      sym_identifier,
    STATE(10221), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16306), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2364), 2,
      sym_comment,
      sym_block_comment,
    STATE(5722), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2058] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4356), 1,
      sym_operator_identifier,
    ACTIONS(4358), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9169), 1,
      sym_colon_argument,
    STATE(9753), 1,
      sym_identifier,
    STATE(10420), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16216), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2365), 2,
      sym_comment,
      sym_block_comment,
    STATE(9163), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2205] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4360), 1,
      sym_operator_identifier,
    ACTIONS(4362), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8763), 1,
      sym_colon_argument,
    STATE(9825), 1,
      sym_identifier,
    STATE(10366), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16165), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2366), 2,
      sym_comment,
      sym_block_comment,
    STATE(8769), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2352] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4372), 1,
      anon_sym_EQ_GT,
    ACTIONS(4374), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      anon_sym_AT,
    ACTIONS(4380), 1,
      anon_sym_LPAREN,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(4384), 1,
      sym_operator_identifier,
    ACTIONS(4386), 1,
      sym_integer_literal,
    ACTIONS(4392), 1,
      sym__indent,
    STATE(6328), 1,
      sym__annotated_type,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(8013), 1,
      sym_identifier,
    STATE(8251), 1,
      sym_wildcard,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(10086), 1,
      sym_colon_argument,
    STATE(11026), 1,
      sym_literal_type,
    STATE(11065), 1,
      sym__non_null_literal,
    STATE(12130), 1,
      sym_template_body,
    STATE(12138), 1,
      sym__type,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(14819), 1,
      sym_parameter_types,
    STATE(16524), 1,
      sym_bindings,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4388), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4390), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2367), 2,
      sym_comment,
      sym_block_comment,
    STATE(9788), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10644), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11053), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12335), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2499] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4396), 1,
      sym_operator_identifier,
    ACTIONS(4398), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(7119), 1,
      sym_identifier,
    STATE(8024), 1,
      sym_wildcard,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9357), 1,
      sym_colon_argument,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16719), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2368), 2,
      sym_comment,
      sym_block_comment,
    STATE(9363), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2646] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4314), 1,
      sym__indent,
    ACTIONS(4400), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8172), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9945), 1,
      sym_identifier,
    STATE(10257), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16602), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2369), 2,
      sym_comment,
      sym_block_comment,
    STATE(8173), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2793] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4402), 1,
      sym_operator_identifier,
    ACTIONS(4404), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10034), 1,
      sym_identifier,
    STATE(10178), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(10756), 1,
      sym_colon_argument,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16331), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2370), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10758), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2940] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4282), 1,
      sym__indent,
    ACTIONS(4406), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9928), 1,
      sym_colon_argument,
    STATE(10051), 1,
      sym_identifier,
    STATE(10175), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16366), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2371), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9934), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3087] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4392), 1,
      sym__indent,
    ACTIONS(4408), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9970), 1,
      sym_identifier,
    STATE(10086), 1,
      sym_colon_argument,
    STATE(10231), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16524), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2372), 2,
      sym_comment,
      sym_block_comment,
    STATE(9788), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3234] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_EQ_GT,
    ACTIONS(4420), 1,
      anon_sym_LBRACK,
    ACTIONS(4424), 1,
      anon_sym_AT,
    ACTIONS(4426), 1,
      anon_sym_LPAREN,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(4430), 1,
      sym_operator_identifier,
    ACTIONS(4432), 1,
      sym_integer_literal,
    ACTIONS(4438), 1,
      sym__indent,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4441), 1,
      sym__annotated_type,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(4713), 1,
      sym_identifier,
    STATE(4859), 1,
      sym_wildcard,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(6565), 1,
      sym_colon_argument,
    STATE(8742), 1,
      sym_literal_type,
    STATE(8771), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11738), 1,
      sym__type,
    STATE(12606), 1,
      sym__infix_type_choice,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(16226), 1,
      sym_bindings,
    STATE(17195), 1,
      sym_stable_identifier,
    ACTIONS(4434), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4436), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2373), 2,
      sym_comment,
      sym_block_comment,
    STATE(6569), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7718), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9022), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11847), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3381] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4378), 1,
      anon_sym_AT,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4446), 1,
      anon_sym_EQ_GT,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4452), 1,
      anon_sym_LPAREN,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(4456), 1,
      sym_operator_identifier,
    ACTIONS(4458), 1,
      sym_integer_literal,
    ACTIONS(4464), 1,
      sym__indent,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4765), 1,
      sym_identifier,
    STATE(5440), 1,
      sym_wildcard,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(6926), 1,
      sym_colon_argument,
    STATE(9522), 1,
      sym_literal_type,
    STATE(9616), 1,
      sym__non_null_literal,
    STATE(12130), 1,
      sym_template_body,
    STATE(12138), 1,
      sym__type,
    STATE(12531), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(16501), 1,
      sym_bindings,
    STATE(16710), 1,
      sym_stable_identifier,
    ACTIONS(4460), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4462), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2374), 2,
      sym_comment,
      sym_block_comment,
    STATE(6932), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8486), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12335), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3528] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4468), 1,
      sym_operator_identifier,
    ACTIONS(4470), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8899), 1,
      sym_colon_argument,
    STATE(10067), 1,
      sym_identifier,
    STATE(10167), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16394), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2375), 2,
      sym_comment,
      sym_block_comment,
    STATE(8842), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3675] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_AT,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4476), 1,
      anon_sym_EQ_GT,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 1,
      anon_sym_LPAREN,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(4486), 1,
      sym_operator_identifier,
    ACTIONS(4488), 1,
      sym_integer_literal,
    ACTIONS(4494), 1,
      sym__indent,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4465), 1,
      sym__annotated_type,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(4597), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_wildcard,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(6478), 1,
      sym_colon_argument,
    STATE(8924), 1,
      sym_literal_type,
    STATE(8959), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11736), 1,
      sym__type,
    STATE(12453), 1,
      sym__infix_type_choice,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16364), 1,
      sym_stable_identifier,
    STATE(16630), 1,
      sym_bindings,
    ACTIONS(4490), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4492), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2376), 2,
      sym_comment,
      sym_block_comment,
    STATE(6471), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7881), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8768), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11855), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3822] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4498), 1,
      sym_operator_identifier,
    ACTIONS(4500), 1,
      sym__indent,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9502), 1,
      sym_colon_argument,
    STATE(9778), 1,
      sym_identifier,
    STATE(10402), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16196), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2377), 2,
      sym_comment,
      sym_block_comment,
    STATE(9486), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3969] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4176), 1,
      sym__indent,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4510), 1,
      anon_sym_EQ_GT,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4516), 1,
      anon_sym_AT,
    ACTIONS(4518), 1,
      anon_sym_LPAREN,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(4522), 1,
      sym_operator_identifier,
    ACTIONS(4524), 1,
      sym_integer_literal,
    STATE(4833), 1,
      sym__annotated_type,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(5760), 1,
      sym_identifier,
    STATE(6260), 1,
      sym_wildcard,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(8134), 1,
      sym_colon_argument,
    STATE(10196), 1,
      sym__non_null_literal,
    STATE(10312), 1,
      sym_literal_type,
    STATE(12618), 1,
      sym__infix_type_choice,
    STATE(13270), 1,
      sym_template_body,
    STATE(13313), 1,
      sym__type,
    STATE(15706), 1,
      sym_parameter_types,
    STATE(16283), 1,
      sym_bindings,
    STATE(17273), 1,
      sym_stable_identifier,
    ACTIONS(4526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2378), 2,
      sym_comment,
      sym_block_comment,
    STATE(8129), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10219), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13626), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4116] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    ACTIONS(4536), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4540), 1,
      anon_sym_EQ_GT,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(4546), 1,
      anon_sym_AT,
    ACTIONS(4548), 1,
      anon_sym_LPAREN,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(4552), 1,
      sym_operator_identifier,
    ACTIONS(4554), 1,
      sym_integer_literal,
    ACTIONS(4560), 1,
      sym__indent,
    STATE(4682), 1,
      sym__annotated_type,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(5110), 1,
      sym_identifier,
    STATE(5526), 1,
      sym_wildcard,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(7983), 1,
      sym_colon_argument,
    STATE(9966), 1,
      sym__non_null_literal,
    STATE(9993), 1,
      sym_literal_type,
    STATE(12608), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12919), 1,
      sym__type,
    STATE(15599), 1,
      sym_parameter_types,
    STATE(16256), 1,
      sym_bindings,
    STATE(17207), 1,
      sym_stable_identifier,
    ACTIONS(4556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4562), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2379), 2,
      sym_comment,
      sym_block_comment,
    STATE(7992), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9321), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9875), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12918), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13108), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4263] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4268), 1,
      anon_sym_AT,
    ACTIONS(4320), 1,
      sym__indent,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4568), 1,
      anon_sym_EQ_GT,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4574), 1,
      anon_sym_LPAREN,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4578), 1,
      sym_operator_identifier,
    ACTIONS(4580), 1,
      sym_integer_literal,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4519), 1,
      sym__annotated_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4890), 1,
      sym_identifier,
    STATE(5253), 1,
      sym_wildcard,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(6732), 1,
      sym_colon_argument,
    STATE(9523), 1,
      sym__non_null_literal,
    STATE(9658), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12099), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(16275), 1,
      sym_bindings,
    STATE(17027), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4586), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2380), 2,
      sym_comment,
      sym_block_comment,
    STATE(6797), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9476), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12356), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4410] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4596), 1,
      anon_sym_EQ_GT,
    ACTIONS(4598), 1,
      anon_sym_LBRACK,
    ACTIONS(4602), 1,
      anon_sym_AT,
    ACTIONS(4604), 1,
      anon_sym_LPAREN,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(4608), 1,
      sym_operator_identifier,
    ACTIONS(4610), 1,
      sym_integer_literal,
    ACTIONS(4616), 1,
      sym__indent,
    STATE(7203), 1,
      sym__annotated_type,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(8550), 1,
      sym_identifier,
    STATE(8865), 1,
      sym_wildcard,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10138), 1,
      sym_colon_argument,
    STATE(10936), 1,
      sym_template_body,
    STATE(11337), 1,
      sym_literal_type,
    STATE(11340), 1,
      sym__non_null_literal,
    STATE(12380), 1,
      sym__infix_type_choice,
    STATE(12619), 1,
      sym__type,
    STATE(14828), 1,
      sym_parameter_types,
    STATE(16482), 1,
      sym_stable_identifier,
    STATE(17011), 1,
      sym_bindings,
    ACTIONS(4612), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4614), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4618), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2381), 2,
      sym_comment,
      sym_block_comment,
    STATE(10141), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10811), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11288), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12720), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4557] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      sym__indent,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4624), 1,
      anon_sym_EQ_GT,
    ACTIONS(4626), 1,
      anon_sym_LBRACK,
    ACTIONS(4630), 1,
      anon_sym_LPAREN,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(4634), 1,
      sym_operator_identifier,
    ACTIONS(4636), 1,
      sym_integer_literal,
    STATE(5602), 1,
      sym__annotated_type,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(7043), 1,
      sym_identifier,
    STATE(7889), 1,
      sym_wildcard,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(9502), 1,
      sym_colon_argument,
    STATE(10841), 1,
      sym__non_null_literal,
    STATE(10887), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11738), 1,
      sym__type,
    STATE(12605), 1,
      sym__infix_type_choice,
    STATE(15354), 1,
      sym_parameter_types,
    STATE(16196), 1,
      sym_bindings,
    STATE(17189), 1,
      sym_stable_identifier,
    ACTIONS(4638), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4642), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2382), 2,
      sym_comment,
      sym_block_comment,
    STATE(9486), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10874), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11847), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4704] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4362), 1,
      sym__indent,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4646), 1,
      anon_sym_COLON,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4652), 1,
      anon_sym_EQ_GT,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(4658), 1,
      anon_sym_AT,
    ACTIONS(4660), 1,
      anon_sym_LPAREN,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(4664), 1,
      sym_operator_identifier,
    ACTIONS(4666), 1,
      sym_integer_literal,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5225), 1,
      sym__annotated_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(6271), 1,
      sym_identifier,
    STATE(7118), 1,
      sym_wildcard,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(8763), 1,
      sym_colon_argument,
    STATE(10492), 1,
      sym_literal_type,
    STATE(10515), 1,
      sym__non_null_literal,
    STATE(12571), 1,
      sym__infix_type_choice,
    STATE(13359), 1,
      sym__type,
    STATE(13485), 1,
      sym_template_body,
    STATE(14965), 1,
      sym_parameter_types,
    STATE(16165), 1,
      sym_bindings,
    STATE(17063), 1,
      sym_stable_identifier,
    ACTIONS(4668), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4670), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4672), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8769), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9892), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10588), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13531), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13805), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4851] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4438), 1,
      sym__indent,
    ACTIONS(4674), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(6565), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9827), 1,
      sym_identifier,
    STATE(10357), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16226), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2384), 2,
      sym_comment,
      sym_block_comment,
    STATE(6569), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4998] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4494), 1,
      sym__indent,
    ACTIONS(4676), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(6478), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9907), 1,
      sym_identifier,
    STATE(10282), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16630), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2385), 2,
      sym_comment,
      sym_block_comment,
    STATE(6471), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5145] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__indent,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4686), 1,
      anon_sym_EQ_GT,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4692), 1,
      anon_sym_AT,
    ACTIONS(4694), 1,
      anon_sym_LPAREN,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(4698), 1,
      sym_operator_identifier,
    ACTIONS(4700), 1,
      sym_integer_literal,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(6534), 1,
      sym_identifier,
    STATE(7304), 1,
      sym_wildcard,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(8899), 1,
      sym_colon_argument,
    STATE(10493), 1,
      sym__non_null_literal,
    STATE(10526), 1,
      sym_literal_type,
    STATE(11220), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12548), 1,
      sym__infix_type_choice,
    STATE(15716), 1,
      sym_parameter_types,
    STATE(16394), 1,
      sym_bindings,
    STATE(16966), 1,
      sym_stable_identifier,
    ACTIONS(4702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4706), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2386), 2,
      sym_comment,
      sym_block_comment,
    STATE(8842), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10655), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11684), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5292] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4602), 1,
      anon_sym_AT,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      anon_sym_EQ_GT,
    ACTIONS(4714), 1,
      anon_sym_LBRACK,
    ACTIONS(4718), 1,
      anon_sym_LPAREN,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4722), 1,
      sym_operator_identifier,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(4730), 1,
      sym__indent,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4666), 1,
      sym__annotated_type,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(5241), 1,
      sym_identifier,
    STATE(5791), 1,
      sym_wildcard,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(7782), 1,
      sym_colon_argument,
    STATE(10064), 1,
      sym_literal_type,
    STATE(10065), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(12619), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16376), 1,
      sym_stable_identifier,
    STATE(16804), 1,
      sym_bindings,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2387), 2,
      sym_comment,
      sym_block_comment,
    STATE(7781), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9218), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9748), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12720), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5439] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4616), 1,
      sym__indent,
    ACTIONS(4734), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10007), 1,
      sym_identifier,
    STATE(10138), 1,
      sym_colon_argument,
    STATE(10240), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(17011), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2388), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10141), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5586] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4180), 1,
      sym__indent,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4738), 1,
      anon_sym_COLON,
    ACTIONS(4740), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_LBRACK,
    ACTIONS(4750), 1,
      anon_sym_AT,
    ACTIONS(4752), 1,
      anon_sym_LPAREN,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4756), 1,
      sym_operator_identifier,
    ACTIONS(4758), 1,
      sym_integer_literal,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4626), 1,
      sym__annotated_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(5422), 1,
      sym_identifier,
    STATE(5673), 1,
      sym_wildcard,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(7582), 1,
      sym_colon_argument,
    STATE(9776), 1,
      sym__non_null_literal,
    STATE(9953), 1,
      sym_literal_type,
    STATE(12596), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12813), 1,
      sym__type,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(16182), 1,
      sym_bindings,
    STATE(17165), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2389), 2,
      sym_comment,
      sym_block_comment,
    STATE(7577), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8818), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12810), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13206), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5733] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__indent,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4768), 1,
      anon_sym_COLON,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4774), 1,
      anon_sym_EQ_GT,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4780), 1,
      anon_sym_AT,
    ACTIONS(4782), 1,
      anon_sym_LPAREN,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(4786), 1,
      sym_operator_identifier,
    ACTIONS(4788), 1,
      sym_integer_literal,
    STATE(5154), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(6780), 1,
      sym_wildcard,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(9169), 1,
      sym_colon_argument,
    STATE(10516), 1,
      sym_literal_type,
    STATE(10556), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13405), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(14851), 1,
      sym_parameter_types,
    STATE(16216), 1,
      sym_bindings,
    STATE(17051), 1,
      sym_stable_identifier,
    ACTIONS(4790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2390), 2,
      sym_comment,
      sym_block_comment,
    STATE(9163), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10008), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10597), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13403), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13811), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5880] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4250), 1,
      sym__indent,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4798), 1,
      anon_sym_COLON,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4804), 1,
      anon_sym_EQ_GT,
    ACTIONS(4806), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 1,
      anon_sym_AT,
    ACTIONS(4812), 1,
      anon_sym_LPAREN,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(4816), 1,
      sym_operator_identifier,
    ACTIONS(4818), 1,
      sym_integer_literal,
    STATE(4762), 1,
      sym__annotated_type,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5485), 1,
      sym_identifier,
    STATE(6637), 1,
      sym_wildcard,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(8333), 1,
      sym_colon_argument,
    STATE(10171), 1,
      sym__non_null_literal,
    STATE(10235), 1,
      sym_literal_type,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13250), 1,
      sym_template_body,
    STATE(13278), 1,
      sym__type,
    STATE(14961), 1,
      sym_parameter_types,
    STATE(16436), 1,
      sym_bindings,
    STATE(16784), 1,
      sym_stable_identifier,
    ACTIONS(4820), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4822), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4824), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2391), 2,
      sym_comment,
      sym_block_comment,
    STATE(8343), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9411), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10281), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13198), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13364), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6027] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4834), 1,
      anon_sym_EQ_GT,
    ACTIONS(4836), 1,
      anon_sym_LBRACK,
    ACTIONS(4840), 1,
      anon_sym_AT,
    ACTIONS(4842), 1,
      anon_sym_LPAREN,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(4846), 1,
      sym_operator_identifier,
    ACTIONS(4848), 1,
      sym_integer_literal,
    ACTIONS(4854), 1,
      sym__indent,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5231), 1,
      sym__annotated_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(6513), 1,
      sym_identifier,
    STATE(7328), 1,
      sym_wildcard,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(8993), 1,
      sym_colon_argument,
    STATE(10465), 1,
      sym__non_null_literal,
    STATE(10659), 1,
      sym_literal_type,
    STATE(12604), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13535), 1,
      sym__type,
    STATE(15190), 1,
      sym_parameter_types,
    STATE(16166), 1,
      sym_bindings,
    STATE(17183), 1,
      sym_stable_identifier,
    ACTIONS(4850), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4852), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2392), 2,
      sym_comment,
      sym_block_comment,
    STATE(8994), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10551), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13344), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13688), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6174] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4560), 1,
      sym__indent,
    ACTIONS(4858), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(7983), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9880), 1,
      sym_identifier,
    STATE(10325), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16256), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2393), 2,
      sym_comment,
      sym_block_comment,
    STATE(7992), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6321] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4868), 1,
      anon_sym_EQ_GT,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(4874), 1,
      anon_sym_AT,
    ACTIONS(4876), 1,
      anon_sym_LPAREN,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(4880), 1,
      sym_operator_identifier,
    ACTIONS(4882), 1,
      sym_integer_literal,
    STATE(5490), 1,
      sym__annotated_type,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(7272), 1,
      sym_identifier,
    STATE(7700), 1,
      sym_wildcard,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(9692), 1,
      sym_colon_argument,
    STATE(10829), 1,
      sym__non_null_literal,
    STATE(10903), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12523), 1,
      sym__infix_type_choice,
    STATE(13699), 1,
      sym__type,
    STATE(15193), 1,
      sym_parameter_types,
    STATE(16552), 1,
      sym_stable_identifier,
    STATE(16562), 1,
      sym_bindings,
    ACTIONS(4884), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4886), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4888), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2394), 2,
      sym_comment,
      sym_block_comment,
    STATE(9691), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10209), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13973), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6468] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4730), 1,
      sym__indent,
    ACTIONS(4890), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(7782), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10021), 1,
      sym_identifier,
    STATE(10202), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16804), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2395), 2,
      sym_comment,
      sym_block_comment,
    STATE(7781), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6615] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4464), 1,
      sym__indent,
    ACTIONS(4892), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(6926), 1,
      sym_colon_argument,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10126), 1,
      sym_identifier,
    STATE(10190), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(16501), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2396), 2,
      sym_comment,
      sym_block_comment,
    STATE(6932), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6762] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4354), 1,
      sym__indent,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4692), 1,
      anon_sym_AT,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4898), 1,
      anon_sym_EQ_GT,
    ACTIONS(4900), 1,
      anon_sym_LBRACK,
    ACTIONS(4904), 1,
      anon_sym_LPAREN,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4908), 1,
      sym_operator_identifier,
    ACTIONS(4910), 1,
      sym_integer_literal,
    STATE(4303), 1,
      sym__annotated_type,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(4534), 1,
      sym_identifier,
    STATE(4595), 1,
      sym_wildcard,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(5723), 1,
      sym_colon_argument,
    STATE(8123), 1,
      sym_literal_type,
    STATE(8220), 1,
      sym__non_null_literal,
    STATE(11220), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12557), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(16306), 1,
      sym_bindings,
    STATE(17010), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2397), 2,
      sym_comment,
      sym_block_comment,
    STATE(5722), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(6676), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8488), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11684), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6909] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4854), 1,
      sym__indent,
    ACTIONS(4918), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8993), 1,
      sym_colon_argument,
    STATE(10006), 1,
      sym_identifier,
    STATE(10215), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(13784), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16166), 1,
      sym_bindings,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2398), 2,
      sym_comment,
      sym_block_comment,
    STATE(8994), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13890), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [7056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4922), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4920), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4926), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4924), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4922), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4920), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4932), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4934), 51,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4926), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4924), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7647] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(4938), 1,
      anon_sym_inline,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4942), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8727), 1,
      sym_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(14556), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15349), 1,
      sym_parameter,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2407), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15192), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7792] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(4938), 1,
      anon_sym_inline,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4942), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8727), 1,
      sym_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(14551), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15346), 1,
      sym_parameter,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2408), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15352), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7937] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4956), 1,
      anon_sym_implicit,
    ACTIONS(4958), 1,
      anon_sym_inline,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4962), 1,
      anon_sym_using,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9349), 1,
      sym_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15000), 1,
      sym_parameter,
    STATE(15003), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2409), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8084] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4956), 1,
      anon_sym_implicit,
    ACTIONS(4958), 1,
      anon_sym_inline,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4962), 1,
      anon_sym_using,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9349), 1,
      sym_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(14927), 1,
      sym__type,
    STATE(15000), 1,
      sym_parameter,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2410), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8231] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(4938), 1,
      anon_sym_inline,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4942), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(8727), 1,
      sym_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(14729), 1,
      sym__type,
    STATE(14746), 1,
      sym_parameter,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2411), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14737), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8376] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14241), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2412), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8512] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14285), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2413), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8648] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14237), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2414), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8784] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14329), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2415), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8920] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14409), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2416), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9056] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14170), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2417), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9192] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14205), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2418), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9328] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14304), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2419), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9464] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14403), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2420), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9600] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14186), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2421), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9736] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14224), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2422), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9872] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14247), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2423), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10008] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14267), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2424), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10144] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14211), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2425), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10280] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14396), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2426), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10416] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14316), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2427), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10552] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14210), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2428), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10688] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14260), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2429), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10824] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14204), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2430), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10960] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14291), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2431), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11096] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14314), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2432), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11232] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14311), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2433), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11368] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14218), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2434), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11504] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9029), 1,
      sym_identifier,
    STATE(9585), 1,
      sym_wildcard,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14227), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(14868), 1,
      sym_binding,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2435), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11640] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2436), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11771] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14330), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2437), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11902] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4980), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2438), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12033] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14346), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2439), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12164] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14241), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2440), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12295] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14371), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2441), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12426] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4982), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2442), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12557] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2443), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12688] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2444), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12819] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2445), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12950] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2446), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13081] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14394), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2447), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13212] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4992), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2448), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13343] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14285), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2449), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13474] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4994), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2450), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13605] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14186), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2451), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13736] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4996), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2452), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13867] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4998), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2453), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13998] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14417), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2454), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14129] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2455), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14260] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2456), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14391] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14389), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2457), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14522] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14403), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2458), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14653] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14396), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2459), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14784] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5004), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2460), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14915] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14361), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2461), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15046] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14261), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2462), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15177] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14316), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2463), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15308] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14304), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2464), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15439] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14345), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2465), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15570] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14260), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2466), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15701] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14205), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2467), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15832] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5006), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2468), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15963] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5008), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2469), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16094] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14256), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2470), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16225] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5010), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2471), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16356] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5012), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2472), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16487] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2473), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16618] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14204), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2474), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16749] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5016), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2475), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16880] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5018), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2476), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17011] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14170), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2477), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17142] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14194), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2478), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17273] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5020), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2479), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17404] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14167), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2480), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17535] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2481), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17666] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14224), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2482), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17797] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2483), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17928] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14328), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2484), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18059] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2485), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18190] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2486), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18321] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14291), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2487), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18452] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14356), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2488), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18583] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2489), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18714] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14284), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2490), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18845] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14407), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2491), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18976] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2492), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19107] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2493), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19238] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14314), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2494), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19369] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2495), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19500] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5038), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2496), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19631] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14370), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2497), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19762] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14339), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2498), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19893] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14343), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2499), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20024] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2500), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20155] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2501), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20286] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14283), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2502), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20417] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14415), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2503), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20548] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14227), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2504), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20679] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5044), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2505), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20810] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14211), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2506), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20941] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5046), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2507), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21072] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14216), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2508), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21203] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14295), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2509), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21334] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14267), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2510), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21465] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5048), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2511), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21596] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14409), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2512), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21727] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14311), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2513), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21858] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14281), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2514), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21989] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5050), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2515), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22120] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14247), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2516), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22251] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14372), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2517), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22382] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14237), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2518), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22513] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14203), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2519), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22644] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5052), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2520), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22775] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14255), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2521), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22906] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2522), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23037] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14210), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2523), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23168] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5056), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2524), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23299] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2525), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23430] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14366), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2526), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23561] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14231), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2527), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23692] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14369), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2528), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23823] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2529), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23954] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14268), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2530), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24085] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5062), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2531), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24216] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14383), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2532), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24347] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14337), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2533), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24478] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2534), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24609] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14218), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2535), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24740] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14172), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2536), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24871] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14336), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2537), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25002] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5066), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2538), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25133] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14329), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2539), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15345), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25264] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5068), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2540), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25395] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5070), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2541), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25526] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5072), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2542), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25657] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2543), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25788] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2544), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25919] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [25992] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5078), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2546), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26123] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5080), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2547), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26254] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2548), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26385] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2549), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26516] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5086), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2550), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26647] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5088), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2551), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26778] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5090), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2552), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26909] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5092), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2553), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27040] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5094), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2554), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27171] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2555), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27302] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2556), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27433] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2557), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27564] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2558), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27695] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2559), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27826] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2560), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27957] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2561), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28088] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5110), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15303), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2562), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28219] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15543), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2563), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15939), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28347] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15581), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2564), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15928), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28475] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14508), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2565), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15794), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28603] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14713), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2566), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14889), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28731] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(15269), 1,
      sym__type,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2567), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15997), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28859] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14673), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2568), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15053), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28987] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14725), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2569), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14859), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29115] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14731), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2570), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14811), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29243] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29315] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14581), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2572), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15659), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29443] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29515] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14636), 1,
      sym__type,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2574), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15239), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29643] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29714] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29856] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29927] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15953), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(5114), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2579), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30052] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5118), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2580), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30176] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5120), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2581), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30300] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [30370] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2583), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30494] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5124), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2584), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30618] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5126), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2585), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30742] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5128), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2586), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30866] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5130), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2587), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5132), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2588), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31114] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5134), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2589), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31238] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2590), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31362] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2591), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31486] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5140), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2592), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31610] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5142), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2593), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31734] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5144), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2594), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31858] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2595), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31982] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5148), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2596), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32106] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5150), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2597), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32230] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2598), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32354] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5154), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2599), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32478] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2600), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32602] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5158), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2601), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32726] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5160), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32850] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5162), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2603), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32974] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5164), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2604), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5166), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2605), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33222] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5168), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2606), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33346] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2607), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33470] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5172), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2608), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33594] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2609), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33718] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2610), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33842] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5178), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2611), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33966] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5180), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2612), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34090] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5182), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2613), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34214] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34338] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5186), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2615), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34462] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5188), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2616), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34586] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5190), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2617), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34710] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5192), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2618), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34834] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5194), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2619), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34958] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2620), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35082] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5198), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2621), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35206] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5200), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2622), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35330] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5202), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35454] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5204), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2624), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35578] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5206), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2625), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35702] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2626), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35826] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2627), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35950] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5212), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2628), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36074] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5214), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2629), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36198] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5216), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2630), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36322] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5218), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2631), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36446] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5220), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2632), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36570] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5222), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2633), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36694] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5224), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2634), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36818] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36942] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5228), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2636), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37066] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2637), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37190] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5232), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2638), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37314] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5234), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2639), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37438] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5236), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37562] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5238), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37686] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5240), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37810] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2643), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37934] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38058] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5246), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2645), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38182] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5248), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2646), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38306] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5250), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38430] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5252), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2648), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38554] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5254), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2649), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38678] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5256), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2650), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38802] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5258), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38926] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5260), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39050] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39174] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5264), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39298] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5266), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2655), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39422] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5268), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2656), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39546] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2657), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39670] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5272), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5274), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39918] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5276), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2660), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40042] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5278), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2661), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40166] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5280), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2662), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40290] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5282), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2663), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40414] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5284), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2664), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40538] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5286), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40662] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5288), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40786] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5290), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40910] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2668), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41034] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5294), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2669), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41158] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5296), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2670), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41282] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5298), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41406] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2672), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41530] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5302), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41654] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5304), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2674), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41778] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5306), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2675), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5308), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42026] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5310), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42150] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5312), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2678), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42274] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5314), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42398] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5316), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2680), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42522] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5318), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2681), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42646] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5320), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2682), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42770] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5322), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42894] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5324), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43018] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5326), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2685), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43142] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5328), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43266] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5330), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43390] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5332), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2688), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43514] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5334), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43638] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5336), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43762] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5338), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43886] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5340), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2692), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5342), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2693), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44134] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5344), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44258] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5346), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2695), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44382] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5348), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44506] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5350), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44630] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5352), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2698), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44754] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5354), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2699), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44878] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5356), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2700), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45002] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5358), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2701), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45126] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5360), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2702), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45250] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5362), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2703), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45374] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5364), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2704), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45498] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5366), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2705), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45622] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5368), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2706), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45746] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5370), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45870] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5372), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45994] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5374), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2709), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46118] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5376), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46242] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2711), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46366] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5380), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2712), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5382), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2713), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46614] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5384), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2714), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46738] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5386), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46862] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5388), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46986] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5390), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2717), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47110] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5392), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2718), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47234] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5394), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2719), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47358] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5396), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2720), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47482] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5398), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2721), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47606] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5400), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2722), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47730] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5402), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47854] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5404), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2724), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47978] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5406), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48102] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5408), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48226] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5410), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48350] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5412), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2728), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48474] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5414), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5416), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48722] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5418), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48846] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5420), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48970] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5422), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49094] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2734), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49218] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2735), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49342] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5428), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2736), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49466] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5430), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2737), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49590] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5432), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2738), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49714] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5434), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49838] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5436), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49962] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50086] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2742), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50210] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5442), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50334] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5444), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50458] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50582] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5448), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50706] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5450), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50830] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5452), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50954] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5454), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2749), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51078] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5456), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51202] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5458), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2751), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51326] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2752), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51450] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5462), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51574] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5464), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2754), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51698] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5466), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51822] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5468), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51946] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52070] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5472), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52194] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5474), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52318] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5476), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2760), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52442] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5478), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2761), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52566] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5480), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52690] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5482), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2763), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52814] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2764), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52938] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5486), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2765), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53062] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5488), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53186] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2767), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53310] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5492), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53434] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53558] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5496), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53682] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5498), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53806] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5500), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53930] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2773), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54054] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5504), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54178] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5506), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54302] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5508), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54426] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5510), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54550] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5512), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2778), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54674] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5514), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54798] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5516), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2780), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54922] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55046] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5520), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55170] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5522), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5524), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2784), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55418] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5526), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55542] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2786), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55666] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5530), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2787), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55790] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5532), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2788), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55914] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56038] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5536), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56162] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56286] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5540), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56410] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5542), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56534] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56658] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5546), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56782] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5548), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56906] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5550), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2797), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57030] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5552), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2798), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57154] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5554), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2799), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57278] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5556), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2800), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5558), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2801), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57526] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5560), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57650] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5562), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57774] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5564), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2804), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57898] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5566), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58022] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5568), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58146] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5570), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58270] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5572), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58394] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5574), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58518] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5576), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58642] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5578), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58766] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5580), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58890] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5582), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59014] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5584), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2814), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59138] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5586), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59262] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5588), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59386] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5590), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5592), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2818), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59634] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5594), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2819), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59758] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59882] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5598), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60006] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5600), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60130] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2823), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60254] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2824), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60378] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5606), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2825), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60502] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2826), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60626] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5610), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60750] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5612), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2828), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60874] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5614), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60998] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5616), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2830), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61122] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61246] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5620), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2832), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61370] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5622), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61494] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5624), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61618] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5626), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61742] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5628), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61866] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62114] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62238] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62362] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5638), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2841), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62486] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5640), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2842), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62610] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5642), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2843), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62734] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5644), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62858] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2845), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62982] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5648), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2846), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63106] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5650), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2847), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63230] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2848), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63354] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63478] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5656), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2850), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63602] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5658), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2851), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63726] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5660), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2852), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63850] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2853), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63974] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2854), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5666), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2855), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64222] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5668), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2856), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64346] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5670), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2857), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64470] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5672), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2858), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64594] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5674), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2859), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64718] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5676), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2860), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64842] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2861), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64966] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5680), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2862), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65090] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2863), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65214] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5684), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65338] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5686), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2865), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65462] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5688), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2866), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65586] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5690), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2867), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65710] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2868), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65834] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2869), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65958] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2870), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66082] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5698), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2871), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66206] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5700), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2872), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66330] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5702), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2873), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66454] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5704), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2874), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66578] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5706), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2875), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66702] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5708), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2876), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66826] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5710), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2877), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66950] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5712), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2878), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67074] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5714), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2879), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67198] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5716), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2880), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67322] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2881), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67446] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2882), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67570] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5722), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2883), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67694] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2884), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67818] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2885), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67942] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5728), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2886), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68066] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5730), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2887), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68190] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5732), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2888), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68314] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5734), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2889), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68438] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5736), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2890), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68562] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5738), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2891), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68686] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5740), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2892), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68810] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5742), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68934] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2894), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69058] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5746), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2895), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69182] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2896), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69306] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5750), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2897), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69430] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5752), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69554] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2899), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69678] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5756), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2900), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69802] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2901), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69926] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5760), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70050] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5762), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2903), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70174] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2904), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70298] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2905), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70422] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5768), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70546] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5770), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2907), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70670] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5772), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2908), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2909), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70918] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5776), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2910), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71042] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5778), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2911), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71166] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5780), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2912), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71290] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5782), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2913), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71414] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5784), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2914), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71538] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5786), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2915), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71662] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5788), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2916), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71786] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5790), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2917), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71910] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5792), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2918), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72034] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5794), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2919), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72158] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5796), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2920), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72282] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5798), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2921), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72406] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2922), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72530] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5802), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2923), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72654] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2924), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72778] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5806), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2925), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5808), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2926), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73026] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5810), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2927), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73150] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2928), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73274] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2929), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73398] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5816), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2930), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73522] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5818), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2931), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73646] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5820), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2932), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73770] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5822), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2933), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73894] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5824), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2934), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74018] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2935), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74142] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5828), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2936), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74266] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5830), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2937), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74390] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2938), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74514] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2939), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74638] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2940), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74762] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5838), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2941), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74886] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2942), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2943), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75134] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5844), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2944), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75258] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2945), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75382] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2946), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75506] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2947), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75630] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5852), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2948), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75754] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5854), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2949), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75878] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5856), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2950), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76002] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5858), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2951), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76126] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5860), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2952), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76250] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5862), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76374] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5864), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2954), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76498] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5866), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76622] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5868), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2956), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76746] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2957), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76870] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2958), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76994] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5874), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2959), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77118] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2960), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77242] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2961), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77366] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2962), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5882), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2963), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77614] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5884), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77738] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5886), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2965), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77862] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2966), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77986] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5890), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2967), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78110] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2968), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78234] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5894), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2969), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78358] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5896), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2970), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78482] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5898), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2971), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78606] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5900), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2972), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78730] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2973), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78854] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5904), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2974), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78978] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2975), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79102] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5908), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2976), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79226] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5910), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2977), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79350] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5912), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2978), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79474] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5914), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2979), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2980), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79722] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5918), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2981), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79846] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5920), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2982), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79970] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2983), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80094] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5924), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2984), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80218] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5926), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2985), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80342] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5928), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2986), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80466] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5930), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2987), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80590] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2988), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80714] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5934), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2989), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80838] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5936), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2990), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80962] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2991), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81086] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5940), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2992), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81210] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2993), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81334] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5944), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2994), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81458] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2995), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [81652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5948), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2997), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81776] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5950), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2998), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81900] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2999), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82024] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5954), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3000), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82148] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5956), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3001), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82272] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3002), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82396] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3003), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82520] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5962), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3004), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82644] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5964), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3005), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82768] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3006), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82892] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5968), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3007), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83016] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5970), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3008), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83140] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5972), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3009), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83264] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5974), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3010), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83388] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5976), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3011), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83512] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3012), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83636] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5980), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3013), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5982), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3014), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83884] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5984), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3015), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84008] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5986), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3016), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84132] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5988), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3017), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84256] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5990), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3018), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84380] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3019), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84504] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5994), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3020), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84628] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5996), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3021), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84752] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5998), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3022), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84876] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6000), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3023), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85000] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6002), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3024), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85124] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6004), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3025), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85248] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6006), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3026), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85372] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3027), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85496] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3028), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85620] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3029), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85744] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3030), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85868] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6016), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3031), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85992] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6018), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3032), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86116] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6020), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3033), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6022), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3034), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86364] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6024), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3035), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86488] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6026), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3036), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86612] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3037), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86736] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6030), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3038), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86860] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6032), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3039), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86984] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6034), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3040), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87108] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3041), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87232] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3042), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87356] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3043), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87480] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6042), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3044), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87604] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6044), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3045), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87728] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3046), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87852] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6048), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3047), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87976] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6050), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3048), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88100] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6052), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3049), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88224] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6054), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3050), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6056), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3051), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88472] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6058), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3052), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88596] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6060), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3053), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88720] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6062), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3054), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88844] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3055), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88968] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6066), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3056), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89092] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6068), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3057), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89216] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6070), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3058), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89340] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6072), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3059), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89464] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6074), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3060), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89588] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6076), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3061), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89712] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6078), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3062), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89836] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6080), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3063), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89960] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6082), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3064), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90084] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6084), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3065), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90208] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6086), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3066), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90332] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6088), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3067), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90456] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6090), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3068), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90580] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6092), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3069), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90704] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [90774] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6094), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3071), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90898] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6096), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3072), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91022] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6098), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3073), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91146] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6100), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3074), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91270] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6102), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3075), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91394] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6104), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3076), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91518] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6106), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3077), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91642] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6108), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3078), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91766] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6110), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3079), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91890] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [91960] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6112), 1,
      anon_sym_RBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3081), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17070), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3082), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92205] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1234), 1,
      sym_integer_literal,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_LPAREN,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5317), 1,
      sym__annotated_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(10485), 1,
      sym_literal_type,
    STATE(10631), 1,
      sym__non_null_literal,
    STATE(12620), 1,
      sym__infix_type_choice,
    STATE(13056), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15476), 1,
      sym_parameter_types,
    STATE(17279), 1,
      sym_stable_identifier,
    ACTIONS(1236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3083), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8538), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9946), 1,
      sym__annotated_type,
    STATE(12499), 1,
      sym__infix_type_choice,
    STATE(12717), 1,
      sym__non_null_literal,
    STATE(12721), 1,
      sym_literal_type,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_template_body,
    STATE(17859), 1,
      sym__type,
    ACTIONS(3314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3084), 2,
      sym_comment,
      sym_block_comment,
    STATE(10823), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16437), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17845), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92447] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14492), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3085), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8984), 1,
      sym__annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11986), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12513), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3086), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92689] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15317), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3087), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92810] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15136), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3088), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92931] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8984), 1,
      sym__annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11799), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12513), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3089), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93052] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15313), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3090), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93173] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15133), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3091), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93294] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8984), 1,
      sym__annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11958), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12513), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3092), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93415] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1714), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6392), 1,
      sym__annotated_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(11068), 1,
      sym_literal_type,
    STATE(11132), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(12065), 1,
      sym__type,
    STATE(12613), 1,
      sym__infix_type_choice,
    STATE(15555), 1,
      sym_parameter_types,
    STATE(17243), 1,
      sym_stable_identifier,
    ACTIONS(1716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1722), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3093), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9713), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10519), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93536] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8984), 1,
      sym__annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11955), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12513), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3094), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93657] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9946), 1,
      sym__annotated_type,
    STATE(12499), 1,
      sym__infix_type_choice,
    STATE(12717), 1,
      sym__non_null_literal,
    STATE(12721), 1,
      sym_literal_type,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_template_body,
    STATE(17868), 1,
      sym__type,
    ACTIONS(3314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3095), 2,
      sym_comment,
      sym_block_comment,
    STATE(10823), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16437), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17845), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93778] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14493), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3096), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93899] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9946), 1,
      sym__annotated_type,
    STATE(12499), 1,
      sym__infix_type_choice,
    STATE(12717), 1,
      sym__non_null_literal,
    STATE(12721), 1,
      sym_literal_type,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_template_body,
    STATE(17867), 1,
      sym__type,
    ACTIONS(3314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3097), 2,
      sym_comment,
      sym_block_comment,
    STATE(10823), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16437), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17845), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94020] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9946), 1,
      sym__annotated_type,
    STATE(12499), 1,
      sym__infix_type_choice,
    STATE(12717), 1,
      sym__non_null_literal,
    STATE(12721), 1,
      sym_literal_type,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_template_body,
    STATE(17866), 1,
      sym__type,
    ACTIONS(3314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3098), 2,
      sym_comment,
      sym_block_comment,
    STATE(10823), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16437), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17845), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94141] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9946), 1,
      sym__annotated_type,
    STATE(12499), 1,
      sym__infix_type_choice,
    STATE(12717), 1,
      sym__non_null_literal,
    STATE(12721), 1,
      sym_literal_type,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_template_body,
    STATE(17862), 1,
      sym__type,
    ACTIONS(3314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3099), 2,
      sym_comment,
      sym_block_comment,
    STATE(10823), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16437), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17845), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94262] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8984), 1,
      sym__annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11930), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12513), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3100), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94383] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15118), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3101), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94504] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      sym_integer_literal,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6178), 1,
      anon_sym_COLON,
    ACTIONS(6180), 1,
      anon_sym_LBRACE,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_LPAREN,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    STATE(5672), 1,
      sym__annotated_type,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(10700), 1,
      sym__non_null_literal,
    STATE(10799), 1,
      sym_literal_type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13753), 1,
      sym__type,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17231), 1,
      sym_stable_identifier,
    ACTIONS(1468), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1470), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3102), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10129), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94625] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15661), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3103), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94746] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10827), 1,
      sym__type,
    STATE(10883), 1,
      sym_template_body,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3104), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94867] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10825), 1,
      sym__type,
    STATE(10883), 1,
      sym_template_body,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3105), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10822), 1,
      sym__type,
    STATE(10883), 1,
      sym_template_body,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3106), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95109] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10837), 1,
      sym__type,
    STATE(10883), 1,
      sym_template_body,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3107), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15115), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3108), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95351] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_LPAREN,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym__annotated_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(9406), 1,
      sym__non_null_literal,
    STATE(9492), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(12065), 1,
      sym__type,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(15610), 1,
      sym_parameter_types,
    STATE(17255), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3109), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6457), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14494), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3110), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95593] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15082), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3111), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15429), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3112), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95835] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6238), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8109), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(11572), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym_literal_type,
    STATE(11799), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(6250), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6254), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3113), 2,
      sym_comment,
      sym_block_comment,
    STATE(11077), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11561), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95956] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6238), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8109), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(11572), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym_literal_type,
    STATE(11930), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(6250), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6254), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3114), 2,
      sym_comment,
      sym_block_comment,
    STATE(11077), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11561), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96077] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6238), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8109), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(11572), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym_literal_type,
    STATE(11955), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(6250), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6254), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3115), 2,
      sym_comment,
      sym_block_comment,
    STATE(11077), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11561), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96198] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10790), 1,
      sym__type,
    STATE(10883), 1,
      sym_template_body,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3116), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96319] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15372), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3117), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96440] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15357), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3118), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96561] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6238), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8109), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(11572), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym_literal_type,
    STATE(11958), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(6250), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6254), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3119), 2,
      sym_comment,
      sym_block_comment,
    STATE(11077), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11561), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96682] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6238), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8109), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(11572), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym_literal_type,
    STATE(11986), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(6250), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6254), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3120), 2,
      sym_comment,
      sym_block_comment,
    STATE(11077), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11561), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96803] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14491), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3121), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96924] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1360), 1,
      sym_integer_literal,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6258), 1,
      anon_sym_COLON,
    ACTIONS(6260), 1,
      anon_sym_LBRACE,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6264), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_LPAREN,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(10234), 1,
      sym__non_null_literal,
    STATE(10289), 1,
      sym_literal_type,
    STATE(12617), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(13149), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17261), 1,
      sym_stable_identifier,
    ACTIONS(1362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3122), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97045] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17067), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3123), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97166] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15100), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3124), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97287] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14386), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3125), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97408] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15097), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3126), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97529] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14163), 1,
      sym__type,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3127), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97650] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6298), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(6308), 1,
      sym_integer_literal,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym__annotated_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11182), 1,
      sym_literal_type,
    STATE(11183), 1,
      sym__non_null_literal,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(13838), 1,
      sym__type,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16267), 1,
      sym_stable_identifier,
    ACTIONS(6310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6314), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3128), 2,
      sym_comment,
      sym_block_comment,
    STATE(10710), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11335), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97771] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15151), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3129), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97892] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6330), 1,
      sym_integer_literal,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(7993), 1,
      sym__annotated_type,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_literal_type,
    STATE(11158), 1,
      sym__non_null_literal,
    STATE(11799), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12516), 1,
      sym__infix_type_choice,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16469), 1,
      sym_stable_identifier,
    ACTIONS(6332), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6334), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3130), 2,
      sym_comment,
      sym_block_comment,
    STATE(10678), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11296), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98013] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15400), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3131), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(13683), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3132), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98255] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15232), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3133), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(14017), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3134), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98497] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(14027), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3135), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14495), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3136), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98739] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(10164), 1,
      sym_literal_type,
    STATE(10251), 1,
      sym__non_null_literal,
    STATE(12610), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(13146), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17219), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3137), 2,
      sym_comment,
      sym_block_comment,
    STATE(7525), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9582), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6330), 1,
      sym_integer_literal,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(7993), 1,
      sym__annotated_type,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_literal_type,
    STATE(11158), 1,
      sym__non_null_literal,
    STATE(11930), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12516), 1,
      sym__infix_type_choice,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16469), 1,
      sym_stable_identifier,
    ACTIONS(6332), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6334), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3138), 2,
      sym_comment,
      sym_block_comment,
    STATE(10678), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11296), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98981] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15416), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3139), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99102] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3140), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99223] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11389), 1,
      sym__type,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3141), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99344] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11365), 1,
      sym__type,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3142), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99465] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15327), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3143), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99586] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11334), 1,
      sym__type,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3144), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99707] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6330), 1,
      sym_integer_literal,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(7993), 1,
      sym__annotated_type,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_literal_type,
    STATE(11158), 1,
      sym__non_null_literal,
    STATE(11955), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12516), 1,
      sym__infix_type_choice,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16469), 1,
      sym_stable_identifier,
    ACTIONS(6332), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6334), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3145), 2,
      sym_comment,
      sym_block_comment,
    STATE(10678), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11296), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99828] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6330), 1,
      sym_integer_literal,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(7993), 1,
      sym__annotated_type,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_literal_type,
    STATE(11158), 1,
      sym__non_null_literal,
    STATE(11958), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12516), 1,
      sym__infix_type_choice,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16469), 1,
      sym_stable_identifier,
    ACTIONS(6332), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6334), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3146), 2,
      sym_comment,
      sym_block_comment,
    STATE(10678), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11296), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99949] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6330), 1,
      sym_integer_literal,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(7993), 1,
      sym__annotated_type,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_literal_type,
    STATE(11158), 1,
      sym__non_null_literal,
    STATE(11986), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12516), 1,
      sym__infix_type_choice,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16469), 1,
      sym_stable_identifier,
    ACTIONS(6332), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6334), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3147), 2,
      sym_comment,
      sym_block_comment,
    STATE(10678), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11296), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100070] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15153), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3148), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100191] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1234), 1,
      sym_integer_literal,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_LPAREN,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5317), 1,
      sym__annotated_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(10485), 1,
      sym_literal_type,
    STATE(10631), 1,
      sym__non_null_literal,
    STATE(12620), 1,
      sym__infix_type_choice,
    STATE(13270), 1,
      sym_template_body,
    STATE(13442), 1,
      sym__type,
    STATE(15476), 1,
      sym_parameter_types,
    STATE(17279), 1,
      sym_stable_identifier,
    ACTIONS(1236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3149), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8538), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100312] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15079), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3150), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100433] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6238), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8109), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(11572), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__infix_type_choice,
    STATE(14466), 1,
      sym__type,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(6250), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6254), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3151), 2,
      sym_comment,
      sym_block_comment,
    STATE(11077), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11561), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100554] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14426), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3152), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100675] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(13859), 1,
      sym__type,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3153), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100796] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15443), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3154), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100917] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11149), 1,
      sym__type,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3155), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101038] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15480), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3156), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101159] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15489), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3157), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15521), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3158), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101401] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15064), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3159), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15530), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3160), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101643] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1534), 1,
      sym_integer_literal,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_LPAREN,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6016), 1,
      sym__annotated_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(11067), 1,
      sym_literal_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11725), 1,
      sym__type,
    STATE(12530), 1,
      sym__infix_type_choice,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(1536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1542), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3161), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9464), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15578), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3162), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101885] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym_COLON,
    ACTIONS(4290), 1,
      anon_sym_LBRACE,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4296), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(4308), 1,
      sym_integer_literal,
    ACTIONS(6392), 1,
      anon_sym_LPAREN,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    STATE(4831), 1,
      sym__annotated_type,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(10217), 1,
      sym__non_null_literal,
    STATE(10397), 1,
      sym_literal_type,
    STATE(12519), 1,
      sym__infix_type_choice,
    STATE(13118), 1,
      sym__type,
    STATE(13140), 1,
      sym_template_body,
    STATE(15587), 1,
      sym_parameter_types,
    STATE(16511), 1,
      sym_stable_identifier,
    ACTIONS(4310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3163), 2,
      sym_comment,
      sym_block_comment,
    STATE(9425), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10336), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym_COLON,
    ACTIONS(4290), 1,
      anon_sym_LBRACE,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4296), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(4308), 1,
      sym_integer_literal,
    ACTIONS(6392), 1,
      anon_sym_LPAREN,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    STATE(4831), 1,
      sym__annotated_type,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(10217), 1,
      sym__non_null_literal,
    STATE(10397), 1,
      sym_literal_type,
    STATE(12519), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13147), 1,
      sym__type,
    STATE(15587), 1,
      sym_parameter_types,
    STATE(16511), 1,
      sym_stable_identifier,
    ACTIONS(4310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3164), 2,
      sym_comment,
      sym_block_comment,
    STATE(9425), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10336), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102127] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym_COLON,
    ACTIONS(4290), 1,
      anon_sym_LBRACE,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4296), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(4308), 1,
      sym_integer_literal,
    ACTIONS(6392), 1,
      anon_sym_LPAREN,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    STATE(4831), 1,
      sym__annotated_type,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(10217), 1,
      sym__non_null_literal,
    STATE(10397), 1,
      sym_literal_type,
    STATE(12519), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13154), 1,
      sym__type,
    STATE(15587), 1,
      sym_parameter_types,
    STATE(16511), 1,
      sym_stable_identifier,
    ACTIONS(4310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3165), 2,
      sym_comment,
      sym_block_comment,
    STATE(9425), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10336), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102248] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym_COLON,
    ACTIONS(4290), 1,
      anon_sym_LBRACE,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4296), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(4308), 1,
      sym_integer_literal,
    ACTIONS(6392), 1,
      anon_sym_LPAREN,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    STATE(4831), 1,
      sym__annotated_type,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(10217), 1,
      sym__non_null_literal,
    STATE(10397), 1,
      sym_literal_type,
    STATE(12519), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13156), 1,
      sym__type,
    STATE(15587), 1,
      sym_parameter_types,
    STATE(16511), 1,
      sym_stable_identifier,
    ACTIONS(4310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3166), 2,
      sym_comment,
      sym_block_comment,
    STATE(9425), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10336), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102369] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15168), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3167), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102490] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym_COLON,
    ACTIONS(4290), 1,
      anon_sym_LBRACE,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4296), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(4308), 1,
      sym_integer_literal,
    ACTIONS(6392), 1,
      anon_sym_LPAREN,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    STATE(4831), 1,
      sym__annotated_type,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(10217), 1,
      sym__non_null_literal,
    STATE(10397), 1,
      sym_literal_type,
    STATE(12519), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13161), 1,
      sym__type,
    STATE(15587), 1,
      sym_parameter_types,
    STATE(16511), 1,
      sym_stable_identifier,
    ACTIONS(4310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3168), 2,
      sym_comment,
      sym_block_comment,
    STATE(9425), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10336), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102611] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15404), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3169), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102732] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15061), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3170), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102853] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11393), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3171), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102974] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15169), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3172), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103095] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15149), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3173), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103216] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1570), 1,
      sym_integer_literal,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    STATE(5572), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(10815), 1,
      sym_literal_type,
    STATE(10876), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13662), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17171), 1,
      sym_stable_identifier,
    ACTIONS(1572), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1574), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1578), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3174), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9194), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10332), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103337] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11389), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3175), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103458] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(6428), 1,
      sym_integer_literal,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6336), 1,
      sym__annotated_type,
    STATE(6487), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11015), 1,
      sym__non_null_literal,
    STATE(11016), 1,
      sym_literal_type,
    STATE(11393), 1,
      sym__type,
    STATE(12472), 1,
      sym__infix_type_choice,
    STATE(15689), 1,
      sym_parameter_types,
    STATE(16406), 1,
      sym_stable_identifier,
    ACTIONS(6430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6434), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3176), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11099), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103579] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(6428), 1,
      sym_integer_literal,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6336), 1,
      sym__annotated_type,
    STATE(6487), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11015), 1,
      sym__non_null_literal,
    STATE(11016), 1,
      sym_literal_type,
    STATE(11389), 1,
      sym__type,
    STATE(12472), 1,
      sym__infix_type_choice,
    STATE(15689), 1,
      sym_parameter_types,
    STATE(16406), 1,
      sym_stable_identifier,
    ACTIONS(6430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6434), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3177), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11099), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103700] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(6428), 1,
      sym_integer_literal,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6336), 1,
      sym__annotated_type,
    STATE(6487), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11015), 1,
      sym__non_null_literal,
    STATE(11016), 1,
      sym_literal_type,
    STATE(11365), 1,
      sym__type,
    STATE(12472), 1,
      sym__infix_type_choice,
    STATE(15689), 1,
      sym_parameter_types,
    STATE(16406), 1,
      sym_stable_identifier,
    ACTIONS(6430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6434), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3178), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11099), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103821] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(6428), 1,
      sym_integer_literal,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6336), 1,
      sym__annotated_type,
    STATE(6487), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11015), 1,
      sym__non_null_literal,
    STATE(11016), 1,
      sym_literal_type,
    STATE(11334), 1,
      sym__type,
    STATE(12472), 1,
      sym__infix_type_choice,
    STATE(15689), 1,
      sym_parameter_types,
    STATE(16406), 1,
      sym_stable_identifier,
    ACTIONS(6430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6434), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3179), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11099), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103942] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11365), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3180), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104063] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(4882), 1,
      sym_integer_literal,
    ACTIONS(6436), 1,
      anon_sym_LPAREN,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    STATE(5490), 1,
      sym__annotated_type,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(10829), 1,
      sym__non_null_literal,
    STATE(10903), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12523), 1,
      sym__infix_type_choice,
    STATE(12735), 1,
      sym__type,
    STATE(15193), 1,
      sym_parameter_types,
    STATE(16552), 1,
      sym_stable_identifier,
    ACTIONS(4884), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4886), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4888), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3181), 2,
      sym_comment,
      sym_block_comment,
    STATE(10209), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104184] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14177), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3182), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104305] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(4882), 1,
      sym_integer_literal,
    ACTIONS(6436), 1,
      anon_sym_LPAREN,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    STATE(5490), 1,
      sym__annotated_type,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(10829), 1,
      sym__non_null_literal,
    STATE(10903), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12523), 1,
      sym__infix_type_choice,
    STATE(12930), 1,
      sym__type,
    STATE(15193), 1,
      sym_parameter_types,
    STATE(16552), 1,
      sym_stable_identifier,
    ACTIONS(4884), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4886), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4888), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3183), 2,
      sym_comment,
      sym_block_comment,
    STATE(10209), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(6460), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6539), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10731), 1,
      sym__non_null_literal,
    STATE(10732), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym_template_body,
    STATE(11011), 1,
      sym__type,
    STATE(12439), 1,
      sym__infix_type_choice,
    STATE(15761), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(6462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3184), 2,
      sym_comment,
      sym_block_comment,
    STATE(10252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10773), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11027), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11024), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104547] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(4882), 1,
      sym_integer_literal,
    ACTIONS(6436), 1,
      anon_sym_LPAREN,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    STATE(5490), 1,
      sym__annotated_type,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(10829), 1,
      sym__non_null_literal,
    STATE(10903), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12523), 1,
      sym__infix_type_choice,
    STATE(12775), 1,
      sym__type,
    STATE(15193), 1,
      sym_parameter_types,
    STATE(16552), 1,
      sym_stable_identifier,
    ACTIONS(4884), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4886), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4888), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3185), 2,
      sym_comment,
      sym_block_comment,
    STATE(10209), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104668] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(4882), 1,
      sym_integer_literal,
    ACTIONS(6436), 1,
      anon_sym_LPAREN,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    STATE(5490), 1,
      sym__annotated_type,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(10829), 1,
      sym__non_null_literal,
    STATE(10903), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12523), 1,
      sym__infix_type_choice,
    STATE(12776), 1,
      sym__type,
    STATE(15193), 1,
      sym_parameter_types,
    STATE(16552), 1,
      sym_stable_identifier,
    ACTIONS(4884), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4886), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4888), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3186), 2,
      sym_comment,
      sym_block_comment,
    STATE(10209), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104789] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(4882), 1,
      sym_integer_literal,
    ACTIONS(6436), 1,
      anon_sym_LPAREN,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    STATE(5490), 1,
      sym__annotated_type,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(10829), 1,
      sym__non_null_literal,
    STATE(10903), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12523), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(15193), 1,
      sym_parameter_types,
    STATE(16552), 1,
      sym_stable_identifier,
    ACTIONS(4884), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4886), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4888), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3187), 2,
      sym_comment,
      sym_block_comment,
    STATE(10209), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104910] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15046), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3188), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105031] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14833), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3189), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105152] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15043), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3190), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105273] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15171), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3191), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105394] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(6428), 1,
      sym_integer_literal,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6336), 1,
      sym__annotated_type,
    STATE(6487), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11015), 1,
      sym__non_null_literal,
    STATE(11016), 1,
      sym_literal_type,
    STATE(11149), 1,
      sym__type,
    STATE(12472), 1,
      sym__infix_type_choice,
    STATE(15689), 1,
      sym_parameter_types,
    STATE(16406), 1,
      sym_stable_identifier,
    ACTIONS(6430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6434), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3192), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11099), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105515] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14557), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3193), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105636] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15825), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3194), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105757] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4374), 1,
      anon_sym_LBRACK,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(4386), 1,
      sym_integer_literal,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    STATE(6328), 1,
      sym__annotated_type,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(11026), 1,
      sym_literal_type,
    STATE(11065), 1,
      sym__non_null_literal,
    STATE(11809), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(14819), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4388), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4390), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3195), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11053), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105878] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15116), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3196), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105999] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4374), 1,
      anon_sym_LBRACK,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(4386), 1,
      sym_integer_literal,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    STATE(6328), 1,
      sym__annotated_type,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(11026), 1,
      sym_literal_type,
    STATE(11065), 1,
      sym__non_null_literal,
    STATE(11828), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(14819), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4388), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4390), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3197), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11053), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106120] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4374), 1,
      anon_sym_LBRACK,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(4386), 1,
      sym_integer_literal,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    STATE(6328), 1,
      sym__annotated_type,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(11026), 1,
      sym_literal_type,
    STATE(11065), 1,
      sym__non_null_literal,
    STATE(11830), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(14819), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4388), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4390), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3198), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11053), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106241] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4374), 1,
      anon_sym_LBRACK,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(4386), 1,
      sym_integer_literal,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    STATE(6328), 1,
      sym__annotated_type,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(11026), 1,
      sym_literal_type,
    STATE(11065), 1,
      sym__non_null_literal,
    STATE(11831), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(14819), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4388), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4390), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3199), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11053), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106362] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4374), 1,
      anon_sym_LBRACK,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(4386), 1,
      sym_integer_literal,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    STATE(6328), 1,
      sym__annotated_type,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(11026), 1,
      sym_literal_type,
    STATE(11065), 1,
      sym__non_null_literal,
    STATE(11832), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(14819), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4388), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4390), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3200), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11053), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106483] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15183), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3201), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106604] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15626), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3202), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106725] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(11848), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3203), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106846] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(14062), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3204), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106967] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16772), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3205), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107088] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11334), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3206), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107209] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15633), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3207), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107330] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15038), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3208), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107451] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1856), 1,
      sym_integer_literal,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    STATE(5541), 1,
      sym__annotated_type,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(10759), 1,
      sym_literal_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(12592), 1,
      sym__infix_type_choice,
    STATE(13599), 1,
      sym_template_body,
    STATE(13644), 1,
      sym__type,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17153), 1,
      sym_stable_identifier,
    ACTIONS(1858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1864), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3209), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8880), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10183), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16774), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3210), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107693] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6516), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3211), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107814] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6516), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11389), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3212), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107935] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6516), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11365), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3213), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108056] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6516), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11334), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3214), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108177] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15019), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3215), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108298] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1534), 1,
      sym_integer_literal,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_LPAREN,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6016), 1,
      sym__annotated_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(11067), 1,
      sym_literal_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11704), 1,
      sym__type,
    STATE(12530), 1,
      sym__infix_type_choice,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(1536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1542), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3216), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9464), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108419] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1534), 1,
      sym_integer_literal,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_LPAREN,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6016), 1,
      sym__annotated_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(11067), 1,
      sym_literal_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11764), 1,
      sym__type,
    STATE(12530), 1,
      sym__infix_type_choice,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(1536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1542), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3217), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9464), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108540] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(4808), 1,
      sym__annotated_type,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym_literal_type,
    STATE(10259), 1,
      sym__non_null_literal,
    STATE(12539), 1,
      sym__infix_type_choice,
    STATE(13231), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(14780), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4350), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3218), 2,
      sym_comment,
      sym_block_comment,
    STATE(9595), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10160), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13063), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108661] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16658), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3219), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108782] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1534), 1,
      sym_integer_literal,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_LPAREN,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6016), 1,
      sym__annotated_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(11067), 1,
      sym_literal_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11724), 1,
      sym__type,
    STATE(12530), 1,
      sym__infix_type_choice,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(1536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1542), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3220), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9464), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108903] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1534), 1,
      sym_integer_literal,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_LPAREN,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6016), 1,
      sym__annotated_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(11067), 1,
      sym_literal_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11720), 1,
      sym__type,
    STATE(12530), 1,
      sym__infix_type_choice,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(1536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1542), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3221), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9464), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109024] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15028), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3222), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109145] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15025), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3223), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109266] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6516), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11149), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3224), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109387] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15421), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3225), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109508] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(6460), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6539), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10731), 1,
      sym__non_null_literal,
    STATE(10732), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym_template_body,
    STATE(11012), 1,
      sym__type,
    STATE(12439), 1,
      sym__infix_type_choice,
    STATE(15761), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(6462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3226), 2,
      sym_comment,
      sym_block_comment,
    STATE(10252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10773), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11027), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11024), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109629] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(4458), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(9522), 1,
      sym_literal_type,
    STATE(9616), 1,
      sym__non_null_literal,
    STATE(11809), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12531), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(16710), 1,
      sym_stable_identifier,
    ACTIONS(4460), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4462), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3227), 2,
      sym_comment,
      sym_block_comment,
    STATE(8486), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109750] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(4458), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(9522), 1,
      sym_literal_type,
    STATE(9616), 1,
      sym__non_null_literal,
    STATE(11828), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12531), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(16710), 1,
      sym_stable_identifier,
    ACTIONS(4460), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4462), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3228), 2,
      sym_comment,
      sym_block_comment,
    STATE(8486), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109871] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15194), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3229), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109992] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(4458), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(9522), 1,
      sym_literal_type,
    STATE(9616), 1,
      sym__non_null_literal,
    STATE(11830), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12531), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(16710), 1,
      sym_stable_identifier,
    ACTIONS(4460), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4462), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3230), 2,
      sym_comment,
      sym_block_comment,
    STATE(8486), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110113] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(4458), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(9522), 1,
      sym_literal_type,
    STATE(9616), 1,
      sym__non_null_literal,
    STATE(11831), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12531), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(16710), 1,
      sym_stable_identifier,
    ACTIONS(4460), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4462), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3231), 2,
      sym_comment,
      sym_block_comment,
    STATE(8486), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110234] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_LBRACE,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(4458), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(9522), 1,
      sym_literal_type,
    STATE(9616), 1,
      sym__non_null_literal,
    STATE(11832), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12531), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(16710), 1,
      sym_stable_identifier,
    ACTIONS(4460), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4462), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3232), 2,
      sym_comment,
      sym_block_comment,
    STATE(8486), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12115), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110355] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12136), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3233), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110476] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16859), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3234), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110597] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12151), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3235), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16860), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3236), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110839] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14911), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3237), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110960] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14905), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3238), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111081] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15010), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3239), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111202] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_LBRACE,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6540), 1,
      anon_sym_LPAREN,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(9900), 1,
      sym__non_null_literal,
    STATE(10087), 1,
      sym_literal_type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12590), 1,
      sym__infix_type_choice,
    STATE(12809), 1,
      sym__type,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17141), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3240), 2,
      sym_comment,
      sym_block_comment,
    STATE(6661), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8864), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111323] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15007), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3241), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111444] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3242), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111565] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11389), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3243), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111686] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11365), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3244), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111807] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11334), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3245), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111928] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(11798), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3246), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112049] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16654), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3247), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112170] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(13917), 1,
      sym__type,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3248), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112291] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15673), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3249), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112412] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_LPAREN,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    STATE(4484), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(9346), 1,
      sym_literal_type,
    STATE(9645), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11704), 1,
      sym__type,
    STATE(12533), 1,
      sym__infix_type_choice,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3250), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8110), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112533] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14235), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3251), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112654] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(10734), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3252), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112775] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14572), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3253), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112896] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11149), 1,
      sym__type,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3254), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113017] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_LPAREN,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    STATE(4484), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(9346), 1,
      sym_literal_type,
    STATE(9645), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11764), 1,
      sym__type,
    STATE(12533), 1,
      sym__infix_type_choice,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3255), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8110), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113138] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(10733), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3256), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113259] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_LPAREN,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    STATE(4484), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(9346), 1,
      sym_literal_type,
    STATE(9645), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11725), 1,
      sym__type,
    STATE(12533), 1,
      sym__infix_type_choice,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3257), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8110), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113380] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_LPAREN,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    STATE(4484), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(9346), 1,
      sym_literal_type,
    STATE(9645), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11724), 1,
      sym__type,
    STATE(12533), 1,
      sym__infix_type_choice,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3258), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8110), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113501] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15684), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3259), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_LPAREN,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    STATE(4484), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(9346), 1,
      sym_literal_type,
    STATE(9645), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11720), 1,
      sym__type,
    STATE(12533), 1,
      sym__infix_type_choice,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3260), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8110), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113743] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15507), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3261), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14992), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3262), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113985] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17364), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3263), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114106] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15720), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3264), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114227] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17373), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3265), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114348] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15205), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3266), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114469] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15727), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3267), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114590] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14765), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3268), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114711] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4798), 1,
      anon_sym_COLON,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4806), 1,
      anon_sym_LBRACK,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(4818), 1,
      sym_integer_literal,
    ACTIONS(6586), 1,
      anon_sym_LPAREN,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    STATE(4762), 1,
      sym__annotated_type,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(10171), 1,
      sym__non_null_literal,
    STATE(10235), 1,
      sym_literal_type,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13250), 1,
      sym_template_body,
    STATE(13263), 1,
      sym__type,
    STATE(14961), 1,
      sym_parameter_types,
    STATE(16784), 1,
      sym_stable_identifier,
    ACTIONS(4820), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4822), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4824), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3269), 2,
      sym_comment,
      sym_block_comment,
    STATE(9411), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10281), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13198), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114832] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4798), 1,
      anon_sym_COLON,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4806), 1,
      anon_sym_LBRACK,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(4818), 1,
      sym_integer_literal,
    ACTIONS(6586), 1,
      anon_sym_LPAREN,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    STATE(4762), 1,
      sym__annotated_type,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(10171), 1,
      sym__non_null_literal,
    STATE(10235), 1,
      sym_literal_type,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13133), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(14961), 1,
      sym_parameter_types,
    STATE(16784), 1,
      sym_stable_identifier,
    ACTIONS(4820), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4822), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4824), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3270), 2,
      sym_comment,
      sym_block_comment,
    STATE(9411), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10281), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13198), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114953] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4798), 1,
      anon_sym_COLON,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4806), 1,
      anon_sym_LBRACK,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(4818), 1,
      sym_integer_literal,
    ACTIONS(6586), 1,
      anon_sym_LPAREN,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    STATE(4762), 1,
      sym__annotated_type,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(10171), 1,
      sym__non_null_literal,
    STATE(10235), 1,
      sym_literal_type,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13120), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(14961), 1,
      sym_parameter_types,
    STATE(16784), 1,
      sym_stable_identifier,
    ACTIONS(4820), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4822), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4824), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3271), 2,
      sym_comment,
      sym_block_comment,
    STATE(9411), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10281), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13198), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115074] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4798), 1,
      anon_sym_COLON,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4806), 1,
      anon_sym_LBRACK,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(4818), 1,
      sym_integer_literal,
    ACTIONS(6586), 1,
      anon_sym_LPAREN,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    STATE(4762), 1,
      sym__annotated_type,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(10171), 1,
      sym__non_null_literal,
    STATE(10235), 1,
      sym_literal_type,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13116), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(14961), 1,
      sym_parameter_types,
    STATE(16784), 1,
      sym_stable_identifier,
    ACTIONS(4820), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4822), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4824), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3272), 2,
      sym_comment,
      sym_block_comment,
    STATE(9411), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10281), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13198), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115195] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4798), 1,
      anon_sym_COLON,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4806), 1,
      anon_sym_LBRACK,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(4818), 1,
      sym_integer_literal,
    ACTIONS(6586), 1,
      anon_sym_LPAREN,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    STATE(4762), 1,
      sym__annotated_type,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(10171), 1,
      sym__non_null_literal,
    STATE(10235), 1,
      sym_literal_type,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13111), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(14961), 1,
      sym_parameter_types,
    STATE(16784), 1,
      sym_stable_identifier,
    ACTIONS(4820), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4822), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4824), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3273), 2,
      sym_comment,
      sym_block_comment,
    STATE(9411), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10281), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13198), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115316] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    STATE(4726), 1,
      sym__annotated_type,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(9876), 1,
      sym_literal_type,
    STATE(10116), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12273), 1,
      sym__type,
    STATE(12588), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17129), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3274), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6877), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9040), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115437] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15593), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3275), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115558] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(4488), 1,
      sym_integer_literal,
    ACTIONS(6608), 1,
      anon_sym_LPAREN,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4465), 1,
      sym__annotated_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(8924), 1,
      sym_literal_type,
    STATE(8959), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11720), 1,
      sym__type,
    STATE(12453), 1,
      sym__infix_type_choice,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16364), 1,
      sym_stable_identifier,
    ACTIONS(4490), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4492), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3276), 2,
      sym_comment,
      sym_block_comment,
    STATE(7881), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8768), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115679] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(4488), 1,
      sym_integer_literal,
    ACTIONS(6608), 1,
      anon_sym_LPAREN,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4465), 1,
      sym__annotated_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(8924), 1,
      sym_literal_type,
    STATE(8959), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11724), 1,
      sym__type,
    STATE(12453), 1,
      sym__infix_type_choice,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16364), 1,
      sym_stable_identifier,
    ACTIONS(4490), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4492), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3277), 2,
      sym_comment,
      sym_block_comment,
    STATE(7881), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8768), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115800] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(4488), 1,
      sym_integer_literal,
    ACTIONS(6608), 1,
      anon_sym_LPAREN,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4465), 1,
      sym__annotated_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(8924), 1,
      sym_literal_type,
    STATE(8959), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11725), 1,
      sym__type,
    STATE(12453), 1,
      sym__infix_type_choice,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16364), 1,
      sym_stable_identifier,
    ACTIONS(4490), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4492), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3278), 2,
      sym_comment,
      sym_block_comment,
    STATE(7881), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8768), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115921] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(4488), 1,
      sym_integer_literal,
    ACTIONS(6608), 1,
      anon_sym_LPAREN,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4465), 1,
      sym__annotated_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(8924), 1,
      sym_literal_type,
    STATE(8959), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11764), 1,
      sym__type,
    STATE(12453), 1,
      sym__infix_type_choice,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16364), 1,
      sym_stable_identifier,
    ACTIONS(4490), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4492), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3279), 2,
      sym_comment,
      sym_block_comment,
    STATE(7881), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8768), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116042] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6620), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5409), 1,
      sym__annotated_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(10501), 1,
      sym_literal_type,
    STATE(10574), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__infix_type_choice,
    STATE(13118), 1,
      sym__type,
    STATE(13140), 1,
      sym_template_body,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16820), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3280), 2,
      sym_comment,
      sym_block_comment,
    STATE(8485), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10111), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116163] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6620), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5409), 1,
      sym__annotated_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(10501), 1,
      sym_literal_type,
    STATE(10574), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13147), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16820), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3281), 2,
      sym_comment,
      sym_block_comment,
    STATE(8485), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10111), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116284] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6620), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5409), 1,
      sym__annotated_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(10501), 1,
      sym_literal_type,
    STATE(10574), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13154), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16820), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3282), 2,
      sym_comment,
      sym_block_comment,
    STATE(8485), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10111), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116405] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6620), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5409), 1,
      sym__annotated_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(10501), 1,
      sym_literal_type,
    STATE(10574), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13156), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16820), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3283), 2,
      sym_comment,
      sym_block_comment,
    STATE(8485), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10111), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116526] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6620), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5409), 1,
      sym__annotated_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(10501), 1,
      sym_literal_type,
    STATE(10574), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13161), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16820), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3284), 2,
      sym_comment,
      sym_block_comment,
    STATE(8485), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10111), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116647] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14974), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3285), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116768] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14989), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3286), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116889] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(11810), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3287), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117010] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17436), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3288), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117131] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4478), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(4488), 1,
      sym_integer_literal,
    ACTIONS(6608), 1,
      anon_sym_LPAREN,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4465), 1,
      sym__annotated_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(8924), 1,
      sym_literal_type,
    STATE(8959), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11704), 1,
      sym__type,
    STATE(12453), 1,
      sym__infix_type_choice,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16364), 1,
      sym_stable_identifier,
    ACTIONS(4490), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4492), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3289), 2,
      sym_comment,
      sym_block_comment,
    STATE(7881), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8768), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117252] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(11807), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3290), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117373] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17440), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3291), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117494] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(4808), 1,
      sym__annotated_type,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym_literal_type,
    STATE(10259), 1,
      sym__non_null_literal,
    STATE(12539), 1,
      sym__infix_type_choice,
    STATE(13262), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(14780), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4350), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3292), 2,
      sym_comment,
      sym_block_comment,
    STATE(9595), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10160), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13063), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117615] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15268), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3293), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117736] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(4808), 1,
      sym__annotated_type,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym_literal_type,
    STATE(10259), 1,
      sym__non_null_literal,
    STATE(12539), 1,
      sym__infix_type_choice,
    STATE(13272), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(14780), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4350), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3294), 2,
      sym_comment,
      sym_block_comment,
    STATE(9595), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10160), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13063), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117857] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15243), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3295), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117978] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15662), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3296), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118099] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(4808), 1,
      sym__annotated_type,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym_literal_type,
    STATE(10259), 1,
      sym__non_null_literal,
    STATE(12539), 1,
      sym__infix_type_choice,
    STATE(13273), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(14780), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4350), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3297), 2,
      sym_comment,
      sym_block_comment,
    STATE(9595), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10160), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13063), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118220] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(4808), 1,
      sym__annotated_type,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym_literal_type,
    STATE(10259), 1,
      sym__non_null_literal,
    STATE(12539), 1,
      sym__infix_type_choice,
    STATE(13220), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(14780), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4350), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3298), 2,
      sym_comment,
      sym_block_comment,
    STATE(9595), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10160), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13063), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118341] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15216), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3299), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118462] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14899), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3300), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118583] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_LBRACE,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(6648), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6210), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(8409), 1,
      sym_template_body,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10915), 1,
      sym_literal_type,
    STATE(10920), 1,
      sym__non_null_literal,
    STATE(10958), 1,
      sym__type,
    STATE(12353), 1,
      sym__infix_type_choice,
    STATE(15386), 1,
      sym_parameter_types,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3301), 2,
      sym_comment,
      sym_block_comment,
    STATE(10244), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118704] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14749), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3302), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118825] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15186), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3303), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118946] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12735), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3304), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119067] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12930), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3305), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119188] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_LPAREN,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    STATE(4424), 1,
      sym__annotated_type,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(9065), 1,
      sym__non_null_literal,
    STATE(9175), 1,
      sym_literal_type,
    STATE(11422), 1,
      sym_template_body,
    STATE(11623), 1,
      sym__type,
    STATE(12587), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17123), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3306), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5646), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7468), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119309] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12775), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3307), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119430] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11986), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3308), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119551] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11958), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3309), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119672] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15227), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3310), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119793] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15770), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3311), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119914] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11955), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3312), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120035] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11930), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3313), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120156] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15030), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3314), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120277] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12776), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3315), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120398] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3316), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120519] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15819), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3317), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120640] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14956), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3318), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120761] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14953), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3319), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120882] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15809), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3320), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121003] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12735), 1,
      sym__type,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3321), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121124] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(11799), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3322), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121245] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12930), 1,
      sym__type,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3323), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121366] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15003), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3324), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121487] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12775), 1,
      sym__type,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3325), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121608] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12776), 1,
      sym__type,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3326), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121729] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3327), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121850] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14938), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3328), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121971] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15238), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3329), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122092] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14935), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3330), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122213] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17614), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3331), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122334] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_LPAREN,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(6690), 1,
      sym_integer_literal,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__annotated_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(11029), 1,
      sym_literal_type,
    STATE(11052), 1,
      sym__non_null_literal,
    STATE(12026), 1,
      sym_template_body,
    STATE(12543), 1,
      sym__infix_type_choice,
    STATE(12735), 1,
      sym__type,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(16932), 1,
      sym_stable_identifier,
    ACTIONS(6692), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6694), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6696), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3332), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11038), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122455] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17616), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3333), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122576] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15512), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3334), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122697] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15622), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3335), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122818] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15835), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3336), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122939] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15180), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3337), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123060] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_LPAREN,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(6690), 1,
      sym_integer_literal,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__annotated_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(11029), 1,
      sym_literal_type,
    STATE(11052), 1,
      sym__non_null_literal,
    STATE(12026), 1,
      sym_template_body,
    STATE(12543), 1,
      sym__infix_type_choice,
    STATE(12930), 1,
      sym__type,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(16932), 1,
      sym_stable_identifier,
    ACTIONS(6692), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6694), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6696), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3338), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11038), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123181] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_LPAREN,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(6690), 1,
      sym_integer_literal,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__annotated_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(11029), 1,
      sym_literal_type,
    STATE(11052), 1,
      sym__non_null_literal,
    STATE(12026), 1,
      sym_template_body,
    STATE(12543), 1,
      sym__infix_type_choice,
    STATE(12775), 1,
      sym__type,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(16932), 1,
      sym_stable_identifier,
    ACTIONS(6692), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6694), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6696), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3339), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11038), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123302] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(11787), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3340), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123423] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2058), 1,
      sym_integer_literal,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6702), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    STATE(6908), 1,
      sym__annotated_type,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(11178), 1,
      sym_literal_type,
    STATE(11272), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12273), 1,
      sym__type,
    STATE(12583), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17105), 1,
      sym_stable_identifier,
    ACTIONS(2060), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2062), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2066), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3341), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10714), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123544] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_LPAREN,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(6690), 1,
      sym_integer_literal,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__annotated_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(11029), 1,
      sym_literal_type,
    STATE(11052), 1,
      sym__non_null_literal,
    STATE(12026), 1,
      sym_template_body,
    STATE(12543), 1,
      sym__infix_type_choice,
    STATE(12776), 1,
      sym__type,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(16932), 1,
      sym_stable_identifier,
    ACTIONS(6692), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6694), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6696), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3342), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11038), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123665] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(6460), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6539), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10731), 1,
      sym__non_null_literal,
    STATE(10732), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym_template_body,
    STATE(11105), 1,
      sym__type,
    STATE(12439), 1,
      sym__infix_type_choice,
    STATE(15761), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(6462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3343), 2,
      sym_comment,
      sym_block_comment,
    STATE(10252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10773), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11027), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11024), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123786] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17662), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3344), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123907] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(6460), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6539), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10731), 1,
      sym__non_null_literal,
    STATE(10732), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym_template_body,
    STATE(11104), 1,
      sym__type,
    STATE(12439), 1,
      sym__infix_type_choice,
    STATE(15761), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(6462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3345), 2,
      sym_comment,
      sym_block_comment,
    STATE(10252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10773), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11027), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11024), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124028] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15842), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3346), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124149] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(6460), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6539), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10731), 1,
      sym__non_null_literal,
    STATE(10732), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym_template_body,
    STATE(10985), 1,
      sym__type,
    STATE(12439), 1,
      sym__infix_type_choice,
    STATE(15761), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(6462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3347), 2,
      sym_comment,
      sym_block_comment,
    STATE(10252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10773), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11027), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11024), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124270] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_LPAREN,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(6690), 1,
      sym_integer_literal,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__annotated_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(11029), 1,
      sym_literal_type,
    STATE(11052), 1,
      sym__non_null_literal,
    STATE(12026), 1,
      sym_template_body,
    STATE(12543), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(16932), 1,
      sym_stable_identifier,
    ACTIONS(6692), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6694), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6696), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3348), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11038), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124391] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(6460), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6539), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10731), 1,
      sym__non_null_literal,
    STATE(10732), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym_template_body,
    STATE(11130), 1,
      sym__type,
    STATE(12439), 1,
      sym__infix_type_choice,
    STATE(15761), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(6462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3349), 2,
      sym_comment,
      sym_block_comment,
    STATE(10252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10773), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11027), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11024), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124512] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(11825), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3350), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124633] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14971), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3351), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124754] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17663), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3352), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124875] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(12735), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3353), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124996] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(12930), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3354), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125117] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(12775), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3355), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125238] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(12776), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3356), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125359] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14917), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3357), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125480] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12545), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(15654), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3358), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125601] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14333), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125722] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(6460), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6539), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10731), 1,
      sym__non_null_literal,
    STATE(10732), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym_template_body,
    STATE(11088), 1,
      sym__type,
    STATE(12439), 1,
      sym__infix_type_choice,
    STATE(15761), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(6462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6466), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3360), 2,
      sym_comment,
      sym_block_comment,
    STATE(10252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10773), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11027), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11024), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125843] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15139), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3361), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125964] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15823), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3362), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126085] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14902), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3363), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126206] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15247), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3364), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126327] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(12920), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3365), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126448] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(13947), 1,
      sym__type,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3366), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126569] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(10791), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3367), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126690] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(10816), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3368), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126811] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(10818), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3369), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126932] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15166), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3370), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127053] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(10820), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3371), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127174] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3372), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127295] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15254), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3373), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127416] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(10821), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3374), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127537] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1198), 1,
      sym_integer_literal,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_LPAREN,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    STATE(5503), 1,
      sym__annotated_type,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(10711), 1,
      sym__non_null_literal,
    STATE(10858), 1,
      sym_literal_type,
    STATE(11422), 1,
      sym_template_body,
    STATE(11623), 1,
      sym__type,
    STATE(12577), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_stable_identifier,
    ACTIONS(1200), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1202), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1206), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3375), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8715), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127658] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4900), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6726), 1,
      anon_sym_LPAREN,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    STATE(4303), 1,
      sym__annotated_type,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(8123), 1,
      sym_literal_type,
    STATE(8220), 1,
      sym__non_null_literal,
    STATE(11403), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12557), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17010), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3376), 2,
      sym_comment,
      sym_block_comment,
    STATE(6676), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8488), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127779] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6298), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(6308), 1,
      sym_integer_literal,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym__annotated_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11182), 1,
      sym_literal_type,
    STATE(11183), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym__type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16267), 1,
      sym_stable_identifier,
    ACTIONS(6310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6314), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3377), 2,
      sym_comment,
      sym_block_comment,
    STATE(10710), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11335), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127900] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6298), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(6308), 1,
      sym_integer_literal,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym__annotated_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11182), 1,
      sym_literal_type,
    STATE(11183), 1,
      sym__non_null_literal,
    STATE(11389), 1,
      sym__type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16267), 1,
      sym_stable_identifier,
    ACTIONS(6310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6314), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3378), 2,
      sym_comment,
      sym_block_comment,
    STATE(10710), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11335), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128021] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6298), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(6308), 1,
      sym_integer_literal,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym__annotated_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11182), 1,
      sym_literal_type,
    STATE(11183), 1,
      sym__non_null_literal,
    STATE(11365), 1,
      sym__type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16267), 1,
      sym_stable_identifier,
    ACTIONS(6310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6314), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3379), 2,
      sym_comment,
      sym_block_comment,
    STATE(10710), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11335), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128142] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6298), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(6308), 1,
      sym_integer_literal,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym__annotated_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11182), 1,
      sym_literal_type,
    STATE(11183), 1,
      sym__non_null_literal,
    STATE(11334), 1,
      sym__type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16267), 1,
      sym_stable_identifier,
    ACTIONS(6310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6314), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3380), 2,
      sym_comment,
      sym_block_comment,
    STATE(10710), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11335), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128263] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14332), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3381), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128384] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(4700), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(10493), 1,
      sym__non_null_literal,
    STATE(10526), 1,
      sym_literal_type,
    STATE(11422), 1,
      sym_template_body,
    STATE(11449), 1,
      sym__type,
    STATE(12548), 1,
      sym__infix_type_choice,
    STATE(15716), 1,
      sym_parameter_types,
    STATE(16966), 1,
      sym_stable_identifier,
    ACTIONS(4702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4706), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3382), 2,
      sym_comment,
      sym_block_comment,
    STATE(10056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10655), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128505] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(4700), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(10493), 1,
      sym__non_null_literal,
    STATE(10526), 1,
      sym_literal_type,
    STATE(11410), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12548), 1,
      sym__infix_type_choice,
    STATE(15716), 1,
      sym_parameter_types,
    STATE(16966), 1,
      sym_stable_identifier,
    ACTIONS(4702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4706), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3383), 2,
      sym_comment,
      sym_block_comment,
    STATE(10056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10655), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128626] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(4700), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(10493), 1,
      sym__non_null_literal,
    STATE(10526), 1,
      sym_literal_type,
    STATE(11407), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12548), 1,
      sym__infix_type_choice,
    STATE(15716), 1,
      sym_parameter_types,
    STATE(16966), 1,
      sym_stable_identifier,
    ACTIONS(4702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4706), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3384), 2,
      sym_comment,
      sym_block_comment,
    STATE(10056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10655), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128747] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14333), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3385), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128868] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(4700), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(10493), 1,
      sym__non_null_literal,
    STATE(10526), 1,
      sym_literal_type,
    STATE(11405), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12548), 1,
      sym__infix_type_choice,
    STATE(15716), 1,
      sym_parameter_types,
    STATE(16966), 1,
      sym_stable_identifier,
    ACTIONS(4702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4706), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3386), 2,
      sym_comment,
      sym_block_comment,
    STATE(10056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10655), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128989] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      anon_sym_LBRACK,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(4700), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(10493), 1,
      sym__non_null_literal,
    STATE(10526), 1,
      sym_literal_type,
    STATE(11403), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12548), 1,
      sym__infix_type_choice,
    STATE(15716), 1,
      sym_parameter_types,
    STATE(16966), 1,
      sym_stable_identifier,
    ACTIONS(4702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4706), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3387), 2,
      sym_comment,
      sym_block_comment,
    STATE(10056), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10655), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129110] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14884), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3388), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129231] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14334), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3389), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129352] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6298), 1,
      anon_sym_LBRACK,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(6308), 1,
      sym_integer_literal,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym__annotated_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11149), 1,
      sym__type,
    STATE(11182), 1,
      sym_literal_type,
    STATE(11183), 1,
      sym__non_null_literal,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16267), 1,
      sym_stable_identifier,
    ACTIONS(6310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6314), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3390), 2,
      sym_comment,
      sym_block_comment,
    STATE(10710), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11335), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129473] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14877), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3391), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129594] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(11380), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(11809), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12551), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(16977), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3392), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9915), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10901), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129715] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(11380), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(11828), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12551), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(16977), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3393), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9915), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10901), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129836] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(11380), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(11830), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12551), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(16977), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3394), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9915), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10901), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129957] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(11380), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(11831), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12551), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(16977), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3395), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9915), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10901), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130078] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(11380), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(11832), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12551), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(16977), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3396), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9915), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10901), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130199] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14881), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3397), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130320] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15261), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3398), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130441] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14335), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3399), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130562] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14266), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3400), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130683] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(4276), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(6193), 1,
      sym__annotated_type,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(11036), 1,
      sym_literal_type,
    STATE(11864), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12552), 1,
      sym__infix_type_choice,
    STATE(15340), 1,
      sym_parameter_types,
    STATE(16999), 1,
      sym_stable_identifier,
    ACTIONS(4278), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4280), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4284), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3401), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10979), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130804] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(4276), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(6193), 1,
      sym__annotated_type,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(11036), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12004), 1,
      sym__type,
    STATE(12552), 1,
      sym__infix_type_choice,
    STATE(15340), 1,
      sym_parameter_types,
    STATE(16999), 1,
      sym_stable_identifier,
    ACTIONS(4278), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4280), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4284), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3402), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10979), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130925] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(4276), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(6193), 1,
      sym__annotated_type,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(11036), 1,
      sym_literal_type,
    STATE(11815), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12552), 1,
      sym__infix_type_choice,
    STATE(15340), 1,
      sym_parameter_types,
    STATE(16999), 1,
      sym_stable_identifier,
    ACTIONS(4278), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4280), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4284), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3403), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10979), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131046] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(4276), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(6193), 1,
      sym__annotated_type,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(11036), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12091), 1,
      sym__type,
    STATE(12552), 1,
      sym__infix_type_choice,
    STATE(15340), 1,
      sym_parameter_types,
    STATE(16999), 1,
      sym_stable_identifier,
    ACTIONS(4278), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4280), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4284), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3404), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10979), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131167] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5264), 1,
      sym__annotated_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(10503), 1,
      sym__non_null_literal,
    STATE(10564), 1,
      sym_literal_type,
    STATE(12574), 1,
      sym__infix_type_choice,
    STATE(13305), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__type,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17075), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3405), 2,
      sym_comment,
      sym_block_comment,
    STATE(8113), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131288] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(4276), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(6193), 1,
      sym__annotated_type,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(11036), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12144), 1,
      sym__type,
    STATE(12552), 1,
      sym__infix_type_choice,
    STATE(15340), 1,
      sym_parameter_types,
    STATE(16999), 1,
      sym_stable_identifier,
    ACTIONS(4278), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4280), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4284), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3406), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10979), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131409] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      anon_sym_LBRACK,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(4208), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      anon_sym_LPAREN,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    STATE(5534), 1,
      sym__simple_type,
    STATE(5536), 1,
      sym__annotated_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(10853), 1,
      sym_literal_type,
    STATE(10854), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11720), 1,
      sym__type,
    STATE(12407), 1,
      sym__infix_type_choice,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16209), 1,
      sym_stable_identifier,
    ACTIONS(4210), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4212), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4214), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3407), 2,
      sym_comment,
      sym_block_comment,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10835), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131530] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      anon_sym_LBRACK,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(4208), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      anon_sym_LPAREN,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    STATE(5534), 1,
      sym__simple_type,
    STATE(5536), 1,
      sym__annotated_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(10853), 1,
      sym_literal_type,
    STATE(10854), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11724), 1,
      sym__type,
    STATE(12407), 1,
      sym__infix_type_choice,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16209), 1,
      sym_stable_identifier,
    ACTIONS(4210), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4212), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4214), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3408), 2,
      sym_comment,
      sym_block_comment,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10835), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131651] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      anon_sym_LBRACK,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(4208), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      anon_sym_LPAREN,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    STATE(5534), 1,
      sym__simple_type,
    STATE(5536), 1,
      sym__annotated_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(10853), 1,
      sym_literal_type,
    STATE(10854), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11725), 1,
      sym__type,
    STATE(12407), 1,
      sym__infix_type_choice,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16209), 1,
      sym_stable_identifier,
    ACTIONS(4210), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4212), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4214), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3409), 2,
      sym_comment,
      sym_block_comment,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10835), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131772] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      anon_sym_LBRACK,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(4208), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      anon_sym_LPAREN,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    STATE(5534), 1,
      sym__simple_type,
    STATE(5536), 1,
      sym__annotated_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(10853), 1,
      sym_literal_type,
    STATE(10854), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11764), 1,
      sym__type,
    STATE(12407), 1,
      sym__infix_type_choice,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16209), 1,
      sym_stable_identifier,
    ACTIONS(4210), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4212), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4214), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3410), 2,
      sym_comment,
      sym_block_comment,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10835), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131893] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17875), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3411), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132014] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15742), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3412), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132135] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4900), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6726), 1,
      anon_sym_LPAREN,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    STATE(4303), 1,
      sym__annotated_type,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(8123), 1,
      sym_literal_type,
    STATE(8220), 1,
      sym__non_null_literal,
    STATE(11422), 1,
      sym_template_body,
    STATE(11449), 1,
      sym__type,
    STATE(12557), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17010), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3413), 2,
      sym_comment,
      sym_block_comment,
    STATE(6676), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8488), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132256] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4900), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6726), 1,
      anon_sym_LPAREN,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    STATE(4303), 1,
      sym__annotated_type,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(8123), 1,
      sym_literal_type,
    STATE(8220), 1,
      sym__non_null_literal,
    STATE(11410), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12557), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17010), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3414), 2,
      sym_comment,
      sym_block_comment,
    STATE(6676), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8488), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132377] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4900), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6726), 1,
      anon_sym_LPAREN,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    STATE(4303), 1,
      sym__annotated_type,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(8123), 1,
      sym_literal_type,
    STATE(8220), 1,
      sym__non_null_literal,
    STATE(11407), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12557), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17010), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3415), 2,
      sym_comment,
      sym_block_comment,
    STATE(6676), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8488), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132498] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      anon_sym_COLON,
    ACTIONS(4682), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4900), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6726), 1,
      anon_sym_LPAREN,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    STATE(4303), 1,
      sym__annotated_type,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(8123), 1,
      sym_literal_type,
    STATE(8220), 1,
      sym__non_null_literal,
    STATE(11405), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12557), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17010), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3416), 2,
      sym_comment,
      sym_block_comment,
    STATE(6676), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8488), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11226), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132619] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17737), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3417), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132740] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14920), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3418), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132861] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15307), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3419), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132982] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15697), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3420), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133103] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      anon_sym_LBRACK,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(4208), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      anon_sym_LPAREN,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    STATE(5534), 1,
      sym__simple_type,
    STATE(5536), 1,
      sym__annotated_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(10853), 1,
      sym_literal_type,
    STATE(10854), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11704), 1,
      sym__type,
    STATE(12407), 1,
      sym__infix_type_choice,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16209), 1,
      sym_stable_identifier,
    ACTIONS(4210), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4212), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4214), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3421), 2,
      sym_comment,
      sym_block_comment,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10835), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11651), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133224] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(4628), 1,
      sym__annotated_type,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(9867), 1,
      sym__non_null_literal,
    STATE(10100), 1,
      sym_literal_type,
    STATE(11809), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12560), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17021), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3422), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7364), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9030), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133345] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14857), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3423), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133466] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(4628), 1,
      sym__annotated_type,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(9867), 1,
      sym__non_null_literal,
    STATE(10100), 1,
      sym_literal_type,
    STATE(11828), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12560), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17021), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3424), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7364), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9030), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133587] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(4628), 1,
      sym__annotated_type,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(9867), 1,
      sym__non_null_literal,
    STATE(10100), 1,
      sym_literal_type,
    STATE(11830), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12560), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17021), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3425), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7364), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9030), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133708] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3426), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133829] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(4628), 1,
      sym__annotated_type,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(9867), 1,
      sym__non_null_literal,
    STATE(10100), 1,
      sym_literal_type,
    STATE(11831), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12560), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17021), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3427), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7364), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9030), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133950] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(4628), 1,
      sym__annotated_type,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(9867), 1,
      sym__non_null_literal,
    STATE(10100), 1,
      sym_literal_type,
    STATE(11832), 1,
      sym__type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12560), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17021), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3428), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7364), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9030), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134071] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14863), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3429), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134192] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12051), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3430), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134313] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4519), 1,
      sym__annotated_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(9523), 1,
      sym__non_null_literal,
    STATE(9658), 1,
      sym_literal_type,
    STATE(11864), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17027), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4586), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3431), 2,
      sym_comment,
      sym_block_comment,
    STATE(8671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9476), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134434] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4519), 1,
      sym__annotated_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(9523), 1,
      sym__non_null_literal,
    STATE(9658), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12004), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17027), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4586), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3432), 2,
      sym_comment,
      sym_block_comment,
    STATE(8671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9476), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134555] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17823), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3433), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134676] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12043), 1,
      sym__type,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3434), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134797] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4519), 1,
      sym__annotated_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(9523), 1,
      sym__non_null_literal,
    STATE(9658), 1,
      sym_literal_type,
    STATE(11815), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17027), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4586), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3435), 2,
      sym_comment,
      sym_block_comment,
    STATE(8671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9476), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134918] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15274), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3436), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135039] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4519), 1,
      sym__annotated_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(9523), 1,
      sym__non_null_literal,
    STATE(9658), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12091), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17027), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4586), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3437), 2,
      sym_comment,
      sym_block_comment,
    STATE(8671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9476), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135160] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1662), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(6800), 1,
      anon_sym_LBRACE,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(10497), 1,
      sym_literal_type,
    STATE(10569), 1,
      sym__non_null_literal,
    STATE(12565), 1,
      sym__infix_type_choice,
    STATE(13250), 1,
      sym_template_body,
    STATE(13330), 1,
      sym__type,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(1664), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1666), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3438), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8680), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135281] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4519), 1,
      sym__annotated_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(9523), 1,
      sym__non_null_literal,
    STATE(9658), 1,
      sym_literal_type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12144), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17027), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4586), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3439), 2,
      sym_comment,
      sym_block_comment,
    STATE(8671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9476), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11833), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135402] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11986), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3440), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135523] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11958), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3441), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135644] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11955), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3442), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135765] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [135834] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17818), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3444), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135955] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11930), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3445), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136076] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15341), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3446), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136197] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14848), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3447), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136318] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14845), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3448), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136439] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15545), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3449), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136560] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1198), 1,
      sym_integer_literal,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_LPAREN,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    STATE(5503), 1,
      sym__annotated_type,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(10711), 1,
      sym__non_null_literal,
    STATE(10858), 1,
      sym_literal_type,
    STATE(11422), 1,
      sym_template_body,
    STATE(11449), 1,
      sym__type,
    STATE(12577), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_stable_identifier,
    ACTIONS(1200), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1202), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1206), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3450), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8715), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136681] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(6832), 1,
      sym_integer_literal,
    STATE(8418), 1,
      sym__simple_type,
    STATE(9001), 1,
      sym__annotated_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(10896), 1,
      sym_annotated_type,
    STATE(12429), 1,
      sym_literal_type,
    STATE(12563), 1,
      sym__non_null_literal,
    STATE(12607), 1,
      sym__infix_type_choice,
    STATE(15487), 1,
      sym_parameter_types,
    STATE(16055), 1,
      sym__type,
    STATE(16135), 1,
      sym_template_body,
    STATE(17201), 1,
      sym_stable_identifier,
    ACTIONS(6834), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6836), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6838), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3451), 2,
      sym_comment,
      sym_block_comment,
    STATE(11557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12541), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16134), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136802] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [136871] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4226), 1,
      anon_sym_LBRACK,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(4238), 1,
      sym_integer_literal,
    ACTIONS(6840), 1,
      anon_sym_LPAREN,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9655), 1,
      sym__non_null_literal,
    STATE(12318), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12562), 1,
      sym__infix_type_choice,
    STATE(14755), 1,
      sym_parameter_types,
    STATE(17033), 1,
      sym_stable_identifier,
    ACTIONS(4240), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4242), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4246), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3453), 2,
      sym_comment,
      sym_block_comment,
    STATE(8430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9369), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12438), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136992] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4226), 1,
      anon_sym_LBRACK,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(4238), 1,
      sym_integer_literal,
    ACTIONS(6840), 1,
      anon_sym_LPAREN,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9655), 1,
      sym__non_null_literal,
    STATE(12323), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12562), 1,
      sym__infix_type_choice,
    STATE(14755), 1,
      sym_parameter_types,
    STATE(17033), 1,
      sym_stable_identifier,
    ACTIONS(4240), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4242), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4246), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3454), 2,
      sym_comment,
      sym_block_comment,
    STATE(8430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9369), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12438), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137113] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4940), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(10617), 1,
      sym__non_null_literal,
    STATE(10618), 1,
      sym_literal_type,
    STATE(11799), 1,
      sym__type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(14867), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3455), 2,
      sym_comment,
      sym_block_comment,
    STATE(9905), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10496), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137234] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [137303] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15510), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3457), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137424] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4226), 1,
      anon_sym_LBRACK,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(4238), 1,
      sym_integer_literal,
    ACTIONS(6840), 1,
      anon_sym_LPAREN,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9655), 1,
      sym__non_null_literal,
    STATE(12324), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12562), 1,
      sym__infix_type_choice,
    STATE(14755), 1,
      sym_parameter_types,
    STATE(17033), 1,
      sym_stable_identifier,
    ACTIONS(4240), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4242), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4246), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3458), 2,
      sym_comment,
      sym_block_comment,
    STATE(8430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9369), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12438), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137545] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4226), 1,
      anon_sym_LBRACK,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(4238), 1,
      sym_integer_literal,
    ACTIONS(6840), 1,
      anon_sym_LPAREN,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9655), 1,
      sym__non_null_literal,
    STATE(12327), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12562), 1,
      sym__infix_type_choice,
    STATE(14755), 1,
      sym_parameter_types,
    STATE(17033), 1,
      sym_stable_identifier,
    ACTIONS(4240), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4242), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4246), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3459), 2,
      sym_comment,
      sym_block_comment,
    STATE(8430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9369), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12438), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137666] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15048), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3460), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137787] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15730), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3461), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137908] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4226), 1,
      anon_sym_LBRACK,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(4238), 1,
      sym_integer_literal,
    ACTIONS(6840), 1,
      anon_sym_LPAREN,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9655), 1,
      sym__non_null_literal,
    STATE(12399), 1,
      sym_template_body,
    STATE(12408), 1,
      sym__type,
    STATE(12562), 1,
      sym__infix_type_choice,
    STATE(14755), 1,
      sym_parameter_types,
    STATE(17033), 1,
      sym_stable_identifier,
    ACTIONS(4240), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4242), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4246), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3462), 2,
      sym_comment,
      sym_block_comment,
    STATE(8430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9369), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12438), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138029] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15370), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3463), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138150] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1662), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(6800), 1,
      anon_sym_LBRACE,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(10497), 1,
      sym_literal_type,
    STATE(10569), 1,
      sym__non_null_literal,
    STATE(12565), 1,
      sym__infix_type_choice,
    STATE(13133), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(1664), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1666), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3464), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8680), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138271] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1662), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(6800), 1,
      anon_sym_LBRACE,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(10497), 1,
      sym_literal_type,
    STATE(10569), 1,
      sym__non_null_literal,
    STATE(12565), 1,
      sym__infix_type_choice,
    STATE(13120), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(1664), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1666), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3465), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8680), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138392] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17571), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3466), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138513] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_LBRACE,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(6648), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6210), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(8409), 1,
      sym_template_body,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10915), 1,
      sym_literal_type,
    STATE(10920), 1,
      sym__non_null_literal,
    STATE(10951), 1,
      sym__type,
    STATE(12353), 1,
      sym__infix_type_choice,
    STATE(15386), 1,
      sym_parameter_types,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3467), 2,
      sym_comment,
      sym_block_comment,
    STATE(10244), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138634] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1662), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(6800), 1,
      anon_sym_LBRACE,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(10497), 1,
      sym_literal_type,
    STATE(10569), 1,
      sym__non_null_literal,
    STATE(12565), 1,
      sym__infix_type_choice,
    STATE(13116), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(1664), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1666), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3468), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8680), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138755] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15321), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3469), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138876] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1662), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(6800), 1,
      anon_sym_LBRACE,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(10497), 1,
      sym_literal_type,
    STATE(10569), 1,
      sym__non_null_literal,
    STATE(12565), 1,
      sym__infix_type_choice,
    STATE(13111), 1,
      sym__type,
    STATE(13250), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(1664), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1666), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3470), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8680), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138997] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14830), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3471), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139118] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17566), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3472), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139239] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15411), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3473), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139360] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15108), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3474), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139481] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(4628), 1,
      sym__annotated_type,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(9867), 1,
      sym__non_null_literal,
    STATE(10100), 1,
      sym_literal_type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12361), 1,
      sym__type,
    STATE(12560), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17021), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3475), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7364), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9030), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139602] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15017), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3476), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [139792] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4714), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4666), 1,
      sym__annotated_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(10064), 1,
      sym_literal_type,
    STATE(10065), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16376), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3478), 2,
      sym_comment,
      sym_block_comment,
    STATE(9218), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9748), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139913] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4714), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4666), 1,
      sym__annotated_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(10064), 1,
      sym_literal_type,
    STATE(10065), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11389), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16376), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3479), 2,
      sym_comment,
      sym_block_comment,
    STATE(9218), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9748), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140034] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4714), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4666), 1,
      sym__annotated_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(10064), 1,
      sym_literal_type,
    STATE(10065), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11365), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16376), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3480), 2,
      sym_comment,
      sym_block_comment,
    STATE(9218), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9748), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140155] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4714), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4666), 1,
      sym__annotated_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(10064), 1,
      sym_literal_type,
    STATE(10065), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11334), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16376), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3481), 2,
      sym_comment,
      sym_block_comment,
    STATE(9218), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9748), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140276] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1662), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(6800), 1,
      anon_sym_LBRACE,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(10497), 1,
      sym_literal_type,
    STATE(10569), 1,
      sym__non_null_literal,
    STATE(12565), 1,
      sym__infix_type_choice,
    STATE(13250), 1,
      sym_template_body,
    STATE(13263), 1,
      sym__type,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(1664), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1666), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3482), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8680), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9879), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13207), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140397] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4768), 1,
      anon_sym_COLON,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(4788), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      anon_sym_LPAREN,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    STATE(5154), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(10516), 1,
      sym_literal_type,
    STATE(10556), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13389), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(14851), 1,
      sym_parameter_types,
    STATE(17051), 1,
      sym_stable_identifier,
    ACTIONS(4790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3483), 2,
      sym_comment,
      sym_block_comment,
    STATE(10008), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10597), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13403), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140518] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4768), 1,
      anon_sym_COLON,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(4788), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      anon_sym_LPAREN,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    STATE(5154), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(10516), 1,
      sym_literal_type,
    STATE(10556), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13381), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(14851), 1,
      sym_parameter_types,
    STATE(17051), 1,
      sym_stable_identifier,
    ACTIONS(4790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3484), 2,
      sym_comment,
      sym_block_comment,
    STATE(10008), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10597), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13403), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140639] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4768), 1,
      anon_sym_COLON,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(4788), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      anon_sym_LPAREN,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    STATE(5154), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(10516), 1,
      sym_literal_type,
    STATE(10556), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13377), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(14851), 1,
      sym_parameter_types,
    STATE(17051), 1,
      sym_stable_identifier,
    ACTIONS(4790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3485), 2,
      sym_comment,
      sym_block_comment,
    STATE(10008), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10597), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13403), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140760] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4768), 1,
      anon_sym_COLON,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(4788), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      anon_sym_LPAREN,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    STATE(5154), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(10516), 1,
      sym_literal_type,
    STATE(10556), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13362), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(14851), 1,
      sym_parameter_types,
    STATE(17051), 1,
      sym_stable_identifier,
    ACTIONS(4790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3486), 2,
      sym_comment,
      sym_block_comment,
    STATE(10008), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10597), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13403), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140881] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14827), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3487), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141002] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15095), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3488), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141123] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4768), 1,
      anon_sym_COLON,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(4788), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      anon_sym_LPAREN,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    STATE(5154), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(10516), 1,
      sym_literal_type,
    STATE(10556), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13525), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(14851), 1,
      sym_parameter_types,
    STATE(17051), 1,
      sym_stable_identifier,
    ACTIONS(4790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3489), 2,
      sym_comment,
      sym_block_comment,
    STATE(10008), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10597), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13403), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141244] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14882), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3490), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141365] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4646), 1,
      anon_sym_COLON,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(4666), 1,
      sym_integer_literal,
    ACTIONS(6852), 1,
      anon_sym_LPAREN,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5225), 1,
      sym__annotated_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(10492), 1,
      sym_literal_type,
    STATE(10515), 1,
      sym__non_null_literal,
    STATE(12571), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13559), 1,
      sym__type,
    STATE(14965), 1,
      sym_parameter_types,
    STATE(17063), 1,
      sym_stable_identifier,
    ACTIONS(4668), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4670), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4672), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3491), 2,
      sym_comment,
      sym_block_comment,
    STATE(9892), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10588), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13531), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141486] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4714), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4666), 1,
      sym__annotated_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(10064), 1,
      sym_literal_type,
    STATE(10065), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(11149), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16376), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3492), 2,
      sym_comment,
      sym_block_comment,
    STATE(9218), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9748), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141607] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17230), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3493), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141728] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4646), 1,
      anon_sym_COLON,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(4666), 1,
      sym_integer_literal,
    ACTIONS(6852), 1,
      anon_sym_LPAREN,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5225), 1,
      sym__annotated_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(10492), 1,
      sym_literal_type,
    STATE(10515), 1,
      sym__non_null_literal,
    STATE(12571), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13565), 1,
      sym__type,
    STATE(14965), 1,
      sym_parameter_types,
    STATE(17063), 1,
      sym_stable_identifier,
    ACTIONS(4668), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4670), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4672), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3494), 2,
      sym_comment,
      sym_block_comment,
    STATE(9892), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10588), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13531), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141849] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4646), 1,
      anon_sym_COLON,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(4666), 1,
      sym_integer_literal,
    ACTIONS(6852), 1,
      anon_sym_LPAREN,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5225), 1,
      sym__annotated_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(10492), 1,
      sym_literal_type,
    STATE(10515), 1,
      sym__non_null_literal,
    STATE(12571), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13526), 1,
      sym__type,
    STATE(14965), 1,
      sym_parameter_types,
    STATE(17063), 1,
      sym_stable_identifier,
    ACTIONS(4668), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4670), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4672), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3495), 2,
      sym_comment,
      sym_block_comment,
    STATE(9892), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10588), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13531), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141970] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15278), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3496), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142091] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15015), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3497), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142212] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17226), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3498), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142333] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14979), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3499), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142454] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4646), 1,
      anon_sym_COLON,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(4666), 1,
      sym_integer_literal,
    ACTIONS(6852), 1,
      anon_sym_LPAREN,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5225), 1,
      sym__annotated_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(10492), 1,
      sym_literal_type,
    STATE(10515), 1,
      sym__non_null_literal,
    STATE(12571), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13578), 1,
      sym__type,
    STATE(14965), 1,
      sym_parameter_types,
    STATE(17063), 1,
      sym_stable_identifier,
    ACTIONS(4668), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4670), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4672), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3500), 2,
      sym_comment,
      sym_block_comment,
    STATE(9892), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10588), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13531), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142575] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14866), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3501), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142696] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15004), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3502), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142817] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14950), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3503), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142938] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4646), 1,
      anon_sym_COLON,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(4666), 1,
      sym_integer_literal,
    ACTIONS(6852), 1,
      anon_sym_LPAREN,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5225), 1,
      sym__annotated_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(10492), 1,
      sym_literal_type,
    STATE(10515), 1,
      sym__non_null_literal,
    STATE(12571), 1,
      sym__infix_type_choice,
    STATE(13332), 1,
      sym__type,
    STATE(13485), 1,
      sym_template_body,
    STATE(14965), 1,
      sym_parameter_types,
    STATE(17063), 1,
      sym_stable_identifier,
    ACTIONS(4668), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4670), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4672), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3504), 2,
      sym_comment,
      sym_block_comment,
    STATE(9892), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10588), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13531), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143059] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3505), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143180] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5264), 1,
      sym__annotated_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(10503), 1,
      sym__non_null_literal,
    STATE(10564), 1,
      sym_literal_type,
    STATE(12574), 1,
      sym__infix_type_choice,
    STATE(13262), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17075), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3506), 2,
      sym_comment,
      sym_block_comment,
    STATE(8113), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143301] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15828), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3507), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143422] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5264), 1,
      sym__annotated_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(10503), 1,
      sym__non_null_literal,
    STATE(10564), 1,
      sym_literal_type,
    STATE(12574), 1,
      sym__infix_type_choice,
    STATE(13272), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17075), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3508), 2,
      sym_comment,
      sym_block_comment,
    STATE(8113), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143543] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5264), 1,
      sym__annotated_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(10503), 1,
      sym__non_null_literal,
    STATE(10564), 1,
      sym_literal_type,
    STATE(12574), 1,
      sym__infix_type_choice,
    STATE(13273), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17075), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3509), 2,
      sym_comment,
      sym_block_comment,
    STATE(8113), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143664] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5264), 1,
      sym__annotated_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(10503), 1,
      sym__non_null_literal,
    STATE(10564), 1,
      sym_literal_type,
    STATE(12574), 1,
      sym__infix_type_choice,
    STATE(13220), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17075), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3510), 2,
      sym_comment,
      sym_block_comment,
    STATE(8113), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143785] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16864), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3511), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143906] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14812), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3512), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144027] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14860), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3513), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144148] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(11380), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(12130), 1,
      sym_template_body,
    STATE(12361), 1,
      sym__type,
    STATE(12551), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(16977), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3514), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9915), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10901), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11858), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144269] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5264), 1,
      sym__annotated_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(10503), 1,
      sym__non_null_literal,
    STATE(10564), 1,
      sym_literal_type,
    STATE(12574), 1,
      sym__infix_type_choice,
    STATE(13231), 1,
      sym__type,
    STATE(13305), 1,
      sym_template_body,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17075), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3515), 2,
      sym_comment,
      sym_block_comment,
    STATE(8113), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13249), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144390] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16770), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3516), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144511] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(8546), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11232), 1,
      sym_literal_type,
    STATE(11565), 1,
      sym__type,
    STATE(11753), 1,
      sym_template_body,
    STATE(12388), 1,
      sym__infix_type_choice,
    STATE(15516), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3517), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11528), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144632] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(8546), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11232), 1,
      sym_literal_type,
    STATE(11542), 1,
      sym__type,
    STATE(11753), 1,
      sym_template_body,
    STATE(12388), 1,
      sym__infix_type_choice,
    STATE(15516), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3518), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11528), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144753] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1198), 1,
      sym_integer_literal,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_LPAREN,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    STATE(5503), 1,
      sym__annotated_type,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(10711), 1,
      sym__non_null_literal,
    STATE(10858), 1,
      sym_literal_type,
    STATE(11410), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12577), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_stable_identifier,
    ACTIONS(1200), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1202), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1206), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3519), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8715), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144874] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(8546), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11232), 1,
      sym_literal_type,
    STATE(11586), 1,
      sym__type,
    STATE(11753), 1,
      sym_template_body,
    STATE(12388), 1,
      sym__infix_type_choice,
    STATE(15516), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3520), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11528), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144995] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(8546), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11232), 1,
      sym_literal_type,
    STATE(11464), 1,
      sym__type,
    STATE(11753), 1,
      sym_template_body,
    STATE(12388), 1,
      sym__infix_type_choice,
    STATE(15516), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3521), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11528), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145116] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1198), 1,
      sym_integer_literal,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_LPAREN,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    STATE(5503), 1,
      sym__annotated_type,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(10711), 1,
      sym__non_null_literal,
    STATE(10858), 1,
      sym_literal_type,
    STATE(11407), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12577), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_stable_identifier,
    ACTIONS(1200), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1202), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1206), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3522), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8715), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145237] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1198), 1,
      sym_integer_literal,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_LPAREN,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    STATE(5503), 1,
      sym__annotated_type,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(10711), 1,
      sym__non_null_literal,
    STATE(10858), 1,
      sym_literal_type,
    STATE(11405), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12577), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_stable_identifier,
    ACTIONS(1200), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1202), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1206), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3523), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8715), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145358] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1198), 1,
      sym_integer_literal,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_LPAREN,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    STATE(5503), 1,
      sym__annotated_type,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(10711), 1,
      sym__non_null_literal,
    STATE(10858), 1,
      sym_literal_type,
    STATE(11403), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12577), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_stable_identifier,
    ACTIONS(1200), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1202), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1206), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3524), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8715), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10410), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145479] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14809), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3525), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145600] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15334), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3526), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145721] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11149), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3527), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145842] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14763), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3528), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145963] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14810), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3529), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15098), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3530), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146205] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(8546), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11232), 1,
      sym_literal_type,
    STATE(11753), 1,
      sym_template_body,
    STATE(11760), 1,
      sym__type,
    STATE(12388), 1,
      sym__infix_type_choice,
    STATE(15516), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3531), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11528), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15658), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3532), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146447] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15074), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3533), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2058), 1,
      sym_integer_literal,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6702), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    STATE(6908), 1,
      sym__annotated_type,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(11178), 1,
      sym_literal_type,
    STATE(11272), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12144), 1,
      sym__type,
    STATE(12583), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17105), 1,
      sym_stable_identifier,
    ACTIONS(2060), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2062), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2066), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3534), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10714), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146689] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15282), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3535), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146810] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14754), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3536), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146931] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2058), 1,
      sym_integer_literal,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6702), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    STATE(6908), 1,
      sym__annotated_type,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(11178), 1,
      sym_literal_type,
    STATE(11272), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12004), 1,
      sym__type,
    STATE(12583), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17105), 1,
      sym_stable_identifier,
    ACTIONS(2060), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2062), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2066), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3537), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10714), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147052] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16679), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3538), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147173] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2058), 1,
      sym_integer_literal,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6702), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    STATE(6908), 1,
      sym__annotated_type,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(11178), 1,
      sym_literal_type,
    STATE(11272), 1,
      sym__non_null_literal,
    STATE(11815), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12583), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17105), 1,
      sym_stable_identifier,
    ACTIONS(2060), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2062), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2066), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3539), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10714), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147294] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15146), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3540), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147415] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2058), 1,
      sym_integer_literal,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6702), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    STATE(6908), 1,
      sym__annotated_type,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(11178), 1,
      sym_literal_type,
    STATE(11272), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12091), 1,
      sym__type,
    STATE(12583), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17105), 1,
      sym_stable_identifier,
    ACTIONS(2060), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2062), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2066), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3541), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10714), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147536] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15314), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3542), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147657] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15783), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3543), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147778] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16574), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3544), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147899] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15712), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3545), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148020] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14784), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3546), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148141] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15440), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3547), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148262] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15448), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3548), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148383] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2058), 1,
      sym_integer_literal,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6702), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    STATE(6908), 1,
      sym__annotated_type,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(11178), 1,
      sym_literal_type,
    STATE(11272), 1,
      sym__non_null_literal,
    STATE(11864), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12583), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17105), 1,
      sym_stable_identifier,
    ACTIONS(2060), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2062), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2066), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3549), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10714), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148504] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15290), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3550), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148625] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15846), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3551), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148746] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(13953), 1,
      sym__type,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3552), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148867] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_LPAREN,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    STATE(4424), 1,
      sym__annotated_type,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(9065), 1,
      sym__non_null_literal,
    STATE(9175), 1,
      sym_literal_type,
    STATE(11410), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12587), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17123), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3553), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5646), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7468), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15778), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3554), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149109] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16342), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3555), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      anon_sym_LBRACK,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(4610), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(7203), 1,
      sym__annotated_type,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11337), 1,
      sym_literal_type,
    STATE(11340), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym__type,
    STATE(12380), 1,
      sym__infix_type_choice,
    STATE(14828), 1,
      sym_parameter_types,
    STATE(16482), 1,
      sym_stable_identifier,
    ACTIONS(4612), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4614), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4618), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3556), 2,
      sym_comment,
      sym_block_comment,
    STATE(10811), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11288), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149351] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      anon_sym_LBRACK,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(4610), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(7203), 1,
      sym__annotated_type,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11337), 1,
      sym_literal_type,
    STATE(11340), 1,
      sym__non_null_literal,
    STATE(11389), 1,
      sym__type,
    STATE(12380), 1,
      sym__infix_type_choice,
    STATE(14828), 1,
      sym_parameter_types,
    STATE(16482), 1,
      sym_stable_identifier,
    ACTIONS(4612), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4614), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4618), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3557), 2,
      sym_comment,
      sym_block_comment,
    STATE(10811), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11288), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      anon_sym_LBRACK,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(4610), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(7203), 1,
      sym__annotated_type,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11337), 1,
      sym_literal_type,
    STATE(11340), 1,
      sym__non_null_literal,
    STATE(11365), 1,
      sym__type,
    STATE(12380), 1,
      sym__infix_type_choice,
    STATE(14828), 1,
      sym_parameter_types,
    STATE(16482), 1,
      sym_stable_identifier,
    ACTIONS(4612), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4614), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4618), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3558), 2,
      sym_comment,
      sym_block_comment,
    STATE(10811), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11288), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149593] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15602), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3559), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      anon_sym_LBRACK,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(4610), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(7203), 1,
      sym__annotated_type,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11334), 1,
      sym__type,
    STATE(11337), 1,
      sym_literal_type,
    STATE(11340), 1,
      sym__non_null_literal,
    STATE(12380), 1,
      sym__infix_type_choice,
    STATE(14828), 1,
      sym_parameter_types,
    STATE(16482), 1,
      sym_stable_identifier,
    ACTIONS(4612), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4614), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4618), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3560), 2,
      sym_comment,
      sym_block_comment,
    STATE(10811), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11288), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149835] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16333), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3561), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149956] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15612), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3562), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150077] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15536), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3563), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150198] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_LPAREN,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    STATE(4424), 1,
      sym__annotated_type,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(9065), 1,
      sym__non_null_literal,
    STATE(9175), 1,
      sym_literal_type,
    STATE(11407), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12587), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17123), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3564), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5646), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7468), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150319] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_LPAREN,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    STATE(4424), 1,
      sym__annotated_type,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(9065), 1,
      sym__non_null_literal,
    STATE(9175), 1,
      sym_literal_type,
    STATE(11405), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12587), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17123), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3565), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5646), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7468), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150440] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_LPAREN,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    STATE(4424), 1,
      sym__annotated_type,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(9065), 1,
      sym__non_null_literal,
    STATE(9175), 1,
      sym_literal_type,
    STATE(11403), 1,
      sym__type,
    STATE(11422), 1,
      sym_template_body,
    STATE(12587), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17123), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3566), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5646), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7468), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150561] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15833), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3567), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150682] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(12920), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3568), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150803] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14943), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3569), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150924] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1534), 1,
      sym_integer_literal,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_LPAREN,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6016), 1,
      sym__annotated_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(11067), 1,
      sym_literal_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11984), 1,
      sym__type,
    STATE(12530), 1,
      sym__infix_type_choice,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(1536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1542), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3570), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9464), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151045] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14951), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3571), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151166] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14933), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3572), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151287] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16192), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3573), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151408] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14798), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3574), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151529] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16152), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3575), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151650] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_LPAREN,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    STATE(4424), 1,
      sym__annotated_type,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(9065), 1,
      sym__non_null_literal,
    STATE(9175), 1,
      sym_literal_type,
    STATE(11422), 1,
      sym_template_body,
    STATE(11449), 1,
      sym__type,
    STATE(12587), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17123), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3576), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5646), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7468), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11354), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151771] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    STATE(4726), 1,
      sym__annotated_type,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(9876), 1,
      sym_literal_type,
    STATE(10116), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12004), 1,
      sym__type,
    STATE(12588), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17129), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3577), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6877), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9040), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151892] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      anon_sym_LBRACK,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(4610), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(7203), 1,
      sym__annotated_type,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11149), 1,
      sym__type,
    STATE(11337), 1,
      sym_literal_type,
    STATE(11340), 1,
      sym__non_null_literal,
    STATE(12380), 1,
      sym__infix_type_choice,
    STATE(14828), 1,
      sym_parameter_types,
    STATE(16482), 1,
      sym_stable_identifier,
    ACTIONS(4612), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4614), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4618), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3578), 2,
      sym_comment,
      sym_block_comment,
    STATE(10811), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11288), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152013] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    STATE(4726), 1,
      sym__annotated_type,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(9876), 1,
      sym_literal_type,
    STATE(10116), 1,
      sym__non_null_literal,
    STATE(11815), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12588), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17129), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3579), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6877), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9040), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14846), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3580), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152255] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    STATE(4726), 1,
      sym__annotated_type,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(9876), 1,
      sym_literal_type,
    STATE(10116), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12091), 1,
      sym__type,
    STATE(12588), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17129), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3581), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6877), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9040), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    STATE(4726), 1,
      sym__annotated_type,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(9876), 1,
      sym_literal_type,
    STATE(10116), 1,
      sym__non_null_literal,
    STATE(11925), 1,
      sym_template_body,
    STATE(12144), 1,
      sym__type,
    STATE(12588), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17129), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3582), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6877), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9040), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152497] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15645), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3583), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9946), 1,
      sym__annotated_type,
    STATE(12499), 1,
      sym__infix_type_choice,
    STATE(12717), 1,
      sym__non_null_literal,
    STATE(12721), 1,
      sym_literal_type,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(16534), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_template_body,
    ACTIONS(3314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3584), 2,
      sym_comment,
      sym_block_comment,
    STATE(10823), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16437), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17845), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152739] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14796), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3585), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10664), 1,
      sym__type,
    STATE(10883), 1,
      sym_template_body,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3586), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152981] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10883), 1,
      sym_template_body,
    STATE(10902), 1,
      sym__type,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3587), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153102] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__annotated_type,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12485), 1,
      sym__infix_type_choice,
    STATE(13859), 1,
      sym__type,
    STATE(15723), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3588), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153223] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_LPAREN,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(6690), 1,
      sym_integer_literal,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__annotated_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(11029), 1,
      sym_literal_type,
    STATE(11052), 1,
      sym__non_null_literal,
    STATE(12026), 1,
      sym_template_body,
    STATE(12543), 1,
      sym__infix_type_choice,
    STATE(14151), 1,
      sym__type,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(16932), 1,
      sym_stable_identifier,
    ACTIONS(6692), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6694), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6696), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3589), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11038), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153344] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15691), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3590), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153465] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15544), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3591), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153586] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15294), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3592), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153707] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14885), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3593), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153828] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16432), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3594), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153949] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    STATE(4726), 1,
      sym__annotated_type,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(9876), 1,
      sym_literal_type,
    STATE(10116), 1,
      sym__non_null_literal,
    STATE(11864), 1,
      sym__type,
    STATE(11925), 1,
      sym_template_body,
    STATE(12588), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17129), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3595), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6877), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9040), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11891), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154070] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_LBRACE,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6540), 1,
      anon_sym_LPAREN,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(9900), 1,
      sym__non_null_literal,
    STATE(10087), 1,
      sym_literal_type,
    STATE(12318), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12590), 1,
      sym__infix_type_choice,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17141), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3596), 2,
      sym_comment,
      sym_block_comment,
    STATE(6661), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8864), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154191] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15298), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3597), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154312] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6516), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14163), 1,
      sym__type,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3598), 2,
      sym_comment,
      sym_block_comment,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154433] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(6440), 1,
      anon_sym_LBRACK,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4609), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(9514), 1,
      sym_literal_type,
    STATE(9515), 1,
      sym__non_null_literal,
    STATE(10936), 1,
      sym_template_body,
    STATE(12464), 1,
      sym__infix_type_choice,
    STATE(14386), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3599), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7505), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154554] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_LBRACE,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6540), 1,
      anon_sym_LPAREN,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(9900), 1,
      sym__non_null_literal,
    STATE(10087), 1,
      sym_literal_type,
    STATE(12323), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12590), 1,
      sym__infix_type_choice,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17141), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3600), 2,
      sym_comment,
      sym_block_comment,
    STATE(6661), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8864), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154675] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15302), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3601), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154796] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_LBRACE,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6540), 1,
      anon_sym_LPAREN,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(9900), 1,
      sym__non_null_literal,
    STATE(10087), 1,
      sym_literal_type,
    STATE(12324), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12590), 1,
      sym__infix_type_choice,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17141), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3602), 2,
      sym_comment,
      sym_block_comment,
    STATE(6661), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8864), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154917] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_LBRACE,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6540), 1,
      anon_sym_LPAREN,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(9900), 1,
      sym__non_null_literal,
    STATE(10087), 1,
      sym_literal_type,
    STATE(12327), 1,
      sym__type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12590), 1,
      sym__infix_type_choice,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17141), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3603), 2,
      sym_comment,
      sym_block_comment,
    STATE(6661), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8864), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155038] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16435), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3604), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155159] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15540), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3605), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_LBRACE,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6540), 1,
      anon_sym_LPAREN,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(9900), 1,
      sym__non_null_literal,
    STATE(10087), 1,
      sym_literal_type,
    STATE(12399), 1,
      sym_template_body,
    STATE(12408), 1,
      sym__type,
    STATE(12590), 1,
      sym__infix_type_choice,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17141), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3606), 2,
      sym_comment,
      sym_block_comment,
    STATE(6661), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8864), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12236), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155401] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15306), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3607), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8984), 1,
      sym__annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12513), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(15747), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3608), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155643] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1856), 1,
      sym_integer_literal,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    STATE(5541), 1,
      sym__annotated_type,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(10759), 1,
      sym_literal_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(12592), 1,
      sym__infix_type_choice,
    STATE(13389), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17153), 1,
      sym_stable_identifier,
    ACTIONS(1858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1864), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3609), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8880), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10183), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6238), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8109), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(11572), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__infix_type_choice,
    STATE(14473), 1,
      sym__type,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(6250), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6254), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3610), 2,
      sym_comment,
      sym_block_comment,
    STATE(11077), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11561), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155885] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15811), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3611), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14235), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3612), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156127] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15804), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3613), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156248] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15816), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156369] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15789), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3615), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156490] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1234), 1,
      sym_integer_literal,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_LPAREN,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5317), 1,
      sym__annotated_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(10485), 1,
      sym_literal_type,
    STATE(10631), 1,
      sym__non_null_literal,
    STATE(12620), 1,
      sym__infix_type_choice,
    STATE(13050), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15476), 1,
      sym_parameter_types,
    STATE(17279), 1,
      sym_stable_identifier,
    ACTIONS(1236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3616), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8538), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156611] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15588), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3617), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156732] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16707), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3618), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156853] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15367), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3619), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156974] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1856), 1,
      sym_integer_literal,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    STATE(5541), 1,
      sym__annotated_type,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(10759), 1,
      sym_literal_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(12592), 1,
      sym__infix_type_choice,
    STATE(13381), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17153), 1,
      sym_stable_identifier,
    ACTIONS(1858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1864), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3620), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8880), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10183), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157095] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16715), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3621), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157216] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15335), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3622), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157337] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15678), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157458] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6620), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5409), 1,
      sym__annotated_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(10501), 1,
      sym_literal_type,
    STATE(10574), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__infix_type_choice,
    STATE(13140), 1,
      sym_template_body,
    STATE(13410), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16820), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3624), 2,
      sym_comment,
      sym_block_comment,
    STATE(8485), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10111), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157579] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(13917), 1,
      sym__type,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3625), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157700] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1856), 1,
      sym_integer_literal,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    STATE(5541), 1,
      sym__annotated_type,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(10759), 1,
      sym_literal_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(12592), 1,
      sym__infix_type_choice,
    STATE(13377), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17153), 1,
      sym_stable_identifier,
    ACTIONS(1858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1864), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3626), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8880), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10183), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157821] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11393), 1,
      sym__type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3627), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157942] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11389), 1,
      sym__type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3628), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158063] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11365), 1,
      sym__type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3629), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158184] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11334), 1,
      sym__type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3630), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158305] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15310), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3631), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11149), 1,
      sym__type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3632), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158547] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15195), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3633), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158668] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11243), 1,
      sym__type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3634), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158789] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15699), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158910] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17028), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3636), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159031] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11264), 1,
      sym__type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3637), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159152] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11331), 1,
      sym__type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3638), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159273] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15152), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3639), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159394] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17030), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159515] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1234), 1,
      sym_integer_literal,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_LPAREN,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5317), 1,
      sym__annotated_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(10485), 1,
      sym_literal_type,
    STATE(10631), 1,
      sym__non_null_literal,
    STATE(12620), 1,
      sym__infix_type_choice,
    STATE(13047), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15476), 1,
      sym_parameter_types,
    STATE(17279), 1,
      sym_stable_identifier,
    ACTIONS(1236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8538), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159636] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1856), 1,
      sym_integer_literal,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    STATE(5541), 1,
      sym__annotated_type,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(10759), 1,
      sym_literal_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(12592), 1,
      sym__infix_type_choice,
    STATE(13362), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17153), 1,
      sym_stable_identifier,
    ACTIONS(1858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1864), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8880), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10183), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159757] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11366), 1,
      sym__type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3643), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159878] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1234), 1,
      sym_integer_literal,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_LPAREN,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5317), 1,
      sym__annotated_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(10485), 1,
      sym_literal_type,
    STATE(10631), 1,
      sym__non_null_literal,
    STATE(12620), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15476), 1,
      sym_parameter_types,
    STATE(17279), 1,
      sym_stable_identifier,
    ACTIONS(1236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8538), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159999] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15084), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3645), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160120] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15138), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3646), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160241] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14952), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160362] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17270), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3648), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160483] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1856), 1,
      sym_integer_literal,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    STATE(5541), 1,
      sym__annotated_type,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(10759), 1,
      sym_literal_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(12592), 1,
      sym__infix_type_choice,
    STATE(13525), 1,
      sym__type,
    STATE(13599), 1,
      sym_template_body,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17153), 1,
      sym_stable_identifier,
    ACTIONS(1858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1864), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3649), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8880), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10183), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160604] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4738), 1,
      anon_sym_COLON,
    ACTIONS(4740), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4626), 1,
      sym__annotated_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(9776), 1,
      sym__non_null_literal,
    STATE(9953), 1,
      sym_literal_type,
    STATE(12596), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12843), 1,
      sym__type,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(17165), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3650), 2,
      sym_comment,
      sym_block_comment,
    STATE(8818), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12810), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160725] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4738), 1,
      anon_sym_COLON,
    ACTIONS(4740), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4626), 1,
      sym__annotated_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(9776), 1,
      sym__non_null_literal,
    STATE(9953), 1,
      sym_literal_type,
    STATE(12596), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12833), 1,
      sym__type,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(17165), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8818), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12810), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160846] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15711), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160967] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17276), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161088] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4738), 1,
      anon_sym_COLON,
    ACTIONS(4740), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4626), 1,
      sym__annotated_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(9776), 1,
      sym__non_null_literal,
    STATE(9953), 1,
      sym_literal_type,
    STATE(12596), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12807), 1,
      sym__type,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(17165), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8818), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12810), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161209] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4738), 1,
      anon_sym_COLON,
    ACTIONS(4740), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4626), 1,
      sym__annotated_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(9776), 1,
      sym__non_null_literal,
    STATE(9953), 1,
      sym_literal_type,
    STATE(12596), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12828), 1,
      sym__type,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(17165), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3655), 2,
      sym_comment,
      sym_block_comment,
    STATE(8818), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12810), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161330] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15748), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3656), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161451] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14856), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3657), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8273), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161693] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1234), 1,
      sym_integer_literal,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_LPAREN,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5317), 1,
      sym__annotated_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(10485), 1,
      sym_literal_type,
    STATE(10631), 1,
      sym__non_null_literal,
    STATE(12620), 1,
      sym__infix_type_choice,
    STATE(13034), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15476), 1,
      sym_parameter_types,
    STATE(17279), 1,
      sym_stable_identifier,
    ACTIONS(1236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8538), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161814] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14820), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3660), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161935] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14738), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3661), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162056] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(4524), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4833), 1,
      sym__annotated_type,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(10196), 1,
      sym__non_null_literal,
    STATE(10312), 1,
      sym_literal_type,
    STATE(12618), 1,
      sym__infix_type_choice,
    STATE(13056), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15706), 1,
      sym_parameter_types,
    STATE(17273), 1,
      sym_stable_identifier,
    ACTIONS(4526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3662), 2,
      sym_comment,
      sym_block_comment,
    STATE(9455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10219), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162177] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4738), 1,
      anon_sym_COLON,
    ACTIONS(4740), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4626), 1,
      sym__annotated_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(9776), 1,
      sym__non_null_literal,
    STATE(9953), 1,
      sym_literal_type,
    STATE(12596), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12987), 1,
      sym__type,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(17165), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3663), 2,
      sym_comment,
      sym_block_comment,
    STATE(8818), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12810), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162298] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1570), 1,
      sym_integer_literal,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    STATE(5572), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(10815), 1,
      sym_literal_type,
    STATE(10876), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13559), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17171), 1,
      sym_stable_identifier,
    ACTIONS(1572), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1574), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1578), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3664), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9194), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10332), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162419] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15704), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162540] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14768), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162661] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1570), 1,
      sym_integer_literal,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    STATE(5572), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(10815), 1,
      sym_literal_type,
    STATE(10876), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13565), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17171), 1,
      sym_stable_identifier,
    ACTIONS(1572), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1574), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1578), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9194), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10332), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162782] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1570), 1,
      sym_integer_literal,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    STATE(5572), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(10815), 1,
      sym_literal_type,
    STATE(10876), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13526), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17171), 1,
      sym_stable_identifier,
    ACTIONS(1572), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1574), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1578), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3668), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9194), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10332), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162903] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1570), 1,
      sym_integer_literal,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    STATE(5572), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(10815), 1,
      sym_literal_type,
    STATE(10876), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__infix_type_choice,
    STATE(13485), 1,
      sym_template_body,
    STATE(13578), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17171), 1,
      sym_stable_identifier,
    ACTIONS(1572), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1574), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1578), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3669), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9194), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10332), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163024] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11428), 1,
      sym__type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3670), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163145] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1570), 1,
      sym_integer_literal,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    STATE(5572), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(10815), 1,
      sym_literal_type,
    STATE(10876), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__infix_type_choice,
    STATE(13332), 1,
      sym__type,
    STATE(13485), 1,
      sym_template_body,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17171), 1,
      sym_stable_identifier,
    ACTIONS(1572), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1574), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1578), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9194), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10332), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13375), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163266] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(4524), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4833), 1,
      sym__annotated_type,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(10196), 1,
      sym__non_null_literal,
    STATE(10312), 1,
      sym_literal_type,
    STATE(12618), 1,
      sym__infix_type_choice,
    STATE(13050), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15706), 1,
      sym_parameter_types,
    STATE(17273), 1,
      sym_stable_identifier,
    ACTIONS(4526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3672), 2,
      sym_comment,
      sym_block_comment,
    STATE(9455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10219), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163387] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17527), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163508] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    ACTIONS(4536), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(4554), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(4682), 1,
      sym__annotated_type,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(9966), 1,
      sym__non_null_literal,
    STATE(9993), 1,
      sym_literal_type,
    STATE(12608), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12962), 1,
      sym__type,
    STATE(15599), 1,
      sym_parameter_types,
    STATE(17207), 1,
      sym_stable_identifier,
    ACTIONS(4556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4562), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3674), 2,
      sym_comment,
      sym_block_comment,
    STATE(9321), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9875), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12918), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163629] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17626), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3675), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163750] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14825), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163871] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15446), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163992] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      anon_sym_LBRACK,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(4848), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5231), 1,
      sym__annotated_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(10465), 1,
      sym__non_null_literal,
    STATE(10659), 1,
      sym_literal_type,
    STATE(12604), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13623), 1,
      sym__type,
    STATE(15190), 1,
      sym_parameter_types,
    STATE(17183), 1,
      sym_stable_identifier,
    ACTIONS(4850), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4852), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3678), 2,
      sym_comment,
      sym_block_comment,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10551), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13344), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164113] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14847), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164234] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(11085), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3680), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164355] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym_COLON,
    ACTIONS(6564), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(6578), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5974), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(10610), 1,
      sym__non_null_literal,
    STATE(10627), 1,
      sym_literal_type,
    STATE(10691), 1,
      sym_template_body,
    STATE(11086), 1,
      sym__type,
    STATE(12547), 1,
      sym__infix_type_choice,
    STATE(15561), 1,
      sym_parameter_types,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(6580), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6582), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3681), 2,
      sym_comment,
      sym_block_comment,
    STATE(9922), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10699), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10729), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164476] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6330), 1,
      sym_integer_literal,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(7993), 1,
      sym__annotated_type,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_literal_type,
    STATE(11158), 1,
      sym__non_null_literal,
    STATE(12116), 1,
      sym_template_body,
    STATE(12516), 1,
      sym__infix_type_choice,
    STATE(14166), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16469), 1,
      sym_stable_identifier,
    ACTIONS(6332), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6334), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3682), 2,
      sym_comment,
      sym_block_comment,
    STATE(10678), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11296), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164597] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15143), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17869), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164839] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17861), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3685), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164960] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14918), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165081] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14858), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165202] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14931), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3688), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165323] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15738), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165444] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(4524), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4833), 1,
      sym__annotated_type,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(10196), 1,
      sym__non_null_literal,
    STATE(10312), 1,
      sym_literal_type,
    STATE(12618), 1,
      sym__infix_type_choice,
    STATE(13047), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15706), 1,
      sym_parameter_types,
    STATE(17273), 1,
      sym_stable_identifier,
    ACTIONS(4526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3690), 2,
      sym_comment,
      sym_block_comment,
    STATE(9455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10219), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165565] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11181), 1,
      sym__type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3691), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165686] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(4524), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4833), 1,
      sym__annotated_type,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(10196), 1,
      sym__non_null_literal,
    STATE(10312), 1,
      sym_literal_type,
    STATE(12618), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15706), 1,
      sym_parameter_types,
    STATE(17273), 1,
      sym_stable_identifier,
    ACTIONS(4526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3692), 2,
      sym_comment,
      sym_block_comment,
    STATE(9455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10219), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165807] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15726), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3693), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165928] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17747), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166049] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      anon_sym_LBRACK,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(4848), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5231), 1,
      sym__annotated_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(10465), 1,
      sym__non_null_literal,
    STATE(10659), 1,
      sym_literal_type,
    STATE(12604), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13437), 1,
      sym__type,
    STATE(15190), 1,
      sym_parameter_types,
    STATE(17183), 1,
      sym_stable_identifier,
    ACTIONS(4850), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4852), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3695), 2,
      sym_comment,
      sym_block_comment,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10551), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13344), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166170] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17742), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166291] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15481), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166412] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15318), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3698), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166533] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15637), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3699), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166654] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8159), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3700), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166775] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15253), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3701), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166896] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      anon_sym_LBRACK,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(4848), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5231), 1,
      sym__annotated_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(10465), 1,
      sym__non_null_literal,
    STATE(10659), 1,
      sym_literal_type,
    STATE(12604), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13445), 1,
      sym__type,
    STATE(15190), 1,
      sym_parameter_types,
    STATE(17183), 1,
      sym_stable_identifier,
    ACTIONS(4850), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4852), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3702), 2,
      sym_comment,
      sym_block_comment,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10551), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13344), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167017] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16638), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3703), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167138] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(8546), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11232), 1,
      sym_literal_type,
    STATE(11675), 1,
      sym__type,
    STATE(11753), 1,
      sym_template_body,
    STATE(12388), 1,
      sym__infix_type_choice,
    STATE(15516), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3704), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11528), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167259] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      anon_sym_LBRACK,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(4848), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5231), 1,
      sym__annotated_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(10465), 1,
      sym__non_null_literal,
    STATE(10659), 1,
      sym_literal_type,
    STATE(12604), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13449), 1,
      sym__type,
    STATE(15190), 1,
      sym_parameter_types,
    STATE(17183), 1,
      sym_stable_identifier,
    ACTIONS(4850), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4852), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3705), 2,
      sym_comment,
      sym_block_comment,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10551), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13344), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167380] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14782), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3706), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167501] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15322), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14986), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167743] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      anon_sym_LBRACK,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(4848), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5231), 1,
      sym__annotated_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(10465), 1,
      sym__non_null_literal,
    STATE(10659), 1,
      sym_literal_type,
    STATE(12604), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13473), 1,
      sym__type,
    STATE(15190), 1,
      sym_parameter_types,
    STATE(17183), 1,
      sym_stable_identifier,
    ACTIONS(4850), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4852), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3709), 2,
      sym_comment,
      sym_block_comment,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10551), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13344), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17635), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167985] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4626), 1,
      anon_sym_LBRACK,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(4636), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(5602), 1,
      sym__annotated_type,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(10841), 1,
      sym__non_null_literal,
    STATE(10887), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11742), 1,
      sym__type,
    STATE(12605), 1,
      sym__infix_type_choice,
    STATE(15354), 1,
      sym_parameter_types,
    STATE(17189), 1,
      sym_stable_identifier,
    ACTIONS(4638), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4642), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3711), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10874), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168106] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4626), 1,
      anon_sym_LBRACK,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(4636), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(5602), 1,
      sym__annotated_type,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(10841), 1,
      sym__non_null_literal,
    STATE(10887), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11717), 1,
      sym__type,
    STATE(12605), 1,
      sym__infix_type_choice,
    STATE(15354), 1,
      sym_parameter_types,
    STATE(17189), 1,
      sym_stable_identifier,
    ACTIONS(4638), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4642), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3712), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10874), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168227] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15326), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3713), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168348] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15002), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3714), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168469] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17632), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168590] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15596), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168711] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15651), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3717), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168832] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(4524), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4833), 1,
      sym__annotated_type,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(10196), 1,
      sym__non_null_literal,
    STATE(10312), 1,
      sym_literal_type,
    STATE(12618), 1,
      sym__infix_type_choice,
    STATE(13034), 1,
      sym__type,
    STATE(13270), 1,
      sym_template_body,
    STATE(15706), 1,
      sym_parameter_types,
    STATE(17273), 1,
      sym_stable_identifier,
    ACTIONS(4526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3718), 2,
      sym_comment,
      sym_block_comment,
    STATE(9455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10219), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13078), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168953] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15045), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3719), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169074] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1360), 1,
      sym_integer_literal,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6258), 1,
      anon_sym_COLON,
    ACTIONS(6260), 1,
      anon_sym_LBRACE,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6264), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_LPAREN,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(10234), 1,
      sym__non_null_literal,
    STATE(10289), 1,
      sym_literal_type,
    STATE(12617), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12962), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17261), 1,
      sym_stable_identifier,
    ACTIONS(1362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3720), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169195] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1360), 1,
      sym_integer_literal,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6258), 1,
      anon_sym_COLON,
    ACTIONS(6260), 1,
      anon_sym_LBRACE,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6264), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_LPAREN,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(10234), 1,
      sym__non_null_literal,
    STATE(10289), 1,
      sym_literal_type,
    STATE(12617), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12960), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17261), 1,
      sym_stable_identifier,
    ACTIONS(1362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3721), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169316] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15688), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3722), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169437] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14752), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169558] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15057), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3724), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169679] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15672), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169800] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7613), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12430), 1,
      sym__infix_type_choice,
    STATE(13947), 1,
      sym__type,
    STATE(15660), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3726), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169921] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4626), 1,
      anon_sym_LBRACK,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(4636), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(5602), 1,
      sym__annotated_type,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(10841), 1,
      sym__non_null_literal,
    STATE(10887), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11711), 1,
      sym__type,
    STATE(12605), 1,
      sym__infix_type_choice,
    STATE(15354), 1,
      sym_parameter_types,
    STATE(17189), 1,
      sym_stable_identifier,
    ACTIONS(4638), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4642), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3727), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10874), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170042] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [170111] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15491), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170232] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16739), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170353] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_LPAREN,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    STATE(4484), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(9346), 1,
      sym_literal_type,
    STATE(9645), 1,
      sym__non_null_literal,
    STATE(11618), 1,
      sym_template_body,
    STATE(11984), 1,
      sym__type,
    STATE(12533), 1,
      sym__infix_type_choice,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3731), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8110), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11584), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170474] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4626), 1,
      anon_sym_LBRACK,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(4636), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(5602), 1,
      sym__annotated_type,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(10841), 1,
      sym__non_null_literal,
    STATE(10887), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__type,
    STATE(12605), 1,
      sym__infix_type_choice,
    STATE(15354), 1,
      sym_parameter_types,
    STATE(17189), 1,
      sym_stable_identifier,
    ACTIONS(4638), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4642), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3732), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10874), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170595] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17506), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170716] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4626), 1,
      anon_sym_LBRACK,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(4636), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(5602), 1,
      sym__annotated_type,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(10841), 1,
      sym__non_null_literal,
    STATE(10887), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12605), 1,
      sym__infix_type_choice,
    STATE(15354), 1,
      sym_parameter_types,
    STATE(17189), 1,
      sym_stable_identifier,
    ACTIONS(4638), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4642), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3734), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10874), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170837] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15485), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3735), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170958] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      anon_sym_LBRACK,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(4432), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4441), 1,
      sym__annotated_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(8742), 1,
      sym_literal_type,
    STATE(8771), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11742), 1,
      sym__type,
    STATE(12606), 1,
      sym__infix_type_choice,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17195), 1,
      sym_stable_identifier,
    ACTIONS(4434), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4436), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3736), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9022), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171079] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      anon_sym_LBRACK,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(4432), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4441), 1,
      sym__annotated_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(8742), 1,
      sym_literal_type,
    STATE(8771), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11717), 1,
      sym__type,
    STATE(12606), 1,
      sym__infix_type_choice,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17195), 1,
      sym_stable_identifier,
    ACTIONS(4434), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4436), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3737), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9022), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171200] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      anon_sym_LBRACK,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(4432), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4441), 1,
      sym__annotated_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(8742), 1,
      sym_literal_type,
    STATE(8771), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11711), 1,
      sym__type,
    STATE(12606), 1,
      sym__infix_type_choice,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17195), 1,
      sym_stable_identifier,
    ACTIONS(4434), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4436), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3738), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9022), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171321] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      anon_sym_LBRACK,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(4432), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4441), 1,
      sym__annotated_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(8742), 1,
      sym_literal_type,
    STATE(8771), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__type,
    STATE(12606), 1,
      sym__infix_type_choice,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17195), 1,
      sym_stable_identifier,
    ACTIONS(4434), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4436), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3739), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9022), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171442] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171563] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17500), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171684] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      anon_sym_LBRACK,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(4432), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4441), 1,
      sym__annotated_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(8742), 1,
      sym_literal_type,
    STATE(8771), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12606), 1,
      sym__infix_type_choice,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17195), 1,
      sym_stable_identifier,
    ACTIONS(4434), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4436), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3742), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9022), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11576), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171805] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12116), 1,
      sym_template_body,
    STATE(12450), 1,
      sym__infix_type_choice,
    STATE(13683), 1,
      sym__type,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11790), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12141), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171926] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15210), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172047] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1360), 1,
      sym_integer_literal,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6258), 1,
      anon_sym_COLON,
    ACTIONS(6260), 1,
      anon_sym_LBRACE,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6264), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_LPAREN,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(10234), 1,
      sym__non_null_literal,
    STATE(10289), 1,
      sym_literal_type,
    STATE(12617), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12938), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17261), 1,
      sym_stable_identifier,
    ACTIONS(1362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3745), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172168] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACE,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    STATE(5743), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(10531), 1,
      sym__non_null_literal,
    STATE(10583), 1,
      sym_literal_type,
    STATE(12026), 1,
      sym_template_body,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(14214), 1,
      sym__type,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3746), 2,
      sym_comment,
      sym_block_comment,
    STATE(9547), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12964), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172289] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1360), 1,
      sym_integer_literal,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6258), 1,
      anon_sym_COLON,
    ACTIONS(6260), 1,
      anon_sym_LBRACE,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6264), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_LPAREN,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(10234), 1,
      sym__non_null_literal,
    STATE(10289), 1,
      sym_literal_type,
    STATE(12617), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12933), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17261), 1,
      sym_stable_identifier,
    ACTIONS(1362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3747), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172410] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8174), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172531] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(6832), 1,
      sym_integer_literal,
    STATE(8418), 1,
      sym__simple_type,
    STATE(9001), 1,
      sym__annotated_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(10896), 1,
      sym_annotated_type,
    STATE(12429), 1,
      sym_literal_type,
    STATE(12563), 1,
      sym__non_null_literal,
    STATE(12607), 1,
      sym__infix_type_choice,
    STATE(15487), 1,
      sym_parameter_types,
    STATE(16035), 1,
      sym__type,
    STATE(16135), 1,
      sym_template_body,
    STATE(17201), 1,
      sym_stable_identifier,
    ACTIONS(6834), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6836), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6838), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3749), 2,
      sym_comment,
      sym_block_comment,
    STATE(11557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12541), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16134), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172652] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14332), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3750), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172773] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11393), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3751), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172894] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11389), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3752), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173015] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11365), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3753), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173136] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11334), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3754), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173257] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15330), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173378] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(11149), 1,
      sym__type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3756), 2,
      sym_comment,
      sym_block_comment,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173499] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15067), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173620] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(6832), 1,
      sym_integer_literal,
    STATE(8418), 1,
      sym__simple_type,
    STATE(9001), 1,
      sym__annotated_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(10896), 1,
      sym_annotated_type,
    STATE(12429), 1,
      sym_literal_type,
    STATE(12563), 1,
      sym__non_null_literal,
    STATE(12607), 1,
      sym__infix_type_choice,
    STATE(15487), 1,
      sym_parameter_types,
    STATE(16030), 1,
      sym__type,
    STATE(16135), 1,
      sym_template_body,
    STATE(17201), 1,
      sym_stable_identifier,
    ACTIONS(6834), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6836), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6838), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3758), 2,
      sym_comment,
      sym_block_comment,
    STATE(11557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12541), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16134), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173741] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1360), 1,
      sym_integer_literal,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6258), 1,
      anon_sym_COLON,
    ACTIONS(6260), 1,
      anon_sym_LBRACE,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6264), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_LPAREN,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(10234), 1,
      sym__non_null_literal,
    STATE(10289), 1,
      sym_literal_type,
    STATE(12617), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12906), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17261), 1,
      sym_stable_identifier,
    ACTIONS(1362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3759), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173862] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_LBRACE,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(6648), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6210), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(8174), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10915), 1,
      sym_literal_type,
    STATE(10920), 1,
      sym__non_null_literal,
    STATE(12353), 1,
      sym__infix_type_choice,
    STATE(15386), 1,
      sym_parameter_types,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3760), 2,
      sym_comment,
      sym_block_comment,
    STATE(10244), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173983] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(6832), 1,
      sym_integer_literal,
    STATE(8418), 1,
      sym__simple_type,
    STATE(9001), 1,
      sym__annotated_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(10896), 1,
      sym_annotated_type,
    STATE(12429), 1,
      sym_literal_type,
    STATE(12563), 1,
      sym__non_null_literal,
    STATE(12607), 1,
      sym__infix_type_choice,
    STATE(15487), 1,
      sym_parameter_types,
    STATE(16028), 1,
      sym__type,
    STATE(16135), 1,
      sym_template_body,
    STATE(17201), 1,
      sym_stable_identifier,
    ACTIONS(6834), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6836), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6838), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3761), 2,
      sym_comment,
      sym_block_comment,
    STATE(11557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12541), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16134), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174104] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14927), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174225] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15135), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3763), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174346] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_LBRACE,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(6648), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6210), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(8159), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10915), 1,
      sym_literal_type,
    STATE(10920), 1,
      sym__non_null_literal,
    STATE(12353), 1,
      sym__infix_type_choice,
    STATE(15386), 1,
      sym_parameter_types,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3764), 2,
      sym_comment,
      sym_block_comment,
    STATE(10244), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174467] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_LBRACE,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(6648), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6210), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(8155), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10915), 1,
      sym_literal_type,
    STATE(10920), 1,
      sym__non_null_literal,
    STATE(12353), 1,
      sym__infix_type_choice,
    STATE(15386), 1,
      sym_parameter_types,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3765), 2,
      sym_comment,
      sym_block_comment,
    STATE(10244), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174588] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17376), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174709] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(6832), 1,
      sym_integer_literal,
    STATE(8418), 1,
      sym__simple_type,
    STATE(9001), 1,
      sym__annotated_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(10896), 1,
      sym_annotated_type,
    STATE(12429), 1,
      sym_literal_type,
    STATE(12563), 1,
      sym__non_null_literal,
    STATE(12607), 1,
      sym__infix_type_choice,
    STATE(15487), 1,
      sym_parameter_types,
    STATE(16027), 1,
      sym__type,
    STATE(16135), 1,
      sym_template_body,
    STATE(17201), 1,
      sym_stable_identifier,
    ACTIONS(6834), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6836), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6838), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3767), 2,
      sym_comment,
      sym_block_comment,
    STATE(11557), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12541), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16134), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174830] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14766), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174951] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17252), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175072] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14785), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175193] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14864), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175314] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_LBRACE,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(6648), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6210), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(8104), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10915), 1,
      sym_literal_type,
    STATE(10920), 1,
      sym__non_null_literal,
    STATE(12353), 1,
      sym__infix_type_choice,
    STATE(15386), 1,
      sym_parameter_types,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3772), 2,
      sym_comment,
      sym_block_comment,
    STATE(10244), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175435] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14849), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3773), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175556] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17290), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175677] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15293), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175798] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8104), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175919] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17288), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [176109] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15365), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    ACTIONS(4536), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(4554), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(4682), 1,
      sym__annotated_type,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(9966), 1,
      sym__non_null_literal,
    STATE(9993), 1,
      sym_literal_type,
    STATE(12608), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12906), 1,
      sym__type,
    STATE(15599), 1,
      sym_parameter_types,
    STATE(17207), 1,
      sym_stable_identifier,
    ACTIONS(4556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4562), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3780), 2,
      sym_comment,
      sym_block_comment,
    STATE(9321), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9875), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12918), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176351] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14334), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3781), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15329), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176593] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16824), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    ACTIONS(4536), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(4554), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(4682), 1,
      sym__annotated_type,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(9966), 1,
      sym__non_null_literal,
    STATE(9993), 1,
      sym_literal_type,
    STATE(12608), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12933), 1,
      sym__type,
    STATE(15599), 1,
      sym_parameter_types,
    STATE(17207), 1,
      sym_stable_identifier,
    ACTIONS(4556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4562), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3784), 2,
      sym_comment,
      sym_block_comment,
    STATE(9321), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9875), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12918), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176835] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14874), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176956] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    ACTIONS(4536), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(4554), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(4682), 1,
      sym__annotated_type,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(9966), 1,
      sym__non_null_literal,
    STATE(9993), 1,
      sym_literal_type,
    STATE(12608), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12938), 1,
      sym__type,
    STATE(15599), 1,
      sym_parameter_types,
    STATE(17207), 1,
      sym_stable_identifier,
    ACTIONS(4556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4562), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3786), 2,
      sym_comment,
      sym_block_comment,
    STATE(9321), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9875), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12918), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177077] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4534), 1,
      anon_sym_COLON,
    ACTIONS(4536), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(4554), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(4682), 1,
      sym__annotated_type,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(9966), 1,
      sym__non_null_literal,
    STATE(9993), 1,
      sym_literal_type,
    STATE(12608), 1,
      sym__infix_type_choice,
    STATE(12663), 1,
      sym_template_body,
    STATE(12960), 1,
      sym__type,
    STATE(15599), 1,
      sym_parameter_types,
    STATE(17207), 1,
      sym_stable_identifier,
    ACTIONS(4556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4562), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3787), 2,
      sym_comment,
      sym_block_comment,
    STATE(9321), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9875), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12918), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12852), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177198] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8155), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3788), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177319] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_LPAREN,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym__annotated_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(9406), 1,
      sym__non_null_literal,
    STATE(9492), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__type,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(15610), 1,
      sym_parameter_types,
    STATE(17255), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3789), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6457), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177440] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_LPAREN,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym__annotated_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(9406), 1,
      sym__non_null_literal,
    STATE(9492), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11711), 1,
      sym__type,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(15610), 1,
      sym_parameter_types,
    STATE(17255), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3790), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6457), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177561] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14964), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177682] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15398), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177803] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17187), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177924] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15418), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178045] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17182), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178166] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15353), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178287] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_LPAREN,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym__annotated_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(9406), 1,
      sym__non_null_literal,
    STATE(9492), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11717), 1,
      sym__type,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(15610), 1,
      sym_parameter_types,
    STATE(17255), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3797), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6457), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178408] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14985), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3798), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178529] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14177), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3799), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178650] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_LPAREN,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym__annotated_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(9406), 1,
      sym__non_null_literal,
    STATE(9492), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11742), 1,
      sym__type,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(15610), 1,
      sym_parameter_types,
    STATE(17255), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3800), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6457), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178771] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_LPAREN,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym__annotated_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(9406), 1,
      sym__non_null_literal,
    STATE(9492), 1,
      sym_literal_type,
    STATE(11566), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(15610), 1,
      sym_parameter_types,
    STATE(17255), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3801), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6457), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8530), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178892] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15062), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179013] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17100), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(10164), 1,
      sym_literal_type,
    STATE(10251), 1,
      sym__non_null_literal,
    STATE(12610), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12987), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17219), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3804), 2,
      sym_comment,
      sym_block_comment,
    STATE(7525), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9582), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179255] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_LBRACE,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6638), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(6648), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6210), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(8273), 1,
      sym__type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10915), 1,
      sym_literal_type,
    STATE(10920), 1,
      sym__non_null_literal,
    STATE(12353), 1,
      sym__infix_type_choice,
    STATE(15386), 1,
      sym_parameter_types,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3805), 2,
      sym_comment,
      sym_block_comment,
    STATE(10244), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15508), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179497] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14750), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(17097), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179739] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(10164), 1,
      sym_literal_type,
    STATE(10251), 1,
      sym__non_null_literal,
    STATE(12610), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12843), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17219), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3809), 2,
      sym_comment,
      sym_block_comment,
    STATE(7525), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9582), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15523), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179981] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15611), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180102] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15083), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180223] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180344] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(10164), 1,
      sym_literal_type,
    STATE(10251), 1,
      sym__non_null_literal,
    STATE(12610), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12833), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17219), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3814), 2,
      sym_comment,
      sym_block_comment,
    STATE(7525), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9582), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180465] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14739), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180586] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(14735), 1,
      sym__type,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180707] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10883), 1,
      sym_template_body,
    STATE(11080), 1,
      sym__type,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3817), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180828] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6196), 1,
      anon_sym_COLON,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LPAREN,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(10471), 1,
      sym__non_null_literal,
    STATE(10477), 1,
      sym_literal_type,
    STATE(10883), 1,
      sym_template_body,
    STATE(11078), 1,
      sym__type,
    STATE(12494), 1,
      sym__infix_type_choice,
    STATE(14941), 1,
      sym_parameter_types,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(6214), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6216), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6218), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3818), 2,
      sym_comment,
      sym_block_comment,
    STATE(9841), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10504), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10688), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10745), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180949] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_COLON,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(6428), 1,
      sym_integer_literal,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6336), 1,
      sym__annotated_type,
    STATE(6487), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11015), 1,
      sym__non_null_literal,
    STATE(11016), 1,
      sym_literal_type,
    STATE(12472), 1,
      sym__infix_type_choice,
    STATE(13838), 1,
      sym__type,
    STATE(15689), 1,
      sym_parameter_types,
    STATE(16406), 1,
      sym_stable_identifier,
    ACTIONS(6430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6434), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3819), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11099), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11369), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181070] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15189), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181191] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16957), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181312] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(16949), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181433] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14266), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3823), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181554] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_LPAREN,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    STATE(6774), 1,
      sym__simple_type,
    STATE(6959), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11041), 1,
      sym__non_null_literal,
    STATE(11042), 1,
      sym_literal_type,
    STATE(12411), 1,
      sym__infix_type_choice,
    STATE(14335), 1,
      sym__type,
    STATE(14883), 1,
      sym_parameter_types,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3824), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10567), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11402), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181675] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1714), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6392), 1,
      sym__annotated_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(11068), 1,
      sym_literal_type,
    STATE(11132), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__type,
    STATE(12613), 1,
      sym__infix_type_choice,
    STATE(15555), 1,
      sym_parameter_types,
    STATE(17243), 1,
      sym_stable_identifier,
    ACTIONS(1716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1722), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3825), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9713), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10519), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181796] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1714), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6392), 1,
      sym__annotated_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(11068), 1,
      sym_literal_type,
    STATE(11132), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11711), 1,
      sym__type,
    STATE(12613), 1,
      sym__infix_type_choice,
    STATE(15555), 1,
      sym_parameter_types,
    STATE(17243), 1,
      sym_stable_identifier,
    ACTIONS(1716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1722), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3826), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9713), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10519), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181917] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(10164), 1,
      sym_literal_type,
    STATE(10251), 1,
      sym__non_null_literal,
    STATE(12610), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12807), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17219), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3827), 2,
      sym_comment,
      sym_block_comment,
    STATE(7525), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9582), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182038] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(10164), 1,
      sym_literal_type,
    STATE(10251), 1,
      sym__non_null_literal,
    STATE(12610), 1,
      sym__infix_type_choice,
    STATE(12692), 1,
      sym_template_body,
    STATE(12828), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17219), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3828), 2,
      sym_comment,
      sym_block_comment,
    STATE(7525), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9582), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13008), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182159] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1714), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6392), 1,
      sym__annotated_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(11068), 1,
      sym_literal_type,
    STATE(11132), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11717), 1,
      sym__type,
    STATE(12613), 1,
      sym__infix_type_choice,
    STATE(15555), 1,
      sym_parameter_types,
    STATE(17243), 1,
      sym_stable_identifier,
    ACTIONS(1716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1722), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3829), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9713), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10519), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1714), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6392), 1,
      sym__annotated_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(11068), 1,
      sym_literal_type,
    STATE(11132), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11742), 1,
      sym__type,
    STATE(12613), 1,
      sym__infix_type_choice,
    STATE(15555), 1,
      sym_parameter_types,
    STATE(17243), 1,
      sym_stable_identifier,
    ACTIONS(1716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1722), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3830), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9713), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10519), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182401] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      sym_integer_literal,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6178), 1,
      anon_sym_COLON,
    ACTIONS(6180), 1,
      anon_sym_LBRACE,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_LPAREN,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    STATE(5672), 1,
      sym__annotated_type,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(10700), 1,
      sym__non_null_literal,
    STATE(10799), 1,
      sym_literal_type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13473), 1,
      sym__type,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17231), 1,
      sym_stable_identifier,
    ACTIONS(1468), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1470), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10129), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(8546), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11232), 1,
      sym_literal_type,
    STATE(11732), 1,
      sym__type,
    STATE(11753), 1,
      sym_template_body,
    STATE(12388), 1,
      sym__infix_type_choice,
    STATE(15516), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3832), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11528), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182643] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15202), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1714), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6392), 1,
      sym__annotated_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(11068), 1,
      sym_literal_type,
    STATE(11132), 1,
      sym__non_null_literal,
    STATE(11566), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12613), 1,
      sym__infix_type_choice,
    STATE(15555), 1,
      sym_parameter_types,
    STATE(17243), 1,
      sym_stable_identifier,
    ACTIONS(1716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1722), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3834), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9713), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10519), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11656), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182885] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6474), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(6490), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10974), 1,
      sym__non_null_literal,
    STATE(10976), 1,
      sym_literal_type,
    STATE(11434), 1,
      sym__type,
    STATE(11447), 1,
      sym_template_body,
    STATE(12368), 1,
      sym__infix_type_choice,
    STATE(15511), 1,
      sym_parameter_types,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3835), 2,
      sym_comment,
      sym_block_comment,
    STATE(10495), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym__annotated_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8409), 1,
      sym_template_body,
    STATE(9912), 1,
      sym__non_null_literal,
    STATE(9916), 1,
      sym_literal_type,
    STATE(12621), 1,
      sym__infix_type_choice,
    STATE(15011), 1,
      sym_parameter_types,
    STATE(15586), 1,
      sym__type,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8325), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8176), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183127] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      sym_integer_literal,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6178), 1,
      anon_sym_COLON,
    ACTIONS(6180), 1,
      anon_sym_LBRACE,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_LPAREN,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    STATE(5672), 1,
      sym__annotated_type,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(10700), 1,
      sym__non_null_literal,
    STATE(10799), 1,
      sym_literal_type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13623), 1,
      sym__type,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17231), 1,
      sym_stable_identifier,
    ACTIONS(1468), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1470), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10129), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183248] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      sym_integer_literal,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6178), 1,
      anon_sym_COLON,
    ACTIONS(6180), 1,
      anon_sym_LBRACE,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_LPAREN,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    STATE(5672), 1,
      sym__annotated_type,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(10700), 1,
      sym__non_null_literal,
    STATE(10799), 1,
      sym_literal_type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13437), 1,
      sym__type,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17231), 1,
      sym_stable_identifier,
    ACTIONS(1468), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1470), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10129), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183369] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      sym_integer_literal,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6178), 1,
      anon_sym_COLON,
    ACTIONS(6180), 1,
      anon_sym_LBRACE,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_LPAREN,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    STATE(5672), 1,
      sym__annotated_type,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(10700), 1,
      sym__non_null_literal,
    STATE(10799), 1,
      sym_literal_type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13445), 1,
      sym__type,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17231), 1,
      sym_stable_identifier,
    ACTIONS(1468), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1470), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10129), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183490] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      sym_integer_literal,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6178), 1,
      anon_sym_COLON,
    ACTIONS(6180), 1,
      anon_sym_LBRACE,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_LPAREN,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    STATE(5672), 1,
      sym__annotated_type,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(10700), 1,
      sym__non_null_literal,
    STATE(10799), 1,
      sym_literal_type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(13372), 1,
      sym_template_body,
    STATE(13449), 1,
      sym__type,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17231), 1,
      sym_stable_identifier,
    ACTIONS(1468), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1470), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10129), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183611] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183679] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183747] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183815] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183951] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6912), 1,
      anon_sym_LPAREN,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15878), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3846), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184066] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6924), 1,
      anon_sym_LBRACE,
    ACTIONS(6926), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15905), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3847), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184181] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15992), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3848), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184296] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [184363] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6932), 1,
      anon_sym_LBRACE,
    ACTIONS(6934), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15922), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3850), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184478] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6936), 1,
      anon_sym_LBRACE,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16033), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3851), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184593] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6940), 1,
      anon_sym_LBRACE,
    ACTIONS(6942), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16074), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3852), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184708] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6944), 1,
      anon_sym_LBRACE,
    ACTIONS(6946), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16110), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3853), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184823] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15864), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3854), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184938] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16112), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3855), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185053] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6956), 1,
      anon_sym_LBRACE,
    ACTIONS(6958), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15962), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3856), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185168] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16051), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3857), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185283] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6964), 1,
      anon_sym_LBRACE,
    ACTIONS(6966), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16040), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3858), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185398] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6968), 1,
      anon_sym_LBRACE,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15900), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3859), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185513] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6972), 1,
      anon_sym_LBRACE,
    ACTIONS(6974), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16137), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3860), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185628] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16046), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3861), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185743] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6980), 1,
      anon_sym_LBRACE,
    ACTIONS(6982), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15961), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3862), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185858] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6986), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15924), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3863), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185973] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6988), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15865), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3864), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186088] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6992), 1,
      anon_sym_LBRACE,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15855), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3865), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186203] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6996), 1,
      anon_sym_LBRACE,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16086), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3866), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186318] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7000), 1,
      anon_sym_LBRACE,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15907), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3867), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186433] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7004), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15861), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3868), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186548] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7008), 1,
      anon_sym_LBRACE,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15956), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3869), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186663] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7012), 1,
      anon_sym_LBRACE,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15852), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3870), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186778] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7016), 1,
      anon_sym_LBRACE,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15946), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3871), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186893] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7020), 1,
      anon_sym_LBRACE,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15868), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3872), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187008] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7024), 1,
      anon_sym_LBRACE,
    ACTIONS(7026), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15984), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3873), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187123] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7028), 1,
      anon_sym_LBRACE,
    ACTIONS(7030), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15921), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3874), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187238] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7032), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15889), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3875), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187353] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7036), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15903), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3876), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187468] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15993), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3877), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187583] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7044), 1,
      anon_sym_LBRACE,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16009), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3878), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187698] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7048), 1,
      anon_sym_LBRACE,
    ACTIONS(7050), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16080), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3879), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187813] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_LBRACE,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15873), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3880), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187928] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7056), 1,
      anon_sym_LBRACE,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16145), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3881), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [188106] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7060), 1,
      anon_sym_LBRACE,
    ACTIONS(7062), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16122), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3883), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [188284] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_LBRACE,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16042), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3885), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188399] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7072), 1,
      anon_sym_LBRACE,
    ACTIONS(7074), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16020), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3886), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188514] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7076), 1,
      anon_sym_LBRACE,
    ACTIONS(7078), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16096), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3887), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188629] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7080), 1,
      anon_sym_LBRACE,
    ACTIONS(7082), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16001), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3888), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188744] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7084), 1,
      anon_sym_LBRACE,
    ACTIONS(7086), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15940), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3889), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188859] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7088), 1,
      anon_sym_LBRACE,
    ACTIONS(7090), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15885), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3890), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188974] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(7094), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16132), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3891), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189089] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7096), 1,
      anon_sym_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16067), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3892), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189204] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16076), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3893), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189319] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7104), 1,
      anon_sym_LBRACE,
    ACTIONS(7106), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15974), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3894), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189434] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7108), 1,
      anon_sym_LBRACE,
    ACTIONS(7110), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15930), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3895), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189549] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(7114), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16050), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3896), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189664] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7116), 1,
      anon_sym_LBRACE,
    ACTIONS(7118), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16127), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3897), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189779] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16024), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3898), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189894] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15950), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3899), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190009] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7128), 1,
      anon_sym_LBRACE,
    ACTIONS(7130), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16059), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3900), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190124] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7132), 1,
      anon_sym_LBRACE,
    ACTIONS(7134), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15918), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3901), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190239] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7136), 1,
      anon_sym_LBRACE,
    ACTIONS(7138), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16129), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3902), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190354] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7140), 1,
      anon_sym_LBRACE,
    ACTIONS(7142), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(15988), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3903), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190469] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7144), 1,
      anon_sym_LBRACE,
    ACTIONS(7146), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14206), 1,
      sym_enumerator,
    STATE(16095), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3904), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190584] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16157), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3905), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190696] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16158), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3906), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190808] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16471), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3907), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190920] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16698), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3908), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191032] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16674), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3909), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191144] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16372), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3910), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191256] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16371), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3911), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191368] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16315), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3912), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191480] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16311), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3913), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191592] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16803), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3914), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191704] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16829), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3915), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191816] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16699), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3916), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191928] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16345), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3917), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192040] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16827), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3918), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192152] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16539), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3919), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192264] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17538), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3920), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192376] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16805), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3921), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192488] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14162), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7160), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(3922), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192598] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16733), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3923), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192710] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16734), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3924), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192822] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16673), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3925), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192934] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16148), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3926), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193046] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17623), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3927), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193158] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17193), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3928), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193270] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17194), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3929), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193382] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16252), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3930), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193494] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16958), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3931), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193606] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16223), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3932), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193718] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16720), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3933), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193830] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14162), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7162), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(3934), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193940] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16854), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3935), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194052] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16726), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3936), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194164] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17014), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3937), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194276] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17023), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3938), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194388] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16222), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3939), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [194562] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16150), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3941), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194674] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14162), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7164), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(3942), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194784] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16155), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3943), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194896] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16579), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3944), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195008] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17484), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3945), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195120] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17295), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3946), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195232] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17296), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3947), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195344] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17481), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3948), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195456] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17053), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3949), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195568] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17250), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3950), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195680] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17240), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3951), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195792] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17409), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3952), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195904] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17408), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3953), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196016] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17324), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3954), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196128] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17329), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3955), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196240] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17058), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3956), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196352] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17450), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3957), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196464] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14162), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7166), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(3958), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196574] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17463), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3959), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [196748] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16541), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3961), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196860] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16424), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3962), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196972] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17383), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3963), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197084] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17608), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3964), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197196] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17385), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3965), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197308] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16428), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3966), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197420] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17617), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3967), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197532] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16746), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3968), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197644] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17596), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3969), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197756] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17179), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3970), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197868] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17597), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3971), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197980] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16210), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3972), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198092] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16745), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3973), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198204] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16212), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3974), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198316] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16418), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3975), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198428] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16413), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3976), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198540] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17126), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3977), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198652] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16564), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3978), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198764] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17857), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3979), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198876] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17858), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3980), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198988] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16570), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3981), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199100] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16967), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3982), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199212] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17515), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3983), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199324] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17317), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3984), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199436] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17106), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3985), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199548] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17518), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3986), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199660] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16291), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3987), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199772] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17603), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3988), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199884] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16609), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3989), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199996] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17589), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3990), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200108] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16643), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3991), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200220] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17311), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3992), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200332] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16292), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3993), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200444] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17874), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3994), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200556] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17687), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3995), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200668] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16642), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3996), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200780] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17873), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3997), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200892] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17121), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3998), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201004] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16477), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3999), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201116] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17175), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4000), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201228] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17688), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4001), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201340] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17239), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4002), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201452] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16398), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4003), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201564] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16968), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4004), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201676] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16604), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4005), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201788] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17248), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4006), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201900] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16396), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4007), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202012] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16368), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4008), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202124] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16369), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4009), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202236] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17641), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4010), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202348] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17644), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4011), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202460] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17107), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4012), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202572] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16475), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4013), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202684] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17223), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4014), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202796] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16982), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4015), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202908] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17104), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4016), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203020] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17061), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4017), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203132] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17235), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4018), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203244] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(16584), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4019), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203356] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17125), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4020), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203468] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(5784), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(9741), 1,
      sym_stable_identifier,
    STATE(9744), 1,
      sym_wildcard,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17755), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4021), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10435), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203580] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14174), 1,
      sym_enumerator,
    STATE(17757), 1,
      sym_enumerators,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4022), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203999] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7176), 1,
      sym__outdent,
    STATE(7921), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10784), 1,
      sym_wildcard,
    STATE(10785), 1,
      sym_stable_identifier,
    STATE(14108), 1,
      aux_sym_enumerator_repeat1,
    STATE(14662), 1,
      sym_guard,
    STATE(15674), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4028), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11039), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204108] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7178), 1,
      sym__outdent,
    STATE(7921), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10784), 1,
      sym_wildcard,
    STATE(10785), 1,
      sym_stable_identifier,
    STATE(14108), 1,
      aux_sym_enumerator_repeat1,
    STATE(14662), 1,
      sym_guard,
    STATE(15674), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4029), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11039), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [204339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [204522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204582] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    STATE(7921), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10784), 1,
      sym_wildcard,
    STATE(10785), 1,
      sym_stable_identifier,
    STATE(14108), 1,
      aux_sym_enumerator_repeat1,
    STATE(14642), 1,
      sym_enumerator,
    STATE(14662), 1,
      sym_guard,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4036), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11039), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204808] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(7906), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10694), 1,
      sym_wildcard,
    STATE(10701), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14162), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4039), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11111), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [205154] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8087), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10746), 1,
      sym_wildcard,
    STATE(10748), 1,
      sym_stable_identifier,
    STATE(13516), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(14162), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4044), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [205440] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    STATE(7921), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10784), 1,
      sym_wildcard,
    STATE(10785), 1,
      sym_stable_identifier,
    STATE(14108), 1,
      aux_sym_enumerator_repeat1,
    STATE(14662), 1,
      sym_guard,
    STATE(15674), 1,
      sym_enumerator,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4048), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11039), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [205898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [206368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206426] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7182), 1,
      anon_sym_object,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7188), 1,
      anon_sym_class,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(268), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4064), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206758] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7202), 1,
      anon_sym_object,
    ACTIONS(7204), 1,
      anon_sym_class,
    ACTIONS(7206), 1,
      sym_operator_identifier,
    ACTIONS(7208), 1,
      sym_null_literal,
    STATE(194), 1,
      sym__case_pattern,
    STATE(7041), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10489), 1,
      sym_wildcard,
    STATE(10491), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4069), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10682), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206916] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2516), 1,
      anon_sym_LBRACK,
    STATE(4071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7213), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 5,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_then,
    ACTIONS(7218), 5,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7210), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(7216), 21,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_implicit,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207384] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2037), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4079), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207478] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2060), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4080), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207572] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2146), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4081), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207666] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2324), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4082), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207760] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2242), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4083), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207854] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7238), 1,
      sym_operator_identifier,
    ACTIONS(7240), 1,
      sym_null_literal,
    STATE(7198), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10991), 1,
      sym_stable_identifier,
    STATE(10994), 1,
      sym_wildcard,
    STATE(15958), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4084), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207948] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7242), 1,
      sym_operator_identifier,
    ACTIONS(7244), 1,
      sym_null_literal,
    STATE(7199), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10997), 1,
      sym_stable_identifier,
    STATE(11000), 1,
      sym_wildcard,
    STATE(15952), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4085), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11441), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208042] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7246), 1,
      anon_sym_RPAREN,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym_null_literal,
    STATE(7471), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10708), 1,
      sym_wildcard,
    STATE(10717), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4086), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208136] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7252), 1,
      sym_operator_identifier,
    ACTIONS(7254), 1,
      sym_null_literal,
    STATE(7252), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(11123), 1,
      sym_wildcard,
    STATE(16063), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4087), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11164), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208230] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2055), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4088), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208324] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2149), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4089), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208418] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(268), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4090), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208512] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7256), 1,
      anon_sym_RPAREN,
    ACTIONS(7258), 1,
      sym_operator_identifier,
    ACTIONS(7260), 1,
      sym_null_literal,
    STATE(6845), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10648), 1,
      sym_stable_identifier,
    STATE(10653), 1,
      sym_wildcard,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4091), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10879), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208606] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2103), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4092), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208700] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2316), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4093), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208794] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7262), 1,
      sym_operator_identifier,
    ACTIONS(7264), 1,
      sym_null_literal,
    STATE(7250), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11107), 1,
      sym_stable_identifier,
    STATE(11115), 1,
      sym_wildcard,
    STATE(16062), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4094), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11161), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208888] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2300), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4095), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208982] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2104), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4096), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209076] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2233), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4097), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209170] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym_null_literal,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10708), 1,
      sym_wildcard,
    STATE(10717), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4098), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209264] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2073), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4099), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209358] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2083), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4100), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209452] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2140), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4101), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209546] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7268), 1,
      sym_operator_identifier,
    ACTIONS(7270), 1,
      sym_null_literal,
    STATE(7156), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11087), 1,
      sym_wildcard,
    STATE(11089), 1,
      sym_stable_identifier,
    STATE(16124), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4102), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11196), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209640] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2296), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4103), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209734] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2127), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4104), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209828] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7272), 1,
      anon_sym_RPAREN,
    ACTIONS(7274), 1,
      sym_operator_identifier,
    ACTIONS(7276), 1,
      sym_null_literal,
    STATE(7069), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10447), 1,
      sym_wildcard,
    STATE(10457), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4105), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10852), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209978] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7278), 1,
      sym_operator_identifier,
    ACTIONS(7280), 1,
      sym_null_literal,
    STATE(7155), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11091), 1,
      sym_wildcard,
    STATE(11092), 1,
      sym_stable_identifier,
    STATE(16136), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4107), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11191), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210072] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2054), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4108), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210166] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym_null_literal,
    ACTIONS(7282), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10708), 1,
      sym_wildcard,
    STATE(10717), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4109), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210260] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym_null_literal,
    ACTIONS(7284), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10708), 1,
      sym_wildcard,
    STATE(10717), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4110), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210354] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7206), 1,
      sym_operator_identifier,
    ACTIONS(7208), 1,
      sym_null_literal,
    STATE(194), 1,
      sym__case_pattern,
    STATE(7041), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10489), 1,
      sym_wildcard,
    STATE(10491), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4111), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10682), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210448] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2077), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4112), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210542] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2067), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4113), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210636] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2082), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4114), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210730] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2138), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4115), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210824] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2246), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4116), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210918] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2110), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4117), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211012] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym_null_literal,
    ACTIONS(7286), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10708), 1,
      sym_wildcard,
    STATE(10717), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4118), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211106] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2167), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4119), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211200] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2283), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4120), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211294] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2114), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4121), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211388] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2142), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4122), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211482] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2045), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4123), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211576] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2166), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4124), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211670] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2139), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4125), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211764] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7288), 1,
      anon_sym_RPAREN,
    ACTIONS(7290), 1,
      sym_operator_identifier,
    ACTIONS(7292), 1,
      sym_null_literal,
    STATE(7166), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10552), 1,
      sym_wildcard,
    STATE(10555), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4126), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10814), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211858] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2212), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4127), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211952] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7294), 1,
      sym_operator_identifier,
    ACTIONS(7296), 1,
      sym_null_literal,
    STATE(7038), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11090), 1,
      sym_stable_identifier,
    STATE(11093), 1,
      sym_wildcard,
    STATE(15932), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4128), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11195), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212046] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym_null_literal,
    ACTIONS(7298), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10708), 1,
      sym_wildcard,
    STATE(10717), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4129), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212140] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7300), 1,
      sym_operator_identifier,
    ACTIONS(7302), 1,
      sym_null_literal,
    STATE(7191), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10954), 1,
      sym_wildcard,
    STATE(11031), 1,
      sym_stable_identifier,
    STATE(16108), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4130), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11319), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212234] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2115), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4131), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212328] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7304), 1,
      sym_operator_identifier,
    ACTIONS(7306), 1,
      sym_null_literal,
    STATE(7173), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11003), 1,
      sym_stable_identifier,
    STATE(11004), 1,
      sym_wildcard,
    STATE(16104), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4132), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11381), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212422] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2044), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4133), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212516] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7308), 1,
      sym_operator_identifier,
    ACTIONS(7310), 1,
      sym_null_literal,
    STATE(7039), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11094), 1,
      sym_stable_identifier,
    STATE(11095), 1,
      sym_wildcard,
    STATE(15851), 1,
      sym_identifiers,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4134), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11190), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212610] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2078), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4135), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212704] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(2245), 1,
      sym__case_pattern,
    STATE(7154), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10604), 1,
      sym_stable_identifier,
    STATE(10662), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4136), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10735), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7312), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [212855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212910] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4363), 1,
      sym__given_constructor,
    STATE(10755), 1,
      sym_identifier,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11506), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14540), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4139), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213017] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7334), 1,
      sym_operator_identifier,
    ACTIONS(7336), 1,
      sym_null_literal,
    STATE(7162), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10580), 1,
      sym_wildcard,
    STATE(10582), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4140), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10772), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213108] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4313), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11250), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14274), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4141), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213215] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4306), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11135), 1,
      sym__annotated_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14412), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4142), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213322] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4331), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11655), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14274), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4143), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213429] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7350), 1,
      sym_operator_identifier,
    ACTIONS(7352), 1,
      sym_null_literal,
    STATE(7042), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_stable_identifier,
    STATE(10498), 1,
      sym_wildcard,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4144), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10736), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7312), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213577] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7354), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213634] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7356), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213691] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7358), 1,
      sym_operator_identifier,
    ACTIONS(7360), 1,
      sym_null_literal,
    STATE(7026), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10517), 1,
      sym_wildcard,
    STATE(10520), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4148), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10751), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7354), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7356), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213896] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym_operator_identifier,
    ACTIONS(7364), 1,
      sym_null_literal,
    STATE(7994), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10927), 1,
      sym_stable_identifier,
    STATE(10943), 1,
      sym_wildcard,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4151), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10972), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213987] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7366), 1,
      sym_operator_identifier,
    ACTIONS(7368), 1,
      sym_null_literal,
    STATE(7916), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10766), 1,
      sym_wildcard,
    STATE(10767), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4152), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11050), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214078] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym_null_literal,
    STATE(7471), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10708), 1,
      sym_wildcard,
    STATE(10717), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4153), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214169] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4324), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11614), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14412), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4154), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7354), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [214333] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7370), 1,
      sym_operator_identifier,
    ACTIONS(7372), 1,
      sym_null_literal,
    STATE(7030), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10513), 1,
      sym_wildcard,
    STATE(10514), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4156), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10747), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214424] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7374), 1,
      sym_operator_identifier,
    ACTIONS(7376), 1,
      sym_null_literal,
    STATE(7895), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10706), 1,
      sym_stable_identifier,
    STATE(10739), 1,
      sym_wildcard,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4157), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11100), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214515] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7378), 1,
      sym_operator_identifier,
    ACTIONS(7380), 1,
      sym_null_literal,
    STATE(7051), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10472), 1,
      sym_wildcard,
    STATE(10473), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4158), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10737), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7356), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [214663] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4366), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11516), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14274), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4160), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7312), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [214827] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7382), 1,
      sym_operator_identifier,
    ACTIONS(7384), 1,
      sym_null_literal,
    STATE(6098), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10381), 1,
      sym_stable_identifier,
    STATE(10384), 1,
      sym_wildcard,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4162), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10637), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214918] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4344), 1,
      sym__given_constructor,
    STATE(10755), 1,
      sym_identifier,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11697), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14680), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4163), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215025] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4353), 1,
      sym__given_constructor,
    STATE(10755), 1,
      sym_identifier,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11235), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14540), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4164), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215132] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4299), 1,
      sym__given_constructor,
    STATE(10755), 1,
      sym_identifier,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11569), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14451), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4165), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215239] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym_operator_identifier,
    ACTIONS(7388), 1,
      sym_null_literal,
    STATE(6107), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10338), 1,
      sym_stable_identifier,
    STATE(10354), 1,
      sym_wildcard,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4166), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10568), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215330] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4358), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11499), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14412), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4167), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215437] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_SQUOTE,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(7390), 1,
      sym_operator_identifier,
    ACTIONS(7392), 1,
      sym_null_literal,
    STATE(7032), 1,
      sym_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10508), 1,
      sym_wildcard,
    STATE(10509), 1,
      sym_stable_identifier,
    ACTIONS(6492), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6494), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6496), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4168), 2,
      sym_comment,
      sym_block_comment,
    STATE(11014), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16837), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10681), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215528] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4354), 1,
      sym__given_constructor,
    STATE(10755), 1,
      sym_identifier,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11254), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14680), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4169), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215635] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4335), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11174), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14182), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4170), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215742] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11529), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14182), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4171), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215849] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7394), 1,
      sym_operator_identifier,
    ACTIONS(7396), 1,
      sym_null_literal,
    STATE(8076), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10683), 1,
      sym_stable_identifier,
    STATE(10695), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4172), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11122), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215940] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6648), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7398), 1,
      sym_operator_identifier,
    ACTIONS(7400), 1,
      sym_null_literal,
    STATE(6114), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10303), 1,
      sym_wildcard,
    STATE(10422), 1,
      sym_stable_identifier,
    ACTIONS(6650), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6654), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4173), 2,
      sym_comment,
      sym_block_comment,
    STATE(10886), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17327), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10621), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216031] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4352), 1,
      sym__given_constructor,
    STATE(10755), 1,
      sym_identifier,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11343), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14451), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4174), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [216193] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7402), 1,
      sym_operator_identifier,
    ACTIONS(7404), 1,
      sym_null_literal,
    STATE(8066), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10677), 1,
      sym_wildcard,
    STATE(10698), 1,
      sym_stable_identifier,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4176), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11103), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216284] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(7348), 1,
      sym_operator_identifier,
    STATE(4365), 1,
      sym__given_constructor,
    STATE(10554), 1,
      sym_identifier,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11625), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 1,
      sym_type_parameters,
    STATE(14182), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4177), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216391] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6862), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7408), 1,
      sym_null_literal,
    STATE(8060), 1,
      sym_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10670), 1,
      sym_stable_identifier,
    STATE(10686), 1,
      sym_wildcard,
    ACTIONS(6864), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6866), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4178), 2,
      sym_comment,
      sym_block_comment,
    STATE(11414), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16735), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11020), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 39,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [216534] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    ACTIONS(7414), 1,
      sym_integer_literal,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7463), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10345), 1,
      sym__infix_type_choice,
    STATE(10563), 1,
      sym__non_null_literal,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(7416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4180), 2,
      sym_comment,
      sym_block_comment,
    STATE(10573), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10630), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216625] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      anon_sym_LPAREN,
    ACTIONS(7424), 1,
      sym_integer_literal,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6602), 1,
      sym__annotated_type,
    STATE(6633), 1,
      sym_identifier,
    STATE(9345), 1,
      sym__infix_type_choice,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(10293), 1,
      sym__non_null_literal,
    STATE(16294), 1,
      sym_stable_identifier,
    ACTIONS(7426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4181), 2,
      sym_comment,
      sym_block_comment,
    STATE(10134), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10300), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216716] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    ACTIONS(7432), 1,
      anon_sym_LPAREN,
    ACTIONS(7434), 1,
      sym_integer_literal,
    STATE(4766), 1,
      sym__annotated_type,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(8450), 1,
      sym__infix_type_choice,
    STATE(9459), 1,
      sym__non_null_literal,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(7436), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7438), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4182), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9701), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216807] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    ACTIONS(7442), 1,
      anon_sym_LPAREN,
    ACTIONS(7444), 1,
      sym_integer_literal,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6409), 1,
      sym__annotated_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(9826), 1,
      sym__infix_type_choice,
    STATE(10603), 1,
      sym__non_null_literal,
    STATE(17243), 1,
      sym_stable_identifier,
    ACTIONS(7446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4183), 2,
      sym_comment,
      sym_block_comment,
    STATE(10608), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10548), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216898] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    ACTIONS(7454), 1,
      sym_integer_literal,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4481), 1,
      sym__annotated_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(7336), 1,
      sym__infix_type_choice,
    STATE(8702), 1,
      sym__non_null_literal,
    STATE(17255), 1,
      sym_stable_identifier,
    ACTIONS(7456), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7458), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7460), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4184), 2,
      sym_comment,
      sym_block_comment,
    STATE(8694), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8388), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216989] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    ACTIONS(7464), 1,
      sym_integer_literal,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8133), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10538), 1,
      sym__infix_type_choice,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(10998), 1,
      sym__non_null_literal,
    STATE(16448), 1,
      sym_stable_identifier,
    ACTIONS(7466), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7468), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7470), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4185), 2,
      sym_comment,
      sym_block_comment,
    STATE(10964), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217080] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(7474), 1,
      sym_integer_literal,
    STATE(5625), 1,
      sym__annotated_type,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(9377), 1,
      sym__infix_type_choice,
    STATE(9956), 1,
      sym__non_null_literal,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(7476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4186), 2,
      sym_comment,
      sym_block_comment,
    STATE(9944), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10076), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217171] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    ACTIONS(7482), 1,
      anon_sym_LPAREN,
    ACTIONS(7484), 1,
      sym_integer_literal,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6492), 1,
      sym__annotated_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(9828), 1,
      sym__infix_type_choice,
    STATE(10461), 1,
      sym__non_null_literal,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(7486), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7488), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7490), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4187), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10638), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217262] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(7492), 1,
      anon_sym_LPAREN,
    ACTIONS(7494), 1,
      sym_integer_literal,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6339), 1,
      sym__annotated_type,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(9752), 1,
      sym__infix_type_choice,
    STATE(10524), 1,
      sym__non_null_literal,
    STATE(16932), 1,
      sym_stable_identifier,
    ACTIONS(7496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4188), 2,
      sym_comment,
      sym_block_comment,
    STATE(10615), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10458), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217353] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    ACTIONS(7504), 1,
      sym_integer_literal,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(7402), 1,
      sym__infix_type_choice,
    STATE(8595), 1,
      sym__non_null_literal,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(7506), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7508), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7510), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4189), 2,
      sym_comment,
      sym_block_comment,
    STATE(8622), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8105), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217444] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    ACTIONS(7514), 1,
      sym_integer_literal,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4461), 1,
      sym__annotated_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(6601), 1,
      sym__infix_type_choice,
    STATE(7726), 1,
      sym__non_null_literal,
    STATE(16364), 1,
      sym_stable_identifier,
    ACTIONS(7516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7520), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4190), 2,
      sym_comment,
      sym_block_comment,
    STATE(7732), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7762), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217535] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7522), 1,
      anon_sym_LPAREN,
    ACTIONS(7524), 1,
      sym_integer_literal,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym__annotated_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(8902), 1,
      sym__infix_type_choice,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(17183), 1,
      sym_stable_identifier,
    ACTIONS(7526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4191), 2,
      sym_comment,
      sym_block_comment,
    STATE(9747), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9894), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217626] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    ACTIONS(7534), 1,
      sym_integer_literal,
    STATE(5523), 1,
      sym__annotated_type,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(9484), 1,
      sym__infix_type_choice,
    STATE(10392), 1,
      sym__non_null_literal,
    STATE(17153), 1,
      sym_stable_identifier,
    ACTIONS(7536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7540), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4192), 2,
      sym_comment,
      sym_block_comment,
    STATE(10188), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10265), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217717] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_LPAREN,
    ACTIONS(7544), 1,
      sym_integer_literal,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7571), 1,
      sym__annotated_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(10424), 1,
      sym__infix_type_choice,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(10912), 1,
      sym__non_null_literal,
    STATE(16469), 1,
      sym_stable_identifier,
    ACTIONS(7546), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7548), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7550), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4193), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10696), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217808] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(7552), 1,
      anon_sym_LPAREN,
    ACTIONS(7554), 1,
      sym_integer_literal,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5044), 1,
      sym__annotated_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(8574), 1,
      sym__infix_type_choice,
    STATE(9548), 1,
      sym__non_null_literal,
    STATE(16511), 1,
      sym_stable_identifier,
    ACTIONS(7556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7560), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4194), 2,
      sym_comment,
      sym_block_comment,
    STATE(9336), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9720), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217899] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(7474), 1,
      sym_integer_literal,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(6980), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(9853), 1,
      sym__infix_type_choice,
    STATE(9956), 1,
      sym__non_null_literal,
    STATE(16920), 1,
      sym_stable_identifier,
    ACTIONS(7476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4195), 2,
      sym_comment,
      sym_block_comment,
    STATE(9944), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10076), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217990] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    ACTIONS(7564), 1,
      sym_integer_literal,
    STATE(4767), 1,
      sym__annotated_type,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(8463), 1,
      sym__infix_type_choice,
    STATE(9643), 1,
      sym__non_null_literal,
    STATE(17261), 1,
      sym_stable_identifier,
    ACTIONS(7566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7570), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4196), 2,
      sym_comment,
      sym_block_comment,
    STATE(9648), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9499), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218081] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      sym_integer_literal,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8852), 1,
      sym__annotated_type,
    STATE(9004), 1,
      sym__non_null_literal,
    STATE(10948), 1,
      sym__infix_type_choice,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(7576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4197), 2,
      sym_comment,
      sym_block_comment,
    STATE(8975), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9126), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218172] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    ACTIONS(7582), 1,
      anon_sym_LPAREN,
    ACTIONS(7584), 1,
      sym_integer_literal,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4751), 1,
      sym__annotated_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(7423), 1,
      sym__infix_type_choice,
    STATE(9185), 1,
      sym__non_null_literal,
    STATE(17129), 1,
      sym_stable_identifier,
    ACTIONS(7586), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7588), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7590), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4198), 2,
      sym_comment,
      sym_block_comment,
    STATE(9123), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9265), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218263] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      sym_integer_literal,
    STATE(5517), 1,
      sym__annotated_type,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(9341), 1,
      sym__infix_type_choice,
    STATE(10334), 1,
      sym__non_null_literal,
    STATE(16552), 1,
      sym_stable_identifier,
    ACTIONS(7596), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7598), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7600), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4199), 2,
      sym_comment,
      sym_block_comment,
    STATE(10145), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10287), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218354] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym_integer_literal,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5462), 1,
      sym__annotated_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(8878), 1,
      sym__infix_type_choice,
    STATE(9983), 1,
      sym__non_null_literal,
    STATE(16820), 1,
      sym_stable_identifier,
    ACTIONS(7606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4200), 2,
      sym_comment,
      sym_block_comment,
    STATE(10029), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10047), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218445] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(7612), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(5857), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(8995), 1,
      sym__infix_type_choice,
    STATE(10103), 1,
      sym__non_null_literal,
    STATE(16944), 1,
      sym_stable_identifier,
    ACTIONS(7616), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7618), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7620), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4201), 2,
      sym_comment,
      sym_block_comment,
    STATE(9836), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9808), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218536] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    ACTIONS(7622), 1,
      anon_sym_LPAREN,
    ACTIONS(7624), 1,
      sym_integer_literal,
    STATE(5534), 1,
      sym__simple_type,
    STATE(5551), 1,
      sym__annotated_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(9704), 1,
      sym__infix_type_choice,
    STATE(10298), 1,
      sym__non_null_literal,
    STATE(16209), 1,
      sym_stable_identifier,
    ACTIONS(7626), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7628), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7630), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4202), 2,
      sym_comment,
      sym_block_comment,
    STATE(10258), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10380), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218627] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      sym_integer_literal,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6629), 1,
      sym__annotated_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(10032), 1,
      sym__infix_type_choice,
    STATE(10486), 1,
      sym__non_null_literal,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(7636), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7638), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7640), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4203), 2,
      sym_comment,
      sym_block_comment,
    STATE(10474), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10500), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218718] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    ACTIONS(7644), 1,
      sym_integer_literal,
    STATE(4760), 1,
      sym__annotated_type,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(8687), 1,
      sym__infix_type_choice,
    STATE(9632), 1,
      sym__non_null_literal,
    STATE(17273), 1,
      sym_stable_identifier,
    ACTIONS(7646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7650), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4204), 2,
      sym_comment,
      sym_block_comment,
    STATE(9634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9481), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218809] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(7652), 1,
      anon_sym_LPAREN,
    ACTIONS(7654), 1,
      sym_integer_literal,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6361), 1,
      sym__annotated_type,
    STATE(6487), 1,
      sym_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(9842), 1,
      sym__infix_type_choice,
    STATE(10628), 1,
      sym__non_null_literal,
    STATE(16406), 1,
      sym_stable_identifier,
    ACTIONS(7656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4205), 2,
      sym_comment,
      sym_block_comment,
    STATE(10476), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10470), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218900] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(7664), 1,
      sym_integer_literal,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5250), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(8776), 1,
      sym__infix_type_choice,
    STATE(10066), 1,
      sym__non_null_literal,
    STATE(16966), 1,
      sym_stable_identifier,
    ACTIONS(7666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4206), 2,
      sym_comment,
      sym_block_comment,
    STATE(9754), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9920), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218991] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      sym_integer_literal,
    STATE(4802), 1,
      sym__annotated_type,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(8101), 1,
      sym__infix_type_choice,
    STATE(9340), 1,
      sym__non_null_literal,
    STATE(16784), 1,
      sym_stable_identifier,
    ACTIONS(7676), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7678), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7680), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4207), 2,
      sym_comment,
      sym_block_comment,
    STATE(9491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9664), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219082] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_LPAREN,
    ACTIONS(7684), 1,
      sym_integer_literal,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__annotated_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(7517), 1,
      sym__infix_type_choice,
    STATE(9106), 1,
      sym__non_null_literal,
    STATE(17141), 1,
      sym_stable_identifier,
    ACTIONS(7686), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7688), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7690), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4208), 2,
      sym_comment,
      sym_block_comment,
    STATE(9046), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9114), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219173] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_LPAREN,
    ACTIONS(7694), 1,
      sym_integer_literal,
    STATE(5663), 1,
      sym__annotated_type,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(9606), 1,
      sym__infix_type_choice,
    STATE(10288), 1,
      sym__non_null_literal,
    STATE(17231), 1,
      sym_stable_identifier,
    ACTIONS(7696), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7698), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4209), 2,
      sym_comment,
      sym_block_comment,
    STATE(10297), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10197), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219264] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    ACTIONS(7702), 1,
      anon_sym_LPAREN,
    ACTIONS(7704), 1,
      sym_integer_literal,
    STATE(4404), 1,
      sym__annotated_type,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(6591), 1,
      sym__infix_type_choice,
    STATE(7443), 1,
      sym__non_null_literal,
    STATE(17123), 1,
      sym_stable_identifier,
    ACTIONS(7706), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7708), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7710), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4210), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7787), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219355] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    ACTIONS(7712), 1,
      anon_sym_LPAREN,
    ACTIONS(7714), 1,
      sym_integer_literal,
    STATE(4791), 1,
      sym__annotated_type,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(8224), 1,
      sym__infix_type_choice,
    STATE(9671), 1,
      sym__non_null_literal,
    STATE(17219), 1,
      sym_stable_identifier,
    ACTIONS(7716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7720), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4211), 2,
      sym_comment,
      sym_block_comment,
    STATE(9673), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9638), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219446] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(7722), 1,
      anon_sym_LPAREN,
    ACTIONS(7724), 1,
      sym_integer_literal,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5388), 1,
      sym__annotated_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(9320), 1,
      sym__infix_type_choice,
    STATE(9919), 1,
      sym__non_null_literal,
    STATE(16257), 1,
      sym_stable_identifier,
    ACTIONS(7726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7730), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4212), 2,
      sym_comment,
      sym_block_comment,
    STATE(10121), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9998), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219537] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_LPAREN,
    ACTIONS(7734), 1,
      sym_integer_literal,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym__annotated_type,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(9187), 1,
      sym__infix_type_choice,
    STATE(9766), 1,
      sym__non_null_literal,
    STATE(16427), 1,
      sym_stable_identifier,
    ACTIONS(7736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4213), 2,
      sym_comment,
      sym_block_comment,
    STATE(9792), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10050), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219628] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7744), 1,
      sym_integer_literal,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_identifier,
    STATE(9447), 1,
      sym__infix_type_choice,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(10218), 1,
      sym__non_null_literal,
    STATE(16581), 1,
      sym_stable_identifier,
    ACTIONS(7746), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7748), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7750), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4214), 2,
      sym_comment,
      sym_block_comment,
    STATE(10430), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10316), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219719] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7752), 1,
      anon_sym_LPAREN,
    ACTIONS(7754), 1,
      sym_integer_literal,
    STATE(4660), 1,
      sym__annotated_type,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(7652), 1,
      sym__infix_type_choice,
    STATE(8799), 1,
      sym__non_null_literal,
    STATE(17207), 1,
      sym_stable_identifier,
    ACTIONS(7756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4215), 2,
      sym_comment,
      sym_block_comment,
    STATE(8780), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8836), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219810] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    ACTIONS(7764), 1,
      sym_integer_literal,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4561), 1,
      sym__annotated_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(6751), 1,
      sym__infix_type_choice,
    STATE(8096), 1,
      sym__non_null_literal,
    STATE(16748), 1,
      sym_stable_identifier,
    ACTIONS(7766), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7768), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7770), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4216), 2,
      sym_comment,
      sym_block_comment,
    STATE(8406), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8330), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219901] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    ACTIONS(7772), 1,
      anon_sym_LPAREN,
    ACTIONS(7774), 1,
      sym_integer_literal,
    STATE(6803), 1,
      sym__annotated_type,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(10254), 1,
      sym__infix_type_choice,
    STATE(10676), 1,
      sym__non_null_literal,
    STATE(17105), 1,
      sym_stable_identifier,
    ACTIONS(7776), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7778), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7780), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4217), 2,
      sym_comment,
      sym_block_comment,
    STATE(10712), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10928), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219992] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_LPAREN,
    ACTIONS(7784), 1,
      sym_integer_literal,
    STATE(6681), 1,
      sym__annotated_type,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(10400), 1,
      sym__infix_type_choice,
    STATE(10899), 1,
      sym__non_null_literal,
    STATE(16977), 1,
      sym_stable_identifier,
    ACTIONS(7786), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7788), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7790), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4218), 2,
      sym_comment,
      sym_block_comment,
    STATE(10832), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10931), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220083] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_LPAREN,
    ACTIONS(7794), 1,
      sym_integer_literal,
    STATE(5470), 1,
      sym__annotated_type,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(9508), 1,
      sym__infix_type_choice,
    STATE(10313), 1,
      sym__non_null_literal,
    STATE(17093), 1,
      sym_stable_identifier,
    ACTIONS(7796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4219), 2,
      sym_comment,
      sym_block_comment,
    STATE(10377), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10236), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220174] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_LPAREN,
    ACTIONS(7804), 1,
      sym_integer_literal,
    STATE(5547), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(9617), 1,
      sym__infix_type_choice,
    STATE(10307), 1,
      sym__non_null_literal,
    STATE(17171), 1,
      sym_stable_identifier,
    ACTIONS(7806), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7808), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7810), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4220), 2,
      sym_comment,
      sym_block_comment,
    STATE(10356), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10204), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220265] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_LPAREN,
    ACTIONS(7814), 1,
      sym_integer_literal,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4674), 1,
      sym__annotated_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(7688), 1,
      sym__infix_type_choice,
    STATE(8990), 1,
      sym__non_null_literal,
    STATE(17165), 1,
      sym_stable_identifier,
    ACTIONS(7816), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7818), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7820), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4221), 2,
      sym_comment,
      sym_block_comment,
    STATE(8973), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8779), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220356] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_LPAREN,
    ACTIONS(7824), 1,
      sym_integer_literal,
    STATE(5582), 1,
      sym__annotated_type,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(9698), 1,
      sym__infix_type_choice,
    STATE(10438), 1,
      sym__non_null_literal,
    STATE(17189), 1,
      sym_stable_identifier,
    ACTIONS(7826), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7828), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7830), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4222), 2,
      sym_comment,
      sym_block_comment,
    STATE(10412), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10355), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220447] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(7832), 1,
      anon_sym_LPAREN,
    ACTIONS(7834), 1,
      sym_integer_literal,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7236), 1,
      sym__annotated_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10315), 1,
      sym__infix_type_choice,
    STATE(10805), 1,
      sym__non_null_literal,
    STATE(16482), 1,
      sym_stable_identifier,
    ACTIONS(7836), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7838), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7840), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4223), 2,
      sym_comment,
      sym_block_comment,
    STATE(10716), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10668), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220538] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    ACTIONS(7842), 1,
      anon_sym_LPAREN,
    ACTIONS(7844), 1,
      sym_integer_literal,
    STATE(4407), 1,
      sym__annotated_type,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(6555), 1,
      sym__infix_type_choice,
    STATE(7645), 1,
      sym__non_null_literal,
    STATE(17195), 1,
      sym_stable_identifier,
    ACTIONS(7846), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7848), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7850), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4224), 2,
      sym_comment,
      sym_block_comment,
    STATE(7650), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8054), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220629] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    ACTIONS(7852), 1,
      anon_sym_LPAREN,
    ACTIONS(7854), 1,
      sym_integer_literal,
    STATE(5048), 1,
      sym__annotated_type,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(8955), 1,
      sym__infix_type_choice,
    STATE(9864), 1,
      sym__non_null_literal,
    STATE(17075), 1,
      sym_stable_identifier,
    ACTIONS(7856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4225), 2,
      sym_comment,
      sym_block_comment,
    STATE(9851), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9780), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220720] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      sym_integer_literal,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4530), 1,
      sym__annotated_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(6974), 1,
      sym__infix_type_choice,
    STATE(8274), 1,
      sym__non_null_literal,
    STATE(16710), 1,
      sym_stable_identifier,
    ACTIONS(7866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4226), 2,
      sym_comment,
      sym_block_comment,
    STATE(8362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8602), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220811] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(7872), 1,
      anon_sym_LPAREN,
    ACTIONS(7874), 1,
      sym_integer_literal,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4647), 1,
      sym__annotated_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(7536), 1,
      sym__infix_type_choice,
    STATE(9112), 1,
      sym__non_null_literal,
    STATE(16376), 1,
      sym_stable_identifier,
    ACTIONS(7876), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7878), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7880), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4227), 2,
      sym_comment,
      sym_block_comment,
    STATE(8718), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9075), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220902] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    ACTIONS(7884), 1,
      sym_integer_literal,
    STATE(8418), 1,
      sym__simple_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(9155), 1,
      sym__annotated_type,
    STATE(10896), 1,
      sym_annotated_type,
    STATE(10992), 1,
      sym__infix_type_choice,
    STATE(11674), 1,
      sym__non_null_literal,
    STATE(17201), 1,
      sym_stable_identifier,
    ACTIONS(7886), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7888), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7890), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4228), 2,
      sym_comment,
      sym_block_comment,
    STATE(11624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11644), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220993] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    ACTIONS(7892), 1,
      anon_sym_LPAREN,
    ACTIONS(7894), 1,
      sym_integer_literal,
    STATE(6085), 1,
      sym__annotated_type,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(10092), 1,
      sym__infix_type_choice,
    STATE(10587), 1,
      sym__non_null_literal,
    STATE(16999), 1,
      sym_stable_identifier,
    ACTIONS(7896), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7898), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7900), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4229), 2,
      sym_comment,
      sym_block_comment,
    STATE(10606), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10547), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221084] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(7902), 1,
      anon_sym_LPAREN,
    ACTIONS(7904), 1,
      sym_integer_literal,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6421), 1,
      sym__annotated_type,
    STATE(6604), 1,
      sym_identifier,
    STATE(9358), 1,
      sym__infix_type_choice,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(10269), 1,
      sym__non_null_literal,
    STATE(16509), 1,
      sym_stable_identifier,
    ACTIONS(7906), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7908), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4230), 2,
      sym_comment,
      sym_block_comment,
    STATE(10359), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10248), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221175] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    ACTIONS(7912), 1,
      anon_sym_LPAREN,
    ACTIONS(7914), 1,
      sym_integer_literal,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5349), 1,
      sym__annotated_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(8901), 1,
      sym__infix_type_choice,
    STATE(9987), 1,
      sym__non_null_literal,
    STATE(17279), 1,
      sym_stable_identifier,
    ACTIONS(7916), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7918), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7920), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4231), 2,
      sym_comment,
      sym_block_comment,
    STATE(9984), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9891), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221266] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      sym_integer_literal,
    STATE(4771), 1,
      sym__annotated_type,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(8275), 1,
      sym__infix_type_choice,
    STATE(9004), 1,
      sym__non_null_literal,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(7576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4232), 2,
      sym_comment,
      sym_block_comment,
    STATE(8975), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9126), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221357] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(7924), 1,
      sym_integer_literal,
    STATE(5087), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(9080), 1,
      sym__infix_type_choice,
    STATE(10061), 1,
      sym__non_null_literal,
    STATE(17051), 1,
      sym_stable_identifier,
    ACTIONS(7926), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7928), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4233), 2,
      sym_comment,
      sym_block_comment,
    STATE(9832), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9770), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221448] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    ACTIONS(7414), 1,
      sym_integer_literal,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym__annotated_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(10324), 1,
      sym__infix_type_choice,
    STATE(10563), 1,
      sym__non_null_literal,
    STATE(16239), 1,
      sym_stable_identifier,
    ACTIONS(7416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4234), 2,
      sym_comment,
      sym_block_comment,
    STATE(10573), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10630), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221539] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    ACTIONS(7932), 1,
      anon_sym_LPAREN,
    ACTIONS(7934), 1,
      sym_integer_literal,
    STATE(5059), 1,
      sym__annotated_type,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(8838), 1,
      sym__infix_type_choice,
    STATE(10120), 1,
      sym__non_null_literal,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(7936), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7938), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7940), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4235), 2,
      sym_comment,
      sym_block_comment,
    STATE(10085), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9957), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221630] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_LPAREN,
    ACTIONS(7944), 1,
      sym_integer_literal,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5115), 1,
      sym__annotated_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(9236), 1,
      sym__infix_type_choice,
    STATE(9898), 1,
      sym__non_null_literal,
    STATE(17063), 1,
      sym_stable_identifier,
    ACTIONS(7946), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7948), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7950), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4236), 2,
      sym_comment,
      sym_block_comment,
    STATE(9995), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9929), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221721] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    ACTIONS(7954), 1,
      sym_integer_literal,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4524), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(6834), 1,
      sym__infix_type_choice,
    STATE(8378), 1,
      sym__non_null_literal,
    STATE(17033), 1,
      sym_stable_identifier,
    ACTIONS(7956), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7958), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7960), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4237), 2,
      sym_comment,
      sym_block_comment,
    STATE(8142), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8522), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221812] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    ACTIONS(7962), 1,
      anon_sym_LPAREN,
    ACTIONS(7964), 1,
      sym_integer_literal,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4527), 1,
      sym__annotated_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(6685), 1,
      sym__infix_type_choice,
    STATE(8501), 1,
      sym__non_null_literal,
    STATE(17027), 1,
      sym_stable_identifier,
    ACTIONS(7966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7970), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4238), 2,
      sym_comment,
      sym_block_comment,
    STATE(8245), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8149), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221903] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(7972), 1,
      anon_sym_LPAREN,
    ACTIONS(7974), 1,
      sym_integer_literal,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6884), 1,
      sym__annotated_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(10144), 1,
      sym__infix_type_choice,
    STATE(10859), 1,
      sym__non_null_literal,
    STATE(16267), 1,
      sym_stable_identifier,
    ACTIONS(7976), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7978), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7980), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4239), 2,
      sym_comment,
      sym_block_comment,
    STATE(10891), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10749), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221994] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_LPAREN,
    ACTIONS(7984), 1,
      sym_integer_literal,
    STATE(4614), 1,
      sym__annotated_type,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(7469), 1,
      sym__infix_type_choice,
    STATE(8859), 1,
      sym__non_null_literal,
    STATE(17021), 1,
      sym_stable_identifier,
    ACTIONS(7986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7988), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7990), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4240), 2,
      sym_comment,
      sym_block_comment,
    STATE(9110), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9188), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222085] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      sym_integer_literal,
    STATE(4771), 1,
      sym__annotated_type,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(9004), 1,
      sym__non_null_literal,
    STATE(11472), 1,
      sym__infix_type_choice,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(7576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4241), 2,
      sym_comment,
      sym_block_comment,
    STATE(8975), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9126), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222176] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    ACTIONS(7994), 1,
      sym_integer_literal,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4350), 1,
      sym__annotated_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(5859), 1,
      sym__infix_type_choice,
    STATE(6862), 1,
      sym__non_null_literal,
    STATE(17010), 1,
      sym_stable_identifier,
    ACTIONS(7996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8000), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4242), 2,
      sym_comment,
      sym_block_comment,
    STATE(6761), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6851), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222267] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    ACTIONS(7504), 1,
      sym_integer_literal,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(6998), 1,
      sym__annotated_type,
    STATE(8595), 1,
      sym__non_null_literal,
    STATE(9852), 1,
      sym__infix_type_choice,
    STATE(16385), 1,
      sym_stable_identifier,
    ACTIONS(7506), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7508), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7510), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4243), 2,
      sym_comment,
      sym_block_comment,
    STATE(8622), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8105), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8004), 8,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8002), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [222410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [222461] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4326), 1,
      sym_type_parameters,
    STATE(4376), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14055), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4246), 2,
      sym_comment,
      sym_block_comment,
    STATE(14208), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222553] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    ACTIONS(8034), 1,
      anon_sym_def,
    STATE(4312), 1,
      sym_type_parameters,
    STATE(4332), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14014), 1,
      sym__function_declaration,
    STATE(17307), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4247), 2,
      sym_comment,
      sym_block_comment,
    STATE(14208), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222645] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(4346), 1,
      sym_type_parameters,
    STATE(4349), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13978), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4248), 2,
      sym_comment,
      sym_block_comment,
    STATE(14657), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222737] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(8044), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(9730), 1,
      sym_identifier,
    STATE(4249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4132), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8042), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [222801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [222849] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4325), 1,
      sym_type_parameters,
    STATE(4328), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13845), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4251), 2,
      sym_comment,
      sym_block_comment,
    STATE(14208), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222941] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(8052), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(7339), 1,
      sym_identifier,
    STATE(4252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8048), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [223005] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(4317), 1,
      sym_type_parameters,
    STATE(4337), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14060), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4253), 2,
      sym_comment,
      sym_block_comment,
    STATE(14657), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223097] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8054), 1,
      anon_sym_enum,
    ACTIONS(8056), 1,
      anon_sym_case,
    ACTIONS(8058), 1,
      anon_sym_object,
    ACTIONS(8060), 1,
      anon_sym_given,
    ACTIONS(8062), 1,
      anon_sym_class,
    ACTIONS(8064), 1,
      anon_sym_trait,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8070), 1,
      anon_sym_type,
    ACTIONS(8072), 1,
      anon_sym_def,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(12711), 1,
      sym_modifiers,
    STATE(16696), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4254), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223190] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5838), 1,
      sym_interpolated_string,
    STATE(15105), 1,
      sym__interpolated_string_start,
    STATE(15121), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223251] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8088), 1,
      anon_sym_implicit,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8098), 1,
      anon_sym_using,
    ACTIONS(8100), 1,
      anon_sym_RPAREN,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(14757), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223342] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8106), 1,
      anon_sym_enum,
    ACTIONS(8108), 1,
      anon_sym_case,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8112), 1,
      anon_sym_given,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8118), 1,
      anon_sym_type,
    ACTIONS(8120), 1,
      anon_sym_def,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(12703), 1,
      sym_modifiers,
    STATE(16819), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4257), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223435] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8122), 1,
      anon_sym_implicit,
    ACTIONS(8124), 1,
      anon_sym_using,
    ACTIONS(8126), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15200), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223526] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8132), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_AT,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(8138), 1,
      anon_sym_POUND,
    STATE(4517), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4719), 1,
      sym_type_arguments,
    STATE(4964), 1,
      sym_annotation,
    STATE(5667), 1,
      sym_arguments,
    STATE(4259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8140), 1,
      anon_sym_DOT,
    STATE(4260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [223640] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8142), 1,
      anon_sym_implicit,
    ACTIONS(8144), 1,
      anon_sym_using,
    ACTIONS(8146), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15718), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223731] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8148), 1,
      anon_sym_implicit,
    ACTIONS(8150), 1,
      anon_sym_using,
    ACTIONS(8152), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(14975), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223822] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8158), 1,
      anon_sym_with,
    STATE(4289), 1,
      aux_sym_compound_type_repeat1,
    STATE(5667), 1,
      sym_arguments,
    STATE(5697), 1,
      sym__refinement,
    STATE(5698), 1,
      sym_template_body,
    STATE(4263), 2,
      sym_comment,
      sym_block_comment,
    STATE(5728), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223883] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(8052), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(7339), 1,
      sym_identifier,
    STATE(4264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 5,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8048), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [223946] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8160), 1,
      anon_sym_implicit,
    ACTIONS(8162), 1,
      anon_sym_using,
    ACTIONS(8164), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15368), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224037] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8170), 1,
      anon_sym_LBRACK,
    ACTIONS(8172), 1,
      anon_sym_LPAREN,
    ACTIONS(8174), 1,
      anon_sym_POUND,
    STATE(4443), 1,
      aux_sym_annotation_repeat1,
    STATE(4551), 1,
      sym_type_arguments,
    STATE(4693), 1,
      sym_arguments,
    STATE(4266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [224098] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8176), 1,
      anon_sym_implicit,
    ACTIONS(8178), 1,
      anon_sym_using,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15696), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224189] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8182), 1,
      anon_sym_implicit,
    ACTIONS(8184), 1,
      anon_sym_using,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15779), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224280] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8054), 1,
      anon_sym_enum,
    ACTIONS(8058), 1,
      anon_sym_object,
    ACTIONS(8062), 1,
      anon_sym_class,
    ACTIONS(8064), 1,
      anon_sym_trait,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8070), 1,
      anon_sym_type,
    ACTIONS(8072), 1,
      anon_sym_def,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8188), 1,
      anon_sym_case,
    ACTIONS(8190), 1,
      anon_sym_given,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(12928), 1,
      sym_modifiers,
    STATE(16696), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4269), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224373] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8106), 1,
      anon_sym_enum,
    ACTIONS(8108), 1,
      anon_sym_case,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8192), 1,
      anon_sym_given,
    ACTIONS(8194), 1,
      anon_sym_type,
    ACTIONS(8196), 1,
      anon_sym_def,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(12895), 1,
      sym_modifiers,
    STATE(17256), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4270), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224466] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8054), 1,
      anon_sym_enum,
    ACTIONS(8056), 1,
      anon_sym_case,
    ACTIONS(8058), 1,
      anon_sym_object,
    ACTIONS(8062), 1,
      anon_sym_class,
    ACTIONS(8064), 1,
      anon_sym_trait,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8070), 1,
      anon_sym_type,
    ACTIONS(8072), 1,
      anon_sym_def,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8190), 1,
      anon_sym_given,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(12928), 1,
      sym_modifiers,
    STATE(16696), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4271), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224559] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8198), 1,
      anon_sym_implicit,
    ACTIONS(8200), 1,
      anon_sym_using,
    ACTIONS(8202), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15245), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224650] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8204), 1,
      anon_sym_implicit,
    ACTIONS(8206), 1,
      anon_sym_using,
    ACTIONS(8208), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15246), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224741] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8106), 1,
      anon_sym_enum,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8118), 1,
      anon_sym_type,
    ACTIONS(8120), 1,
      anon_sym_def,
    ACTIONS(8210), 1,
      anon_sym_case,
    ACTIONS(8212), 1,
      anon_sym_given,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(12991), 1,
      sym_modifiers,
    STATE(16819), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4274), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224834] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8106), 1,
      anon_sym_enum,
    ACTIONS(8108), 1,
      anon_sym_case,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8118), 1,
      anon_sym_type,
    ACTIONS(8120), 1,
      anon_sym_def,
    ACTIONS(8212), 1,
      anon_sym_given,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(12991), 1,
      sym_modifiers,
    STATE(16819), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4275), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224927] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8214), 1,
      anon_sym_implicit,
    ACTIONS(8216), 1,
      anon_sym_using,
    ACTIONS(8218), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15679), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [225018] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8220), 1,
      anon_sym_with,
    STATE(4406), 1,
      aux_sym_compound_type_repeat1,
    STATE(6527), 1,
      sym_arguments,
    STATE(6619), 1,
      sym__refinement,
    STATE(6621), 1,
      sym_template_body,
    STATE(4277), 2,
      sym_comment,
      sym_block_comment,
    STATE(6546), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [225124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [225170] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15137), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4280), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225256] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8132), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_AT,
    ACTIONS(8138), 1,
      anon_sym_POUND,
    STATE(4517), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4719), 1,
      sym_type_arguments,
    STATE(4964), 1,
      sym_annotation,
    STATE(4281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [225362] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8230), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4283), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225448] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      anon_sym_COLON,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    STATE(11194), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11531), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13818), 1,
      sym__constructor_application,
    STATE(13867), 1,
      sym_compound_type,
    STATE(14029), 1,
      sym__constructor_applications,
    STATE(14116), 1,
      sym__structural_type,
    STATE(14156), 1,
      sym_template_body,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(4284), 2,
      sym_comment,
      sym_block_comment,
    STATE(14106), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225534] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8240), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15069), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4285), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [225666] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LBRACE,
    ACTIONS(8252), 1,
      anon_sym_with,
    STATE(4821), 1,
      aux_sym_compound_type_repeat1,
    STATE(7285), 1,
      sym__refinement,
    STATE(7297), 1,
      sym_template_body,
    STATE(4287), 2,
      sym_comment,
      sym_block_comment,
    STATE(7114), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225728] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15696), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4288), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225814] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8158), 1,
      anon_sym_with,
    STATE(4995), 1,
      aux_sym_compound_type_repeat1,
    STATE(5685), 1,
      sym__refinement,
    STATE(5698), 1,
      sym_template_body,
    STATE(4289), 2,
      sym_comment,
      sym_block_comment,
    STATE(5728), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225872] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8254), 1,
      anon_sym_LBRACK,
    ACTIONS(8256), 1,
      anon_sym_AT,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(8260), 1,
      anon_sym_POUND,
    STATE(4650), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4801), 1,
      sym_type_arguments,
    STATE(5126), 1,
      sym_annotation,
    STATE(6282), 1,
      sym_arguments,
    STATE(4290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225936] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8262), 1,
      anon_sym_COLON,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11221), 1,
      sym__simple_type,
    STATE(11396), 1,
      sym_identifier,
    STATE(11740), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13682), 1,
      sym__constructor_application,
    STATE(13948), 1,
      sym_compound_type,
    STATE(14021), 1,
      sym_template_body,
    STATE(14049), 1,
      sym__constructor_applications,
    STATE(14067), 1,
      sym__structural_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(4291), 2,
      sym_comment,
      sym_block_comment,
    STATE(14068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226022] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    ACTIONS(8034), 1,
      anon_sym_def,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14014), 1,
      sym__function_declaration,
    STATE(17307), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4292), 2,
      sym_comment,
      sym_block_comment,
    STATE(14385), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226108] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8270), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4293), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226194] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8202), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15245), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4294), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226280] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8272), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4295), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [226412] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6548), 1,
      sym_interpolated_string,
    STATE(15130), 1,
      sym__interpolated_string_start,
    STATE(15134), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226472] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8276), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4298), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226558] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11729), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(14506), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4299), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226644] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8280), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15695), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4300), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226730] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8240), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15069), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4301), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226816] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8282), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4302), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226902] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LBRACE,
    ACTIONS(8252), 1,
      anon_sym_with,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(4287), 1,
      aux_sym_compound_type_repeat1,
    STATE(7296), 1,
      sym__refinement,
    STATE(7297), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4303), 2,
      sym_comment,
      sym_block_comment,
    STATE(7114), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [226970] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8294), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4304), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227056] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8240), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4305), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227142] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11315), 1,
      sym__annotated_type,
    STATE(11396), 1,
      sym_identifier,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14318), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4306), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227274] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4308), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227452] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8304), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4311), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227538] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    ACTIONS(8034), 1,
      anon_sym_def,
    STATE(4292), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14014), 1,
      sym__function_declaration,
    STATE(17307), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4312), 2,
      sym_comment,
      sym_block_comment,
    STATE(14253), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227624] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11289), 1,
      sym__annotated_type,
    STATE(11396), 1,
      sym_identifier,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14405), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4313), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227756] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      sym__alpha_identifier,
    ACTIONS(8308), 1,
      anon_sym_COLON,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    ACTIONS(8312), 1,
      anon_sym__,
    ACTIONS(8316), 1,
      anon_sym_LPAREN,
    ACTIONS(8318), 1,
      sym__backquoted_id,
    ACTIONS(8320), 1,
      sym_operator_identifier,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12183), 1,
      sym__annotated_type,
    STATE(13029), 1,
      sym_identifier,
    STATE(13259), 1,
      sym__soft_identifier,
    STATE(13654), 1,
      sym__constructor_application,
    STATE(13860), 1,
      sym_compound_type,
    STATE(14039), 1,
      sym_template_body,
    STATE(14061), 1,
      sym_annotated_type,
    STATE(14132), 1,
      sym__structural_type,
    STATE(14289), 1,
      sym__constructor_applications,
    STATE(16452), 1,
      sym_stable_identifier,
    STATE(4315), 2,
      sym_comment,
      sym_block_comment,
    STATE(14070), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13585), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227888] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(4378), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14060), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4317), 2,
      sym_comment,
      sym_block_comment,
    STATE(14566), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227974] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8324), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4318), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228060] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8328), 1,
      anon_sym_LPAREN,
    ACTIONS(8330), 1,
      anon_sym_POUND,
    STATE(4538), 1,
      aux_sym_annotation_repeat1,
    STATE(4658), 1,
      sym_type_arguments,
    STATE(4936), 1,
      sym_arguments,
    STATE(4319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228120] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15137), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4320), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228206] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6247), 1,
      sym_interpolated_string,
    STATE(15299), 1,
      sym__interpolated_multiline_string_start,
    STATE(15381), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228266] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8202), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15245), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4322), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228352] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8170), 1,
      anon_sym_LBRACK,
    ACTIONS(8174), 1,
      anon_sym_POUND,
    ACTIONS(8332), 1,
      anon_sym_AT,
    STATE(4505), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4551), 1,
      sym_type_arguments,
    STATE(4779), 1,
      sym_annotation,
    STATE(4323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228412] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(11498), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14318), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4324), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228498] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4342), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13845), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4325), 2,
      sym_comment,
      sym_block_comment,
    STATE(14253), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228584] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4375), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14055), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4326), 2,
      sym_comment,
      sym_block_comment,
    STATE(14253), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228670] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8334), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4327), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228756] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13845), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4328), 2,
      sym_comment,
      sym_block_comment,
    STATE(14254), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228842] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8336), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4329), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228928] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15172), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4330), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229014] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(11459), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14405), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4331), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229100] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    ACTIONS(8034), 1,
      anon_sym_def,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14014), 1,
      sym__function_declaration,
    STATE(17307), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4332), 2,
      sym_comment,
      sym_block_comment,
    STATE(14254), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229186] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8340), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4333), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229272] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8342), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4334), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229358] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11205), 1,
      sym__annotated_type,
    STATE(11396), 1,
      sym_identifier,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14246), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4335), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229444] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15696), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4336), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229530] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14060), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4337), 2,
      sym_comment,
      sym_block_comment,
    STATE(14565), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229616] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4338), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229702] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15172), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4339), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229788] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(11768), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14246), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4340), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229874] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8262), 1,
      anon_sym_COLON,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11221), 1,
      sym__simple_type,
    STATE(11396), 1,
      sym_identifier,
    STATE(11740), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13704), 1,
      sym__constructor_application,
    STATE(13948), 1,
      sym_compound_type,
    STATE(14021), 1,
      sym_template_body,
    STATE(14049), 1,
      sym__constructor_applications,
    STATE(14067), 1,
      sym__structural_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(4341), 2,
      sym_comment,
      sym_block_comment,
    STATE(14068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229960] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13845), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4342), 2,
      sym_comment,
      sym_block_comment,
    STATE(14385), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230046] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8280), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15695), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4343), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230132] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11501), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(14586), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4344), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230218] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8346), 1,
      anon_sym_with,
    STATE(4458), 1,
      aux_sym_compound_type_repeat1,
    STATE(6250), 1,
      sym__refinement,
    STATE(6251), 1,
      sym_template_body,
    STATE(6282), 1,
      sym_arguments,
    STATE(4345), 2,
      sym_comment,
      sym_block_comment,
    STATE(6298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230278] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(4348), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13978), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4346), 2,
      sym_comment,
      sym_block_comment,
    STATE(14566), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230364] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      anon_sym_COLON,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    STATE(11194), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11531), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13690), 1,
      sym__constructor_application,
    STATE(13867), 1,
      sym_compound_type,
    STATE(14029), 1,
      sym__constructor_applications,
    STATE(14116), 1,
      sym__structural_type,
    STATE(14156), 1,
      sym_template_body,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(4347), 2,
      sym_comment,
      sym_block_comment,
    STATE(14106), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230450] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13978), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4348), 2,
      sym_comment,
      sym_block_comment,
    STATE(14425), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230536] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(13978), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4349), 2,
      sym_comment,
      sym_block_comment,
    STATE(14565), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230622] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LBRACE,
    ACTIONS(8252), 1,
      anon_sym_with,
    STATE(4287), 1,
      aux_sym_compound_type_repeat1,
    STATE(7296), 1,
      sym__refinement,
    STATE(7297), 1,
      sym_template_body,
    STATE(4350), 2,
      sym_comment,
      sym_block_comment,
    STATE(7114), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230684] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8152), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(14975), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4351), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230770] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11218), 1,
      sym__annotated_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(14506), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4352), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230856] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11230), 1,
      sym__annotated_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(14438), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4353), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230942] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11253), 1,
      sym__annotated_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(14586), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4354), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231028] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15779), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4355), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231114] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      sym__alpha_identifier,
    ACTIONS(8350), 1,
      anon_sym_COLON,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    STATE(10672), 1,
      sym__simple_type,
    STATE(11133), 1,
      sym__annotated_type,
    STATE(11543), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(12291), 1,
      sym__constructor_application,
    STATE(12876), 1,
      sym_compound_type,
    STATE(13027), 1,
      sym_template_body,
    STATE(13119), 1,
      sym_annotated_type,
    STATE(13159), 1,
      sym__structural_type,
    STATE(13397), 1,
      sym__constructor_applications,
    STATE(16856), 1,
      sym_stable_identifier,
    STATE(4356), 2,
      sym_comment,
      sym_block_comment,
    STATE(13114), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12114), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231200] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15779), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4357), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231286] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(11550), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14318), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4358), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231372] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231458] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4360), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231544] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8368), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4361), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231630] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15131), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4362), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231716] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(11074), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11595), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(14438), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(16842), 1,
      sym__constructor_application,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17377), 1,
      sym_template_body,
    STATE(4363), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231802] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4364), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231888] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(11483), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14246), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4365), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231974] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    STATE(10875), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(11465), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14405), 1,
      sym__structural_instance,
    STATE(14799), 1,
      sym_compound_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(17346), 1,
      sym__structural_type,
    STATE(17368), 1,
      sym__constructor_application,
    STATE(17377), 1,
      sym_template_body,
    STATE(4366), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232060] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4367), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232146] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8132), 1,
      anon_sym_LBRACK,
    ACTIONS(8138), 1,
      anon_sym_POUND,
    ACTIONS(8374), 1,
      anon_sym_LPAREN,
    STATE(4560), 1,
      aux_sym_annotation_repeat1,
    STATE(4719), 1,
      sym_type_arguments,
    STATE(4897), 1,
      sym_arguments,
    STATE(4368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232206] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      sym__alpha_identifier,
    ACTIONS(8378), 1,
      anon_sym_COLON,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym__,
    ACTIONS(8386), 1,
      anon_sym_LPAREN,
    ACTIONS(8388), 1,
      sym__backquoted_id,
    ACTIONS(8390), 1,
      sym_operator_identifier,
    STATE(10647), 1,
      sym__simple_type,
    STATE(10946), 1,
      sym__annotated_type,
    STATE(11143), 1,
      sym__soft_identifier,
    STATE(11324), 1,
      sym_identifier,
    STATE(11954), 1,
      sym__constructor_application,
    STATE(12502), 1,
      sym_compound_type,
    STATE(12643), 1,
      sym_template_body,
    STATE(12845), 1,
      sym_annotated_type,
    STATE(12863), 1,
      sym__structural_type,
    STATE(13225), 1,
      sym__constructor_applications,
    STATE(16351), 1,
      sym_stable_identifier,
    STATE(4369), 2,
      sym_comment,
      sym_block_comment,
    STATE(12881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232292] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15131), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4370), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232378] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15818), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4371), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232464] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_AT,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8400), 1,
      anon_sym_POUND,
    STATE(4752), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4825), 1,
      sym_type_arguments,
    STATE(5357), 1,
      sym_annotation,
    STATE(6527), 1,
      sym_arguments,
    STATE(4372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [232574] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15818), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4374), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232660] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14055), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4375), 2,
      sym_comment,
      sym_block_comment,
    STATE(14385), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232746] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8249), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14055), 1,
      sym__function_declaration,
    STATE(17350), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4376), 2,
      sym_comment,
      sym_block_comment,
    STATE(14254), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232832] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4377), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232918] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      anon_sym_def,
    ACTIONS(8040), 1,
      sym__indent,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(8445), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9772), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(14060), 1,
      sym__function_declaration,
    STATE(16660), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4378), 2,
      sym_comment,
      sym_block_comment,
    STATE(14425), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [233004] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8406), 1,
      anon_sym_LPAREN,
    ACTIONS(8408), 1,
      anon_sym_POUND,
    STATE(4514), 1,
      aux_sym_annotation_repeat1,
    STATE(4656), 1,
      sym_type_arguments,
    STATE(5046), 1,
      sym_arguments,
    STATE(4379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233064] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8410), 1,
      anon_sym_LBRACK,
    ACTIONS(8412), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_POUND,
    STATE(4491), 1,
      aux_sym_annotation_repeat1,
    STATE(4734), 1,
      sym_type_arguments,
    STATE(4910), 1,
      sym_arguments,
    STATE(4380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233124] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4381), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [233210] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    ACTIONS(8152), 1,
      anon_sym_RPAREN,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(14975), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4382), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [233296] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8254), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_POUND,
    ACTIONS(8416), 1,
      anon_sym_LPAREN,
    STATE(4701), 1,
      aux_sym_annotation_repeat1,
    STATE(4801), 1,
      sym_type_arguments,
    STATE(5254), 1,
      sym_arguments,
    STATE(4383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233355] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(8418), 1,
      sym__alpha_identifier,
    ACTIONS(8420), 1,
      anon_sym__,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      sym__backquoted_id,
    ACTIONS(8428), 1,
      sym_operator_identifier,
    STATE(4572), 1,
      sym__annotated_type,
    STATE(4675), 1,
      sym__simple_type,
    STATE(6019), 1,
      sym_identifier,
    STATE(6073), 1,
      sym__constructor_application,
    STATE(6306), 1,
      sym__soft_identifier,
    STATE(7426), 1,
      sym_compound_type,
    STATE(7701), 1,
      sym_annotated_type,
    STATE(8137), 1,
      sym__structural_type,
    STATE(8432), 1,
      sym_template_body,
    STATE(17213), 1,
      sym_stable_identifier,
    STATE(4384), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6056), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [233485] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8434), 1,
      sym__alpha_identifier,
    ACTIONS(8436), 1,
      anon_sym_COLON,
    ACTIONS(8438), 1,
      anon_sym_LBRACE,
    ACTIONS(8440), 1,
      anon_sym__,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      sym__backquoted_id,
    ACTIONS(8448), 1,
      sym_operator_identifier,
    STATE(4259), 1,
      sym__simple_type,
    STATE(4263), 1,
      sym__annotated_type,
    STATE(4571), 1,
      sym__constructor_application,
    STATE(4635), 1,
      sym_identifier,
    STATE(4648), 1,
      sym__soft_identifier,
    STATE(5069), 1,
      sym_annotated_type,
    STATE(5279), 1,
      sym_compound_type,
    STATE(5700), 1,
      sym_template_body,
    STATE(5709), 1,
      sym__structural_type,
    STATE(16691), 1,
      sym_stable_identifier,
    STATE(4386), 2,
      sym_comment,
      sym_block_comment,
    STATE(5728), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8442), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4715), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233568] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      sym__alpha_identifier,
    ACTIONS(8382), 1,
      anon_sym__,
    ACTIONS(8386), 1,
      anon_sym_LPAREN,
    ACTIONS(8388), 1,
      sym__backquoted_id,
    ACTIONS(8390), 1,
      sym_operator_identifier,
    ACTIONS(8450), 1,
      anon_sym_COLON,
    ACTIONS(8452), 1,
      anon_sym_LBRACE,
    STATE(10594), 1,
      sym__simple_type,
    STATE(10888), 1,
      sym__annotated_type,
    STATE(11143), 1,
      sym__soft_identifier,
    STATE(11324), 1,
      sym_identifier,
    STATE(12751), 1,
      sym_compound_type,
    STATE(12845), 1,
      sym_annotated_type,
    STATE(13073), 1,
      sym__constructor_application,
    STATE(13143), 1,
      sym_template_body,
    STATE(13186), 1,
      sym__structural_type,
    STATE(16351), 1,
      sym_stable_identifier,
    STATE(4387), 2,
      sym_comment,
      sym_block_comment,
    STATE(13230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233651] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      sym__alpha_identifier,
    ACTIONS(8378), 1,
      anon_sym_COLON,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym__,
    ACTIONS(8386), 1,
      anon_sym_LPAREN,
    ACTIONS(8388), 1,
      sym__backquoted_id,
    ACTIONS(8390), 1,
      sym_operator_identifier,
    STATE(10647), 1,
      sym__simple_type,
    STATE(10946), 1,
      sym__annotated_type,
    STATE(11143), 1,
      sym__soft_identifier,
    STATE(11324), 1,
      sym_identifier,
    STATE(12502), 1,
      sym_compound_type,
    STATE(12643), 1,
      sym_template_body,
    STATE(12845), 1,
      sym_annotated_type,
    STATE(12863), 1,
      sym__structural_type,
    STATE(13068), 1,
      sym__constructor_application,
    STATE(16351), 1,
      sym_stable_identifier,
    STATE(4388), 2,
      sym_comment,
      sym_block_comment,
    STATE(12881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233734] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8262), 1,
      anon_sym_COLON,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11221), 1,
      sym__simple_type,
    STATE(11396), 1,
      sym_identifier,
    STATE(11740), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13948), 1,
      sym_compound_type,
    STATE(14021), 1,
      sym_template_body,
    STATE(14067), 1,
      sym__structural_type,
    STATE(14142), 1,
      sym__constructor_application,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(4389), 2,
      sym_comment,
      sym_block_comment,
    STATE(14068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233817] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    STATE(8953), 1,
      sym_compound_type,
    STATE(9679), 1,
      sym__structural_type,
    STATE(10936), 1,
      sym_template_body,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11177), 1,
      sym__simple_type,
    STATE(11396), 1,
      sym_identifier,
    STATE(11771), 1,
      sym__annotated_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(14233), 1,
      sym__constructor_application,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(4390), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233900] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4391), 2,
      sym_comment,
      sym_block_comment,
    STATE(5705), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233959] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(8460), 1,
      sym__alpha_identifier,
    ACTIONS(8462), 1,
      anon_sym__,
    ACTIONS(8466), 1,
      anon_sym_LPAREN,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(8470), 1,
      sym_operator_identifier,
    STATE(5493), 1,
      sym__annotated_type,
    STATE(5527), 1,
      sym__simple_type,
    STATE(8162), 1,
      sym__constructor_application,
    STATE(8182), 1,
      sym_identifier,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(9378), 1,
      sym_annotated_type,
    STATE(9408), 1,
      sym_compound_type,
    STATE(9739), 1,
      sym__structural_type,
    STATE(9784), 1,
      sym_template_body,
    STATE(16179), 1,
      sym_stable_identifier,
    STATE(4392), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234089] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8474), 1,
      anon_sym_COLON,
    ACTIONS(8476), 1,
      anon_sym_LBRACE,
    ACTIONS(8478), 1,
      anon_sym__,
    ACTIONS(8482), 1,
      anon_sym_LPAREN,
    ACTIONS(8484), 1,
      sym__backquoted_id,
    ACTIONS(8486), 1,
      sym_operator_identifier,
    STATE(7472), 1,
      sym__annotated_type,
    STATE(7792), 1,
      sym__simple_type,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(10108), 1,
      sym__constructor_application,
    STATE(10117), 1,
      sym_identifier,
    STATE(10546), 1,
      sym_compound_type,
    STATE(10558), 1,
      sym_annotated_type,
    STATE(10760), 1,
      sym__structural_type,
    STATE(10881), 1,
      sym_template_body,
    STATE(16672), 1,
      sym_stable_identifier,
    STATE(4394), 2,
      sym_comment,
      sym_block_comment,
    STATE(10921), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9812), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [234219] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8496), 1,
      anon_sym_inline,
    ACTIONS(8499), 1,
      anon_sym_infix,
    ACTIONS(8502), 1,
      anon_sym_open,
    ACTIONS(8505), 1,
      anon_sym_transparent,
    ACTIONS(8508), 1,
      sym__backquoted_id,
    ACTIONS(8493), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4396), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_modifiers_repeat1,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8490), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(8488), 13,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      sym__alpha_identifier,
      sym_operator_identifier,
  [234280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    STATE(4397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234329] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    ACTIONS(8516), 1,
      anon_sym_LBRACE,
    ACTIONS(8518), 1,
      anon_sym_with,
    STATE(5439), 1,
      aux_sym_compound_type_repeat1,
    STATE(7682), 1,
      sym__refinement,
    STATE(7694), 1,
      sym_template_body,
    STATE(4398), 2,
      sym_comment,
      sym_block_comment,
    STATE(7390), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234390] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6258), 1,
      anon_sym_COLON,
    ACTIONS(6260), 1,
      anon_sym_LBRACE,
    ACTIONS(8520), 1,
      sym__alpha_identifier,
    ACTIONS(8522), 1,
      anon_sym__,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      sym__backquoted_id,
    ACTIONS(8530), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__simple_type,
    STATE(4523), 1,
      sym__annotated_type,
    STATE(5675), 1,
      sym__constructor_application,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(5849), 1,
      sym_identifier,
    STATE(6934), 1,
      sym_compound_type,
    STATE(7077), 1,
      sym_annotated_type,
    STATE(7691), 1,
      sym_template_body,
    STATE(7738), 1,
      sym__structural_type,
    STATE(17135), 1,
      sym_stable_identifier,
    STATE(4399), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5936), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234473] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      sym__alpha_identifier,
    ACTIONS(8534), 1,
      anon_sym_COLON,
    ACTIONS(8536), 1,
      anon_sym_LBRACE,
    ACTIONS(8538), 1,
      anon_sym__,
    ACTIONS(8542), 1,
      anon_sym_LPAREN,
    ACTIONS(8544), 1,
      sym__backquoted_id,
    ACTIONS(8546), 1,
      sym_operator_identifier,
    STATE(4277), 1,
      sym__annotated_type,
    STATE(4372), 1,
      sym__simple_type,
    STATE(4778), 1,
      sym_identifier,
    STATE(4864), 1,
      sym__constructor_application,
    STATE(4926), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_annotated_type,
    STATE(5570), 1,
      sym_compound_type,
    STATE(6461), 1,
      sym_template_body,
    STATE(6518), 1,
      sym__structural_type,
    STATE(16410), 1,
      sym_stable_identifier,
    STATE(4400), 2,
      sym_comment,
      sym_block_comment,
    STATE(6546), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8540), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4790), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234556] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    STATE(8512), 1,
      sym_compound_type,
    STATE(8898), 1,
      sym__structural_type,
    STATE(11385), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11588), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(12026), 1,
      sym_template_body,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(14185), 1,
      sym__constructor_application,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(4401), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234639] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_AT,
    ACTIONS(8400), 1,
      anon_sym_POUND,
    STATE(4752), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4825), 1,
      sym_type_arguments,
    STATE(5357), 1,
      sym_annotation,
    STATE(4402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234698] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      anon_sym_COLON,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    STATE(11194), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11531), 1,
      sym__annotated_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13867), 1,
      sym_compound_type,
    STATE(14114), 1,
      sym__constructor_application,
    STATE(14116), 1,
      sym__structural_type,
    STATE(14156), 1,
      sym_template_body,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(4403), 2,
      sym_comment,
      sym_block_comment,
    STATE(14106), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234781] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8548), 1,
      anon_sym_COLON,
    ACTIONS(8550), 1,
      anon_sym_LBRACE,
    ACTIONS(8552), 1,
      anon_sym_with,
    STATE(4423), 1,
      aux_sym_compound_type_repeat1,
    STATE(7940), 1,
      sym__refinement,
    STATE(7942), 1,
      sym_template_body,
    STATE(4404), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8220), 1,
      anon_sym_with,
    STATE(5434), 1,
      aux_sym_compound_type_repeat1,
    STATE(6610), 1,
      sym__refinement,
    STATE(6621), 1,
      sym_template_body,
    STATE(4406), 2,
      sym_comment,
      sym_block_comment,
    STATE(6546), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234948] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    ACTIONS(8516), 1,
      anon_sym_LBRACE,
    ACTIONS(8518), 1,
      anon_sym_with,
    STATE(4398), 1,
      aux_sym_compound_type_repeat1,
    STATE(7693), 1,
      sym__refinement,
    STATE(7694), 1,
      sym_template_body,
    STATE(4407), 2,
      sym_comment,
      sym_block_comment,
    STATE(7390), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235009] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6614), 1,
      anon_sym_COLON,
    ACTIONS(6616), 1,
      anon_sym_LBRACE,
    ACTIONS(8554), 1,
      sym__alpha_identifier,
    ACTIONS(8556), 1,
      anon_sym__,
    ACTIONS(8560), 1,
      anon_sym_LPAREN,
    ACTIONS(8562), 1,
      sym__backquoted_id,
    ACTIONS(8564), 1,
      sym_operator_identifier,
    STATE(4690), 1,
      sym__annotated_type,
    STATE(4698), 1,
      sym__simple_type,
    STATE(6164), 1,
      sym_identifier,
    STATE(6500), 1,
      sym__constructor_application,
    STATE(6631), 1,
      sym__soft_identifier,
    STATE(7720), 1,
      sym_annotated_type,
    STATE(7835), 1,
      sym_compound_type,
    STATE(8234), 1,
      sym_template_body,
    STATE(8526), 1,
      sym__structural_type,
    STATE(16161), 1,
      sym_stable_identifier,
    STATE(4408), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8558), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6475), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235092] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LBRACE,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8568), 1,
      anon_sym__,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(8576), 1,
      sym_operator_identifier,
    STATE(5271), 1,
      sym__simple_type,
    STATE(5421), 1,
      sym__annotated_type,
    STATE(7540), 1,
      sym__soft_identifier,
    STATE(7567), 1,
      sym_identifier,
    STATE(7907), 1,
      sym__constructor_application,
    STATE(8785), 1,
      sym_compound_type,
    STATE(9063), 1,
      sym_annotated_type,
    STATE(9414), 1,
      sym_template_body,
    STATE(9472), 1,
      sym__structural_type,
    STATE(16549), 1,
      sym_stable_identifier,
    STATE(4409), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235175] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8580), 1,
      anon_sym_COLON,
    ACTIONS(8582), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      anon_sym__,
    ACTIONS(8588), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(8592), 1,
      sym_operator_identifier,
    STATE(4290), 1,
      sym__simple_type,
    STATE(4345), 1,
      sym__annotated_type,
    STATE(4758), 1,
      sym__soft_identifier,
    STATE(4923), 1,
      sym_identifier,
    STATE(4939), 1,
      sym__constructor_application,
    STATE(5730), 1,
      sym_compound_type,
    STATE(5739), 1,
      sym_annotated_type,
    STATE(6313), 1,
      sym__structural_type,
    STATE(6655), 1,
      sym_template_body,
    STATE(17117), 1,
      sym_stable_identifier,
    STATE(4410), 2,
      sym_comment,
      sym_block_comment,
    STATE(6298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4794), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235258] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8596), 1,
      anon_sym__,
    ACTIONS(8600), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(8604), 1,
      sym_operator_identifier,
    STATE(5261), 1,
      sym__simple_type,
    STATE(5320), 1,
      sym__annotated_type,
    STATE(7483), 1,
      sym__soft_identifier,
    STATE(7677), 1,
      sym_identifier,
    STATE(7971), 1,
      sym__constructor_application,
    STATE(8783), 1,
      sym_annotated_type,
    STATE(9097), 1,
      sym_compound_type,
    STATE(9395), 1,
      sym__structural_type,
    STATE(9409), 1,
      sym_template_body,
    STATE(16616), 1,
      sym_stable_identifier,
    STATE(4411), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7498), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235341] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8400), 1,
      anon_sym_POUND,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(4700), 1,
      aux_sym_annotation_repeat1,
    STATE(4825), 1,
      sym_type_arguments,
    STATE(5240), 1,
      sym_arguments,
    STATE(4412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [235447] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_LPAREN,
    ACTIONS(8612), 1,
      anon_sym_POUND,
    STATE(4720), 1,
      aux_sym_annotation_repeat1,
    STATE(5040), 1,
      sym_type_arguments,
    STATE(5311), 1,
      sym_arguments,
    STATE(4414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [235506] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8254), 1,
      anon_sym_LBRACK,
    ACTIONS(8256), 1,
      anon_sym_AT,
    ACTIONS(8260), 1,
      anon_sym_POUND,
    STATE(4650), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4801), 1,
      sym_type_arguments,
    STATE(5126), 1,
      sym_annotation,
    STATE(4415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235565] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      sym__alpha_identifier,
    ACTIONS(8616), 1,
      anon_sym_COLON,
    ACTIONS(8618), 1,
      anon_sym_LBRACE,
    ACTIONS(8620), 1,
      anon_sym__,
    ACTIONS(8624), 1,
      anon_sym_LPAREN,
    ACTIONS(8626), 1,
      sym__backquoted_id,
    ACTIONS(8628), 1,
      sym_operator_identifier,
    STATE(4513), 1,
      sym__annotated_type,
    STATE(4544), 1,
      sym__simple_type,
    STATE(5699), 1,
      sym_identifier,
    STATE(5807), 1,
      sym__soft_identifier,
    STATE(5878), 1,
      sym__constructor_application,
    STATE(7080), 1,
      sym_annotated_type,
    STATE(7081), 1,
      sym_compound_type,
    STATE(7625), 1,
      sym_template_body,
    STATE(7964), 1,
      sym__structural_type,
    STATE(16693), 1,
      sym_stable_identifier,
    STATE(4416), 2,
      sym_comment,
      sym_block_comment,
    STATE(7953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5656), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235648] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6592), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_LBRACE,
    ACTIONS(8630), 1,
      sym__alpha_identifier,
    ACTIONS(8632), 1,
      anon_sym__,
    ACTIONS(8636), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym__backquoted_id,
    ACTIONS(8640), 1,
      sym_operator_identifier,
    STATE(5701), 1,
      sym__annotated_type,
    STATE(5984), 1,
      sym__simple_type,
    STATE(8293), 1,
      sym__soft_identifier,
    STATE(8312), 1,
      sym_identifier,
    STATE(8319), 1,
      sym__constructor_application,
    STATE(9512), 1,
      sym_annotated_type,
    STATE(9719), 1,
      sym_compound_type,
    STATE(9878), 1,
      sym__structural_type,
    STATE(10106), 1,
      sym_template_body,
    STATE(16612), 1,
      sym_stable_identifier,
    STATE(4417), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8634), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235731] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7184), 1,
      sym_interpolated_string,
    STATE(15732), 1,
      sym__interpolated_multiline_string_start,
    STATE(15735), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235790] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8642), 1,
      anon_sym_LBRACK,
    ACTIONS(8644), 1,
      anon_sym_LPAREN,
    ACTIONS(8646), 1,
      anon_sym_POUND,
    STATE(4594), 1,
      aux_sym_annotation_repeat1,
    STATE(4804), 1,
      sym_type_arguments,
    STATE(5312), 1,
      sym_arguments,
    STATE(4419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235849] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8650), 1,
      anon_sym_COLON,
    ACTIONS(8652), 1,
      anon_sym_LBRACE,
    ACTIONS(8654), 1,
      anon_sym__,
    ACTIONS(8658), 1,
      anon_sym_LPAREN,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(8662), 1,
      sym_operator_identifier,
    STATE(4422), 1,
      sym__simple_type,
    STATE(4427), 1,
      sym__annotated_type,
    STATE(5072), 1,
      sym__soft_identifier,
    STATE(5151), 1,
      sym__constructor_application,
    STATE(5257), 1,
      sym_identifier,
    STATE(6472), 1,
      sym_compound_type,
    STATE(6542), 1,
      sym_annotated_type,
    STATE(6866), 1,
      sym_template_body,
    STATE(7342), 1,
      sym__structural_type,
    STATE(16729), 1,
      sym_stable_identifier,
    STATE(4420), 2,
      sym_comment,
      sym_block_comment,
    STATE(6935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5418), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235932] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8104), 1,
      sym_operator_identifier,
    STATE(4475), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11946), 1,
      sym_modifiers,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14598), 1,
      sym_identifier,
    STATE(15998), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8086), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4421), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [236015] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      anon_sym_AT,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_POUND,
    STATE(4988), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5435), 1,
      sym_type_arguments,
    STATE(5486), 1,
      sym_annotation,
    STATE(7381), 1,
      sym_arguments,
    STATE(4422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236078] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8548), 1,
      anon_sym_COLON,
    ACTIONS(8550), 1,
      anon_sym_LBRACE,
    ACTIONS(8552), 1,
      anon_sym_with,
    STATE(5111), 1,
      aux_sym_compound_type_repeat1,
    STATE(7934), 1,
      sym__refinement,
    STATE(7942), 1,
      sym_template_body,
    STATE(4423), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236139] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8548), 1,
      anon_sym_COLON,
    ACTIONS(8550), 1,
      anon_sym_LBRACE,
    ACTIONS(8552), 1,
      anon_sym_with,
    STATE(4423), 1,
      aux_sym_compound_type_repeat1,
    STATE(7940), 1,
      sym__refinement,
    STATE(7942), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4424), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [236206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [236253] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7314), 1,
      sym_interpolated_string,
    STATE(15453), 1,
      sym__interpolated_multiline_string_start,
    STATE(15562), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236312] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8676), 1,
      anon_sym_with,
    STATE(4493), 1,
      aux_sym_compound_type_repeat1,
    STATE(7376), 1,
      sym__refinement,
    STATE(7381), 1,
      sym_arguments,
    STATE(7384), 1,
      sym_template_body,
    STATE(4427), 2,
      sym_comment,
      sym_block_comment,
    STATE(6935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236371] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7378), 1,
      sym_interpolated_string,
    STATE(15369), 1,
      sym__interpolated_multiline_string_start,
    STATE(15374), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [236430] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      sym__alpha_identifier,
    ACTIONS(8350), 1,
      anon_sym_COLON,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    STATE(10672), 1,
      sym__simple_type,
    STATE(11133), 1,
      sym__annotated_type,
    STATE(11543), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(12876), 1,
      sym_compound_type,
    STATE(13027), 1,
      sym_template_body,
    STATE(13119), 1,
      sym_annotated_type,
    STATE(13159), 1,
      sym__structural_type,
    STATE(13471), 1,
      sym__constructor_application,
    STATE(16856), 1,
      sym_stable_identifier,
    STATE(4429), 2,
      sym_comment,
      sym_block_comment,
    STATE(13114), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12114), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236513] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4430), 2,
      sym_comment,
      sym_block_comment,
    STATE(5705), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236574] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(8684), 1,
      sym__alpha_identifier,
    ACTIONS(8686), 1,
      anon_sym__,
    ACTIONS(8690), 1,
      anon_sym_LPAREN,
    ACTIONS(8692), 1,
      sym__backquoted_id,
    ACTIONS(8694), 1,
      sym_operator_identifier,
    STATE(5404), 1,
      sym__simple_type,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(7721), 1,
      sym__constructor_application,
    STATE(7813), 1,
      sym__soft_identifier,
    STATE(8081), 1,
      sym_identifier,
    STATE(9249), 1,
      sym_compound_type,
    STATE(9323), 1,
      sym_annotated_type,
    STATE(9587), 1,
      sym_template_body,
    STATE(9597), 1,
      sym__structural_type,
    STATE(17087), 1,
      sym_stable_identifier,
    STATE(4431), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8688), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236657] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_AT,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(8702), 1,
      anon_sym_POUND,
    STATE(4912), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5226), 1,
      sym_type_arguments,
    STATE(5510), 1,
      sym_annotation,
    STATE(6858), 1,
      sym_arguments,
    STATE(4432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [236720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236767] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(6800), 1,
      anon_sym_LBRACE,
    ACTIONS(8704), 1,
      sym__alpha_identifier,
    ACTIONS(8706), 1,
      anon_sym__,
    ACTIONS(8710), 1,
      anon_sym_LPAREN,
    ACTIONS(8712), 1,
      sym__backquoted_id,
    ACTIONS(8714), 1,
      sym_operator_identifier,
    STATE(4631), 1,
      sym__simple_type,
    STATE(4696), 1,
      sym__annotated_type,
    STATE(6180), 1,
      sym__soft_identifier,
    STATE(6310), 1,
      sym_identifier,
    STATE(6617), 1,
      sym__constructor_application,
    STATE(7513), 1,
      sym_compound_type,
    STATE(7843), 1,
      sym_annotated_type,
    STATE(8269), 1,
      sym__structural_type,
    STATE(8482), 1,
      sym_template_body,
    STATE(16490), 1,
      sym_stable_identifier,
    STATE(4434), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8708), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6111), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236850] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8716), 1,
      anon_sym_with,
    STATE(4506), 1,
      aux_sym_compound_type_repeat1,
    STATE(6859), 1,
      sym__refinement,
    STATE(6861), 1,
      sym_template_body,
    STATE(7213), 1,
      sym_arguments,
    STATE(4435), 2,
      sym_comment,
      sym_block_comment,
    STATE(6902), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236909] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      sym__alpha_identifier,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    ACTIONS(8718), 1,
      anon_sym_COLON,
    ACTIONS(8720), 1,
      anon_sym_LBRACE,
    STATE(10667), 1,
      sym__simple_type,
    STATE(10984), 1,
      sym__annotated_type,
    STATE(11543), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(13119), 1,
      sym_annotated_type,
    STATE(13265), 1,
      sym_compound_type,
    STATE(13468), 1,
      sym__constructor_application,
    STATE(13546), 1,
      sym__structural_type,
    STATE(13587), 1,
      sym_template_body,
    STATE(16856), 1,
      sym_stable_identifier,
    STATE(4436), 2,
      sym_comment,
      sym_block_comment,
    STATE(13514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12114), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236992] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6658), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_LBRACE,
    ACTIONS(8722), 1,
      sym__alpha_identifier,
    ACTIONS(8724), 1,
      anon_sym__,
    ACTIONS(8728), 1,
      anon_sym_LPAREN,
    ACTIONS(8730), 1,
      sym__backquoted_id,
    ACTIONS(8732), 1,
      sym_operator_identifier,
    STATE(4838), 1,
      sym__annotated_type,
    STATE(4942), 1,
      sym__simple_type,
    STATE(6679), 1,
      sym_identifier,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(7138), 1,
      sym__constructor_application,
    STATE(8280), 1,
      sym_compound_type,
    STATE(8287), 1,
      sym_annotated_type,
    STATE(9125), 1,
      sym__structural_type,
    STATE(9214), 1,
      sym_template_body,
    STATE(16572), 1,
      sym_stable_identifier,
    STATE(4437), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8726), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7232), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237075] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8734), 1,
      anon_sym_with,
    STATE(4469), 1,
      aux_sym_compound_type_repeat1,
    STATE(6709), 1,
      sym_template_body,
    STATE(6710), 1,
      sym__refinement,
    STATE(6858), 1,
      sym_arguments,
    STATE(4438), 2,
      sym_comment,
      sym_block_comment,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [237134] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      anon_sym_COLON,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(8736), 1,
      sym__alpha_identifier,
    ACTIONS(8738), 1,
      anon_sym__,
    ACTIONS(8742), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__backquoted_id,
    ACTIONS(8746), 1,
      sym_operator_identifier,
    STATE(6126), 1,
      sym__simple_type,
    STATE(6435), 1,
      sym__annotated_type,
    STATE(8916), 1,
      sym__soft_identifier,
    STATE(8953), 1,
      sym_compound_type,
    STATE(8963), 1,
      sym__constructor_application,
    STATE(8997), 1,
      sym_identifier,
    STATE(9679), 1,
      sym__structural_type,
    STATE(9986), 1,
      sym_annotated_type,
    STATE(10224), 1,
      sym_template_body,
    STATE(16841), 1,
      sym_stable_identifier,
    STATE(4439), 2,
      sym_comment,
      sym_block_comment,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8950), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237217] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_POUND,
    ACTIONS(8748), 1,
      anon_sym_AT,
    STATE(4656), 1,
      sym_type_arguments,
    STATE(4746), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5403), 1,
      sym_annotation,
    STATE(4440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237276] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    ACTIONS(8516), 1,
      anon_sym_LBRACE,
    ACTIONS(8518), 1,
      anon_sym_with,
    STATE(4398), 1,
      aux_sym_compound_type_repeat1,
    STATE(7693), 1,
      sym__refinement,
    STATE(7694), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4441), 2,
      sym_comment,
      sym_block_comment,
    STATE(7390), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [237343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [237390] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_LPAREN,
    STATE(4446), 1,
      aux_sym_annotation_repeat1,
    STATE(4693), 1,
      sym_arguments,
    STATE(4443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237443] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8770), 1,
      sym_operator_identifier,
    STATE(1726), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4444), 2,
      sym_comment,
      sym_block_comment,
    STATE(5705), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [237514] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_LBRACE,
    ACTIONS(8772), 1,
      sym__alpha_identifier,
    ACTIONS(8774), 1,
      anon_sym__,
    ACTIONS(8778), 1,
      anon_sym_LPAREN,
    ACTIONS(8780), 1,
      sym__backquoted_id,
    ACTIONS(8782), 1,
      sym_operator_identifier,
    STATE(4432), 1,
      sym__simple_type,
    STATE(4438), 1,
      sym__annotated_type,
    STATE(5106), 1,
      sym__soft_identifier,
    STATE(5153), 1,
      sym__constructor_application,
    STATE(5216), 1,
      sym_identifier,
    STATE(6597), 1,
      sym_compound_type,
    STATE(6645), 1,
      sym_annotated_type,
    STATE(6704), 1,
      sym_template_body,
    STATE(6915), 1,
      sym__structural_type,
    STATE(16766), 1,
      sym_stable_identifier,
    STATE(4445), 2,
      sym_comment,
      sym_block_comment,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8788), 1,
      anon_sym_LPAREN,
    STATE(4693), 1,
      sym_arguments,
    STATE(4446), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237648] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      sym__alpha_identifier,
    ACTIONS(8308), 1,
      anon_sym_COLON,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    ACTIONS(8312), 1,
      anon_sym__,
    ACTIONS(8316), 1,
      anon_sym_LPAREN,
    ACTIONS(8318), 1,
      sym__backquoted_id,
    ACTIONS(8320), 1,
      sym_operator_identifier,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12183), 1,
      sym__annotated_type,
    STATE(13029), 1,
      sym_identifier,
    STATE(13259), 1,
      sym__soft_identifier,
    STATE(13860), 1,
      sym_compound_type,
    STATE(14039), 1,
      sym_template_body,
    STATE(14061), 1,
      sym_annotated_type,
    STATE(14132), 1,
      sym__structural_type,
    STATE(14286), 1,
      sym__constructor_application,
    STATE(16452), 1,
      sym_stable_identifier,
    STATE(4447), 2,
      sym_comment,
      sym_block_comment,
    STATE(14070), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13585), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237731] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      anon_sym_COLON,
    ACTIONS(6180), 1,
      anon_sym_LBRACE,
    ACTIONS(8791), 1,
      sym__alpha_identifier,
    ACTIONS(8793), 1,
      anon_sym__,
    ACTIONS(8797), 1,
      anon_sym_LPAREN,
    ACTIONS(8799), 1,
      sym__backquoted_id,
    ACTIONS(8801), 1,
      sym_operator_identifier,
    STATE(4781), 1,
      sym__annotated_type,
    STATE(4849), 1,
      sym__simple_type,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7135), 1,
      sym__constructor_application,
    STATE(7186), 1,
      sym_identifier,
    STATE(8294), 1,
      sym_annotated_type,
    STATE(8612), 1,
      sym_compound_type,
    STATE(8781), 1,
      sym__structural_type,
    STATE(9240), 1,
      sym_template_body,
    STATE(17069), 1,
      sym_stable_identifier,
    STATE(4448), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8795), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7035), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237814] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8803), 1,
      anon_sym_COLON,
    ACTIONS(8805), 1,
      anon_sym_LBRACE,
    ACTIONS(8807), 1,
      anon_sym_with,
    STATE(5102), 1,
      aux_sym_compound_type_repeat1,
    STATE(7648), 1,
      sym_template_body,
    STATE(7877), 1,
      sym__refinement,
    STATE(4449), 2,
      sym_comment,
      sym_block_comment,
    STATE(7624), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237875] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      sym__alpha_identifier,
    ACTIONS(8312), 1,
      anon_sym__,
    ACTIONS(8316), 1,
      anon_sym_LPAREN,
    ACTIONS(8318), 1,
      sym__backquoted_id,
    ACTIONS(8320), 1,
      sym_operator_identifier,
    ACTIONS(8809), 1,
      anon_sym_COLON,
    ACTIONS(8811), 1,
      anon_sym_LBRACE,
    STATE(11889), 1,
      sym__simple_type,
    STATE(12468), 1,
      sym__annotated_type,
    STATE(13029), 1,
      sym_identifier,
    STATE(13259), 1,
      sym__soft_identifier,
    STATE(14036), 1,
      sym_compound_type,
    STATE(14061), 1,
      sym_annotated_type,
    STATE(14279), 1,
      sym__structural_type,
    STATE(14287), 1,
      sym_template_body,
    STATE(14288), 1,
      sym__constructor_application,
    STATE(16452), 1,
      sym_stable_identifier,
    STATE(4450), 2,
      sym_comment,
      sym_block_comment,
    STATE(14178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13585), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 32,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [238003] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym_POUND,
    ACTIONS(8815), 1,
      anon_sym_AT,
    STATE(4580), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4658), 1,
      sym_type_arguments,
    STATE(5454), 1,
      sym_annotation,
    STATE(4452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238062] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8817), 1,
      sym__alpha_identifier,
    ACTIONS(8819), 1,
      anon_sym_COLON,
    ACTIONS(8821), 1,
      anon_sym_LBRACE,
    ACTIONS(8823), 1,
      anon_sym__,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      sym__backquoted_id,
    ACTIONS(8831), 1,
      sym_operator_identifier,
    STATE(4435), 1,
      sym__annotated_type,
    STATE(4463), 1,
      sym__simple_type,
    STATE(5193), 1,
      sym_identifier,
    STATE(5275), 1,
      sym__soft_identifier,
    STATE(5430), 1,
      sym__constructor_application,
    STATE(6404), 1,
      sym_annotated_type,
    STATE(6563), 1,
      sym_compound_type,
    STATE(6990), 1,
      sym_template_body,
    STATE(7131), 1,
      sym__structural_type,
    STATE(16341), 1,
      sym_stable_identifier,
    STATE(4453), 2,
      sym_comment,
      sym_block_comment,
    STATE(6902), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5420), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238145] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8833), 1,
      anon_sym_LBRACK,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(8837), 1,
      anon_sym_POUND,
    STATE(4710), 1,
      aux_sym_annotation_repeat1,
    STATE(5008), 1,
      sym_type_arguments,
    STATE(5265), 1,
      sym_arguments,
    STATE(4454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238204] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8410), 1,
      anon_sym_LBRACK,
    ACTIONS(8414), 1,
      anon_sym_POUND,
    ACTIONS(8839), 1,
      anon_sym_AT,
    STATE(4663), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4734), 1,
      sym_type_arguments,
    STATE(5083), 1,
      sym_annotation,
    STATE(4455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238263] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(8841), 1,
      sym__alpha_identifier,
    ACTIONS(8843), 1,
      anon_sym__,
    ACTIONS(8847), 1,
      anon_sym_LPAREN,
    ACTIONS(8849), 1,
      sym__backquoted_id,
    ACTIONS(8851), 1,
      sym_operator_identifier,
    STATE(4573), 1,
      sym__simple_type,
    STATE(4679), 1,
      sym__annotated_type,
    STATE(6115), 1,
      sym__soft_identifier,
    STATE(6137), 1,
      sym_identifier,
    STATE(6641), 1,
      sym__constructor_application,
    STATE(7623), 1,
      sym_annotated_type,
    STATE(7990), 1,
      sym_compound_type,
    STATE(8260), 1,
      sym__structural_type,
    STATE(8270), 1,
      sym_template_body,
    STATE(16532), 1,
      sym_stable_identifier,
    STATE(4456), 2,
      sym_comment,
      sym_block_comment,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6255), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238346] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LPAREN,
    ACTIONS(8857), 1,
      anon_sym_POUND,
    STATE(4676), 1,
      aux_sym_annotation_repeat1,
    STATE(4846), 1,
      sym_type_arguments,
    STATE(5385), 1,
      sym_arguments,
    STATE(4457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238405] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8346), 1,
      anon_sym_with,
    STATE(5082), 1,
      aux_sym_compound_type_repeat1,
    STATE(6246), 1,
      sym__refinement,
    STATE(6251), 1,
      sym_template_body,
    STATE(4458), 2,
      sym_comment,
      sym_block_comment,
    STATE(6298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238462] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(6344), 1,
      anon_sym_LBRACE,
    ACTIONS(8859), 1,
      sym__alpha_identifier,
    ACTIONS(8861), 1,
      anon_sym__,
    ACTIONS(8865), 1,
      anon_sym_LPAREN,
    ACTIONS(8867), 1,
      sym__backquoted_id,
    ACTIONS(8869), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__simple_type,
    STATE(4540), 1,
      sym__annotated_type,
    STATE(5595), 1,
      sym__constructor_application,
    STATE(5679), 1,
      sym_identifier,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym_annotated_type,
    STATE(7337), 1,
      sym_compound_type,
    STATE(7449), 1,
      sym_template_body,
    STATE(7549), 1,
      sym__structural_type,
    STATE(17057), 1,
      sym_stable_identifier,
    STATE(4459), 2,
      sym_comment,
      sym_block_comment,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238545] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6500), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_LBRACE,
    ACTIONS(8871), 1,
      sym__alpha_identifier,
    ACTIONS(8873), 1,
      anon_sym__,
    ACTIONS(8877), 1,
      anon_sym_LPAREN,
    ACTIONS(8879), 1,
      sym__backquoted_id,
    ACTIONS(8881), 1,
      sym_operator_identifier,
    STATE(4805), 1,
      sym__simple_type,
    STATE(4813), 1,
      sym__annotated_type,
    STATE(6760), 1,
      sym_identifier,
    STATE(6864), 1,
      sym__soft_identifier,
    STATE(7009), 1,
      sym__constructor_application,
    STATE(8185), 1,
      sym_compound_type,
    STATE(8509), 1,
      sym_annotated_type,
    STATE(8881), 1,
      sym_template_body,
    STATE(9246), 1,
      sym__structural_type,
    STATE(16802), 1,
      sym_stable_identifier,
    STATE(4460), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7243), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238628] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8803), 1,
      anon_sym_COLON,
    ACTIONS(8805), 1,
      anon_sym_LBRACE,
    ACTIONS(8807), 1,
      anon_sym_with,
    STATE(4449), 1,
      aux_sym_compound_type_repeat1,
    STATE(7648), 1,
      sym_template_body,
    STATE(7659), 1,
      sym__refinement,
    STATE(4461), 2,
      sym_comment,
      sym_block_comment,
    STATE(7624), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238689] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(8883), 1,
      sym__alpha_identifier,
    ACTIONS(8885), 1,
      anon_sym__,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8891), 1,
      sym__backquoted_id,
    ACTIONS(8893), 1,
      sym_operator_identifier,
    STATE(5036), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__annotated_type,
    STATE(6921), 1,
      sym__soft_identifier,
    STATE(7107), 1,
      sym_identifier,
    STATE(7207), 1,
      sym__constructor_application,
    STATE(8456), 1,
      sym_annotated_type,
    STATE(8497), 1,
      sym_compound_type,
    STATE(8932), 1,
      sym__structural_type,
    STATE(9139), 1,
      sym_template_body,
    STATE(16892), 1,
      sym_stable_identifier,
    STATE(4462), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7331), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238772] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      anon_sym_LBRACK,
    ACTIONS(8897), 1,
      anon_sym_AT,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    ACTIONS(8901), 1,
      anon_sym_POUND,
    STATE(4999), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5406), 1,
      sym_type_arguments,
    STATE(5624), 1,
      sym_annotation,
    STATE(7213), 1,
      sym_arguments,
    STATE(4463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238835] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8903), 1,
      anon_sym_LBRACK,
    ACTIONS(8905), 1,
      anon_sym_LPAREN,
    ACTIONS(8907), 1,
      anon_sym_POUND,
    STATE(4620), 1,
      aux_sym_annotation_repeat1,
    STATE(4998), 1,
      sym_type_arguments,
    STATE(5116), 1,
      sym_arguments,
    STATE(4464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238894] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8803), 1,
      anon_sym_COLON,
    ACTIONS(8805), 1,
      anon_sym_LBRACE,
    ACTIONS(8807), 1,
      anon_sym_with,
    STATE(4449), 1,
      aux_sym_compound_type_repeat1,
    STATE(7648), 1,
      sym_template_body,
    STATE(7659), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4465), 2,
      sym_comment,
      sym_block_comment,
    STATE(7624), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [238961] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6140), 1,
      anon_sym_COLON,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(8909), 1,
      sym__alpha_identifier,
    ACTIONS(8911), 1,
      anon_sym__,
    ACTIONS(8915), 1,
      anon_sym_LPAREN,
    ACTIONS(8917), 1,
      sym__backquoted_id,
    ACTIONS(8919), 1,
      sym_operator_identifier,
    STATE(5431), 1,
      sym__annotated_type,
    STATE(5453), 1,
      sym__simple_type,
    STATE(7586), 1,
      sym__constructor_application,
    STATE(7989), 1,
      sym_identifier,
    STATE(8069), 1,
      sym__soft_identifier,
    STATE(8512), 1,
      sym_compound_type,
    STATE(8815), 1,
      sym_annotated_type,
    STATE(8898), 1,
      sym__structural_type,
    STATE(9653), 1,
      sym_template_body,
    STATE(17013), 1,
      sym_stable_identifier,
    STATE(4466), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7725), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [239044] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8921), 1,
      anon_sym_LBRACK,
    ACTIONS(8923), 1,
      anon_sym_LPAREN,
    ACTIONS(8925), 1,
      anon_sym_POUND,
    STATE(4960), 1,
      aux_sym_annotation_repeat1,
    STATE(5328), 1,
      sym_type_arguments,
    STATE(5808), 1,
      sym_arguments,
    STATE(4467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239102] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8927), 1,
      anon_sym_LPAREN,
    STATE(4910), 1,
      sym_arguments,
    STATE(4468), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239152] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8734), 1,
      anon_sym_with,
    STATE(5522), 1,
      aux_sym_compound_type_repeat1,
    STATE(6709), 1,
      sym_template_body,
    STATE(6727), 1,
      sym__refinement,
    STATE(4469), 2,
      sym_comment,
      sym_block_comment,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [239254] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8930), 1,
      anon_sym_DOT,
    ACTIONS(8932), 1,
      sym_operator_identifier,
    STATE(1747), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4471), 2,
      sym_comment,
      sym_block_comment,
    STATE(6632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [239324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239370] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8903), 1,
      anon_sym_LBRACK,
    ACTIONS(8907), 1,
      anon_sym_POUND,
    ACTIONS(8936), 1,
      anon_sym_AT,
    STATE(4860), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4998), 1,
      sym_type_arguments,
    STATE(5962), 1,
      sym_annotation,
    STATE(4473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239428] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8938), 1,
      anon_sym_COLON,
    ACTIONS(8940), 1,
      anon_sym_LBRACE,
    ACTIONS(8942), 1,
      anon_sym_with,
    STATE(4509), 1,
      aux_sym_compound_type_repeat1,
    STATE(8341), 1,
      sym__refinement,
    STATE(8342), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4474), 2,
      sym_comment,
      sym_block_comment,
    STATE(8286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [239494] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(8092), 1,
      anon_sym_infix,
    ACTIONS(8094), 1,
      anon_sym_open,
    ACTIONS(8096), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8946), 1,
      sym_operator_identifier,
    STATE(6769), 1,
      aux_sym_modifiers_repeat1,
    STATE(9132), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(11996), 1,
      sym_modifiers,
    STATE(14441), 1,
      sym_identifier,
    STATE(14442), 1,
      sym__soft_identifier,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8084), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8944), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4475), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239574] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8833), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym_POUND,
    ACTIONS(8948), 1,
      anon_sym_AT,
    STATE(4783), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5008), 1,
      sym_type_arguments,
    STATE(5674), 1,
      sym_annotation,
    STATE(4476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239680] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      anon_sym_AT,
    ACTIONS(8670), 1,
      anon_sym_POUND,
    STATE(4988), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5435), 1,
      sym_type_arguments,
    STATE(5486), 1,
      sym_annotation,
    STATE(4478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239738] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8950), 1,
      anon_sym_COLON,
    ACTIONS(8952), 1,
      anon_sym_LBRACE,
    ACTIONS(8954), 1,
      anon_sym_with,
    STATE(5578), 1,
      aux_sym_compound_type_repeat1,
    STATE(8145), 1,
      sym_template_body,
    STATE(8323), 1,
      sym__refinement,
    STATE(4479), 2,
      sym_comment,
      sym_block_comment,
    STATE(8459), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239844] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8938), 1,
      anon_sym_COLON,
    ACTIONS(8940), 1,
      anon_sym_LBRACE,
    ACTIONS(8942), 1,
      anon_sym_with,
    STATE(4509), 1,
      aux_sym_compound_type_repeat1,
    STATE(8341), 1,
      sym__refinement,
    STATE(8342), 1,
      sym_template_body,
    STATE(4481), 2,
      sym_comment,
      sym_block_comment,
    STATE(8286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239904] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_AT,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(8964), 1,
      anon_sym_POUND,
    STATE(5340), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5944), 1,
      sym_type_arguments,
    STATE(6186), 1,
      sym_annotation,
    STATE(7705), 1,
      sym_arguments,
    STATE(4482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239966] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8642), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_POUND,
    ACTIONS(8966), 1,
      anon_sym_AT,
    STATE(4804), 1,
      sym_type_arguments,
    STATE(5016), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5484), 1,
      sym_annotation,
    STATE(4483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240024] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8950), 1,
      anon_sym_COLON,
    ACTIONS(8952), 1,
      anon_sym_LBRACE,
    ACTIONS(8954), 1,
      anon_sym_with,
    STATE(4479), 1,
      aux_sym_compound_type_repeat1,
    STATE(8145), 1,
      sym_template_body,
    STATE(8190), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4484), 2,
      sym_comment,
      sym_block_comment,
    STATE(8459), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240136] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8974), 1,
      anon_sym_AT,
    STATE(4779), 1,
      sym_annotation,
    STATE(4486), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240186] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8977), 1,
      anon_sym_LBRACK,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(8981), 1,
      anon_sym_POUND,
    STATE(4937), 1,
      aux_sym_annotation_repeat1,
    STATE(5169), 1,
      sym_type_arguments,
    STATE(5836), 1,
      sym_arguments,
    STATE(4487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240244] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_POUND,
    ACTIONS(8983), 1,
      anon_sym_AT,
    STATE(4846), 1,
      sym_type_arguments,
    STATE(4948), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5494), 1,
      sym_annotation,
    STATE(4488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8985), 1,
      anon_sym_DOT,
    STATE(4489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240396] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 1,
      anon_sym_LPAREN,
    STATE(4468), 1,
      aux_sym_annotation_repeat1,
    STATE(4910), 1,
      sym_arguments,
    STATE(4491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_DOT,
    STATE(4492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240496] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8676), 1,
      anon_sym_with,
    STATE(5649), 1,
      aux_sym_compound_type_repeat1,
    STATE(7354), 1,
      sym__refinement,
    STATE(7384), 1,
      sym_template_body,
    STATE(4493), 2,
      sym_comment,
      sym_block_comment,
    STATE(6935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240552] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      anon_sym_LBRACK,
    ACTIONS(8897), 1,
      anon_sym_AT,
    ACTIONS(8901), 1,
      anon_sym_POUND,
    STATE(4999), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5406), 1,
      sym_type_arguments,
    STATE(5624), 1,
      sym_annotation,
    STATE(4494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240610] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      anon_sym_LBRACK,
    ACTIONS(8612), 1,
      anon_sym_POUND,
    ACTIONS(8991), 1,
      anon_sym_AT,
    STATE(4772), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5040), 1,
      sym_type_arguments,
    STATE(5677), 1,
      sym_annotation,
    STATE(4495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [240714] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7493), 1,
      sym_interpolated_string,
    STATE(15457), 1,
      sym__interpolated_string_start,
    STATE(15483), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240818] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8702), 1,
      anon_sym_POUND,
    ACTIONS(8995), 1,
      anon_sym_LPAREN,
    STATE(4787), 1,
      aux_sym_annotation_repeat1,
    STATE(5226), 1,
      sym_type_arguments,
    STATE(5650), 1,
      sym_arguments,
    STATE(4499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240876] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_LPAREN,
    ACTIONS(9001), 1,
      anon_sym_POUND,
    STATE(4938), 1,
      aux_sym_annotation_repeat1,
    STATE(5327), 1,
      sym_type_arguments,
    STATE(5978), 1,
      sym_arguments,
    STATE(4500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [240980] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(8930), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4502), 2,
      sym_comment,
      sym_block_comment,
    STATE(6632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241038] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_COLON,
    ACTIONS(9005), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_with,
    STATE(5684), 1,
      aux_sym_compound_type_repeat1,
    STATE(8584), 1,
      sym__refinement,
    STATE(8643), 1,
      sym_template_body,
    STATE(4503), 2,
      sym_comment,
      sym_block_comment,
    STATE(8678), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241098] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9009), 1,
      anon_sym_AT,
    STATE(4964), 1,
      sym_annotation,
    STATE(4504), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241148] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8332), 1,
      anon_sym_AT,
    STATE(4486), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4779), 1,
      sym_annotation,
    STATE(4505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241200] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8716), 1,
      anon_sym_with,
    STATE(5489), 1,
      aux_sym_compound_type_repeat1,
    STATE(6796), 1,
      sym__refinement,
    STATE(6861), 1,
      sym_template_body,
    STATE(4506), 2,
      sym_comment,
      sym_block_comment,
    STATE(6902), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241256] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9016), 1,
      anon_sym_LBRACK,
    ACTIONS(9018), 1,
      anon_sym_LPAREN,
    ACTIONS(9020), 1,
      anon_sym_POUND,
    STATE(4983), 1,
      aux_sym_annotation_repeat1,
    STATE(5277), 1,
      sym_type_arguments,
    STATE(5988), 1,
      sym_arguments,
    STATE(4507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [241314] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8930), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4508), 2,
      sym_comment,
      sym_block_comment,
    STATE(6632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241374] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8938), 1,
      anon_sym_COLON,
    ACTIONS(8940), 1,
      anon_sym_LBRACE,
    ACTIONS(8942), 1,
      anon_sym_with,
    STATE(5466), 1,
      aux_sym_compound_type_repeat1,
    STATE(8303), 1,
      sym__refinement,
    STATE(8342), 1,
      sym_template_body,
    STATE(4509), 2,
      sym_comment,
      sym_block_comment,
    STATE(8286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241434] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9022), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_LPAREN,
    ACTIONS(9026), 1,
      anon_sym_POUND,
    STATE(5009), 1,
      aux_sym_annotation_repeat1,
    STATE(5191), 1,
      sym_type_arguments,
    STATE(5986), 1,
      sym_arguments,
    STATE(4510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241492] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9028), 1,
      anon_sym_COLON,
    ACTIONS(9030), 1,
      anon_sym_LBRACE,
    ACTIONS(9032), 1,
      anon_sym_with,
    STATE(4541), 1,
      aux_sym_compound_type_repeat1,
    STATE(8589), 1,
      sym__refinement,
    STATE(8590), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4511), 2,
      sym_comment,
      sym_block_comment,
    STATE(8410), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241606] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9034), 1,
      anon_sym_with,
    STATE(4603), 1,
      aux_sym_compound_type_repeat1,
    STATE(8006), 1,
      sym_template_body,
    STATE(8009), 1,
      sym__refinement,
    STATE(8015), 1,
      sym_arguments,
    STATE(4513), 2,
      sym_comment,
      sym_block_comment,
    STATE(7953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241664] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8406), 1,
      anon_sym_LPAREN,
    STATE(4515), 1,
      aux_sym_annotation_repeat1,
    STATE(5046), 1,
      sym_arguments,
    STATE(4514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241716] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9036), 1,
      anon_sym_LPAREN,
    STATE(5046), 1,
      sym_arguments,
    STATE(4515), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241766] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_AT,
    ACTIONS(8702), 1,
      anon_sym_POUND,
    STATE(4912), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5226), 1,
      sym_type_arguments,
    STATE(5510), 1,
      sym_annotation,
    STATE(4516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [241824] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8134), 1,
      anon_sym_AT,
    STATE(4504), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4964), 1,
      sym_annotation,
    STATE(4517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241922] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9039), 1,
      anon_sym_COLON,
    ACTIONS(9041), 1,
      anon_sym_LBRACE,
    ACTIONS(9043), 1,
      anon_sym_with,
    STATE(4526), 1,
      aux_sym_compound_type_repeat1,
    STATE(8653), 1,
      sym__refinement,
    STATE(8664), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4519), 2,
      sym_comment,
      sym_block_comment,
    STATE(8322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [242034] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7570), 1,
      sym_interpolated_string,
    STATE(14946), 1,
      sym__interpolated_string_start,
    STATE(14954), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9045), 1,
      anon_sym_LBRACK,
    ACTIONS(9047), 1,
      anon_sym_LPAREN,
    ACTIONS(9049), 1,
      anon_sym_POUND,
    STATE(5034), 1,
      aux_sym_annotation_repeat1,
    STATE(5054), 1,
      sym_type_arguments,
    STATE(5916), 1,
      sym_arguments,
    STATE(4522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242150] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9051), 1,
      anon_sym_with,
    STATE(4740), 1,
      aux_sym_compound_type_repeat1,
    STATE(7705), 1,
      sym_arguments,
    STATE(7893), 1,
      sym__refinement,
    STATE(7894), 1,
      sym_template_body,
    STATE(4523), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242208] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9028), 1,
      anon_sym_COLON,
    ACTIONS(9030), 1,
      anon_sym_LBRACE,
    ACTIONS(9032), 1,
      anon_sym_with,
    STATE(4541), 1,
      aux_sym_compound_type_repeat1,
    STATE(8589), 1,
      sym__refinement,
    STATE(8590), 1,
      sym_template_body,
    STATE(4524), 2,
      sym_comment,
      sym_block_comment,
    STATE(8410), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242268] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8670), 1,
      anon_sym_POUND,
    ACTIONS(9053), 1,
      anon_sym_LPAREN,
    STATE(4822), 1,
      aux_sym_annotation_repeat1,
    STATE(5435), 1,
      sym_type_arguments,
    STATE(5621), 1,
      sym_arguments,
    STATE(4525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242326] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9039), 1,
      anon_sym_COLON,
    ACTIONS(9041), 1,
      anon_sym_LBRACE,
    ACTIONS(9043), 1,
      anon_sym_with,
    STATE(5659), 1,
      aux_sym_compound_type_repeat1,
    STATE(8634), 1,
      sym__refinement,
    STATE(8664), 1,
      sym_template_body,
    STATE(4526), 2,
      sym_comment,
      sym_block_comment,
    STATE(8322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242386] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9039), 1,
      anon_sym_COLON,
    ACTIONS(9041), 1,
      anon_sym_LBRACE,
    ACTIONS(9043), 1,
      anon_sym_with,
    STATE(4526), 1,
      aux_sym_compound_type_repeat1,
    STATE(8653), 1,
      sym__refinement,
    STATE(8664), 1,
      sym_template_body,
    STATE(4527), 2,
      sym_comment,
      sym_block_comment,
    STATE(8322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242446] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5838), 1,
      sym_interpolated_string,
    STATE(15105), 1,
      sym__interpolated_string_start,
    STATE(15121), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9055), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      anon_sym_DOT,
    STATE(4529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242552] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_COLON,
    ACTIONS(9005), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_with,
    STATE(4503), 1,
      aux_sym_compound_type_repeat1,
    STATE(8641), 1,
      sym__refinement,
    STATE(8643), 1,
      sym_template_body,
    STATE(4530), 2,
      sym_comment,
      sym_block_comment,
    STATE(8678), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242612] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_LBRACK,
    ACTIONS(9061), 1,
      anon_sym_LPAREN,
    ACTIONS(9063), 1,
      anon_sym_POUND,
    STATE(4947), 1,
      aux_sym_annotation_repeat1,
    STATE(5331), 1,
      sym_type_arguments,
    STATE(5889), 1,
      sym_arguments,
    STATE(4531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242670] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9065), 1,
      anon_sym_LPAREN,
    STATE(4936), 1,
      sym_arguments,
    STATE(4532), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242720] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9003), 1,
      anon_sym_COLON,
    ACTIONS(9005), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_with,
    STATE(4503), 1,
      aux_sym_compound_type_repeat1,
    STATE(8641), 1,
      sym__refinement,
    STATE(8643), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4533), 2,
      sym_comment,
      sym_block_comment,
    STATE(8678), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242786] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    ACTIONS(9068), 1,
      anon_sym_EQ_GT,
    STATE(4534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [242928] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9070), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_AT,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    ACTIONS(9076), 1,
      anon_sym_POUND,
    STATE(5356), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5817), 1,
      sym_type_arguments,
    STATE(6335), 1,
      sym_annotation,
    STATE(7637), 1,
      sym_arguments,
    STATE(4537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242990] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8328), 1,
      anon_sym_LPAREN,
    STATE(4532), 1,
      aux_sym_annotation_repeat1,
    STATE(4936), 1,
      sym_arguments,
    STATE(4538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243042] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9078), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4539), 2,
      sym_comment,
      sym_block_comment,
    STATE(6464), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243102] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9080), 1,
      anon_sym_with,
    STATE(4605), 1,
      aux_sym_compound_type_repeat1,
    STATE(7637), 1,
      sym_arguments,
    STATE(7935), 1,
      sym_template_body,
    STATE(7936), 1,
      sym__refinement,
    STATE(4540), 2,
      sym_comment,
      sym_block_comment,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [243160] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9028), 1,
      anon_sym_COLON,
    ACTIONS(9030), 1,
      anon_sym_LBRACE,
    ACTIONS(9032), 1,
      anon_sym_with,
    STATE(5666), 1,
      aux_sym_compound_type_repeat1,
    STATE(8560), 1,
      sym__refinement,
    STATE(8590), 1,
      sym_template_body,
    STATE(4541), 2,
      sym_comment,
      sym_block_comment,
    STATE(8410), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [243266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243312] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9086), 1,
      anon_sym_AT,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9090), 1,
      anon_sym_POUND,
    STATE(5337), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5643), 1,
      sym_type_arguments,
    STATE(6506), 1,
      sym_annotation,
    STATE(8015), 1,
      sym_arguments,
    STATE(4544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [243420] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5838), 1,
      sym_interpolated_string,
    STATE(15105), 1,
      sym__interpolated_string_start,
    STATE(15121), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9092), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243708] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7676), 1,
      sym_interpolated_string,
    STATE(15524), 1,
      sym__interpolated_multiline_string_start,
    STATE(15526), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243950] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      anon_sym_LBRACK,
    ACTIONS(8901), 1,
      anon_sym_POUND,
    ACTIONS(9102), 1,
      anon_sym_LPAREN,
    STATE(4915), 1,
      aux_sym_annotation_repeat1,
    STATE(5406), 1,
      sym_type_arguments,
    STATE(5989), 1,
      sym_arguments,
    STATE(4557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244008] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(9078), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4558), 2,
      sym_comment,
      sym_block_comment,
    STATE(6464), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244112] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8374), 1,
      anon_sym_LPAREN,
    STATE(4563), 1,
      aux_sym_annotation_repeat1,
    STATE(4897), 1,
      sym_arguments,
    STATE(4560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244164] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8950), 1,
      anon_sym_COLON,
    ACTIONS(8952), 1,
      anon_sym_LBRACE,
    ACTIONS(8954), 1,
      anon_sym_with,
    STATE(4479), 1,
      aux_sym_compound_type_repeat1,
    STATE(8145), 1,
      sym_template_body,
    STATE(8190), 1,
      sym__refinement,
    STATE(4561), 2,
      sym_comment,
      sym_block_comment,
    STATE(8459), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244270] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9108), 1,
      anon_sym_LPAREN,
    STATE(4897), 1,
      sym_arguments,
    STATE(4563), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244320] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9078), 1,
      anon_sym_DOT,
    ACTIONS(9111), 1,
      sym_operator_identifier,
    STATE(1784), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4564), 2,
      sym_comment,
      sym_block_comment,
    STATE(6464), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [244390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244573] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_LBRACK,
    ACTIONS(9063), 1,
      anon_sym_POUND,
    ACTIONS(9113), 1,
      anon_sym_AT,
    STATE(5331), 1,
      sym_type_arguments,
    STATE(5334), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6517), 1,
      sym_annotation,
    STATE(4569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244630] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9115), 1,
      anon_sym_DOT,
    ACTIONS(9117), 1,
      sym_operator_identifier,
    STATE(1739), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4570), 2,
      sym_comment,
      sym_block_comment,
    STATE(6849), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [244699] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      anon_sym_COLON,
    ACTIONS(9124), 1,
      anon_sym_LBRACE,
    STATE(5713), 1,
      sym_template_body,
    STATE(4571), 2,
      sym_comment,
      sym_block_comment,
    STATE(5728), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 17,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244752] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9129), 1,
      anon_sym_with,
    STATE(4909), 1,
      aux_sym_compound_type_repeat1,
    STATE(8111), 1,
      sym_arguments,
    STATE(8499), 1,
      sym__refinement,
    STATE(8500), 1,
      sym_template_body,
    STATE(4572), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244809] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 1,
      anon_sym_LBRACK,
    ACTIONS(9133), 1,
      anon_sym_AT,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    ACTIONS(9137), 1,
      anon_sym_POUND,
    STATE(5907), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6273), 1,
      sym_type_arguments,
    STATE(6865), 1,
      sym_annotation,
    STATE(8165), 1,
      sym_arguments,
    STATE(4573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [244915] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9139), 1,
      anon_sym_LBRACK,
    ACTIONS(9141), 1,
      anon_sym_LPAREN,
    ACTIONS(9143), 1,
      anon_sym_POUND,
    STATE(5223), 1,
      aux_sym_annotation_repeat1,
    STATE(5648), 1,
      sym_type_arguments,
    STATE(6322), 1,
      sym_arguments,
    STATE(4575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [245062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245152] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8815), 1,
      anon_sym_AT,
    STATE(4756), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5454), 1,
      sym_annotation,
    STATE(4580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245248] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    ACTIONS(9147), 1,
      anon_sym_LBRACE,
    ACTIONS(9149), 1,
      anon_sym_with,
    STATE(6232), 1,
      aux_sym_compound_type_repeat1,
    STATE(8168), 1,
      sym_template_body,
    STATE(8336), 1,
      sym__refinement,
    STATE(4582), 2,
      sym_comment,
      sym_block_comment,
    STATE(8163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245352] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8921), 1,
      anon_sym_LBRACK,
    ACTIONS(8925), 1,
      anon_sym_POUND,
    ACTIONS(9151), 1,
      anon_sym_AT,
    STATE(5328), 1,
      sym_type_arguments,
    STATE(5395), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6350), 1,
      sym_annotation,
    STATE(4584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245454] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6548), 1,
      sym_interpolated_string,
    STATE(15130), 1,
      sym__interpolated_string_start,
    STATE(15134), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9153), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245556] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7570), 1,
      sym_interpolated_string,
    STATE(14946), 1,
      sym__interpolated_string_start,
    STATE(14954), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9155), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [245703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [245748] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7570), 1,
      sym_interpolated_string,
    STATE(14946), 1,
      sym__interpolated_string_start,
    STATE(14954), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9157), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245805] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6247), 1,
      sym_interpolated_string,
    STATE(15299), 1,
      sym__interpolated_multiline_string_start,
    STATE(15381), 1,
      sym__interpolated_string_start,
    ACTIONS(9159), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8644), 1,
      anon_sym_LPAREN,
    STATE(4596), 1,
      aux_sym_annotation_repeat1,
    STATE(5312), 1,
      sym_arguments,
    STATE(4594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9068), 1,
      anon_sym_EQ_GT,
    STATE(4595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245960] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9161), 1,
      anon_sym_LPAREN,
    STATE(5312), 1,
      sym_arguments,
    STATE(4596), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246009] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_DOT,
    ACTIONS(9164), 1,
      anon_sym_EQ_GT,
    STATE(4597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246058] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9086), 1,
      anon_sym_AT,
    ACTIONS(9090), 1,
      anon_sym_POUND,
    STATE(5337), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5643), 1,
      sym_type_arguments,
    STATE(6506), 1,
      sym_annotation,
    STATE(4598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246295] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9034), 1,
      anon_sym_with,
    STATE(6371), 1,
      aux_sym_compound_type_repeat1,
    STATE(8006), 1,
      sym_template_body,
    STATE(8047), 1,
      sym__refinement,
    STATE(4603), 2,
      sym_comment,
      sym_block_comment,
    STATE(7953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246350] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9022), 1,
      anon_sym_LBRACK,
    ACTIONS(9026), 1,
      anon_sym_POUND,
    ACTIONS(9166), 1,
      anon_sym_AT,
    STATE(5191), 1,
      sym_type_arguments,
    STATE(5262), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6158), 1,
      sym_annotation,
    STATE(4604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246407] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9080), 1,
      anon_sym_with,
    STATE(6376), 1,
      aux_sym_compound_type_repeat1,
    STATE(7935), 1,
      sym_template_body,
    STATE(7949), 1,
      sym__refinement,
    STATE(4605), 2,
      sym_comment,
      sym_block_comment,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246507] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(9115), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4607), 2,
      sym_comment,
      sym_block_comment,
    STATE(6849), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246564] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9168), 1,
      anon_sym_DOT,
    ACTIONS(9170), 1,
      sym_operator_identifier,
    STATE(1744), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4608), 2,
      sym_comment,
      sym_block_comment,
    STATE(6715), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [246633] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    ACTIONS(9147), 1,
      anon_sym_LBRACE,
    ACTIONS(9149), 1,
      anon_sym_with,
    STATE(4582), 1,
      aux_sym_compound_type_repeat1,
    STATE(8168), 1,
      sym_template_body,
    STATE(8175), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4609), 2,
      sym_comment,
      sym_block_comment,
    STATE(8163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246698] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9172), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym_LPAREN,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    STATE(5138), 1,
      aux_sym_annotation_repeat1,
    STATE(5867), 1,
      sym_type_arguments,
    STATE(6159), 1,
      sym_arguments,
    STATE(4610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246847] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9178), 1,
      anon_sym_LBRACK,
    ACTIONS(9180), 1,
      anon_sym_LPAREN,
    ACTIONS(9182), 1,
      anon_sym_POUND,
    STATE(5128), 1,
      aux_sym_annotation_repeat1,
    STATE(5890), 1,
      sym_type_arguments,
    STATE(6152), 1,
      sym_arguments,
    STATE(4613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246904] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9184), 1,
      anon_sym_COLON,
    ACTIONS(9186), 1,
      anon_sym_LBRACE,
    ACTIONS(9188), 1,
      anon_sym_with,
    STATE(4642), 1,
      aux_sym_compound_type_repeat1,
    STATE(8770), 1,
      sym__refinement,
    STATE(8772), 1,
      sym_template_body,
    STATE(4614), 2,
      sym_comment,
      sym_block_comment,
    STATE(9128), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247098] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9190), 1,
      anon_sym_LPAREN,
    STATE(5116), 1,
      sym_arguments,
    STATE(4618), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247147] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247194] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8905), 1,
      anon_sym_LPAREN,
    STATE(4618), 1,
      aux_sym_annotation_repeat1,
    STATE(5116), 1,
      sym_arguments,
    STATE(4620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9193), 1,
      anon_sym_AT,
    STATE(5357), 1,
      sym_annotation,
    STATE(4621), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247339] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9115), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4623), 2,
      sym_comment,
      sym_block_comment,
    STATE(6849), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247488] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9196), 1,
      anon_sym_COLON,
    ACTIONS(9198), 1,
      anon_sym_LBRACE,
    ACTIONS(9200), 1,
      anon_sym_with,
    STATE(4748), 1,
      aux_sym_compound_type_repeat1,
    STATE(8820), 1,
      sym__refinement,
    STATE(8821), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4626), 2,
      sym_comment,
      sym_block_comment,
    STATE(9192), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247553] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LPAREN,
    ACTIONS(9206), 1,
      anon_sym_POUND,
    STATE(5089), 1,
      aux_sym_annotation_repeat1,
    STATE(5929), 1,
      sym_type_arguments,
    STATE(6122), 1,
      sym_arguments,
    STATE(4627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247610] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9184), 1,
      anon_sym_COLON,
    ACTIONS(9186), 1,
      anon_sym_LBRACE,
    ACTIONS(9188), 1,
      anon_sym_with,
    STATE(4642), 1,
      aux_sym_compound_type_repeat1,
    STATE(8770), 1,
      sym__refinement,
    STATE(8772), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4628), 2,
      sym_comment,
      sym_block_comment,
    STATE(9128), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247720] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9016), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_POUND,
    ACTIONS(9208), 1,
      anon_sym_AT,
    STATE(5230), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5277), 1,
      sym_type_arguments,
    STATE(6179), 1,
      sym_annotation,
    STATE(4630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247777] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_AT,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(9216), 1,
      anon_sym_POUND,
    STATE(5753), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6129), 1,
      sym_type_arguments,
    STATE(6689), 1,
      sym_annotation,
    STATE(8442), 1,
      sym_arguments,
    STATE(4631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247883] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6548), 1,
      sym_interpolated_string,
    STATE(15130), 1,
      sym__interpolated_string_start,
    STATE(15134), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9218), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247985] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9220), 1,
      anon_sym_DOT,
    STATE(4635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9222), 1,
      anon_sym_DOT,
    STATE(4637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [248169] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7378), 1,
      sym_interpolated_string,
    STATE(15369), 1,
      sym__interpolated_multiline_string_start,
    STATE(15374), 1,
      sym__interpolated_string_start,
    ACTIONS(9224), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248271] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6247), 1,
      sym_interpolated_string,
    STATE(15299), 1,
      sym__interpolated_multiline_string_start,
    STATE(15381), 1,
      sym__interpolated_string_start,
    ACTIONS(9226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248328] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9184), 1,
      anon_sym_COLON,
    ACTIONS(9186), 1,
      anon_sym_LBRACE,
    ACTIONS(9188), 1,
      anon_sym_with,
    STATE(6450), 1,
      aux_sym_compound_type_repeat1,
    STATE(8745), 1,
      sym__refinement,
    STATE(8772), 1,
      sym_template_body,
    STATE(4642), 2,
      sym_comment,
      sym_block_comment,
    STATE(9128), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248567] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9228), 1,
      anon_sym_COLON,
    ACTIONS(9230), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_with,
    STATE(4686), 1,
      aux_sym_compound_type_repeat1,
    STATE(8882), 1,
      sym__refinement,
    STATE(8910), 1,
      sym_template_body,
    STATE(4647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8256), 1,
      anon_sym_AT,
    STATE(4673), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5126), 1,
      sym_annotation,
    STATE(4650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248812] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    ACTIONS(9147), 1,
      anon_sym_LBRACE,
    ACTIONS(9149), 1,
      anon_sym_with,
    STATE(4582), 1,
      aux_sym_compound_type_repeat1,
    STATE(8168), 1,
      sym_template_body,
    STATE(8175), 1,
      sym__refinement,
    STATE(4652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249186] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9234), 1,
      anon_sym_COLON,
    ACTIONS(9236), 1,
      anon_sym_LBRACE,
    ACTIONS(9238), 1,
      anon_sym_with,
    STATE(4703), 1,
      aux_sym_compound_type_repeat1,
    STATE(8860), 1,
      sym_template_body,
    STATE(8861), 1,
      sym__refinement,
    STATE(4660), 2,
      sym_comment,
      sym_block_comment,
    STATE(9297), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9240), 1,
      anon_sym_DOT,
    STATE(4661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249337] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8839), 1,
      anon_sym_AT,
    STATE(4687), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5083), 1,
      sym_annotation,
    STATE(4663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [249478] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9228), 1,
      anon_sym_COLON,
    ACTIONS(9230), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_with,
    STATE(4686), 1,
      aux_sym_compound_type_repeat1,
    STATE(8882), 1,
      sym__refinement,
    STATE(8910), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249543] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5838), 1,
      sym_interpolated_string,
    STATE(15105), 1,
      sym__interpolated_string_start,
    STATE(15121), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9242), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249600] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(9168), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4668), 2,
      sym_comment,
      sym_block_comment,
    STATE(6715), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249749] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9244), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_POUND,
    STATE(5166), 1,
      aux_sym_annotation_repeat1,
    STATE(5833), 1,
      sym_type_arguments,
    STATE(6639), 1,
      sym_arguments,
    STATE(4671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249806] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8964), 1,
      anon_sym_POUND,
    ACTIONS(9250), 1,
      anon_sym_LPAREN,
    STATE(5134), 1,
      aux_sym_annotation_repeat1,
    STATE(5944), 1,
      sym_type_arguments,
    STATE(6023), 1,
      sym_arguments,
    STATE(4672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249863] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9252), 1,
      anon_sym_AT,
    STATE(5126), 1,
      sym_annotation,
    STATE(4673), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249912] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9196), 1,
      anon_sym_COLON,
    ACTIONS(9198), 1,
      anon_sym_LBRACE,
    ACTIONS(9200), 1,
      anon_sym_with,
    STATE(4748), 1,
      aux_sym_compound_type_repeat1,
    STATE(8820), 1,
      sym__refinement,
    STATE(8821), 1,
      sym_template_body,
    STATE(4674), 2,
      sym_comment,
      sym_block_comment,
    STATE(9192), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249971] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9255), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_AT,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    ACTIONS(9261), 1,
      anon_sym_POUND,
    STATE(5910), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6060), 1,
      sym_type_arguments,
    STATE(6830), 1,
      sym_annotation,
    STATE(8111), 1,
      sym_arguments,
    STATE(4675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8855), 1,
      anon_sym_LPAREN,
    STATE(4677), 1,
      aux_sym_annotation_repeat1,
    STATE(5385), 1,
      sym_arguments,
    STATE(4676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250083] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9263), 1,
      anon_sym_LPAREN,
    STATE(5385), 1,
      sym_arguments,
    STATE(4677), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250179] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9266), 1,
      anon_sym_with,
    STATE(4906), 1,
      aux_sym_compound_type_repeat1,
    STATE(8165), 1,
      sym_arguments,
    STATE(8516), 1,
      sym_template_body,
    STATE(8518), 1,
      sym__refinement,
    STATE(4679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9268), 1,
      anon_sym_DOT,
    STATE(4680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250330] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9234), 1,
      anon_sym_COLON,
    ACTIONS(9236), 1,
      anon_sym_LBRACE,
    ACTIONS(9238), 1,
      anon_sym_with,
    STATE(4703), 1,
      aux_sym_compound_type_repeat1,
    STATE(8860), 1,
      sym_template_body,
    STATE(8861), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4682), 2,
      sym_comment,
      sym_block_comment,
    STATE(9297), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250395] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8625), 1,
      sym_interpolated_string,
    STATE(15635), 1,
      sym__interpolated_string_start,
    STATE(15636), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250452] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8374), 1,
      sym_interpolated_string,
    STATE(15613), 1,
      sym__interpolated_multiline_string_start,
    STATE(15631), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250509] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    ACTIONS(9270), 1,
      anon_sym_DOT,
    ACTIONS(9272), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4685), 2,
      sym_comment,
      sym_block_comment,
    STATE(6973), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [250578] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9228), 1,
      anon_sym_COLON,
    ACTIONS(9230), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_with,
    STATE(6523), 1,
      aux_sym_compound_type_repeat1,
    STATE(8910), 1,
      sym_template_body,
    STATE(8982), 1,
      sym__refinement,
    STATE(4686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9274), 1,
      anon_sym_AT,
    STATE(5083), 1,
      sym_annotation,
    STATE(4687), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [250731] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8191), 1,
      sym_interpolated_string,
    STATE(15203), 1,
      sym__interpolated_multiline_string_start,
    STATE(15218), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250788] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9277), 1,
      anon_sym_with,
    STATE(4887), 1,
      aux_sym_compound_type_repeat1,
    STATE(8381), 1,
      sym_template_body,
    STATE(8387), 1,
      sym__refinement,
    STATE(8654), 1,
      sym_arguments,
    STATE(4690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250845] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9279), 1,
      anon_sym_COLON,
    ACTIONS(9281), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_with,
    STATE(4745), 1,
      aux_sym_compound_type_repeat1,
    STATE(8928), 1,
      sym__refinement,
    STATE(8930), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4691), 2,
      sym_comment,
      sym_block_comment,
    STATE(9070), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251000] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(9090), 1,
      anon_sym_POUND,
    ACTIONS(9287), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      aux_sym_annotation_repeat1,
    STATE(5643), 1,
      sym_type_arguments,
    STATE(6566), 1,
      sym_arguments,
    STATE(4694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251057] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9289), 1,
      anon_sym_LBRACK,
    ACTIONS(9291), 1,
      anon_sym_LPAREN,
    ACTIONS(9293), 1,
      anon_sym_POUND,
    STATE(5423), 1,
      aux_sym_annotation_repeat1,
    STATE(5542), 1,
      sym_type_arguments,
    STATE(6399), 1,
      sym_arguments,
    STATE(4695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251114] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9295), 1,
      anon_sym_with,
    STATE(4854), 1,
      aux_sym_compound_type_repeat1,
    STATE(8301), 1,
      sym_template_body,
    STATE(8313), 1,
      sym__refinement,
    STATE(8442), 1,
      sym_arguments,
    STATE(4696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251171] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9070), 1,
      anon_sym_LBRACK,
    ACTIONS(9076), 1,
      anon_sym_POUND,
    ACTIONS(9297), 1,
      anon_sym_LPAREN,
    STATE(5455), 1,
      aux_sym_annotation_repeat1,
    STATE(5817), 1,
      sym_type_arguments,
    STATE(6144), 1,
      sym_arguments,
    STATE(4697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251228] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9299), 1,
      anon_sym_LBRACK,
    ACTIONS(9301), 1,
      anon_sym_AT,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(9305), 1,
      anon_sym_POUND,
    STATE(5879), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6491), 1,
      sym_type_arguments,
    STATE(7169), 1,
      sym_annotation,
    STATE(8654), 1,
      sym_arguments,
    STATE(4698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251289] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9307), 1,
      anon_sym_LPAREN,
    STATE(5254), 1,
      sym_arguments,
    STATE(4699), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(4716), 1,
      aux_sym_annotation_repeat1,
    STATE(5240), 1,
      sym_arguments,
    STATE(4700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251389] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8416), 1,
      anon_sym_LPAREN,
    STATE(4699), 1,
      aux_sym_annotation_repeat1,
    STATE(5254), 1,
      sym_arguments,
    STATE(4701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9310), 1,
      anon_sym_DOT,
    STATE(4702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251487] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9234), 1,
      anon_sym_COLON,
    ACTIONS(9236), 1,
      anon_sym_LBRACE,
    ACTIONS(9238), 1,
      anon_sym_with,
    STATE(6124), 1,
      aux_sym_compound_type_repeat1,
    STATE(8860), 1,
      sym_template_body,
    STATE(8874), 1,
      sym__refinement,
    STATE(4703), 2,
      sym_comment,
      sym_block_comment,
    STATE(9297), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251546] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(9168), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4704), 2,
      sym_comment,
      sym_block_comment,
    STATE(6715), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251605] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9045), 1,
      anon_sym_LBRACK,
    ACTIONS(9049), 1,
      anon_sym_POUND,
    ACTIONS(9312), 1,
      anon_sym_AT,
    STATE(5054), 1,
      sym_type_arguments,
    STATE(5413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6096), 1,
      sym_annotation,
    STATE(4705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9314), 1,
      anon_sym_DOT,
    STATE(4706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251709] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8977), 1,
      anon_sym_LBRACK,
    ACTIONS(8981), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_AT,
    STATE(5169), 1,
      sym_type_arguments,
    STATE(5394), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6397), 1,
      sym_annotation,
    STATE(4707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251766] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    ACTIONS(9270), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4708), 2,
      sym_comment,
      sym_block_comment,
    STATE(6973), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251823] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9318), 1,
      anon_sym_LBRACK,
    ACTIONS(9320), 1,
      anon_sym_LPAREN,
    ACTIONS(9322), 1,
      anon_sym_POUND,
    STATE(4309), 1,
      sym_type_arguments,
    STATE(4451), 1,
      sym_arguments,
    STATE(5811), 1,
      aux_sym_annotation_repeat1,
    STATE(4709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [251878] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    STATE(4714), 1,
      aux_sym_annotation_repeat1,
    STATE(5265), 1,
      sym_arguments,
    STATE(4710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251929] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8705), 1,
      sym_interpolated_string,
    STATE(15589), 1,
      sym__interpolated_string_start,
    STATE(15591), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      anon_sym_DOT,
    ACTIONS(9324), 1,
      anon_sym_EQ_GT,
    STATE(4713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252082] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9326), 1,
      anon_sym_LPAREN,
    STATE(5265), 1,
      sym_arguments,
    STATE(4714), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252176] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9329), 1,
      anon_sym_LPAREN,
    STATE(5240), 1,
      sym_arguments,
    STATE(4716), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252225] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9332), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    STATE(5436), 1,
      aux_sym_annotation_repeat1,
    STATE(5613), 1,
      sym_type_arguments,
    STATE(6603), 1,
      sym_arguments,
    STATE(4717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252282] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9070), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_AT,
    ACTIONS(9076), 1,
      anon_sym_POUND,
    STATE(5356), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5817), 1,
      sym_type_arguments,
    STATE(6335), 1,
      sym_annotation,
    STATE(4718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8610), 1,
      anon_sym_LPAREN,
    STATE(4722), 1,
      aux_sym_annotation_repeat1,
    STATE(5311), 1,
      sym_arguments,
    STATE(4720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252435] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_AT,
    ACTIONS(8964), 1,
      anon_sym_POUND,
    STATE(5340), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5944), 1,
      sym_type_arguments,
    STATE(6186), 1,
      sym_annotation,
    STATE(4721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252492] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9338), 1,
      anon_sym_LPAREN,
    STATE(5311), 1,
      sym_arguments,
    STATE(4722), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252676] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9341), 1,
      anon_sym_COLON,
    ACTIONS(9343), 1,
      anon_sym_LBRACE,
    ACTIONS(9345), 1,
      anon_sym_with,
    STATE(4729), 1,
      aux_sym_compound_type_repeat1,
    STATE(9036), 1,
      sym__refinement,
    STATE(9039), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8938), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252831] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9341), 1,
      anon_sym_COLON,
    ACTIONS(9343), 1,
      anon_sym_LBRACE,
    ACTIONS(9345), 1,
      anon_sym_with,
    STATE(6245), 1,
      aux_sym_compound_type_repeat1,
    STATE(9025), 1,
      sym__refinement,
    STATE(9039), 1,
      sym_template_body,
    STATE(4729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8938), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253115] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    ACTIONS(9270), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4735), 2,
      sym_comment,
      sym_block_comment,
    STATE(6973), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253219] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_POUND,
    ACTIONS(9347), 1,
      anon_sym_AT,
    STATE(5122), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5327), 1,
      sym_type_arguments,
    STATE(6203), 1,
      sym_annotation,
    STATE(4737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253366] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9051), 1,
      anon_sym_with,
    STATE(6227), 1,
      aux_sym_compound_type_repeat1,
    STATE(7882), 1,
      sym__refinement,
    STATE(7894), 1,
      sym_template_body,
    STATE(4740), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253421] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9279), 1,
      anon_sym_COLON,
    ACTIONS(9281), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_with,
    STATE(4745), 1,
      aux_sym_compound_type_repeat1,
    STATE(8928), 1,
      sym__refinement,
    STATE(8930), 1,
      sym_template_body,
    STATE(4741), 2,
      sym_comment,
      sym_block_comment,
    STATE(9070), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253615] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9279), 1,
      anon_sym_COLON,
    ACTIONS(9281), 1,
      anon_sym_LBRACE,
    ACTIONS(9283), 1,
      anon_sym_with,
    STATE(6209), 1,
      aux_sym_compound_type_repeat1,
    STATE(8917), 1,
      sym__refinement,
    STATE(8930), 1,
      sym_template_body,
    STATE(4745), 2,
      sym_comment,
      sym_block_comment,
    STATE(9070), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253674] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8748), 1,
      anon_sym_AT,
    STATE(4747), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5403), 1,
      sym_annotation,
    STATE(4746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253725] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9349), 1,
      anon_sym_AT,
    STATE(5403), 1,
      sym_annotation,
    STATE(4747), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253774] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9196), 1,
      anon_sym_COLON,
    ACTIONS(9198), 1,
      anon_sym_LBRACE,
    ACTIONS(9200), 1,
      anon_sym_with,
    STATE(6181), 1,
      aux_sym_compound_type_repeat1,
    STATE(8807), 1,
      sym__refinement,
    STATE(8821), 1,
      sym_template_body,
    STATE(4748), 2,
      sym_comment,
      sym_block_comment,
    STATE(9192), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253923] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9341), 1,
      anon_sym_COLON,
    ACTIONS(9343), 1,
      anon_sym_LBRACE,
    ACTIONS(9345), 1,
      anon_sym_with,
    STATE(4729), 1,
      aux_sym_compound_type_repeat1,
    STATE(9036), 1,
      sym__refinement,
    STATE(9039), 1,
      sym_template_body,
    STATE(4751), 2,
      sym_comment,
      sym_block_comment,
    STATE(8938), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8396), 1,
      anon_sym_AT,
    STATE(4621), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5357), 1,
      sym_annotation,
    STATE(4752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254168] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9352), 1,
      anon_sym_AT,
    STATE(5454), 1,
      sym_annotation,
    STATE(4756), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254306] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9355), 1,
      anon_sym_LBRACK,
    ACTIONS(9357), 1,
      anon_sym_LPAREN,
    ACTIONS(9359), 1,
      anon_sym_POUND,
    STATE(6292), 1,
      aux_sym_annotation_repeat1,
    STATE(6391), 1,
      sym_type_arguments,
    STATE(8033), 1,
      sym_arguments,
    STATE(4759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254362] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9361), 1,
      anon_sym_COLON,
    ACTIONS(9363), 1,
      anon_sym_LBRACE,
    ACTIONS(9365), 1,
      anon_sym_with,
    STATE(5021), 1,
      aux_sym_compound_type_repeat1,
    STATE(9493), 1,
      sym__refinement,
    STATE(9494), 1,
      sym_template_body,
    STATE(4760), 2,
      sym_comment,
      sym_block_comment,
    STATE(9599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254420] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9062), 1,
      sym_interpolated_string,
    STATE(14928), 1,
      sym__interpolated_multiline_string_start,
    STATE(14940), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254476] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9367), 1,
      anon_sym_COLON,
    ACTIONS(9369), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_with,
    STATE(4769), 1,
      aux_sym_compound_type_repeat1,
    STATE(9456), 1,
      sym_template_body,
    STATE(9457), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4762), 2,
      sym_comment,
      sym_block_comment,
    STATE(9593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254584] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9373), 1,
      anon_sym_AT,
    STATE(5674), 1,
      sym_annotation,
    STATE(4764), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254632] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9310), 1,
      anon_sym_DOT,
    ACTIONS(9376), 1,
      anon_sym_EQ_GT,
    STATE(4765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254680] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9378), 1,
      anon_sym_COLON,
    ACTIONS(9380), 1,
      anon_sym_LBRACE,
    ACTIONS(9382), 1,
      anon_sym_with,
    STATE(4940), 1,
      aux_sym_compound_type_repeat1,
    STATE(9729), 1,
      sym__refinement,
    STATE(9731), 1,
      sym_template_body,
    STATE(4766), 2,
      sym_comment,
      sym_block_comment,
    STATE(9448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254738] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9384), 1,
      anon_sym_COLON,
    ACTIONS(9386), 1,
      anon_sym_LBRACE,
    ACTIONS(9388), 1,
      anon_sym_with,
    STATE(5005), 1,
      aux_sym_compound_type_repeat1,
    STATE(9531), 1,
      sym__refinement,
    STATE(9532), 1,
      sym_template_body,
    STATE(4767), 2,
      sym_comment,
      sym_block_comment,
    STATE(9566), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254840] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9367), 1,
      anon_sym_COLON,
    ACTIONS(9369), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_with,
    STATE(6674), 1,
      aux_sym_compound_type_repeat1,
    STATE(9456), 1,
      sym_template_body,
    STATE(9496), 1,
      sym__refinement,
    STATE(4769), 2,
      sym_comment,
      sym_block_comment,
    STATE(9593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254898] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_AT,
    ACTIONS(9216), 1,
      anon_sym_POUND,
    STATE(5753), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6129), 1,
      sym_type_arguments,
    STATE(6689), 1,
      sym_annotation,
    STATE(4770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254954] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9390), 1,
      anon_sym_COLON,
    ACTIONS(9392), 1,
      anon_sym_LBRACE,
    ACTIONS(9394), 1,
      anon_sym_with,
    STATE(4803), 1,
      aux_sym_compound_type_repeat1,
    STATE(8943), 1,
      sym__refinement,
    STATE(8951), 1,
      sym_template_body,
    STATE(4771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8834), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255012] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      anon_sym_AT,
    STATE(4921), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5677), 1,
      sym_annotation,
    STATE(4772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9396), 1,
      anon_sym_AT,
    STATE(5624), 1,
      sym_annotation,
    STATE(4773), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255198] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9399), 1,
      anon_sym_LBRACK,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9403), 1,
      anon_sym_POUND,
    STATE(5896), 1,
      aux_sym_annotation_repeat1,
    STATE(6197), 1,
      sym_type_arguments,
    STATE(6896), 1,
      sym_arguments,
    STATE(4776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9405), 1,
      anon_sym_DOT,
    STATE(4778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(5064), 1,
      aux_sym_compound_type_repeat1,
    STATE(8936), 1,
      sym_arguments,
    STATE(9179), 1,
      sym_template_body,
    STATE(9180), 1,
      sym__refinement,
    STATE(4781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255532] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8948), 1,
      anon_sym_AT,
    STATE(4764), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5674), 1,
      sym_annotation,
    STATE(4783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255582] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9413), 1,
      anon_sym_COLON,
    ACTIONS(9415), 1,
      anon_sym_LBRACE,
    ACTIONS(9417), 1,
      anon_sym_with,
    STATE(4826), 1,
      aux_sym_compound_type_repeat1,
    STATE(9682), 1,
      sym__refinement,
    STATE(9684), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4784), 2,
      sym_comment,
      sym_block_comment,
    STATE(9434), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255690] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9419), 1,
      anon_sym_LPAREN,
    STATE(5650), 1,
      sym_arguments,
    STATE(4786), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255738] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8995), 1,
      anon_sym_LPAREN,
    STATE(4786), 1,
      aux_sym_annotation_repeat1,
    STATE(5650), 1,
      sym_arguments,
    STATE(4787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9422), 1,
      anon_sym_DOT,
    STATE(4788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255922] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9413), 1,
      anon_sym_COLON,
    ACTIONS(9415), 1,
      anon_sym_LBRACE,
    ACTIONS(9417), 1,
      anon_sym_with,
    STATE(4826), 1,
      aux_sym_compound_type_repeat1,
    STATE(9682), 1,
      sym__refinement,
    STATE(9684), 1,
      sym_template_body,
    STATE(4791), 2,
      sym_comment,
      sym_block_comment,
    STATE(9434), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256422] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9367), 1,
      anon_sym_COLON,
    ACTIONS(9369), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_with,
    STATE(4769), 1,
      aux_sym_compound_type_repeat1,
    STATE(9456), 1,
      sym_template_body,
    STATE(9457), 1,
      sym__refinement,
    STATE(4802), 2,
      sym_comment,
      sym_block_comment,
    STATE(9593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256480] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9390), 1,
      anon_sym_COLON,
    ACTIONS(9392), 1,
      anon_sym_LBRACE,
    ACTIONS(9394), 1,
      anon_sym_with,
    STATE(7221), 1,
      aux_sym_compound_type_repeat1,
    STATE(8850), 1,
      sym__refinement,
    STATE(8951), 1,
      sym_template_body,
    STATE(4803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8834), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256582] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9424), 1,
      anon_sym_LBRACK,
    ACTIONS(9426), 1,
      anon_sym_AT,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(9430), 1,
      anon_sym_POUND,
    STATE(6609), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7261), 1,
      sym_type_arguments,
    STATE(7857), 1,
      sym_annotation,
    STATE(8826), 1,
      sym_arguments,
    STATE(4805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256642] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9432), 1,
      anon_sym_AT,
    STATE(5510), 1,
      sym_annotation,
    STATE(4806), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256734] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9378), 1,
      anon_sym_COLON,
    ACTIONS(9380), 1,
      anon_sym_LBRACE,
    ACTIONS(9382), 1,
      anon_sym_with,
    STATE(4940), 1,
      aux_sym_compound_type_repeat1,
    STATE(9729), 1,
      sym__refinement,
    STATE(9731), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4808), 2,
      sym_comment,
      sym_block_comment,
    STATE(9448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256842] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    STATE(5621), 1,
      sym_arguments,
    STATE(4810), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256978] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9438), 1,
      anon_sym_with,
    STATE(5255), 1,
      aux_sym_compound_type_repeat1,
    STATE(8826), 1,
      sym_arguments,
    STATE(8853), 1,
      sym__refinement,
    STATE(8854), 1,
      sym_template_body,
    STATE(4813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257034] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9299), 1,
      anon_sym_LBRACK,
    ACTIONS(9305), 1,
      anon_sym_POUND,
    ACTIONS(9440), 1,
      anon_sym_LPAREN,
    STATE(5501), 1,
      aux_sym_annotation_repeat1,
    STATE(6491), 1,
      sym_type_arguments,
    STATE(6840), 1,
      sym_arguments,
    STATE(4814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [257178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257266] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9384), 1,
      anon_sym_COLON,
    ACTIONS(9386), 1,
      anon_sym_LBRACE,
    ACTIONS(9388), 1,
      anon_sym_with,
    STATE(5005), 1,
      aux_sym_compound_type_repeat1,
    STATE(9531), 1,
      sym__refinement,
    STATE(9532), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4819), 2,
      sym_comment,
      sym_block_comment,
    STATE(9566), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257330] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9442), 1,
      anon_sym_LBRACK,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9446), 1,
      anon_sym_POUND,
    STATE(5920), 1,
      aux_sym_annotation_repeat1,
    STATE(6175), 1,
      sym_type_arguments,
    STATE(6838), 1,
      sym_arguments,
    STATE(4820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9452), 1,
      anon_sym_with,
    STATE(4821), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257432] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9053), 1,
      anon_sym_LPAREN,
    STATE(4810), 1,
      aux_sym_annotation_repeat1,
    STATE(5621), 1,
      sym_arguments,
    STATE(4822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257526] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7184), 1,
      sym_interpolated_string,
    STATE(15732), 1,
      sym__interpolated_multiline_string_start,
    STATE(15735), 1,
      sym__interpolated_string_start,
    ACTIONS(9455), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257626] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9413), 1,
      anon_sym_COLON,
    ACTIONS(9415), 1,
      anon_sym_LBRACE,
    ACTIONS(9417), 1,
      anon_sym_with,
    STATE(6852), 1,
      aux_sym_compound_type_repeat1,
    STATE(9674), 1,
      sym__refinement,
    STATE(9684), 1,
      sym_template_body,
    STATE(4826), 2,
      sym_comment,
      sym_block_comment,
    STATE(9434), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257684] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_LPAREN,
    ACTIONS(9461), 1,
      anon_sym_POUND,
    STATE(5856), 1,
      aux_sym_annotation_repeat1,
    STATE(6233), 1,
      sym_type_arguments,
    STATE(6978), 1,
      sym_arguments,
    STATE(4827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257740] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym__alpha_identifier,
    ACTIONS(9471), 1,
      anon_sym_EQ,
    ACTIONS(9473), 1,
      sym__backquoted_id,
    ACTIONS(9475), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3884), 1,
      sym__soft_identifier,
    STATE(4828), 2,
      sym_comment,
      sym_block_comment,
    STATE(5705), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [257808] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7314), 1,
      sym_interpolated_string,
    STATE(15453), 1,
      sym__interpolated_multiline_string_start,
    STATE(15562), 1,
      sym__interpolated_string_start,
    ACTIONS(9477), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9479), 1,
      anon_sym_DOT,
    STATE(4830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257910] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9481), 1,
      anon_sym_COLON,
    ACTIONS(9483), 1,
      anon_sym_LBRACE,
    ACTIONS(9485), 1,
      anon_sym_with,
    STATE(4878), 1,
      aux_sym_compound_type_repeat1,
    STATE(9328), 1,
      sym_template_body,
    STATE(9333), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4831), 2,
      sym_comment,
      sym_block_comment,
    STATE(9570), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258018] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9361), 1,
      anon_sym_COLON,
    ACTIONS(9363), 1,
      anon_sym_LBRACE,
    ACTIONS(9365), 1,
      anon_sym_with,
    STATE(5021), 1,
      aux_sym_compound_type_repeat1,
    STATE(9493), 1,
      sym__refinement,
    STATE(9494), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4833), 2,
      sym_comment,
      sym_block_comment,
    STATE(9599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258126] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_POUND,
    ACTIONS(9487), 1,
      anon_sym_AT,
    STATE(5917), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5929), 1,
      sym_type_arguments,
    STATE(6810), 1,
      sym_annotation,
    STATE(4835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258226] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9489), 1,
      anon_sym_LBRACK,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(9493), 1,
      anon_sym_POUND,
    STATE(5851), 1,
      aux_sym_annotation_repeat1,
    STATE(6270), 1,
      sym_type_arguments,
    STATE(6997), 1,
      sym_arguments,
    STATE(4837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258282] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9495), 1,
      anon_sym_with,
    STATE(5162), 1,
      aux_sym_compound_type_repeat1,
    STATE(8987), 1,
      sym_template_body,
    STATE(8989), 1,
      sym__refinement,
    STATE(9021), 1,
      sym_arguments,
    STATE(4838), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258338] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9332), 1,
      anon_sym_LBRACK,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9497), 1,
      anon_sym_AT,
    STATE(5613), 1,
      sym_type_arguments,
    STATE(5642), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7362), 1,
      sym_annotation,
    STATE(4839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258438] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9289), 1,
      anon_sym_LBRACK,
    ACTIONS(9293), 1,
      anon_sym_POUND,
    ACTIONS(9499), 1,
      anon_sym_AT,
    STATE(5487), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5542), 1,
      sym_type_arguments,
    STATE(6963), 1,
      sym_annotation,
    STATE(4841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258494] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9501), 1,
      anon_sym_LBRACK,
    ACTIONS(9503), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_POUND,
    STATE(5682), 1,
      aux_sym_annotation_repeat1,
    STATE(6514), 1,
      sym_type_arguments,
    STATE(7196), 1,
      sym_arguments,
    STATE(4842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9164), 1,
      anon_sym_EQ_GT,
    STATE(4843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258596] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    ACTIONS(9507), 1,
      anon_sym_DOT,
    ACTIONS(9509), 1,
      sym_operator_identifier,
    STATE(1782), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4844), 2,
      sym_comment,
      sym_block_comment,
    STATE(7416), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [258664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_DOT,
    STATE(4845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258754] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8705), 1,
      sym_interpolated_string,
    STATE(15589), 1,
      sym__interpolated_string_start,
    STATE(15591), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9513), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258810] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9515), 1,
      anon_sym_AT,
    STATE(5494), 1,
      sym_annotation,
    STATE(4848), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258858] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9518), 1,
      anon_sym_LBRACK,
    ACTIONS(9520), 1,
      anon_sym_AT,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(9524), 1,
      anon_sym_POUND,
    STATE(6349), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7033), 1,
      sym_type_arguments,
    STATE(8074), 1,
      sym_annotation,
    STATE(8936), 1,
      sym_arguments,
    STATE(4849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258962] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7184), 1,
      sym_interpolated_string,
    STATE(15732), 1,
      sym__interpolated_multiline_string_start,
    STATE(15735), 1,
      sym__interpolated_string_start,
    ACTIONS(9526), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259018] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9299), 1,
      anon_sym_LBRACK,
    ACTIONS(9301), 1,
      anon_sym_AT,
    ACTIONS(9305), 1,
      anon_sym_POUND,
    STATE(5879), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6491), 1,
      sym_type_arguments,
    STATE(7169), 1,
      sym_annotation,
    STATE(4852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259074] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym__alpha_identifier,
    ACTIONS(9473), 1,
      sym__backquoted_id,
    ACTIONS(9475), 1,
      sym_operator_identifier,
    ACTIONS(9528), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3884), 1,
      sym__soft_identifier,
    STATE(4853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(5705), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9469), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [259142] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9295), 1,
      anon_sym_with,
    STATE(7319), 1,
      aux_sym_compound_type_repeat1,
    STATE(8301), 1,
      sym_template_body,
    STATE(8420), 1,
      sym__refinement,
    STATE(4854), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259196] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8191), 1,
      sym_interpolated_string,
    STATE(15203), 1,
      sym__interpolated_multiline_string_start,
    STATE(15218), 1,
      sym__interpolated_string_start,
    ACTIONS(9530), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9532), 1,
      anon_sym_DOT,
    STATE(4856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259298] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9178), 1,
      anon_sym_LBRACK,
    ACTIONS(9182), 1,
      anon_sym_POUND,
    ACTIONS(9534), 1,
      anon_sym_AT,
    STATE(5890), 1,
      sym_type_arguments,
    STATE(5953), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6737), 1,
      sym_annotation,
    STATE(4857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9324), 1,
      anon_sym_EQ_GT,
    STATE(4859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259444] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8936), 1,
      anon_sym_AT,
    STATE(4885), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5962), 1,
      sym_annotation,
    STATE(4860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259540] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7314), 1,
      sym_interpolated_string,
    STATE(15453), 1,
      sym__interpolated_multiline_string_start,
    STATE(15562), 1,
      sym__interpolated_string_start,
    ACTIONS(9536), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259596] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    ACTIONS(9507), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4863), 2,
      sym_comment,
      sym_block_comment,
    STATE(7416), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259652] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9538), 1,
      anon_sym_COLON,
    ACTIONS(9541), 1,
      anon_sym_LBRACE,
    STATE(6468), 1,
      sym_template_body,
    STATE(4864), 2,
      sym_comment,
      sym_block_comment,
    STATE(6546), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259704] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9544), 1,
      anon_sym_LBRACK,
    ACTIONS(9546), 1,
      anon_sym_LPAREN,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    STATE(5584), 1,
      aux_sym_annotation_repeat1,
    STATE(6216), 1,
      sym_type_arguments,
    STATE(7360), 1,
      sym_arguments,
    STATE(4865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259760] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9172), 1,
      anon_sym_LBRACK,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9550), 1,
      anon_sym_AT,
    STATE(5867), 1,
      sym_type_arguments,
    STATE(5956), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6723), 1,
      sym_annotation,
    STATE(4866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259862] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8191), 1,
      sym_interpolated_string,
    STATE(15203), 1,
      sym__interpolated_multiline_string_start,
    STATE(15218), 1,
      sym__interpolated_string_start,
    ACTIONS(9552), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259962] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9153), 1,
      sym_interpolated_string,
    STATE(14740), 1,
      sym__interpolated_string_start,
    STATE(14744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [260106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260196] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9255), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_AT,
    ACTIONS(9261), 1,
      anon_sym_POUND,
    STATE(5910), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6060), 1,
      sym_type_arguments,
    STATE(6830), 1,
      sym_annotation,
    STATE(4875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260340] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9481), 1,
      anon_sym_COLON,
    ACTIONS(9483), 1,
      anon_sym_LBRACE,
    ACTIONS(9485), 1,
      anon_sym_with,
    STATE(7104), 1,
      aux_sym_compound_type_repeat1,
    STATE(9328), 1,
      sym_template_body,
    STATE(9386), 1,
      sym__refinement,
    STATE(4878), 2,
      sym_comment,
      sym_block_comment,
    STATE(9570), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9560), 1,
      anon_sym_AT,
    STATE(5486), 1,
      sym_annotation,
    STATE(4880), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260490] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260536] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6548), 1,
      sym_interpolated_string,
    STATE(15130), 1,
      sym__interpolated_string_start,
    STATE(15134), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9563), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260592] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9390), 1,
      anon_sym_COLON,
    ACTIONS(9392), 1,
      anon_sym_LBRACE,
    ACTIONS(9394), 1,
      anon_sym_with,
    STATE(4803), 1,
      aux_sym_compound_type_repeat1,
    STATE(8943), 1,
      sym__refinement,
    STATE(8951), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4883), 2,
      sym_comment,
      sym_block_comment,
    STATE(8834), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 4,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8286), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260700] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9565), 1,
      anon_sym_AT,
    STATE(5962), 1,
      sym_annotation,
    STATE(4885), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260748] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8705), 1,
      sym_interpolated_string,
    STATE(15589), 1,
      sym__interpolated_string_start,
    STATE(15591), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9568), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260804] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9277), 1,
      anon_sym_with,
    STATE(7028), 1,
      aux_sym_compound_type_repeat1,
    STATE(8381), 1,
      sym_template_body,
    STATE(8475), 1,
      sym__refinement,
    STATE(4887), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9314), 1,
      anon_sym_DOT,
    ACTIONS(9570), 1,
      anon_sym_EQ_GT,
    STATE(4890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [261082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [261126] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8764), 1,
      sym_interpolated_string,
    STATE(14840), 1,
      sym__interpolated_string_start,
    STATE(14844), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261314] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9244), 1,
      anon_sym_LBRACK,
    ACTIONS(9248), 1,
      anon_sym_POUND,
    ACTIONS(9572), 1,
      anon_sym_AT,
    STATE(5830), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5833), 1,
      sym_type_arguments,
    STATE(6716), 1,
      sym_annotation,
    STATE(4898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261370] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4899), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261516] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9139), 1,
      anon_sym_LBRACK,
    ACTIONS(9143), 1,
      anon_sym_POUND,
    ACTIONS(9576), 1,
      anon_sym_AT,
    STATE(5529), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5648), 1,
      sym_type_arguments,
    STATE(7308), 1,
      sym_annotation,
    STATE(4902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261616] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9578), 1,
      anon_sym_LPAREN,
    STATE(5836), 1,
      sym_arguments,
    STATE(4904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261708] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9266), 1,
      anon_sym_with,
    STATE(6986), 1,
      aux_sym_compound_type_repeat1,
    STATE(8516), 1,
      sym_template_body,
    STATE(8569), 1,
      sym__refinement,
    STATE(4906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261850] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9129), 1,
      anon_sym_with,
    STATE(6873), 1,
      aux_sym_compound_type_repeat1,
    STATE(8476), 1,
      sym__refinement,
    STATE(8500), 1,
      sym_template_body,
    STATE(4909), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261992] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8698), 1,
      anon_sym_AT,
    STATE(4806), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5510), 1,
      sym_annotation,
    STATE(4912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262130] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9102), 1,
      anon_sym_LPAREN,
    STATE(4924), 1,
      aux_sym_annotation_repeat1,
    STATE(5989), 1,
      sym_arguments,
    STATE(4915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262180] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9581), 1,
      anon_sym_AT,
    STATE(5484), 1,
      sym_annotation,
    STATE(4916), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262408] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9584), 1,
      anon_sym_AT,
    STATE(5677), 1,
      sym_annotation,
    STATE(4921), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262456] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 1,
      anon_sym_LBRACK,
    ACTIONS(9137), 1,
      anon_sym_POUND,
    ACTIONS(9587), 1,
      anon_sym_LPAREN,
    STATE(5478), 1,
      aux_sym_annotation_repeat1,
    STATE(6273), 1,
      sym_type_arguments,
    STATE(6718), 1,
      sym_arguments,
    STATE(4922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9589), 1,
      anon_sym_DOT,
    STATE(4923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262558] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9591), 1,
      anon_sym_LPAREN,
    STATE(5989), 1,
      sym_arguments,
    STATE(4924), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [262782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263134] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    STATE(4904), 1,
      aux_sym_annotation_repeat1,
    STATE(5836), 1,
      sym_arguments,
    STATE(4937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263184] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_LPAREN,
    STATE(4945), 1,
      aux_sym_annotation_repeat1,
    STATE(5978), 1,
      sym_arguments,
    STATE(4938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263234] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9594), 1,
      anon_sym_COLON,
    ACTIONS(9597), 1,
      anon_sym_LBRACE,
    STATE(6594), 1,
      sym_template_body,
    STATE(4939), 2,
      sym_comment,
      sym_block_comment,
    STATE(6298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263286] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9378), 1,
      anon_sym_COLON,
    ACTIONS(9380), 1,
      anon_sym_LBRACE,
    ACTIONS(9382), 1,
      anon_sym_with,
    STATE(7002), 1,
      aux_sym_compound_type_repeat1,
    STATE(9725), 1,
      sym__refinement,
    STATE(9731), 1,
      sym_template_body,
    STATE(4940), 2,
      sym_comment,
      sym_block_comment,
    STATE(9448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263388] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9602), 1,
      anon_sym_AT,
    ACTIONS(9604), 1,
      anon_sym_LPAREN,
    ACTIONS(9606), 1,
      anon_sym_POUND,
    STATE(6058), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7267), 1,
      sym_type_arguments,
    STATE(7970), 1,
      sym_annotation,
    STATE(9021), 1,
      sym_arguments,
    STATE(4942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263492] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1338), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    ACTIONS(9610), 1,
      sym_operator_identifier,
    STATE(1737), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4944), 2,
      sym_comment,
      sym_block_comment,
    STATE(7991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [263560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9612), 1,
      anon_sym_LPAREN,
    STATE(5978), 1,
      sym_arguments,
    STATE(4945), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263652] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9061), 1,
      anon_sym_LPAREN,
    STATE(4954), 1,
      aux_sym_annotation_repeat1,
    STATE(5889), 1,
      sym_arguments,
    STATE(4947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263702] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8983), 1,
      anon_sym_AT,
    STATE(4848), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5494), 1,
      sym_annotation,
    STATE(4948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263796] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9615), 1,
      anon_sym_LPAREN,
    STATE(5808), 1,
      sym_arguments,
    STATE(4950), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263844] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9618), 1,
      anon_sym_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_LPAREN,
    ACTIONS(9622), 1,
      anon_sym_POUND,
    STATE(5842), 1,
      aux_sym_annotation_repeat1,
    STATE(6157), 1,
      sym_type_arguments,
    STATE(6868), 1,
      sym_arguments,
    STATE(4951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9624), 1,
      anon_sym_DOT,
    STATE(4953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9626), 1,
      anon_sym_LPAREN,
    STATE(5889), 1,
      sym_arguments,
    STATE(4954), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264258] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8923), 1,
      anon_sym_LPAREN,
    STATE(4950), 1,
      aux_sym_annotation_repeat1,
    STATE(5808), 1,
      sym_arguments,
    STATE(4960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9629), 1,
      anon_sym_DOT,
    STATE(4961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [264442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264838] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6247), 1,
      sym_interpolated_string,
    STATE(15299), 1,
      sym__interpolated_multiline_string_start,
    STATE(15381), 1,
      sym__interpolated_string_start,
    ACTIONS(9631), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264938] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9633), 1,
      anon_sym_LBRACK,
    ACTIONS(9635), 1,
      anon_sym_LPAREN,
    ACTIONS(9637), 1,
      anon_sym_POUND,
    STATE(6119), 1,
      sym_type_arguments,
    STATE(6280), 1,
      aux_sym_annotation_repeat1,
    STATE(8014), 1,
      sym_arguments,
    STATE(4975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9639), 1,
      anon_sym_DOT,
    STATE(4977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265216] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9062), 1,
      sym_interpolated_string,
    STATE(14928), 1,
      sym__interpolated_multiline_string_start,
    STATE(14940), 1,
      sym__interpolated_string_start,
    ACTIONS(9641), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265272] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1338), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4982), 2,
      sym_comment,
      sym_block_comment,
    STATE(7991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9018), 1,
      anon_sym_LPAREN,
    STATE(4992), 1,
      aux_sym_annotation_repeat1,
    STATE(5988), 1,
      sym_arguments,
    STATE(4983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265560] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8666), 1,
      anon_sym_AT,
    STATE(4880), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5486), 1,
      sym_annotation,
    STATE(4988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265742] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9643), 1,
      anon_sym_LPAREN,
    STATE(5988), 1,
      sym_arguments,
    STATE(4992), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9646), 1,
      anon_sym_with,
    STATE(4995), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266056] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8897), 1,
      anon_sym_AT,
    STATE(4773), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5624), 1,
      sym_annotation,
    STATE(4999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266150] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 1,
      anon_sym_LBRACK,
    ACTIONS(9133), 1,
      anon_sym_AT,
    ACTIONS(9137), 1,
      anon_sym_POUND,
    STATE(5907), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6273), 1,
      sym_type_arguments,
    STATE(6865), 1,
      sym_annotation,
    STATE(5001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266206] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9649), 1,
      anon_sym_LBRACK,
    ACTIONS(9651), 1,
      anon_sym_LPAREN,
    ACTIONS(9653), 1,
      anon_sym_POUND,
    STATE(5759), 1,
      aux_sym_annotation_repeat1,
    STATE(6369), 1,
      sym_type_arguments,
    STATE(7105), 1,
      sym_arguments,
    STATE(5002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266262] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9268), 1,
      anon_sym_DOT,
    ACTIONS(9655), 1,
      anon_sym_EQ_GT,
    STATE(5003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266354] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9384), 1,
      anon_sym_COLON,
    ACTIONS(9386), 1,
      anon_sym_LBRACE,
    ACTIONS(9388), 1,
      anon_sym_with,
    STATE(6785), 1,
      aux_sym_compound_type_repeat1,
    STATE(9527), 1,
      sym__refinement,
    STATE(9532), 1,
      sym_template_body,
    STATE(5005), 2,
      sym_comment,
      sym_block_comment,
    STATE(9566), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266456] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7493), 1,
      sym_interpolated_string,
    STATE(15457), 1,
      sym__interpolated_string_start,
    STATE(15483), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9657), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266556] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9024), 1,
      anon_sym_LPAREN,
    STATE(5014), 1,
      aux_sym_annotation_repeat1,
    STATE(5986), 1,
      sym_arguments,
    STATE(5009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266782] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9659), 1,
      anon_sym_LPAREN,
    STATE(5986), 1,
      sym_arguments,
    STATE(5014), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266874] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8966), 1,
      anon_sym_AT,
    STATE(4916), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5484), 1,
      sym_annotation,
    STATE(5016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267058] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    ACTIONS(9507), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5020), 2,
      sym_comment,
      sym_block_comment,
    STATE(7416), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267116] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9361), 1,
      anon_sym_COLON,
    ACTIONS(9363), 1,
      anon_sym_LBRACE,
    ACTIONS(9365), 1,
      anon_sym_with,
    STATE(6768), 1,
      aux_sym_compound_type_repeat1,
    STATE(9482), 1,
      sym__refinement,
    STATE(9494), 1,
      sym_template_body,
    STATE(5021), 2,
      sym_comment,
      sym_block_comment,
    STATE(9599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267306] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_POUND,
    ACTIONS(9662), 1,
      anon_sym_LPAREN,
    STATE(5585), 1,
      aux_sym_annotation_repeat1,
    STATE(6129), 1,
      sym_type_arguments,
    STATE(7368), 1,
      sym_arguments,
    STATE(5025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267450] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9664), 1,
      anon_sym_LBRACK,
    ACTIONS(9666), 1,
      anon_sym_LPAREN,
    ACTIONS(9668), 1,
      anon_sym_POUND,
    STATE(5960), 1,
      aux_sym_annotation_repeat1,
    STATE(6008), 1,
      sym_type_arguments,
    STATE(6686), 1,
      sym_arguments,
    STATE(5028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267506] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9148), 1,
      sym_interpolated_string,
    STATE(15059), 1,
      sym__interpolated_string_start,
    STATE(15060), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267562] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9255), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_POUND,
    ACTIONS(9670), 1,
      anon_sym_LPAREN,
    STATE(5912), 1,
      aux_sym_annotation_repeat1,
    STATE(6060), 1,
      sym_type_arguments,
    STATE(6770), 1,
      sym_arguments,
    STATE(5030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267750] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9047), 1,
      anon_sym_LPAREN,
    STATE(5038), 1,
      aux_sym_annotation_repeat1,
    STATE(5916), 1,
      sym_arguments,
    STATE(5034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267844] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9672), 1,
      anon_sym_LBRACK,
    ACTIONS(9674), 1,
      anon_sym_AT,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(9678), 1,
      anon_sym_POUND,
    STATE(6582), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7324), 1,
      sym_type_arguments,
    STATE(7741), 1,
      sym_annotation,
    STATE(9316), 1,
      sym_arguments,
    STATE(5036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267904] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9680), 1,
      anon_sym_with,
    STATE(5096), 1,
      aux_sym_compound_type_repeat1,
    STATE(9034), 1,
      sym_template_body,
    STATE(9035), 1,
      sym__refinement,
    STATE(9316), 1,
      sym_arguments,
    STATE(5037), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267960] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9682), 1,
      anon_sym_LPAREN,
    STATE(5916), 1,
      sym_arguments,
    STATE(5038), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268096] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1338), 1,
      anon_sym_LBRACE,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5041), 2,
      sym_comment,
      sym_block_comment,
    STATE(7991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268242] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9481), 1,
      anon_sym_COLON,
    ACTIONS(9483), 1,
      anon_sym_LBRACE,
    ACTIONS(9485), 1,
      anon_sym_with,
    STATE(4878), 1,
      aux_sym_compound_type_repeat1,
    STATE(9328), 1,
      sym_template_body,
    STATE(9333), 1,
      sym__refinement,
    STATE(5044), 2,
      sym_comment,
      sym_block_comment,
    STATE(9570), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268300] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5045), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268444] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9685), 1,
      anon_sym_COLON,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    ACTIONS(9689), 1,
      anon_sym_with,
    STATE(5104), 1,
      aux_sym_compound_type_repeat1,
    STATE(10016), 1,
      sym__refinement,
    STATE(10030), 1,
      sym_template_body,
    STATE(5048), 2,
      sym_comment,
      sym_block_comment,
    STATE(9941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268673] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9695), 1,
      anon_sym_COLON,
    ACTIONS(9697), 1,
      anon_sym_LBRACE,
    ACTIONS(9699), 1,
      anon_sym_with,
    STATE(7524), 1,
      aux_sym_compound_type_repeat1,
    STATE(9881), 1,
      sym__refinement,
    STATE(9895), 1,
      sym_template_body,
    STATE(5053), 2,
      sym_comment,
      sym_block_comment,
    STATE(9974), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268859] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    ACTIONS(9701), 1,
      sym_operator_identifier,
    STATE(1790), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5057), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8764), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [268926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268969] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9703), 1,
      anon_sym_COLON,
    ACTIONS(9705), 1,
      anon_sym_LBRACE,
    ACTIONS(9707), 1,
      anon_sym_with,
    STATE(5269), 1,
      aux_sym_compound_type_repeat1,
    STATE(9834), 1,
      sym__refinement,
    STATE(9837), 1,
      sym_template_body,
    STATE(5059), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269069] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9709), 1,
      anon_sym_LBRACK,
    ACTIONS(9711), 1,
      anon_sym_LPAREN,
    ACTIONS(9713), 1,
      anon_sym_POUND,
    STATE(6062), 1,
      aux_sym_annotation_repeat1,
    STATE(6668), 1,
      sym_type_arguments,
    STATE(7445), 1,
      sym_arguments,
    STATE(5061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269214] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(7950), 1,
      aux_sym_compound_type_repeat1,
    STATE(9179), 1,
      sym_template_body,
    STATE(9197), 1,
      sym__refinement,
    STATE(5064), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269267] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9717), 1,
      anon_sym_end,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(9721), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15915), 1,
      sym_identifier,
    STATE(5065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [269320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9723), 1,
      anon_sym_DOT,
    STATE(5071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269623] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1212), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    ACTIONS(9725), 1,
      anon_sym_DOT,
    ACTIONS(9727), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5073), 2,
      sym_comment,
      sym_block_comment,
    STATE(8240), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [269690] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9399), 1,
      anon_sym_LBRACK,
    ACTIONS(9403), 1,
      anon_sym_POUND,
    ACTIONS(9729), 1,
      anon_sym_AT,
    STATE(6197), 1,
      sym_type_arguments,
    STATE(6355), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8056), 1,
      sym_annotation,
    STATE(5074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269962] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9731), 1,
      anon_sym_LBRACK,
    ACTIONS(9733), 1,
      anon_sym_LPAREN,
    ACTIONS(9735), 1,
      anon_sym_POUND,
    STATE(6031), 1,
      aux_sym_annotation_repeat1,
    STATE(6699), 1,
      sym_type_arguments,
    STATE(7408), 1,
      sym_arguments,
    STATE(5080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270017] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9649), 1,
      anon_sym_LBRACK,
    ACTIONS(9653), 1,
      anon_sym_POUND,
    ACTIONS(9737), 1,
      anon_sym_AT,
    STATE(6369), 1,
      sym_type_arguments,
    STATE(6488), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7578), 1,
      sym_annotation,
    STATE(5081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9739), 1,
      anon_sym_with,
    STATE(5082), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270289] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    ACTIONS(9748), 1,
      anon_sym_LBRACE,
    ACTIONS(9750), 1,
      anon_sym_with,
    STATE(5224), 1,
      aux_sym_compound_type_repeat1,
    STATE(9768), 1,
      sym__refinement,
    STATE(9773), 1,
      sym_template_body,
    STATE(5087), 2,
      sym_comment,
      sym_block_comment,
    STATE(10035), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9655), 1,
      anon_sym_EQ_GT,
    STATE(5088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9204), 1,
      anon_sym_LPAREN,
    STATE(5090), 1,
      aux_sym_annotation_repeat1,
    STATE(6122), 1,
      sym_arguments,
    STATE(5089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270440] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9752), 1,
      anon_sym_LPAREN,
    STATE(6122), 1,
      sym_arguments,
    STATE(5090), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270487] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9755), 1,
      anon_sym_COLON,
    ACTIONS(9757), 1,
      anon_sym_LBRACE,
    ACTIONS(9759), 1,
      anon_sym_with,
    STATE(7904), 1,
      aux_sym_compound_type_repeat1,
    STATE(9918), 1,
      sym_template_body,
    STATE(9999), 1,
      sym__refinement,
    STATE(5091), 2,
      sym_comment,
      sym_block_comment,
    STATE(10075), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270673] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9761), 1,
      anon_sym_LBRACK,
    ACTIONS(9763), 1,
      anon_sym_LPAREN,
    ACTIONS(9765), 1,
      anon_sym_POUND,
    STATE(6131), 1,
      aux_sym_annotation_repeat1,
    STATE(6745), 1,
      sym_type_arguments,
    STATE(7607), 1,
      sym_arguments,
    STATE(5095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270728] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9680), 1,
      anon_sym_with,
    STATE(7736), 1,
      aux_sym_compound_type_repeat1,
    STATE(9034), 1,
      sym_template_body,
    STATE(9081), 1,
      sym__refinement,
    STATE(5096), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270824] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9664), 1,
      anon_sym_LBRACK,
    ACTIONS(9668), 1,
      anon_sym_POUND,
    ACTIONS(9767), 1,
      anon_sym_AT,
    STATE(6008), 1,
      sym_type_arguments,
    STATE(6163), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7743), 1,
      sym_annotation,
    STATE(5098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270879] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9769), 1,
      anon_sym_LBRACK,
    ACTIONS(9771), 1,
      anon_sym_LPAREN,
    ACTIONS(9773), 1,
      anon_sym_POUND,
    STATE(5996), 1,
      aux_sym_annotation_repeat1,
    STATE(6754), 1,
      sym_type_arguments,
    STATE(7397), 1,
      sym_arguments,
    STATE(5099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270934] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9490), 1,
      sym_interpolated_string,
    STATE(15182), 1,
      sym__interpolated_string_start,
    STATE(15279), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270989] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9672), 1,
      anon_sym_LBRACK,
    ACTIONS(9674), 1,
      anon_sym_AT,
    ACTIONS(9678), 1,
      anon_sym_POUND,
    STATE(6582), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7324), 1,
      sym_type_arguments,
    STATE(7741), 1,
      sym_annotation,
    STATE(5101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9775), 1,
      anon_sym_with,
    STATE(5102), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271132] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9685), 1,
      anon_sym_COLON,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    ACTIONS(9689), 1,
      anon_sym_with,
    STATE(7995), 1,
      aux_sym_compound_type_repeat1,
    STATE(9935), 1,
      sym__refinement,
    STATE(10030), 1,
      sym_template_body,
    STATE(5104), 2,
      sym_comment,
      sym_block_comment,
    STATE(9941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271189] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9703), 1,
      anon_sym_COLON,
    ACTIONS(9705), 1,
      anon_sym_LBRACE,
    ACTIONS(9707), 1,
      anon_sym_with,
    STATE(5269), 1,
      aux_sym_compound_type_repeat1,
    STATE(9834), 1,
      sym__refinement,
    STATE(9837), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5105), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271295] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      anon_sym_DOT,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym__alpha_identifier,
    ACTIONS(9473), 1,
      sym__backquoted_id,
    ACTIONS(9475), 1,
      sym_operator_identifier,
    ACTIONS(9782), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3884), 1,
      sym__soft_identifier,
    STATE(5107), 2,
      sym_comment,
      sym_block_comment,
    STATE(5705), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [271362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271405] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9355), 1,
      anon_sym_LBRACK,
    ACTIONS(9359), 1,
      anon_sym_POUND,
    ACTIONS(9788), 1,
      anon_sym_AT,
    STATE(6391), 1,
      sym_type_arguments,
    STATE(7330), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8268), 1,
      sym_annotation,
    STATE(5109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271460] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9639), 1,
      anon_sym_DOT,
    ACTIONS(9790), 1,
      anon_sym_EQ_GT,
    STATE(5110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9792), 1,
      anon_sym_with,
    STATE(5111), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9795), 1,
      anon_sym_DOT,
    STATE(5114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271683] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9755), 1,
      anon_sym_COLON,
    ACTIONS(9757), 1,
      anon_sym_LBRACE,
    ACTIONS(9759), 1,
      anon_sym_with,
    STATE(5091), 1,
      aux_sym_compound_type_repeat1,
    STATE(9918), 1,
      sym_template_body,
    STATE(9963), 1,
      sym__refinement,
    STATE(5115), 2,
      sym_comment,
      sym_block_comment,
    STATE(10075), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271826] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9797), 1,
      anon_sym_LBRACK,
    ACTIONS(9799), 1,
      anon_sym_LPAREN,
    ACTIONS(9801), 1,
      anon_sym_POUND,
    STATE(7141), 1,
      aux_sym_annotation_repeat1,
    STATE(7234), 1,
      sym_type_arguments,
    STATE(8161), 1,
      sym_arguments,
    STATE(5118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272010] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9347), 1,
      anon_sym_AT,
    STATE(5232), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6203), 1,
      sym_annotation,
    STATE(5122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272059] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272147] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9803), 1,
      anon_sym_LPAREN,
    STATE(6023), 1,
      sym_arguments,
    STATE(5125), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272237] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9806), 1,
      anon_sym_COLON,
    ACTIONS(9808), 1,
      anon_sym_LBRACE,
    ACTIONS(9810), 1,
      anon_sym_with,
    STATE(5362), 1,
      aux_sym_compound_type_repeat1,
    STATE(10012), 1,
      sym__refinement,
    STATE(10013), 1,
      sym_template_body,
    STATE(5127), 2,
      sym_comment,
      sym_block_comment,
    STATE(9848), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272294] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9180), 1,
      anon_sym_LPAREN,
    STATE(5130), 1,
      aux_sym_annotation_repeat1,
    STATE(6152), 1,
      sym_arguments,
    STATE(5128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272386] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    STATE(6152), 1,
      sym_arguments,
    STATE(5130), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272562] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9250), 1,
      anon_sym_LPAREN,
    STATE(5125), 1,
      aux_sym_annotation_repeat1,
    STATE(6023), 1,
      sym_arguments,
    STATE(5134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272697] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_LBRACK,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(9819), 1,
      anon_sym_POUND,
    STATE(6889), 1,
      sym_type_arguments,
    STATE(7045), 1,
      aux_sym_annotation_repeat1,
    STATE(8397), 1,
      sym_arguments,
    STATE(5137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272752] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9174), 1,
      anon_sym_LPAREN,
    STATE(5145), 1,
      aux_sym_annotation_repeat1,
    STATE(6159), 1,
      sym_arguments,
    STATE(5138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272844] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9490), 1,
      sym_interpolated_string,
    STATE(15182), 1,
      sym__interpolated_string_start,
    STATE(15279), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9825), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272942] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9829), 1,
      anon_sym_LBRACK,
    ACTIONS(9831), 1,
      sym__backquoted_id,
    STATE(6382), 1,
      sym_access_qualifier,
    STATE(5142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9827), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9833), 1,
      anon_sym_LPAREN,
    STATE(6159), 1,
      sym_arguments,
    STATE(5145), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273339] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9836), 1,
      anon_sym_COLON,
    ACTIONS(9839), 1,
      anon_sym_LBRACE,
    STATE(6818), 1,
      sym_template_body,
    STATE(5151), 2,
      sym_comment,
      sym_block_comment,
    STATE(6935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9842), 1,
      anon_sym_DOT,
    STATE(5152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273435] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9844), 1,
      anon_sym_COLON,
    ACTIONS(9847), 1,
      anon_sym_LBRACE,
    STATE(6746), 1,
      sym_template_body,
    STATE(5153), 2,
      sym_comment,
      sym_block_comment,
    STATE(7086), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 16,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273486] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    ACTIONS(9748), 1,
      anon_sym_LBRACE,
    ACTIONS(9750), 1,
      anon_sym_with,
    STATE(5224), 1,
      aux_sym_compound_type_repeat1,
    STATE(9768), 1,
      sym__refinement,
    STATE(9773), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5154), 2,
      sym_comment,
      sym_block_comment,
    STATE(10035), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9495), 1,
      anon_sym_with,
    STATE(7485), 1,
      aux_sym_compound_type_repeat1,
    STATE(8987), 1,
      sym_template_body,
    STATE(9162), 1,
      sym__refinement,
    STATE(5162), 2,
      sym_comment,
      sym_block_comment,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [273993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274036] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    STATE(5190), 1,
      aux_sym_annotation_repeat1,
    STATE(6639), 1,
      sym_arguments,
    STATE(5166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274214] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9717), 1,
      anon_sym_end,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(9850), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16121), 1,
      sym_identifier,
    STATE(5170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [274267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274310] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9148), 1,
      sym_interpolated_string,
    STATE(15059), 1,
      sym__interpolated_string_start,
    STATE(15060), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9852), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [274408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274494] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9442), 1,
      anon_sym_LBRACK,
    ACTIONS(9446), 1,
      anon_sym_POUND,
    ACTIONS(9854), 1,
      anon_sym_AT,
    STATE(6175), 1,
      sym_type_arguments,
    STATE(6333), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8078), 1,
      sym_annotation,
    STATE(5176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274721] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9856), 1,
      anon_sym_LBRACK,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(9860), 1,
      anon_sym_POUND,
    STATE(6318), 1,
      aux_sym_annotation_repeat1,
    STATE(7264), 1,
      sym_type_arguments,
    STATE(8072), 1,
      sym_arguments,
    STATE(5181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275079] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1212), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    ACTIONS(9725), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5189), 2,
      sym_comment,
      sym_block_comment,
    STATE(8240), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275134] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9862), 1,
      anon_sym_LPAREN,
    STATE(6639), 1,
      sym_arguments,
    STATE(5190), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9865), 1,
      anon_sym_DOT,
    STATE(5193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275398] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9867), 1,
      anon_sym_COLON,
    ACTIONS(9869), 1,
      anon_sym_LBRACE,
    ACTIONS(9871), 1,
      anon_sym_with,
    STATE(5391), 1,
      aux_sym_compound_type_repeat1,
    STATE(10002), 1,
      sym_template_body,
    STATE(10003), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5196), 2,
      sym_comment,
      sym_block_comment,
    STATE(10101), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [275891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [276106] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9877), 1,
      anon_sym_LPAREN,
    STATE(6322), 1,
      sym_arguments,
    STATE(5212), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276153] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9495), 1,
      sym_interpolated_string,
    STATE(14930), 1,
      sym__interpolated_multiline_string_start,
    STATE(14981), 1,
      sym__interpolated_string_start,
    ACTIONS(9880), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9882), 1,
      anon_sym_DOT,
    STATE(5216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276339] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9633), 1,
      anon_sym_LBRACK,
    ACTIONS(9637), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      anon_sym_AT,
    STATE(6119), 1,
      sym_type_arguments,
    STATE(7047), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8451), 1,
      sym_annotation,
    STATE(5217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276566] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9717), 1,
      anon_sym_end,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(9886), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15912), 1,
      sym_identifier,
    STATE(5222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [276619] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9141), 1,
      anon_sym_LPAREN,
    STATE(5212), 1,
      aux_sym_annotation_repeat1,
    STATE(6322), 1,
      sym_arguments,
    STATE(5223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276668] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    ACTIONS(9748), 1,
      anon_sym_LBRACE,
    ACTIONS(9750), 1,
      anon_sym_with,
    STATE(7812), 1,
      aux_sym_compound_type_repeat1,
    STATE(9758), 1,
      sym__refinement,
    STATE(9773), 1,
      sym_template_body,
    STATE(5224), 2,
      sym_comment,
      sym_block_comment,
    STATE(10035), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276725] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9755), 1,
      anon_sym_COLON,
    ACTIONS(9757), 1,
      anon_sym_LBRACE,
    ACTIONS(9759), 1,
      anon_sym_with,
    STATE(5091), 1,
      aux_sym_compound_type_repeat1,
    STATE(9918), 1,
      sym_template_body,
    STATE(9963), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5225), 2,
      sym_comment,
      sym_block_comment,
    STATE(10075), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276831] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9888), 1,
      anon_sym_COLON,
    ACTIONS(9890), 1,
      anon_sym_LBRACE,
    ACTIONS(9892), 1,
      anon_sym_with,
    STATE(7601), 1,
      aux_sym_compound_type_repeat1,
    STATE(10018), 1,
      sym__refinement,
    STATE(10042), 1,
      sym_template_body,
    STATE(5227), 2,
      sym_comment,
      sym_block_comment,
    STATE(10015), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276888] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9461), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_AT,
    STATE(6233), 1,
      sym_type_arguments,
    STATE(6377), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7967), 1,
      sym_annotation,
    STATE(5228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9208), 1,
      anon_sym_AT,
    STATE(5294), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6179), 1,
      sym_annotation,
    STATE(5230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277035] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9806), 1,
      anon_sym_COLON,
    ACTIONS(9808), 1,
      anon_sym_LBRACE,
    ACTIONS(9810), 1,
      anon_sym_with,
    STATE(5362), 1,
      aux_sym_compound_type_repeat1,
    STATE(10012), 1,
      sym__refinement,
    STATE(10013), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5231), 2,
      sym_comment,
      sym_block_comment,
    STATE(9848), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277098] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9896), 1,
      anon_sym_AT,
    STATE(6203), 1,
      sym_annotation,
    STATE(5232), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277145] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9602), 1,
      anon_sym_AT,
    ACTIONS(9606), 1,
      anon_sym_POUND,
    STATE(6058), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7267), 1,
      sym_type_arguments,
    STATE(7970), 1,
      sym_annotation,
    STATE(5233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1212), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    ACTIONS(9725), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5235), 2,
      sym_comment,
      sym_block_comment,
    STATE(8240), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277515] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9629), 1,
      anon_sym_DOT,
    ACTIONS(9899), 1,
      anon_sym_EQ_GT,
    STATE(5241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277779] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9901), 1,
      anon_sym_AT,
    STATE(6186), 1,
      sym_annotation,
    STATE(5247), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277912] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9867), 1,
      anon_sym_COLON,
    ACTIONS(9869), 1,
      anon_sym_LBRACE,
    ACTIONS(9871), 1,
      anon_sym_with,
    STATE(5391), 1,
      aux_sym_compound_type_repeat1,
    STATE(10002), 1,
      sym_template_body,
    STATE(10003), 1,
      sym__refinement,
    STATE(5250), 2,
      sym_comment,
      sym_block_comment,
    STATE(10101), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278055] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9570), 1,
      anon_sym_EQ_GT,
    STATE(5253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278143] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9438), 1,
      anon_sym_with,
    STATE(7511), 1,
      aux_sym_compound_type_repeat1,
    STATE(8813), 1,
      sym__refinement,
    STATE(8854), 1,
      sym_template_body,
    STATE(5255), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278196] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9618), 1,
      anon_sym_LBRACK,
    ACTIONS(9622), 1,
      anon_sym_POUND,
    ACTIONS(9904), 1,
      anon_sym_AT,
    STATE(6040), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6157), 1,
      sym_type_arguments,
    STATE(7470), 1,
      sym_annotation,
    STATE(5256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9906), 1,
      anon_sym_DOT,
    STATE(5257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278296] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9168), 1,
      anon_sym_DOT,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9912), 1,
      anon_sym_EQ,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(5258), 2,
      sym_comment,
      sym_block_comment,
    STATE(6715), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [278363] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9918), 1,
      anon_sym_AT,
    STATE(6350), 1,
      sym_annotation,
    STATE(5259), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278453] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9921), 1,
      anon_sym_LBRACK,
    ACTIONS(9923), 1,
      anon_sym_AT,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_POUND,
    STATE(7320), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7457), 1,
      sym_type_arguments,
    STATE(8375), 1,
      sym_annotation,
    STATE(9428), 1,
      sym_arguments,
    STATE(5261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278512] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9166), 1,
      anon_sym_AT,
    STATE(5353), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6158), 1,
      sym_annotation,
    STATE(5262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278561] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9501), 1,
      anon_sym_LBRACK,
    ACTIONS(9505), 1,
      anon_sym_POUND,
    ACTIONS(9929), 1,
      anon_sym_AT,
    STATE(6514), 1,
      sym_type_arguments,
    STATE(6596), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7997), 1,
      sym_annotation,
    STATE(5263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278616] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9685), 1,
      anon_sym_COLON,
    ACTIONS(9687), 1,
      anon_sym_LBRACE,
    ACTIONS(9689), 1,
      anon_sym_with,
    STATE(5104), 1,
      aux_sym_compound_type_repeat1,
    STATE(10016), 1,
      sym__refinement,
    STATE(10030), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5264), 2,
      sym_comment,
      sym_block_comment,
    STATE(9941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278808] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9931), 1,
      anon_sym_LBRACK,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_POUND,
    STATE(6771), 1,
      aux_sym_annotation_repeat1,
    STATE(7217), 1,
      sym_type_arguments,
    STATE(8377), 1,
      sym_arguments,
    STATE(5268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278863] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9703), 1,
      anon_sym_COLON,
    ACTIONS(9705), 1,
      anon_sym_LBRACE,
    ACTIONS(9707), 1,
      anon_sym_with,
    STATE(7764), 1,
      aux_sym_compound_type_repeat1,
    STATE(9823), 1,
      sym__refinement,
    STATE(9837), 1,
      sym_template_body,
    STATE(5269), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278963] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9937), 1,
      anon_sym_LBRACK,
    ACTIONS(9939), 1,
      anon_sym_AT,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    STATE(7292), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8037), 1,
      sym_type_arguments,
    STATE(8578), 1,
      sym_annotation,
    STATE(9510), 1,
      sym_arguments,
    STATE(5271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279022] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      anon_sym_AT,
    STATE(6335), 1,
      sym_annotation,
    STATE(5272), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5667), 1,
      sym_arguments,
    STATE(5279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279546] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LPAREN,
    ACTIONS(9952), 1,
      anon_sym_POUND,
    STATE(6948), 1,
      sym_type_arguments,
    STATE(7163), 1,
      aux_sym_annotation_repeat1,
    STATE(8099), 1,
      sym_arguments,
    STATE(5284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [279644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279732] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9078), 1,
      anon_sym_DOT,
    ACTIONS(9954), 1,
      sym__alpha_identifier,
    ACTIONS(9958), 1,
      anon_sym_EQ,
    ACTIONS(9960), 1,
      sym__backquoted_id,
    ACTIONS(9962), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3960), 1,
      sym__soft_identifier,
    STATE(5288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6464), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9956), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [279799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279885] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9964), 1,
      anon_sym_LBRACK,
    ACTIONS(9966), 1,
      anon_sym_LPAREN,
    ACTIONS(9968), 1,
      anon_sym_POUND,
    STATE(6053), 1,
      aux_sym_annotation_repeat1,
    STATE(6956), 1,
      sym_type_arguments,
    STATE(7590), 1,
      sym_arguments,
    STATE(5291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280026] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9970), 1,
      anon_sym_AT,
    STATE(6179), 1,
      sym_annotation,
    STATE(5294), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280116] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9397), 1,
      sym_interpolated_string,
    STATE(14842), 1,
      sym__interpolated_multiline_string_start,
    STATE(14843), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280171] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9973), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LPAREN,
    ACTIONS(9977), 1,
      anon_sym_POUND,
    STATE(6608), 1,
      aux_sym_annotation_repeat1,
    STATE(7175), 1,
      sym_type_arguments,
    STATE(7657), 1,
      sym_arguments,
    STATE(5297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280226] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    ACTIONS(9507), 1,
      anon_sym_DOT,
    ACTIONS(9979), 1,
      sym__alpha_identifier,
    ACTIONS(9983), 1,
      anon_sym_EQ,
    ACTIONS(9985), 1,
      sym__backquoted_id,
    ACTIONS(9987), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(5298), 2,
      sym_comment,
      sym_block_comment,
    STATE(7416), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9981), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [280293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7378), 1,
      sym_interpolated_string,
    STATE(15369), 1,
      sym__interpolated_multiline_string_start,
    STATE(15374), 1,
      sym__interpolated_string_start,
    ACTIONS(9989), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280391] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8764), 1,
      sym_interpolated_string,
    STATE(14840), 1,
      sym__interpolated_string_start,
    STATE(14844), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9991), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280489] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_DOT,
    ACTIONS(9993), 1,
      sym__alpha_identifier,
    ACTIONS(9997), 1,
      anon_sym_EQ,
    ACTIONS(9999), 1,
      sym__backquoted_id,
    ACTIONS(10001), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(4024), 1,
      sym__soft_identifier,
    STATE(5303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9995), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [280556] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8764), 1,
      sym_interpolated_string,
    STATE(14840), 1,
      sym__interpolated_string_start,
    STATE(14844), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10003), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280654] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9717), 1,
      anon_sym_end,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(10005), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15934), 1,
      sym_identifier,
    STATE(5306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [280707] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9148), 1,
      sym_interpolated_string,
    STATE(15059), 1,
      sym__interpolated_string_start,
    STATE(15060), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10007), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281106] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9424), 1,
      anon_sym_LBRACK,
    ACTIONS(9426), 1,
      anon_sym_AT,
    ACTIONS(9430), 1,
      anon_sym_POUND,
    STATE(6609), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7261), 1,
      sym_type_arguments,
    STATE(7857), 1,
      sym_annotation,
    STATE(5316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281161] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9695), 1,
      anon_sym_COLON,
    ACTIONS(9697), 1,
      anon_sym_LBRACE,
    ACTIONS(9699), 1,
      anon_sym_with,
    STATE(5053), 1,
      aux_sym_compound_type_repeat1,
    STATE(9884), 1,
      sym__refinement,
    STATE(9895), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5317), 2,
      sym_comment,
      sym_block_comment,
    STATE(9974), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281224] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9672), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_POUND,
    ACTIONS(10009), 1,
      anon_sym_LPAREN,
    STATE(6348), 1,
      aux_sym_annotation_repeat1,
    STATE(7324), 1,
      sym_type_arguments,
    STATE(7985), 1,
      sym_arguments,
    STATE(5318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281322] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10011), 1,
      anon_sym_with,
    STATE(5614), 1,
      aux_sym_compound_type_repeat1,
    STATE(9428), 1,
      sym_arguments,
    STATE(9505), 1,
      sym_template_body,
    STATE(9507), 1,
      sym__refinement,
    STATE(5320), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5550), 1,
      sym__end_marker,
    STATE(5322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281723] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10017), 1,
      anon_sym_COLON,
    ACTIONS(10019), 1,
      anon_sym_LBRACE,
    ACTIONS(10021), 1,
      anon_sym_with,
    STATE(8059), 1,
      aux_sym_compound_type_repeat1,
    STATE(9897), 1,
      sym__refinement,
    STATE(10096), 1,
      sym_template_body,
    STATE(5329), 2,
      sym_comment,
      sym_block_comment,
    STATE(9882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281909] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9717), 1,
      anon_sym_end,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(10023), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15927), 1,
      sym_identifier,
    STATE(5333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [281962] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9113), 1,
      anon_sym_AT,
    STATE(5411), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6517), 1,
      sym_annotation,
    STATE(5334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10025), 1,
      anon_sym_DOT,
    STATE(5335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282099] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9086), 1,
      anon_sym_AT,
    STATE(5377), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6506), 1,
      sym_annotation,
    STATE(5337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282148] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9489), 1,
      anon_sym_LBRACK,
    ACTIONS(9493), 1,
      anon_sym_POUND,
    ACTIONS(10027), 1,
      anon_sym_AT,
    STATE(6270), 1,
      sym_type_arguments,
    STATE(6390), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7922), 1,
      sym_annotation,
    STATE(5338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282246] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8960), 1,
      anon_sym_AT,
    STATE(5247), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6186), 1,
      sym_annotation,
    STATE(5340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282295] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9078), 1,
      anon_sym_DOT,
    ACTIONS(9954), 1,
      sym__alpha_identifier,
    ACTIONS(9960), 1,
      sym__backquoted_id,
    ACTIONS(9962), 1,
      sym_operator_identifier,
    ACTIONS(10029), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3960), 1,
      sym__soft_identifier,
    STATE(5341), 2,
      sym_comment,
      sym_block_comment,
    STATE(6464), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9956), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [282362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282577] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    STATE(4396), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5347), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(10031), 10,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
  [282634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [282677] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9695), 1,
      anon_sym_COLON,
    ACTIONS(9697), 1,
      anon_sym_LBRACE,
    ACTIONS(9699), 1,
      anon_sym_with,
    STATE(5053), 1,
      aux_sym_compound_type_repeat1,
    STATE(9884), 1,
      sym__refinement,
    STATE(9895), 1,
      sym_template_body,
    STATE(5349), 2,
      sym_comment,
      sym_block_comment,
    STATE(9974), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282734] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9466), 1,
      sym_interpolated_string,
    STATE(15800), 1,
      sym__interpolated_multiline_string_start,
    STATE(15807), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10033), 1,
      anon_sym_AT,
    STATE(6158), 1,
      sym_annotation,
    STATE(5353), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282922] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7378), 1,
      sym_interpolated_string,
    STATE(15369), 1,
      sym__interpolated_multiline_string_start,
    STATE(15374), 1,
      sym__interpolated_string_start,
    ACTIONS(10036), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282977] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_DOT,
    ACTIONS(9993), 1,
      sym__alpha_identifier,
    ACTIONS(9999), 1,
      sym__backquoted_id,
    ACTIONS(10001), 1,
      sym_operator_identifier,
    ACTIONS(10038), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(4024), 1,
      sym__soft_identifier,
    STATE(5355), 2,
      sym_comment,
      sym_block_comment,
    STATE(6632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9995), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [283044] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9072), 1,
      anon_sym_AT,
    STATE(5272), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6335), 1,
      sym_annotation,
    STATE(5356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283136] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10040), 1,
      anon_sym_AT,
    STATE(6096), 1,
      sym_annotation,
    STATE(5358), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283226] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9518), 1,
      anon_sym_LBRACK,
    ACTIONS(9520), 1,
      anon_sym_AT,
    ACTIONS(9524), 1,
      anon_sym_POUND,
    STATE(6349), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7033), 1,
      sym_type_arguments,
    STATE(8074), 1,
      sym_annotation,
    STATE(5360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283324] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9806), 1,
      anon_sym_COLON,
    ACTIONS(9808), 1,
      anon_sym_LBRACE,
    ACTIONS(9810), 1,
      anon_sym_with,
    STATE(7806), 1,
      aux_sym_compound_type_repeat1,
    STATE(9965), 1,
      sym__refinement,
    STATE(10013), 1,
      sym_template_body,
    STATE(5362), 2,
      sym_comment,
      sym_block_comment,
    STATE(9848), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283467] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9606), 1,
      anon_sym_POUND,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    STATE(6595), 1,
      aux_sym_annotation_repeat1,
    STATE(7267), 1,
      sym_type_arguments,
    STATE(7734), 1,
      sym_arguments,
    STATE(5365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283608] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8625), 1,
      sym_interpolated_string,
    STATE(15635), 1,
      sym__interpolated_string_start,
    STATE(15636), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10045), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283663] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7676), 1,
      sym_interpolated_string,
    STATE(15524), 1,
      sym__interpolated_multiline_string_start,
    STATE(15526), 1,
      sym__interpolated_string_start,
    ACTIONS(10047), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283718] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(10049), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5370), 2,
      sym_comment,
      sym_block_comment,
    STATE(8199), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8454), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283816] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(10049), 1,
      anon_sym_DOT,
    ACTIONS(10051), 1,
      sym_operator_identifier,
    STATE(1720), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8199), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8764), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [283883] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7184), 1,
      sym_interpolated_string,
    STATE(15732), 1,
      sym__interpolated_multiline_string_start,
    STATE(15735), 1,
      sym__interpolated_string_start,
    ACTIONS(10053), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283981] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10055), 1,
      anon_sym_LBRACK,
    ACTIONS(10057), 1,
      anon_sym_LPAREN,
    ACTIONS(10059), 1,
      anon_sym_POUND,
    STATE(6368), 1,
      aux_sym_annotation_repeat1,
    STATE(7161), 1,
      sym_type_arguments,
    STATE(8046), 1,
      sym_arguments,
    STATE(5375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284079] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10061), 1,
      anon_sym_AT,
    STATE(6506), 1,
      sym_annotation,
    STATE(5377), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284255] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9544), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(10064), 1,
      anon_sym_AT,
    STATE(6216), 1,
      sym_type_arguments,
    STATE(6416), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7413), 1,
      sym_annotation,
    STATE(5381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284310] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7676), 1,
      sym_interpolated_string,
    STATE(15524), 1,
      sym__interpolated_multiline_string_start,
    STATE(15526), 1,
      sym__interpolated_string_start,
    ACTIONS(10066), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284365] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(10049), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8199), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284422] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    ACTIONS(9507), 1,
      anon_sym_DOT,
    ACTIONS(9979), 1,
      sym__alpha_identifier,
    ACTIONS(9985), 1,
      sym__backquoted_id,
    ACTIONS(9987), 1,
      sym_operator_identifier,
    ACTIONS(10068), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(5384), 2,
      sym_comment,
      sym_block_comment,
    STATE(7416), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9981), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [284489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284618] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10017), 1,
      anon_sym_COLON,
    ACTIONS(10019), 1,
      anon_sym_LBRACE,
    ACTIONS(10021), 1,
      anon_sym_with,
    STATE(5329), 1,
      aux_sym_compound_type_repeat1,
    STATE(10082), 1,
      sym__refinement,
    STATE(10096), 1,
      sym_template_body,
    STATE(5388), 2,
      sym_comment,
      sym_block_comment,
    STATE(9882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284761] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9867), 1,
      anon_sym_COLON,
    ACTIONS(9869), 1,
      anon_sym_LBRACE,
    ACTIONS(9871), 1,
      anon_sym_with,
    STATE(7669), 1,
      aux_sym_compound_type_repeat1,
    STATE(10002), 1,
      sym_template_body,
    STATE(10019), 1,
      sym__refinement,
    STATE(5391), 2,
      sym_comment,
      sym_block_comment,
    STATE(10101), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284861] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10017), 1,
      anon_sym_COLON,
    ACTIONS(10019), 1,
      anon_sym_LBRACE,
    ACTIONS(10021), 1,
      anon_sym_with,
    STATE(5329), 1,
      aux_sym_compound_type_repeat1,
    STATE(10082), 1,
      sym__refinement,
    STATE(10096), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5393), 2,
      sym_comment,
      sym_block_comment,
    STATE(9882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284924] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9316), 1,
      anon_sym_AT,
    STATE(5429), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6397), 1,
      sym_annotation,
    STATE(5394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284973] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9151), 1,
      anon_sym_AT,
    STATE(5259), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6350), 1,
      sym_annotation,
    STATE(5395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285151] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9518), 1,
      anon_sym_LBRACK,
    ACTIONS(9524), 1,
      anon_sym_POUND,
    ACTIONS(10070), 1,
      anon_sym_LPAREN,
    STATE(6112), 1,
      aux_sym_annotation_repeat1,
    STATE(7033), 1,
      sym_type_arguments,
    STATE(7689), 1,
      sym_arguments,
    STATE(5399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285249] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10072), 1,
      anon_sym_DOT,
    STATE(5401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285380] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10074), 1,
      anon_sym_LBRACK,
    ACTIONS(10076), 1,
      anon_sym_AT,
    ACTIONS(10078), 1,
      anon_sym_LPAREN,
    ACTIONS(10080), 1,
      anon_sym_POUND,
    STATE(7164), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7789), 1,
      sym_type_arguments,
    STATE(8188), 1,
      sym_annotation,
    STATE(9524), 1,
      sym_arguments,
    STATE(5404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285568] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9287), 1,
      anon_sym_LPAREN,
    STATE(5416), 1,
      aux_sym_annotation_repeat1,
    STATE(6566), 1,
      sym_arguments,
    STATE(5408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285617] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9888), 1,
      anon_sym_COLON,
    ACTIONS(9890), 1,
      anon_sym_LBRACE,
    ACTIONS(9892), 1,
      anon_sym_with,
    STATE(5227), 1,
      aux_sym_compound_type_repeat1,
    STATE(10041), 1,
      sym__refinement,
    STATE(10042), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5409), 2,
      sym_comment,
      sym_block_comment,
    STATE(10015), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10086), 1,
      anon_sym_AT,
    STATE(6517), 1,
      sym_annotation,
    STATE(5411), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285813] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9312), 1,
      anon_sym_AT,
    STATE(5358), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6096), 1,
      sym_annotation,
    STATE(5413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285907] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8374), 1,
      sym_interpolated_string,
    STATE(15613), 1,
      sym__interpolated_multiline_string_start,
    STATE(15631), 1,
      sym__interpolated_string_start,
    ACTIONS(10089), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285962] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(6566), 1,
      sym_arguments,
    STATE(5416), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286095] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(5419), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8760), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10096), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [286164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286207] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10104), 1,
      anon_sym_with,
    STATE(5559), 1,
      aux_sym_compound_type_repeat1,
    STATE(9510), 1,
      sym_arguments,
    STATE(9676), 1,
      sym_template_body,
    STATE(9678), 1,
      sym__refinement,
    STATE(5421), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286262] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9624), 1,
      anon_sym_DOT,
    ACTIONS(10106), 1,
      anon_sym_EQ_GT,
    STATE(5422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286309] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9291), 1,
      anon_sym_LPAREN,
    STATE(5426), 1,
      aux_sym_annotation_repeat1,
    STATE(6399), 1,
      sym_arguments,
    STATE(5423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286358] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9495), 1,
      sym_interpolated_string,
    STATE(14930), 1,
      sym__interpolated_multiline_string_start,
    STATE(14981), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286413] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10108), 1,
      anon_sym_DOT,
    STATE(5425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286458] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10110), 1,
      anon_sym_LPAREN,
    STATE(6399), 1,
      sym_arguments,
    STATE(5426), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286505] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9424), 1,
      anon_sym_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_POUND,
    ACTIONS(10113), 1,
      anon_sym_LPAREN,
    STATE(6388), 1,
      aux_sym_annotation_repeat1,
    STATE(7261), 1,
      sym_type_arguments,
    STATE(7802), 1,
      sym_arguments,
    STATE(5427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286603] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10115), 1,
      anon_sym_AT,
    STATE(6397), 1,
      sym_annotation,
    STATE(5429), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286650] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10118), 1,
      anon_sym_COLON,
    ACTIONS(10121), 1,
      anon_sym_LBRACE,
    STATE(6944), 1,
      sym_template_body,
    STATE(5430), 2,
      sym_comment,
      sym_block_comment,
    STATE(6902), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286701] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10124), 1,
      anon_sym_with,
    STATE(5876), 1,
      aux_sym_compound_type_repeat1,
    STATE(8713), 1,
      sym_template_body,
    STATE(8895), 1,
      sym__refinement,
    STATE(9037), 1,
      sym_arguments,
    STATE(5431), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286799] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1640), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(10126), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5433), 2,
      sym_comment,
      sym_block_comment,
    STATE(8396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10128), 1,
      anon_sym_with,
    STATE(5434), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286944] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    STATE(5444), 1,
      aux_sym_annotation_repeat1,
    STATE(6603), 1,
      sym_arguments,
    STATE(5436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10131), 1,
      anon_sym_DOT,
    STATE(5437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287038] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10133), 1,
      anon_sym_LPAREN,
    STATE(6144), 1,
      sym_arguments,
    STATE(5438), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10136), 1,
      anon_sym_with,
    STATE(5439), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9376), 1,
      anon_sym_EQ_GT,
    STATE(5440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287218] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    ACTIONS(10139), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5442), 2,
      sym_comment,
      sym_block_comment,
    STATE(8411), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287318] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10145), 1,
      anon_sym_LPAREN,
    STATE(6603), 1,
      sym_arguments,
    STATE(5444), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287451] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287539] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    ACTIONS(10139), 1,
      anon_sym_DOT,
    ACTIONS(10152), 1,
      sym_operator_identifier,
    STATE(1692), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5449), 2,
      sym_comment,
      sym_block_comment,
    STATE(8411), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [287606] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10154), 1,
      anon_sym_LBRACK,
    ACTIONS(10156), 1,
      anon_sym_LPAREN,
    ACTIONS(10158), 1,
      anon_sym_POUND,
    STATE(6835), 1,
      aux_sym_annotation_repeat1,
    STATE(7293), 1,
      sym_type_arguments,
    STATE(8528), 1,
      sym_arguments,
    STATE(5450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [287661] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7314), 1,
      sym_interpolated_string,
    STATE(15453), 1,
      sym__interpolated_multiline_string_start,
    STATE(15562), 1,
      sym__interpolated_string_start,
    ACTIONS(10160), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287716] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    ACTIONS(10139), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5452), 2,
      sym_comment,
      sym_block_comment,
    STATE(8411), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287771] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10162), 1,
      anon_sym_LBRACK,
    ACTIONS(10164), 1,
      anon_sym_AT,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(10168), 1,
      anon_sym_POUND,
    STATE(7053), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7656), 1,
      sym_type_arguments,
    STATE(8256), 1,
      sym_annotation,
    STATE(9037), 1,
      sym_arguments,
    STATE(5453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287873] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9297), 1,
      anon_sym_LPAREN,
    STATE(5438), 1,
      aux_sym_annotation_repeat1,
    STATE(6144), 1,
      sym_arguments,
    STATE(5455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287922] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1640), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(10126), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5456), 2,
      sym_comment,
      sym_block_comment,
    STATE(8396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288106] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1640), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(10126), 1,
      anon_sym_DOT,
    ACTIONS(10178), 1,
      sym_operator_identifier,
    STATE(1662), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5460), 2,
      sym_comment,
      sym_block_comment,
    STATE(8396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [288173] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10180), 1,
      anon_sym_with,
    STATE(5779), 1,
      aux_sym_compound_type_repeat1,
    STATE(9342), 1,
      sym__refinement,
    STATE(9347), 1,
      sym_template_body,
    STATE(9524), 1,
      sym_arguments,
    STATE(5461), 2,
      sym_comment,
      sym_block_comment,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288228] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9888), 1,
      anon_sym_COLON,
    ACTIONS(9890), 1,
      anon_sym_LBRACE,
    ACTIONS(9892), 1,
      anon_sym_with,
    STATE(5227), 1,
      aux_sym_compound_type_repeat1,
    STATE(10041), 1,
      sym__refinement,
    STATE(10042), 1,
      sym_template_body,
    STATE(5462), 2,
      sym_comment,
      sym_block_comment,
    STATE(10015), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288373] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1548), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(10182), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5465), 2,
      sym_comment,
      sym_block_comment,
    STATE(9067), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10184), 1,
      anon_sym_with,
    STATE(5466), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288599] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10187), 1,
      anon_sym_COLON,
    ACTIONS(10189), 1,
      anon_sym_LBRACE,
    ACTIONS(10191), 1,
      anon_sym_with,
    STATE(5806), 1,
      aux_sym_compound_type_repeat1,
    STATE(10317), 1,
      sym__refinement,
    STATE(10343), 1,
      sym_template_body,
    STATE(5470), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288739] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10193), 1,
      anon_sym_LPAREN,
    STATE(6718), 1,
      sym_arguments,
    STATE(5473), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [288827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288953] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9587), 1,
      anon_sym_LPAREN,
    STATE(5473), 1,
      aux_sym_annotation_repeat1,
    STATE(6718), 1,
      sym_arguments,
    STATE(5478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289253] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10108), 1,
      anon_sym_DOT,
    ACTIONS(10196), 1,
      anon_sym_EQ_GT,
    STATE(5485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289341] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9499), 1,
      anon_sym_AT,
    STATE(5515), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6963), 1,
      sym_annotation,
    STATE(5487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289389] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10198), 1,
      anon_sym_LPAREN,
    STATE(6840), 1,
      sym_arguments,
    STATE(5488), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10201), 1,
      anon_sym_with,
    STATE(5489), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289479] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10204), 1,
      anon_sym_COLON,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    ACTIONS(10208), 1,
      anon_sym_with,
    STATE(5951), 1,
      aux_sym_compound_type_repeat1,
    STATE(10245), 1,
      sym_template_body,
    STATE(10253), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5490), 2,
      sym_comment,
      sym_block_comment,
    STATE(10238), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289541] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289585] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9921), 1,
      anon_sym_LBRACK,
    ACTIONS(9927), 1,
      anon_sym_POUND,
    ACTIONS(10210), 1,
      anon_sym_LPAREN,
    STATE(6764), 1,
      aux_sym_annotation_repeat1,
    STATE(7457), 1,
      sym_type_arguments,
    STATE(8356), 1,
      sym_arguments,
    STATE(5492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289639] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10212), 1,
      anon_sym_with,
    STATE(6035), 1,
      aux_sym_compound_type_repeat1,
    STATE(9961), 1,
      sym_arguments,
    STATE(10023), 1,
      sym_template_body,
    STATE(10048), 1,
      sym__refinement,
    STATE(5493), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289735] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10214), 1,
      anon_sym_DOT,
    STATE(5495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289863] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10025), 1,
      anon_sym_DOT,
    ACTIONS(10216), 1,
      anon_sym_EQ_GT,
    STATE(5498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [289951] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    STATE(5500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9440), 1,
      anon_sym_LPAREN,
    STATE(5488), 1,
      aux_sym_annotation_repeat1,
    STATE(6840), 1,
      sym_arguments,
    STATE(5501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290085] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      anon_sym_COLON,
    ACTIONS(10189), 1,
      anon_sym_LBRACE,
    ACTIONS(10191), 1,
      anon_sym_with,
    STATE(5806), 1,
      aux_sym_compound_type_repeat1,
    STATE(10317), 1,
      sym__refinement,
    STATE(10343), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5503), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290231] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9921), 1,
      anon_sym_LBRACK,
    ACTIONS(9923), 1,
      anon_sym_AT,
    ACTIONS(9927), 1,
      anon_sym_POUND,
    STATE(7320), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7457), 1,
      sym_type_arguments,
    STATE(8375), 1,
      sym_annotation,
    STATE(5506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [290539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [290581] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10220), 1,
      anon_sym_LBRACE,
    ACTIONS(10222), 1,
      anon_sym_with,
    STATE(8350), 1,
      aux_sym_compound_type_repeat1,
    STATE(9819), 1,
      sym__refinement,
    STATE(10097), 1,
      sym_template_body,
    STATE(5514), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290635] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10224), 1,
      anon_sym_AT,
    STATE(6963), 1,
      sym_annotation,
    STATE(5515), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290723] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10204), 1,
      anon_sym_COLON,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    ACTIONS(10208), 1,
      anon_sym_with,
    STATE(5951), 1,
      aux_sym_compound_type_repeat1,
    STATE(10245), 1,
      sym_template_body,
    STATE(10253), 1,
      sym__refinement,
    STATE(5517), 2,
      sym_comment,
      sym_block_comment,
    STATE(10238), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290779] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10227), 1,
      anon_sym_LBRACK,
    ACTIONS(10229), 1,
      anon_sym_LPAREN,
    ACTIONS(10231), 1,
      anon_sym_POUND,
    STATE(7061), 1,
      aux_sym_annotation_repeat1,
    STATE(7398), 1,
      sym_type_arguments,
    STATE(8358), 1,
      sym_arguments,
    STATE(5518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290833] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    ACTIONS(10139), 1,
      anon_sym_DOT,
    ACTIONS(10233), 1,
      sym__alpha_identifier,
    ACTIONS(10237), 1,
      anon_sym_EQ,
    ACTIONS(10239), 1,
      sym__backquoted_id,
    ACTIONS(10241), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(5519), 2,
      sym_comment,
      sym_block_comment,
    STATE(8411), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10235), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [290899] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1444), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(10243), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5520), 2,
      sym_comment,
      sym_block_comment,
    STATE(9157), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290997] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10245), 1,
      anon_sym_with,
    STATE(5522), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291041] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10248), 1,
      anon_sym_COLON,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      anon_sym_with,
    STATE(5895), 1,
      aux_sym_compound_type_repeat1,
    STATE(10177), 1,
      sym__refinement,
    STATE(10179), 1,
      sym_template_body,
    STATE(5523), 2,
      sym_comment,
      sym_block_comment,
    STATE(10153), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291097] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9973), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_POUND,
    ACTIONS(10254), 1,
      anon_sym_AT,
    STATE(6667), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7175), 1,
      sym_type_arguments,
    STATE(8503), 1,
      sym_annotation,
    STATE(5524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [291193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9790), 1,
      anon_sym_EQ_GT,
    STATE(5526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291237] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10256), 1,
      anon_sym_LBRACK,
    ACTIONS(10258), 1,
      anon_sym_AT,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    ACTIONS(10262), 1,
      anon_sym_POUND,
    STATE(7840), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8638), 1,
      sym_type_arguments,
    STATE(8740), 1,
      sym_annotation,
    STATE(9961), 1,
      sym_arguments,
    STATE(5527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [291337] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9576), 1,
      anon_sym_AT,
    STATE(5571), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7308), 1,
      sym_annotation,
    STATE(5529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291427] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1176), 1,
      anon_sym_LBRACE,
    ACTIONS(9604), 1,
      anon_sym_LPAREN,
    ACTIONS(10264), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5531), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1444), 1,
      anon_sym_LBRACE,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(10243), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5533), 2,
      sym_comment,
      sym_block_comment,
    STATE(9157), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291577] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10055), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_POUND,
    ACTIONS(10266), 1,
      anon_sym_AT,
    STATE(7161), 1,
      sym_type_arguments,
    STATE(7371), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8202), 1,
      sym_annotation,
    STATE(5534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291631] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9937), 1,
      anon_sym_LBRACK,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    STATE(7222), 1,
      aux_sym_annotation_repeat1,
    STATE(8037), 1,
      sym_type_arguments,
    STATE(8576), 1,
      sym_arguments,
    STATE(5535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291685] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10270), 1,
      anon_sym_COLON,
    ACTIONS(10272), 1,
      anon_sym_LBRACE,
    ACTIONS(10274), 1,
      anon_sym_with,
    STATE(5818), 1,
      aux_sym_compound_type_repeat1,
    STATE(10333), 1,
      sym_template_body,
    STATE(10339), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5536), 2,
      sym_comment,
      sym_block_comment,
    STATE(10214), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291747] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1176), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9604), 1,
      anon_sym_LPAREN,
    ACTIONS(10264), 1,
      anon_sym_DOT,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    STATE(1700), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5537), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [291813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291939] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10248), 1,
      anon_sym_COLON,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      anon_sym_with,
    STATE(5895), 1,
      aux_sym_compound_type_repeat1,
    STATE(10177), 1,
      sym__refinement,
    STATE(10179), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5541), 2,
      sym_comment,
      sym_block_comment,
    STATE(10153), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292043] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9903), 1,
      sym_interpolated_string,
    STATE(14947), 1,
      sym__interpolated_multiline_string_start,
    STATE(14948), 1,
      sym__interpolated_string_start,
    ACTIONS(10278), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292223] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10280), 1,
      anon_sym_COLON,
    ACTIONS(10282), 1,
      anon_sym_LBRACE,
    ACTIONS(10284), 1,
      anon_sym_with,
    STATE(5915), 1,
      aux_sym_compound_type_repeat1,
    STATE(10169), 1,
      sym_template_body,
    STATE(10170), 1,
      sym__refinement,
    STATE(5547), 2,
      sym_comment,
      sym_block_comment,
    STATE(10327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292321] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9931), 1,
      anon_sym_LBRACK,
    ACTIONS(9935), 1,
      anon_sym_POUND,
    ACTIONS(10286), 1,
      anon_sym_AT,
    STATE(7217), 1,
      sym_type_arguments,
    STATE(7717), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8752), 1,
      sym_annotation,
    STATE(5549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292417] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10270), 1,
      anon_sym_COLON,
    ACTIONS(10272), 1,
      anon_sym_LBRACE,
    ACTIONS(10274), 1,
      anon_sym_with,
    STATE(5818), 1,
      aux_sym_compound_type_repeat1,
    STATE(10333), 1,
      sym_template_body,
    STATE(10339), 1,
      sym__refinement,
    STATE(5551), 2,
      sym_comment,
      sym_block_comment,
    STATE(10214), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292473] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10288), 1,
      anon_sym_LBRACK,
    ACTIONS(10290), 1,
      anon_sym_LPAREN,
    ACTIONS(10292), 1,
      anon_sym_POUND,
    STATE(7268), 1,
      aux_sym_annotation_repeat1,
    STATE(8070), 1,
      sym_type_arguments,
    STATE(8640), 1,
      sym_arguments,
    STATE(5552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292527] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1176), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9604), 1,
      anon_sym_LPAREN,
    ACTIONS(10264), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5553), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292583] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292753] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10294), 1,
      anon_sym_LPAREN,
    STATE(7360), 1,
      sym_arguments,
    STATE(5558), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292799] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10104), 1,
      anon_sym_with,
    STATE(8692), 1,
      aux_sym_compound_type_repeat1,
    STATE(9676), 1,
      sym_template_body,
    STATE(9696), 1,
      sym__refinement,
    STATE(5559), 2,
      sym_comment,
      sym_block_comment,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293019] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10297), 1,
      anon_sym_AT,
    STATE(7362), 1,
      sym_annotation,
    STATE(5564), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10300), 1,
      anon_sym_DOT,
    STATE(5567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293235] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9790), 1,
      sym_interpolated_string,
    STATE(14909), 1,
      sym__interpolated_string_start,
    STATE(14922), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293289] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6527), 1,
      sym_arguments,
    STATE(5570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293333] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10302), 1,
      anon_sym_AT,
    STATE(7308), 1,
      sym_annotation,
    STATE(5571), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293379] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10280), 1,
      anon_sym_COLON,
    ACTIONS(10282), 1,
      anon_sym_LBRACE,
    ACTIONS(10284), 1,
      anon_sym_with,
    STATE(5915), 1,
      aux_sym_compound_type_repeat1,
    STATE(10169), 1,
      sym_template_body,
    STATE(10170), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5572), 2,
      sym_comment,
      sym_block_comment,
    STATE(10327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293525] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10305), 1,
      anon_sym_LPAREN,
    STATE(7368), 1,
      sym_arguments,
    STATE(5575), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293571] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10131), 1,
      anon_sym_DOT,
    ACTIONS(10308), 1,
      anon_sym_EQ_GT,
    STATE(5576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6162), 1,
      sym__end_marker,
    STATE(5577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10310), 1,
      anon_sym_with,
    STATE(5578), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293747] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1176), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9604), 1,
      anon_sym_LPAREN,
    ACTIONS(10264), 1,
      anon_sym_DOT,
    ACTIONS(10313), 1,
      sym__alpha_identifier,
    ACTIONS(10317), 1,
      anon_sym_EQ,
    ACTIONS(10319), 1,
      sym__backquoted_id,
    ACTIONS(10321), 1,
      sym_operator_identifier,
    STATE(537), 1,
      sym_identifier,
    STATE(4038), 1,
      sym__soft_identifier,
    STATE(5580), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10315), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [293813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293855] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10323), 1,
      anon_sym_COLON,
    ACTIONS(10325), 1,
      anon_sym_LBRACE,
    ACTIONS(10327), 1,
      anon_sym_with,
    STATE(5935), 1,
      aux_sym_compound_type_repeat1,
    STATE(10271), 1,
      sym_template_body,
    STATE(10272), 1,
      sym__refinement,
    STATE(5582), 2,
      sym_comment,
      sym_block_comment,
    STATE(10161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293953] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9546), 1,
      anon_sym_LPAREN,
    STATE(5558), 1,
      aux_sym_annotation_repeat1,
    STATE(7360), 1,
      sym_arguments,
    STATE(5584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9662), 1,
      anon_sym_LPAREN,
    STATE(5575), 1,
      aux_sym_annotation_repeat1,
    STATE(7368), 1,
      sym_arguments,
    STATE(5585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294091] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10329), 1,
      anon_sym_COLON,
    ACTIONS(10331), 1,
      anon_sym_LBRACE,
    ACTIONS(10333), 1,
      anon_sym_with,
    STATE(8338), 1,
      aux_sym_compound_type_repeat1,
    STATE(9799), 1,
      sym_template_body,
    STATE(9811), 1,
      sym__refinement,
    STATE(5587), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [294189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294357] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1444), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(10243), 1,
      anon_sym_DOT,
    ACTIONS(10335), 1,
      sym_operator_identifier,
    STATE(1771), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5593), 2,
      sym_comment,
      sym_block_comment,
    STATE(9157), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294465] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10337), 1,
      anon_sym_COLON,
    ACTIONS(10340), 1,
      anon_sym_LBRACE,
    STATE(7479), 1,
      sym_template_body,
    STATE(5595), 2,
      sym_comment,
      sym_block_comment,
    STATE(7632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294767] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10323), 1,
      anon_sym_COLON,
    ACTIONS(10325), 1,
      anon_sym_LBRACE,
    ACTIONS(10327), 1,
      anon_sym_with,
    STATE(5935), 1,
      aux_sym_compound_type_repeat1,
    STATE(10271), 1,
      sym_template_body,
    STATE(10272), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5602), 2,
      sym_comment,
      sym_block_comment,
    STATE(10161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9964), 1,
      anon_sym_LBRACK,
    ACTIONS(9968), 1,
      anon_sym_POUND,
    ACTIONS(10343), 1,
      anon_sym_AT,
    STATE(6956), 1,
      sym_type_arguments,
    STATE(7153), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8232), 1,
      sym_annotation,
    STATE(5607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [295093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295303] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10011), 1,
      anon_sym_with,
    STATE(8395), 1,
      aux_sym_compound_type_repeat1,
    STATE(9505), 1,
      sym_template_body,
    STATE(9521), 1,
      sym__refinement,
    STATE(5614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295481] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1212), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    ACTIONS(9725), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      sym__alpha_identifier,
    ACTIONS(10349), 1,
      anon_sym_EQ,
    ACTIONS(10351), 1,
      sym__backquoted_id,
    ACTIONS(10353), 1,
      sym_operator_identifier,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(5618), 2,
      sym_comment,
      sym_block_comment,
    STATE(8240), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [295547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [295633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295675] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295803] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10329), 1,
      anon_sym_COLON,
    ACTIONS(10331), 1,
      anon_sym_LBRACE,
    ACTIONS(10333), 1,
      anon_sym_with,
    STATE(5587), 1,
      aux_sym_compound_type_repeat1,
    STATE(9799), 1,
      sym_template_body,
    STATE(9800), 1,
      sym__refinement,
    STATE(5625), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [295985] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9078), 1,
      anon_sym_DOT,
    ACTIONS(9954), 1,
      sym__alpha_identifier,
    ACTIONS(9960), 1,
      sym__backquoted_id,
    ACTIONS(9962), 1,
      sym_operator_identifier,
    ACTIONS(10355), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3960), 1,
      sym__soft_identifier,
    STATE(5629), 2,
      sym_comment,
      sym_block_comment,
    STATE(6464), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9956), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [296051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296135] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10357), 1,
      anon_sym_LBRACE,
    ACTIONS(10359), 1,
      anon_sym_with,
    STATE(8498), 1,
      aux_sym_compound_type_repeat1,
    STATE(9930), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__refinement,
    STATE(5632), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296567] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9497), 1,
      anon_sym_AT,
    STATE(5564), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7362), 1,
      sym_annotation,
    STATE(5642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296783] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7493), 1,
      sym_interpolated_string,
    STATE(15457), 1,
      sym__interpolated_string_start,
    STATE(15483), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10369), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10371), 1,
      anon_sym_with,
    STATE(5649), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296965] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9115), 1,
      anon_sym_DOT,
    ACTIONS(10374), 1,
      sym__alpha_identifier,
    ACTIONS(10378), 1,
      anon_sym_EQ,
    ACTIONS(10380), 1,
      sym__backquoted_id,
    ACTIONS(10382), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4026), 1,
      sym__soft_identifier,
    STATE(5651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(6849), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [297031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297241] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    ACTIONS(9270), 1,
      anon_sym_DOT,
    ACTIONS(10388), 1,
      sym__alpha_identifier,
    ACTIONS(10392), 1,
      anon_sym_EQ,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    ACTIONS(10396), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(5657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(6973), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10390), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [297307] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9466), 1,
      sym_interpolated_string,
    STATE(15800), 1,
      sym__interpolated_multiline_string_start,
    STATE(15807), 1,
      sym__interpolated_string_start,
    ACTIONS(10398), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10400), 1,
      anon_sym_with,
    STATE(5659), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297447] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7676), 1,
      sym_interpolated_string,
    STATE(15524), 1,
      sym__interpolated_multiline_string_start,
    STATE(15526), 1,
      sym__interpolated_string_start,
    ACTIONS(10403), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297543] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10405), 1,
      anon_sym_COLON,
    ACTIONS(10407), 1,
      anon_sym_LBRACE,
    ACTIONS(10409), 1,
      anon_sym_with,
    STATE(5982), 1,
      aux_sym_compound_type_repeat1,
    STATE(10127), 1,
      sym__refinement,
    STATE(10233), 1,
      sym_template_body,
    STATE(5663), 2,
      sym_comment,
      sym_block_comment,
    STATE(10292), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10411), 1,
      anon_sym_with,
    STATE(5666), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297769] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10418), 1,
      anon_sym_DOT,
    STATE(5668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6600), 1,
      sym__end_marker,
    STATE(5669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297857] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7493), 1,
      sym_interpolated_string,
    STATE(15457), 1,
      sym__interpolated_string_start,
    STATE(15483), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10420), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297911] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1212), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    ACTIONS(9725), 1,
      anon_sym_DOT,
    ACTIONS(10345), 1,
      sym__alpha_identifier,
    ACTIONS(10351), 1,
      sym__backquoted_id,
    ACTIONS(10353), 1,
      sym_operator_identifier,
    ACTIONS(10422), 1,
      anon_sym_EQ,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(5671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8240), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [297977] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10405), 1,
      anon_sym_COLON,
    ACTIONS(10407), 1,
      anon_sym_LBRACE,
    ACTIONS(10409), 1,
      anon_sym_with,
    STATE(5982), 1,
      aux_sym_compound_type_repeat1,
    STATE(10127), 1,
      sym__refinement,
    STATE(10233), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5672), 2,
      sym_comment,
      sym_block_comment,
    STATE(10292), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10106), 1,
      anon_sym_EQ_GT,
    STATE(5673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298125] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10424), 1,
      anon_sym_COLON,
    ACTIONS(10427), 1,
      anon_sym_LBRACE,
    STATE(8026), 1,
      sym_template_body,
    STATE(5675), 2,
      sym_comment,
      sym_block_comment,
    STATE(7923), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298175] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9115), 1,
      anon_sym_DOT,
    ACTIONS(10374), 1,
      sym__alpha_identifier,
    ACTIONS(10380), 1,
      sym__backquoted_id,
    ACTIONS(10382), 1,
      sym_operator_identifier,
    ACTIONS(10430), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4026), 1,
      sym__soft_identifier,
    STATE(5676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6849), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [298241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298283] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    ACTIONS(10139), 1,
      anon_sym_DOT,
    ACTIONS(10233), 1,
      sym__alpha_identifier,
    ACTIONS(10239), 1,
      sym__backquoted_id,
    ACTIONS(10241), 1,
      sym_operator_identifier,
    ACTIONS(10432), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(5678), 2,
      sym_comment,
      sym_block_comment,
    STATE(8411), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10235), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [298349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10434), 1,
      anon_sym_DOT,
    STATE(5679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298393] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    ACTIONS(9270), 1,
      anon_sym_DOT,
    ACTIONS(10388), 1,
      sym__alpha_identifier,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    ACTIONS(10396), 1,
      sym_operator_identifier,
    ACTIONS(10436), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(5680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6973), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10390), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [298459] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9466), 1,
      sym_interpolated_string,
    STATE(15800), 1,
      sym__interpolated_multiline_string_start,
    STATE(15807), 1,
      sym__interpolated_string_start,
    ACTIONS(10438), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298513] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9503), 1,
      anon_sym_LPAREN,
    STATE(5683), 1,
      aux_sym_annotation_repeat1,
    STATE(7196), 1,
      sym_arguments,
    STATE(5682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298561] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10440), 1,
      anon_sym_LPAREN,
    STATE(7196), 1,
      sym_arguments,
    STATE(5683), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10443), 1,
      anon_sym_with,
    STATE(5684), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298693] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10450), 1,
      anon_sym_AT,
    STATE(7169), 1,
      sym_annotation,
    STATE(5686), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298781] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10453), 1,
      anon_sym_COLON,
    ACTIONS(10456), 1,
      anon_sym_EQ_GT,
    ACTIONS(10458), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(9466), 1,
      sym_interpolated_string,
    STATE(15800), 1,
      sym__interpolated_multiline_string_start,
    STATE(15807), 1,
      sym__interpolated_string_start,
    STATE(17398), 1,
      sym__self_type_ascription,
    STATE(5688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298841] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10460), 1,
      anon_sym_DOT,
    STATE(5689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298885] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9952), 1,
      anon_sym_POUND,
    ACTIONS(10462), 1,
      anon_sym_AT,
    STATE(6948), 1,
      sym_type_arguments,
    STATE(8035), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9226), 1,
      sym_annotation,
    STATE(5690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299065] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10476), 1,
      anon_sym_DOT,
    STATE(5699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299363] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10482), 1,
      anon_sym_with,
    STATE(6272), 1,
      aux_sym_compound_type_repeat1,
    STATE(9743), 1,
      sym_arguments,
    STATE(9991), 1,
      sym__refinement,
    STATE(9997), 1,
      sym_template_body,
    STATE(5701), 2,
      sym_comment,
      sym_block_comment,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299459] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1548), 1,
      anon_sym_LBRACE,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(10182), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5703), 2,
      sym_comment,
      sym_block_comment,
    STATE(9067), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299849] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9769), 1,
      anon_sym_LBRACK,
    ACTIONS(9773), 1,
      anon_sym_POUND,
    ACTIONS(10496), 1,
      anon_sym_AT,
    STATE(6754), 1,
      sym_type_arguments,
    STATE(7040), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8540), 1,
      sym_annotation,
    STATE(5712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300157] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300369] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9937), 1,
      anon_sym_LBRACK,
    ACTIONS(9939), 1,
      anon_sym_AT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    STATE(7292), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8037), 1,
      sym_type_arguments,
    STATE(8578), 1,
      sym_annotation,
    STATE(5724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6282), 1,
      sym_arguments,
    STATE(5730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300887] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10453), 1,
      anon_sym_COLON,
    ACTIONS(10526), 1,
      anon_sym_EQ_GT,
    ACTIONS(10528), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(7676), 1,
      sym_interpolated_string,
    STATE(15524), 1,
      sym__interpolated_multiline_string_start,
    STATE(15526), 1,
      sym__interpolated_string_start,
    STATE(16880), 1,
      sym__self_type_ascription,
    STATE(5736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301073] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9731), 1,
      anon_sym_LBRACK,
    ACTIONS(9735), 1,
      anon_sym_POUND,
    ACTIONS(10538), 1,
      anon_sym_AT,
    STATE(6699), 1,
      sym_type_arguments,
    STATE(7012), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8628), 1,
      sym_annotation,
    STATE(5740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301211] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10329), 1,
      anon_sym_COLON,
    ACTIONS(10331), 1,
      anon_sym_LBRACE,
    ACTIONS(10333), 1,
      anon_sym_with,
    STATE(5587), 1,
      aux_sym_compound_type_repeat1,
    STATE(9799), 1,
      sym_template_body,
    STATE(9800), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5743), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [301483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [301525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301651] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9212), 1,
      anon_sym_AT,
    STATE(5972), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6689), 1,
      sym_annotation,
    STATE(5753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301867] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8926), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301923] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9651), 1,
      anon_sym_LPAREN,
    STATE(5765), 1,
      aux_sym_annotation_repeat1,
    STATE(7105), 1,
      sym_arguments,
    STATE(5759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9842), 1,
      anon_sym_DOT,
    ACTIONS(10546), 1,
      anon_sym_EQ_GT,
    STATE(5760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302185] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10548), 1,
      anon_sym_LPAREN,
    STATE(7105), 1,
      sym_arguments,
    STATE(5765), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302735] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9709), 1,
      anon_sym_LBRACK,
    ACTIONS(9713), 1,
      anon_sym_POUND,
    ACTIONS(10555), 1,
      anon_sym_AT,
    STATE(6668), 1,
      sym_type_arguments,
    STATE(6979), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8704), 1,
      sym_annotation,
    STATE(5778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302789] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10180), 1,
      anon_sym_with,
    STATE(8194), 1,
      aux_sym_compound_type_repeat1,
    STATE(9330), 1,
      sym__refinement,
    STATE(9347), 1,
      sym_template_body,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303009] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(5784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [303089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303299] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10162), 1,
      anon_sym_LBRACK,
    ACTIONS(10168), 1,
      anon_sym_POUND,
    ACTIONS(10585), 1,
      anon_sym_LPAREN,
    STATE(7014), 1,
      aux_sym_annotation_repeat1,
    STATE(7656), 1,
      sym_type_arguments,
    STATE(8505), 1,
      sym_arguments,
    STATE(5790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303353] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_EQ_GT,
    STATE(5791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303565] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303945] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_LPAREN,
    ACTIONS(10591), 1,
      anon_sym_POUND,
    STATE(7071), 1,
      aux_sym_annotation_repeat1,
    STATE(8027), 1,
      sym_type_arguments,
    STATE(8337), 1,
      sym_arguments,
    STATE(5805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303999] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10187), 1,
      anon_sym_COLON,
    ACTIONS(10189), 1,
      anon_sym_LBRACE,
    ACTIONS(10191), 1,
      anon_sym_with,
    STATE(8106), 1,
      aux_sym_compound_type_repeat1,
    STATE(10291), 1,
      sym__refinement,
    STATE(10343), 1,
      sym_template_body,
    STATE(5806), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304223] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9320), 1,
      anon_sym_LPAREN,
    STATE(4451), 1,
      sym_arguments,
    STATE(5919), 1,
      aux_sym_annotation_repeat1,
    STATE(5811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [304269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304311] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10599), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_POUND,
    STATE(7687), 1,
      aux_sym_annotation_repeat1,
    STATE(7837), 1,
      sym_type_arguments,
    STATE(8774), 1,
      sym_arguments,
    STATE(5813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304533] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10270), 1,
      anon_sym_COLON,
    ACTIONS(10272), 1,
      anon_sym_LBRACE,
    ACTIONS(10274), 1,
      anon_sym_with,
    STATE(8192), 1,
      aux_sym_compound_type_repeat1,
    STATE(10243), 1,
      sym__refinement,
    STATE(10333), 1,
      sym_template_body,
    STATE(5818), 2,
      sym_comment,
      sym_block_comment,
    STATE(10214), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304673] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1338), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    ACTIONS(10603), 1,
      sym__alpha_identifier,
    ACTIONS(10607), 1,
      anon_sym_EQ,
    ACTIONS(10609), 1,
      sym__backquoted_id,
    ACTIONS(10611), 1,
      sym_operator_identifier,
    STATE(543), 1,
      sym_identifier,
    STATE(4040), 1,
      sym__soft_identifier,
    STATE(5821), 2,
      sym_comment,
      sym_block_comment,
    STATE(7991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(10605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [304739] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9903), 1,
      sym_interpolated_string,
    STATE(14947), 1,
      sym__interpolated_multiline_string_start,
    STATE(14948), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304835] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10154), 1,
      anon_sym_LBRACK,
    ACTIONS(10158), 1,
      anon_sym_POUND,
    ACTIONS(10613), 1,
      anon_sym_AT,
    STATE(7293), 1,
      sym_type_arguments,
    STATE(7456), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8896), 1,
      sym_annotation,
    STATE(5824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [304889] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304933] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10453), 1,
      anon_sym_COLON,
    ACTIONS(10458), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10615), 1,
      anon_sym_EQ_GT,
    STATE(9466), 1,
      sym_interpolated_string,
    STATE(15800), 1,
      sym__interpolated_multiline_string_start,
    STATE(15807), 1,
      sym__interpolated_string_start,
    STATE(16836), 1,
      sym__self_type_ascription,
    STATE(5826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305121] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9572), 1,
      anon_sym_AT,
    STATE(5959), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6716), 1,
      sym_annotation,
    STATE(5830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305421] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9797), 1,
      anon_sym_LBRACK,
    ACTIONS(9801), 1,
      anon_sym_POUND,
    ACTIONS(10617), 1,
      anon_sym_AT,
    STATE(7234), 1,
      sym_type_arguments,
    STATE(7707), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9231), 1,
      sym_annotation,
    STATE(5837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305517] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    STATE(6868), 1,
      sym_arguments,
    STATE(5839), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9620), 1,
      anon_sym_LPAREN,
    STATE(5839), 1,
      aux_sym_annotation_repeat1,
    STATE(6868), 1,
      sym_arguments,
    STATE(5842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305697] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(5843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305783] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1548), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(10182), 1,
      anon_sym_DOT,
    ACTIONS(10628), 1,
      sym_operator_identifier,
    STATE(1770), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5845), 2,
      sym_comment,
      sym_block_comment,
    STATE(9067), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [305849] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10630), 1,
      anon_sym_DOT,
    STATE(5849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    STATE(5854), 1,
      aux_sym_annotation_repeat1,
    STATE(6997), 1,
      sym_arguments,
    STATE(5851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306199] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10632), 1,
      anon_sym_LPAREN,
    STATE(6997), 1,
      sym_arguments,
    STATE(5854), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306245] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACE,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5855), 2,
      sym_comment,
      sym_block_comment,
    STATE(8926), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8454), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306299] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9459), 1,
      anon_sym_LPAREN,
    STATE(5858), 1,
      aux_sym_annotation_repeat1,
    STATE(6978), 1,
      sym_arguments,
    STATE(5856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306347] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10357), 1,
      anon_sym_LBRACE,
    ACTIONS(10359), 1,
      anon_sym_with,
    STATE(5632), 1,
      aux_sym_compound_type_repeat1,
    STATE(9930), 1,
      sym_template_body,
    STATE(9931), 1,
      sym__refinement,
    STATE(5857), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306401] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10635), 1,
      anon_sym_LPAREN,
    STATE(6978), 1,
      sym_arguments,
    STATE(5858), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306447] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4242), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(5859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306913] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_LBRACK,
    ACTIONS(9819), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_AT,
    STATE(6889), 1,
      sym_type_arguments,
    STATE(7546), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8992), 1,
      sym_annotation,
    STATE(5870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10644), 1,
      anon_sym_DOT,
    STATE(5872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307095] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9761), 1,
      anon_sym_LBRACK,
    ACTIONS(9765), 1,
      anon_sym_POUND,
    ACTIONS(10646), 1,
      anon_sym_AT,
    STATE(6745), 1,
      sym_type_arguments,
    STATE(6841), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8424), 1,
      sym_annotation,
    STATE(5874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307193] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10124), 1,
      anon_sym_with,
    STATE(8382), 1,
      aux_sym_compound_type_repeat1,
    STATE(8713), 1,
      sym_template_body,
    STATE(9026), 1,
      sym__refinement,
    STATE(5876), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307287] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10648), 1,
      anon_sym_COLON,
    ACTIONS(10651), 1,
      anon_sym_LBRACE,
    STATE(7751), 1,
      sym_template_body,
    STATE(5878), 2,
      sym_comment,
      sym_block_comment,
    STATE(7953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307337] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9301), 1,
      anon_sym_AT,
    STATE(5686), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7169), 1,
      sym_annotation,
    STATE(5879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307427] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9790), 1,
      sym_interpolated_string,
    STATE(14909), 1,
      sym__interpolated_string_start,
    STATE(14922), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10654), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307523] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307903] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10656), 1,
      anon_sym_LBRACK,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(10660), 1,
      anon_sym_POUND,
    STATE(6811), 1,
      aux_sym_annotation_repeat1,
    STATE(7579), 1,
      sym_type_arguments,
    STATE(8458), 1,
      sym_arguments,
    STATE(5892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307999] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10074), 1,
      anon_sym_LBRACK,
    ACTIONS(10076), 1,
      anon_sym_AT,
    ACTIONS(10080), 1,
      anon_sym_POUND,
    STATE(7164), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7789), 1,
      sym_type_arguments,
    STATE(8188), 1,
      sym_annotation,
    STATE(5894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308053] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10248), 1,
      anon_sym_COLON,
    ACTIONS(10250), 1,
      anon_sym_LBRACE,
    ACTIONS(10252), 1,
      anon_sym_with,
    STATE(8435), 1,
      aux_sym_compound_type_repeat1,
    STATE(10165), 1,
      sym__refinement,
    STATE(10179), 1,
      sym_template_body,
    STATE(5895), 2,
      sym_comment,
      sym_block_comment,
    STATE(10153), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308109] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    STATE(5901), 1,
      aux_sym_annotation_repeat1,
    STATE(6896), 1,
      sym_arguments,
    STATE(5896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308325] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10662), 1,
      anon_sym_LPAREN,
    STATE(6896), 1,
      sym_arguments,
    STATE(5901), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308455] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9856), 1,
      anon_sym_LBRACK,
    ACTIONS(9860), 1,
      anon_sym_POUND,
    ACTIONS(10665), 1,
      anon_sym_AT,
    STATE(7193), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7264), 1,
      sym_type_arguments,
    STATE(8157), 1,
      sym_annotation,
    STATE(5904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308551] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10667), 1,
      anon_sym_AT,
    STATE(6865), 1,
      sym_annotation,
    STATE(5906), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308597] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9133), 1,
      anon_sym_AT,
    STATE(5906), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6865), 1,
      sym_annotation,
    STATE(5907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10670), 1,
      anon_sym_DOT,
    STATE(5909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308731] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9257), 1,
      anon_sym_AT,
    STATE(5933), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6830), 1,
      sym_annotation,
    STATE(5910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308779] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10672), 1,
      anon_sym_LPAREN,
    STATE(6770), 1,
      sym_arguments,
    STATE(5911), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308825] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9670), 1,
      anon_sym_LPAREN,
    STATE(5911), 1,
      aux_sym_annotation_repeat1,
    STATE(6770), 1,
      sym_arguments,
    STATE(5912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308873] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8930), 1,
      anon_sym_DOT,
    ACTIONS(9993), 1,
      sym__alpha_identifier,
    ACTIONS(9999), 1,
      sym__backquoted_id,
    ACTIONS(10001), 1,
      sym_operator_identifier,
    ACTIONS(10675), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(4024), 1,
      sym__soft_identifier,
    STATE(5913), 2,
      sym_comment,
      sym_block_comment,
    STATE(6632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9995), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [308939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308981] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10280), 1,
      anon_sym_COLON,
    ACTIONS(10282), 1,
      anon_sym_LBRACE,
    ACTIONS(10284), 1,
      anon_sym_with,
    STATE(8523), 1,
      aux_sym_compound_type_repeat1,
    STATE(10169), 1,
      sym_template_body,
    STATE(10176), 1,
      sym__refinement,
    STATE(5915), 2,
      sym_comment,
      sym_block_comment,
    STATE(10327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309079] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9487), 1,
      anon_sym_AT,
    STATE(5942), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6810), 1,
      sym_annotation,
    STATE(5917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309127] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9153), 1,
      sym_interpolated_string,
    STATE(14740), 1,
      sym__interpolated_string_start,
    STATE(14744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10677), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309181] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10679), 1,
      anon_sym_LPAREN,
    STATE(4451), 1,
      sym_arguments,
    STATE(5919), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [309225] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    STATE(5924), 1,
      aux_sym_annotation_repeat1,
    STATE(6838), 1,
      sym_arguments,
    STATE(5920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309399] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10682), 1,
      anon_sym_LPAREN,
    STATE(6838), 1,
      sym_arguments,
    STATE(5924), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309445] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10074), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 1,
      anon_sym_POUND,
    ACTIONS(10685), 1,
      anon_sym_LPAREN,
    STATE(6826), 1,
      aux_sym_annotation_repeat1,
    STATE(7789), 1,
      sym_type_arguments,
    STATE(8492), 1,
      sym_arguments,
    STATE(5925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309793] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10687), 1,
      anon_sym_AT,
    STATE(6830), 1,
      sym_annotation,
    STATE(5933), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309881] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10323), 1,
      anon_sym_COLON,
    ACTIONS(10325), 1,
      anon_sym_LBRACE,
    ACTIONS(10327), 1,
      anon_sym_with,
    STATE(8611), 1,
      aux_sym_compound_type_repeat1,
    STATE(10271), 1,
      sym_template_body,
    STATE(10278), 1,
      sym__refinement,
    STATE(5935), 2,
      sym_comment,
      sym_block_comment,
    STATE(10161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10690), 1,
      anon_sym_DOT,
    STATE(5937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310191] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10692), 1,
      anon_sym_AT,
    STATE(6810), 1,
      sym_annotation,
    STATE(5942), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310573] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10204), 1,
      anon_sym_COLON,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    ACTIONS(10208), 1,
      anon_sym_with,
    STATE(8607), 1,
      aux_sym_compound_type_repeat1,
    STATE(10245), 1,
      sym_template_body,
    STATE(10375), 1,
      sym__refinement,
    STATE(5951), 2,
      sym_comment,
      sym_block_comment,
    STATE(10238), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310671] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9534), 1,
      anon_sym_AT,
    STATE(5970), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6737), 1,
      sym_annotation,
    STATE(5953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310719] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10162), 1,
      anon_sym_LBRACK,
    ACTIONS(10164), 1,
      anon_sym_AT,
    ACTIONS(10168), 1,
      anon_sym_POUND,
    STATE(7053), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7656), 1,
      sym_type_arguments,
    STATE(8256), 1,
      sym_annotation,
    STATE(5954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310773] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10220), 1,
      anon_sym_LBRACE,
    ACTIONS(10222), 1,
      anon_sym_with,
    STATE(5514), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym__refinement,
    STATE(10097), 1,
      sym_template_body,
    STATE(5955), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310827] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9550), 1,
      anon_sym_AT,
    STATE(5977), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6723), 1,
      sym_annotation,
    STATE(5956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10695), 1,
      anon_sym_LPAREN,
    STATE(6686), 1,
      sym_arguments,
    STATE(5957), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310963] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10698), 1,
      anon_sym_AT,
    STATE(6716), 1,
      sym_annotation,
    STATE(5959), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311009] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9666), 1,
      anon_sym_LPAREN,
    STATE(5957), 1,
      aux_sym_annotation_repeat1,
    STATE(6686), 1,
      sym_arguments,
    STATE(5960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311437] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10701), 1,
      anon_sym_AT,
    STATE(6737), 1,
      sym_annotation,
    STATE(5970), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311525] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10704), 1,
      anon_sym_AT,
    STATE(6689), 1,
      sym_annotation,
    STATE(5972), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311571] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10220), 1,
      anon_sym_LBRACE,
    ACTIONS(10222), 1,
      anon_sym_with,
    ACTIONS(10707), 1,
      anon_sym_COLON,
    STATE(5514), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym__refinement,
    STATE(10097), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5973), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311633] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10357), 1,
      anon_sym_LBRACE,
    ACTIONS(10359), 1,
      anon_sym_with,
    ACTIONS(10710), 1,
      anon_sym_COLON,
    STATE(5632), 1,
      aux_sym_compound_type_repeat1,
    STATE(9930), 1,
      sym_template_body,
    STATE(9931), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5974), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311781] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10713), 1,
      anon_sym_AT,
    STATE(6723), 1,
      sym_annotation,
    STATE(5977), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311869] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      anon_sym_DOT,
    ACTIONS(10716), 1,
      sym_operator_identifier,
    STATE(1751), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8926), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8764), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [311935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10718), 1,
      anon_sym_DOT,
    STATE(5981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312023] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10405), 1,
      anon_sym_COLON,
    ACTIONS(10407), 1,
      anon_sym_LBRACE,
    ACTIONS(10409), 1,
      anon_sym_with,
    STATE(8533), 1,
      aux_sym_compound_type_repeat1,
    STATE(10198), 1,
      sym__refinement,
    STATE(10233), 1,
      sym_template_body,
    STATE(5982), 2,
      sym_comment,
      sym_block_comment,
    STATE(10292), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312121] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10720), 1,
      anon_sym_LBRACK,
    ACTIONS(10722), 1,
      anon_sym_AT,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    STATE(7897), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8206), 1,
      sym_type_arguments,
    STATE(8819), 1,
      sym_annotation,
    STATE(9743), 1,
      sym_arguments,
    STATE(5984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    STATE(5987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312559] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10730), 1,
      anon_sym_LPAREN,
    STATE(7397), 1,
      sym_arguments,
    STATE(5995), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312647] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9771), 1,
      anon_sym_LPAREN,
    STATE(5995), 1,
      aux_sym_annotation_repeat1,
    STATE(7397), 1,
      sym_arguments,
    STATE(5996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312899] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7379), 1,
      sym__end_marker,
    STATE(6002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313434] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10288), 1,
      anon_sym_LBRACK,
    ACTIONS(10292), 1,
      anon_sym_POUND,
    ACTIONS(10733), 1,
      anon_sym_AT,
    STATE(8005), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8070), 1,
      sym_type_arguments,
    STATE(9073), 1,
      sym_annotation,
    STATE(6015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313487] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10735), 1,
      anon_sym_COLON,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    ACTIONS(10739), 1,
      anon_sym_with,
    STATE(6344), 1,
      aux_sym_compound_type_repeat1,
    STATE(10591), 1,
      sym__refinement,
    STATE(10595), 1,
      sym_template_body,
    ACTIONS(8288), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6016), 2,
      sym_comment,
      sym_block_comment,
    STATE(10646), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313548] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10741), 1,
      anon_sym_COLON,
    ACTIONS(10743), 1,
      anon_sym_LBRACE,
    ACTIONS(10745), 1,
      anon_sym_with,
    STATE(8919), 1,
      aux_sym_compound_type_repeat1,
    STATE(10542), 1,
      sym__refinement,
    STATE(10562), 1,
      sym_template_body,
    STATE(6017), 2,
      sym_comment,
      sym_block_comment,
    STATE(10505), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10747), 1,
      anon_sym_DOT,
    STATE(6019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313769] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313894] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10749), 1,
      anon_sym_AT,
    STATE(7470), 1,
      sym_annotation,
    STATE(6025), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10752), 1,
      anon_sym_DOT,
    STATE(6030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314146] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9733), 1,
      anon_sym_LPAREN,
    STATE(6036), 1,
      aux_sym_annotation_repeat1,
    STATE(7408), 1,
      sym_arguments,
    STATE(6031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314193] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10754), 1,
      anon_sym_AT,
    STATE(7413), 1,
      sym_annotation,
    STATE(6032), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314320] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10212), 1,
      anon_sym_with,
    STATE(8986), 1,
      aux_sym_compound_type_repeat1,
    STATE(9952), 1,
      sym__refinement,
    STATE(10023), 1,
      sym_template_body,
    STATE(6035), 2,
      sym_comment,
      sym_block_comment,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314371] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    STATE(7408), 1,
      sym_arguments,
    STATE(6036), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314539] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9904), 1,
      anon_sym_AT,
    STATE(6025), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7470), 1,
      sym_annotation,
    STATE(6040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314586] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10718), 1,
      anon_sym_DOT,
    ACTIONS(10760), 1,
      anon_sym_EQ_GT,
    STATE(6041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314920] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10762), 1,
      anon_sym_LBRACK,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    ACTIONS(10766), 1,
      anon_sym_POUND,
    STATE(7557), 1,
      aux_sym_annotation_repeat1,
    STATE(8688), 1,
      sym_type_arguments,
    STATE(9041), 1,
      sym_arguments,
    STATE(6049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315014] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10768), 1,
      anon_sym_LPAREN,
    STATE(7590), 1,
      sym_arguments,
    STATE(6051), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315100] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9966), 1,
      anon_sym_LPAREN,
    STATE(6051), 1,
      aux_sym_annotation_repeat1,
    STATE(7590), 1,
      sym_arguments,
    STATE(6053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315311] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_AT,
    STATE(6263), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7970), 1,
      sym_annotation,
    STATE(6058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315481] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9711), 1,
      anon_sym_LPAREN,
    STATE(6071), 1,
      aux_sym_annotation_repeat1,
    STATE(7445), 1,
      sym_arguments,
    STATE(6062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315858] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10771), 1,
      anon_sym_LPAREN,
    STATE(7445), 1,
      sym_arguments,
    STATE(6071), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315944] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10774), 1,
      anon_sym_COLON,
    ACTIONS(10777), 1,
      anon_sym_LBRACE,
    STATE(8660), 1,
      sym_template_body,
    STATE(6073), 2,
      sym_comment,
      sym_block_comment,
    STATE(8241), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316444] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10780), 1,
      anon_sym_COLON,
    ACTIONS(10782), 1,
      anon_sym_LBRACE,
    ACTIONS(10784), 1,
      anon_sym_with,
    STATE(6400), 1,
      aux_sym_compound_type_repeat1,
    STATE(10533), 1,
      sym__refinement,
    STATE(10537), 1,
      sym_template_body,
    STATE(6085), 2,
      sym_comment,
      sym_block_comment,
    STATE(10601), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10788), 1,
      sym__backquoted_id,
    STATE(6089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10786), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [316704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316991] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10569), 1,
      anon_sym_AT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    STATE(6098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [317052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317134] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7676), 1,
      sym_interpolated_string,
    STATE(15524), 1,
      sym__interpolated_multiline_string_start,
    STATE(15526), 1,
      sym__interpolated_string_start,
    ACTIONS(10528), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10794), 1,
      anon_sym_DOT,
    STATE(6103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317396] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [317469] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10800), 1,
      anon_sym_LPAREN,
    STATE(7689), 1,
      sym_arguments,
    STATE(6108), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317639] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10070), 1,
      anon_sym_LPAREN,
    STATE(6108), 1,
      aux_sym_annotation_repeat1,
    STATE(7689), 1,
      sym_arguments,
    STATE(6112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317727] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10569), 1,
      anon_sym_AT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    STATE(6114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [317788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318159] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10807), 1,
      anon_sym_with,
    STATE(6124), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10810), 1,
      anon_sym_DOT,
    STATE(6125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318245] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10812), 1,
      anon_sym_LBRACK,
    ACTIONS(10814), 1,
      anon_sym_AT,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_POUND,
    STATE(8667), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8746), 1,
      sym_type_arguments,
    STATE(9468), 1,
      sym_annotation,
    STATE(9625), 1,
      sym_arguments,
    STATE(6126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318302] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10656), 1,
      anon_sym_LBRACK,
    ACTIONS(10660), 1,
      anon_sym_POUND,
    ACTIONS(10820), 1,
      anon_sym_AT,
    STATE(7579), 1,
      sym_type_arguments,
    STATE(7628), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9024), 1,
      sym_annotation,
    STATE(6127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318355] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10822), 1,
      anon_sym_DOT,
    STATE(6128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [318480] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9763), 1,
      anon_sym_LPAREN,
    STATE(6132), 1,
      aux_sym_annotation_repeat1,
    STATE(7607), 1,
      sym_arguments,
    STATE(6131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318527] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10824), 1,
      anon_sym_LPAREN,
    STATE(7607), 1,
      sym_arguments,
    STATE(6132), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318572] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10827), 1,
      anon_sym_AT,
    STATE(7743), 1,
      sym_annotation,
    STATE(6133), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318617] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9115), 1,
      anon_sym_DOT,
    ACTIONS(10374), 1,
      sym__alpha_identifier,
    ACTIONS(10380), 1,
      sym__backquoted_id,
    ACTIONS(10382), 1,
      sym_operator_identifier,
    ACTIONS(10830), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4026), 1,
      sym__soft_identifier,
    STATE(6134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(6849), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [318682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10832), 1,
      anon_sym_DOT,
    STATE(6137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [319260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [319301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319834] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9767), 1,
      anon_sym_AT,
    STATE(6133), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7743), 1,
      sym_annotation,
    STATE(6163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10834), 1,
      anon_sym_DOT,
    STATE(6164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [320088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6972), 1,
      sym__end_marker,
    STATE(6173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10836), 1,
      anon_sym_with,
    STATE(6181), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321076] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10780), 1,
      anon_sym_COLON,
    ACTIONS(10782), 1,
      anon_sym_LBRACE,
    ACTIONS(10784), 1,
      anon_sym_with,
    STATE(6400), 1,
      aux_sym_compound_type_repeat1,
    STATE(10533), 1,
      sym__refinement,
    STATE(10537), 1,
      sym_template_body,
    ACTIONS(8288), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6193), 2,
      sym_comment,
      sym_block_comment,
    STATE(10601), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [321178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321383] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10839), 1,
      anon_sym_COLON,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    ACTIONS(10843), 1,
      anon_sym_with,
    STATE(9290), 1,
      aux_sym_compound_type_repeat1,
    STATE(10534), 1,
      sym__refinement,
    STATE(10605), 1,
      sym_template_body,
    STATE(6200), 2,
      sym_comment,
      sym_block_comment,
    STATE(10579), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10845), 1,
      anon_sym_with,
    STATE(6209), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321809] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10848), 1,
      anon_sym_COLON,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    ACTIONS(10853), 1,
      anon_sym_with,
    STATE(6508), 1,
      aux_sym_compound_type_repeat1,
    STATE(10172), 1,
      sym_template_body,
    STATE(10173), 1,
      sym__refinement,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6210), 2,
      sym_comment,
      sym_block_comment,
    STATE(10367), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 4,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321870] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10855), 1,
      anon_sym_COLON,
    ACTIONS(10857), 1,
      anon_sym_LBRACE,
    ACTIONS(10859), 1,
      anon_sym_with,
    STATE(6476), 1,
      aux_sym_compound_type_repeat1,
    STATE(10635), 1,
      sym__refinement,
    STATE(10636), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6211), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [322013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [322259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10861), 1,
      anon_sym_with,
    STATE(6227), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322753] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10864), 1,
      anon_sym_with,
    STATE(6232), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323247] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10867), 1,
      anon_sym_with,
    STATE(6245), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323620] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10870), 1,
      anon_sym_LBRACK,
    ACTIONS(10872), 1,
      anon_sym_LPAREN,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    STATE(7969), 1,
      aux_sym_annotation_repeat1,
    STATE(8339), 1,
      sym_type_arguments,
    STATE(9109), 1,
      sym_arguments,
    STATE(6253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10546), 1,
      anon_sym_EQ_GT,
    STATE(6260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324046] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10876), 1,
      anon_sym_AT,
    STATE(7970), 1,
      sym_annotation,
    STATE(6263), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324378] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    ACTIONS(10879), 1,
      anon_sym_EQ_GT,
    STATE(6271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324423] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10482), 1,
      anon_sym_with,
    STATE(9020), 1,
      aux_sym_compound_type_repeat1,
    STATE(9816), 1,
      sym__refinement,
    STATE(9997), 1,
      sym_template_body,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324679] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10881), 1,
      anon_sym_COLON,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      anon_sym_with,
    STATE(9201), 1,
      aux_sym_compound_type_repeat1,
    STATE(10488), 1,
      sym__refinement,
    STATE(10518), 1,
      sym_template_body,
    STATE(6278), 2,
      sym_comment,
      sym_block_comment,
    STATE(10525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324775] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9635), 1,
      anon_sym_LPAREN,
    STATE(6295), 1,
      aux_sym_annotation_repeat1,
    STATE(8014), 1,
      sym_arguments,
    STATE(6280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325027] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10887), 1,
      anon_sym_LPAREN,
    STATE(8033), 1,
      sym_arguments,
    STATE(6286), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325277] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9357), 1,
      anon_sym_LPAREN,
    STATE(6286), 1,
      aux_sym_annotation_repeat1,
    STATE(8033), 1,
      sym_arguments,
    STATE(6292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325406] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(8014), 1,
      sym_arguments,
    STATE(6295), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10893), 1,
      anon_sym_AT,
    STATE(8078), 1,
      sym_annotation,
    STATE(6307), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325947] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10896), 1,
      anon_sym_LBRACK,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    ACTIONS(10900), 1,
      anon_sym_POUND,
    STATE(7818), 1,
      aux_sym_annotation_repeat1,
    STATE(8093), 1,
      sym_type_arguments,
    STATE(8869), 1,
      sym_arguments,
    STATE(6308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10902), 1,
      anon_sym_DOT,
    STATE(6309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326043] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10904), 1,
      anon_sym_DOT,
    STATE(6310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326209] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10906), 1,
      anon_sym_LPAREN,
    STATE(8072), 1,
      sym_arguments,
    STATE(6314), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326377] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    STATE(6314), 1,
      aux_sym_annotation_repeat1,
    STATE(8072), 1,
      sym_arguments,
    STATE(6318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326424] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10909), 1,
      anon_sym_AT,
    STATE(8074), 1,
      sym_annotation,
    STATE(6319), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10912), 1,
      anon_sym_AT,
    STATE(7765), 1,
      sym_annotation,
    STATE(6321), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 23,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [326553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326594] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10249), 1,
      sym_interpolated_string,
    STATE(14914), 1,
      sym__interpolated_string_start,
    STATE(14915), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326647] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10915), 1,
      anon_sym_AT,
    STATE(8056), 1,
      sym_annotation,
    STATE(6324), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10918), 1,
      anon_sym_DOT,
    STATE(6325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326735] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326823] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10839), 1,
      anon_sym_COLON,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    ACTIONS(10843), 1,
      anon_sym_with,
    STATE(6200), 1,
      aux_sym_compound_type_repeat1,
    STATE(10570), 1,
      sym__refinement,
    STATE(10605), 1,
      sym_template_body,
    ACTIONS(8288), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6328), 2,
      sym_comment,
      sym_block_comment,
    STATE(10579), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327048] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9854), 1,
      anon_sym_AT,
    STATE(6307), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8078), 1,
      sym_annotation,
    STATE(6333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327095] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    ACTIONS(10853), 1,
      anon_sym_with,
    STATE(6508), 1,
      aux_sym_compound_type_repeat1,
    STATE(10172), 1,
      sym_template_body,
    STATE(10173), 1,
      sym__refinement,
    STATE(6334), 2,
      sym_comment,
      sym_block_comment,
    STATE(10367), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [327148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327189] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10881), 1,
      anon_sym_COLON,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      anon_sym_with,
    STATE(6278), 1,
      aux_sym_compound_type_repeat1,
    STATE(10518), 1,
      sym_template_body,
    STATE(10600), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6336), 2,
      sym_comment,
      sym_block_comment,
    STATE(10525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327332] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10855), 1,
      anon_sym_COLON,
    ACTIONS(10857), 1,
      anon_sym_LBRACE,
    ACTIONS(10859), 1,
      anon_sym_with,
    STATE(6476), 1,
      aux_sym_compound_type_repeat1,
    STATE(10635), 1,
      sym__refinement,
    STATE(10636), 1,
      sym_template_body,
    STATE(6339), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327387] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10920), 1,
      anon_sym_LBRACK,
    ACTIONS(10922), 1,
      anon_sym_LPAREN,
    ACTIONS(10924), 1,
      anon_sym_POUND,
    STATE(7892), 1,
      aux_sym_annotation_repeat1,
    STATE(8376), 1,
      sym_type_arguments,
    STATE(8988), 1,
      sym_arguments,
    STATE(6340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327440] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10926), 1,
      anon_sym_LPAREN,
    STATE(7985), 1,
      sym_arguments,
    STATE(6341), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327526] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10929), 1,
      anon_sym_LPAREN,
    STATE(8046), 1,
      sym_arguments,
    STATE(6343), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327571] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10735), 1,
      anon_sym_COLON,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    ACTIONS(10739), 1,
      anon_sym_with,
    STATE(8787), 1,
      aux_sym_compound_type_repeat1,
    STATE(10557), 1,
      sym__refinement,
    STATE(10595), 1,
      sym_template_body,
    STATE(6344), 2,
      sym_comment,
      sym_block_comment,
    STATE(10646), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327626] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9398), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8764), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [327691] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6346), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8454), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327785] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10009), 1,
      anon_sym_LPAREN,
    STATE(6341), 1,
      aux_sym_annotation_repeat1,
    STATE(7985), 1,
      sym_arguments,
    STATE(6348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327832] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9520), 1,
      anon_sym_AT,
    STATE(6319), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8074), 1,
      sym_annotation,
    STATE(6349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327920] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10936), 1,
      anon_sym_AT,
    STATE(7967), 1,
      sym_annotation,
    STATE(6351), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327965] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328092] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9729), 1,
      anon_sym_AT,
    STATE(6324), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8056), 1,
      sym_annotation,
    STATE(6355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328139] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6356), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328194] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10939), 1,
      anon_sym_AT,
    STATE(7922), 1,
      sym_annotation,
    STATE(6357), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328239] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328364] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10881), 1,
      anon_sym_COLON,
    ACTIONS(10883), 1,
      anon_sym_LBRACE,
    ACTIONS(10885), 1,
      anon_sym_with,
    STATE(6278), 1,
      aux_sym_compound_type_repeat1,
    STATE(10518), 1,
      sym_template_body,
    STATE(10600), 1,
      sym__refinement,
    STATE(6361), 2,
      sym_comment,
      sym_block_comment,
    STATE(10525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328419] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8625), 1,
      sym_interpolated_string,
    STATE(15635), 1,
      sym__interpolated_string_start,
    STATE(15636), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10942), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328595] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328679] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10057), 1,
      anon_sym_LPAREN,
    STATE(6343), 1,
      aux_sym_annotation_repeat1,
    STATE(8046), 1,
      sym_arguments,
    STATE(6368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10944), 1,
      anon_sym_with,
    STATE(6371), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328935] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8374), 1,
      sym_interpolated_string,
    STATE(15613), 1,
      sym__interpolated_multiline_string_start,
    STATE(15631), 1,
      sym__interpolated_string_start,
    ACTIONS(10947), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10949), 1,
      anon_sym_with,
    STATE(6376), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329072] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9894), 1,
      anon_sym_AT,
    STATE(6351), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7967), 1,
      sym_annotation,
    STATE(6377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329119] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9168), 1,
      anon_sym_DOT,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(10952), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6378), 2,
      sym_comment,
      sym_block_comment,
    STATE(6715), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [329184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9092), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10956), 1,
      sym__backquoted_id,
    STATE(6382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10954), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329391] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10958), 1,
      anon_sym_LPAREN,
    STATE(7802), 1,
      sym_arguments,
    STATE(6384), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329559] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10113), 1,
      anon_sym_LPAREN,
    STATE(6384), 1,
      aux_sym_annotation_repeat1,
    STATE(7802), 1,
      sym_arguments,
    STATE(6388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10027), 1,
      anon_sym_AT,
    STATE(6357), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7922), 1,
      sym_annotation,
    STATE(6390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329737] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10741), 1,
      anon_sym_COLON,
    ACTIONS(10743), 1,
      anon_sym_LBRACE,
    ACTIONS(10745), 1,
      anon_sym_with,
    STATE(6017), 1,
      aux_sym_compound_type_repeat1,
    STATE(10560), 1,
      sym__refinement,
    STATE(10562), 1,
      sym_template_body,
    ACTIONS(8288), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6392), 2,
      sym_comment,
      sym_block_comment,
    STATE(10505), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330085] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10780), 1,
      anon_sym_COLON,
    ACTIONS(10782), 1,
      anon_sym_LBRACE,
    ACTIONS(10784), 1,
      anon_sym_with,
    STATE(9284), 1,
      aux_sym_compound_type_repeat1,
    STATE(10528), 1,
      sym__refinement,
    STATE(10537), 1,
      sym_template_body,
    STATE(6400), 2,
      sym_comment,
      sym_block_comment,
    STATE(10601), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330140] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1548), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(10182), 1,
      anon_sym_DOT,
    ACTIONS(10961), 1,
      sym__alpha_identifier,
    ACTIONS(10965), 1,
      anon_sym_EQ,
    ACTIONS(10967), 1,
      sym__backquoted_id,
    ACTIONS(10969), 1,
      sym_operator_identifier,
    STATE(552), 1,
      sym_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(6401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(9067), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [330205] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10971), 1,
      anon_sym_LBRACK,
    ACTIONS(10973), 1,
      anon_sym_LPAREN,
    ACTIONS(10975), 1,
      anon_sym_POUND,
    STATE(8416), 1,
      sym_type_arguments,
    STATE(8594), 1,
      aux_sym_annotation_repeat1,
    STATE(9480), 1,
      sym_arguments,
    STATE(6402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8166), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330258] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1444), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(10243), 1,
      anon_sym_DOT,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10981), 1,
      anon_sym_EQ,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(6403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(9157), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [330323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330528] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10741), 1,
      anon_sym_COLON,
    ACTIONS(10743), 1,
      anon_sym_LBRACE,
    ACTIONS(10745), 1,
      anon_sym_with,
    STATE(6017), 1,
      aux_sym_compound_type_repeat1,
    STATE(10560), 1,
      sym__refinement,
    STATE(10562), 1,
      sym_template_body,
    STATE(6409), 2,
      sym_comment,
      sym_block_comment,
    STATE(10505), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330583] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10256), 1,
      anon_sym_LBRACK,
    ACTIONS(10258), 1,
      anon_sym_AT,
    ACTIONS(10262), 1,
      anon_sym_POUND,
    STATE(7840), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8638), 1,
      sym_type_arguments,
    STATE(8740), 1,
      sym_annotation,
    STATE(6410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10987), 1,
      sym__backquoted_id,
    STATE(6413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7356), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10989), 1,
      sym__backquoted_id,
    STATE(6415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7354), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330841] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10064), 1,
      anon_sym_AT,
    STATE(6032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7413), 1,
      sym_annotation,
    STATE(6416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10991), 1,
      sym__backquoted_id,
    STATE(6418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7312), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331011] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1692), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10078), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      sym__alpha_identifier,
    ACTIONS(10995), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_EQ,
    ACTIONS(11001), 1,
      sym__backquoted_id,
    ACTIONS(11003), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4053), 1,
      sym__soft_identifier,
    STATE(6420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9559), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10997), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331076] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11005), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_with,
    STATE(6588), 1,
      aux_sym_compound_type_repeat1,
    STATE(10429), 1,
      sym_template_body,
    STATE(10433), 1,
      sym__refinement,
    STATE(6421), 2,
      sym_comment,
      sym_block_comment,
    STATE(10331), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331170] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8770), 1,
      sym_operator_identifier,
    STATE(1726), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [331227] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(6424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331333] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1512), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    ACTIONS(11011), 1,
      sym__alpha_identifier,
    ACTIONS(11013), 1,
      anon_sym_DOT,
    ACTIONS(11017), 1,
      anon_sym_EQ,
    ACTIONS(11019), 1,
      sym__backquoted_id,
    ACTIONS(11021), 1,
      sym_operator_identifier,
    STATE(551), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(6426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9421), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11015), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331398] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8625), 1,
      sym_interpolated_string,
    STATE(15635), 1,
      sym__interpolated_string_start,
    STATE(15636), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11023), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331492] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8374), 1,
      sym_interpolated_string,
    STATE(15613), 1,
      sym__interpolated_multiline_string_start,
    STATE(15631), 1,
      sym__interpolated_string_start,
    ACTIONS(11025), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331545] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1512), 1,
      anon_sym_LBRACE,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    ACTIONS(11013), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6430), 2,
      sym_comment,
      sym_block_comment,
    STATE(9421), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(6431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4130), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331680] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9168), 1,
      anon_sym_DOT,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(11027), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6433), 2,
      sym_comment,
      sym_block_comment,
    STATE(6715), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331745] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9055), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331788] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11029), 1,
      anon_sym_with,
    STATE(6930), 1,
      aux_sym_compound_type_repeat1,
    STATE(9625), 1,
      sym_arguments,
    STATE(9626), 1,
      sym__refinement,
    STATE(9629), 1,
      sym_template_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331882] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      sym__backquoted_id,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(11031), 1,
      anon_sym_LBRACK,
    ACTIONS(11033), 1,
      anon_sym_POUND,
    STATE(8288), 1,
      sym_type_arguments,
    STATE(8473), 1,
      aux_sym_annotation_repeat1,
    STATE(9431), 1,
      sym_arguments,
    STATE(6437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331935] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1512), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    ACTIONS(11013), 1,
      anon_sym_DOT,
    ACTIONS(11035), 1,
      sym_operator_identifier,
    STATE(1675), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9421), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [332000] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1512), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    ACTIONS(11013), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6439), 2,
      sym_comment,
      sym_block_comment,
    STATE(9421), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332424] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    ACTIONS(11037), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(6449), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [332489] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11039), 1,
      anon_sym_with,
    STATE(6450), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332655] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11042), 1,
      anon_sym_AT,
    STATE(7578), 1,
      sym_annotation,
    STATE(6454), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11045), 1,
      anon_sym_DOT,
    STATE(6455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333030] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10720), 1,
      anon_sym_LBRACK,
    ACTIONS(10722), 1,
      anon_sym_AT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    STATE(7897), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8206), 1,
      sym_type_arguments,
    STATE(8819), 1,
      sym_annotation,
    STATE(6463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7381), 1,
      sym_arguments,
    STATE(6472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333577] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10855), 1,
      anon_sym_COLON,
    ACTIONS(10857), 1,
      anon_sym_LBRACE,
    ACTIONS(10859), 1,
      anon_sym_with,
    STATE(9243), 1,
      aux_sym_compound_type_repeat1,
    STATE(10632), 1,
      sym__refinement,
    STATE(10636), 1,
      sym_template_body,
    STATE(6476), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11047), 1,
      anon_sym_DOT,
    STATE(6487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334087] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9737), 1,
      anon_sym_AT,
    STATE(6454), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7578), 1,
      sym_annotation,
    STATE(6488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334134] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(10049), 1,
      anon_sym_DOT,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11053), 1,
      anon_sym_EQ,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(6489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8199), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [334199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334281] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10735), 1,
      anon_sym_COLON,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    ACTIONS(10739), 1,
      anon_sym_with,
    STATE(6344), 1,
      aux_sym_compound_type_repeat1,
    STATE(10591), 1,
      sym__refinement,
    STATE(10595), 1,
      sym_template_body,
    STATE(6492), 2,
      sym_comment,
      sym_block_comment,
    STATE(10646), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11059), 1,
      anon_sym_DOT,
    STATE(6499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [334625] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11061), 1,
      anon_sym_COLON,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(8184), 1,
      sym_template_body,
    STATE(6500), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9119), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334963] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    ACTIONS(10853), 1,
      anon_sym_with,
    STATE(9264), 1,
      aux_sym_compound_type_repeat1,
    STATE(10172), 1,
      sym_template_body,
    STATE(10195), 1,
      sym__refinement,
    STATE(6508), 2,
      sym_comment,
      sym_block_comment,
    STATE(10367), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [335016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10308), 1,
      anon_sym_EQ_GT,
    STATE(6511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335182] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10670), 1,
      anon_sym_DOT,
    ACTIONS(11067), 1,
      anon_sym_EQ_GT,
    STATE(6513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335309] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9466), 1,
      sym_interpolated_string,
    STATE(15800), 1,
      sym__interpolated_multiline_string_start,
    STATE(15807), 1,
      sym__interpolated_string_start,
    ACTIONS(10458), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335526] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6521), 2,
      sym_comment,
      sym_block_comment,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11071), 1,
      anon_sym_with,
    STATE(6523), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335952] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11074), 1,
      anon_sym_AT,
    STATE(7741), 1,
      sym_annotation,
    STATE(6531), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335997] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6532), 2,
      sym_comment,
      sym_block_comment,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336093] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10690), 1,
      anon_sym_DOT,
    ACTIONS(11077), 1,
      anon_sym_EQ_GT,
    STATE(6534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11079), 1,
      anon_sym_DOT,
    STATE(6536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336304] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11081), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_LBRACE,
    ACTIONS(11086), 1,
      anon_sym_with,
    STATE(6607), 1,
      aux_sym_compound_type_repeat1,
    STATE(10344), 1,
      sym_template_body,
    STATE(10393), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6539), 2,
      sym_comment,
      sym_block_comment,
    STATE(10242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336570] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10249), 1,
      sym_interpolated_string,
    STATE(14914), 1,
      sym__interpolated_string_start,
    STATE(14915), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11088), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    STATE(6549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336830] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1548), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(10182), 1,
      anon_sym_DOT,
    ACTIONS(10961), 1,
      sym__alpha_identifier,
    ACTIONS(10967), 1,
      sym__backquoted_id,
    ACTIONS(10969), 1,
      sym_operator_identifier,
    ACTIONS(11092), 1,
      anon_sym_EQ,
    STATE(552), 1,
      sym_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(6551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(9067), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [336895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336977] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10591), 1,
      anon_sym_POUND,
    ACTIONS(11094), 1,
      anon_sym_AT,
    STATE(7534), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8027), 1,
      sym_type_arguments,
    STATE(8791), 1,
      sym_annotation,
    STATE(6554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337030] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4224), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(6555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337198] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1692), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10078), 1,
      anon_sym_LPAREN,
    ACTIONS(10995), 1,
      anon_sym_DOT,
    ACTIONS(11096), 1,
      sym_operator_identifier,
    STATE(1755), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9559), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [337263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337306] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11098), 1,
      anon_sym_AT,
    STATE(7997), 1,
      sym_annotation,
    STATE(6561), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337351] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10720), 1,
      anon_sym_LBRACK,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(11101), 1,
      anon_sym_LPAREN,
    STATE(8039), 1,
      aux_sym_annotation_repeat1,
    STATE(8206), 1,
      sym_type_arguments,
    STATE(9205), 1,
      sym_arguments,
    STATE(6562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7213), 1,
      sym_arguments,
    STATE(6563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338187] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9674), 1,
      anon_sym_AT,
    STATE(6531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7741), 1,
      sym_annotation,
    STATE(6582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338275] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11103), 1,
      anon_sym_AT,
    STATE(7857), 1,
      sym_annotation,
    STATE(6584), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338443] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11005), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_with,
    STATE(9133), 1,
      aux_sym_compound_type_repeat1,
    STATE(10389), 1,
      sym__refinement,
    STATE(10429), 1,
      sym_template_body,
    STATE(6588), 2,
      sym_comment,
      sym_block_comment,
    STATE(10331), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338578] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4210), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(6591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338664] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11106), 1,
      anon_sym_LPAREN,
    STATE(7734), 1,
      sym_arguments,
    STATE(6593), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338750] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    STATE(6593), 1,
      aux_sym_annotation_repeat1,
    STATE(7734), 1,
      sym_arguments,
    STATE(6595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338797] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9929), 1,
      anon_sym_AT,
    STATE(6561), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7997), 1,
      sym_annotation,
    STATE(6596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6858), 1,
      sym_arguments,
    STATE(6597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1692), 1,
      anon_sym_LBRACE,
    ACTIONS(10078), 1,
      anon_sym_LPAREN,
    ACTIONS(10995), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6598), 2,
      sym_comment,
      sym_block_comment,
    STATE(9559), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339022] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4190), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(6601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339067] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11084), 1,
      anon_sym_LBRACE,
    ACTIONS(11086), 1,
      anon_sym_with,
    STATE(6607), 1,
      aux_sym_compound_type_repeat1,
    STATE(10344), 1,
      sym_template_body,
    STATE(10393), 1,
      sym__refinement,
    STATE(6602), 2,
      sym_comment,
      sym_block_comment,
    STATE(10242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339161] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11109), 1,
      anon_sym_DOT,
    STATE(6604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11111), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_arguments,
    STATE(6606), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339290] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11084), 1,
      anon_sym_LBRACE,
    ACTIONS(11086), 1,
      anon_sym_with,
    STATE(8904), 1,
      aux_sym_compound_type_repeat1,
    STATE(10301), 1,
      sym__refinement,
    STATE(10344), 1,
      sym_template_body,
    STATE(6607), 2,
      sym_comment,
      sym_block_comment,
    STATE(10242), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339343] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9975), 1,
      anon_sym_LPAREN,
    STATE(6606), 1,
      aux_sym_annotation_repeat1,
    STATE(7657), 1,
      sym_arguments,
    STATE(6608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339390] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9426), 1,
      anon_sym_AT,
    STATE(6584), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7857), 1,
      sym_annotation,
    STATE(6609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339478] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10256), 1,
      anon_sym_LBRACK,
    ACTIONS(10262), 1,
      anon_sym_POUND,
    ACTIONS(11114), 1,
      anon_sym_LPAREN,
    STATE(7958), 1,
      aux_sym_annotation_repeat1,
    STATE(8638), 1,
      sym_type_arguments,
    STATE(8978), 1,
      sym_arguments,
    STATE(6611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339531] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10216), 1,
      anon_sym_EQ_GT,
    STATE(6612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339656] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1692), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(10078), 1,
      anon_sym_LPAREN,
    ACTIONS(10995), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6615), 2,
      sym_comment,
      sym_block_comment,
    STATE(9559), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339711] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    ACTIONS(9270), 1,
      anon_sym_DOT,
    ACTIONS(10388), 1,
      sym__alpha_identifier,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    ACTIONS(10396), 1,
      sym_operator_identifier,
    ACTIONS(11116), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(6616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(6973), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10390), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [339776] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11121), 1,
      anon_sym_LBRACE,
    STATE(8370), 1,
      sym_template_body,
    STATE(6617), 2,
      sym_comment,
      sym_block_comment,
    STATE(8236), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339907] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10227), 1,
      anon_sym_LBRACK,
    ACTIONS(10231), 1,
      anon_sym_POUND,
    ACTIONS(11124), 1,
      anon_sym_AT,
    STATE(7398), 1,
      sym_type_arguments,
    STATE(7797), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9086), 1,
      sym_annotation,
    STATE(6620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340083] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10597), 1,
      anon_sym_LBRACK,
    ACTIONS(10601), 1,
      anon_sym_POUND,
    ACTIONS(11126), 1,
      anon_sym_AT,
    STATE(7837), 1,
      sym_type_arguments,
    STATE(8581), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9652), 1,
      sym_annotation,
    STATE(6624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6684), 1,
      sym__end_marker,
    STATE(6625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340302] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10839), 1,
      anon_sym_COLON,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    ACTIONS(10843), 1,
      anon_sym_with,
    STATE(6200), 1,
      aux_sym_compound_type_repeat1,
    STATE(10570), 1,
      sym__refinement,
    STATE(10605), 1,
      sym_template_body,
    STATE(6629), 2,
      sym_comment,
      sym_block_comment,
    STATE(10579), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11128), 1,
      anon_sym_DOT,
    STATE(6633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340564] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1444), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(10243), 1,
      anon_sym_DOT,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    ACTIONS(11130), 1,
      anon_sym_EQ,
    STATE(548), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(6635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(9157), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [340629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10196), 1,
      anon_sym_EQ_GT,
    STATE(6637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11132), 1,
      sym__backquoted_id,
    STATE(6638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340836] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11134), 1,
      anon_sym_COLON,
    ACTIONS(11137), 1,
      anon_sym_LBRACE,
    STATE(8521), 1,
      sym_template_body,
    STATE(6641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8124), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [341010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341504] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1640), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(10126), 1,
      anon_sym_DOT,
    ACTIONS(11140), 1,
      sym__alpha_identifier,
    ACTIONS(11144), 1,
      anon_sym_EQ,
    ACTIONS(11146), 1,
      sym__backquoted_id,
    ACTIONS(11148), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    STATE(6657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    STATE(8396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(11142), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [341569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341931] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10254), 1,
      anon_sym_AT,
    STATE(7037), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8503), 1,
      sym_annotation,
    STATE(6667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342057] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11150), 1,
      anon_sym_with,
    STATE(6674), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342301] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342347] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym__alpha_identifier,
    ACTIONS(9473), 1,
      sym__backquoted_id,
    ACTIONS(9475), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3884), 1,
      sym__soft_identifier,
    STATE(6677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9469), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [342401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342441] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11153), 1,
      anon_sym_DOT,
    STATE(6679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342523] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11155), 1,
      anon_sym_COLON,
    ACTIONS(11157), 1,
      anon_sym_LBRACE,
    ACTIONS(11159), 1,
      anon_sym_with,
    STATE(7266), 1,
      aux_sym_compound_type_repeat1,
    STATE(10880), 1,
      sym__refinement,
    STATE(10885), 1,
      sym_template_body,
    STATE(6681), 2,
      sym_comment,
      sym_block_comment,
    STATE(10812), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4238), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(6685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11161), 1,
      anon_sym_DOT,
    STATE(6690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343383] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9155), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343505] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11163), 1,
      anon_sym_LPAREN,
    STATE(8356), 1,
      sym_arguments,
    STATE(6705), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343749] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      anon_sym_LPAREN,
    STATE(8377), 1,
      sym_arguments,
    STATE(6711), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344275] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344317] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11169), 1,
      anon_sym_type,
    STATE(6725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [344359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345001] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11173), 1,
      anon_sym_RBRACK,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(6742), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [345071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345231] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11183), 1,
      anon_sym_AT,
    STATE(8202), 1,
      sym_annotation,
    STATE(6747), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4216), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(6751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11186), 1,
      anon_sym_DOT,
    STATE(6760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345921] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10210), 1,
      anon_sym_LPAREN,
    STATE(6705), 1,
      aux_sym_annotation_repeat1,
    STATE(8356), 1,
      sym_arguments,
    STATE(6764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346089] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11188), 1,
      anon_sym_with,
    STATE(6768), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346131] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10031), 1,
      sym__backquoted_id,
    STATE(4396), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6769), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(11191), 10,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346219] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    STATE(6711), 1,
      aux_sym_annotation_repeat1,
    STATE(8377), 1,
      sym_arguments,
    STATE(6771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346345] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10896), 1,
      anon_sym_LBRACK,
    ACTIONS(10900), 1,
      anon_sym_POUND,
    ACTIONS(11193), 1,
      anon_sym_AT,
    STATE(8093), 1,
      sym_type_arguments,
    STATE(8347), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9477), 1,
      sym_annotation,
    STATE(6774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346397] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11197), 1,
      anon_sym_LBRACE,
    ACTIONS(11199), 1,
      anon_sym_with,
    STATE(7375), 1,
      aux_sym_compound_type_repeat1,
    STATE(10907), 1,
      sym_template_body,
    STATE(10910), 1,
      sym__refinement,
    ACTIONS(8288), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6775), 2,
      sym_comment,
      sym_block_comment,
    STATE(10740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10760), 1,
      anon_sym_EQ_GT,
    STATE(6780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346659] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11201), 1,
      anon_sym_AT,
    STATE(8578), 1,
      sym_annotation,
    STATE(6781), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346823] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11204), 1,
      anon_sym_with,
    STATE(6785), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11207), 1,
      anon_sym_AT,
    STATE(8424), 1,
      sym_annotation,
    STATE(6791), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11210), 1,
      anon_sym_DOT,
    STATE(6792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347151] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    ACTIONS(9149), 1,
      anon_sym_with,
    ACTIONS(11212), 1,
      anon_sym_LBRACE,
    STATE(7275), 1,
      aux_sym_compound_type_repeat1,
    STATE(8168), 1,
      sym_template_body,
    STATE(8175), 1,
      sym__refinement,
    ACTIONS(8288), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347411] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(10329), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_with,
    ACTIONS(11215), 1,
      anon_sym_LBRACE,
    STATE(7349), 1,
      aux_sym_compound_type_repeat1,
    STATE(9799), 1,
      sym_template_body,
    STATE(9800), 1,
      sym__refinement,
    ACTIONS(8288), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6799), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347591] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11218), 1,
      anon_sym_COLON,
    ACTIONS(11220), 1,
      anon_sym_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_with,
    STATE(7052), 1,
      aux_sym_compound_type_repeat1,
    STATE(10800), 1,
      sym__refinement,
    STATE(10906), 1,
      sym_template_body,
    STATE(6803), 2,
      sym_comment,
      sym_block_comment,
    STATE(10872), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347925] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    STATE(6816), 1,
      aux_sym_annotation_repeat1,
    STATE(8458), 1,
      sym_arguments,
    STATE(6811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348135] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11224), 1,
      anon_sym_LPAREN,
    STATE(8458), 1,
      sym_arguments,
    STATE(6816), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348341] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11227), 1,
      anon_sym_LPAREN,
    STATE(8492), 1,
      sym_arguments,
    STATE(6821), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348545] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10685), 1,
      anon_sym_LPAREN,
    STATE(6821), 1,
      aux_sym_annotation_repeat1,
    STATE(8492), 1,
      sym_arguments,
    STATE(6826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348871] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4237), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(6834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348915] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10156), 1,
      anon_sym_LPAREN,
    STATE(6943), 1,
      aux_sym_annotation_repeat1,
    STATE(8528), 1,
      sym_arguments,
    STATE(6835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [348961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349161] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10646), 1,
      anon_sym_AT,
    STATE(6791), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8424), 1,
      sym_annotation,
    STATE(6841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349327] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11240), 1,
      anon_sym_RPAREN,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(15845), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(6845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [349403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349643] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11246), 1,
      anon_sym_with,
    STATE(6852), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349965] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350487] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11253), 1,
      anon_sym_with,
    STATE(6873), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350609] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11256), 1,
      anon_sym_DOT,
    STATE(6876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350931] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11197), 1,
      anon_sym_LBRACE,
    ACTIONS(11199), 1,
      anon_sym_with,
    STATE(7375), 1,
      aux_sym_compound_type_repeat1,
    STATE(10907), 1,
      sym_template_body,
    STATE(10910), 1,
      sym__refinement,
    STATE(6884), 2,
      sym_comment,
      sym_block_comment,
    STATE(10740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351265] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8932), 1,
      sym_operator_identifier,
    STATE(1747), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [351321] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_else,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11155), 1,
      anon_sym_COLON,
    ACTIONS(11157), 1,
      anon_sym_LBRACE,
    ACTIONS(11159), 1,
      anon_sym_with,
    STATE(7266), 1,
      aux_sym_compound_type_repeat1,
    STATE(10880), 1,
      sym__refinement,
    STATE(10885), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6893), 2,
      sym_comment,
      sym_block_comment,
    STATE(10812), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [351541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11258), 1,
      anon_sym_AT,
    STATE(8704), 1,
      sym_annotation,
    STATE(6898), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351745] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11261), 1,
      anon_sym_DOT,
    STATE(6903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351947] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_finally,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11218), 1,
      anon_sym_COLON,
    ACTIONS(11220), 1,
      anon_sym_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_with,
    STATE(7052), 1,
      aux_sym_compound_type_repeat1,
    STATE(10800), 1,
      sym__refinement,
    STATE(10906), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6908), 2,
      sym_comment,
      sym_block_comment,
    STATE(10872), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352847] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11029), 1,
      anon_sym_with,
    STATE(9533), 1,
      aux_sym_compound_type_repeat1,
    STATE(9534), 1,
      sym__refinement,
    STATE(9629), 1,
      sym_template_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353017] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7705), 1,
      sym_arguments,
    STATE(6934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11263), 1,
      anon_sym_LPAREN,
    STATE(8528), 1,
      sym_arguments,
    STATE(6943), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [353423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353623] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11266), 1,
      anon_sym_COLON,
    ACTIONS(11268), 1,
      anon_sym_LBRACE,
    ACTIONS(11270), 1,
      anon_sym_with,
    STATE(9601), 1,
      aux_sym_compound_type_repeat1,
    STATE(10765), 1,
      sym__refinement,
    STATE(10781), 1,
      sym_template_body,
    STATE(6949), 2,
      sym_comment,
      sym_block_comment,
    STATE(10939), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10812), 1,
      anon_sym_LBRACK,
    ACTIONS(10814), 1,
      anon_sym_AT,
    ACTIONS(10818), 1,
      anon_sym_POUND,
    STATE(8667), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8746), 1,
      sym_type_arguments,
    STATE(9468), 1,
      sym_annotation,
    STATE(6958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354049] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_EQ,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11274), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(7208), 1,
      aux_sym_compound_type_repeat1,
    STATE(10459), 1,
      sym_template_body,
    STATE(10460), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6959), 2,
      sym_comment,
      sym_block_comment,
    STATE(10444), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11278), 1,
      anon_sym_AT,
    STATE(8628), 1,
      sym_annotation,
    STATE(6961), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [354353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354673] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4226), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(6974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354717] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354879] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10555), 1,
      anon_sym_AT,
    STATE(6898), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8704), 1,
      sym_annotation,
    STATE(6979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10329), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_with,
    STATE(7349), 1,
      aux_sym_compound_type_repeat1,
    STATE(9799), 1,
      sym_template_body,
    STATE(9800), 1,
      sym__refinement,
    STATE(6980), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [355017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355097] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11281), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(6984), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [355167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11283), 1,
      anon_sym_with,
    STATE(6986), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [355369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355689] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    ACTIONS(9149), 1,
      anon_sym_with,
    STATE(7275), 1,
      aux_sym_compound_type_repeat1,
    STATE(8168), 1,
      sym_template_body,
    STATE(8175), 1,
      sym__refinement,
    STATE(6998), 2,
      sym_comment,
      sym_block_comment,
    STATE(8163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355741] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11286), 1,
      anon_sym_AT,
    STATE(8540), 1,
      sym_annotation,
    STATE(6999), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355865] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11289), 1,
      anon_sym_with,
    STATE(7002), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355947] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11274), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(7208), 1,
      aux_sym_compound_type_repeat1,
    STATE(10459), 1,
      sym_template_body,
    STATE(10460), 1,
      sym__refinement,
    STATE(7004), 2,
      sym_comment,
      sym_block_comment,
    STATE(10444), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [356161] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11292), 1,
      anon_sym_COLON,
    ACTIONS(11295), 1,
      anon_sym_LBRACE,
    STATE(9078), 1,
      sym_template_body,
    STATE(7009), 2,
      sym_comment,
      sym_block_comment,
    STATE(8800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9119), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356289] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10538), 1,
      anon_sym_AT,
    STATE(6961), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8628), 1,
      sym_annotation,
    STATE(7012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356335] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11298), 1,
      anon_sym_AT,
    STATE(8451), 1,
      sym_annotation,
    STATE(7013), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356379] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10585), 1,
      anon_sym_LPAREN,
    STATE(7089), 1,
      aux_sym_annotation_repeat1,
    STATE(8505), 1,
      sym_arguments,
    STATE(7014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356865] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11238), 1,
      anon_sym_AT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356965] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11301), 1,
      anon_sym_with,
    STATE(7028), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357047] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10798), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357159] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11238), 1,
      anon_sym_AT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11304), 1,
      anon_sym_AT,
    STATE(8503), 1,
      sym_annotation,
    STATE(7037), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357423] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11307), 1,
      anon_sym_COLON,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11311), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15436), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357499] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15432), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357575] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10496), 1,
      anon_sym_AT,
    STATE(6999), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8540), 1,
      sym_annotation,
    STATE(7040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357621] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11323), 1,
      anon_sym_EQ_GT,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11556), 1,
      sym_interpolated_string,
    STATE(14869), 1,
      sym__interpolated_string_start,
    STATE(14871), 1,
      sym__interpolated_multiline_string_start,
    STATE(16828), 1,
      sym_guard,
    STATE(7041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357697] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11333), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15283), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357773] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10810), 1,
      anon_sym_DOT,
    ACTIONS(11335), 1,
      anon_sym_EQ_GT,
    STATE(7043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357857] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    STATE(7059), 1,
      aux_sym_annotation_repeat1,
    STATE(8397), 1,
      sym_arguments,
    STATE(7045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9884), 1,
      anon_sym_AT,
    STATE(7013), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8451), 1,
      sym_annotation,
    STATE(7047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358109] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11337), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(14919), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [358185] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11218), 1,
      anon_sym_COLON,
    ACTIONS(11220), 1,
      anon_sym_LBRACE,
    ACTIONS(11222), 1,
      anon_sym_with,
    STATE(9331), 1,
      aux_sym_compound_type_repeat1,
    STATE(10826), 1,
      sym__refinement,
    STATE(10906), 1,
      sym_template_body,
    STATE(7052), 2,
      sym_comment,
      sym_block_comment,
    STATE(10872), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358239] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10164), 1,
      anon_sym_AT,
    STATE(7109), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8256), 1,
      sym_annotation,
    STATE(7053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358325] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358451] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11339), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7058), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [358521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11341), 1,
      anon_sym_LPAREN,
    STATE(8397), 1,
      sym_arguments,
    STATE(7059), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358605] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10229), 1,
      anon_sym_LPAREN,
    STATE(7075), 1,
      aux_sym_annotation_repeat1,
    STATE(8358), 1,
      sym_arguments,
    STATE(7061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358691] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    STATE(8337), 1,
      sym_arguments,
    STATE(7063), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358895] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7520), 1,
      sym__end_marker,
    STATE(7068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358937] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15191), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [359013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359053] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10589), 1,
      anon_sym_LPAREN,
    STATE(7063), 1,
      aux_sym_annotation_repeat1,
    STATE(8337), 1,
      sym_arguments,
    STATE(7071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11169), 1,
      anon_sym_type,
    STATE(7074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [359221] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    STATE(8358), 1,
      sym_arguments,
    STATE(7075), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8015), 1,
      sym_arguments,
    STATE(7081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359587] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11354), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7084), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [359657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [359697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359817] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11356), 1,
      anon_sym_LPAREN,
    STATE(8505), 1,
      sym_arguments,
    STATE(7089), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360261] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    ACTIONS(11359), 1,
      sym__alpha_identifier,
    ACTIONS(11361), 1,
      anon_sym_DOT,
    ACTIONS(11365), 1,
      anon_sym_EQ,
    ACTIONS(11367), 1,
      sym__backquoted_id,
    ACTIONS(11369), 1,
      sym_operator_identifier,
    STATE(576), 1,
      sym_identifier,
    STATE(4070), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(7100), 2,
      sym_comment,
      sym_block_comment,
    STATE(10074), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11363), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [360325] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11005), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_with,
    ACTIONS(11371), 1,
      anon_sym_COLON,
    STATE(6588), 1,
      aux_sym_compound_type_repeat1,
    STATE(10429), 1,
      sym_template_body,
    STATE(10433), 1,
      sym__refinement,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7101), 2,
      sym_comment,
      sym_block_comment,
    STATE(10331), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11374), 1,
      anon_sym_with,
    STATE(7104), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360547] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(11377), 1,
      anon_sym_EQ,
    ACTIONS(11379), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7106), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [360611] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11381), 1,
      anon_sym_DOT,
    STATE(7107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360653] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    ACTIONS(11383), 1,
      sym_operator_identifier,
    STATE(1798), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7108), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [360717] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11385), 1,
      anon_sym_AT,
    STATE(8256), 1,
      sym_annotation,
    STATE(7109), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360801] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11388), 1,
      anon_sym_AT,
    STATE(8232), 1,
      sym_annotation,
    STATE(7111), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360845] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11391), 1,
      anon_sym_DOT,
    STATE(7112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361047] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    ACTIONS(11393), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7117), 2,
      sym_comment,
      sym_block_comment,
    STATE(9771), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361101] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10879), 1,
      anon_sym_EQ_GT,
    STATE(7118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361143] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11395), 1,
      anon_sym_EQ_GT,
    STATE(7119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361307] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7651), 1,
      sym__end_marker,
    STATE(7123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361431] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9153), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361553] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11397), 1,
      anon_sym_AT,
    STATE(8188), 1,
      sym_annotation,
    STATE(7129), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361717] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11404), 1,
      anon_sym_EQ,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11408), 1,
      sym_operator_identifier,
    STATE(572), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7133), 2,
      sym_comment,
      sym_block_comment,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [361781] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    ACTIONS(11410), 1,
      sym_operator_identifier,
    STATE(1760), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7134), 2,
      sym_comment,
      sym_block_comment,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [361845] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11412), 1,
      anon_sym_COLON,
    ACTIONS(11415), 1,
      anon_sym_LBRACE,
    STATE(9056), 1,
      sym_template_body,
    STATE(7135), 2,
      sym_comment,
      sym_block_comment,
    STATE(8795), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361893] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11418), 1,
      anon_sym_LPAREN,
    STATE(8161), 1,
      sym_arguments,
    STATE(7136), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361977] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11421), 1,
      anon_sym_COLON,
    ACTIONS(11424), 1,
      anon_sym_LBRACE,
    STATE(8855), 1,
      sym_template_body,
    STATE(5208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 13,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362065] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362107] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9799), 1,
      anon_sym_LPAREN,
    STATE(7136), 1,
      aux_sym_annotation_repeat1,
    STATE(8161), 1,
      sym_arguments,
    STATE(7141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362393] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9153), 1,
      sym_interpolated_string,
    STATE(14740), 1,
      sym__interpolated_string_start,
    STATE(14744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11427), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362445] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1338), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    ACTIONS(10603), 1,
      sym__alpha_identifier,
    ACTIONS(10609), 1,
      sym__backquoted_id,
    ACTIONS(10611), 1,
      sym_operator_identifier,
    ACTIONS(11429), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4040), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7149), 2,
      sym_comment,
      sym_block_comment,
    STATE(7991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9157), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9159), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362593] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11431), 1,
      anon_sym_LPAREN,
    STATE(8099), 1,
      sym_arguments,
    STATE(7152), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8784), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362637] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10343), 1,
      anon_sym_AT,
    STATE(7111), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8232), 1,
      sym_annotation,
    STATE(7153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362683] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    ACTIONS(11434), 1,
      anon_sym_EQ_GT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11556), 1,
      sym_interpolated_string,
    STATE(14869), 1,
      sym__interpolated_string_start,
    STATE(14871), 1,
      sym__interpolated_multiline_string_start,
    STATE(16915), 1,
      sym_guard,
    STATE(7154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362759] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11436), 1,
      anon_sym_COLON,
    ACTIONS(11438), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(14777), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362835] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11440), 1,
      anon_sym_COLON,
    ACTIONS(11442), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(14771), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362951] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11444), 1,
      anon_sym_AT,
    STATE(8375), 1,
      sym_annotation,
    STATE(7158), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363115] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9950), 1,
      anon_sym_LPAREN,
    STATE(7152), 1,
      aux_sym_annotation_repeat1,
    STATE(8099), 1,
      sym_arguments,
    STATE(7163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8754), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363237] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10076), 1,
      anon_sym_AT,
    STATE(7129), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8188), 1,
      sym_annotation,
    STATE(7164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363283] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11447), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7165), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363353] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11449), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15347), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363429] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    ACTIONS(11393), 1,
      anon_sym_DOT,
    ACTIONS(11453), 1,
      sym_operator_identifier,
    STATE(1694), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7167), 2,
      sym_comment,
      sym_block_comment,
    STATE(9771), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363613] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11455), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7171), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363683] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11457), 1,
      anon_sym_LBRACK,
    ACTIONS(11459), 1,
      anon_sym_LPAREN,
    ACTIONS(11461), 1,
      anon_sym_POUND,
    STATE(9120), 1,
      aux_sym_annotation_repeat1,
    STATE(9232), 1,
      sym_type_arguments,
    STATE(9887), 1,
      sym_arguments,
    STATE(7172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363735] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11463), 1,
      anon_sym_COLON,
    ACTIONS(11465), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15126), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363811] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8770), 1,
      sym_operator_identifier,
    STATE(1726), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [363865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9218), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363947] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    ACTIONS(11393), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7177), 2,
      sym_comment,
      sym_block_comment,
    STATE(9771), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364039] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11467), 1,
      anon_sym_EQ,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7179), 2,
      sym_comment,
      sym_block_comment,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9242), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11471), 1,
      anon_sym_DOT,
    STATE(7186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364427] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9153), 1,
      sym_interpolated_string,
    STATE(14740), 1,
      sym__interpolated_string_start,
    STATE(14744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11473), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364479] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1338), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    ACTIONS(10603), 1,
      sym__alpha_identifier,
    ACTIONS(10609), 1,
      sym__backquoted_id,
    ACTIONS(10611), 1,
      sym_operator_identifier,
    ACTIONS(11475), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4040), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7189), 2,
      sym_comment,
      sym_block_comment,
    STATE(7991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364543] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    ACTIONS(11393), 1,
      anon_sym_DOT,
    ACTIONS(11477), 1,
      sym__alpha_identifier,
    ACTIONS(11481), 1,
      anon_sym_EQ,
    ACTIONS(11483), 1,
      sym__backquoted_id,
    ACTIONS(11485), 1,
      sym_operator_identifier,
    STATE(575), 1,
      sym_identifier,
    STATE(4073), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7190), 2,
      sym_comment,
      sym_block_comment,
    STATE(9771), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11479), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364607] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11487), 1,
      anon_sym_COLON,
    ACTIONS(11489), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15123), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364725] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10665), 1,
      anon_sym_AT,
    STATE(7387), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8157), 1,
      sym_annotation,
    STATE(7193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364771] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(8760), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(7194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10096), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364917] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10971), 1,
      anon_sym_LBRACK,
    ACTIONS(10975), 1,
      anon_sym_POUND,
    ACTIONS(11491), 1,
      anon_sym_AT,
    STATE(8416), 1,
      sym_type_arguments,
    STATE(9259), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9971), 1,
      sym_annotation,
    STATE(7197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364969] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11493), 1,
      anon_sym_COLON,
    ACTIONS(11495), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15436), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365045] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11497), 1,
      anon_sym_COLON,
    ACTIONS(11499), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15432), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365241] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11266), 1,
      anon_sym_COLON,
    ACTIONS(11268), 1,
      anon_sym_LBRACE,
    ACTIONS(11270), 1,
      anon_sym_with,
    STATE(6949), 1,
      aux_sym_compound_type_repeat1,
    STATE(10780), 1,
      sym__refinement,
    STATE(10781), 1,
      sym_template_body,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7203), 2,
      sym_comment,
      sym_block_comment,
    STATE(10939), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365301] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10920), 1,
      anon_sym_LBRACK,
    ACTIONS(10924), 1,
      anon_sym_POUND,
    ACTIONS(11501), 1,
      anon_sym_AT,
    STATE(8376), 1,
      sym_type_arguments,
    STATE(8658), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9689), 1,
      sym_annotation,
    STATE(7204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365353] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11503), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7205), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365463] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11505), 1,
      anon_sym_COLON,
    ACTIONS(11508), 1,
      anon_sym_LBRACE,
    STATE(8886), 1,
      sym_template_body,
    STATE(7207), 2,
      sym_comment,
      sym_block_comment,
    STATE(8867), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365511] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11274), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(9488), 1,
      aux_sym_compound_type_repeat1,
    STATE(10459), 1,
      sym_template_body,
    STATE(10464), 1,
      sym__refinement,
    STATE(7208), 2,
      sym_comment,
      sym_block_comment,
    STATE(10444), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365565] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11045), 1,
      anon_sym_DOT,
    ACTIONS(11511), 1,
      anon_sym_EQ_GT,
    STATE(7209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365609] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11513), 1,
      anon_sym_COLON,
    STATE(9397), 1,
      sym_interpolated_string,
    STATE(14842), 1,
      sym__interpolated_multiline_string_start,
    STATE(14843), 1,
      sym__interpolated_string_start,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365665] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11519), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7211), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [365775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366055] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366097] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11521), 1,
      anon_sym_with,
    STATE(7221), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366139] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    STATE(7326), 1,
      aux_sym_annotation_repeat1,
    STATE(8576), 1,
      sym_arguments,
    STATE(7222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [366385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366705] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11266), 1,
      anon_sym_COLON,
    ACTIONS(11268), 1,
      anon_sym_LBRACE,
    ACTIONS(11270), 1,
      anon_sym_with,
    STATE(6949), 1,
      aux_sym_compound_type_repeat1,
    STATE(10780), 1,
      sym__refinement,
    STATE(10781), 1,
      sym_template_body,
    STATE(7236), 2,
      sym_comment,
      sym_block_comment,
    STATE(10939), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7926), 1,
      sym__end_marker,
    STATE(7240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [367001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [367241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367281] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11524), 1,
      anon_sym_COLON,
    ACTIONS(11526), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(14777), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367397] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11309), 1,
      anon_sym_COMMA,
    ACTIONS(11528), 1,
      anon_sym_COLON,
    ACTIONS(11530), 1,
      anon_sym_EQ,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(14771), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    STATE(7252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [367713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367873] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367995] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11155), 1,
      anon_sym_COLON,
    ACTIONS(11157), 1,
      anon_sym_LBRACE,
    ACTIONS(11159), 1,
      anon_sym_with,
    STATE(9646), 1,
      aux_sym_compound_type_repeat1,
    STATE(10868), 1,
      sym__refinement,
    STATE(10885), 1,
      sym_template_body,
    STATE(7266), 2,
      sym_comment,
      sym_block_comment,
    STATE(10812), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368089] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10290), 1,
      anon_sym_LPAREN,
    STATE(7282), 1,
      aux_sym_annotation_repeat1,
    STATE(8640), 1,
      sym_arguments,
    STATE(7268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368175] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11532), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7270), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368285] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10918), 1,
      anon_sym_DOT,
    ACTIONS(11534), 1,
      anon_sym_EQ_GT,
    STATE(7272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368409] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    ACTIONS(9149), 1,
      anon_sym_with,
    STATE(6232), 1,
      aux_sym_compound_type_repeat1,
    STATE(8168), 1,
      sym_template_body,
    STATE(8336), 1,
      sym__refinement,
    STATE(7275), 2,
      sym_comment,
      sym_block_comment,
    STATE(8163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368541] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9111), 1,
      sym_operator_identifier,
    STATE(1784), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [368597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368717] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11536), 1,
      anon_sym_LPAREN,
    STATE(8640), 1,
      sym_arguments,
    STATE(7282), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368801] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11539), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7284), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369031] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    ACTIONS(11361), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7289), 2,
      sym_comment,
      sym_block_comment,
    STATE(10074), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369165] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9939), 1,
      anon_sym_AT,
    STATE(6781), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8578), 1,
      sym_annotation,
    STATE(7292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [369251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9224), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11077), 1,
      anon_sym_EQ_GT,
    STATE(7304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370255] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11541), 1,
      anon_sym_with,
    STATE(7319), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370297] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9923), 1,
      anon_sym_AT,
    STATE(7158), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8375), 1,
      sym_annotation,
    STATE(7320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370423] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    ACTIONS(11544), 1,
      sym_operator_identifier,
    STATE(1718), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7323), 2,
      sym_comment,
      sym_block_comment,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [370487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370527] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10762), 1,
      anon_sym_LBRACK,
    ACTIONS(10766), 1,
      anon_sym_POUND,
    ACTIONS(11546), 1,
      anon_sym_AT,
    STATE(8160), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8688), 1,
      sym_type_arguments,
    STATE(9400), 1,
      sym_annotation,
    STATE(7325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370579] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11548), 1,
      anon_sym_LPAREN,
    STATE(8576), 1,
      sym_arguments,
    STATE(7326), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370663] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11067), 1,
      anon_sym_EQ_GT,
    STATE(7328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370705] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370751] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9788), 1,
      anon_sym_AT,
    STATE(7351), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8268), 1,
      sym_annotation,
    STATE(7330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370957] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11551), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7335), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371027] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4184), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7637), 1,
      sym_arguments,
    STATE(7337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [371273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371313] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(11553), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7343), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371503] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    ACTIONS(11361), 1,
      anon_sym_DOT,
    ACTIONS(11555), 1,
      sym_operator_identifier,
    STATE(1713), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(7347), 2,
      sym_comment,
      sym_block_comment,
    STATE(10074), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371607] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10329), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_with,
    STATE(8338), 1,
      aux_sym_compound_type_repeat1,
    STATE(9799), 1,
      sym_template_body,
    STATE(9811), 1,
      sym__refinement,
    STATE(7349), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371699] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11557), 1,
      anon_sym_AT,
    STATE(8268), 1,
      sym_annotation,
    STATE(7351), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371863] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2036), 1,
      anon_sym_LBRACE,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    ACTIONS(11361), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7355), 2,
      sym_comment,
      sym_block_comment,
    STATE(10074), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371915] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      anon_sym_DOT,
    ACTIONS(11560), 1,
      sym__alpha_identifier,
    ACTIONS(11564), 1,
      anon_sym_EQ,
    ACTIONS(11566), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    STATE(566), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(7356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    STATE(8926), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371979] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10812), 1,
      anon_sym_LBRACK,
    ACTIONS(10818), 1,
      anon_sym_POUND,
    ACTIONS(11570), 1,
      anon_sym_LPAREN,
    STATE(8183), 1,
      aux_sym_annotation_repeat1,
    STATE(8746), 1,
      sym_type_arguments,
    STATE(9589), 1,
      sym_arguments,
    STATE(7357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8166), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9554), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372355] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372557] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10266), 1,
      anon_sym_AT,
    STATE(6747), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8202), 1,
      sym_annotation,
    STATE(7371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372603] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10870), 1,
      anon_sym_LBRACK,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    ACTIONS(11572), 1,
      anon_sym_AT,
    STATE(8196), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8339), 1,
      sym_type_arguments,
    STATE(9497), 1,
      sym_annotation,
    STATE(7372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [372693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372733] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11197), 1,
      anon_sym_LBRACE,
    ACTIONS(11199), 1,
      anon_sym_with,
    STATE(9681), 1,
      aux_sym_compound_type_repeat1,
    STATE(10907), 1,
      sym_template_body,
    STATE(10914), 1,
      sym__refinement,
    STATE(7375), 2,
      sym_comment,
      sym_block_comment,
    STATE(10740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [373105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [373223] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11574), 1,
      anon_sym_AT,
    STATE(8157), 1,
      sym_annotation,
    STATE(7387), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373464] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    STATE(5263), 1,
      sym__simple_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(8422), 1,
      sym__annotated_type,
    STATE(8686), 1,
      sym_annotated_type,
    STATE(16820), 1,
      sym_stable_identifier,
    STATE(7393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9641), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373839] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4189), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373960] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    STATE(6774), 1,
      sym__simple_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(9764), 1,
      sym_annotated_type,
    STATE(9977), 1,
      sym__annotated_type,
    STATE(16239), 1,
      sym_stable_identifier,
    STATE(7405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374138] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      sym__alpha_identifier,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    STATE(11030), 1,
      sym__simple_type,
    STATE(11543), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(13070), 1,
      sym__annotated_type,
    STATE(13119), 1,
      sym_annotated_type,
    STATE(16856), 1,
      sym_stable_identifier,
    STATE(7409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12114), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374238] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(14991), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7411), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [374305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374383] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8187), 1,
      sym__end_marker,
    STATE(7414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374736] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4198), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8111), 1,
      sym_arguments,
    STATE(7426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374976] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15888), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7429), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [375043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375318] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8883), 1,
      sym__alpha_identifier,
    ACTIONS(8885), 1,
      anon_sym__,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8891), 1,
      sym__backquoted_id,
    ACTIONS(8893), 1,
      sym_operator_identifier,
    STATE(5101), 1,
      sym__simple_type,
    STATE(6921), 1,
      sym__soft_identifier,
    STATE(7107), 1,
      sym_identifier,
    STATE(8456), 1,
      sym_annotated_type,
    STATE(8682), 1,
      sym__annotated_type,
    STATE(16892), 1,
      sym_stable_identifier,
    STATE(7437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7331), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375418] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8871), 1,
      sym__alpha_identifier,
    ACTIONS(8873), 1,
      anon_sym__,
    ACTIONS(8877), 1,
      anon_sym_LPAREN,
    ACTIONS(8879), 1,
      sym__backquoted_id,
    ACTIONS(8881), 1,
      sym_operator_identifier,
    STATE(5316), 1,
      sym__simple_type,
    STATE(6760), 1,
      sym_identifier,
    STATE(6864), 1,
      sym__soft_identifier,
    STATE(8262), 1,
      sym__annotated_type,
    STATE(8509), 1,
      sym_annotated_type,
    STATE(16802), 1,
      sym_stable_identifier,
    STATE(7439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7243), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375518] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    ACTIONS(7622), 1,
      anon_sym_LPAREN,
    STATE(5534), 1,
      sym__simple_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_annotated_type,
    STATE(9208), 1,
      sym__annotated_type,
    STATE(16209), 1,
      sym_stable_identifier,
    STATE(7441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375579] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(7832), 1,
      anon_sym_LPAREN,
    STATE(7204), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(9896), 1,
      sym_annotated_type,
    STATE(10025), 1,
      sym__annotated_type,
    STATE(16482), 1,
      sym_stable_identifier,
    STATE(7442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375679] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375837] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    ACTIONS(7432), 1,
      anon_sym_LPAREN,
    STATE(4902), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(7821), 1,
      sym__annotated_type,
    STATE(7998), 1,
      sym_annotated_type,
    STATE(16908), 1,
      sym_stable_identifier,
    STATE(7448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375937] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11577), 1,
      anon_sym_DOT,
    STATE(7450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376134] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11579), 1,
      anon_sym_AT,
    STATE(9231), 1,
      sym_annotation,
    STATE(7455), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376177] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10613), 1,
      anon_sym_AT,
    STATE(7774), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8896), 1,
      sym_annotation,
    STATE(7456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [376222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376261] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11582), 1,
      anon_sym_AT,
    STATE(9073), 1,
      sym_annotation,
    STATE(7458), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376382] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    STATE(5904), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9071), 1,
      sym__annotated_type,
    STATE(9237), 1,
      sym_annotated_type,
    STATE(16920), 1,
      sym_stable_identifier,
    STATE(7461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376482] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(7938), 1,
      aux_sym_compound_type_repeat1,
    STATE(10459), 1,
      sym_template_body,
    STATE(10460), 1,
      sym__refinement,
    STATE(7463), 2,
      sym_comment,
      sym_block_comment,
    STATE(10444), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376734] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4240), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376816] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11404), 1,
      sym_interpolated_string,
    STATE(15749), 1,
      sym__interpolated_multiline_string_start,
    STATE(15765), 1,
      sym__interpolated_string_start,
    ACTIONS(11585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11587), 1,
      anon_sym_with,
    STATE(8118), 1,
      aux_sym_compound_type_repeat1,
    STATE(10738), 1,
      sym_arguments,
    STATE(10916), 1,
      sym__refinement,
    STATE(10918), 1,
      sym_template_body,
    STATE(7472), 2,
      sym_comment,
      sym_block_comment,
    STATE(10921), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377250] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    ACTIONS(11589), 1,
      anon_sym_EQ,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    STATE(7481), 2,
      sym_comment,
      sym_block_comment,
    STATE(9659), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11591), 1,
      anon_sym_with,
    STATE(7485), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377471] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      sym__alpha_identifier,
    ACTIONS(8312), 1,
      anon_sym__,
    ACTIONS(8316), 1,
      anon_sym_LPAREN,
    ACTIONS(8318), 1,
      sym__backquoted_id,
    ACTIONS(8320), 1,
      sym_operator_identifier,
    STATE(12196), 1,
      sym__simple_type,
    STATE(13029), 1,
      sym_identifier,
    STATE(13259), 1,
      sym__soft_identifier,
    STATE(14061), 1,
      sym_annotated_type,
    STATE(14085), 1,
      sym__annotated_type,
    STATE(16452), 1,
      sym_stable_identifier,
    STATE(7486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13585), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [377688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377805] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(7492), 1,
      anon_sym_LPAREN,
    STATE(5837), 1,
      sym__simple_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(9697), 1,
      sym_annotated_type,
    STATE(9728), 1,
      sym__annotated_type,
    STATE(16932), 1,
      sym_stable_identifier,
    STATE(7494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377905] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(7972), 1,
      anon_sym_LPAREN,
    STATE(6624), 1,
      sym__simple_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(9872), 1,
      sym__annotated_type,
    STATE(10037), 1,
      sym_annotated_type,
    STATE(16267), 1,
      sym_stable_identifier,
    STATE(7496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378200] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11594), 1,
      anon_sym_LBRACK,
    ACTIONS(11596), 1,
      anon_sym_LPAREN,
    ACTIONS(11598), 1,
      anon_sym_POUND,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(9509), 1,
      aux_sym_annotation_repeat1,
    STATE(10227), 1,
      sym_arguments,
    STATE(7503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8166), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378251] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(7612), 1,
      anon_sym_LPAREN,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(8915), 1,
      sym__annotated_type,
    STATE(8960), 1,
      sym_annotated_type,
    STATE(16944), 1,
      sym_stable_identifier,
    STATE(7504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378429] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(7902), 1,
      anon_sym_LPAREN,
    STATE(5690), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9710), 1,
      sym__annotated_type,
    STATE(9715), 1,
      sym_annotated_type,
    STATE(16509), 1,
      sym_stable_identifier,
    STATE(7508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11600), 1,
      anon_sym_with,
    STATE(7511), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378609] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9088), 1,
      anon_sym_LPAREN,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    ACTIONS(11603), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(7512), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8442), 1,
      sym_arguments,
    STATE(7513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378713] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11169), 1,
      anon_sym_type,
    STATE(7514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [378754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378793] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    STATE(5081), 1,
      sym__simple_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_annotated_type,
    STATE(8608), 1,
      sym__annotated_type,
    STATE(16966), 1,
      sym_stable_identifier,
    STATE(7516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378854] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4208), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9568), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379133] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11605), 1,
      anon_sym_with,
    STATE(7524), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [379252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379291] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    STATE(4841), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(7407), 1,
      sym__annotated_type,
    STATE(7533), 1,
      sym_annotated_type,
    STATE(16784), 1,
      sym_stable_identifier,
    STATE(7528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379391] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_LPAREN,
    STATE(7372), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(9948), 1,
      sym__annotated_type,
    STATE(10040), 1,
      sym_annotated_type,
    STATE(16977), 1,
      sym_stable_identifier,
    STATE(7530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379569] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11094), 1,
      anon_sym_AT,
    STATE(7690), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8791), 1,
      sym_annotation,
    STATE(7534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379653] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4227), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [379696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379936] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    ACTIONS(11608), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7543), 2,
      sym_comment,
      sym_block_comment,
    STATE(10232), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8456), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8454), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10642), 1,
      anon_sym_AT,
    STATE(8028), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8992), 1,
      sym_annotation,
    STATE(7546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380227] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11610), 1,
      anon_sym_LPAREN,
    STATE(9041), 1,
      sym_arguments,
    STATE(7550), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380270] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    ACTIONS(7892), 1,
      anon_sym_LPAREN,
    STATE(6554), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(9555), 1,
      sym_annotated_type,
    STATE(9608), 1,
      sym__annotated_type,
    STATE(16999), 1,
      sym_stable_identifier,
    STATE(7551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380331] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      anon_sym_LPAREN,
    STATE(5549), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6633), 1,
      sym_identifier,
    STATE(9361), 1,
      sym_annotated_type,
    STATE(9668), 1,
      sym__annotated_type,
    STATE(16294), 1,
      sym_stable_identifier,
    STATE(7552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380548] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    STATE(7550), 1,
      aux_sym_annotation_repeat1,
    STATE(9041), 1,
      sym_arguments,
    STATE(7557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380593] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8460), 1,
      sym__alpha_identifier,
    ACTIONS(8462), 1,
      anon_sym__,
    ACTIONS(8466), 1,
      anon_sym_LPAREN,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(8470), 1,
      sym_operator_identifier,
    STATE(6410), 1,
      sym__simple_type,
    STATE(8182), 1,
      sym_identifier,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(9378), 1,
      sym_annotated_type,
    STATE(9644), 1,
      sym__annotated_type,
    STATE(16179), 1,
      sym_stable_identifier,
    STATE(7558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380654] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11613), 1,
      anon_sym_AT,
    STATE(9024), 1,
      sym_annotation,
    STATE(7559), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380892] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(11743), 1,
      sym__simple_type,
    STATE(12722), 1,
      sym_annotated_type,
    STATE(13801), 1,
      sym__annotated_type,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(7565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11616), 1,
      anon_sym_DOT,
    STATE(7567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381033] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8772), 1,
      sym__alpha_identifier,
    ACTIONS(8774), 1,
      anon_sym__,
    ACTIONS(8778), 1,
      anon_sym_LPAREN,
    ACTIONS(8780), 1,
      sym__backquoted_id,
    ACTIONS(8782), 1,
      sym_operator_identifier,
    STATE(4516), 1,
      sym__simple_type,
    STATE(5106), 1,
      sym__soft_identifier,
    STATE(5216), 1,
      sym_identifier,
    STATE(6576), 1,
      sym__annotated_type,
    STATE(6645), 1,
      sym_annotated_type,
    STATE(16766), 1,
      sym_stable_identifier,
    STATE(7568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381172] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11618), 1,
      anon_sym_LBRACE,
    ACTIONS(11620), 1,
      anon_sym_with,
    STATE(7830), 1,
      aux_sym_compound_type_repeat1,
    STATE(10792), 1,
      sym_template_body,
    STATE(10793), 1,
      sym__refinement,
    STATE(7571), 2,
      sym_comment,
      sym_block_comment,
    STATE(10947), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381535] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    STATE(4323), 1,
      sym__simple_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(5359), 1,
      sym__annotated_type,
    STATE(5380), 1,
      sym_annotated_type,
    STATE(17010), 1,
      sym_stable_identifier,
    STATE(7580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381674] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8568), 1,
      anon_sym__,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(8576), 1,
      sym_operator_identifier,
    STATE(5724), 1,
      sym__simple_type,
    STATE(7540), 1,
      sym__soft_identifier,
    STATE(7567), 1,
      sym_identifier,
    STATE(8725), 1,
      sym__annotated_type,
    STATE(9063), 1,
      sym_annotated_type,
    STATE(16549), 1,
      sym_stable_identifier,
    STATE(7583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381813] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11622), 1,
      anon_sym_COLON,
    ACTIONS(11625), 1,
      anon_sym_LBRACE,
    STATE(9680), 1,
      sym_template_body,
    STATE(7586), 2,
      sym_comment,
      sym_block_comment,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382057] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_LPAREN,
    STATE(4707), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_annotated_type,
    STATE(7313), 1,
      sym__annotated_type,
    STATE(17021), 1,
      sym_stable_identifier,
    STATE(7592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382352] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8817), 1,
      sym__alpha_identifier,
    ACTIONS(8823), 1,
      anon_sym__,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      sym__backquoted_id,
    ACTIONS(8831), 1,
      sym_operator_identifier,
    STATE(4494), 1,
      sym__simple_type,
    STATE(5193), 1,
      sym_identifier,
    STATE(5275), 1,
      sym__soft_identifier,
    STATE(6404), 1,
      sym_annotated_type,
    STATE(6623), 1,
      sym__annotated_type,
    STATE(16341), 1,
      sym_stable_identifier,
    STATE(7599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5420), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11628), 1,
      anon_sym_with,
    STATE(7601), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382493] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11631), 1,
      anon_sym_AT,
    STATE(9226), 1,
      sym_annotation,
    STATE(7602), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382536] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382659] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(6504), 1,
      sym__annotated_type,
    STATE(6614), 1,
      sym_annotated_type,
    STATE(16748), 1,
      sym_stable_identifier,
    STATE(7606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8102), 1,
      sym__end_marker,
    STATE(7609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10013), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382878] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    ACTIONS(7962), 1,
      anon_sym_LPAREN,
    STATE(4476), 1,
      sym__simple_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(6417), 1,
      sym_annotated_type,
    STATE(6428), 1,
      sym__annotated_type,
    STATE(17027), 1,
      sym_stable_identifier,
    STATE(7611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382978] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_EQ,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11276), 1,
      anon_sym_with,
    ACTIONS(11634), 1,
      anon_sym_LBRACE,
    STATE(7938), 1,
      aux_sym_compound_type_repeat1,
    STATE(10459), 1,
      sym_template_body,
    STATE(10460), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7613), 2,
      sym_comment,
      sym_block_comment,
    STATE(10444), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383585] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10820), 1,
      anon_sym_AT,
    STATE(7559), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9024), 1,
      sym_annotation,
    STATE(7628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383630] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11637), 1,
      anon_sym_LPAREN,
    STATE(8774), 1,
      sym_arguments,
    STATE(7629), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384223] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(6406), 1,
      sym_annotated_type,
    STATE(6412), 1,
      sym__annotated_type,
    STATE(17033), 1,
      sym_stable_identifier,
    STATE(7644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384362] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    STATE(4452), 1,
      sym__simple_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(5540), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym_annotated_type,
    STATE(16364), 1,
      sym_stable_identifier,
    STATE(7647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384579] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4215), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384973] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11210), 1,
      anon_sym_DOT,
    ACTIONS(11640), 1,
      anon_sym_EQ_GT,
    STATE(7662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385016] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8654), 1,
      anon_sym__,
    ACTIONS(8658), 1,
      anon_sym_LPAREN,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(8662), 1,
      sym_operator_identifier,
    STATE(4478), 1,
      sym__simple_type,
    STATE(5072), 1,
      sym__soft_identifier,
    STATE(5257), 1,
      sym_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(6542), 1,
      sym_annotated_type,
    STATE(16729), 1,
      sym_stable_identifier,
    STATE(7663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5418), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385233] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9170), 1,
      sym_operator_identifier,
    STATE(1744), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [385288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11642), 1,
      anon_sym_with,
    STATE(7669), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385368] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9993), 1,
      sym__alpha_identifier,
    ACTIONS(9999), 1,
      sym__backquoted_id,
    ACTIONS(10001), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(4024), 1,
      sym__soft_identifier,
    STATE(7671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9995), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9469), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [385421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385499] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9111), 1,
      sym_operator_identifier,
    STATE(1784), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [385552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11645), 1,
      anon_sym_DOT,
    STATE(7677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385671] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8909), 1,
      sym__alpha_identifier,
    ACTIONS(8911), 1,
      anon_sym__,
    ACTIONS(8915), 1,
      anon_sym_LPAREN,
    ACTIONS(8917), 1,
      sym__backquoted_id,
    ACTIONS(8919), 1,
      sym_operator_identifier,
    STATE(5954), 1,
      sym__simple_type,
    STATE(7989), 1,
      sym_identifier,
    STATE(8069), 1,
      sym__soft_identifier,
    STATE(8815), 1,
      sym_annotated_type,
    STATE(9012), 1,
      sym__annotated_type,
    STATE(17013), 1,
      sym_stable_identifier,
    STATE(7678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7725), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385732] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    ACTIONS(7932), 1,
      anon_sym_LPAREN,
    STATE(5338), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(8616), 1,
      sym_annotated_type,
    STATE(8637), 1,
      sym__annotated_type,
    STATE(17039), 1,
      sym_stable_identifier,
    STATE(7679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386066] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10599), 1,
      anon_sym_LPAREN,
    STATE(7629), 1,
      aux_sym_annotation_repeat1,
    STATE(8774), 1,
      sym_arguments,
    STATE(7687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386111] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4221), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(7688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386193] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11647), 1,
      anon_sym_AT,
    STATE(8791), 1,
      sym_annotation,
    STATE(7690), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386275] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(6937), 1,
      sym_annotated_type,
    STATE(7072), 1,
      sym__annotated_type,
    STATE(16385), 1,
      sym_stable_identifier,
    STATE(7692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386414] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(8520), 1,
      sym_annotated_type,
    STATE(8561), 1,
      sym__annotated_type,
    STATE(17051), 1,
      sym_stable_identifier,
    STATE(7695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386475] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9954), 1,
      sym__alpha_identifier,
    ACTIONS(9960), 1,
      sym__backquoted_id,
    ACTIONS(9962), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3960), 1,
      sym__soft_identifier,
    STATE(7696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9956), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9469), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [386528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386567] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11650), 1,
      anon_sym_AT,
    STATE(8740), 1,
      sym_annotation,
    STATE(7698), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11534), 1,
      anon_sym_EQ_GT,
    STATE(7700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386729] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(8932), 1,
      sym_operator_identifier,
    STATE(1747), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [386782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9563), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386901] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(5824), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_identifier,
    STATE(9564), 1,
      sym_annotated_type,
    STATE(9598), 1,
      sym__annotated_type,
    STATE(16581), 1,
      sym_stable_identifier,
    STATE(7706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386962] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10617), 1,
      anon_sym_AT,
    STATE(7455), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9231), 1,
      sym_annotation,
    STATE(7707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387007] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8859), 1,
      sym__alpha_identifier,
    ACTIONS(8861), 1,
      anon_sym__,
    ACTIONS(8865), 1,
      anon_sym_LPAREN,
    ACTIONS(8867), 1,
      sym__backquoted_id,
    ACTIONS(8869), 1,
      sym_operator_identifier,
    STATE(4718), 1,
      sym__simple_type,
    STATE(5679), 1,
      sym_identifier,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym_annotated_type,
    STATE(7206), 1,
      sym__annotated_type,
    STATE(17057), 1,
      sym_stable_identifier,
    STATE(7708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387068] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      sym__alpha_identifier,
    ACTIONS(8538), 1,
      anon_sym__,
    ACTIONS(8542), 1,
      anon_sym_LPAREN,
    ACTIONS(8544), 1,
      sym__backquoted_id,
    ACTIONS(8546), 1,
      sym_operator_identifier,
    STATE(4402), 1,
      sym__simple_type,
    STATE(4778), 1,
      sym_identifier,
    STATE(4926), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_annotated_type,
    STATE(5502), 1,
      sym__annotated_type,
    STATE(16410), 1,
      sym_stable_identifier,
    STATE(7709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8540), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4790), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387248] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    STATE(4483), 1,
      sym__simple_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(6360), 1,
      sym__annotated_type,
    STATE(6470), 1,
      sym_annotated_type,
    STATE(16710), 1,
      sym_stable_identifier,
    STATE(7713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387309] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_LPAREN,
    STATE(5074), 1,
      sym__simple_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8302), 1,
      sym__annotated_type,
    STATE(8364), 1,
      sym_annotated_type,
    STATE(17063), 1,
      sym_stable_identifier,
    STATE(7714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387450] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10286), 1,
      anon_sym_AT,
    STATE(7793), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8752), 1,
      sym_annotation,
    STATE(7717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387495] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387620] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11653), 1,
      anon_sym_COLON,
    ACTIONS(11656), 1,
      anon_sym_LBRACE,
    STATE(9540), 1,
      sym_template_body,
    STATE(5687), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387862] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(7652), 1,
      anon_sym_LPAREN,
    STATE(5870), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6487), 1,
      sym_identifier,
    STATE(9450), 1,
      sym__annotated_type,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(16406), 1,
      sym_stable_identifier,
    STATE(7727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387923] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388003] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8736), 1,
      sym__alpha_identifier,
    ACTIONS(8738), 1,
      anon_sym__,
    ACTIONS(8742), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__backquoted_id,
    ACTIONS(8746), 1,
      sym_operator_identifier,
    STATE(6958), 1,
      sym__simple_type,
    STATE(8916), 1,
      sym__soft_identifier,
    STATE(8997), 1,
      sym_identifier,
    STATE(9986), 1,
      sym_annotated_type,
    STATE(10068), 1,
      sym__annotated_type,
    STATE(16841), 1,
      sym_stable_identifier,
    STATE(7730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8950), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11659), 1,
      anon_sym_with,
    STATE(7736), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388300] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11662), 1,
      anon_sym_AT,
    STATE(8819), 1,
      sym_annotation,
    STATE(7737), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388505] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8554), 1,
      sym__alpha_identifier,
    ACTIONS(8556), 1,
      anon_sym__,
    ACTIONS(8560), 1,
      anon_sym_LPAREN,
    ACTIONS(8562), 1,
      sym__backquoted_id,
    ACTIONS(8564), 1,
      sym_operator_identifier,
    STATE(4852), 1,
      sym__simple_type,
    STATE(6164), 1,
      sym_identifier,
    STATE(6631), 1,
      sym__soft_identifier,
    STATE(7720), 1,
      sym_annotated_type,
    STATE(7856), 1,
      sym__annotated_type,
    STATE(16161), 1,
      sym_stable_identifier,
    STATE(7742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8558), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6475), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388644] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8434), 1,
      sym__alpha_identifier,
    ACTIONS(8440), 1,
      anon_sym__,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      sym__backquoted_id,
    ACTIONS(8448), 1,
      sym_operator_identifier,
    STATE(4281), 1,
      sym__simple_type,
    STATE(4635), 1,
      sym_identifier,
    STATE(4648), 1,
      sym__soft_identifier,
    STATE(5069), 1,
      sym_annotated_type,
    STATE(5103), 1,
      sym__annotated_type,
    STATE(16691), 1,
      sym_stable_identifier,
    STATE(7745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8442), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4715), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388705] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_LPAREN,
    STATE(5217), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(8849), 1,
      sym_annotated_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(16427), 1,
      sym_stable_identifier,
    STATE(7746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388766] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8791), 1,
      sym__alpha_identifier,
    ACTIONS(8793), 1,
      anon_sym__,
    ACTIONS(8797), 1,
      anon_sym_LPAREN,
    ACTIONS(8799), 1,
      sym__backquoted_id,
    ACTIONS(8801), 1,
      sym_operator_identifier,
    STATE(5360), 1,
      sym__simple_type,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7186), 1,
      sym_identifier,
    STATE(8294), 1,
      sym_annotated_type,
    STATE(8318), 1,
      sym__annotated_type,
    STATE(17069), 1,
      sym_stable_identifier,
    STATE(7747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8795), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7035), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389022] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    STATE(7880), 1,
      sym__simple_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(10566), 1,
      sym_annotated_type,
    STATE(10592), 1,
      sym__annotated_type,
    STATE(16448), 1,
      sym_stable_identifier,
    STATE(7753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11665), 1,
      anon_sym_with,
    STATE(7764), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [389551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389707] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8563), 1,
      sym__end_marker,
    STATE(7770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11668), 1,
      anon_sym_AT,
    STATE(8896), 1,
      sym_annotation,
    STATE(7774), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [389908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390025] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8478), 1,
      anon_sym__,
    ACTIONS(8482), 1,
      anon_sym_LPAREN,
    ACTIONS(8484), 1,
      sym__backquoted_id,
    ACTIONS(8486), 1,
      sym_operator_identifier,
    STATE(8529), 1,
      sym__simple_type,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(10117), 1,
      sym_identifier,
    STATE(10466), 1,
      sym__annotated_type,
    STATE(10558), 1,
      sym_annotated_type,
    STATE(16672), 1,
      sym_stable_identifier,
    STATE(7778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9812), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390554] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    ACTIONS(7852), 1,
      anon_sym_LPAREN,
    STATE(5176), 1,
      sym__simple_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(8233), 1,
      sym_annotated_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(17075), 1,
      sym_stable_identifier,
    STATE(7791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390615] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11671), 1,
      anon_sym_LBRACK,
    ACTIONS(11673), 1,
      anon_sym_AT,
    ACTIONS(11675), 1,
      anon_sym_LPAREN,
    ACTIONS(11677), 1,
      anon_sym_POUND,
    STATE(9381), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9899), 1,
      sym_type_arguments,
    STATE(10374), 1,
      sym_annotation,
    STATE(10738), 1,
      sym_arguments,
    STATE(7792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390670] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      anon_sym_AT,
    STATE(8752), 1,
      sym_annotation,
    STATE(7793), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390752] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8684), 1,
      sym__alpha_identifier,
    ACTIONS(8686), 1,
      anon_sym__,
    ACTIONS(8690), 1,
      anon_sym_LPAREN,
    ACTIONS(8692), 1,
      sym__backquoted_id,
    ACTIONS(8694), 1,
      sym_operator_identifier,
    STATE(5894), 1,
      sym__simple_type,
    STATE(7813), 1,
      sym__soft_identifier,
    STATE(8081), 1,
      sym_identifier,
    STATE(9196), 1,
      sym__annotated_type,
    STATE(9323), 1,
      sym_annotated_type,
    STATE(17087), 1,
      sym_stable_identifier,
    STATE(7795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8688), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390852] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11124), 1,
      anon_sym_AT,
    STATE(8022), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9086), 1,
      sym_annotation,
    STATE(7797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390936] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11682), 1,
      anon_sym_LPAREN,
    STATE(8869), 1,
      sym_arguments,
    STATE(7799), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390979] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_LPAREN,
    STATE(5607), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(9292), 1,
      sym_annotated_type,
    STATE(9307), 1,
      sym__annotated_type,
    STATE(17093), 1,
      sym_stable_identifier,
    STATE(7800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391118] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9272), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [391173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11685), 1,
      anon_sym_with,
    STATE(7806), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391292] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_LPAREN,
    STATE(7197), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(10436), 1,
      sym__annotated_type,
    STATE(10440), 1,
      sym_annotated_type,
    STATE(16469), 1,
      sym_stable_identifier,
    STATE(7807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11688), 1,
      anon_sym_with,
    STATE(7812), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391745] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(7799), 1,
      aux_sym_annotation_repeat1,
    STATE(8869), 1,
      sym_arguments,
    STATE(7818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391829] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    ACTIONS(11608), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7820), 2,
      sym_comment,
      sym_block_comment,
    STATE(10232), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392038] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    ACTIONS(7772), 1,
      anon_sym_LPAREN,
    STATE(7325), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(9755), 1,
      sym__annotated_type,
    STATE(9815), 1,
      sym_annotated_type,
    STATE(17105), 1,
      sym_stable_identifier,
    STATE(7825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392255] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11618), 1,
      anon_sym_LBRACE,
    ACTIONS(11620), 1,
      anon_sym_with,
    STATE(9742), 1,
      aux_sym_compound_type_repeat1,
    STATE(10792), 1,
      sym_template_body,
    STATE(10850), 1,
      sym__refinement,
    STATE(7830), 2,
      sym_comment,
      sym_block_comment,
    STATE(10947), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8244), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392345] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    STATE(11468), 1,
      sym_identifier,
    STATE(11685), 1,
      sym__simple_type,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(13045), 1,
      sym_annotated_type,
    STATE(13639), 1,
      sym__annotated_type,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(7832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392484] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8654), 1,
      sym_arguments,
    STATE(7835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392525] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11511), 1,
      anon_sym_EQ_GT,
    STATE(7836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9554), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392646] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8584), 1,
      anon_sym__,
    ACTIONS(8588), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(8592), 1,
      sym_operator_identifier,
    STATE(4415), 1,
      sym__simple_type,
    STATE(4758), 1,
      sym__soft_identifier,
    STATE(4923), 1,
      sym_identifier,
    STATE(5739), 1,
      sym_annotated_type,
    STATE(5744), 1,
      sym__annotated_type,
    STATE(17117), 1,
      sym_stable_identifier,
    STATE(7839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4794), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392707] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10258), 1,
      anon_sym_AT,
    STATE(7698), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8740), 1,
      sym_annotation,
    STATE(7840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392791] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11691), 1,
      anon_sym_LPAREN,
    STATE(8988), 1,
      sym_arguments,
    STATE(7842), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392912] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(7722), 1,
      anon_sym_LPAREN,
    STATE(5381), 1,
      sym__simple_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(8121), 1,
      sym__annotated_type,
    STATE(8266), 1,
      sym_annotated_type,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(7845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392973] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8764), 1,
      anon_sym_match,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    ACTIONS(11608), 1,
      anon_sym_DOT,
    ACTIONS(11694), 1,
      sym_operator_identifier,
    STATE(1691), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7846), 2,
      sym_comment,
      sym_block_comment,
    STATE(10232), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [393036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393116] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    ACTIONS(7702), 1,
      anon_sym_LPAREN,
    STATE(4455), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(5757), 1,
      sym_annotated_type,
    STATE(5761), 1,
      sym__annotated_type,
    STATE(17123), 1,
      sym_stable_identifier,
    STATE(7849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393372] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8704), 1,
      sym__alpha_identifier,
    ACTIONS(8706), 1,
      anon_sym__,
    ACTIONS(8710), 1,
      anon_sym_LPAREN,
    ACTIONS(8712), 1,
      sym__backquoted_id,
    ACTIONS(8714), 1,
      sym_operator_identifier,
    STATE(4770), 1,
      sym__simple_type,
    STATE(6180), 1,
      sym__soft_identifier,
    STATE(6310), 1,
      sym_identifier,
    STATE(7593), 1,
      sym__annotated_type,
    STATE(7843), 1,
      sym_annotated_type,
    STATE(16490), 1,
      sym_stable_identifier,
    STATE(7855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6111), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393511] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15736), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7858), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [393578] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    ACTIONS(7582), 1,
      anon_sym_LPAREN,
    STATE(4737), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(7082), 1,
      sym__annotated_type,
    STATE(7088), 1,
      sym_annotated_type,
    STATE(17129), 1,
      sym_stable_identifier,
    STATE(7859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393756] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8520), 1,
      sym__alpha_identifier,
    ACTIONS(8522), 1,
      anon_sym__,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      sym__backquoted_id,
    ACTIONS(8530), 1,
      sym_operator_identifier,
    STATE(4721), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(5849), 1,
      sym_identifier,
    STATE(7067), 1,
      sym__annotated_type,
    STATE(7077), 1,
      sym_annotated_type,
    STATE(17135), 1,
      sym_stable_identifier,
    STATE(7863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5936), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393934] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(14891), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7867), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [394001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394235] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_LPAREN,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(7046), 1,
      sym__annotated_type,
    STATE(7056), 1,
      sym_annotated_type,
    STATE(17141), 1,
      sym_stable_identifier,
    STATE(7874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394452] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15504), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7879), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [394519] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11457), 1,
      anon_sym_LBRACK,
    ACTIONS(11461), 1,
      anon_sym_POUND,
    ACTIONS(11696), 1,
      anon_sym_AT,
    STATE(9232), 1,
      sym_type_arguments,
    STATE(9538), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10187), 1,
      sym_annotation,
    STATE(7880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394732] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8596), 1,
      anon_sym__,
    ACTIONS(8600), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(8604), 1,
      sym_operator_identifier,
    STATE(5506), 1,
      sym__simple_type,
    STATE(7483), 1,
      sym__soft_identifier,
    STATE(7677), 1,
      sym_identifier,
    STATE(8783), 1,
      sym_annotated_type,
    STATE(9014), 1,
      sym__annotated_type,
    STATE(16616), 1,
      sym_stable_identifier,
    STATE(7885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7498), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394793] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(8967), 1,
      sym__annotated_type,
    STATE(8999), 1,
      sym_annotated_type,
    STATE(17153), 1,
      sym_stable_identifier,
    STATE(7886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [394893] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_LPAREN,
    STATE(4604), 1,
      sym__simple_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(7029), 1,
      sym__annotated_type,
    STATE(7036), 1,
      sym_annotated_type,
    STATE(17165), 1,
      sym_stable_identifier,
    STATE(7888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11335), 1,
      anon_sym_EQ_GT,
    STATE(7889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394995] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    ACTIONS(7482), 1,
      anon_sym_LPAREN,
    STATE(6015), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(9404), 1,
      sym_annotated_type,
    STATE(9580), 1,
      sym__annotated_type,
    STATE(16632), 1,
      sym_stable_identifier,
    STATE(7890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395095] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10922), 1,
      anon_sym_LPAREN,
    STATE(7842), 1,
      aux_sym_annotation_repeat1,
    STATE(8988), 1,
      sym_arguments,
    STATE(7892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395218] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11698), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(7895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [395289] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10722), 1,
      anon_sym_AT,
    STATE(7737), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8819), 1,
      sym_annotation,
    STATE(7897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395492] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_LPAREN,
    STATE(5740), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(8883), 1,
      sym__annotated_type,
    STATE(8905), 1,
      sym_annotated_type,
    STATE(17171), 1,
      sym_stable_identifier,
    STATE(7901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395553] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      sym__alpha_identifier,
    ACTIONS(8620), 1,
      anon_sym__,
    ACTIONS(8624), 1,
      anon_sym_LPAREN,
    ACTIONS(8626), 1,
      sym__backquoted_id,
    ACTIONS(8628), 1,
      sym_operator_identifier,
    STATE(4598), 1,
      sym__simple_type,
    STATE(5699), 1,
      sym_identifier,
    STATE(5807), 1,
      sym__soft_identifier,
    STATE(7080), 1,
      sym_annotated_type,
    STATE(7139), 1,
      sym__annotated_type,
    STATE(16693), 1,
      sym_stable_identifier,
    STATE(7902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5656), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11700), 1,
      anon_sym_with,
    STATE(7904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395733] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(7906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [395804] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11703), 1,
      anon_sym_COLON,
    ACTIONS(11706), 1,
      anon_sym_LBRACE,
    STATE(9430), 1,
      sym_template_body,
    STATE(5626), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395890] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(14839), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7909), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [395957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396152] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(7552), 1,
      anon_sym_LPAREN,
    STATE(4898), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_annotated_type,
    STATE(8003), 1,
      sym__annotated_type,
    STATE(16511), 1,
      sym_stable_identifier,
    STATE(7915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [396213] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11709), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(7916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [396284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [396440] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11711), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(7921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [396511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396589] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15515), 1,
      sym__variant_type_parameter,
    STATE(16078), 1,
      sym__type_parameter,
    STATE(7924), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16079), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [396656] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    ACTIONS(11608), 1,
      anon_sym_DOT,
    ACTIONS(11713), 1,
      sym__alpha_identifier,
    ACTIONS(11717), 1,
      anon_sym_EQ,
    ACTIONS(11719), 1,
      sym__backquoted_id,
    ACTIONS(11721), 1,
      sym_operator_identifier,
    STATE(594), 1,
      sym_identifier,
    STATE(4076), 1,
      sym__soft_identifier,
    STATE(7925), 2,
      sym_comment,
      sym_block_comment,
    STATE(10232), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11715), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [396719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9455), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397189] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(9488), 1,
      aux_sym_compound_type_repeat1,
    STATE(10459), 1,
      sym_template_body,
    STATE(10464), 1,
      sym__refinement,
    STATE(7938), 2,
      sym_comment,
      sym_block_comment,
    STATE(10444), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397240] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(7872), 1,
      anon_sym_LPAREN,
    STATE(4584), 1,
      sym__simple_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(7122), 1,
      sym_annotated_type,
    STATE(7374), 1,
      sym__annotated_type,
    STATE(16376), 1,
      sym_stable_identifier,
    STATE(7939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397340] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7522), 1,
      anon_sym_LPAREN,
    STATE(5098), 1,
      sym__simple_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_annotated_type,
    STATE(8565), 1,
      sym__annotated_type,
    STATE(17183), 1,
      sym_stable_identifier,
    STATE(7941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397479] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8630), 1,
      sym__alpha_identifier,
    ACTIONS(8632), 1,
      anon_sym__,
    ACTIONS(8636), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym__backquoted_id,
    ACTIONS(8640), 1,
      sym_operator_identifier,
    STATE(6463), 1,
      sym__simple_type,
    STATE(8293), 1,
      sym__soft_identifier,
    STATE(8312), 1,
      sym_identifier,
    STATE(9512), 1,
      sym_annotated_type,
    STATE(9702), 1,
      sym__annotated_type,
    STATE(16612), 1,
      sym_stable_identifier,
    STATE(7944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397540] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(7945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9398), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [397603] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9117), 1,
      sym_operator_identifier,
    STATE(1739), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [397658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11723), 1,
      anon_sym_with,
    STATE(7950), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11726), 1,
      anon_sym_DOT,
    STATE(7952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397935] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11728), 1,
      anon_sym_LPAREN,
    STATE(9109), 1,
      sym_arguments,
    STATE(7954), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398017] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9631), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398058] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_LPAREN,
    STATE(5778), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(8808), 1,
      sym__annotated_type,
    STATE(8831), 1,
      sym_annotated_type,
    STATE(17189), 1,
      sym_stable_identifier,
    STATE(7957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398119] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11114), 1,
      anon_sym_LPAREN,
    STATE(8064), 1,
      aux_sym_annotation_repeat1,
    STATE(8978), 1,
      sym_arguments,
    STATE(7958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11731), 1,
      anon_sym_DOT,
    STATE(7959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398205] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8841), 1,
      sym__alpha_identifier,
    ACTIONS(8843), 1,
      anon_sym__,
    ACTIONS(8847), 1,
      anon_sym_LPAREN,
    ACTIONS(8849), 1,
      sym__backquoted_id,
    ACTIONS(8851), 1,
      sym_operator_identifier,
    STATE(5001), 1,
      sym__simple_type,
    STATE(6115), 1,
      sym__soft_identifier,
    STATE(6137), 1,
      sym_identifier,
    STATE(7623), 1,
      sym_annotated_type,
    STATE(7810), 1,
      sym__annotated_type,
    STATE(16532), 1,
      sym_stable_identifier,
    STATE(7960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6255), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398266] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1640), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(10126), 1,
      anon_sym_DOT,
    ACTIONS(11140), 1,
      sym__alpha_identifier,
    ACTIONS(11146), 1,
      sym__backquoted_id,
    ACTIONS(11148), 1,
      sym_operator_identifier,
    ACTIONS(11733), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    STATE(8396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11142), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [398329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9477), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398604] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10872), 1,
      anon_sym_LPAREN,
    STATE(7954), 1,
      aux_sym_annotation_repeat1,
    STATE(9109), 1,
      sym_arguments,
    STATE(7969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398688] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11735), 1,
      anon_sym_COLON,
    ACTIONS(11738), 1,
      anon_sym_LBRACE,
    STATE(9376), 1,
      sym_template_body,
    STATE(7971), 2,
      sym_comment,
      sym_block_comment,
    STATE(8290), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9119), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11741), 1,
      anon_sym_DOT,
    STATE(7975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8367), 1,
      sym__end_marker,
    STATE(7977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398975] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    ACTIONS(7842), 1,
      anon_sym_LPAREN,
    STATE(4440), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(5871), 1,
      sym_annotated_type,
    STATE(5886), 1,
      sym__annotated_type,
    STATE(17195), 1,
      sym_stable_identifier,
    STATE(7978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11743), 1,
      anon_sym_DOT,
    STATE(7979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399155] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(10049), 1,
      anon_sym_DOT,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    ACTIONS(11745), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(7982), 2,
      sym_comment,
      sym_block_comment,
    STATE(8199), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [399218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399335] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    STATE(5524), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(8802), 1,
      sym__annotated_type,
    STATE(9248), 1,
      sym_annotated_type,
    STATE(16552), 1,
      sym_stable_identifier,
    STATE(7986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399396] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      sym__alpha_identifier,
    ACTIONS(8382), 1,
      anon_sym__,
    ACTIONS(8386), 1,
      anon_sym_LPAREN,
    ACTIONS(8388), 1,
      sym__backquoted_id,
    ACTIONS(8390), 1,
      sym_operator_identifier,
    STATE(10671), 1,
      sym__simple_type,
    STATE(11143), 1,
      sym__soft_identifier,
    STATE(11324), 1,
      sym_identifier,
    STATE(12644), 1,
      sym__annotated_type,
    STATE(12845), 1,
      sym_annotated_type,
    STATE(16351), 1,
      sym_stable_identifier,
    STATE(7987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    STATE(7989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8165), 1,
      sym_arguments,
    STATE(7990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399656] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11618), 1,
      anon_sym_LBRACE,
    ACTIONS(11620), 1,
      anon_sym_with,
    ACTIONS(11749), 1,
      anon_sym_COLON,
    STATE(7830), 1,
      aux_sym_compound_type_repeat1,
    STATE(10792), 1,
      sym_template_body,
    STATE(10793), 1,
      sym__refinement,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8288), 2,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7993), 2,
      sym_comment,
      sym_block_comment,
    STATE(10947), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399715] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11752), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(7994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [399786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11754), 1,
      anon_sym_with,
    STATE(7995), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399944] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    STATE(8418), 1,
      sym__simple_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(10896), 1,
      sym_annotated_type,
    STATE(10913), 1,
      sym__annotated_type,
    STATE(17201), 1,
      sym_stable_identifier,
    STATE(7999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400005] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9552), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400085] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9397), 1,
      sym_interpolated_string,
    STATE(14842), 1,
      sym__interpolated_multiline_string_start,
    STATE(14843), 1,
      sym__interpolated_string_start,
    ACTIONS(11757), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400214] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10733), 1,
      anon_sym_AT,
    STATE(7458), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9073), 1,
      sym_annotation,
    STATE(8005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400493] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7752), 1,
      anon_sym_LPAREN,
    STATE(4705), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(6895), 1,
      sym__annotated_type,
    STATE(6900), 1,
      sym_annotated_type,
    STATE(17207), 1,
      sym_stable_identifier,
    STATE(8012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400554] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11391), 1,
      anon_sym_DOT,
    ACTIONS(11759), 1,
      anon_sym_EQ_GT,
    STATE(8013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400714] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9397), 1,
      sym_interpolated_string,
    STATE(14842), 1,
      sym__interpolated_multiline_string_start,
    STATE(14843), 1,
      sym__interpolated_string_start,
    ACTIONS(11761), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11763), 1,
      anon_sym_AT,
    STATE(9086), 1,
      sym_annotation,
    STATE(8022), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401005] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11395), 1,
      anon_sym_EQ_GT,
    STATE(8024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401046] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11766), 1,
      sym__alpha_identifier,
    ACTIONS(11768), 1,
      anon_sym__,
    ACTIONS(11772), 1,
      anon_sym_LPAREN,
    ACTIONS(11774), 1,
      sym__backquoted_id,
    ACTIONS(11776), 1,
      sym_operator_identifier,
    STATE(13237), 1,
      sym__simple_type,
    STATE(13679), 1,
      sym_identifier,
    STATE(13748), 1,
      sym__soft_identifier,
    STATE(14527), 1,
      sym__annotated_type,
    STATE(14605), 1,
      sym_annotated_type,
    STATE(16227), 1,
      sym_stable_identifier,
    STATE(8025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13901), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401185] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11778), 1,
      anon_sym_AT,
    STATE(8992), 1,
      sym_annotation,
    STATE(8028), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401228] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8722), 1,
      sym__alpha_identifier,
    ACTIONS(8724), 1,
      anon_sym__,
    ACTIONS(8728), 1,
      anon_sym_LPAREN,
    ACTIONS(8730), 1,
      sym__backquoted_id,
    ACTIONS(8732), 1,
      sym_operator_identifier,
    STATE(5233), 1,
      sym__simple_type,
    STATE(6679), 1,
      sym_identifier,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(8230), 1,
      sym__annotated_type,
    STATE(8287), 1,
      sym_annotated_type,
    STATE(16572), 1,
      sym_stable_identifier,
    STATE(8029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7232), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401367] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8418), 1,
      sym__alpha_identifier,
    ACTIONS(8420), 1,
      anon_sym__,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      sym__backquoted_id,
    ACTIONS(8428), 1,
      sym_operator_identifier,
    STATE(4875), 1,
      sym__simple_type,
    STATE(6019), 1,
      sym_identifier,
    STATE(6306), 1,
      sym__soft_identifier,
    STATE(7684), 1,
      sym__annotated_type,
    STATE(7701), 1,
      sym_annotated_type,
    STATE(17213), 1,
      sym_stable_identifier,
    STATE(8032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6056), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401506] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10462), 1,
      anon_sym_AT,
    STATE(7602), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9226), 1,
      sym_annotation,
    STATE(8035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401631] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(10049), 1,
      anon_sym_DOT,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    ACTIONS(11781), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(8038), 2,
      sym_comment,
      sym_block_comment,
    STATE(8199), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [401694] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11101), 1,
      anon_sym_LPAREN,
    STATE(8067), 1,
      aux_sym_annotation_repeat1,
    STATE(9205), 1,
      sym_arguments,
    STATE(8039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401817] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    ACTIONS(7712), 1,
      anon_sym_LPAREN,
    STATE(4835), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(7658), 1,
      sym__annotated_type,
    STATE(7672), 1,
      sym_annotated_type,
    STATE(17219), 1,
      sym_stable_identifier,
    STATE(8042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9536), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402075] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_LPAREN,
    STATE(5874), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(8851), 1,
      sym_annotated_type,
    STATE(8873), 1,
      sym__annotated_type,
    STATE(17231), 1,
      sym_stable_identifier,
    STATE(8048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402214] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1640), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(10126), 1,
      anon_sym_DOT,
    ACTIONS(11140), 1,
      sym__alpha_identifier,
    ACTIONS(11146), 1,
      sym__backquoted_id,
    ACTIONS(11148), 1,
      sym_operator_identifier,
    ACTIONS(11783), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(8051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    STATE(8396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11142), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [402277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11785), 1,
      anon_sym_DOT,
    STATE(8052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9526), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402476] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    ACTIONS(7442), 1,
      anon_sym_LPAREN,
    STATE(6127), 1,
      sym__simple_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(9726), 1,
      sym_annotated_type,
    STATE(9727), 1,
      sym__annotated_type,
    STATE(17243), 1,
      sym_stable_identifier,
    STATE(8057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11787), 1,
      anon_sym_with,
    STATE(8059), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402617] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11556), 1,
      sym_interpolated_string,
    STATE(14869), 1,
      sym__interpolated_string_start,
    STATE(14871), 1,
      sym__interpolated_multiline_string_start,
    STATE(8060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [402686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402725] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    STATE(4473), 1,
      sym__simple_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(6064), 1,
      sym__annotated_type,
    STATE(6075), 1,
      sym_annotated_type,
    STATE(17255), 1,
      sym_stable_identifier,
    STATE(8062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11790), 1,
      anon_sym_LPAREN,
    STATE(8978), 1,
      sym_arguments,
    STATE(8064), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402868] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(4857), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(7584), 1,
      sym__annotated_type,
    STATE(7600), 1,
      sym_annotated_type,
    STATE(17261), 1,
      sym_stable_identifier,
    STATE(8065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402929] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10805), 1,
      sym__backquoted_id,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11327), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11556), 1,
      sym_interpolated_string,
    STATE(14869), 1,
      sym__interpolated_string_start,
    STATE(14871), 1,
      sym__interpolated_multiline_string_start,
    STATE(8066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402988] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11793), 1,
      anon_sym_LPAREN,
    STATE(9205), 1,
      sym_arguments,
    STATE(8067), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403148] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    STATE(4866), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(7554), 1,
      sym__annotated_type,
    STATE(7560), 1,
      sym_annotated_type,
    STATE(17273), 1,
      sym_stable_identifier,
    STATE(8071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403248] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    STATE(4839), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(7817), 1,
      sym__annotated_type,
    STATE(7966), 1,
      sym_annotated_type,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(8073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403389] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10792), 1,
      sym__backquoted_id,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11327), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11556), 1,
      sym_interpolated_string,
    STATE(14869), 1,
      sym__interpolated_string_start,
    STATE(14871), 1,
      sym__interpolated_multiline_string_start,
    STATE(8076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403448] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    ACTIONS(7912), 1,
      anon_sym_LPAREN,
    STATE(5256), 1,
      sym__simple_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(8308), 1,
      sym__annotated_type,
    STATE(8344), 1,
      sym_annotated_type,
    STATE(17279), 1,
      sym_stable_identifier,
    STATE(8077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403589] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9657), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11796), 1,
      anon_sym_DOT,
    STATE(8081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403749] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    STATE(6620), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(9353), 1,
      sym__annotated_type,
    STATE(9688), 1,
      sym_annotated_type,
    STATE(16591), 1,
      sym_stable_identifier,
    STATE(8084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9513), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403890] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11010), 1,
      sym_interpolated_string,
    STATE(15497), 1,
      sym__interpolated_string_start,
    STATE(15500), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11798), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [403961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404037] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9610), 1,
      sym_operator_identifier,
    STATE(1737), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [404091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [404243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [404319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10551), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404471] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4207), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10581), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11800), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [404627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [404665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11804), 1,
      anon_sym_with,
    STATE(8106), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404781] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11807), 1,
      anon_sym_COLON,
    ACTIONS(11810), 1,
      anon_sym_LBRACE,
    ACTIONS(11812), 1,
      anon_sym_with,
    STATE(8147), 1,
      aux_sym_compound_type_repeat1,
    STATE(10952), 1,
      sym__refinement,
    STATE(10955), 1,
      sym_template_body,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8109), 2,
      sym_comment,
      sym_block_comment,
    STATE(10971), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404839] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10534), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405149] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11587), 1,
      anon_sym_with,
    STATE(10379), 1,
      aux_sym_compound_type_repeat1,
    STATE(10819), 1,
      sym__refinement,
    STATE(10918), 1,
      sym_template_body,
    STATE(8118), 2,
      sym_comment,
      sym_block_comment,
    STATE(10921), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10522), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405349] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(8123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11814), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [405467] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11818), 1,
      anon_sym_LPAREN,
    STATE(9589), 1,
      sym_arguments,
    STATE(8126), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8784), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [405585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [405699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405737] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11810), 1,
      anon_sym_LBRACE,
    ACTIONS(11812), 1,
      anon_sym_with,
    STATE(8147), 1,
      aux_sym_compound_type_repeat1,
    STATE(10952), 1,
      sym__refinement,
    STATE(10955), 1,
      sym_template_body,
    STATE(8133), 2,
      sym_comment,
      sym_block_comment,
    STATE(10971), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405863] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405941] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10003), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406133] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9989), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406287] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11810), 1,
      anon_sym_LBRACE,
    ACTIONS(11812), 1,
      anon_sym_with,
    STATE(10162), 1,
      aux_sym_compound_type_repeat1,
    STATE(10955), 1,
      sym_template_body,
    STATE(11082), 1,
      sym__refinement,
    STATE(8147), 2,
      sym_comment,
      sym_block_comment,
    STATE(10971), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8244), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406337] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_DOT,
    ACTIONS(11560), 1,
      sym__alpha_identifier,
    ACTIONS(11566), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    ACTIONS(11821), 1,
      anon_sym_EQ,
    STATE(566), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(8148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    STATE(8926), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [406399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406589] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym__alpha_identifier,
    ACTIONS(9473), 1,
      sym__backquoted_id,
    ACTIONS(9475), 1,
      sym_operator_identifier,
    ACTIONS(9528), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3884), 1,
      sym__soft_identifier,
    STATE(8154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9469), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [406643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11823), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [406681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11827), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [406833] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11546), 1,
      anon_sym_AT,
    STATE(8284), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9400), 1,
      sym_annotation,
    STATE(8160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406915] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11831), 1,
      anon_sym_COLON,
    ACTIONS(11834), 1,
      anon_sym_LBRACE,
    STATE(9735), 1,
      sym_template_body,
    STATE(6564), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10143), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407189] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4952), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11175), 1,
      anon_sym_PLUS,
    ACTIONS(11177), 1,
      anon_sym_DASH,
    ACTIONS(11179), 1,
      anon_sym_AT,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10977), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11574), 1,
      sym_annotation,
    STATE(15994), 1,
      sym__type_parameter,
    STATE(8169), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15935), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [407253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5448), 1,
      sym__end_marker,
    STATE(8170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10510), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11837), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [407445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [407521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407559] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(8178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9469), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [407611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10506), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11841), 1,
      anon_sym_DOT,
    STATE(8182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407765] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11570), 1,
      anon_sym_LPAREN,
    STATE(8126), 1,
      aux_sym_annotation_repeat1,
    STATE(9589), 1,
      sym_arguments,
    STATE(8183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8754), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407847] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8826), 1,
      sym_arguments,
    STATE(8185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10084), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11843), 1,
      anon_sym_with,
    STATE(8192), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11846), 1,
      anon_sym_with,
    STATE(8194), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10492), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11572), 1,
      anon_sym_AT,
    STATE(8513), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9497), 1,
      sym_annotation,
    STATE(8196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10488), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10484), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10502), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408885] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8078), 1,
      anon_sym_DQUOTE,
    ACTIONS(8080), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11849), 1,
      anon_sym_EQ_GT,
    STATE(10726), 1,
      sym_interpolated_string,
    STATE(15285), 1,
      sym__interpolated_multiline_string_start,
    STATE(15824), 1,
      sym__interpolated_string_start,
    STATE(8212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408937] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11852), 1,
      anon_sym_AT,
    STATE(9652), 1,
      sym_annotation,
    STATE(8213), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409359] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4211), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409629] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10991), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7312), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10478), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10989), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7354), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9880), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [410171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [410209] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11855), 1,
      anon_sym_AT,
    STATE(9477), 1,
      sym_annotation,
    STATE(8246), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [410327] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8120), 1,
      anon_sym_def,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(17354), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8249), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [410387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11759), 1,
      anon_sym_EQ_GT,
    STATE(8251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410655] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410889] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10045), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [411271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11858), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [411309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411347] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4232), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411541] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9021), 1,
      sym_arguments,
    STATE(8280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411619] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9554), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11862), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [411697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11866), 1,
      anon_sym_AT,
    STATE(9400), 1,
      sym_annotation,
    STATE(8284), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412461] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9509), 1,
      sym_operator_identifier,
    STATE(1782), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [412515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412781] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11869), 1,
      anon_sym_DOT,
    STATE(8312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412859] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11871), 1,
      anon_sym_DOT,
    STATE(8314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412975] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9117), 1,
      sym_operator_identifier,
    STATE(1739), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413065] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11873), 1,
      anon_sym_COLON,
    ACTIONS(11876), 1,
      anon_sym_LBRACE,
    STATE(9962), 1,
      sym_template_body,
    STATE(6083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413379] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413571] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym__alpha_identifier,
    ACTIONS(9471), 1,
      anon_sym_EQ,
    ACTIONS(9473), 1,
      sym__backquoted_id,
    ACTIONS(9475), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3884), 1,
      sym__soft_identifier,
    STATE(8332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413701] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACE,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_DOT,
    ACTIONS(11560), 1,
      sym__alpha_identifier,
    ACTIONS(11566), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    ACTIONS(11879), 1,
      anon_sym_EQ,
    STATE(566), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(8335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    STATE(8926), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11881), 1,
      anon_sym_with,
    STATE(8338), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414183] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11193), 1,
      anon_sym_AT,
    STATE(8246), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9477), 1,
      sym_annotation,
    STATE(8347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10089), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11884), 1,
      anon_sym_with,
    STATE(8350), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10036), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415107] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11887), 1,
      anon_sym_AT,
    STATE(9689), 1,
      sym_annotation,
    STATE(8371), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415415] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11890), 1,
      anon_sym_with,
    STATE(8382), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415575] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415997] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9289), 1,
      sym__end_marker,
    STATE(8394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416037] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11893), 1,
      anon_sym_with,
    STATE(8395), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416229] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8286), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416311] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10987), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7356), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11896), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [416619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416733] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11594), 1,
      anon_sym_LBRACK,
    ACTIONS(11598), 1,
      anon_sym_POUND,
    ACTIONS(11900), 1,
      anon_sym_AT,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(10000), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10639), 1,
      sym_annotation,
    STATE(8418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416975] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [417091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417395] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417553] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11671), 1,
      anon_sym_LBRACK,
    ACTIONS(11677), 1,
      anon_sym_POUND,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(9651), 1,
      aux_sym_annotation_repeat1,
    STATE(9899), 1,
      sym_type_arguments,
    STATE(10266), 1,
      sym_arguments,
    STATE(8434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(8166), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417603] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11904), 1,
      anon_sym_with,
    STATE(8435), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417985] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8072), 1,
      anon_sym_def,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(16767), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8445), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [418045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418197] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4182), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8908), 1,
      sym__end_marker,
    STATE(8457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10013), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418621] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11907), 1,
      anon_sym_AT,
    STATE(9468), 1,
      sym_annotation,
    STATE(8461), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418701] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4196), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10066), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419087] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8756), 1,
      sym__backquoted_id,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    STATE(8591), 1,
      aux_sym_annotation_repeat1,
    STATE(9431), 1,
      sym_arguments,
    STATE(8473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419589] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9316), 1,
      sym_arguments,
    STATE(8497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11910), 1,
      anon_sym_with,
    STATE(8498), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [420207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420589] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9037), 1,
      sym_arguments,
    STATE(8512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420629] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11913), 1,
      anon_sym_AT,
    STATE(9497), 1,
      sym_annotation,
    STATE(8513), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11916), 1,
      anon_sym_with,
    STATE(8523), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [421245] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11671), 1,
      anon_sym_LBRACK,
    ACTIONS(11673), 1,
      anon_sym_AT,
    ACTIONS(11677), 1,
      anon_sym_POUND,
    STATE(9381), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9899), 1,
      sym_type_arguments,
    STATE(10374), 1,
      sym_annotation,
    STATE(8529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421295] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11923), 1,
      anon_sym_with,
    STATE(8533), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421911] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8290), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(11005), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_with,
    ACTIONS(11371), 1,
      anon_sym_COLON,
    STATE(6588), 1,
      aux_sym_compound_type_repeat1,
    STATE(10429), 1,
      sym_template_body,
    STATE(10433), 1,
      sym__refinement,
    STATE(8546), 2,
      sym_comment,
      sym_block_comment,
    STATE(10331), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8288), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11743), 1,
      anon_sym_DOT,
    ACTIONS(11926), 1,
      anon_sym_EQ_GT,
    STATE(8550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422541] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10388), 1,
      sym__alpha_identifier,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    ACTIONS(10396), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(8562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10390), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [422593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422745] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11928), 1,
      anon_sym_LPAREN,
    STATE(9480), 1,
      sym_arguments,
    STATE(8567), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8784), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423015] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4194), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423133] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9272), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [423185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423299] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11126), 1,
      anon_sym_AT,
    STATE(8213), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9652), 1,
      sym_annotation,
    STATE(8581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423381] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10047), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8786), 1,
      sym__backquoted_id,
    ACTIONS(11931), 1,
      anon_sym_LPAREN,
    STATE(9431), 1,
      sym_arguments,
    STATE(8591), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8784), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10593), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423805] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10973), 1,
      anon_sym_LPAREN,
    STATE(8567), 1,
      aux_sym_annotation_repeat1,
    STATE(9480), 1,
      sym_arguments,
    STATE(8594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8754), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10160), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9852), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424157] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9170), 1,
      sym_operator_identifier,
    STATE(1744), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8764), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [424209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11934), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [424247] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4130), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11938), 1,
      anon_sym_with,
    STATE(8607), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424481] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11941), 1,
      anon_sym_with,
    STATE(8611), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424521] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8936), 1,
      sym_arguments,
    STATE(8612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11640), 1,
      anon_sym_EQ_GT,
    STATE(8615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10619), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10176), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9186), 1,
      sym__end_marker,
    STATE(8631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10172), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425673] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9991), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10518), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [426131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10414), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426245] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10374), 1,
      sym__alpha_identifier,
    ACTIONS(10380), 1,
      sym__backquoted_id,
    ACTIONS(10382), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4026), 1,
      sym__soft_identifier,
    STATE(8657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426297] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11501), 1,
      anon_sym_AT,
    STATE(8371), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9689), 1,
      sym_annotation,
    STATE(8658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426455] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10053), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [426571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426647] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10814), 1,
      anon_sym_AT,
    STATE(8461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9468), 1,
      sym_annotation,
    STATE(8667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9012), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426805] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [427039] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8196), 1,
      anon_sym_def,
    STATE(5347), 1,
      aux_sym_modifiers_repeat1,
    STATE(6321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7765), 1,
      sym_annotation,
    STATE(17090), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8677), 2,
      sym_comment,
      sym_block_comment,
    STATE(6638), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [427099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [427365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427441] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4204), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [427559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10540), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11944), 1,
      anon_sym_with,
    STATE(8692), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427827] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [428019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [428057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428323] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428401] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8434), 1,
      sym__alpha_identifier,
    ACTIONS(8440), 1,
      anon_sym__,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      sym__backquoted_id,
    ACTIONS(8448), 1,
      sym_operator_identifier,
    STATE(4368), 1,
      sym__simple_type,
    STATE(4635), 1,
      sym_identifier,
    STATE(4648), 1,
      sym__soft_identifier,
    STATE(16691), 1,
      sym_stable_identifier,
    STATE(8712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8442), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4715), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [428678] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      sym_operator_identifier,
    STATE(11047), 1,
      sym__simple_type,
    STATE(11468), 1,
      sym_identifier,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(16154), 1,
      sym_stable_identifier,
    STATE(8719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11878), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [428770] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6200), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(6210), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_LPAREN,
    STATE(4975), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(16427), 1,
      sym_stable_identifier,
    STATE(8721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6138), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428825] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10654), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9485), 1,
      sym__end_marker,
    STATE(8723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10013), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428903] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429020] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11947), 1,
      anon_sym_COLON,
    STATE(8727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429135] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10603), 1,
      sym__alpha_identifier,
    ACTIONS(10609), 1,
      sym__backquoted_id,
    ACTIONS(10611), 1,
      sym_operator_identifier,
    STATE(543), 1,
      sym_identifier,
    STATE(4040), 1,
      sym__soft_identifier,
    STATE(8730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429223] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9979), 1,
      sym__alpha_identifier,
    ACTIONS(9985), 1,
      sym__backquoted_id,
    ACTIONS(9987), 1,
      sym_operator_identifier,
    ACTIONS(10068), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(8732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9981), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429313] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3298), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11675), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      sym__alpha_identifier,
    ACTIONS(11951), 1,
      anon_sym_DOT,
    ACTIONS(11955), 1,
      sym__backquoted_id,
    ACTIONS(11957), 1,
      sym_operator_identifier,
    STATE(1381), 1,
      sym_identifier,
    STATE(4175), 1,
      sym__soft_identifier,
    ACTIONS(8760), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(8734), 2,
      sym_comment,
      sym_block_comment,
    STATE(10855), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11953), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429374] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11961), 1,
      anon_sym__,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(11969), 1,
      sym_operator_identifier,
    STATE(11064), 1,
      sym__simple_type,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11766), 1,
      sym_identifier,
    STATE(16874), 1,
      sym_stable_identifier,
    STATE(8735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11942), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429429] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9979), 1,
      sym__alpha_identifier,
    ACTIONS(9985), 1,
      sym__backquoted_id,
    ACTIONS(9987), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(8736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9981), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429517] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429667] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(8742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429708] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11971), 1,
      sym__alpha_identifier,
    ACTIONS(11973), 1,
      anon_sym__,
    ACTIONS(11977), 1,
      anon_sym_LPAREN,
    ACTIONS(11979), 1,
      sym__backquoted_id,
    ACTIONS(11981), 1,
      sym_operator_identifier,
    STATE(11929), 1,
      sym__simple_type,
    STATE(12792), 1,
      sym__soft_identifier,
    STATE(12837), 1,
      sym_identifier,
    STATE(17159), 1,
      sym_stable_identifier,
    STATE(8743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11975), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [429837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429874] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8871), 1,
      sym__alpha_identifier,
    ACTIONS(8873), 1,
      anon_sym__,
    ACTIONS(8877), 1,
      anon_sym_LPAREN,
    ACTIONS(8879), 1,
      sym__backquoted_id,
    ACTIONS(8881), 1,
      sym_operator_identifier,
    STATE(5427), 1,
      sym__simple_type,
    STATE(6760), 1,
      sym_identifier,
    STATE(6864), 1,
      sym__soft_identifier,
    STATE(16802), 1,
      sym_stable_identifier,
    STATE(8747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7243), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429966] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym__,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(6628), 1,
      sym_operator_identifier,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    STATE(4842), 1,
      sym__simple_type,
    STATE(5495), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(16820), 1,
      sym_stable_identifier,
    STATE(8749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6519), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430021] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10453), 1,
      anon_sym_COLON,
    ACTIONS(10458), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10615), 1,
      anon_sym_EQ_GT,
    STATE(16836), 1,
      sym__self_type_ascription,
    STATE(8750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430066] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      anon_sym__,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(6426), 1,
      sym_operator_identifier,
    ACTIONS(7652), 1,
      anon_sym_LPAREN,
    STATE(5137), 1,
      sym__simple_type,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6487), 1,
      sym_identifier,
    STATE(16406), 1,
      sym_stable_identifier,
    STATE(8751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5711), 1,
      sym__end_marker,
    STATE(8755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430271] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym__,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(7902), 1,
      anon_sym_LPAREN,
    STATE(5284), 1,
      sym__simple_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(16509), 1,
      sym_stable_identifier,
    STATE(8756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10677), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430365] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4594), 1,
      anon_sym__,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(7832), 1,
      anon_sym_LPAREN,
    STATE(6340), 1,
      sym__simple_type,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(7979), 1,
      sym_identifier,
    STATE(16482), 1,
      sym_stable_identifier,
    STATE(8758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430420] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8909), 1,
      sym__alpha_identifier,
    ACTIONS(8911), 1,
      anon_sym__,
    ACTIONS(8915), 1,
      anon_sym_LPAREN,
    ACTIONS(8917), 1,
      sym__backquoted_id,
    ACTIONS(8919), 1,
      sym_operator_identifier,
    STATE(5790), 1,
      sym__simple_type,
    STATE(7989), 1,
      sym_identifier,
    STATE(8069), 1,
      sym__soft_identifier,
    STATE(17013), 1,
      sym_stable_identifier,
    STATE(8759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7725), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [430734] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      anon_sym__,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(8266), 1,
      anon_sym_LPAREN,
    ACTIONS(8268), 1,
      sym_operator_identifier,
    STATE(10725), 1,
      sym__simple_type,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11396), 1,
      sym_identifier,
    STATE(17344), 1,
      sym_stable_identifier,
    STATE(8767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [430826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [430900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [430937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [430974] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4802), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(6588), 1,
      sym_operator_identifier,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    STATE(4695), 1,
      sym__simple_type,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5425), 1,
      sym_identifier,
    STATE(16784), 1,
      sym_stable_identifier,
    STATE(8773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431103] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4206), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9510), 1,
      sym_arguments,
    STATE(8785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10143), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11983), 1,
      anon_sym_with,
    STATE(8787), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [431814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431925] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11986), 1,
      sym__alpha_identifier,
    ACTIONS(11988), 1,
      anon_sym__,
    ACTIONS(11992), 1,
      anon_sym_LPAREN,
    ACTIONS(11994), 1,
      sym__backquoted_id,
    ACTIONS(11996), 1,
      sym_operator_identifier,
    STATE(11469), 1,
      sym__simple_type,
    STATE(12384), 1,
      sym_identifier,
    STATE(12452), 1,
      sym__soft_identifier,
    STATE(16838), 1,
      sym_stable_identifier,
    STATE(8798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12704), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432054] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      sym__alpha_identifier,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    STATE(10960), 1,
      sym__simple_type,
    STATE(11543), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(16856), 1,
      sym_stable_identifier,
    STATE(8801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12114), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432183] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11998), 1,
      sym__alpha_identifier,
    ACTIONS(12000), 1,
      anon_sym__,
    ACTIONS(12004), 1,
      anon_sym_LPAREN,
    ACTIONS(12006), 1,
      sym__backquoted_id,
    ACTIONS(12008), 1,
      sym_operator_identifier,
    STATE(11125), 1,
      sym__simple_type,
    STATE(11547), 1,
      sym_identifier,
    STATE(11774), 1,
      sym__soft_identifier,
    STATE(17147), 1,
      sym_stable_identifier,
    STATE(8804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11960), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432423] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6236), 1,
      anon_sym__,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(6246), 1,
      sym_operator_identifier,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    STATE(7172), 1,
      sym__simple_type,
    STATE(8314), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(16448), 1,
      sym_stable_identifier,
    STATE(8810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432737] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432891] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8883), 1,
      sym__alpha_identifier,
    ACTIONS(8885), 1,
      anon_sym__,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(8891), 1,
      sym__backquoted_id,
    ACTIONS(8893), 1,
      sym_operator_identifier,
    STATE(5318), 1,
      sym__simple_type,
    STATE(6921), 1,
      sym__soft_identifier,
    STATE(7107), 1,
      sym_identifier,
    STATE(16892), 1,
      sym_stable_identifier,
    STATE(8822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7331), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10414), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433168] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12010), 1,
      sym__alpha_identifier,
    ACTIONS(12012), 1,
      anon_sym__,
    ACTIONS(12016), 1,
      anon_sym_LPAREN,
    ACTIONS(12018), 1,
      sym__backquoted_id,
    ACTIONS(12020), 1,
      sym_operator_identifier,
    STATE(11906), 1,
      sym__simple_type,
    STATE(12796), 1,
      sym__soft_identifier,
    STATE(12862), 1,
      sym_identifier,
    STATE(17177), 1,
      sym_stable_identifier,
    STATE(8829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12014), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13038), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9556), 1,
      sym__end_marker,
    STATE(8833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4235), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433710] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12024), 1,
      anon_sym__,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(12032), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12184), 1,
      sym__simple_type,
    STATE(13320), 1,
      sym_identifier,
    STATE(16955), 1,
      sym_stable_identifier,
    STATE(8843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10518), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5627), 1,
      sym__end_marker,
    STATE(8846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434063] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9392), 1,
      anon_sym_LBRACE,
    ACTIONS(9394), 1,
      anon_sym_with,
    STATE(8943), 1,
      sym__refinement,
    STATE(8951), 1,
      sym_template_body,
    STATE(9076), 1,
      aux_sym_compound_type_repeat1,
    STATE(8834), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434445] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8554), 1,
      sym__alpha_identifier,
    ACTIONS(8556), 1,
      anon_sym__,
    ACTIONS(8560), 1,
      anon_sym_LPAREN,
    ACTIONS(8562), 1,
      sym__backquoted_id,
    ACTIONS(8564), 1,
      sym_operator_identifier,
    STATE(4814), 1,
      sym__simple_type,
    STATE(6164), 1,
      sym_identifier,
    STATE(6631), 1,
      sym__soft_identifier,
    STATE(16161), 1,
      sym_stable_identifier,
    STATE(8862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8558), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6475), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434537] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11926), 1,
      anon_sym_EQ_GT,
    STATE(8865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434619] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6360), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    STATE(4531), 1,
      sym__simple_type,
    STATE(4845), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(16385), 1,
      sym_stable_identifier,
    STATE(8866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5344), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434970] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      anon_sym__,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(6154), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(16920), 1,
      sym_stable_identifier,
    STATE(8875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7269), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435099] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4200), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9098), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10478), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435325] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8772), 1,
      sym__alpha_identifier,
    ACTIONS(8774), 1,
      anon_sym__,
    ACTIONS(8778), 1,
      anon_sym_LPAREN,
    ACTIONS(8780), 1,
      sym__backquoted_id,
    ACTIONS(8782), 1,
      sym_operator_identifier,
    STATE(4499), 1,
      sym__simple_type,
    STATE(5106), 1,
      sym__soft_identifier,
    STATE(5216), 1,
      sym_identifier,
    STATE(16766), 1,
      sym_stable_identifier,
    STATE(8884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435380] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9701), 1,
      sym_operator_identifier,
    STATE(1790), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435507] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      anon_sym__,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(6688), 1,
      sym_operator_identifier,
    ACTIONS(7492), 1,
      anon_sym_LPAREN,
    STATE(5118), 1,
      sym__simple_type,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(16932), 1,
      sym_stable_identifier,
    STATE(8888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9094), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435673] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(8892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8760), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10096), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [435876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436024] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4231), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4191), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10502), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12034), 1,
      anon_sym_with,
    STATE(8904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [436256] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8460), 1,
      sym__alpha_identifier,
    ACTIONS(8462), 1,
      anon_sym__,
    ACTIONS(8466), 1,
      anon_sym_LPAREN,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(8470), 1,
      sym_operator_identifier,
    STATE(6611), 1,
      sym__simple_type,
    STATE(8182), 1,
      sym_identifier,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(16179), 1,
      sym_stable_identifier,
    STATE(8907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436348] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6566), 1,
      anon_sym__,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(6576), 1,
      sym_operator_identifier,
    ACTIONS(7612), 1,
      anon_sym_LPAREN,
    STATE(4759), 1,
      sym__simple_type,
    STATE(5567), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(16944), 1,
      sym_stable_identifier,
    STATE(8909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [436440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436514] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8596), 1,
      anon_sym__,
    ACTIONS(8600), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(8604), 1,
      sym_operator_identifier,
    STATE(5492), 1,
      sym__simple_type,
    STATE(7483), 1,
      sym__soft_identifier,
    STATE(7677), 1,
      sym_identifier,
    STATE(16616), 1,
      sym_stable_identifier,
    STATE(8913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7498), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436569] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4684), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    STATE(5002), 1,
      sym__simple_type,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(16966), 1,
      sym_stable_identifier,
    STATE(8914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6372), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12037), 1,
      anon_sym_with,
    STATE(8919), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436885] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12042), 1,
      anon_sym__,
    ACTIONS(12046), 1,
      anon_sym_LPAREN,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(12050), 1,
      sym_operator_identifier,
    STATE(10842), 1,
      sym__simple_type,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11201), 1,
      sym_identifier,
    STATE(16641), 1,
      sym_stable_identifier,
    STATE(8922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11486), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436977] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(8924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10484), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10488), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437092] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_LPAREN,
    STATE(6253), 1,
      sym__simple_type,
    STATE(7450), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(16977), 1,
      sym_stable_identifier,
    STATE(8927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8360), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437258] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_LPAREN,
    STATE(6402), 1,
      sym__simple_type,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(16469), 1,
      sym_stable_identifier,
    STATE(8931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8431), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10492), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10084), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12052), 1,
      anon_sym_AT,
    STATE(9971), 1,
      sym_annotation,
    STATE(8948), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8970), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9104), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438057] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8736), 1,
      sym__alpha_identifier,
    ACTIONS(8738), 1,
      anon_sym__,
    ACTIONS(8742), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__backquoted_id,
    ACTIONS(8746), 1,
      sym_operator_identifier,
    STATE(7357), 1,
      sym__simple_type,
    STATE(8916), 1,
      sym__soft_identifier,
    STATE(8997), 1,
      sym_identifier,
    STATE(16841), 1,
      sym_stable_identifier,
    STATE(8952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8950), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9625), 1,
      sym_arguments,
    STATE(8953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438151] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym__,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    ACTIONS(7892), 1,
      anon_sym_LPAREN,
    STATE(5805), 1,
      sym__simple_type,
    STATE(6792), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(16999), 1,
      sym_stable_identifier,
    STATE(8954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8016), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438206] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4225), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438321] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      sym__alpha_identifier,
    ACTIONS(8312), 1,
      anon_sym__,
    ACTIONS(8316), 1,
      anon_sym_LPAREN,
    ACTIONS(8318), 1,
      sym__backquoted_id,
    ACTIONS(8320), 1,
      sym_operator_identifier,
    STATE(12463), 1,
      sym__simple_type,
    STATE(13029), 1,
      sym_identifier,
    STATE(13259), 1,
      sym__soft_identifier,
    STATE(16452), 1,
      sym_stable_identifier,
    STATE(8958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13585), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438450] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4896), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(6728), 1,
      sym_operator_identifier,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym__simple_type,
    STATE(4397), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(17010), 1,
      sym_stable_identifier,
    STATE(8961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4559), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438505] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438544] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12055), 1,
      anon_sym_COLON,
    ACTIONS(12058), 1,
      anon_sym_LBRACE,
    STATE(10419), 1,
      sym_template_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9127), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9119), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438589] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6548), 1,
      anon_sym__,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(6558), 1,
      sym_operator_identifier,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    STATE(4457), 1,
      sym__simple_type,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(16748), 1,
      sym_stable_identifier,
    STATE(8964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10540), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438681] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(6646), 1,
      sym_operator_identifier,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(5450), 1,
      sym__simple_type,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_identifier,
    STATE(16581), 1,
      sym_stable_identifier,
    STATE(8966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7341), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438810] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    ACTIONS(7432), 1,
      anon_sym_LPAREN,
    STATE(4575), 1,
      sym__simple_type,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5335), 1,
      sym_identifier,
    STATE(16908), 1,
      sym_stable_identifier,
    STATE(8969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5641), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439087] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_LPAREN,
    STATE(4487), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(17021), 1,
      sym_stable_identifier,
    STATE(8976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439253] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    ACTIONS(7962), 1,
      anon_sym_LPAREN,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(17027), 1,
      sym_stable_identifier,
    STATE(8980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439308] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10178), 1,
      sym_operator_identifier,
    STATE(1662), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [439361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [439398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [439435] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9392), 1,
      anon_sym_LBRACE,
    ACTIONS(9394), 1,
      anon_sym_with,
    ACTIONS(12061), 1,
      anon_sym_COLON,
    STATE(8943), 1,
      sym__refinement,
    STATE(8951), 1,
      sym_template_body,
    STATE(9076), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8834), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12064), 1,
      anon_sym_with,
    STATE(8986), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10278), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439864] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4201), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(8995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12067), 1,
      anon_sym_DOT,
    STATE(8997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439981] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8654), 1,
      anon_sym__,
    ACTIONS(8658), 1,
      anon_sym_LPAREN,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(8662), 1,
      sym_operator_identifier,
    STATE(4525), 1,
      sym__simple_type,
    STATE(5072), 1,
      sym__soft_identifier,
    STATE(5257), 1,
      sym_identifier,
    STATE(16729), 1,
      sym_stable_identifier,
    STATE(8998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5418), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440073] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8704), 1,
      sym__alpha_identifier,
    ACTIONS(8706), 1,
      anon_sym__,
    ACTIONS(8710), 1,
      anon_sym_LPAREN,
    ACTIONS(8712), 1,
      sym__backquoted_id,
    ACTIONS(8714), 1,
      sym_operator_identifier,
    STATE(5025), 1,
      sym__simple_type,
    STATE(6180), 1,
      sym__soft_identifier,
    STATE(6310), 1,
      sym_identifier,
    STATE(16490), 1,
      sym_stable_identifier,
    STATE(9000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6111), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440128] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(8286), 1,
      sym__outdent,
    ACTIONS(8288), 1,
      anon_sym_case,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(12069), 1,
      anon_sym_with,
    STATE(9038), 1,
      aux_sym_compound_type_repeat1,
    STATE(11646), 1,
      sym_template_body,
    STATE(11648), 1,
      sym__refinement,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9001), 2,
      sym_comment,
      sym_block_comment,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440222] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12071), 1,
      anon_sym_LPAREN,
    STATE(9887), 1,
      sym_arguments,
    STATE(9003), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440411] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9727), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [440464] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    STATE(4419), 1,
      sym__simple_type,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(16710), 1,
      sym_stable_identifier,
    STATE(9009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440630] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4222), 1,
      anon_sym__,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym_identifier,
    STATE(17033), 1,
      sym_stable_identifier,
    STATE(9013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440722] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11766), 1,
      sym__alpha_identifier,
    ACTIONS(11768), 1,
      anon_sym__,
    ACTIONS(11772), 1,
      anon_sym_LPAREN,
    ACTIONS(11774), 1,
      sym__backquoted_id,
    ACTIONS(11776), 1,
      sym_operator_identifier,
    STATE(13182), 1,
      sym__simple_type,
    STATE(13679), 1,
      sym_identifier,
    STATE(13748), 1,
      sym__soft_identifier,
    STATE(16227), 1,
      sym_stable_identifier,
    STATE(9015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13901), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440777] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12074), 1,
      sym__alpha_identifier,
    ACTIONS(12076), 1,
      anon_sym__,
    ACTIONS(12080), 1,
      anon_sym_LPAREN,
    ACTIONS(12082), 1,
      sym__backquoted_id,
    ACTIONS(12084), 1,
      sym_operator_identifier,
    STATE(10847), 1,
      sym__simple_type,
    STATE(11338), 1,
      sym_identifier,
    STATE(11424), 1,
      sym__soft_identifier,
    STATE(16988), 1,
      sym_stable_identifier,
    STATE(9016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12078), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11570), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440945] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12086), 1,
      anon_sym_with,
    STATE(9020), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441206] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12089), 1,
      sym__alpha_identifier,
    ACTIONS(12091), 1,
      anon_sym__,
    ACTIONS(12095), 1,
      anon_sym_LPAREN,
    ACTIONS(12097), 1,
      sym__backquoted_id,
    ACTIONS(12099), 1,
      sym_operator_identifier,
    STATE(10532), 1,
      sym__simple_type,
    STATE(11070), 1,
      sym_identifier,
    STATE(11119), 1,
      sym__soft_identifier,
    STATE(16652), 1,
      sym_stable_identifier,
    STATE(9027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12093), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11139), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441261] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12101), 1,
      sym__alpha_identifier,
    ACTIONS(12103), 1,
      anon_sym__,
    ACTIONS(12107), 1,
      anon_sym_LPAREN,
    ACTIONS(12109), 1,
      sym__backquoted_id,
    ACTIONS(12111), 1,
      sym_operator_identifier,
    STATE(6437), 1,
      sym__simple_type,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(7952), 1,
      sym_identifier,
    STATE(16287), 1,
      sym_stable_identifier,
    STATE(9028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12105), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8167), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441316] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(12113), 1,
      anon_sym_COLON,
    ACTIONS(12116), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441359] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441402] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym__,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(6610), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    STATE(4319), 1,
      sym__simple_type,
    STATE(4492), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(16364), 1,
      sym_stable_identifier,
    STATE(9031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10369), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441681] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(12069), 1,
      anon_sym_with,
    STATE(10576), 1,
      aux_sym_compound_type_repeat1,
    STATE(11646), 1,
      sym_template_body,
    STATE(11670), 1,
      sym__refinement,
    ACTIONS(8250), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(9038), 2,
      sym_comment,
      sym_block_comment,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8244), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441769] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442330] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9993), 1,
      sym__alpha_identifier,
    ACTIONS(9999), 1,
      sym__backquoted_id,
    ACTIONS(10001), 1,
      sym_operator_identifier,
    ACTIONS(10038), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(4024), 1,
      sym__soft_identifier,
    STATE(9055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9995), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [442383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442420] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(9057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4130), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
  [442461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442535] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8478), 1,
      anon_sym__,
    ACTIONS(8482), 1,
      anon_sym_LPAREN,
    ACTIONS(8484), 1,
      sym__backquoted_id,
    ACTIONS(8486), 1,
      sym_operator_identifier,
    STATE(8434), 1,
      sym__simple_type,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(10117), 1,
      sym_identifier,
    STATE(16672), 1,
      sym_stable_identifier,
    STATE(9060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9812), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442701] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      sym__alpha_identifier,
    ACTIONS(12121), 1,
      anon_sym__,
    ACTIONS(12125), 1,
      anon_sym_LPAREN,
    ACTIONS(12127), 1,
      sym__backquoted_id,
    ACTIONS(12129), 1,
      sym_operator_identifier,
    STATE(11665), 1,
      sym__simple_type,
    STATE(12412), 1,
      sym__soft_identifier,
    STATE(12546), 1,
      sym_identifier,
    STATE(17045), 1,
      sym_stable_identifier,
    STATE(9064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12123), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12666), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442793] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(7722), 1,
      anon_sym_LPAREN,
    STATE(4865), 1,
      sym__simple_type,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(5843), 1,
      sym_identifier,
    STATE(16257), 1,
      sym_stable_identifier,
    STATE(9066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6155), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443033] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443189] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9392), 1,
      anon_sym_LBRACE,
    ACTIONS(9394), 1,
      anon_sym_with,
    STATE(7221), 1,
      aux_sym_compound_type_repeat1,
    STATE(8850), 1,
      sym__refinement,
    STATE(8951), 1,
      sym_template_body,
    STATE(8834), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8244), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443349] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4233), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443612] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12133), 1,
      anon_sym__,
    ACTIONS(12135), 1,
      anon_sym_LPAREN,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(12139), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(10950), 1,
      sym__simple_type,
    STATE(11473), 1,
      sym_identifier,
    STATE(16318), 1,
      sym_stable_identifier,
    STATE(9087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443704] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6802), 1,
      anon_sym__,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    ACTIONS(7932), 1,
      anon_sym_LPAREN,
    STATE(4837), 1,
      sym__simple_type,
    STATE(5668), 1,
      sym_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(17039), 1,
      sym_stable_identifier,
    STATE(9089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443907] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4192), 1,
      anon_sym__,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(6776), 1,
      sym_operator_identifier,
    ACTIONS(7622), 1,
      anon_sym_LPAREN,
    STATE(5375), 1,
      sym__simple_type,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(16209), 1,
      sym_stable_identifier,
    STATE(9094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7225), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443962] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym__,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(6390), 1,
      sym_operator_identifier,
    ACTIONS(7482), 1,
      anon_sym_LPAREN,
    STATE(5552), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6876), 1,
      sym_identifier,
    STATE(16632), 1,
      sym_stable_identifier,
    STATE(9095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7640), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444017] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12141), 1,
      anon_sym_LPAREN,
    ACTIONS(12143), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(4260), 1,
      sym_identifier,
    STATE(12341), 1,
      sym__simple_type,
    STATE(16752), 1,
      sym_stable_identifier,
    STATE(9096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9428), 1,
      sym_arguments,
    STATE(9097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444111] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9509), 1,
      sym_operator_identifier,
    STATE(1782), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [444162] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(6850), 1,
      sym_operator_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    STATE(4827), 1,
      sym__simple_type,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5981), 1,
      sym_identifier,
    STATE(17051), 1,
      sym_stable_identifier,
    STATE(9099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6237), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444291] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10152), 1,
      sym_operator_identifier,
    STATE(1692), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [444344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10506), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444788] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [444853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12145), 1,
      anon_sym_DOT,
    STATE(9116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444929] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12147), 1,
      sym__alpha_identifier,
    ACTIONS(12149), 1,
      anon_sym__,
    ACTIONS(12153), 1,
      anon_sym_LPAREN,
    ACTIONS(12155), 1,
      sym__backquoted_id,
    ACTIONS(12157), 1,
      sym_operator_identifier,
    STATE(10878), 1,
      sym__simple_type,
    STATE(11322), 1,
      sym__soft_identifier,
    STATE(11431), 1,
      sym_identifier,
    STATE(17111), 1,
      sym_stable_identifier,
    STATE(9118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12151), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11578), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445021] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11459), 1,
      anon_sym_LPAREN,
    STATE(9003), 1,
      aux_sym_annotation_repeat1,
    STATE(9887), 1,
      sym_arguments,
    STATE(9120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10398), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445436] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6120), 1,
      anon_sym__,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(6130), 1,
      sym_operator_identifier,
    ACTIONS(7912), 1,
      anon_sym_LPAREN,
    STATE(4951), 1,
      sym__simple_type,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(17279), 1,
      sym_stable_identifier,
    STATE(9131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445491] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8972), 1,
      sym__backquoted_id,
    ACTIONS(12159), 1,
      anon_sym_AT,
    STATE(9757), 1,
      sym_annotation,
    STATE(9132), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8970), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12162), 1,
      anon_sym_with,
    STATE(9133), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445645] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6280), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(6290), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    STATE(6308), 1,
      sym__simple_type,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(16239), 1,
      sym_stable_identifier,
    STATE(9136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8438), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445700] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8859), 1,
      sym__alpha_identifier,
    ACTIONS(8861), 1,
      anon_sym__,
    ACTIONS(8865), 1,
      anon_sym_LPAREN,
    ACTIONS(8867), 1,
      sym__backquoted_id,
    ACTIONS(8869), 1,
      sym_operator_identifier,
    STATE(4697), 1,
      sym__simple_type,
    STATE(5679), 1,
      sym_identifier,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(17057), 1,
      sym_stable_identifier,
    STATE(9137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5815), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445829] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9954), 1,
      sym__alpha_identifier,
    ACTIONS(9960), 1,
      sym__backquoted_id,
    ACTIONS(9962), 1,
      sym_operator_identifier,
    ACTIONS(10029), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3960), 1,
      sym__soft_identifier,
    STATE(9140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9956), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [445882] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4508), 1,
      anon_sym__,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    STATE(4610), 1,
      sym__simple_type,
    STATE(5152), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(17273), 1,
      sym_stable_identifier,
    STATE(9141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445937] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6262), 1,
      anon_sym__,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(6272), 1,
      sym_operator_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(4613), 1,
      sym__simple_type,
    STATE(5071), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(17261), 1,
      sym_stable_identifier,
    STATE(9142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5893), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445992] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3298), 1,
      anon_sym_LBRACE,
    ACTIONS(11675), 1,
      anon_sym_LPAREN,
    ACTIONS(11951), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8456), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(9143), 2,
      sym_comment,
      sym_block_comment,
    STATE(10855), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8454), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10172), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446115] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12165), 1,
      sym__alpha_identifier,
    ACTIONS(12167), 1,
      anon_sym__,
    ACTIONS(12171), 1,
      anon_sym_LPAREN,
    ACTIONS(12173), 1,
      sym__backquoted_id,
    ACTIONS(12175), 1,
      sym_operator_identifier,
    STATE(11457), 1,
      sym__simple_type,
    STATE(11806), 1,
      sym__soft_identifier,
    STATE(12160), 1,
      sym_identifier,
    STATE(17225), 1,
      sym_stable_identifier,
    STATE(9146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12169), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446170] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8630), 1,
      sym__alpha_identifier,
    ACTIONS(8632), 1,
      anon_sym__,
    ACTIONS(8636), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym__backquoted_id,
    ACTIONS(8640), 1,
      sym_operator_identifier,
    STATE(6562), 1,
      sym__simple_type,
    STATE(8293), 1,
      sym__soft_identifier,
    STATE(8312), 1,
      sym_identifier,
    STATE(16612), 1,
      sym_stable_identifier,
    STATE(9147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446299] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    ACTIONS(12177), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(9150), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [446360] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6222), 1,
      anon_sym__,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(6232), 1,
      sym_operator_identifier,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    STATE(4464), 1,
      sym__simple_type,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(17255), 1,
      sym_stable_identifier,
    STATE(9151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10619), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446526] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6816), 1,
      anon_sym_COLON,
    ACTIONS(6818), 1,
      anon_sym_LBRACE,
    ACTIONS(12069), 1,
      anon_sym_with,
    STATE(9038), 1,
      aux_sym_compound_type_repeat1,
    STATE(11646), 1,
      sym_template_body,
    STATE(11648), 1,
      sym__refinement,
    ACTIONS(8292), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(9155), 2,
      sym_comment,
      sym_block_comment,
    STATE(11723), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8284), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446651] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10453), 1,
      anon_sym_COLON,
    ACTIONS(10456), 1,
      anon_sym_EQ_GT,
    ACTIONS(10458), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(17398), 1,
      sym__self_type_ascription,
    STATE(9158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446733] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10403), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446772] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    ACTIONS(7442), 1,
      anon_sym_LPAREN,
    STATE(5892), 1,
      sym__simple_type,
    STATE(6690), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(17243), 1,
      sym_stable_identifier,
    STATE(9161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7574), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10510), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446901] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      sym__alpha_identifier,
    ACTIONS(8538), 1,
      anon_sym__,
    ACTIONS(8542), 1,
      anon_sym_LPAREN,
    ACTIONS(8544), 1,
      sym__backquoted_id,
    ACTIONS(8546), 1,
      sym_operator_identifier,
    STATE(4412), 1,
      sym__simple_type,
    STATE(4778), 1,
      sym_identifier,
    STATE(4926), 1,
      sym__soft_identifier,
    STATE(16410), 1,
      sym_stable_identifier,
    STATE(9164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8540), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4790), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446956] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    ACTIONS(12179), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(9165), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [447017] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4650), 1,
      anon_sym__,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(6854), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_LPAREN,
    STATE(4776), 1,
      sym__simple_type,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(17063), 1,
      sym_stable_identifier,
    STATE(9166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6199), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447072] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4370), 1,
      anon_sym__,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(6470), 1,
      sym_operator_identifier,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    STATE(5518), 1,
      sym__simple_type,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7112), 1,
      sym_identifier,
    STATE(16591), 1,
      sym_stable_identifier,
    STATE(9167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447127] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6182), 1,
      anon_sym__,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(6192), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_LPAREN,
    STATE(5095), 1,
      sym__simple_type,
    STATE(6030), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(17231), 1,
      sym_stable_identifier,
    STATE(9168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10593), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447293] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      sym__alpha_identifier,
    ACTIONS(8382), 1,
      anon_sym__,
    ACTIONS(8386), 1,
      anon_sym_LPAREN,
    ACTIONS(8388), 1,
      sym__backquoted_id,
    ACTIONS(8390), 1,
      sym_operator_identifier,
    STATE(10917), 1,
      sym__simple_type,
    STATE(11143), 1,
      sym__soft_identifier,
    STATE(11324), 1,
      sym_identifier,
    STATE(16351), 1,
      sym_stable_identifier,
    STATE(9172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11539), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(9173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447424] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447465] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6296), 1,
      anon_sym__,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(6306), 1,
      sym_operator_identifier,
    ACTIONS(7972), 1,
      anon_sym_LPAREN,
    STATE(5813), 1,
      sym__simple_type,
    STATE(6903), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(16267), 1,
      sym_stable_identifier,
    STATE(9176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447520] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10051), 1,
      sym_operator_identifier,
    STATE(1720), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8764), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [447573] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8817), 1,
      sym__alpha_identifier,
    ACTIONS(8823), 1,
      anon_sym__,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      sym__backquoted_id,
    ACTIONS(8831), 1,
      sym_operator_identifier,
    STATE(4557), 1,
      sym__simple_type,
    STATE(5193), 1,
      sym_identifier,
    STATE(5275), 1,
      sym__soft_identifier,
    STATE(16341), 1,
      sym_stable_identifier,
    STATE(9178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5420), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447776] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6346), 1,
      anon_sym__,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(6356), 1,
      sym_operator_identifier,
    ACTIONS(7712), 1,
      anon_sym_LPAREN,
    STATE(4627), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(17219), 1,
      sym_stable_identifier,
    STATE(9183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447942] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4213), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448094] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8791), 1,
      sym__alpha_identifier,
    ACTIONS(8793), 1,
      anon_sym__,
    ACTIONS(8797), 1,
      anon_sym_LPAREN,
    ACTIONS(8799), 1,
      sym__backquoted_id,
    ACTIONS(8801), 1,
      sym_operator_identifier,
    STATE(5399), 1,
      sym__simple_type,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7186), 1,
      sym_identifier,
    STATE(17069), 1,
      sym_stable_identifier,
    STATE(9191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8795), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7035), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448260] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9912), 1,
      anon_sym_EQ,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(9195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [448313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448424] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4950), 1,
      anon_sym__,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    STATE(4717), 1,
      sym__simple_type,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5401), 1,
      sym_identifier,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(9199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5623), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448479] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9954), 1,
      sym__alpha_identifier,
    ACTIONS(9958), 1,
      anon_sym_EQ,
    ACTIONS(9960), 1,
      sym__backquoted_id,
    ACTIONS(9962), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3960), 1,
      sym__soft_identifier,
    STATE(9200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9956), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [448532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12181), 1,
      anon_sym_with,
    STATE(9201), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448571] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12184), 1,
      sym__alpha_identifier,
    ACTIONS(12186), 1,
      anon_sym__,
    ACTIONS(12190), 1,
      anon_sym_LPAREN,
    ACTIONS(12192), 1,
      sym__backquoted_id,
    ACTIONS(12194), 1,
      sym_operator_identifier,
    STATE(11680), 1,
      sym__simple_type,
    STATE(12402), 1,
      sym__soft_identifier,
    STATE(12470), 1,
      sym_identifier,
    STATE(17285), 1,
      sym_stable_identifier,
    STATE(9202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448626] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8568), 1,
      anon_sym__,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(8576), 1,
      sym_operator_identifier,
    STATE(5535), 1,
      sym__simple_type,
    STATE(7540), 1,
      sym__soft_identifier,
    STATE(7567), 1,
      sym_identifier,
    STATE(16549), 1,
      sym_stable_identifier,
    STATE(9203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7968), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448866] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8418), 1,
      sym__alpha_identifier,
    ACTIONS(8420), 1,
      anon_sym__,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      sym__backquoted_id,
    ACTIONS(8428), 1,
      sym_operator_identifier,
    STATE(5030), 1,
      sym__simple_type,
    STATE(6019), 1,
      sym_identifier,
    STATE(6306), 1,
      sym__soft_identifier,
    STATE(17213), 1,
      sym_stable_identifier,
    STATE(9209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6056), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448958] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4538), 1,
      anon_sym__,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7752), 1,
      anon_sym_LPAREN,
    STATE(4522), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(4977), 1,
      sym_identifier,
    STATE(17207), 1,
      sym_stable_identifier,
    STATE(9211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5078), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449013] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12141), 1,
      anon_sym_LPAREN,
    ACTIONS(12143), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(4260), 1,
      sym_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(16752), 1,
      sym_stable_identifier,
    STATE(9212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10438), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449144] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      sym__alpha_identifier,
    ACTIONS(8620), 1,
      anon_sym__,
    ACTIONS(8624), 1,
      anon_sym_LPAREN,
    ACTIONS(8626), 1,
      sym__backquoted_id,
    ACTIONS(8628), 1,
      sym_operator_identifier,
    STATE(4694), 1,
      sym__simple_type,
    STATE(5699), 1,
      sym_identifier,
    STATE(5807), 1,
      sym__soft_identifier,
    STATE(16693), 1,
      sym_stable_identifier,
    STATE(9215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5656), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449273] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449316] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12196), 1,
      sym__alpha_identifier,
    ACTIONS(12198), 1,
      anon_sym__,
    ACTIONS(12202), 1,
      anon_sym_LPAREN,
    ACTIONS(12204), 1,
      sym__backquoted_id,
    ACTIONS(12206), 1,
      sym_operator_identifier,
    STATE(10246), 1,
      sym__simple_type,
    STATE(10774), 1,
      sym_identifier,
    STATE(10798), 1,
      sym__soft_identifier,
    STATE(17099), 1,
      sym_stable_identifier,
    STATE(9219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12200), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449519] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym__,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(7552), 1,
      anon_sym_LPAREN,
    STATE(4671), 1,
      sym__simple_type,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym_identifier,
    STATE(16511), 1,
      sym_stable_identifier,
    STATE(9224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449574] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym__,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(6830), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    STATE(7503), 1,
      sym__simple_type,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9116), 1,
      sym_identifier,
    STATE(17201), 1,
      sym_stable_identifier,
    STATE(9225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9367), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449703] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12208), 1,
      sym__alpha_identifier,
    ACTIONS(12210), 1,
      anon_sym__,
    ACTIONS(12214), 1,
      anon_sym_LPAREN,
    ACTIONS(12216), 1,
      sym__backquoted_id,
    ACTIONS(12218), 1,
      sym_operator_identifier,
    STATE(11974), 1,
      sym__simple_type,
    STATE(12832), 1,
      sym__soft_identifier,
    STATE(12875), 1,
      sym_identifier,
    STATE(17237), 1,
      sym_stable_identifier,
    STATE(9228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13194), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449758] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8722), 1,
      sym__alpha_identifier,
    ACTIONS(8724), 1,
      anon_sym__,
    ACTIONS(8728), 1,
      anon_sym_LPAREN,
    ACTIONS(8730), 1,
      sym__backquoted_id,
    ACTIONS(8732), 1,
      sym_operator_identifier,
    STATE(5365), 1,
      sym__simple_type,
    STATE(6679), 1,
      sym_identifier,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(16572), 1,
      sym_stable_identifier,
    STATE(9229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7232), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(9233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8510), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449963] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8678), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8934), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450043] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4236), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450238] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4416), 1,
      anon_sym__,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    ACTIONS(7842), 1,
      anon_sym_LPAREN,
    STATE(4379), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(17195), 1,
      sym_stable_identifier,
    STATE(9241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9096), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12220), 1,
      anon_sym_with,
    STATE(9243), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10522), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9524), 1,
      sym_arguments,
    STATE(9249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10534), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450667] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4622), 1,
      anon_sym__,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_LPAREN,
    STATE(5061), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(17189), 1,
      sym_stable_identifier,
    STATE(9252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6671), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450722] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4866), 1,
      anon_sym__,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      sym_operator_identifier,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    STATE(5297), 1,
      sym__simple_type,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6325), 1,
      sym_identifier,
    STATE(16552), 1,
      sym_stable_identifier,
    STATE(9253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7170), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450814] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4832), 1,
      anon_sym__,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7522), 1,
      anon_sym_LPAREN,
    STATE(5028), 1,
      sym__simple_type,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5909), 1,
      sym_identifier,
    STATE(17183), 1,
      sym_stable_identifier,
    STATE(9255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6010), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450869] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10453), 1,
      anon_sym_COLON,
    ACTIONS(10526), 1,
      anon_sym_EQ_GT,
    ACTIONS(10528), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(16880), 1,
      sym__self_type_ascription,
    STATE(9256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450951] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_LPAREN,
    STATE(5080), 1,
      sym__simple_type,
    STATE(6103), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(17171), 1,
      sym_stable_identifier,
    STATE(9258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6706), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451006] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11491), 1,
      anon_sym_AT,
    STATE(8948), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9971), 1,
      sym_annotation,
    STATE(9259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9012), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451049] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9979), 1,
      sym__alpha_identifier,
    ACTIONS(9983), 1,
      anon_sym_EQ,
    ACTIONS(9985), 1,
      sym__backquoted_id,
    ACTIONS(9987), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(9260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9981), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451102] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9993), 1,
      sym__alpha_identifier,
    ACTIONS(9997), 1,
      anon_sym_EQ,
    ACTIONS(9999), 1,
      sym__backquoted_id,
    ACTIONS(10001), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(4024), 1,
      sym__soft_identifier,
    STATE(9261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9995), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [451192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451229] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12223), 1,
      anon_sym_with,
    STATE(9264), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [451268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [451305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10420), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12226), 1,
      sym__alpha_identifier,
    ACTIONS(12228), 1,
      anon_sym__,
    ACTIONS(12232), 1,
      anon_sym_LPAREN,
    ACTIONS(12234), 1,
      sym__backquoted_id,
    ACTIONS(12236), 1,
      sym_operator_identifier,
    STATE(10443), 1,
      sym__simple_type,
    STATE(10719), 1,
      sym__soft_identifier,
    STATE(10884), 1,
      sym_identifier,
    STATE(16321), 1,
      sym_stable_identifier,
    STATE(9273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451621] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(6458), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      anon_sym_LPAREN,
    STATE(5268), 1,
      sym__simple_type,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6633), 1,
      sym_identifier,
    STATE(16294), 1,
      sym_stable_identifier,
    STATE(9274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451676] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9463), 1,
      sym__alpha_identifier,
    ACTIONS(9473), 1,
      sym__backquoted_id,
    ACTIONS(9475), 1,
      sym_operator_identifier,
    ACTIONS(9782), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3884), 1,
      sym__soft_identifier,
    STATE(9275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451766] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4742), 1,
      anon_sym__,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_LPAREN,
    STATE(4510), 1,
      sym__simple_type,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4953), 1,
      sym_identifier,
    STATE(17165), 1,
      sym_stable_identifier,
    STATE(9277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5205), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451858] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451901] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4710), 1,
      anon_sym__,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(7872), 1,
      anon_sym_LPAREN,
    STATE(4467), 1,
      sym__simple_type,
    STATE(4961), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(16376), 1,
      sym_stable_identifier,
    STATE(9280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5339), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451956] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(6514), 1,
      sym_operator_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(5099), 1,
      sym__simple_type,
    STATE(6128), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(17153), 1,
      sym_stable_identifier,
    STATE(9281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6758), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12238), 1,
      anon_sym_with,
    STATE(9284), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452124] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6534), 1,
      anon_sym__,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(6544), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_LPAREN,
    STATE(4507), 1,
      sym__simple_type,
    STATE(4830), 1,
      sym_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(17141), 1,
      sym_stable_identifier,
    STATE(9285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5292), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12241), 1,
      anon_sym_with,
    STATE(9290), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452440] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12244), 1,
      sym__alpha_identifier,
    ACTIONS(12246), 1,
      anon_sym__,
    ACTIONS(12250), 1,
      anon_sym_LPAREN,
    ACTIONS(12252), 1,
      sym__backquoted_id,
    ACTIONS(12254), 1,
      sym_operator_identifier,
    STATE(11170), 1,
      sym__simple_type,
    STATE(11887), 1,
      sym__soft_identifier,
    STATE(11981), 1,
      sym_identifier,
    STATE(17267), 1,
      sym_stable_identifier,
    STATE(9293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12482), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10551), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452569] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8520), 1,
      sym__alpha_identifier,
    ACTIONS(8522), 1,
      anon_sym__,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      sym__backquoted_id,
    ACTIONS(8530), 1,
      sym_operator_identifier,
    STATE(4672), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(5849), 1,
      sym_identifier,
    STATE(17135), 1,
      sym_stable_identifier,
    STATE(9296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5936), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9106), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452698] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6596), 1,
      anon_sym__,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(6606), 1,
      sym_operator_identifier,
    ACTIONS(7582), 1,
      anon_sym_LPAREN,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4856), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(17129), 1,
      sym_stable_identifier,
    STATE(9299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5336), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452753] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12256), 1,
      sym__alpha_identifier,
    ACTIONS(12258), 1,
      anon_sym__,
    ACTIONS(12262), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      sym__backquoted_id,
    ACTIONS(12266), 1,
      sym_operator_identifier,
    STATE(11510), 1,
      sym__simple_type,
    STATE(12409), 1,
      sym__soft_identifier,
    STATE(12550), 1,
      sym_identifier,
    STATE(17081), 1,
      sym_stable_identifier,
    STATE(9300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12260), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12727), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10581), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [452882] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3298), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(11675), 1,
      anon_sym_LPAREN,
    ACTIONS(11951), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8680), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(9303), 2,
      sym_comment,
      sym_block_comment,
    STATE(10855), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453007] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym__,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(6672), 1,
      sym_operator_identifier,
    ACTIONS(7702), 1,
      anon_sym_LPAREN,
    STATE(4380), 1,
      sym__simple_type,
    STATE(4489), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(17123), 1,
      sym_stable_identifier,
    STATE(9306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4744), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453136] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8584), 1,
      anon_sym__,
    ACTIONS(8588), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(8592), 1,
      sym_operator_identifier,
    STATE(4383), 1,
      sym__simple_type,
    STATE(4758), 1,
      sym__soft_identifier,
    STATE(4923), 1,
      sym_identifier,
    STATE(17117), 1,
      sym_stable_identifier,
    STATE(9309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4794), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453228] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      anon_sym__,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(6710), 1,
      sym_operator_identifier,
    ACTIONS(7772), 1,
      anon_sym_LPAREN,
    STATE(6049), 1,
      sym__simple_type,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(7975), 1,
      sym_identifier,
    STATE(17105), 1,
      sym_stable_identifier,
    STATE(9311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8700), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453394] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9610), 1,
      sym_operator_identifier,
    STATE(1737), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [453445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453482] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6714), 1,
      anon_sym__,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(6724), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_LPAREN,
    STATE(5291), 1,
      sym__simple_type,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(17093), 1,
      sym_stable_identifier,
    STATE(9317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6966), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453537] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12268), 1,
      sym__alpha_identifier,
    ACTIONS(12270), 1,
      anon_sym__,
    ACTIONS(12274), 1,
      anon_sym_LPAREN,
    ACTIONS(12276), 1,
      sym__backquoted_id,
    ACTIONS(12278), 1,
      sym_operator_identifier,
    STATE(10640), 1,
      sym__simple_type,
    STATE(11061), 1,
      sym__soft_identifier,
    STATE(11097), 1,
      sym_identifier,
    STATE(17249), 1,
      sym_stable_identifier,
    STATE(9318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12272), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11256), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8993), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453629] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4212), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453670] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453713] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8684), 1,
      sym__alpha_identifier,
    ACTIONS(8686), 1,
      anon_sym__,
    ACTIONS(8690), 1,
      anon_sym_LPAREN,
    ACTIONS(8692), 1,
      sym__backquoted_id,
    ACTIONS(8694), 1,
      sym_operator_identifier,
    STATE(5925), 1,
      sym__simple_type,
    STATE(7813), 1,
      sym__soft_identifier,
    STATE(8081), 1,
      sym_identifier,
    STATE(17087), 1,
      sym_stable_identifier,
    STATE(9322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8688), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453805] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    ACTIONS(7852), 1,
      anon_sym_LPAREN,
    STATE(4820), 1,
      sym__simple_type,
    STATE(5689), 1,
      sym_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(17075), 1,
      sym_stable_identifier,
    STATE(9324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6178), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453860] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8841), 1,
      sym__alpha_identifier,
    ACTIONS(8843), 1,
      anon_sym__,
    ACTIONS(8847), 1,
      anon_sym_LPAREN,
    ACTIONS(8849), 1,
      sym__backquoted_id,
    ACTIONS(8851), 1,
      sym_operator_identifier,
    STATE(4922), 1,
      sym__simple_type,
    STATE(6115), 1,
      sym__soft_identifier,
    STATE(6137), 1,
      sym_identifier,
    STATE(16532), 1,
      sym_stable_identifier,
    STATE(9325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6255), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10551), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12280), 1,
      anon_sym_with,
    STATE(9331), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454133] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10345), 1,
      sym__alpha_identifier,
    ACTIONS(10351), 1,
      sym__backquoted_id,
    ACTIONS(10353), 1,
      sym_operator_identifier,
    ACTIONS(10422), 1,
      anon_sym_EQ,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(9332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454365] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10374), 1,
      sym__alpha_identifier,
    ACTIONS(10380), 1,
      sym__backquoted_id,
    ACTIONS(10382), 1,
      sym_operator_identifier,
    ACTIONS(10430), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4026), 1,
      sym__soft_identifier,
    STATE(9338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10540), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454489] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4199), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454565] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10233), 1,
      sym__alpha_identifier,
    ACTIONS(10239), 1,
      sym__backquoted_id,
    ACTIONS(10241), 1,
      sym_operator_identifier,
    ACTIONS(10432), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(9343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10235), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10947), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454655] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4181), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454695] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10522), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454807] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10072), 1,
      anon_sym_DOT,
    ACTIONS(11947), 1,
      anon_sym_COLON,
    STATE(9349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10534), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454883] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10388), 1,
      sym__alpha_identifier,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    ACTIONS(10396), 1,
      sym_operator_identifier,
    ACTIONS(10436), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(9351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10390), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455007] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(8044), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(9730), 1,
      sym_identifier,
    STATE(9354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8042), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [455053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10518), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455161] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4230), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455201] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10942), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12285), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12283), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [455275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12289), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12287), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [455347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10510), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10581), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10506), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455671] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1600), 1,
      sym__alpha_identifier,
    ACTIONS(1622), 1,
      sym__backquoted_id,
    ACTIONS(12293), 1,
      sym_operator_identifier,
    STATE(5620), 1,
      sym__soft_identifier,
    STATE(8629), 1,
      sym_identifier,
    STATE(9372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12291), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [455717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455861] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4186), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456009] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11673), 1,
      anon_sym_AT,
    STATE(9717), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10374), 1,
      sym_annotation,
    STATE(9381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9012), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11023), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456125] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8678), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456239] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11140), 1,
      sym__alpha_identifier,
    ACTIONS(11146), 1,
      sym__backquoted_id,
    ACTIONS(11148), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    STATE(9387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(11142), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456325] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10388), 1,
      sym__alpha_identifier,
    ACTIONS(10392), 1,
      anon_sym_EQ,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    ACTIONS(10396), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(9389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10390), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10084), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10492), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456593] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11025), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10619), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10488), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10484), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10593), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10502), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12297), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12295), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [456883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456919] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1508), 1,
      sym__alpha_identifier,
    ACTIONS(1530), 1,
      sym__backquoted_id,
    ACTIONS(12301), 1,
      sym_operator_identifier,
    STATE(4501), 1,
      sym__soft_identifier,
    STATE(5652), 1,
      sym_identifier,
    STATE(9405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1518), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12299), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [456965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [457001] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10374), 1,
      sym__alpha_identifier,
    ACTIONS(10378), 1,
      anon_sym_EQ,
    ACTIONS(10380), 1,
      sym__backquoted_id,
    ACTIONS(10382), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4026), 1,
      sym__soft_identifier,
    STATE(9407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [457053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9961), 1,
      sym_arguments,
    STATE(9408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10478), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10176), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457163] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10172), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457313] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9727), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [457363] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1544), 1,
      sym__alpha_identifier,
    ACTIONS(1566), 1,
      sym__backquoted_id,
    ACTIONS(12305), 1,
      sym_operator_identifier,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(9101), 1,
      sym_identifier,
    STATE(9416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12303), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [457409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457589] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10152), 1,
      sym_operator_identifier,
    STATE(1692), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [457639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457711] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10414), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12309), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12307), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [457897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8813), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(9431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9285), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9554), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458115] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1996), 1,
      sym__alpha_identifier,
    ACTIONS(2018), 1,
      sym__backquoted_id,
    ACTIONS(12313), 1,
      sym_operator_identifier,
    STATE(4606), 1,
      sym__soft_identifier,
    STATE(6496), 1,
      sym_identifier,
    STATE(9436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12311), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [458161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7064), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [458305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458413] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(8052), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(7339), 1,
      sym_identifier,
    STATE(9444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8048), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [458459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458531] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4214), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [458571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458607] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458829] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459087] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459379] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9954), 1,
      sym__alpha_identifier,
    ACTIONS(9960), 1,
      sym__backquoted_id,
    ACTIONS(9962), 1,
      sym_operator_identifier,
    ACTIONS(10355), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3960), 1,
      sym__soft_identifier,
    STATE(9470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9956), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459431] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459545] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10178), 1,
      sym_operator_identifier,
    STATE(1662), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8764), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459739] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10716), 1,
      sym_operator_identifier,
    STATE(1751), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8764), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459935] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4192), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10638), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10150), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460083] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12315), 1,
      anon_sym_with,
    STATE(9488), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460121] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(12320), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__soft_identifier,
    STATE(9410), 1,
      sym_identifier,
    STATE(9489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12318), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [460167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460239] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460531] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10345), 1,
      sym__alpha_identifier,
    ACTIONS(10351), 1,
      sym__backquoted_id,
    ACTIONS(10353), 1,
      sym_operator_identifier,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(9500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6659), 1,
      sym__end_marker,
    STATE(9503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460691] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10528), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460765] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460839] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4219), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460879] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11596), 1,
      anon_sym_LPAREN,
    STATE(9517), 1,
      aux_sym_annotation_repeat1,
    STATE(10227), 1,
      sym_arguments,
    STATE(9509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8754), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460957] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10345), 1,
      sym__alpha_identifier,
    ACTIONS(10349), 1,
      anon_sym_EQ,
    ACTIONS(10351), 1,
      sym__backquoted_id,
    ACTIONS(10353), 1,
      sym_operator_identifier,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(9511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8286), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10143), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461193] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12322), 1,
      anon_sym_LPAREN,
    STATE(10227), 1,
      sym_arguments,
    ACTIONS(8786), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9517), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8784), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461377] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461489] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(9525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461539] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10628), 1,
      sym_operator_identifier,
    STATE(1770), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461807] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12325), 1,
      anon_sym_with,
    STATE(9533), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8672), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461989] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11696), 1,
      anon_sym_AT,
    STATE(9627), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10187), 1,
      sym_annotation,
    STATE(9538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462031] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1636), 1,
      sym__alpha_identifier,
    ACTIONS(1658), 1,
      sym__backquoted_id,
    ACTIONS(12330), 1,
      sym_operator_identifier,
    STATE(5474), 1,
      sym__soft_identifier,
    STATE(8205), 1,
      sym_identifier,
    STATE(9539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12328), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [462077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [462221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462473] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1004), 1,
      sym__alpha_identifier,
    ACTIONS(1026), 1,
      sym__backquoted_id,
    ACTIONS(12334), 1,
      sym_operator_identifier,
    STATE(5173), 1,
      sym__soft_identifier,
    STATE(7451), 1,
      sym_identifier,
    STATE(9551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1014), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12332), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [462519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10150), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12338), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12336), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [462735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12342), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12340), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [462771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462807] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(9560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4132), 7,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(4130), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462847] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(9561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9469), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [462897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [462933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [463005] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1440), 1,
      sym__alpha_identifier,
    ACTIONS(1462), 1,
      sym__backquoted_id,
    ACTIONS(12346), 1,
      sym_operator_identifier,
    STATE(6219), 1,
      sym__soft_identifier,
    STATE(8839), 1,
      sym_identifier,
    STATE(9565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12344), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [463051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 21,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [463121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463265] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10313), 1,
      sym__alpha_identifier,
    ACTIONS(10317), 1,
      anon_sym_EQ,
    ACTIONS(10319), 1,
      sym__backquoted_id,
    ACTIONS(10321), 1,
      sym_operator_identifier,
    STATE(537), 1,
      sym_identifier,
    STATE(4038), 1,
      sym__soft_identifier,
    STATE(9572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10315), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463389] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10051), 1,
      sym_operator_identifier,
    STATE(1720), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8764), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463439] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1278), 1,
      sym__alpha_identifier,
    ACTIONS(1300), 1,
      sym__backquoted_id,
    ACTIONS(12350), 1,
      sym_operator_identifier,
    STATE(5525), 1,
      sym__soft_identifier,
    STATE(8559), 1,
      sym_identifier,
    STATE(9576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1288), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12348), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [463485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [463665] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463779] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12352), 1,
      anon_sym_COLON,
    ACTIONS(12355), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1830), 1,
      sym__alpha_identifier,
    ACTIONS(1852), 1,
      sym__backquoted_id,
    ACTIONS(12360), 1,
      sym_operator_identifier,
    STATE(6149), 1,
      sym__soft_identifier,
    STATE(9152), 1,
      sym_identifier,
    STATE(9588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12358), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [463937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9285), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464153] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [464303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11088), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464377] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12362), 1,
      anon_sym_with,
    STATE(9601), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464415] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10335), 1,
      sym_operator_identifier,
    STATE(1771), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464575] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4209), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464867] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1172), 1,
      sym__alpha_identifier,
    ACTIONS(1194), 1,
      sym__backquoted_id,
    ACTIONS(12367), 1,
      sym_operator_identifier,
    STATE(4413), 1,
      sym__soft_identifier,
    STATE(5459), 1,
      sym_identifier,
    STATE(9614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1182), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12365), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [464913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [464985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4220), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [465061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465097] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1688), 1,
      sym__alpha_identifier,
    ACTIONS(1710), 1,
      sym__backquoted_id,
    ACTIONS(12371), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(5696), 1,
      sym_identifier,
    STATE(9620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12369), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [465143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465359] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12373), 1,
      anon_sym_AT,
    STATE(10187), 1,
      sym_annotation,
    STATE(9627), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [465507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10458), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465797] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12376), 1,
      anon_sym_LPAREN,
    STATE(10266), 1,
      sym_arguments,
    STATE(9639), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8784), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10143), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465909] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1112), 1,
      sym__alpha_identifier,
    ACTIONS(1134), 1,
      sym__backquoted_id,
    ACTIONS(12381), 1,
      sym_operator_identifier,
    STATE(4893), 1,
      sym__soft_identifier,
    STATE(7350), 1,
      sym_identifier,
    STATE(9642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12379), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [465955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [466063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12383), 1,
      anon_sym_with,
    STATE(9646), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466245] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(9639), 1,
      aux_sym_annotation_repeat1,
    STATE(10266), 1,
      sym_arguments,
    STATE(9651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8754), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466503] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10084), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8750), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6453), 1,
      sym__end_marker,
    STATE(9663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466761] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10569), 1,
      anon_sym_AT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [466807] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(9666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8760), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10096), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466967] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467169] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12386), 1,
      anon_sym_with,
    STATE(9681), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8430), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467537] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10603), 1,
      sym__alpha_identifier,
    ACTIONS(10607), 1,
      anon_sym_EQ,
    ACTIONS(10609), 1,
      sym__backquoted_id,
    ACTIONS(10611), 1,
      sym_operator_identifier,
    STATE(543), 1,
      sym_identifier,
    STATE(4040), 1,
      sym__soft_identifier,
    STATE(9685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(10605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467841] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10233), 1,
      sym__alpha_identifier,
    ACTIONS(10239), 1,
      sym__backquoted_id,
    ACTIONS(10241), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(9693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10235), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10569), 1,
      anon_sym_AT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [467937] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468051] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4222), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468235] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2032), 1,
      sym__alpha_identifier,
    ACTIONS(2054), 1,
      sym__backquoted_id,
    ACTIONS(12391), 1,
      sym_operator_identifier,
    STATE(4688), 1,
      sym__soft_identifier,
    STATE(6646), 1,
      sym_identifier,
    STATE(9703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2042), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12389), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [468281] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4202), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468393] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1208), 1,
      sym__alpha_identifier,
    ACTIONS(1230), 1,
      sym__backquoted_id,
    ACTIONS(12395), 1,
      sym_operator_identifier,
    STATE(5748), 1,
      sym__soft_identifier,
    STATE(8146), 1,
      sym_identifier,
    STATE(9707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12393), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [468439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468583] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10233), 1,
      sym__alpha_identifier,
    ACTIONS(10237), 1,
      anon_sym_EQ,
    ACTIONS(10239), 1,
      sym__backquoted_id,
    ACTIONS(10241), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(9712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10235), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468779] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12397), 1,
      anon_sym_AT,
    STATE(10374), 1,
      sym_annotation,
    STATE(9717), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8970), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468819] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1334), 1,
      sym__alpha_identifier,
    ACTIONS(1356), 1,
      sym__backquoted_id,
    ACTIONS(12402), 1,
      sym_operator_identifier,
    STATE(5211), 1,
      sym__soft_identifier,
    STATE(7722), 1,
      sym_identifier,
    STATE(9718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12400), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [468865] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9743), 1,
      sym_arguments,
    STATE(9719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468939] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9993), 1,
      sym__alpha_identifier,
    ACTIONS(9999), 1,
      sym__backquoted_id,
    ACTIONS(10001), 1,
      sym_operator_identifier,
    ACTIONS(10675), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(4024), 1,
      sym__soft_identifier,
    STATE(9721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9995), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468991] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    STATE(1700), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469043] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9701), 1,
      sym_operator_identifier,
    STATE(1790), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10172), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10176), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469381] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11560), 1,
      sym__alpha_identifier,
    ACTIONS(11566), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    STATE(566), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(9732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9469), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [469570] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(11027), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(9737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469691] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11473), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469728] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12404), 1,
      anon_sym_with,
    STATE(9742), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9448), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469859] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [469988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4188), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470202] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(10760), 1,
      anon_sym_EQ_GT,
    STATE(9753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 1,
      sym__backquoted_id,
    STATE(9757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9407), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470486] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11035), 1,
      sym_operator_identifier,
    STATE(1675), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470537] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11493), 1,
      anon_sym_COLON,
    ACTIONS(11495), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15437), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470598] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    STATE(1700), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470752] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11497), 1,
      anon_sym_COLON,
    ACTIONS(11499), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15433), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470848] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10961), 1,
      sym__alpha_identifier,
    ACTIONS(10967), 1,
      sym__backquoted_id,
    ACTIONS(10969), 1,
      sym_operator_identifier,
    ACTIONS(11092), 1,
      anon_sym_EQ,
    STATE(552), 1,
      sym_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470969] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12411), 1,
      anon_sym_LPAREN,
    STATE(10702), 1,
      sym_parameters,
    STATE(10768), 1,
      sym__using_parameters_clause,
    STATE(9772), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_extension_definition_repeat1,
    ACTIONS(12409), 16,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471078] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15191), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471174] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11140), 1,
      sym__alpha_identifier,
    ACTIONS(11144), 1,
      anon_sym_EQ,
    ACTIONS(11146), 1,
      sym__backquoted_id,
    ACTIONS(11148), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    STATE(9777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    ACTIONS(9465), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(11142), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471225] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11335), 1,
      anon_sym_EQ_GT,
    STATE(9778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471404] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10961), 1,
      sym__alpha_identifier,
    ACTIONS(10967), 1,
      sym__backquoted_id,
    ACTIONS(10969), 1,
      sym_operator_identifier,
    STATE(552), 1,
      sym_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(10963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471488] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11427), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471706] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10981), 1,
      anon_sym_EQ,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(9791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471932] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11240), 1,
      anon_sym_RPAREN,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15845), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472098] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10961), 1,
      sym__alpha_identifier,
    ACTIONS(10965), 1,
      anon_sym_EQ,
    ACTIONS(10967), 1,
      sym__backquoted_id,
    ACTIONS(10969), 1,
      sym_operator_identifier,
    STATE(552), 1,
      sym_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472149] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8764), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472235] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11333), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15283), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472331] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(10952), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(9806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8934), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9106), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472872] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11487), 1,
      anon_sym_COLON,
    ACTIONS(11489), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15119), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472933] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12414), 1,
      anon_sym_AT,
    STATE(10639), 1,
      sym_annotation,
    ACTIONS(8972), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9822), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8970), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473042] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(10879), 1,
      anon_sym_EQ_GT,
    STATE(9825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4183), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473120] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9324), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473159] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4187), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473589] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12417), 1,
      anon_sym_COLON,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(12420), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473671] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4205), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473710] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9655), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473784] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11513), 1,
      anon_sym_COLON,
    ACTIONS(8076), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473965] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11337), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14919), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474061] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4243), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474100] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4195), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474139] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11511), 1,
      anon_sym_EQ_GT,
    STATE(9854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474359] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    ACTIONS(11037), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(9860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [474480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474550] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10546), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [474659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474764] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475054] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475095] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9790), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475274] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11524), 1,
      anon_sym_COLON,
    ACTIONS(11526), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14778), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475405] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11528), 1,
      anon_sym_COLON,
    ACTIONS(11530), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14773), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475466] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11323), 1,
      anon_sym_EQ_GT,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16828), 1,
      sym_guard,
    STATE(9889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475597] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476023] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11436), 1,
      anon_sym_COLON,
    ACTIONS(11438), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14778), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476084] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476125] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9570), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476164] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9164), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476238] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(9909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(9910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476499] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476538] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11440), 1,
      anon_sym_COLON,
    ACTIONS(11442), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14773), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476739] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476780] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15433), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476876] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10993), 1,
      sym__alpha_identifier,
    ACTIONS(10999), 1,
      anon_sym_EQ,
    ACTIONS(11001), 1,
      sym__backquoted_id,
    ACTIONS(11003), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4053), 1,
      sym__soft_identifier,
    STATE(9925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10997), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476962] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    ACTIONS(11434), 1,
      anon_sym_EQ_GT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16915), 1,
      sym_guard,
    STATE(9927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477163] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11307), 1,
      anon_sym_COLON,
    ACTIONS(11311), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15437), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477329] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477425] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10716), 1,
      sym_operator_identifier,
    STATE(1751), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8764), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477684] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10308), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477723] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_EQ_GT,
    ACTIONS(8290), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(9390), 1,
      anon_sym_COLON,
    ACTIONS(9392), 1,
      anon_sym_LBRACE,
    ACTIONS(9394), 1,
      anon_sym_with,
    STATE(4803), 1,
      aux_sym_compound_type_repeat1,
    STATE(8943), 1,
      sym__refinement,
    STATE(8951), 1,
      sym_template_body,
    STATE(8834), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477986] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478235] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11534), 1,
      anon_sym_EQ_GT,
    STATE(9960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10414), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478379] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11463), 1,
      anon_sym_COLON,
    ACTIONS(11465), 1,
      anon_sym_EQ,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15125), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478615] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11759), 1,
      anon_sym_EQ_GT,
    STATE(9970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9407), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478689] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11011), 1,
      sym__alpha_identifier,
    ACTIONS(11017), 1,
      anon_sym_EQ,
    ACTIONS(11019), 1,
      sym__backquoted_id,
    ACTIONS(11021), 1,
      sym_operator_identifier,
    STATE(551), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(9972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11015), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478810] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9068), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(9978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478960] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11238), 1,
      anon_sym_AT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(9979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479460] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(9993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479499] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10798), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(9994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479731] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11900), 1,
      anon_sym_AT,
    STATE(9822), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10639), 1,
      sym_annotation,
    STATE(10000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9012), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479947] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11067), 1,
      anon_sym_EQ_GT,
    STATE(10006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479986] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11926), 1,
      anon_sym_EQ_GT,
    STATE(10007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480025] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480066] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480352] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11238), 1,
      anon_sym_AT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480502] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(10021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480541] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7348), 1,
      sym__end_marker,
    STATE(10022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10013), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480753] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10335), 1,
      sym_operator_identifier,
    STATE(1771), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480907] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4203), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480981] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(12423), 1,
      anon_sym_EQ_GT,
    STATE(10034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481055] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481166] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10628), 1,
      sym_operator_identifier,
    STATE(1770), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8764), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481425] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8678), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11640), 1,
      anon_sym_EQ_GT,
    STATE(10051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481680] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10374), 1,
      sym__alpha_identifier,
    ACTIONS(10380), 1,
      sym__backquoted_id,
    ACTIONS(10382), 1,
      sym_operator_identifier,
    ACTIONS(10830), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4026), 1,
      sym__soft_identifier,
    STATE(10053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481801] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481877] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11449), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15347), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 20,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [482006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10492), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482111] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [482185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482220] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    ACTIONS(11077), 1,
      anon_sym_EQ_GT,
    STATE(10067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9778), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482294] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10106), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(10069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482788] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10313), 1,
      sym__alpha_identifier,
    ACTIONS(10319), 1,
      sym__backquoted_id,
    ACTIONS(10321), 1,
      sym_operator_identifier,
    STATE(537), 1,
      sym_identifier,
    STATE(4038), 1,
      sym__soft_identifier,
    STATE(10083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10315), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482942] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482981] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11096), 1,
      sym_operator_identifier,
    STATE(1755), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483067] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10388), 1,
      sym__alpha_identifier,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    ACTIONS(10396), 1,
      sym_operator_identifier,
    ACTIONS(11116), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(10090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10390), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483118] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10216), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(10091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483157] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4229), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483441] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483515] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11053), 1,
      anon_sym_EQ,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(10102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483636] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(10105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9469), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483757] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12425), 1,
      anon_sym_COLON,
    ACTIONS(12428), 1,
      anon_sym_LBRACE,
    STATE(10690), 1,
      sym_template_body,
    STATE(10108), 2,
      sym_comment,
      sym_block_comment,
    STATE(10921), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9127), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9119), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483870] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483981] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10196), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(10114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [484090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12431), 1,
      anon_sym_DOT,
    STATE(10117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484127] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    ACTIONS(11130), 1,
      anon_sym_EQ,
    STATE(548), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(10118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484423] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9376), 1,
      anon_sym_EQ_GT,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(10126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8510), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484530] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10540), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10196), 1,
      anon_sym_EQ_GT,
    STATE(10137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484878] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12435), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10703), 1,
      sym_colon_argument,
    STATE(9486), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10139), 2,
      sym_comment,
      sym_block_comment,
    STATE(16196), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484930] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12437), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8983), 1,
      sym_colon_argument,
    STATE(6569), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10140), 2,
      sym_comment,
      sym_block_comment,
    STATE(16226), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10510), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4239), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485190] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11555), 1,
      sym_operator_identifier,
    STATE(1713), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485240] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12439), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10898), 1,
      sym_colon_argument,
    STATE(9691), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10148), 2,
      sym_comment,
      sym_block_comment,
    STATE(16562), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [485326] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4354), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12441), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(8532), 1,
      sym_colon_argument,
    STATE(5722), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10150), 2,
      sym_comment,
      sym_block_comment,
    STATE(16306), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485378] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4616), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12443), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(11228), 1,
      sym_colon_argument,
    STATE(10141), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10151), 2,
      sym_comment,
      sym_block_comment,
    STATE(17011), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485498] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12447), 1,
      anon_sym_LBRACK,
    ACTIONS(12449), 1,
      anon_sym_AT,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(12455), 1,
      sym__automatic_semicolon,
    STATE(10908), 1,
      sym_type_parameters,
    STATE(11376), 1,
      sym_annotation,
    STATE(12465), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12467), 1,
      sym_access_modifier,
    STATE(13155), 1,
      sym_class_parameters,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12445), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [485550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10216), 1,
      anon_sym_EQ_GT,
    STATE(10155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11761), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485622] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12458), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10539), 1,
      sym_colon_argument,
    STATE(8842), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10157), 2,
      sym_comment,
      sym_block_comment,
    STATE(16394), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10518), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485708] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11560), 1,
      sym__alpha_identifier,
    ACTIONS(11564), 1,
      anon_sym_EQ,
    ACTIONS(11566), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    STATE(566), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(10159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(11562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12460), 1,
      anon_sym_with,
    STATE(10162), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10106), 1,
      anon_sym_EQ_GT,
    STATE(10163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485898] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11077), 1,
      anon_sym_EQ_GT,
    STATE(10167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [486210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [486244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11640), 1,
      anon_sym_EQ_GT,
    STATE(10175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12423), 1,
      anon_sym_EQ_GT,
    STATE(10178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11757), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486522] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11798), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486578] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486686] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4560), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12463), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9781), 1,
      sym_colon_argument,
    STATE(7992), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10186), 2,
      sym_comment,
      sym_block_comment,
    STATE(16256), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9376), 1,
      anon_sym_EQ_GT,
    STATE(10190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486910] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12465), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10205), 1,
      sym_colon_argument,
    STATE(8173), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10192), 2,
      sym_comment,
      sym_block_comment,
    STATE(16602), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486962] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4392), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12467), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(11018), 1,
      sym_colon_argument,
    STATE(9788), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10193), 2,
      sym_comment,
      sym_block_comment,
    STATE(16524), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487218] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4176), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10262), 1,
      sym_colon_argument,
    STATE(8129), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10200), 2,
      sym_comment,
      sym_block_comment,
    STATE(16283), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_EQ_GT,
    STATE(10202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11919), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487544] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487686] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12471), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10645), 1,
      sym_colon_argument,
    STATE(9163), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10213), 2,
      sym_comment,
      sym_block_comment,
    STATE(16216), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11067), 1,
      anon_sym_EQ_GT,
    STATE(10215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10506), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10484), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9068), 1,
      anon_sym_EQ_GT,
    STATE(10221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488014] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11383), 1,
      sym_operator_identifier,
    STATE(1798), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10478), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488132] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11011), 1,
      sym__alpha_identifier,
    ACTIONS(11019), 1,
      sym__backquoted_id,
    ACTIONS(11021), 1,
      sym_operator_identifier,
    STATE(551), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(10225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11015), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488180] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4494), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9042), 1,
      sym_colon_argument,
    STATE(6471), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10226), 2,
      sym_comment,
      sym_block_comment,
    STATE(16630), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488300] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4398), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12475), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_colon_argument,
    STATE(9363), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10229), 2,
      sym_comment,
      sym_block_comment,
    STATE(16719), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11759), 1,
      anon_sym_EQ_GT,
    STATE(10231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10488), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488524] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11926), 1,
      anon_sym_EQ_GT,
    STATE(10240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11534), 1,
      anon_sym_EQ_GT,
    STATE(10241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488838] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488912] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9604), 1,
      anon_sym_LPAREN,
    ACTIONS(12477), 1,
      anon_sym_LBRACK,
    ACTIONS(12479), 1,
      anon_sym_POUND,
    STATE(10794), 1,
      aux_sym_annotation_repeat1,
    STATE(10982), 1,
      sym_type_arguments,
    STATE(11273), 1,
      sym_arguments,
    STATE(10246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [488956] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(11377), 1,
      anon_sym_EQ,
    ACTIONS(11379), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10619), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489142] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489216] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4217), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10308), 1,
      anon_sym_EQ_GT,
    STATE(10257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489430] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(4956), 1,
      anon_sym_implicit,
    ACTIONS(4962), 1,
      anon_sym_using,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15000), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489598] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489756] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4464), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12483), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9581), 1,
      sym_colon_argument,
    STATE(6932), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10268), 2,
      sym_comment,
      sym_block_comment,
    STATE(16501), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489842] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11404), 1,
      anon_sym_EQ,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11408), 1,
      sym_operator_identifier,
    STATE(572), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489960] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11410), 1,
      sym_operator_identifier,
    STATE(1760), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490010] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4854), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12485), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10584), 1,
      sym_colon_argument,
    STATE(8994), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10274), 2,
      sym_comment,
      sym_block_comment,
    STATE(16166), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490062] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10993), 1,
      sym__alpha_identifier,
    ACTIONS(11001), 1,
      sym__backquoted_id,
    ACTIONS(11003), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4053), 1,
      sym__soft_identifier,
    STATE(10275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10997), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490110] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4244), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12487), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9690), 1,
      sym_colon_argument,
    STATE(6773), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10276), 2,
      sym_comment,
      sym_block_comment,
    STATE(16245), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490162] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11544), 1,
      sym_operator_identifier,
    STATE(1718), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490246] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12489), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(11081), 1,
      sym_colon_argument,
    STATE(9934), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10279), 2,
      sym_comment,
      sym_block_comment,
    STATE(16366), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9164), 1,
      anon_sym_EQ_GT,
    STATE(10282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490470] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12491), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(12133), 1,
      sym_colon_argument,
    STATE(10285), 2,
      sym_comment,
      sym_block_comment,
    STATE(10758), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16331), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490624] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490662] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12493), 1,
      anon_sym_implicit,
    ACTIONS(12495), 1,
      anon_sym_using,
    ACTIONS(12497), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15513), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490858] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11752), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490914] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12499), 1,
      anon_sym_RBRACE,
    ACTIONS(12503), 1,
      anon_sym_given,
    ACTIONS(12505), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14706), 1,
      sym_identifier,
    ACTIONS(12501), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10296), 2,
      sym_comment,
      sym_block_comment,
    STATE(16082), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491168] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [491208] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12503), 1,
      anon_sym_given,
    ACTIONS(12505), 1,
      sym_operator_identifier,
    ACTIONS(12507), 1,
      anon_sym_RBRACE,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14706), 1,
      sym_identifier,
    ACTIONS(12501), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10304), 2,
      sym_comment,
      sym_block_comment,
    STATE(16082), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491258] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12509), 1,
      anon_sym_implicit,
    ACTIONS(12511), 1,
      anon_sym_using,
    ACTIONS(12513), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(14835), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491318] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11467), 1,
      anon_sym_EQ,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9570), 1,
      anon_sym_EQ_GT,
    STATE(10308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10551), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491506] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11698), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491562] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491668] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4223), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8284), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [491740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491910] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4180), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12515), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9846), 1,
      sym_colon_argument,
    STATE(7577), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10322), 2,
      sym_comment,
      sym_block_comment,
    STATE(16182), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491996] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4234), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9790), 1,
      anon_sym_EQ_GT,
    STATE(10325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492138] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492194] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10805), 1,
      sym__backquoted_id,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11327), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492306] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8956), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [492482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8968), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492516] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11511), 1,
      anon_sym_EQ_GT,
    STATE(10340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [492706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492774] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4180), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492812] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12503), 1,
      anon_sym_given,
    ACTIONS(12505), 1,
      sym_operator_identifier,
    ACTIONS(12517), 1,
      anon_sym_RBRACE,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14706), 1,
      sym_identifier,
    ACTIONS(12501), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10346), 2,
      sym_comment,
      sym_block_comment,
    STATE(16082), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [492964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493066] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11359), 1,
      sym__alpha_identifier,
    ACTIONS(11365), 1,
      anon_sym_EQ,
    ACTIONS(11367), 1,
      sym__backquoted_id,
    ACTIONS(11369), 1,
      sym_operator_identifier,
    STATE(576), 1,
      sym_identifier,
    STATE(4070), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11363), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493116] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9324), 1,
      anon_sym_EQ_GT,
    STATE(10357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7064), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493340] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4320), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12519), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9475), 1,
      sym_colon_argument,
    STATE(6797), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10360), 2,
      sym_comment,
      sym_block_comment,
    STATE(16275), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [493426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9655), 1,
      anon_sym_EQ_GT,
    STATE(10363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [493530] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10879), 1,
      anon_sym_EQ_GT,
    STATE(10366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [493654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493688] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4250), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12521), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10250), 1,
      sym_colon_argument,
    STATE(8343), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10369), 2,
      sym_comment,
      sym_block_comment,
    STATE(16436), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10502), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493808] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4730), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12523), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9939), 1,
      sym_colon_argument,
    STATE(7781), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10372), 2,
      sym_comment,
      sym_block_comment,
    STATE(16804), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493860] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11709), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9407), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10593), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12525), 1,
      anon_sym_with,
    STATE(10379), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9448), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494156] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [494196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494264] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [494304] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12528), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10697), 1,
      sym_colon_argument,
    STATE(9327), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10385), 2,
      sym_comment,
      sym_block_comment,
    STATE(16676), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494356] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11477), 1,
      sym__alpha_identifier,
    ACTIONS(11481), 1,
      anon_sym_EQ,
    ACTIONS(11483), 1,
      sym__backquoted_id,
    ACTIONS(11485), 1,
      sym_operator_identifier,
    STATE(575), 1,
      sym_identifier,
    STATE(4073), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11479), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494440] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11711), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494564] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10581), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494706] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8764), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494754] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12530), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10230), 1,
      sym_colon_argument,
    STATE(8650), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10396), 2,
      sym_comment,
      sym_block_comment,
    STATE(16425), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494806] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10546), 1,
      anon_sym_EQ_GT,
    STATE(10398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494880] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494920] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4218), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10638), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11335), 1,
      anon_sym_EQ_GT,
    STATE(10402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495028] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11453), 1,
      sym_operator_identifier,
    STATE(1694), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495078] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12503), 1,
      anon_sym_given,
    ACTIONS(12505), 1,
      sym_operator_identifier,
    ACTIONS(12532), 1,
      anon_sym_RBRACE,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14706), 1,
      sym_identifier,
    ACTIONS(12501), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10404), 2,
      sym_comment,
      sym_block_comment,
    STATE(16082), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495128] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10603), 1,
      sym__alpha_identifier,
    ACTIONS(10609), 1,
      sym__backquoted_id,
    ACTIONS(10611), 1,
      sym_operator_identifier,
    ACTIONS(11429), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4040), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495178] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      sym__backquoted_id,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11327), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8987), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495324] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10522), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495466] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11035), 1,
      sym_operator_identifier,
    STATE(1675), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [495582] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4362), 1,
      sym__indent,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12534), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10512), 1,
      sym_colon_argument,
    STATE(8769), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10417), 2,
      sym_comment,
      sym_block_comment,
    STATE(16165), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10760), 1,
      anon_sym_EQ_GT,
    STATE(10420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9104), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495738] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9469), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495786] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [495826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495860] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4193), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10638), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495898] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10603), 1,
      sym__alpha_identifier,
    ACTIONS(10609), 1,
      sym__backquoted_id,
    ACTIONS(10611), 1,
      sym_operator_identifier,
    ACTIONS(11475), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4040), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [496056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [496124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [496158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10534), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496260] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9778), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496350] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(8760), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10096), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496504] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11096), 1,
      sym_operator_identifier,
    STATE(1755), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8764), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496586] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      sym__backquoted_id,
    ACTIONS(12536), 1,
      anon_sym_LBRACK,
    ACTIONS(12538), 1,
      anon_sym_LPAREN,
    ACTIONS(12540), 1,
      anon_sym_POUND,
    STATE(10870), 1,
      aux_sym_annotation_repeat1,
    STATE(11007), 1,
      sym_type_arguments,
    STATE(11321), 1,
      sym_arguments,
    STATE(10443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496698] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(10446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496747] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15191), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496835] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12542), 1,
      anon_sym_LBRACK,
    ACTIONS(12544), 1,
      anon_sym_AT,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(12550), 1,
      sym__automatic_semicolon,
    STATE(10961), 1,
      sym_type_parameters,
    STATE(11701), 1,
      sym_annotation,
    STATE(13017), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13018), 1,
      sym_access_modifier,
    STATE(13348), 1,
      sym_class_parameters,
    ACTIONS(12546), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12445), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [496886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496952] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(8760), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10096), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497100] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12503), 1,
      anon_sym_given,
    ACTIONS(12505), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14706), 1,
      sym_identifier,
    ACTIONS(12501), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10456), 2,
      sym_comment,
      sym_block_comment,
    STATE(16082), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497147] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15191), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9778), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497499] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12503), 1,
      anon_sym_given,
    ACTIONS(12553), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14299), 1,
      sym_identifier,
    ACTIONS(12501), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10467), 2,
      sym_comment,
      sym_block_comment,
    STATE(15224), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497546] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8764), 1,
      anon_sym_match,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11694), 1,
      sym_operator_identifier,
    STATE(1691), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497694] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11337), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14919), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497749] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11337), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14919), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497903] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498006] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11140), 1,
      sym__alpha_identifier,
    ACTIONS(11146), 1,
      sym__backquoted_id,
    ACTIONS(11148), 1,
      sym_operator_identifier,
    ACTIONS(11733), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(11142), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498088] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11359), 1,
      sym__alpha_identifier,
    ACTIONS(11367), 1,
      sym__backquoted_id,
    ACTIONS(11369), 1,
      sym_operator_identifier,
    STATE(576), 1,
      sym_identifier,
    STATE(4070), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11363), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498201] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498271] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11333), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15283), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498359] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11323), 1,
      anon_sym_EQ_GT,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16828), 1,
      sym_guard,
    STATE(10489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10833), 1,
      sym__end_marker,
    STATE(10490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10013), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498449] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11323), 1,
      anon_sym_EQ_GT,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16828), 1,
      sym_guard,
    STATE(10491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498504] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498607] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498679] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498716] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11333), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15283), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498837] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498874] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(11379), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499020] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    ACTIONS(11745), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(10506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499102] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499141] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499180] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11383), 1,
      sym_operator_identifier,
    STATE(1798), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499293] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10798), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499344] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10798), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499428] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499537] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499576] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499681] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(10094), 1,
      sym__alpha_identifier,
    ACTIONS(10100), 1,
      sym__backquoted_id,
    ACTIONS(10102), 1,
      sym_operator_identifier,
    ACTIONS(11603), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(10523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10098), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499796] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    STATE(10527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8008), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12555), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [499868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499901] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11555), 1,
      sym_operator_identifier,
    STATE(1713), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499948] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8680), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8678), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500020] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    ACTIONS(12557), 1,
      anon_sym_LBRACK,
    ACTIONS(12559), 1,
      anon_sym_POUND,
    STATE(11075), 1,
      aux_sym_annotation_repeat1,
    STATE(11145), 1,
      sym_type_arguments,
    STATE(11613), 1,
      sym_arguments,
    STATE(10532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500129] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(10536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9556), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9554), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500236] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4185), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10638), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500306] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(12561), 1,
      anon_sym_LBRACE,
    ACTIONS(12565), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(13927), 1,
      sym_identifier,
    STATE(10540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12563), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14384), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500353] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500425] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500464] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12503), 1,
      anon_sym_given,
    ACTIONS(12567), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14391), 1,
      sym_identifier,
    ACTIONS(12501), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10544), 2,
      sym_comment,
      sym_block_comment,
    STATE(15734), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500511] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12569), 1,
      anon_sym_LBRACE,
    ACTIONS(12573), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(13681), 1,
      sym_identifier,
    STATE(10545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12571), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14109), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10738), 1,
      sym_arguments,
    STATE(10546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500758] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11449), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15347), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500846] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12575), 1,
      anon_sym_COLON,
    ACTIONS(12578), 1,
      anon_sym_DOT,
    ACTIONS(12580), 1,
      anon_sym_LBRACK,
    ACTIONS(12583), 1,
      anon_sym_LPAREN,
    ACTIONS(12586), 1,
      sym__automatic_semicolon,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14041), 1,
      sym_type_parameters,
    STATE(14164), 1,
      aux_sym__function_constructor_repeat1,
    STATE(10554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [500895] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11449), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15347), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [500983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501115] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11849), 1,
      anon_sym_EQ_GT,
    STATE(10561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501321] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_EQ,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501360] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [501442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501508] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    ACTIONS(11781), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(10572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [501623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12589), 1,
      anon_sym_with,
    ACTIONS(9450), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10576), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9448), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501691] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501738] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11469), 1,
      sym_operator_identifier,
    ACTIONS(11589), 1,
      anon_sym_EQ,
    STATE(589), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    STATE(10578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501820] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501908] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501963] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502066] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11400), 1,
      sym__alpha_identifier,
    ACTIONS(11406), 1,
      sym__backquoted_id,
    ACTIONS(11408), 1,
      sym_operator_identifier,
    STATE(572), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502212] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11410), 1,
      sym_operator_identifier,
    STATE(1760), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502358] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12592), 1,
      anon_sym_LBRACK,
    ACTIONS(12594), 1,
      anon_sym_AT,
    ACTIONS(12596), 1,
      anon_sym_LPAREN,
    ACTIONS(12598), 1,
      anon_sym_POUND,
    STATE(11654), 1,
      sym_type_arguments,
    STATE(11659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12451), 1,
      sym_annotation,
    STATE(13171), 1,
      sym_arguments,
    STATE(10594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [502405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502504] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502642] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11544), 1,
      sym_operator_identifier,
    STATE(1718), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502722] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    ACTIONS(11434), 1,
      anon_sym_EQ_GT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16915), 1,
      sym_guard,
    STATE(10604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503206] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503276] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11140), 1,
      sym__alpha_identifier,
    ACTIONS(11146), 1,
      sym__backquoted_id,
    ACTIONS(11148), 1,
      sym_operator_identifier,
    ACTIONS(11783), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11142), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503325] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [503362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503527] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503729] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(12561), 1,
      anon_sym_LBRACE,
    ACTIONS(12565), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(13927), 1,
      sym_identifier,
    STATE(10633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12563), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14377), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [503912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9407), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503978] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10078), 1,
      anon_sym_LPAREN,
    ACTIONS(12600), 1,
      anon_sym_LBRACK,
    ACTIONS(12602), 1,
      anon_sym_POUND,
    STATE(11022), 1,
      aux_sym_annotation_repeat1,
    STATE(11259), 1,
      sym_type_arguments,
    STATE(11769), 1,
      sym_arguments,
    STATE(10640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [504021] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12569), 1,
      anon_sym_LBRACE,
    ACTIONS(12573), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(13681), 1,
      sym_identifier,
    STATE(10641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12571), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14091), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504068] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11713), 1,
      sym__alpha_identifier,
    ACTIONS(11717), 1,
      anon_sym_EQ,
    ACTIONS(11719), 1,
      sym__backquoted_id,
    ACTIONS(11721), 1,
      sym_operator_identifier,
    STATE(594), 1,
      sym_identifier,
    STATE(4076), 1,
      sym__soft_identifier,
    STATE(10642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11715), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504117] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(11477), 1,
      sym__alpha_identifier,
    ACTIONS(11483), 1,
      sym__backquoted_id,
    ACTIONS(11485), 1,
      sym_operator_identifier,
    STATE(575), 1,
      sym_identifier,
    STATE(4073), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11479), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504164] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11919), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504269] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12592), 1,
      anon_sym_LBRACK,
    ACTIONS(12594), 1,
      anon_sym_AT,
    ACTIONS(12598), 1,
      anon_sym_POUND,
    ACTIONS(12604), 1,
      anon_sym_LPAREN,
    STATE(11654), 1,
      sym_type_arguments,
    STATE(11659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12451), 1,
      sym_annotation,
    STATE(12939), 1,
      sym_arguments,
    STATE(10647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [504316] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11240), 1,
      anon_sym_RPAREN,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15845), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504404] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11453), 1,
      sym_operator_identifier,
    STATE(1694), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8764), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504517] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11240), 1,
      anon_sym_RPAREN,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15845), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504737] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504840] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    ACTIONS(11434), 1,
      anon_sym_EQ_GT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16915), 1,
      sym_guard,
    STATE(10662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11919), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504927] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12610), 1,
      anon_sym_case,
    ACTIONS(12612), 1,
      anon_sym_EQ,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    STATE(10664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12608), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [504997] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12616), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15358), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505051] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12620), 1,
      anon_sym_AT,
    ACTIONS(12622), 1,
      anon_sym_LPAREN,
    ACTIONS(12624), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12080), 1,
      sym_type_arguments,
    STATE(12838), 1,
      sym_annotation,
    STATE(13553), 1,
      sym_arguments,
    STATE(10667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [505097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10524), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10522), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505161] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505209] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12592), 1,
      anon_sym_LBRACK,
    ACTIONS(12594), 1,
      anon_sym_AT,
    ACTIONS(12598), 1,
      anon_sym_POUND,
    STATE(11654), 1,
      sym_type_arguments,
    STATE(11659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12451), 1,
      sym_annotation,
    STATE(10671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [505251] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12620), 1,
      anon_sym_AT,
    ACTIONS(12624), 1,
      anon_sym_POUND,
    ACTIONS(12626), 1,
      anon_sym_LPAREN,
    STATE(11866), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12080), 1,
      sym_type_arguments,
    STATE(12838), 1,
      sym_annotation,
    STATE(13208), 1,
      sym_arguments,
    STATE(10672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [505297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12628), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [505359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10805), 1,
      sym__backquoted_id,
    ACTIONS(11327), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505461] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505499] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(11560), 1,
      sym__alpha_identifier,
    ACTIONS(11566), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    ACTIONS(11821), 1,
      anon_sym_EQ,
    STATE(566), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(10679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505547] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(5016), 1,
      anon_sym_RPAREN,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505601] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10792), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10790), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505637] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11323), 1,
      anon_sym_EQ_GT,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16828), 1,
      sym_guard,
    STATE(10682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10792), 1,
      sym__backquoted_id,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505791] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11327), 1,
      anon_sym_AT,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12630), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [505869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10534), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11896), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505997] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12632), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12634), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [506081] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506131] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10792), 1,
      sym__backquoted_id,
    ACTIONS(11327), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8284), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506233] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10805), 1,
      sym__backquoted_id,
    ACTIONS(11319), 1,
      anon_sym_DOT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506335] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12636), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [506415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12638), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [506509] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11698), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12640), 1,
      anon_sym_LPAREN,
    STATE(11321), 1,
      sym_arguments,
    ACTIONS(8786), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10707), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8784), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506595] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506677] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506811] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_finally,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506913] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(10718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [506995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7064), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507027] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15301), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10593), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507209] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12645), 1,
      anon_sym_LBRACK,
    ACTIONS(12647), 1,
      anon_sym_LPAREN,
    ACTIONS(12649), 1,
      anon_sym_POUND,
    STATE(11691), 1,
      sym_type_arguments,
    STATE(11702), 1,
      aux_sym_annotation_repeat1,
    STATE(12195), 1,
      sym_arguments,
    STATE(10725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [507251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10619), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507443] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8288), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507479] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12610), 1,
      anon_sym_case,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12651), 1,
      anon_sym_EQ,
    STATE(10733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12608), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507517] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12653), 1,
      anon_sym_case,
    ACTIONS(12655), 1,
      anon_sym_EQ,
    STATE(10734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12657), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507555] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11325), 1,
      anon_sym_if,
    ACTIONS(11329), 1,
      anon_sym_PIPE,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    ACTIONS(11434), 1,
      anon_sym_EQ_GT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16915), 1,
      sym_guard,
    STATE(10735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507607] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11333), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15283), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507659] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11337), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(14919), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10414), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507743] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11698), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507825] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12659), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(14747), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507911] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507965] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12661), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508051] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11798), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508101] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10798), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508149] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11798), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11934), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508263] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10803), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    STATE(10753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8008), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12555), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11934), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508397] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12575), 1,
      anon_sym_COLON,
    ACTIONS(12580), 1,
      anon_sym_LBRACK,
    ACTIONS(12583), 1,
      anon_sym_LPAREN,
    ACTIONS(12586), 1,
      sym__automatic_semicolon,
    ACTIONS(12663), 1,
      anon_sym_DOT,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14041), 1,
      sym_type_parameters,
    STATE(14164), 1,
      aux_sym__function_constructor_repeat1,
    STATE(10755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [508445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10512), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10510), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8288), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8154), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10540), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508673] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8764), 1,
      anon_sym_match,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(11694), 1,
      sym_operator_identifier,
    STATE(1691), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8762), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508783] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11709), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508833] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11709), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12665), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [508913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509009] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(10573), 1,
      anon_sym_RPAREN,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15430), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12667), 1,
      anon_sym_DOT,
    STATE(10774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12669), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [509155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10506), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [509217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [509375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12675), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [509405] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11711), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509455] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11711), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11862), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11862), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11858), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11858), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509761] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9604), 1,
      anon_sym_LPAREN,
    STATE(10797), 1,
      aux_sym_annotation_repeat1,
    STATE(11273), 1,
      sym_arguments,
    STATE(10794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [509829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12677), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [509859] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    STATE(11273), 1,
      sym_arguments,
    STATE(10797), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509923] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510053] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11814), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10174), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10176), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10172), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510267] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12684), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12686), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [510351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510453] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11449), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15347), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510505] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11800), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11814), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10446), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11827), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11837), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12688), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [510827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11827), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11837), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10553), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10551), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10148), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10150), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11800), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511307] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12690), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511393] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12692), 1,
      anon_sym_LBRACK,
    ACTIONS(12694), 1,
      anon_sym_LPAREN,
    ACTIONS(12696), 1,
      anon_sym_POUND,
    STATE(11502), 1,
      aux_sym_annotation_repeat1,
    STATE(11564), 1,
      sym_type_arguments,
    STATE(12435), 1,
      sym_arguments,
    STATE(10842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [511435] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511489] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11713), 1,
      sym__alpha_identifier,
    ACTIONS(11719), 1,
      sym__backquoted_id,
    ACTIONS(11721), 1,
      sym_operator_identifier,
    STATE(594), 1,
      sym_identifier,
    STATE(4076), 1,
      sym__soft_identifier,
    STATE(10844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11715), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10583), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10581), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511599] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    ACTIONS(12698), 1,
      anon_sym_LBRACK,
    ACTIONS(12700), 1,
      anon_sym_POUND,
    STATE(11173), 1,
      aux_sym_annotation_repeat1,
    STATE(11615), 1,
      sym_type_arguments,
    STATE(11811), 1,
      sym_arguments,
    STATE(10847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [511641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10082), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10084), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10446), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10494), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10492), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511769] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_RPAREN,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15191), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511821] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10490), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10488), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10486), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10484), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512117] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512171] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10518), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10504), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10502), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [512353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512417] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12538), 1,
      anon_sym_LPAREN,
    STATE(10707), 1,
      aux_sym_annotation_repeat1,
    STATE(11321), 1,
      sym_arguments,
    ACTIONS(8756), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512583] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12645), 1,
      anon_sym_LBRACK,
    ACTIONS(12649), 1,
      anon_sym_POUND,
    ACTIONS(12704), 1,
      anon_sym_AT,
    STATE(11628), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11691), 1,
      sym_type_arguments,
    STATE(12231), 1,
      sym_annotation,
    STATE(17140), 1,
      sym_arguments,
    STATE(10875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [512629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512693] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    ACTIONS(12706), 1,
      anon_sym_LBRACK,
    ACTIONS(12708), 1,
      anon_sym_POUND,
    STATE(11349), 1,
      aux_sym_annotation_repeat1,
    STATE(11592), 1,
      sym_type_arguments,
    STATE(12027), 1,
      sym_arguments,
    STATE(10878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [512735] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11240), 1,
      anon_sym_RPAREN,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(15845), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10480), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10478), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11896), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12710), 1,
      anon_sym_DOT,
    STATE(10884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [513013] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513049] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12712), 1,
      anon_sym_with,
    STATE(11073), 1,
      aux_sym_compound_type_repeat1,
    STATE(13055), 1,
      sym_template_body,
    STATE(13082), 1,
      sym__refinement,
    STATE(13171), 1,
      sym_arguments,
    STATE(10888), 2,
      sym_comment,
      sym_block_comment,
    STATE(13230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [513091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(10889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [513123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [513251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10143), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513443] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513497] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_else,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513535] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12653), 1,
      anon_sym_case,
    ACTIONS(12716), 1,
      anon_sym_EQ,
    STATE(10902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12657), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513573] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(10903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513737] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12449), 1,
      anon_sym_AT,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(12720), 1,
      sym__automatic_semicolon,
    STATE(11371), 1,
      sym_annotation,
    STATE(12415), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12416), 1,
      sym_access_modifier,
    STATE(13155), 1,
      sym_class_parameters,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12718), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [513783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9778), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513975] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514043] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12592), 1,
      anon_sym_LBRACK,
    ACTIONS(12598), 1,
      anon_sym_POUND,
    ACTIONS(12604), 1,
      anon_sym_LPAREN,
    STATE(11480), 1,
      aux_sym_annotation_repeat1,
    STATE(11654), 1,
      sym_type_arguments,
    STATE(12526), 1,
      sym_arguments,
    STATE(10917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [514085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514117] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(10919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [514183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514375] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_DOT,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11752), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12723), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [514519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8284), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514583] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514637] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12725), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [514753] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    ACTIONS(12727), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514807] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(10938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9693), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9744), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514989] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10569), 1,
      anon_sym_AT,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11752), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515039] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(11560), 1,
      sym__alpha_identifier,
    ACTIONS(11566), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    ACTIONS(11879), 1,
      anon_sym_EQ,
    STATE(566), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(10944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9469), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(11562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9786), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515119] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11071), 1,
      aux_sym_compound_type_repeat1,
    STATE(12682), 1,
      sym__refinement,
    STATE(12684), 1,
      sym_template_body,
    STATE(12939), 1,
      sym_arguments,
    STATE(10946), 2,
      sym_comment,
      sym_block_comment,
    STATE(12881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [515159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9875), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515191] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4197), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10640), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10638), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9823), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515259] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    ACTIONS(12729), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      anon_sym_POUND,
    STATE(11589), 1,
      aux_sym_annotation_repeat1,
    STATE(11823), 1,
      sym_type_arguments,
    STATE(12428), 1,
      sym_arguments,
    STATE(10950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [515300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12735), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12733), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [515331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515393] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11489), 1,
      anon_sym_EQ,
    ACTIONS(12737), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12614), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12606), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [515564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515595] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12624), 1,
      anon_sym_POUND,
    ACTIONS(12626), 1,
      anon_sym_LPAREN,
    STATE(12064), 1,
      aux_sym_annotation_repeat1,
    STATE(12080), 1,
      sym_type_arguments,
    STATE(12997), 1,
      sym_arguments,
    STATE(10960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [515636] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12544), 1,
      anon_sym_AT,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      sym__automatic_semicolon,
    STATE(11728), 1,
      sym_annotation,
    STATE(12937), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12940), 1,
      sym_access_modifier,
    STATE(13348), 1,
      sym_class_parameters,
    ACTIONS(12546), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12718), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [515681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12744), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12742), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [515743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12748), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12746), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [515805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11896), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515987] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11752), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9104), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516125] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516160] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12750), 1,
      anon_sym_AT,
    STATE(11574), 1,
      sym_annotation,
    ACTIONS(8972), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10977), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8970), 11,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516257] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11949), 1,
      sym__alpha_identifier,
    ACTIONS(11955), 1,
      sym__backquoted_id,
    ACTIONS(11957), 1,
      sym_operator_identifier,
    STATE(1381), 1,
      sym_identifier,
    STATE(4175), 1,
      sym__soft_identifier,
    ACTIONS(8760), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(10980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11953), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9693), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516395] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12753), 1,
      anon_sym_with,
    STATE(11392), 1,
      aux_sym_compound_type_repeat1,
    STATE(13543), 1,
      sym_template_body,
    STATE(13553), 1,
      sym_arguments,
    STATE(13554), 1,
      sym__refinement,
    STATE(10984), 2,
      sym_comment,
      sym_block_comment,
    STATE(13514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [516436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11823), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [516496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516585] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8008), 2,
      anon_sym_DOT,
      sym__backquoted_id,
    STATE(10990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12555), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516618] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11495), 1,
      anon_sym_EQ,
    ACTIONS(12755), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516667] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4228), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10640), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(10992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10638), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9096), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516733] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11495), 1,
      anon_sym_EQ,
    ACTIONS(12755), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516782] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    ACTIONS(12177), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(10995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12759), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12757), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516860] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11499), 1,
      anon_sym_EQ,
    ACTIONS(12761), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(10997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11249), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10593), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516971] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11499), 1,
      anon_sym_EQ,
    ACTIONS(12761), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517020] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      sym__backquoted_id,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(10934), 1,
      sym_operator_identifier,
    ACTIONS(12179), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9469), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(11001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8987), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517098] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11465), 1,
      anon_sym_EQ,
    ACTIONS(12763), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517147] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11465), 1,
      anon_sym_EQ,
    ACTIONS(12763), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9823), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8968), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10619), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517380] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12765), 1,
      anon_sym_EQ,
    STATE(11011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12657), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517415] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12767), 1,
      anon_sym_EQ,
    STATE(11012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12608), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10384), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10365), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517543] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10361), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517671] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11321), 1,
      anon_sym_STAR,
    ACTIONS(11331), 1,
      sym_operator_identifier,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517747] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10078), 1,
      anon_sym_LPAREN,
    STATE(11032), 1,
      aux_sym_annotation_repeat1,
    STATE(11769), 1,
      sym_arguments,
    STATE(11022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_STAR,
      anon_sym_else,
    STATE(11026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9875), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517972] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8288), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518007] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12620), 1,
      anon_sym_AT,
    ACTIONS(12624), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12080), 1,
      sym_type_arguments,
    STATE(12838), 1,
      sym_annotation,
    STATE(11030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [518048] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11489), 1,
      anon_sym_EQ,
    ACTIONS(12737), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518097] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12769), 1,
      anon_sym_LPAREN,
    STATE(11769), 1,
      sym_arguments,
    STATE(11032), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [518161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8292), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8284), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518221] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_STAR,
      anon_sym_finally,
    STATE(11036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518318] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11711), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518427] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_EQ,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [518580] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12772), 1,
      anon_sym_LBRACK,
    ACTIONS(12774), 1,
      anon_sym_LPAREN,
    ACTIONS(12776), 1,
      anon_sym_POUND,
    STATE(11796), 1,
      sym_type_arguments,
    STATE(11893), 1,
      aux_sym_annotation_repeat1,
    STATE(12782), 1,
      sym_arguments,
    STATE(11047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [518621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9098), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518681] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11709), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [518881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8510), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518912] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8682), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8680), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518949] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11798), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518996] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8290), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8934), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9094), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519151] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12778), 1,
      anon_sym_LBRACK,
    ACTIONS(12780), 1,
      anon_sym_LPAREN,
    ACTIONS(12782), 1,
      anon_sym_POUND,
    STATE(11904), 1,
      sym_type_arguments,
    STATE(12161), 1,
      aux_sym_annotation_repeat1,
    STATE(12738), 1,
      sym_arguments,
    STATE(11064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [519192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519252] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_catch,
      anon_sym_finally,
    STATE(11067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519287] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_else,
      anon_sym_finally,
    STATE(11068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8956), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12784), 1,
      anon_sym_DOT,
    STATE(11070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12185), 1,
      aux_sym_compound_type_repeat1,
    STATE(12656), 1,
      sym__refinement,
    STATE(12684), 1,
      sym_template_body,
    STATE(11071), 2,
      sym_comment,
      sym_block_comment,
    STATE(12881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [519421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10540), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [519452] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12712), 1,
      anon_sym_with,
    STATE(12185), 1,
      aux_sym_compound_type_repeat1,
    STATE(13055), 1,
      sym_template_body,
    STATE(13065), 1,
      sym__refinement,
    STATE(11073), 2,
      sym_comment,
      sym_block_comment,
    STATE(13230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [519491] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12772), 1,
      anon_sym_LBRACK,
    ACTIONS(12776), 1,
      anon_sym_POUND,
    ACTIONS(12786), 1,
      anon_sym_AT,
    STATE(11796), 1,
      sym_type_arguments,
    STATE(12021), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12734), 1,
      sym_annotation,
    STATE(17140), 1,
      sym_arguments,
    STATE(11074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [519536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    STATE(11108), 1,
      aux_sym_annotation_repeat1,
    STATE(11613), 1,
      sym_arguments,
    STATE(11075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519600] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8288), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12788), 1,
      anon_sym_EQ,
    STATE(11078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12657), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9786), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519703] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12790), 1,
      anon_sym_EQ,
    STATE(11080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12608), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10446), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11934), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519862] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12792), 1,
      anon_sym_EQ,
    STATE(11085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12608), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519897] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12794), 1,
      anon_sym_EQ,
    STATE(11086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12657), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519932] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11442), 1,
      anon_sym_EQ,
    ACTIONS(12796), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11858), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520012] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11442), 1,
      anon_sym_EQ,
    ACTIONS(12796), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520061] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11311), 1,
      anon_sym_EQ,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520110] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11438), 1,
      anon_sym_EQ,
    ACTIONS(12800), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520159] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11438), 1,
      anon_sym_EQ,
    ACTIONS(12800), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520208] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11311), 1,
      anon_sym_EQ,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520257] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    ACTIONS(12802), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520306] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    ACTIONS(12802), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520355] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11230), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12804), 1,
      anon_sym_DOT,
    STATE(11097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520495] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(11698), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12808), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12806), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10805), 1,
      sym__backquoted_id,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10803), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11827), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11837), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12812), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12810), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520730] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11526), 1,
      anon_sym_EQ,
    ACTIONS(12814), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12816), 1,
      anon_sym_LPAREN,
    STATE(11613), 1,
      sym_arguments,
    STATE(11108), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8993), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520874] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10559), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_STAR,
    ACTIONS(10575), 1,
      anon_sym_PIPE,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(10579), 1,
      sym_operator_identifier,
    STATE(4162), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    ACTIONS(10571), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12819), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [520981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9106), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521012] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11526), 1,
      anon_sym_EQ,
    ACTIONS(12814), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10518), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [521092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9744), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521123] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 1,
      anon_sym_end,
    STATE(5448), 1,
      sym__end_marker,
    STATE(11118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521185] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11530), 1,
      anon_sym_EQ,
    ACTIONS(12825), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12829), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12827), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [521265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10792), 1,
      sym__backquoted_id,
    STATE(4172), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10790), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521300] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11530), 1,
      anon_sym_EQ,
    ACTIONS(12825), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521349] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12481), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9757), 1,
      sym_annotation,
    STATE(11198), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12730), 1,
      sym_inline_modifier,
    STATE(15871), 1,
      sym_parameter,
    STATE(17092), 1,
      sym_identifier,
    STATE(11124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521400] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    ACTIONS(12831), 1,
      anon_sym_LBRACK,
    ACTIONS(12833), 1,
      anon_sym_POUND,
    STATE(11508), 1,
      aux_sym_annotation_repeat1,
    STATE(11977), 1,
      sym_type_arguments,
    STATE(12517), 1,
      sym_arguments,
    STATE(11125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [521441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11862), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11800), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11814), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521656] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11342), 1,
      aux_sym_compound_type_repeat1,
    STATE(13124), 1,
      sym_template_body,
    STATE(13132), 1,
      sym__refinement,
    STATE(13208), 1,
      sym_arguments,
    STATE(11133), 2,
      sym_comment,
      sym_block_comment,
    STATE(13114), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [521695] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12835), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11134), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521739] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(12841), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11135), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12839), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [521787] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12843), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12845), 1,
      anon_sym_end,
    STATE(5627), 1,
      sym__end_marker,
    STATE(11137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521863] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12847), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11138), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521935] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12849), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11140), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12819), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12812), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12810), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [522067] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12851), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11144), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522139] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12853), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11146), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522183] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12855), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11147), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [522257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [522285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522313] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12857), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11151), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522357] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12859), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11152), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522401] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12861), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11153), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522445] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12863), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11154), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522489] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(11155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [522551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11249), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522609] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12865), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11159), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522653] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12867), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11160), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522697] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11526), 1,
      anon_sym_EQ,
    ACTIONS(12814), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522743] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12869), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11162), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522787] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12871), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11163), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522831] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11530), 1,
      anon_sym_EQ,
    ACTIONS(12825), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522905] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12873), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11166), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522949] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12875), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11167), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523021] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12877), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11169), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523065] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(12879), 1,
      anon_sym_LBRACK,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(12104), 1,
      aux_sym_annotation_repeat1,
    STATE(12479), 1,
      sym_type_arguments,
    STATE(13003), 1,
      sym_arguments,
    STATE(11170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [523105] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12883), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11171), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523177] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    STATE(11225), 1,
      aux_sym_annotation_repeat1,
    STATE(11811), 1,
      sym_arguments,
    STATE(11173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [523211] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(12887), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11174), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12885), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [523259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523287] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12889), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11176), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523331] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    ACTIONS(12645), 1,
      anon_sym_LBRACK,
    ACTIONS(12649), 1,
      anon_sym_POUND,
    ACTIONS(12704), 1,
      anon_sym_AT,
    STATE(9625), 1,
      sym_arguments,
    STATE(11628), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11691), 1,
      sym_type_arguments,
    STATE(12231), 1,
      sym_annotation,
    STATE(11177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [523375] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_finally,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523409] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12891), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11179), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523453] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12893), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11180), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12614), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12606), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523527] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8288), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    STATE(11182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523591] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12895), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11184), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523635] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12897), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11185), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523679] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12899), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11186), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523723] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12901), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11187), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523767] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12903), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11188), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523811] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12905), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11189), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523855] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    ACTIONS(12802), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523901] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11438), 1,
      anon_sym_EQ,
    ACTIONS(12800), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523947] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12907), 1,
      sym__alpha_identifier,
    ACTIONS(12909), 1,
      anon_sym_object,
    ACTIONS(12911), 1,
      anon_sym_class,
    ACTIONS(12915), 1,
      sym__backquoted_id,
    ACTIONS(12917), 1,
      sym_operator_identifier,
    STATE(12374), 1,
      sym_identifier,
    STATE(13995), 1,
      sym__soft_identifier,
    STATE(14351), 1,
      sym_simple_enum_case,
    STATE(15393), 1,
      sym_full_enum_case,
    STATE(11192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523993] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12919), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11193), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524037] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12772), 1,
      anon_sym_LBRACK,
    ACTIONS(12774), 1,
      anon_sym_LPAREN,
    ACTIONS(12776), 1,
      anon_sym_POUND,
    ACTIONS(12786), 1,
      anon_sym_AT,
    STATE(11796), 1,
      sym_type_arguments,
    STATE(12021), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12734), 1,
      sym_annotation,
    STATE(14113), 1,
      sym_arguments,
    STATE(11194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [524081] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11311), 1,
      anon_sym_EQ,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524127] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11442), 1,
      anon_sym_EQ,
    ACTIONS(12796), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524173] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12921), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11197), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524217] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_inline,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12923), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9132), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9757), 1,
      sym_annotation,
    STATE(12805), 1,
      sym_inline_modifier,
    STATE(16840), 1,
      sym_identifier,
    STATE(11198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524295] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12925), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11200), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12927), 1,
      anon_sym_DOT,
    STATE(11201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(11203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524429] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12929), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11204), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524473] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(12933), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11205), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12931), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [524521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524549] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12935), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11207), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10361), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524623] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12937), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11209), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524667] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12939), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11210), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524711] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12941), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11211), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524755] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12943), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11212), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524799] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12945), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11213), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7410), 1,
      sym__backquoted_id,
    STATE(11214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8993), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524873] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12947), 1,
      sym__alpha_identifier,
    ACTIONS(12949), 1,
      anon_sym_object,
    ACTIONS(12951), 1,
      anon_sym_class,
    ACTIONS(12955), 1,
      sym__backquoted_id,
    ACTIONS(12957), 1,
      sym_operator_identifier,
    STATE(12553), 1,
      sym_identifier,
    STATE(13892), 1,
      sym__soft_identifier,
    STATE(14292), 1,
      sym_simple_enum_case,
    STATE(15546), 1,
      sym_full_enum_case,
    STATE(11215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8430), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524949] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12959), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11217), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524993] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(12963), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11218), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12961), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [525041] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12965), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11219), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12969), 1,
      anon_sym_STAR,
    STATE(11220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525115] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12645), 1,
      anon_sym_LBRACK,
    ACTIONS(12647), 1,
      anon_sym_LPAREN,
    ACTIONS(12649), 1,
      anon_sym_POUND,
    ACTIONS(12704), 1,
      anon_sym_AT,
    STATE(11628), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11691), 1,
      sym_type_arguments,
    STATE(12231), 1,
      sym_annotation,
    STATE(14086), 1,
      sym_arguments,
    STATE(11221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [525159] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12971), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11222), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [525231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12973), 1,
      anon_sym_LPAREN,
    STATE(11811), 1,
      sym_arguments,
    STATE(11225), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [525291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11919), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525405] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(12978), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11230), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12976), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [525453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11251), 1,
      sym__backquoted_id,
    STATE(11231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11249), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525515] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12980), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11233), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525559] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12982), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11234), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525603] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(12986), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11235), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12984), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [525651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12759), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12757), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525681] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12988), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11237), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525725] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12990), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11238), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525797] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12992), 1,
      anon_sym_RPAREN,
    ACTIONS(12994), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14868), 1,
      sym_binding,
    STATE(15564), 1,
      sym_identifier,
    STATE(15570), 1,
      sym_wildcard,
    STATE(11240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525843] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12996), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11241), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12748), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12746), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11837), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525947] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(12998), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11244), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525991] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13000), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11245), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526035] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13002), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11246), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526079] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13004), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11247), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526151] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13006), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11249), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526195] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13008), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11250), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12984), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [526243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13010), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11251), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526287] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13012), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11252), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526331] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13014), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11253), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12931), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [526379] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13016), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11254), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12885), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [526427] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13018), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11255), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [526555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526611] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13020), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11261), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11827), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526741] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13022), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11265), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526785] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13024), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11266), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526829] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13026), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11267), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526873] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13028), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11268), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526917] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13030), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11269), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526989] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13032), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11271), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527091] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13034), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11274), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527135] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13036), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11275), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527179] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12994), 1,
      sym_operator_identifier,
    ACTIONS(13038), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15564), 1,
      sym_identifier,
    STATE(15570), 1,
      sym_wildcard,
    STATE(15931), 1,
      sym_binding,
    STATE(11276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527225] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13040), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11277), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [527299] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13042), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11279), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527343] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13044), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11280), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527387] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13046), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11281), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527431] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13048), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11282), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527503] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13050), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11284), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527547] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13052), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11285), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527621] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13054), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11287), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527695] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13056), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11289), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12976), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [527743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527773] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13058), 1,
      anon_sym_end,
    STATE(5711), 1,
      sym__end_marker,
    STATE(11291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527833] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13060), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11293), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9875), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9823), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10365), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527967] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13062), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11297), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9786), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528041] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13064), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11299), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528085] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13066), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11300), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528129] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13068), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11301), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528173] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13070), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11302), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [528245] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13072), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11304), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528289] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13074), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11305), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9744), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9693), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528423] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13076), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11309), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11934), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10384), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528527] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13078), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11312), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528571] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13080), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11313), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528615] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(13086), 1,
      anon_sym_extends,
    ACTIONS(13088), 1,
      anon_sym_derives,
    ACTIONS(13090), 1,
      sym__automatic_semicolon,
    STATE(11976), 1,
      sym_extends_clause,
    STATE(12658), 1,
      sym_derives_clause,
    STATE(14236), 1,
      sym_template_body,
    STATE(14248), 1,
      sym__definition_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13082), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [528663] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13093), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11315), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12961), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [528711] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13095), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11316), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528755] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13097), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11317), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8750), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528829] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11489), 1,
      anon_sym_EQ,
    ACTIONS(12737), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528875] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13099), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11320), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9285), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528977] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13101), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11323), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13103), 1,
      anon_sym_DOT,
    STATE(11324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [529051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529079] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13105), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11326), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12808), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12806), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529153] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12994), 1,
      sym_operator_identifier,
    ACTIONS(13107), 1,
      anon_sym_RPAREN,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15564), 1,
      sym_identifier,
    STATE(15570), 1,
      sym_wildcard,
    STATE(15931), 1,
      sym_binding,
    STATE(11328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529199] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13109), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11329), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13111), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11330), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11823), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10384), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529347] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13113), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11333), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [529419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10365), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11814), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529479] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13115), 1,
      anon_sym_DOT,
    STATE(11338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [529543] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13117), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11339), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529617] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13119), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11341), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529661] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12979), 1,
      aux_sym_compound_type_repeat1,
    STATE(13124), 1,
      sym_template_body,
    STATE(13136), 1,
      sym__refinement,
    STATE(11342), 2,
      sym_comment,
      sym_block_comment,
    STATE(13114), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [529697] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13121), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11343), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12839), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [529745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10361), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529775] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13123), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11345), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [529847] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13125), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11347), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529891] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13127), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11348), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529935] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    STATE(11359), 1,
      aux_sym_annotation_repeat1,
    STATE(12027), 1,
      sym_arguments,
    STATE(11349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8672), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529999] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13129), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11351), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530043] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13131), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11352), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530087] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13133), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11353), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530159] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13135), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11355), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530203] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7182), 1,
      anon_sym_object,
    ACTIONS(7188), 1,
      anon_sym_class,
    ACTIONS(12947), 1,
      sym__alpha_identifier,
    ACTIONS(12955), 1,
      sym__backquoted_id,
    ACTIONS(12957), 1,
      sym_operator_identifier,
    STATE(12553), 1,
      sym_identifier,
    STATE(13892), 1,
      sym__soft_identifier,
    STATE(14402), 1,
      sym_simple_enum_case,
    STATE(15713), 1,
      sym_full_enum_case,
    STATE(11356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12829), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12827), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530279] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13137), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11358), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530323] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13139), 1,
      anon_sym_LPAREN,
    STATE(12027), 1,
      sym_arguments,
    STATE(11359), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530355] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13142), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11360), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530399] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13144), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11361), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530443] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13146), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11362), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530487] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13148), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11363), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530531] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12447), 1,
      anon_sym_LBRACK,
    ACTIONS(12449), 1,
      anon_sym_AT,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12162), 1,
      sym_type_parameters,
    STATE(12873), 1,
      sym_annotation,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13767), 1,
      sym_access_modifier,
    STATE(13829), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12445), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [530579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [530607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11800), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530637] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13152), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11367), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530681] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13154), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11368), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [530753] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7202), 1,
      anon_sym_object,
    ACTIONS(7204), 1,
      anon_sym_class,
    ACTIONS(12907), 1,
      sym__alpha_identifier,
    ACTIONS(12915), 1,
      sym__backquoted_id,
    ACTIONS(12917), 1,
      sym_operator_identifier,
    STATE(12374), 1,
      sym_identifier,
    STATE(13995), 1,
      sym__soft_identifier,
    STATE(14390), 1,
      sym_simple_enum_case,
    STATE(15565), 1,
      sym_full_enum_case,
    STATE(11370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530799] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13158), 1,
      sym__automatic_semicolon,
    STATE(12376), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12377), 1,
      sym_access_modifier,
    STATE(13155), 1,
      sym_class_parameters,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13156), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [530839] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13161), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11372), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530883] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13163), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11373), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530955] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13165), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11375), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530999] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13169), 1,
      sym__automatic_semicolon,
    STATE(12413), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12414), 1,
      sym_access_modifier,
    STATE(13155), 1,
      sym_class_parameters,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13167), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [531039] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13172), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11377), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531083] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13174), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11378), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531127] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13176), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11379), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11249), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531201] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11465), 1,
      anon_sym_EQ,
    ACTIONS(12763), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531275] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13178), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11383), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531319] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13180), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11384), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531363] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(12772), 1,
      anon_sym_LBRACK,
    ACTIONS(12776), 1,
      anon_sym_POUND,
    ACTIONS(12786), 1,
      anon_sym_AT,
    STATE(9037), 1,
      sym_arguments,
    STATE(11796), 1,
      sym_type_arguments,
    STATE(12021), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12734), 1,
      sym_annotation,
    STATE(11385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [531407] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13182), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11386), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531479] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13184), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11388), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [531551] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13186), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11390), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531595] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13188), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11391), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531639] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12753), 1,
      anon_sym_with,
    STATE(12979), 1,
      aux_sym_compound_type_repeat1,
    STATE(13543), 1,
      sym_template_body,
    STATE(13573), 1,
      sym__refinement,
    STATE(11392), 2,
      sym_comment,
      sym_block_comment,
    STATE(13514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [531677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [531705] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13190), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11394), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [531777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12578), 1,
      anon_sym_DOT,
    STATE(11396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [531807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [531837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [531865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10595), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10593), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [531979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10621), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10619), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532065] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13192), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11406), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532137] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_else,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(11408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532227] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13194), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11411), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10386), 1,
      sym__backquoted_id,
    STATE(11412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10384), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [532329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10367), 1,
      sym__backquoted_id,
    STATE(11414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10365), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10363), 1,
      sym__backquoted_id,
    STATE(11415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10361), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11862), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532419] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13196), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11417), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532463] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13198), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11418), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532619] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13200), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11423), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [532691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [532719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532747] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(13086), 1,
      anon_sym_extends,
    ACTIONS(13088), 1,
      anon_sym_derives,
    STATE(12125), 1,
      sym_extends_clause,
    STATE(12785), 1,
      sym_derives_clause,
    STATE(14232), 1,
      sym__definition_body,
    STATE(14236), 1,
      sym_template_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [532793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11858), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [532851] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13204), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11430), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13206), 1,
      anon_sym_DOT,
    STATE(11431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532925] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13208), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11432), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12744), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12742), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12735), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12733), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533029] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13210), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11435), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533073] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13212), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11436), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533117] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_match,
    ACTIONS(11949), 1,
      sym__alpha_identifier,
    ACTIONS(11955), 1,
      sym__backquoted_id,
    ACTIONS(11957), 1,
      sym_operator_identifier,
    STATE(1381), 1,
      sym_identifier,
    STATE(4175), 1,
      sym__soft_identifier,
    ACTIONS(8760), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(11437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11953), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [533189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10520), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10518), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533219] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13214), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11440), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533263] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11499), 1,
      anon_sym_EQ,
    ACTIONS(12761), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533337] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13216), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11443), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10542), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10540), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [533439] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13218), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11446), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11896), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533513] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13220), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11448), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533585] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13222), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11450), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533629] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13224), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11451), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533673] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13226), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11452), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533747] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(11236), 1,
      anon_sym_STAR,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    ACTIONS(11244), 1,
      sym_operator_identifier,
    ACTIONS(11495), 1,
      anon_sym_EQ,
    ACTIONS(12755), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(11454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533793] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13228), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11455), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533837] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13230), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11456), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533881] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    ACTIONS(13232), 1,
      anon_sym_LBRACK,
    ACTIONS(13234), 1,
      anon_sym_POUND,
    STATE(12119), 1,
      aux_sym_annotation_repeat1,
    STATE(12504), 1,
      sym_type_arguments,
    STATE(12815), 1,
      sym_arguments,
    STATE(11457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [533921] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    ACTIONS(13236), 1,
      anon_sym_RBRACK,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11458), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533965] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13238), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11459), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12976), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [534012] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15042), 1,
      sym__type_parameter,
    STATE(11460), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534053] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15590), 1,
      sym__type_parameter,
    STATE(11461), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534094] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15078), 1,
      sym__type_parameter,
    STATE(11462), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534135] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15102), 1,
      sym__type_parameter,
    STATE(11463), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11802), 1,
      sym__backquoted_id,
    STATE(11464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11800), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534205] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13240), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11465), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12976), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [534252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534279] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15976), 1,
      sym__type_parameter,
    STATE(11467), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12663), 1,
      anon_sym_DOT,
    STATE(11468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534349] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_LBRACK,
    ACTIONS(13244), 1,
      anon_sym_POUND,
    STATE(12309), 1,
      aux_sym_annotation_repeat1,
    STATE(12685), 1,
      sym_type_arguments,
    STATE(13089), 1,
      sym_arguments,
    STATE(11469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [534388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13250), 1,
      sym__indent,
    STATE(11470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13248), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13246), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534419] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15256), 1,
      sym__type_parameter,
    STATE(11471), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534460] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(13254), 1,
      sym_operator_identifier,
    STATE(4232), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(16113), 1,
      sym__arrow_then_type,
    ACTIONS(13252), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13256), 1,
      anon_sym_DOT,
    STATE(11473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [534530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534557] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15632), 1,
      sym__type_parameter,
    STATE(11475), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534598] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14797), 1,
      sym__type_parameter,
    STATE(11476), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534639] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15350), 1,
      sym__type_parameter,
    STATE(11477), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534707] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15377), 1,
      sym__type_parameter,
    STATE(11479), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534748] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12604), 1,
      anon_sym_LPAREN,
    STATE(11611), 1,
      aux_sym_annotation_repeat1,
    STATE(12526), 1,
      sym_arguments,
    STATE(11480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [534781] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(13262), 1,
      sym__automatic_semicolon,
    STATE(12628), 1,
      aux_sym__function_constructor_repeat1,
    STATE(12635), 1,
      sym_type_parameters,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(11481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13258), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [534822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11816), 1,
      sym__backquoted_id,
    STATE(11482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11814), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534851] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13264), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11483), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12931), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [534898] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15392), 1,
      sym__type_parameter,
    STATE(11484), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534993] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15333), 1,
      sym__type_parameter,
    STATE(11487), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535034] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15419), 1,
      sym__type_parameter,
    STATE(11488), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535104] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14897), 1,
      sym__type_parameter,
    STATE(11490), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535145] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16007), 1,
      sym__type_parameter,
    STATE(11491), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [535213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12759), 1,
      sym__backquoted_id,
    STATE(11493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12757), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535242] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14781), 1,
      sym__type_parameter,
    STATE(11494), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535283] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13266), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(13506), 1,
      sym_identifier,
    STATE(16793), 1,
      sym_stable_identifier,
    STATE(11495), 2,
      sym_comment,
      sym_block_comment,
    STATE(13443), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(11497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535380] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13268), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11498), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12961), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [535427] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13270), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11499), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12839), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [535474] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14807), 1,
      sym__type_parameter,
    STATE(11500), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535515] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13272), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11501), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12931), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [535562] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12694), 1,
      anon_sym_LPAREN,
    STATE(11681), 1,
      aux_sym_annotation_repeat1,
    STATE(12435), 1,
      sym_arguments,
    STATE(11502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [535595] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14770), 1,
      sym__type_parameter,
    STATE(11503), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535636] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15614), 1,
      sym__type_parameter,
    STATE(11504), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535706] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13274), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11506), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12984), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [535753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535780] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    STATE(11583), 1,
      aux_sym_annotation_repeat1,
    STATE(12517), 1,
      sym_arguments,
    STATE(11508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [535813] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15803), 1,
      sym__type_parameter,
    STATE(11509), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535854] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    ACTIONS(13276), 1,
      anon_sym_LBRACK,
    ACTIONS(13278), 1,
      anon_sym_POUND,
    STATE(12345), 1,
      aux_sym_annotation_repeat1,
    STATE(12725), 1,
      sym_type_arguments,
    STATE(13052), 1,
      sym_arguments,
    STATE(11510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [535893] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(13282), 1,
      anon_sym_extends,
    ACTIONS(13284), 1,
      anon_sym_derives,
    ACTIONS(13286), 1,
      sym__automatic_semicolon,
    STATE(12445), 1,
      sym_extends_clause,
    STATE(13319), 1,
      sym_derives_clause,
    STATE(14574), 1,
      sym__definition_body,
    STATE(14611), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13082), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [535940] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(12994), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15564), 1,
      sym_identifier,
    STATE(15570), 1,
      sym_wildcard,
    STATE(15931), 1,
      sym_binding,
    STATE(11512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535983] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15535), 1,
      sym__type_parameter,
    STATE(11513), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536080] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13289), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11516), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12984), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [536127] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13266), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(13506), 1,
      sym_identifier,
    STATE(16793), 1,
      sym_stable_identifier,
    STATE(11517), 2,
      sym_comment,
      sym_block_comment,
    STATE(13646), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12748), 1,
      sym__backquoted_id,
    STATE(11518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12746), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536197] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16005), 1,
      sym__type_parameter,
    STATE(11519), 2,
      sym_comment,
      sym_block_comment,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [536265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(11521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536294] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13295), 1,
      anon_sym_LBRACK,
    ACTIONS(13297), 1,
      anon_sym_LT_COLON,
    ACTIONS(13299), 1,
      anon_sym_GT_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(12603), 1,
      sym_type_parameters,
    STATE(13213), 1,
      sym_lower_bound,
    STATE(13741), 1,
      sym_upper_bound,
    STATE(13746), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14309), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(13293), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(11522), 2,
      sym_comment,
      sym_block_comment,
  [536345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536372] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15141), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536467] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15533), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 1,
      sym__backquoted_id,
    STATE(11528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8288), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536537] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13303), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11529), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12885), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [536584] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15793), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536625] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    ACTIONS(13305), 1,
      anon_sym_COLON,
    STATE(12113), 1,
      aux_sym_compound_type_repeat1,
    STATE(14113), 1,
      sym_arguments,
    STATE(14141), 1,
      sym__refinement,
    STATE(14150), 1,
      sym_template_body,
    STATE(11531), 2,
      sym_comment,
      sym_block_comment,
    STATE(14106), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [536666] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15619), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536707] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14762), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536748] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15579), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11936), 1,
      sym__backquoted_id,
    STATE(11536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11934), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536845] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15759), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13307), 1,
      anon_sym_end,
    STATE(6453), 1,
      sym__end_marker,
    STATE(11538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [536917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11829), 1,
      sym__backquoted_id,
    STATE(11542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11827), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537083] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15733), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_DOT,
    STATE(11547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [537180] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15160), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537221] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15724), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537262] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13316), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11550), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12961), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [537309] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15703), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(11552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10595), 1,
      sym__backquoted_id,
    STATE(11553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10593), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(11554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537441] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13324), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(13787), 1,
      sym_identifier,
    STATE(16716), 1,
      sym_stable_identifier,
    STATE(11555), 2,
      sym_comment,
      sym_block_comment,
    STATE(13790), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10621), 1,
      sym__backquoted_id,
    STATE(11556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10619), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537511] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 1,
      sym__outdent,
    ACTIONS(8288), 1,
      anon_sym_case,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13326), 1,
      anon_sym_end,
    STATE(6659), 1,
      sym__end_marker,
    STATE(11558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10386), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10384), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10367), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10365), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11839), 1,
      sym__backquoted_id,
    STATE(11565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11837), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537826] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15655), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537867] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13328), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11569), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12839), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [537914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11251), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11249), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [538024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9407), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538053] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    ACTIONS(8286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8288), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    STATE(11575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [538140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538194] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14823), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538235] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(11581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538293] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13332), 1,
      anon_sym_LPAREN,
    STATE(12517), 1,
      sym_arguments,
    STATE(11583), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [538324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538351] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(13335), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14593), 1,
      sym_identifier,
    STATE(16924), 1,
      sym_stable_identifier,
    STATE(11585), 2,
      sym_comment,
      sym_block_comment,
    STATE(15451), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11825), 1,
      sym__backquoted_id,
    STATE(11586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11823), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538421] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    ACTIONS(13339), 1,
      anon_sym_match,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(11587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538454] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(13341), 1,
      anon_sym_with,
    STATE(8713), 1,
      sym_template_body,
    STATE(8895), 1,
      sym__refinement,
    STATE(9037), 1,
      sym_arguments,
    STATE(12140), 1,
      aux_sym_compound_type_repeat1,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [538497] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    STATE(11621), 1,
      aux_sym_annotation_repeat1,
    STATE(12428), 1,
      sym_arguments,
    STATE(11589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [538530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10363), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10361), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [538588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538615] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15585), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538683] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13343), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11595), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12976), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [538730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538813] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15414), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(11601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538912] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15836), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10542), 1,
      sym__backquoted_id,
    STATE(11603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10540), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [539090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13354), 1,
      anon_sym_AT,
    STATE(12231), 1,
      sym_annotation,
    STATE(11608), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [539121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13359), 1,
      anon_sym_LPAREN,
    STATE(12526), 1,
      sym_arguments,
    STATE(11611), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [539206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [539233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539260] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13362), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11614), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12839), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [539307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [539334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(11619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10386), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10384), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13370), 1,
      anon_sym_LPAREN,
    STATE(12428), 1,
      sym_arguments,
    STATE(11621), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [539506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10367), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10365), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539589] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13375), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11625), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12885), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [539636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10532), 1,
      sym__backquoted_id,
    STATE(11626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [539692] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12704), 1,
      anon_sym_AT,
    STATE(11608), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12231), 1,
      sym_annotation,
    STATE(11628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [539725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [539752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10520), 1,
      sym__backquoted_id,
    STATE(11631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10518), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539808] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15848), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [539876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10363), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10361), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539905] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15557), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539946] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15022), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540068] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13324), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(13787), 1,
      sym_identifier,
    STATE(16716), 1,
      sym_stable_identifier,
    STATE(11640), 2,
      sym_comment,
      sym_block_comment,
    STATE(13909), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    ACTIONS(13339), 1,
      anon_sym_match,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(11642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10474), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10472), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540283] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15402), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10470), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10468), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540353] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15319), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540394] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15272), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [540489] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15708), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540557] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13388), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11655), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12984), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [540604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9691), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9693), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12594), 1,
      anon_sym_AT,
    STATE(11707), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12451), 1,
      sym_annotation,
    STATE(11659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [540720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540747] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15528), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540815] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15827), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540883] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_LBRACK,
    ACTIONS(13396), 1,
      anon_sym_POUND,
    STATE(12302), 1,
      aux_sym_annotation_repeat1,
    STATE(12670), 1,
      sym_type_arguments,
    STATE(13103), 1,
      sym_arguments,
    STATE(11665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [540922] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15229), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540963] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15482), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [541031] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(13335), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14593), 1,
      sym_identifier,
    STATE(16924), 1,
      sym_stable_identifier,
    STATE(11669), 2,
      sym_comment,
      sym_block_comment,
    STATE(14592), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10448), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9742), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11251), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11249), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12735), 1,
      sym__backquoted_id,
    STATE(11675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12733), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12744), 1,
      sym__backquoted_id,
    STATE(11677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12742), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541352] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    ACTIONS(13408), 1,
      anon_sym_LBRACK,
    ACTIONS(13410), 1,
      anon_sym_POUND,
    STATE(12492), 1,
      aux_sym_annotation_repeat1,
    STATE(12690), 1,
      sym_type_arguments,
    STATE(13211), 1,
      sym_arguments,
    STATE(11680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [541391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13412), 1,
      anon_sym_LPAREN,
    STATE(12435), 1,
      sym_arguments,
    STATE(11681), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [541422] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15185), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541463] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(13282), 1,
      anon_sym_extends,
    ACTIONS(13284), 1,
      anon_sym_derives,
    STATE(12461), 1,
      sym_extends_clause,
    STATE(13294), 1,
      sym_derives_clause,
    STATE(14611), 1,
      sym_template_body,
    STATE(14615), 1,
      sym__definition_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13202), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [541508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541535] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12772), 1,
      anon_sym_LBRACK,
    ACTIONS(12776), 1,
      anon_sym_POUND,
    ACTIONS(12786), 1,
      anon_sym_AT,
    STATE(11796), 1,
      sym_type_arguments,
    STATE(12021), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12734), 1,
      sym_annotation,
    STATE(11685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [541574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [541682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541736] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15677), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541858] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14741), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541899] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13419), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11697), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12885), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [541946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9784), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542029] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(13423), 1,
      sym__automatic_semicolon,
    STATE(12927), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12935), 1,
      sym_access_modifier,
    STATE(13348), 1,
      sym_class_parameters,
    ACTIONS(12546), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13167), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542068] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12647), 1,
      anon_sym_LPAREN,
    STATE(11772), 1,
      aux_sym_annotation_repeat1,
    STATE(12195), 1,
      sym_arguments,
    STATE(11702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [542101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542155] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15505), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542196] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15814), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542237] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13426), 1,
      anon_sym_AT,
    STATE(12451), 1,
      sym_annotation,
    STATE(11707), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [542268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12812), 1,
      sym__backquoted_id,
    STATE(11708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12810), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542324] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15214), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12821), 1,
      sym__backquoted_id,
    STATE(11712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12819), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542421] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14957), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542462] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15281), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9823), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542532] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15442), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13429), 1,
      anon_sym_DOT,
    STATE(11719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542683] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15600), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542724] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15434), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9873), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9875), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9691), 1,
      sym__backquoted_id,
    STATE(11726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9693), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9742), 1,
      sym__backquoted_id,
    STATE(11727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542906] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(13431), 1,
      sym__automatic_semicolon,
    STATE(12817), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12821), 1,
      sym_access_modifier,
    STATE(13348), 1,
      sym_class_parameters,
    ACTIONS(12546), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13156), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542945] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13434), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11729), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12961), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [542992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    STATE(11732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543102] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15643), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9784), 1,
      sym__backquoted_id,
    STATE(11735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13436), 1,
      anon_sym_STAR,
    STATE(11736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13438), 1,
      anon_sym_STAR,
    STATE(11738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [543284] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(13440), 1,
      anon_sym_COLON,
    STATE(12149), 1,
      aux_sym_compound_type_repeat1,
    STATE(14042), 1,
      sym__refinement,
    STATE(14058), 1,
      sym_template_body,
    STATE(14086), 1,
      sym_arguments,
    STATE(11740), 2,
      sym_comment,
      sym_block_comment,
    STATE(14068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [543325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543379] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12645), 1,
      anon_sym_LBRACK,
    ACTIONS(12649), 1,
      anon_sym_POUND,
    ACTIONS(12704), 1,
      anon_sym_AT,
    STATE(11628), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11691), 1,
      sym_type_arguments,
    STATE(12231), 1,
      sym_annotation,
    STATE(11743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [543418] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14751), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543459] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15431), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 1,
      sym__backquoted_id,
    STATE(11746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9823), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12829), 1,
      sym__backquoted_id,
    STATE(11747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12827), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543585] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15251), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543626] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14976), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9873), 1,
      sym__backquoted_id,
    STATE(11751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9875), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11898), 1,
      sym__backquoted_id,
    STATE(11753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11896), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [543806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15234), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11860), 1,
      sym__backquoted_id,
    STATE(11760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11858), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13442), 1,
      anon_sym_DOT,
    STATE(11766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544121] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15559), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544162] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    ACTIONS(13444), 1,
      anon_sym_EQ,
    STATE(13343), 1,
      aux_sym_compound_type_repeat1,
    STATE(16064), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    STATE(17140), 1,
      sym_arguments,
    STATE(11768), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12931), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [544209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544236] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(14934), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544277] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(13446), 1,
      anon_sym_with,
    STATE(9625), 1,
      sym_arguments,
    STATE(9626), 1,
      sym__refinement,
    STATE(9629), 1,
      sym_template_body,
    STATE(11817), 1,
      aux_sym_compound_type_repeat1,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [544320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13448), 1,
      anon_sym_LPAREN,
    STATE(12195), 1,
      sym_arguments,
    STATE(11772), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [544351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [544405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15758), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544473] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15452), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11864), 1,
      sym__backquoted_id,
    STATE(11778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11862), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544543] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15479), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [544611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12808), 1,
      sym__backquoted_id,
    STATE(11782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12806), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544667] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym__,
    ACTIONS(11181), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15375), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [544761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12716), 1,
      anon_sym_EQ,
    STATE(11787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [544897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544951] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(13451), 1,
      anon_sym_type,
    ACTIONS(13453), 1,
      sym_operator_identifier,
    STATE(4919), 1,
      sym_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(5398), 1,
      sym__type_identifier,
    STATE(11793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [545017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12767), 1,
      anon_sym_EQ,
    STATE(11798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [545151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(11801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [545283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [545335] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12792), 1,
      anon_sym_EQ,
    STATE(11807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12794), 1,
      anon_sym_EQ,
    STATE(11810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(11812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545503] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(13457), 1,
      anon_sym_type,
    ACTIONS(13459), 1,
      sym_operator_identifier,
    STATE(4881), 1,
      sym_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(5367), 1,
      sym__type_identifier,
    STATE(11813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(11814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545599] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(13461), 1,
      anon_sym_type,
    ACTIONS(13463), 1,
      sym_operator_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(4565), 1,
      sym_identifier,
    STATE(4743), 1,
      sym__type_identifier,
    STATE(11816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545639] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(13446), 1,
      anon_sym_with,
    STATE(9534), 1,
      sym__refinement,
    STATE(9629), 1,
      sym_template_body,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [545679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545705] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      sym__alpha_identifier,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(13465), 1,
      anon_sym_type,
    ACTIONS(13467), 1,
      sym_operator_identifier,
    STATE(11543), 1,
      sym__soft_identifier,
    STATE(11591), 1,
      sym_identifier,
    STATE(12066), 1,
      sym__type_identifier,
    STATE(11819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545745] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(13469), 1,
      anon_sym_type,
    ACTIONS(13471), 1,
      sym_operator_identifier,
    STATE(4477), 1,
      sym_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(4757), 1,
      sym__type_identifier,
    STATE(11820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545785] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12268), 1,
      sym__alpha_identifier,
    ACTIONS(12276), 1,
      sym__backquoted_id,
    ACTIONS(13473), 1,
      anon_sym_type,
    ACTIONS(13475), 1,
      sym_operator_identifier,
    STATE(11005), 1,
      sym_identifier,
    STATE(11061), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym__type_identifier,
    STATE(11821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12272), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545825] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11986), 1,
      sym__alpha_identifier,
    ACTIONS(11994), 1,
      sym__backquoted_id,
    ACTIONS(13477), 1,
      anon_sym_type,
    ACTIONS(13479), 1,
      sym_operator_identifier,
    STATE(12452), 1,
      sym__soft_identifier,
    STATE(12510), 1,
      sym_identifier,
    STATE(12740), 1,
      sym__type_identifier,
    STATE(11822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [545891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12612), 1,
      anon_sym_EQ,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    STATE(11825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545973] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(13481), 1,
      anon_sym_type,
    ACTIONS(13483), 1,
      sym_operator_identifier,
    STATE(6070), 1,
      sym_identifier,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(7054), 1,
      sym__type_identifier,
    STATE(11827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12669), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [546195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546221] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(12882), 1,
      sym__type_identifier,
    STATE(14310), 1,
      sym__type_constructor,
    STATE(11836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [546287] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8817), 1,
      sym__alpha_identifier,
    ACTIONS(8829), 1,
      sym__backquoted_id,
    ACTIONS(13487), 1,
      anon_sym_type,
    ACTIONS(13489), 1,
      sym_operator_identifier,
    STATE(5275), 1,
      sym__soft_identifier,
    STATE(5286), 1,
      sym_identifier,
    STATE(5446), 1,
      sym__type_identifier,
    STATE(11838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13491), 1,
      anon_sym_end,
    STATE(7348), 1,
      sym__end_marker,
    STATE(11839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [546357] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      sym__alpha_identifier,
    ACTIONS(8544), 1,
      sym__backquoted_id,
    ACTIONS(13493), 1,
      anon_sym_type,
    ACTIONS(13495), 1,
      sym_operator_identifier,
    STATE(4798), 1,
      sym__type_identifier,
    STATE(4926), 1,
      sym__soft_identifier,
    STATE(5018), 1,
      sym_identifier,
    STATE(11840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8540), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546423] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(13497), 1,
      anon_sym_type,
    ACTIONS(13499), 1,
      sym_operator_identifier,
    STATE(4867), 1,
      sym_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(5314), 1,
      sym__type_identifier,
    STATE(11842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13503), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13501), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546491] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8520), 1,
      sym__alpha_identifier,
    ACTIONS(8528), 1,
      sym__backquoted_id,
    ACTIONS(13505), 1,
      anon_sym_type,
    ACTIONS(13507), 1,
      sym_operator_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(5922), 1,
      sym__type_identifier,
    STATE(5964), 1,
      sym_identifier,
    STATE(11844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546557] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(13509), 1,
      anon_sym_type,
    ACTIONS(13511), 1,
      sym_operator_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(4917), 1,
      sym_identifier,
    STATE(5310), 1,
      sym__type_identifier,
    STATE(11846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546623] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12765), 1,
      anon_sym_EQ,
    STATE(11848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546757] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      sym__alpha_identifier,
    ACTIONS(12127), 1,
      sym__backquoted_id,
    ACTIONS(13513), 1,
      anon_sym_type,
    ACTIONS(13515), 1,
      sym_operator_identifier,
    STATE(12412), 1,
      sym__soft_identifier,
    STATE(12627), 1,
      sym_identifier,
    STATE(12649), 1,
      sym__type_identifier,
    STATE(11853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12123), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546797] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(13517), 1,
      anon_sym_type,
    ACTIONS(13519), 1,
      sym_operator_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(5875), 1,
      sym_identifier,
    STATE(6259), 1,
      sym__type_identifier,
    STATE(11854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [546967] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13521), 1,
      anon_sym_type,
    ACTIONS(13523), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(10718), 1,
      sym_identifier,
    STATE(11055), 1,
      sym__type_identifier,
    STATE(11860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547007] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(13525), 1,
      anon_sym_type,
    ACTIONS(13527), 1,
      sym_operator_identifier,
    STATE(4758), 1,
      sym__soft_identifier,
    STATE(4782), 1,
      sym__type_identifier,
    STATE(4861), 1,
      sym_identifier,
    STATE(11861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(11862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [547157] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12620), 1,
      anon_sym_AT,
    STATE(11880), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12838), 1,
      sym_annotation,
    STATE(11866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [547189] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11998), 1,
      sym__alpha_identifier,
    ACTIONS(12006), 1,
      sym__backquoted_id,
    ACTIONS(13529), 1,
      anon_sym_type,
    ACTIONS(13531), 1,
      sym_operator_identifier,
    STATE(11515), 1,
      sym_identifier,
    STATE(11774), 1,
      sym__soft_identifier,
    STATE(11837), 1,
      sym__type_identifier,
    STATE(11867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547255] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11314), 1,
      sym__class_constructor,
    STATE(14275), 1,
      sym__class_definition,
    STATE(11869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547295] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(13535), 1,
      anon_sym_type,
    ACTIONS(13537), 1,
      sym_operator_identifier,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(4678), 1,
      sym_identifier,
    STATE(4943), 1,
      sym__type_identifier,
    STATE(11870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547335] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      anon_sym_type,
    ACTIONS(13541), 1,
      sym_operator_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(5825), 1,
      sym_identifier,
    STATE(6304), 1,
      sym__type_identifier,
    STATE(11871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547375] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(13101), 1,
      sym__type_identifier,
    STATE(14621), 1,
      sym__type_constructor,
    STATE(11872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547415] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13543), 1,
      anon_sym_type,
    ACTIONS(13545), 1,
      sym_operator_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11489), 1,
      sym_identifier,
    STATE(12060), 1,
      sym__type_identifier,
    STATE(11873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547481] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13547), 1,
      anon_sym_LBRACK,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    ACTIONS(13551), 1,
      sym__automatic_semicolon,
    STATE(12718), 1,
      sym_type_parameters,
    STATE(12728), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym_parameters,
    STATE(11875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13258), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [547521] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(13553), 1,
      anon_sym_type,
    ACTIONS(13555), 1,
      sym_operator_identifier,
    STATE(7428), 1,
      sym__type_identifier,
    STATE(7483), 1,
      sym__soft_identifier,
    STATE(7728), 1,
      sym_identifier,
    STATE(11876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [547587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547613] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(13557), 1,
      anon_sym_type,
    ACTIONS(13559), 1,
      sym_operator_identifier,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(5841), 1,
      sym_identifier,
    STATE(6266), 1,
      sym__type_identifier,
    STATE(11879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13561), 1,
      anon_sym_AT,
    STATE(12838), 1,
      sym_annotation,
    STATE(11880), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [547683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13564), 1,
      anon_sym_end,
    STATE(7379), 1,
      sym__end_marker,
    STATE(11881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [547713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [547739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [547765] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(13566), 1,
      anon_sym_type,
    ACTIONS(13568), 1,
      sym_operator_identifier,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(4612), 1,
      sym_identifier,
    STATE(5011), 1,
      sym__type_identifier,
    STATE(11884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547805] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11314), 1,
      sym__class_constructor,
    STATE(14173), 1,
      sym__class_definition,
    STATE(11885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [547897] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      anon_sym_type,
    ACTIONS(13572), 1,
      sym_operator_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(8383), 1,
      sym_identifier,
    STATE(8797), 1,
      sym__type_identifier,
    STATE(11888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547937] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_AT,
    ACTIONS(13578), 1,
      anon_sym_LPAREN,
    ACTIONS(13580), 1,
      anon_sym_POUND,
    STATE(13416), 1,
      sym_type_arguments,
    STATE(13458), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13878), 1,
      sym_annotation,
    STATE(14348), 1,
      sym_arguments,
    STATE(11889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [547979] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12147), 1,
      sym__alpha_identifier,
    ACTIONS(12155), 1,
      sym__backquoted_id,
    ACTIONS(13582), 1,
      anon_sym_type,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(11308), 1,
      sym_identifier,
    STATE(11322), 1,
      sym__soft_identifier,
    STATE(11525), 1,
      sym__type_identifier,
    STATE(11890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12151), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548045] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(13586), 1,
      anon_sym_type,
    ACTIONS(13588), 1,
      sym_operator_identifier,
    STATE(6261), 1,
      sym_identifier,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(7044), 1,
      sym__type_identifier,
    STATE(11892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548085] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12774), 1,
      anon_sym_LPAREN,
    STATE(12081), 1,
      aux_sym_annotation_repeat1,
    STATE(12782), 1,
      sym_arguments,
    STATE(11893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [548117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [548169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [548195] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    ACTIONS(13590), 1,
      anon_sym_match,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(11897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548227] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(13101), 1,
      sym__type_identifier,
    STATE(14439), 1,
      sym__type_constructor,
    STATE(11898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548267] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(13592), 1,
      anon_sym_type,
    ACTIONS(13594), 1,
      sym_operator_identifier,
    STATE(6022), 1,
      sym_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(6786), 1,
      sym__type_identifier,
    STATE(11899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548307] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8883), 1,
      sym__alpha_identifier,
    ACTIONS(8891), 1,
      sym__backquoted_id,
    ACTIONS(13596), 1,
      anon_sym_type,
    ACTIONS(13598), 1,
      sym_operator_identifier,
    STATE(6921), 1,
      sym__soft_identifier,
    STATE(7220), 1,
      sym_identifier,
    STATE(7340), 1,
      sym__type_identifier,
    STATE(11900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548347] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(13600), 1,
      anon_sym_type,
    ACTIONS(13602), 1,
      sym_operator_identifier,
    STATE(6814), 1,
      sym_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym__type_identifier,
    STATE(11901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548413] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(10449), 1,
      sym_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11511), 1,
      sym__class_constructor,
    STATE(14672), 1,
      sym__class_definition,
    STATE(11903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548479] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(10449), 1,
      sym_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11511), 1,
      sym__class_constructor,
    STATE(14668), 1,
      sym__class_definition,
    STATE(11905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548519] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_POUND,
    STATE(12967), 1,
      aux_sym_annotation_repeat1,
    STATE(13044), 1,
      sym_type_arguments,
    STATE(13464), 1,
      sym_arguments,
    STATE(11906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [548557] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(11907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548613] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(11909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [548669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548695] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(13610), 1,
      anon_sym_type,
    ACTIONS(13612), 1,
      sym_operator_identifier,
    STATE(5622), 1,
      sym_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(6543), 1,
      sym__type_identifier,
    STATE(11912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548735] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(12882), 1,
      sym__type_identifier,
    STATE(14398), 1,
      sym__type_constructor,
    STATE(11913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [548801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548879] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8722), 1,
      sym__alpha_identifier,
    ACTIONS(8730), 1,
      sym__backquoted_id,
    ACTIONS(13614), 1,
      anon_sym_type,
    ACTIONS(13616), 1,
      sym_operator_identifier,
    STATE(6670), 1,
      sym_identifier,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(7120), 1,
      sym__type_identifier,
    STATE(11918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548919] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(13618), 1,
      anon_sym_type,
    ACTIONS(13620), 1,
      sym_operator_identifier,
    STATE(7124), 1,
      sym_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(7446), 1,
      sym__type_identifier,
    STATE(11919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548959] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12208), 1,
      sym__alpha_identifier,
    ACTIONS(12216), 1,
      sym__backquoted_id,
    ACTIONS(13622), 1,
      anon_sym_type,
    ACTIONS(13624), 1,
      sym_operator_identifier,
    STATE(12774), 1,
      sym_identifier,
    STATE(12832), 1,
      sym__soft_identifier,
    STATE(13177), 1,
      sym__type_identifier,
    STATE(11920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548999] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      sym__alpha_identifier,
    ACTIONS(8388), 1,
      sym__backquoted_id,
    ACTIONS(13626), 1,
      anon_sym_type,
    ACTIONS(13628), 1,
      sym_operator_identifier,
    STATE(11143), 1,
      sym__soft_identifier,
    STATE(11278), 1,
      sym_identifier,
    STATE(11687), 1,
      sym__type_identifier,
    STATE(11921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(11922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549069] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(13632), 1,
      anon_sym_type,
    ACTIONS(13634), 1,
      sym_operator_identifier,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(8023), 1,
      sym_identifier,
    STATE(8281), 1,
      sym__type_identifier,
    STATE(11923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549109] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8871), 1,
      sym__alpha_identifier,
    ACTIONS(8879), 1,
      sym__backquoted_id,
    ACTIONS(13636), 1,
      anon_sym_type,
    ACTIONS(13638), 1,
      sym_operator_identifier,
    STATE(6864), 1,
      sym__soft_identifier,
    STATE(7137), 1,
      sym__type_identifier,
    STATE(7363), 1,
      sym_identifier,
    STATE(11924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549175] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(13640), 1,
      anon_sym_type,
    ACTIONS(13642), 1,
      sym_operator_identifier,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5447), 1,
      sym_identifier,
    STATE(5634), 1,
      sym__type_identifier,
    STATE(11926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549215] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(13644), 1,
      anon_sym_type,
    ACTIONS(13646), 1,
      sym_operator_identifier,
    STATE(6123), 1,
      sym_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(6712), 1,
      sym__type_identifier,
    STATE(11927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549255] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11971), 1,
      sym__alpha_identifier,
    ACTIONS(11979), 1,
      sym__backquoted_id,
    ACTIONS(13648), 1,
      anon_sym_type,
    ACTIONS(13650), 1,
      sym_operator_identifier,
    STATE(12792), 1,
      sym__soft_identifier,
    STATE(12954), 1,
      sym_identifier,
    STATE(13109), 1,
      sym__type_identifier,
    STATE(11928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11975), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549295] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_POUND,
    STATE(12999), 1,
      aux_sym_annotation_repeat1,
    STATE(13051), 1,
      sym_type_arguments,
    STATE(13536), 1,
      sym_arguments,
    STATE(11929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [549359] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13656), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(12723), 1,
      sym__type_identifier,
    STATE(14245), 1,
      sym__type_constructor,
    STATE(11931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549399] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      sym__alpha_identifier,
    ACTIONS(8318), 1,
      sym__backquoted_id,
    ACTIONS(13658), 1,
      anon_sym_type,
    ACTIONS(13660), 1,
      sym_operator_identifier,
    STATE(13184), 1,
      sym_identifier,
    STATE(13259), 1,
      sym__soft_identifier,
    STATE(13429), 1,
      sym__type_identifier,
    STATE(11932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549439] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(487), 1,
      anon_sym__,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(13662), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(11933), 2,
      sym_comment,
      sym_block_comment,
    STATE(14215), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12630), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [549503] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(13664), 1,
      anon_sym_type,
    ACTIONS(13666), 1,
      sym_operator_identifier,
    STATE(7642), 1,
      sym_identifier,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(8652), 1,
      sym__type_identifier,
    STATE(11935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12638), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [549569] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8859), 1,
      sym__alpha_identifier,
    ACTIONS(8867), 1,
      sym__backquoted_id,
    ACTIONS(13668), 1,
      anon_sym_type,
    ACTIONS(13670), 1,
      sym_operator_identifier,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5783), 1,
      sym__type_identifier,
    STATE(5848), 1,
      sym_identifier,
    STATE(11937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549609] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13656), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(12723), 1,
      sym__type_identifier,
    STATE(14342), 1,
      sym__type_constructor,
    STATE(11938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549649] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(13672), 1,
      anon_sym_type,
    ACTIONS(13674), 1,
      sym_operator_identifier,
    STATE(5144), 1,
      sym_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(5900), 1,
      sym__type_identifier,
    STATE(11939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549689] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(10449), 1,
      sym_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11511), 1,
      sym__class_constructor,
    STATE(14539), 1,
      sym__class_definition,
    STATE(11940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [549755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [549781] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11314), 1,
      sym__class_constructor,
    STATE(14410), 1,
      sym__class_definition,
    STATE(11943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [549847] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8704), 1,
      sym__alpha_identifier,
    ACTIONS(8712), 1,
      sym__backquoted_id,
    ACTIONS(13676), 1,
      anon_sym_type,
    ACTIONS(13678), 1,
      sym_operator_identifier,
    STATE(5997), 1,
      sym__type_identifier,
    STATE(6180), 1,
      sym__soft_identifier,
    STATE(6358), 1,
      sym_identifier,
    STATE(11945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549887] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8946), 1,
      sym_operator_identifier,
    STATE(14441), 1,
      sym_identifier,
    STATE(14442), 1,
      sym__soft_identifier,
    ACTIONS(8944), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(11946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(13680), 1,
      anon_sym_type,
    ACTIONS(13682), 1,
      sym_operator_identifier,
    STATE(7587), 1,
      sym_identifier,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8452), 1,
      sym__type_identifier,
    STATE(11947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549965] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(13684), 1,
      anon_sym_type,
    ACTIONS(13686), 1,
      sym_operator_identifier,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(5852), 1,
      sym_identifier,
    STATE(6229), 1,
      sym__type_identifier,
    STATE(11948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550005] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(13688), 1,
      anon_sym_type,
    ACTIONS(13690), 1,
      sym_operator_identifier,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6644), 1,
      sym_identifier,
    STATE(7248), 1,
      sym__type_identifier,
    STATE(11949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550045] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11314), 1,
      sym__class_constructor,
    STATE(14189), 1,
      sym__class_definition,
    STATE(11950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550085] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      sym__alpha_identifier,
    ACTIONS(8626), 1,
      sym__backquoted_id,
    ACTIONS(13692), 1,
      anon_sym_type,
    ACTIONS(13694), 1,
      sym_operator_identifier,
    STATE(5554), 1,
      sym_identifier,
    STATE(5637), 1,
      sym__type_identifier,
    STATE(5807), 1,
      sym__soft_identifier,
    STATE(11951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550151] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(13696), 1,
      anon_sym_type,
    ACTIONS(13698), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(5829), 1,
      sym_identifier,
    STATE(6142), 1,
      sym__type_identifier,
    STATE(11953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13702), 1,
      anon_sym_COMMA,
    ACTIONS(13704), 1,
      anon_sym_with,
    STATE(12904), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(12905), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(11954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [550225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [550251] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(13706), 1,
      anon_sym_type,
    ACTIONS(13708), 1,
      sym_operator_identifier,
    STATE(5062), 1,
      sym_identifier,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5941), 1,
      sym__type_identifier,
    STATE(11956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550291] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12244), 1,
      sym__alpha_identifier,
    ACTIONS(12252), 1,
      sym__backquoted_id,
    ACTIONS(13710), 1,
      anon_sym_type,
    ACTIONS(13712), 1,
      sym_operator_identifier,
    STATE(11887), 1,
      sym__soft_identifier,
    STATE(11999), 1,
      sym_identifier,
    STATE(12487), 1,
      sym__type_identifier,
    STATE(11957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [550357] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(13714), 1,
      anon_sym_type,
    ACTIONS(13716), 1,
      sym_operator_identifier,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(4986), 1,
      sym_identifier,
    STATE(5239), 1,
      sym__type_identifier,
    STATE(11959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [550423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550449] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(13718), 1,
      anon_sym_type,
    ACTIONS(13720), 1,
      sym_operator_identifier,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5243), 1,
      sym_identifier,
    STATE(5521), 1,
      sym__type_identifier,
    STATE(11962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(11963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [550517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [550543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12677), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [550621] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12165), 1,
      sym__alpha_identifier,
    ACTIONS(12173), 1,
      sym__backquoted_id,
    ACTIONS(13722), 1,
      anon_sym_type,
    ACTIONS(13724), 1,
      sym_operator_identifier,
    STATE(11791), 1,
      sym_identifier,
    STATE(11806), 1,
      sym__soft_identifier,
    STATE(12496), 1,
      sym__type_identifier,
    STATE(11968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12169), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550661] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(10449), 1,
      sym_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11511), 1,
      sym__class_constructor,
    STATE(14618), 1,
      sym__class_definition,
    STATE(11969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13726), 1,
      anon_sym_LPAREN,
    STATE(12997), 1,
      sym_arguments,
    STATE(11970), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [550731] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11314), 1,
      sym__class_constructor,
    STATE(14404), 1,
      sym__class_definition,
    STATE(11971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550771] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12196), 1,
      sym__alpha_identifier,
    ACTIONS(12204), 1,
      sym__backquoted_id,
    ACTIONS(13729), 1,
      anon_sym_type,
    ACTIONS(13731), 1,
      sym_operator_identifier,
    STATE(10798), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_identifier,
    STATE(11008), 1,
      sym__type_identifier,
    STATE(11972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12200), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550811] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(13733), 1,
      anon_sym_type,
    ACTIONS(13735), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6730), 1,
      sym__type_identifier,
    STATE(11973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550851] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(13737), 1,
      anon_sym_LBRACK,
    ACTIONS(13739), 1,
      anon_sym_POUND,
    STATE(12853), 1,
      aux_sym_annotation_repeat1,
    STATE(13193), 1,
      sym_type_arguments,
    STATE(13324), 1,
      sym_arguments,
    STATE(11974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [550889] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8841), 1,
      sym__alpha_identifier,
    ACTIONS(8849), 1,
      sym__backquoted_id,
    ACTIONS(13741), 1,
      anon_sym_type,
    ACTIONS(13743), 1,
      sym_operator_identifier,
    STATE(6115), 1,
      sym__soft_identifier,
    STATE(6143), 1,
      sym__type_identifier,
    STATE(6502), 1,
      sym_identifier,
    STATE(11975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550929] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(13088), 1,
      anon_sym_derives,
    ACTIONS(13747), 1,
      sym__automatic_semicolon,
    STATE(12823), 1,
      sym_derives_clause,
    STATE(14236), 1,
      sym_template_body,
    STATE(14358), 1,
      sym__definition_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13745), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [550971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [550997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [551023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [551075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13750), 1,
      anon_sym_DOT,
    STATE(11981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [551103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551181] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11314), 1,
      sym__class_constructor,
    STATE(14319), 1,
      sym__class_definition,
    STATE(11985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [551247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551273] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_AT,
    ACTIONS(13580), 1,
      anon_sym_POUND,
    ACTIONS(13752), 1,
      anon_sym_LPAREN,
    STATE(13416), 1,
      sym_type_arguments,
    STATE(13458), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13878), 1,
      sym_annotation,
    STATE(14099), 1,
      sym_arguments,
    STATE(11988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [551315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551341] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(13754), 1,
      anon_sym_type,
    ACTIONS(13756), 1,
      sym_operator_identifier,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6560), 1,
      sym_identifier,
    STATE(7309), 1,
      sym__type_identifier,
    STATE(11990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551381] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    ACTIONS(13590), 1,
      anon_sym_match,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(11991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551413] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(13758), 1,
      anon_sym_type,
    ACTIONS(13760), 1,
      sym_operator_identifier,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4670), 1,
      sym_identifier,
    STATE(4920), 1,
      sym__type_identifier,
    STATE(11992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551453] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(10449), 1,
      sym_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11511), 1,
      sym__class_constructor,
    STATE(14454), 1,
      sym__class_definition,
    STATE(11993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551493] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(13101), 1,
      sym__type_identifier,
    STATE(14573), 1,
      sym__type_constructor,
    STATE(11994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551559] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(13764), 1,
      sym_operator_identifier,
    STATE(14418), 1,
      sym_identifier,
    STATE(14442), 1,
      sym__soft_identifier,
    ACTIONS(13762), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(11996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551623] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(13766), 1,
      anon_sym_type,
    ACTIONS(13768), 1,
      sym_operator_identifier,
    STATE(5160), 1,
      sym_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(5885), 1,
      sym__type_identifier,
    STATE(11998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [551691] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12226), 1,
      sym__alpha_identifier,
    ACTIONS(12234), 1,
      sym__backquoted_id,
    ACTIONS(13770), 1,
      anon_sym_type,
    ACTIONS(13772), 1,
      sym_operator_identifier,
    STATE(10719), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_identifier,
    STATE(10993), 1,
      sym__type_identifier,
    STATE(12000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551731] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(13774), 1,
      anon_sym_type,
    ACTIONS(13776), 1,
      sym_operator_identifier,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(6574), 1,
      sym_identifier,
    STATE(7050), 1,
      sym__type_identifier,
    STATE(12001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551797] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(13778), 1,
      anon_sym_type,
    ACTIONS(13780), 1,
      sym_operator_identifier,
    STATE(7710), 1,
      sym_identifier,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(8276), 1,
      sym__type_identifier,
    STATE(12003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [551889] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(13782), 1,
      anon_sym_type,
    ACTIONS(13784), 1,
      sym_operator_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4987), 1,
      sym_identifier,
    STATE(5266), 1,
      sym__type_identifier,
    STATE(12006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551929] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(13786), 1,
      anon_sym_type,
    ACTIONS(13788), 1,
      sym_operator_identifier,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(6366), 1,
      sym_identifier,
    STATE(7288), 1,
      sym__type_identifier,
    STATE(12007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [552021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [552047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552099] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(25), 1,
      anon_sym__,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(13790), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(12013), 2,
      sym_comment,
      sym_block_comment,
    STATE(14043), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552189] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8460), 1,
      sym__alpha_identifier,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(13792), 1,
      anon_sym_type,
    ACTIONS(13794), 1,
      sym_operator_identifier,
    STATE(8222), 1,
      sym__type_identifier,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(8327), 1,
      sym_identifier,
    STATE(12016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552281] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(13796), 1,
      anon_sym_type,
    ACTIONS(13798), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(4245), 1,
      sym_identifier,
    STATE(4250), 1,
      sym__type_identifier,
    STATE(12019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552347] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12786), 1,
      anon_sym_AT,
    STATE(12152), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12734), 1,
      sym_annotation,
    STATE(12021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [552405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13802), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13800), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552537] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8772), 1,
      sym__alpha_identifier,
    ACTIONS(8780), 1,
      sym__backquoted_id,
    ACTIONS(13804), 1,
      anon_sym_type,
    ACTIONS(13806), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__soft_identifier,
    STATE(5188), 1,
      sym_identifier,
    STATE(5330), 1,
      sym__type_identifier,
    STATE(12028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13810), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13808), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552631] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12010), 1,
      sym__alpha_identifier,
    ACTIONS(12018), 1,
      sym__backquoted_id,
    ACTIONS(13812), 1,
      anon_sym_type,
    ACTIONS(13814), 1,
      sym_operator_identifier,
    STATE(12796), 1,
      sym__soft_identifier,
    STATE(12890), 1,
      sym_identifier,
    STATE(13035), 1,
      sym__type_identifier,
    STATE(12031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12014), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552671] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(10449), 1,
      sym_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11511), 1,
      sym__class_constructor,
    STATE(14504), 1,
      sym__class_definition,
    STATE(12032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13818), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13816), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13822), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13820), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13826), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13824), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552873] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(13828), 1,
      anon_sym_type,
    ACTIONS(13830), 1,
      sym_operator_identifier,
    STATE(6724), 1,
      sym_identifier,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7930), 1,
      sym__type_identifier,
    STATE(12039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12651), 1,
      anon_sym_EQ,
    STATE(12043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13834), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13832), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553079] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13656), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(12723), 1,
      sym__type_identifier,
    STATE(14362), 1,
      sym__type_constructor,
    STATE(12046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553119] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(13836), 1,
      anon_sym_type,
    ACTIONS(13838), 1,
      sym_operator_identifier,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(5975), 1,
      sym_identifier,
    STATE(6021), 1,
      sym__type_identifier,
    STATE(12047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13842), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13840), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553213] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12184), 1,
      sym__alpha_identifier,
    ACTIONS(12192), 1,
      sym__backquoted_id,
    ACTIONS(13844), 1,
      anon_sym_type,
    ACTIONS(13846), 1,
      sym_operator_identifier,
    STATE(12402), 1,
      sym__soft_identifier,
    STATE(12456), 1,
      sym_identifier,
    STATE(12710), 1,
      sym__type_identifier,
    STATE(12050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12655), 1,
      anon_sym_EQ,
    STATE(12051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553283] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8684), 1,
      sym__alpha_identifier,
    ACTIONS(8692), 1,
      sym__backquoted_id,
    ACTIONS(13848), 1,
      anon_sym_type,
    ACTIONS(13850), 1,
      sym_operator_identifier,
    STATE(7715), 1,
      sym_identifier,
    STATE(7813), 1,
      sym__soft_identifier,
    STATE(7831), 1,
      sym__type_identifier,
    STATE(12052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8688), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [553349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553375] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(13852), 1,
      anon_sym_type,
    ACTIONS(13854), 1,
      sym_operator_identifier,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(6354), 1,
      sym_identifier,
    STATE(7260), 1,
      sym__type_identifier,
    STATE(12055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553415] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(13856), 1,
      anon_sym_type,
    ACTIONS(13858), 1,
      sym_operator_identifier,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11397), 1,
      sym_identifier,
    STATE(11485), 1,
      sym__type_identifier,
    STATE(12056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553455] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12256), 1,
      sym__alpha_identifier,
    ACTIONS(12264), 1,
      sym__backquoted_id,
    ACTIONS(13860), 1,
      anon_sym_type,
    ACTIONS(13862), 1,
      sym_operator_identifier,
    STATE(12409), 1,
      sym__soft_identifier,
    STATE(12589), 1,
      sym_identifier,
    STATE(12702), 1,
      sym__type_identifier,
    STATE(12057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12260), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13864), 1,
      anon_sym_LPAREN,
    STATE(12738), 1,
      sym_arguments,
    STATE(12058), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [553525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553577] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8630), 1,
      sym__alpha_identifier,
    ACTIONS(8638), 1,
      sym__backquoted_id,
    ACTIONS(13867), 1,
      anon_sym_type,
    ACTIONS(13869), 1,
      sym_operator_identifier,
    STATE(8293), 1,
      sym__soft_identifier,
    STATE(8419), 1,
      sym_identifier,
    STATE(8585), 1,
      sym__type_identifier,
    STATE(12061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553617] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11314), 1,
      sym__class_constructor,
    STATE(14225), 1,
      sym__class_definition,
    STATE(12062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553657] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8909), 1,
      sym__alpha_identifier,
    ACTIONS(8917), 1,
      sym__backquoted_id,
    ACTIONS(13871), 1,
      anon_sym_type,
    ACTIONS(13873), 1,
      sym_operator_identifier,
    STATE(7759), 1,
      sym__type_identifier,
    STATE(7896), 1,
      sym_identifier,
    STATE(8069), 1,
      sym__soft_identifier,
    STATE(12063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12626), 1,
      anon_sym_LPAREN,
    STATE(11970), 1,
      aux_sym_annotation_repeat1,
    STATE(12997), 1,
      sym_arguments,
    STATE(12064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [553729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553781] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(13875), 1,
      anon_sym_type,
    ACTIONS(13877), 1,
      sym_operator_identifier,
    STATE(5076), 1,
      sym_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(5958), 1,
      sym__type_identifier,
    STATE(12067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553847] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13879), 1,
      anon_sym_LPAREN,
    STATE(12815), 1,
      sym_arguments,
    STATE(12069), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [553877] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(12882), 1,
      sym__type_identifier,
    STATE(14282), 1,
      sym__type_constructor,
    STATE(12070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553917] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(12882), 1,
      sym__type_identifier,
    STATE(14363), 1,
      sym__type_constructor,
    STATE(12071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553957] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(13882), 1,
      anon_sym_type,
    ACTIONS(13884), 1,
      sym_operator_identifier,
    STATE(6109), 1,
      sym_identifier,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6994), 1,
      sym__type_identifier,
    STATE(12072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554023] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(13886), 1,
      anon_sym_type,
    ACTIONS(13888), 1,
      sym_operator_identifier,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(6860), 1,
      sym_identifier,
    STATE(7518), 1,
      sym__type_identifier,
    STATE(12074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554089] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(13890), 1,
      anon_sym_type,
    ACTIONS(13892), 1,
      sym_operator_identifier,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6525), 1,
      sym_identifier,
    STATE(6920), 1,
      sym__type_identifier,
    STATE(12076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554155] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12101), 1,
      sym__alpha_identifier,
    ACTIONS(12109), 1,
      sym__backquoted_id,
    ACTIONS(13894), 1,
      anon_sym_type,
    ACTIONS(13896), 1,
      sym_operator_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(7848), 1,
      sym_identifier,
    STATE(8627), 1,
      sym__type_identifier,
    STATE(12078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12105), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554195] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(13898), 1,
      anon_sym_type,
    ACTIONS(13900), 1,
      sym_operator_identifier,
    STATE(6047), 1,
      sym_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(6688), 1,
      sym__type_identifier,
    STATE(12079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554261] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13902), 1,
      anon_sym_LPAREN,
    STATE(12782), 1,
      sym_arguments,
    STATE(12081), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [554291] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13656), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(12723), 1,
      sym__type_identifier,
    STATE(14400), 1,
      sym__type_constructor,
    STATE(12082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554331] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8418), 1,
      sym__alpha_identifier,
    ACTIONS(8426), 1,
      sym__backquoted_id,
    ACTIONS(13905), 1,
      anon_sym_type,
    ACTIONS(13907), 1,
      sym_operator_identifier,
    STATE(6033), 1,
      sym__type_identifier,
    STATE(6105), 1,
      sym_identifier,
    STATE(6306), 1,
      sym__soft_identifier,
    STATE(12083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13911), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13909), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554425] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8791), 1,
      sym__alpha_identifier,
    ACTIONS(8799), 1,
      sym__backquoted_id,
    ACTIONS(13913), 1,
      anon_sym_type,
    ACTIONS(13915), 1,
      sym_operator_identifier,
    STATE(6975), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7048), 1,
      sym__type_identifier,
    STATE(12086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8795), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554465] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(13917), 1,
      anon_sym_type,
    ACTIONS(13919), 1,
      sym_operator_identifier,
    STATE(11505), 1,
      sym_identifier,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(11952), 1,
      sym__type_identifier,
    STATE(12087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554531] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(13921), 1,
      anon_sym_type,
    ACTIONS(13923), 1,
      sym_operator_identifier,
    STATE(5694), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(6398), 1,
      sym__type_identifier,
    STATE(12089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554571] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(836), 1,
      anon_sym__,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(13925), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__soft_identifier,
    STATE(12090), 2,
      sym_comment,
      sym_block_comment,
    STATE(15980), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554635] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(13927), 1,
      anon_sym_type,
    ACTIONS(13929), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11199), 1,
      sym_identifier,
    STATE(11637), 1,
      sym__type_identifier,
    STATE(12092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554675] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13931), 1,
      anon_sym_object,
    ACTIONS(13933), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(13819), 1,
      sym_package_identifier,
    STATE(13858), 1,
      sym_identifier,
    STATE(12093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13937), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13935), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554743] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13939), 1,
      anon_sym_type,
    ACTIONS(13941), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12097), 1,
      sym_identifier,
    STATE(12457), 1,
      sym__type_identifier,
    STATE(12095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554837] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(13943), 1,
      anon_sym_type,
    ACTIONS(13945), 1,
      sym_operator_identifier,
    STATE(4512), 1,
      sym_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(4662), 1,
      sym__type_identifier,
    STATE(12098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13947), 1,
      anon_sym_STAR,
    STATE(12099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554931] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(13949), 1,
      anon_sym_type,
    ACTIONS(13951), 1,
      sym_operator_identifier,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5414), 1,
      sym_identifier,
    STATE(5604), 1,
      sym__type_identifier,
    STATE(12101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(13953), 1,
      anon_sym_type,
    ACTIONS(13955), 1,
      sym_operator_identifier,
    STATE(4619), 1,
      sym_identifier,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4795), 1,
      sym__type_identifier,
    STATE(12103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555037] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    STATE(12121), 1,
      aux_sym_annotation_repeat1,
    STATE(13003), 1,
      sym_arguments,
    STATE(12104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [555069] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12089), 1,
      sym__alpha_identifier,
    ACTIONS(12097), 1,
      sym__backquoted_id,
    ACTIONS(13957), 1,
      anon_sym_type,
    ACTIONS(13959), 1,
      sym_operator_identifier,
    STATE(11051), 1,
      sym_identifier,
    STATE(11119), 1,
      sym__soft_identifier,
    STATE(11292), 1,
      sym__type_identifier,
    STATE(12105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12093), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555109] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(10449), 1,
      sym_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11511), 1,
      sym__class_constructor,
    STATE(14437), 1,
      sym__class_definition,
    STATE(12106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [555227] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(13961), 1,
      anon_sym_type,
    ACTIONS(13963), 1,
      sym_operator_identifier,
    STATE(5063), 1,
      sym_identifier,
    STATE(5072), 1,
      sym__soft_identifier,
    STATE(5342), 1,
      sym__type_identifier,
    STATE(12110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555267] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(13965), 1,
      anon_sym_type,
    ACTIONS(13967), 1,
      sym_operator_identifier,
    STATE(5716), 1,
      sym_identifier,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(6386), 1,
      sym__type_identifier,
    STATE(12111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555307] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(836), 1,
      anon_sym__,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(13969), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__soft_identifier,
    STATE(12112), 2,
      sym_comment,
      sym_block_comment,
    STATE(16083), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555345] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    ACTIONS(13305), 1,
      anon_sym_COLON,
    STATE(13590), 1,
      aux_sym_compound_type_repeat1,
    STATE(14134), 1,
      sym__refinement,
    STATE(14150), 1,
      sym_template_body,
    STATE(12113), 2,
      sym_comment,
      sym_block_comment,
    STATE(14106), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [555383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [555461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13973), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13971), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555489] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(13975), 1,
      anon_sym_type,
    ACTIONS(13977), 1,
      sym_operator_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(8079), 1,
      sym_identifier,
    STATE(8481), 1,
      sym__type_identifier,
    STATE(12118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555529] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9074), 1,
      anon_sym_LPAREN,
    STATE(12069), 1,
      aux_sym_annotation_repeat1,
    STATE(12815), 1,
      sym_arguments,
    STATE(12119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [555561] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8736), 1,
      sym__alpha_identifier,
    ACTIONS(8744), 1,
      sym__backquoted_id,
    ACTIONS(13979), 1,
      anon_sym_type,
    ACTIONS(13981), 1,
      sym_operator_identifier,
    STATE(8916), 1,
      sym__soft_identifier,
    STATE(9233), 1,
      sym_identifier,
    STATE(9242), 1,
      sym__type_identifier,
    STATE(12120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13983), 1,
      anon_sym_LPAREN,
    STATE(13003), 1,
      sym_arguments,
    STATE(12121), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [555631] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8554), 1,
      sym__alpha_identifier,
    ACTIONS(8562), 1,
      sym__backquoted_id,
    ACTIONS(13986), 1,
      anon_sym_type,
    ACTIONS(13988), 1,
      sym_operator_identifier,
    STATE(6244), 1,
      sym_identifier,
    STATE(6414), 1,
      sym__type_identifier,
    STATE(6631), 1,
      sym__soft_identifier,
    STATE(12122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8558), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555671] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(13990), 1,
      anon_sym_type,
    ACTIONS(13992), 1,
      sym_operator_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(5883), 1,
      sym_identifier,
    STATE(6191), 1,
      sym__type_identifier,
    STATE(12123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555711] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8484), 1,
      sym__backquoted_id,
    ACTIONS(13994), 1,
      anon_sym_type,
    ACTIONS(13996), 1,
      sym_operator_identifier,
    STATE(9756), 1,
      sym__type_identifier,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(9910), 1,
      sym_identifier,
    STATE(12124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555751] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(13088), 1,
      anon_sym_derives,
    STATE(12764), 1,
      sym_derives_clause,
    STATE(14236), 1,
      sym_template_body,
    STATE(14302), 1,
      sym__definition_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13998), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [555791] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(14000), 1,
      anon_sym_type,
    ACTIONS(14002), 1,
      sym_operator_identifier,
    STATE(7540), 1,
      sym__soft_identifier,
    STATE(7719), 1,
      sym_identifier,
    STATE(7981), 1,
      sym__type_identifier,
    STATE(12126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555857] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(13101), 1,
      sym__type_identifier,
    STATE(14705), 1,
      sym__type_constructor,
    STATE(12128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555949] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12074), 1,
      sym__alpha_identifier,
    ACTIONS(12082), 1,
      sym__backquoted_id,
    ACTIONS(14004), 1,
      anon_sym_type,
    ACTIONS(14006), 1,
      sym_operator_identifier,
    STATE(11148), 1,
      sym_identifier,
    STATE(11424), 1,
      sym__soft_identifier,
    STATE(11492), 1,
      sym__type_identifier,
    STATE(12131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12078), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555989] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(14008), 1,
      anon_sym_type,
    ACTIONS(14010), 1,
      sym_operator_identifier,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9173), 1,
      sym_identifier,
    STATE(9329), 1,
      sym__type_identifier,
    STATE(12132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11921), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556057] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(12134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12788), 1,
      anon_sym_EQ,
    STATE(12136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556143] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    ACTIONS(14012), 1,
      anon_sym_match,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(12137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14014), 1,
      anon_sym_STAR,
    STATE(12138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [556203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(12139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556233] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(13341), 1,
      anon_sym_with,
    STATE(8713), 1,
      sym_template_body,
    STATE(9026), 1,
      sym__refinement,
    STATE(13590), 1,
      aux_sym_compound_type_repeat1,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [556299] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(14016), 1,
      anon_sym_type,
    ACTIONS(14018), 1,
      sym_operator_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(7140), 1,
      sym_identifier,
    STATE(7947), 1,
      sym__type_identifier,
    STATE(12142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556339] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(14020), 1,
      anon_sym_type,
    ACTIONS(14022), 1,
      sym_operator_identifier,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4681), 1,
      sym_identifier,
    STATE(4869), 1,
      sym__type_identifier,
    STATE(12143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14026), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14024), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556433] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    ACTIONS(14012), 1,
      anon_sym_match,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(12146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14030), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14028), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556519] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(13440), 1,
      anon_sym_COLON,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(14037), 1,
      sym__refinement,
    STATE(14058), 1,
      sym_template_body,
    STATE(12149), 2,
      sym_comment,
      sym_block_comment,
    STATE(14068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556557] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(12150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12614), 1,
      sym__backquoted_id,
    ACTIONS(12790), 1,
      anon_sym_EQ,
    STATE(12151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14032), 1,
      anon_sym_AT,
    STATE(12734), 1,
      sym_annotation,
    STATE(12152), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556647] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(12153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [556703] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(14035), 1,
      anon_sym_type,
    ACTIONS(14037), 1,
      sym_operator_identifier,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(5042), 1,
      sym_identifier,
    STATE(5084), 1,
      sym__type_identifier,
    STATE(12155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556743] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(14039), 1,
      anon_sym_type,
    ACTIONS(14041), 1,
      sym_operator_identifier,
    STATE(4405), 1,
      sym_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym__type_identifier,
    STATE(12156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556783] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      anon_sym_type,
    ACTIONS(14045), 1,
      sym_operator_identifier,
    STATE(5491), 1,
      sym_identifier,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(6055), 1,
      sym__type_identifier,
    STATE(12157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [556875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14047), 1,
      anon_sym_DOT,
    STATE(12160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [556903] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12780), 1,
      anon_sym_LPAREN,
    STATE(12058), 1,
      aux_sym_annotation_repeat1,
    STATE(12738), 1,
      sym_arguments,
    STATE(12161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [556935] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12449), 1,
      anon_sym_AT,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12746), 1,
      sym_annotation,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13650), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13651), 1,
      sym_access_modifier,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12718), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [556977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14051), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14049), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557059] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8434), 1,
      sym__alpha_identifier,
    ACTIONS(8446), 1,
      sym__backquoted_id,
    ACTIONS(14053), 1,
      anon_sym_type,
    ACTIONS(14055), 1,
      sym_operator_identifier,
    STATE(4648), 1,
      sym__soft_identifier,
    STATE(4692), 1,
      sym__type_identifier,
    STATE(4712), 1,
      sym_identifier,
    STATE(12166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8442), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557099] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11766), 1,
      sym__alpha_identifier,
    ACTIONS(11774), 1,
      sym__backquoted_id,
    ACTIONS(14057), 1,
      anon_sym_type,
    ACTIONS(14059), 1,
      sym_operator_identifier,
    STATE(13748), 1,
      sym__soft_identifier,
    STATE(13785), 1,
      sym_identifier,
    STATE(13920), 1,
      sym__type_identifier,
    STATE(12167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14063), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14061), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [557221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [557299] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4736), 1,
      sym__alpha_identifier,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(14065), 1,
      sym_operator_identifier,
    STATE(4907), 1,
      sym__soft_identifier,
    STATE(5177), 1,
      sym__type_identifier,
    STATE(5201), 1,
      sym_identifier,
    STATE(12174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4748), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557361] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13523), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(10718), 1,
      sym_identifier,
    STATE(11055), 1,
      sym__type_identifier,
    STATE(12176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557398] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4966), 1,
      sym__backquoted_id,
    ACTIONS(14067), 1,
      sym_operator_identifier,
    STATE(5238), 1,
      sym__soft_identifier,
    STATE(5565), 1,
      sym_identifier,
    STATE(5603), 1,
      sym__type_identifier,
    STATE(12177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557435] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      sym__backquoted_id,
    ACTIONS(14069), 1,
      sym_operator_identifier,
    STATE(5795), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym__type_identifier,
    STATE(6370), 1,
      sym_identifier,
    STATE(12178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557472] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(14071), 1,
      sym_operator_identifier,
    STATE(7750), 1,
      sym__soft_identifier,
    STATE(8315), 1,
      sym__type_identifier,
    STATE(8354), 1,
      sym_identifier,
    STATE(12179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557509] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(14073), 1,
      sym_operator_identifier,
    STATE(5556), 1,
      sym__soft_identifier,
    STATE(6301), 1,
      sym__type_identifier,
    STATE(6483), 1,
      sym_identifier,
    STATE(12180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557546] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6560), 1,
      sym__alpha_identifier,
    ACTIONS(6574), 1,
      sym__backquoted_id,
    ACTIONS(14075), 1,
      sym_operator_identifier,
    STATE(5803), 1,
      sym__soft_identifier,
    STATE(6379), 1,
      sym_identifier,
    STATE(6385), 1,
      sym__type_identifier,
    STATE(12181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557583] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12074), 1,
      sym__alpha_identifier,
    ACTIONS(12082), 1,
      sym__backquoted_id,
    ACTIONS(14077), 1,
      sym_operator_identifier,
    STATE(11424), 1,
      sym__soft_identifier,
    STATE(11571), 1,
      sym_identifier,
    STATE(11629), 1,
      sym__type_identifier,
    STATE(12182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12078), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557620] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12756), 1,
      aux_sym_compound_type_repeat1,
    STATE(14099), 1,
      sym_arguments,
    STATE(14101), 1,
      sym__refinement,
    STATE(14105), 1,
      sym_template_body,
    STATE(12183), 2,
      sym_comment,
      sym_block_comment,
    STATE(14070), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [557655] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(14079), 1,
      anon_sym_LBRACK,
    ACTIONS(14081), 1,
      anon_sym_POUND,
    STATE(13317), 1,
      aux_sym_annotation_repeat1,
    STATE(13624), 1,
      sym_type_arguments,
    STATE(13817), 1,
      sym_arguments,
    STATE(12184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [557692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14083), 1,
      anon_sym_with,
    STATE(12185), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557719] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14086), 1,
      sym__alpha_identifier,
    ACTIONS(14088), 1,
      anon_sym_LBRACE,
    ACTIONS(14090), 1,
      anon_sym_LBRACK,
    ACTIONS(14094), 1,
      sym__backquoted_id,
    STATE(9483), 1,
      sym_identifier,
    STATE(9667), 1,
      sym__soft_identifier,
    STATE(12186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14092), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557756] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14096), 1,
      sym__alpha_identifier,
    ACTIONS(14098), 1,
      anon_sym_LBRACE,
    ACTIONS(14100), 1,
      anon_sym_LBRACK,
    ACTIONS(14104), 1,
      sym__backquoted_id,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(6467), 1,
      sym_identifier,
    STATE(12187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557793] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__alpha_identifier,
    ACTIONS(4272), 1,
      sym__backquoted_id,
    ACTIONS(14106), 1,
      sym_operator_identifier,
    STATE(6957), 1,
      sym__soft_identifier,
    STATE(8019), 1,
      sym_identifier,
    STATE(8040), 1,
      sym__type_identifier,
    STATE(12188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557830] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6676), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      sym__backquoted_id,
    ACTIONS(14108), 1,
      sym_operator_identifier,
    STATE(6231), 1,
      sym__soft_identifier,
    STATE(7224), 1,
      sym_identifier,
    STATE(7231), 1,
      sym__type_identifier,
    STATE(12189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557867] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14110), 1,
      sym__alpha_identifier,
    ACTIONS(14112), 1,
      anon_sym_LBRACE,
    ACTIONS(14114), 1,
      anon_sym_LBRACK,
    ACTIONS(14118), 1,
      sym__backquoted_id,
    STATE(8211), 1,
      sym_identifier,
    STATE(8469), 1,
      sym__soft_identifier,
    STATE(12190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14116), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557904] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(14120), 1,
      anon_sym_LBRACE,
    ACTIONS(14122), 1,
      anon_sym_LBRACK,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(11400), 1,
      sym_identifier,
    STATE(12191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557941] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4894), 1,
      sym__alpha_identifier,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(14124), 1,
      sym_operator_identifier,
    STATE(4433), 1,
      sym__soft_identifier,
    STATE(4547), 1,
      sym__type_identifier,
    STATE(4553), 1,
      sym_identifier,
    STATE(12192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4902), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557978] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6138), 1,
      sym__alpha_identifier,
    ACTIONS(6152), 1,
      sym__backquoted_id,
    ACTIONS(14126), 1,
      sym_operator_identifier,
    STATE(6228), 1,
      sym__soft_identifier,
    STATE(7239), 1,
      sym_identifier,
    STATE(7259), 1,
      sym__type_identifier,
    STATE(12193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558015] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6778), 1,
      sym__alpha_identifier,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(5146), 1,
      sym__type_identifier,
    STATE(5179), 1,
      sym_identifier,
    STATE(12194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558077] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_AT,
    ACTIONS(13580), 1,
      anon_sym_POUND,
    STATE(13416), 1,
      sym_type_arguments,
    STATE(13458), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13878), 1,
      sym_annotation,
    STATE(12196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [558114] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(14130), 1,
      sym_operator_identifier,
    STATE(4587), 1,
      sym__soft_identifier,
    STATE(4989), 1,
      sym_identifier,
    STATE(5032), 1,
      sym__type_identifier,
    STATE(12197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558151] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(14132), 1,
      sym_operator_identifier,
    STATE(5180), 1,
      sym__soft_identifier,
    STATE(5660), 1,
      sym__type_identifier,
    STATE(5665), 1,
      sym_identifier,
    STATE(12198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558188] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__alpha_identifier,
    ACTIONS(4234), 1,
      sym__backquoted_id,
    ACTIONS(14134), 1,
      sym_operator_identifier,
    STATE(4585), 1,
      sym__soft_identifier,
    STATE(5015), 1,
      sym__type_identifier,
    STATE(5047), 1,
      sym_identifier,
    STATE(12199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558225] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6810), 1,
      sym__backquoted_id,
    ACTIONS(14136), 1,
      sym_operator_identifier,
    STATE(5774), 1,
      sym__soft_identifier,
    STATE(6262), 1,
      sym__type_identifier,
    STATE(6274), 1,
      sym_identifier,
    STATE(12200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6806), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558262] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      sym__alpha_identifier,
    ACTIONS(12127), 1,
      sym__backquoted_id,
    ACTIONS(14138), 1,
      sym_operator_identifier,
    STATE(12412), 1,
      sym__soft_identifier,
    STATE(12667), 1,
      sym_identifier,
    STATE(12673), 1,
      sym__type_identifier,
    STATE(12201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12123), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558299] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(14140), 1,
      sym_operator_identifier,
    STATE(7425), 1,
      sym__type_identifier,
    STATE(7483), 1,
      sym__soft_identifier,
    STATE(8050), 1,
      sym_identifier,
    STATE(12202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558336] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__alpha_identifier,
    ACTIONS(4784), 1,
      sym__backquoted_id,
    ACTIONS(14142), 1,
      sym_operator_identifier,
    STATE(5771), 1,
      sym__soft_identifier,
    STATE(6226), 1,
      sym__type_identifier,
    STATE(6235), 1,
      sym_identifier,
    STATE(12203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12677), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558398] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(14144), 1,
      anon_sym_LBRACE,
    ACTIONS(14146), 1,
      anon_sym_LBRACK,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10999), 1,
      sym_identifier,
    STATE(12205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558435] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8859), 1,
      sym__alpha_identifier,
    ACTIONS(8867), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5816), 1,
      sym_identifier,
    STATE(5827), 1,
      sym__type_identifier,
    STATE(12206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558472] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8883), 1,
      sym__alpha_identifier,
    ACTIONS(8891), 1,
      sym__backquoted_id,
    ACTIONS(14150), 1,
      sym_operator_identifier,
    STATE(6921), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(7311), 1,
      sym__type_identifier,
    STATE(12207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558509] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      sym__backquoted_id,
    ACTIONS(14152), 1,
      sym_operator_identifier,
    STATE(5767), 1,
      sym__soft_identifier,
    STATE(6190), 1,
      sym__type_identifier,
    STATE(6198), 1,
      sym_identifier,
    STATE(12208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558573] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(13798), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(4245), 1,
      sym_identifier,
    STATE(4250), 1,
      sym__type_identifier,
    STATE(12210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558610] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      sym__alpha_identifier,
    ACTIONS(8626), 1,
      sym__backquoted_id,
    ACTIONS(14154), 1,
      sym_operator_identifier,
    STATE(5581), 1,
      sym_identifier,
    STATE(5636), 1,
      sym__type_identifier,
    STATE(5807), 1,
      sym__soft_identifier,
    STATE(12211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558647] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8791), 1,
      sym__alpha_identifier,
    ACTIONS(8799), 1,
      sym__backquoted_id,
    ACTIONS(14156), 1,
      sym_operator_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7027), 1,
      sym__type_identifier,
    STATE(7034), 1,
      sym_identifier,
    STATE(12212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8795), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558711] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14158), 1,
      anon_sym_end,
    STATE(7520), 1,
      sym__end_marker,
    STATE(12214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [558740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(12215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [558769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558819] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13941), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12097), 1,
      sym_identifier,
    STATE(12457), 1,
      sym__type_identifier,
    STATE(12218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558856] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(14162), 1,
      sym_operator_identifier,
    STATE(5763), 1,
      sym__soft_identifier,
    STATE(6172), 1,
      sym__type_identifier,
    STATE(6177), 1,
      sym_identifier,
    STATE(12219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558893] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14164), 1,
      sym__alpha_identifier,
    ACTIONS(14166), 1,
      anon_sym_LBRACE,
    ACTIONS(14168), 1,
      anon_sym_LBRACK,
    ACTIONS(14172), 1,
      sym__backquoted_id,
    STATE(8782), 1,
      sym__soft_identifier,
    STATE(8903), 1,
      sym_identifier,
    STATE(12220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558930] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      sym__alpha_identifier,
    ACTIONS(14176), 1,
      anon_sym_LBRACE,
    ACTIONS(14178), 1,
      anon_sym_LBRACK,
    ACTIONS(14182), 1,
      sym__backquoted_id,
    STATE(5812), 1,
      sym_identifier,
    STATE(5934), 1,
      sym__soft_identifier,
    STATE(12221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558967] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12256), 1,
      sym__alpha_identifier,
    ACTIONS(12264), 1,
      sym__backquoted_id,
    ACTIONS(14184), 1,
      sym_operator_identifier,
    STATE(12409), 1,
      sym__soft_identifier,
    STATE(12713), 1,
      sym_identifier,
    STATE(12736), 1,
      sym__type_identifier,
    STATE(12222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12260), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559004] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14086), 1,
      sym__alpha_identifier,
    ACTIONS(14094), 1,
      sym__backquoted_id,
    ACTIONS(14186), 1,
      anon_sym_LBRACE,
    ACTIONS(14188), 1,
      anon_sym_LBRACK,
    STATE(9418), 1,
      sym_identifier,
    STATE(9667), 1,
      sym__soft_identifier,
    STATE(12223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14092), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559041] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8684), 1,
      sym__alpha_identifier,
    ACTIONS(8692), 1,
      sym__backquoted_id,
    ACTIONS(14190), 1,
      sym_operator_identifier,
    STATE(7785), 1,
      sym__type_identifier,
    STATE(7794), 1,
      sym_identifier,
    STATE(7813), 1,
      sym__soft_identifier,
    STATE(12224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8688), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [559103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559128] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6712), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      sym__backquoted_id,
    ACTIONS(14192), 1,
      sym_operator_identifier,
    STATE(6268), 1,
      sym__soft_identifier,
    STATE(6947), 1,
      sym__type_identifier,
    STATE(6962), 1,
      sym_identifier,
    STATE(12227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559165] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(14194), 1,
      sym_operator_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11835), 1,
      sym__type_identifier,
    STATE(11874), 1,
      sym_identifier,
    STATE(12228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559202] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12196), 1,
      sym__alpha_identifier,
    ACTIONS(12204), 1,
      sym__backquoted_id,
    ACTIONS(14196), 1,
      sym_operator_identifier,
    STATE(10798), 1,
      sym__soft_identifier,
    STATE(10970), 1,
      sym__type_identifier,
    STATE(10987), 1,
      sym_identifier,
    STATE(12229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12200), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559239] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6698), 1,
      sym__alpha_identifier,
    ACTIONS(6708), 1,
      sym__backquoted_id,
    ACTIONS(14198), 1,
      sym_operator_identifier,
    STATE(7816), 1,
      sym__soft_identifier,
    STATE(8673), 1,
      sym__type_identifier,
    STATE(8699), 1,
      sym_identifier,
    STATE(12230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559301] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12147), 1,
      sym__alpha_identifier,
    ACTIONS(12155), 1,
      sym__backquoted_id,
    ACTIONS(14200), 1,
      sym_operator_identifier,
    STATE(11322), 1,
      sym__soft_identifier,
    STATE(11579), 1,
      sym_identifier,
    STATE(11598), 1,
      sym__type_identifier,
    STATE(12232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12151), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559338] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      sym__alpha_identifier,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(14202), 1,
      sym_operator_identifier,
    STATE(11543), 1,
      sym__soft_identifier,
    STATE(11916), 1,
      sym_identifier,
    STATE(12042), 1,
      sym__type_identifier,
    STATE(12233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559375] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(14204), 1,
      sym_operator_identifier,
    STATE(4758), 1,
      sym__soft_identifier,
    STATE(4800), 1,
      sym_identifier,
    STATE(4809), 1,
      sym__type_identifier,
    STATE(12234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559412] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6656), 1,
      sym__alpha_identifier,
    ACTIONS(6670), 1,
      sym__backquoted_id,
    ACTIONS(14206), 1,
      sym_operator_identifier,
    STATE(4554), 1,
      sym__soft_identifier,
    STATE(4730), 1,
      sym__type_identifier,
    STATE(4739), 1,
      sym_identifier,
    STATE(12235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6666), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [559474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12638), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12630), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559524] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11766), 1,
      sym__alpha_identifier,
    ACTIONS(11774), 1,
      sym__backquoted_id,
    ACTIONS(14208), 1,
      sym_operator_identifier,
    STATE(13748), 1,
      sym__soft_identifier,
    STATE(13882), 1,
      sym__type_identifier,
    STATE(13954), 1,
      sym_identifier,
    STATE(12239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559561] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6590), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      sym__backquoted_id,
    ACTIONS(14210), 1,
      sym_operator_identifier,
    STATE(4914), 1,
      sym__soft_identifier,
    STATE(5305), 1,
      sym__type_identifier,
    STATE(5332), 1,
      sym_identifier,
    STATE(12240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559598] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(14212), 1,
      sym_operator_identifier,
    STATE(4250), 1,
      sym__type_identifier,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(10990), 1,
      sym_identifier,
    STATE(12241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14214), 1,
      anon_sym_end,
    STATE(7651), 1,
      sym__end_marker,
    STATE(12242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [559664] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14218), 1,
      anon_sym_catch,
    ACTIONS(14220), 1,
      anon_sym_finally,
    STATE(12320), 1,
      sym_finally_clause,
    STATE(13137), 1,
      sym_catch_clause,
    STATE(12243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559697] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8520), 1,
      sym__alpha_identifier,
    ACTIONS(8528), 1,
      sym__backquoted_id,
    ACTIONS(14222), 1,
      sym_operator_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(5939), 1,
      sym_identifier,
    STATE(5948), 1,
      sym__type_identifier,
    STATE(12244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559734] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6528), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      sym__backquoted_id,
    ACTIONS(14224), 1,
      sym_operator_identifier,
    STATE(4911), 1,
      sym__soft_identifier,
    STATE(5273), 1,
      sym__type_identifier,
    STATE(5280), 1,
      sym_identifier,
    STATE(12245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6538), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559771] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11986), 1,
      sym__alpha_identifier,
    ACTIONS(11994), 1,
      sym__backquoted_id,
    ACTIONS(14226), 1,
      sym_operator_identifier,
    STATE(12452), 1,
      sym__soft_identifier,
    STATE(12661), 1,
      sym__type_identifier,
    STATE(12676), 1,
      sym_identifier,
    STATE(12246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559808] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14228), 1,
      sym__alpha_identifier,
    ACTIONS(14230), 1,
      anon_sym_LBRACE,
    ACTIONS(14232), 1,
      anon_sym_LBRACK,
    ACTIONS(14236), 1,
      sym__backquoted_id,
    STATE(9656), 1,
      sym_identifier,
    STATE(9669), 1,
      sym__soft_identifier,
    STATE(12247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559845] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11998), 1,
      sym__alpha_identifier,
    ACTIONS(12006), 1,
      sym__backquoted_id,
    ACTIONS(14238), 1,
      sym_operator_identifier,
    STATE(11774), 1,
      sym__soft_identifier,
    STATE(11964), 1,
      sym_identifier,
    STATE(11989), 1,
      sym__type_identifier,
    STATE(12248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559882] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(14240), 1,
      anon_sym_LBRACE,
    ACTIONS(14242), 1,
      anon_sym_LBRACK,
    STATE(10416), 1,
      sym__soft_identifier,
    STATE(11553), 1,
      sym_identifier,
    STATE(12249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559919] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6498), 1,
      sym__alpha_identifier,
    ACTIONS(6512), 1,
      sym__backquoted_id,
    ACTIONS(14244), 1,
      sym_operator_identifier,
    STATE(6279), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym__type_identifier,
    STATE(6757), 1,
      sym_identifier,
    STATE(12250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559956] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11971), 1,
      sym__alpha_identifier,
    ACTIONS(11979), 1,
      sym__backquoted_id,
    ACTIONS(14246), 1,
      sym_operator_identifier,
    STATE(12792), 1,
      sym__soft_identifier,
    STATE(13043), 1,
      sym__type_identifier,
    STATE(13060), 1,
      sym_identifier,
    STATE(12251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11975), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12669), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [560018] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(14248), 1,
      sym_operator_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6695), 1,
      sym__type_identifier,
    STATE(6703), 1,
      sym_identifier,
    STATE(12253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560055] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12010), 1,
      sym__alpha_identifier,
    ACTIONS(12018), 1,
      sym__backquoted_id,
    ACTIONS(14250), 1,
      sym_operator_identifier,
    STATE(12796), 1,
      sym__soft_identifier,
    STATE(13039), 1,
      sym_identifier,
    STATE(13074), 1,
      sym__type_identifier,
    STATE(12254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12014), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560092] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(14252), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(4286), 1,
      sym__type_identifier,
    STATE(4314), 1,
      sym_identifier,
    STATE(12255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560129] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      sym__backquoted_id,
    ACTIONS(14254), 1,
      sym_operator_identifier,
    STATE(5741), 1,
      sym__soft_identifier,
    STATE(6004), 1,
      sym__type_identifier,
    STATE(6009), 1,
      sym_identifier,
    STATE(12256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4838), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560166] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6612), 1,
      sym__alpha_identifier,
    ACTIONS(6626), 1,
      sym__backquoted_id,
    ACTIONS(14256), 1,
      sym_operator_identifier,
    STATE(5828), 1,
      sym__soft_identifier,
    STATE(6490), 1,
      sym_identifier,
    STATE(6507), 1,
      sym__type_identifier,
    STATE(12257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560228] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4620), 1,
      sym__alpha_identifier,
    ACTIONS(4632), 1,
      sym__backquoted_id,
    ACTIONS(14258), 1,
      sym_operator_identifier,
    STATE(6294), 1,
      sym__soft_identifier,
    STATE(6665), 1,
      sym__type_identifier,
    STATE(6669), 1,
      sym_identifier,
    STATE(12259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560265] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__alpha_identifier,
    ACTIONS(4428), 1,
      sym__backquoted_id,
    ACTIONS(14260), 1,
      sym_operator_identifier,
    STATE(4556), 1,
      sym__soft_identifier,
    STATE(4654), 1,
      sym__type_identifier,
    STATE(4657), 1,
      sym_identifier,
    STATE(12260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560302] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6644), 1,
      sym__backquoted_id,
    ACTIONS(14262), 1,
      sym_operator_identifier,
    STATE(6194), 1,
      sym__soft_identifier,
    STATE(6989), 1,
      sym_identifier,
    STATE(7242), 1,
      sym__type_identifier,
    STATE(12261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560339] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6814), 1,
      sym__alpha_identifier,
    ACTIONS(6828), 1,
      sym__backquoted_id,
    ACTIONS(14264), 1,
      sym_operator_identifier,
    STATE(9018), 1,
      sym__soft_identifier,
    STATE(9370), 1,
      sym_identifier,
    STATE(9383), 1,
      sym__type_identifier,
    STATE(12262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6824), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560376] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14266), 1,
      sym__alpha_identifier,
    ACTIONS(14268), 1,
      anon_sym_LBRACE,
    ACTIONS(14270), 1,
      anon_sym_LBRACK,
    ACTIONS(14274), 1,
      sym__backquoted_id,
    STATE(9352), 1,
      sym__soft_identifier,
    STATE(9401), 1,
      sym_identifier,
    STATE(12263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14272), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560413] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14266), 1,
      sym__alpha_identifier,
    ACTIONS(14274), 1,
      sym__backquoted_id,
    ACTIONS(14276), 1,
      anon_sym_LBRACE,
    ACTIONS(14278), 1,
      anon_sym_LBRACK,
    STATE(9352), 1,
      sym__soft_identifier,
    STATE(9402), 1,
      sym_identifier,
    STATE(12264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14272), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560450] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      sym__alpha_identifier,
    ACTIONS(4550), 1,
      sym__backquoted_id,
    ACTIONS(14280), 1,
      sym_operator_identifier,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(5051), 1,
      sym_identifier,
    STATE(5056), 1,
      sym__type_identifier,
    STATE(12265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4544), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [560512] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8418), 1,
      sym__alpha_identifier,
    ACTIONS(8426), 1,
      sym__backquoted_id,
    ACTIONS(14282), 1,
      sym_operator_identifier,
    STATE(6057), 1,
      sym_identifier,
    STATE(6069), 1,
      sym__type_identifier,
    STATE(6306), 1,
      sym__soft_identifier,
    STATE(12267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560574] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8871), 1,
      sym__alpha_identifier,
    ACTIONS(8879), 1,
      sym__backquoted_id,
    ACTIONS(14284), 1,
      sym_operator_identifier,
    STATE(6864), 1,
      sym__soft_identifier,
    STATE(7279), 1,
      sym__type_identifier,
    STATE(7316), 1,
      sym_identifier,
    STATE(12269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560611] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6340), 1,
      sym__alpha_identifier,
    ACTIONS(6354), 1,
      sym__backquoted_id,
    ACTIONS(14286), 1,
      sym_operator_identifier,
    STATE(5242), 1,
      sym__soft_identifier,
    STATE(5926), 1,
      sym__type_identifier,
    STATE(5930), 1,
      sym_identifier,
    STATE(12270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560648] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14288), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11364), 1,
      sym_identifier,
    STATE(13908), 1,
      sym__class_constructor,
    STATE(12271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(12272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560739] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12165), 1,
      sym__alpha_identifier,
    ACTIONS(12173), 1,
      sym__backquoted_id,
    ACTIONS(14292), 1,
      sym_operator_identifier,
    STATE(11806), 1,
      sym__soft_identifier,
    STATE(12501), 1,
      sym__type_identifier,
    STATE(12506), 1,
      sym_identifier,
    STATE(12274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12169), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(12275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560805] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    ACTIONS(14294), 1,
      anon_sym_match,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(12276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560861] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(12278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(12279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560946] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      sym__alpha_identifier,
    ACTIONS(6190), 1,
      sym__backquoted_id,
    ACTIONS(14296), 1,
      sym_operator_identifier,
    STATE(6317), 1,
      sym__soft_identifier,
    STATE(6736), 1,
      sym_identifier,
    STATE(6756), 1,
      sym__type_identifier,
    STATE(12281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560983] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    ACTIONS(14294), 1,
      anon_sym_match,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(12282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561014] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12208), 1,
      sym__alpha_identifier,
    ACTIONS(12216), 1,
      sym__backquoted_id,
    ACTIONS(14298), 1,
      sym_operator_identifier,
    STATE(12832), 1,
      sym__soft_identifier,
    STATE(13192), 1,
      sym_identifier,
    STATE(13203), 1,
      sym__type_identifier,
    STATE(12283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561051] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__alpha_identifier,
    ACTIONS(4814), 1,
      sym__backquoted_id,
    ACTIONS(14300), 1,
      sym_operator_identifier,
    STATE(5135), 1,
      sym__soft_identifier,
    STATE(5545), 1,
      sym__type_identifier,
    STATE(5555), 1,
      sym_identifier,
    STATE(12284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4808), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561088] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14302), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11427), 1,
      sym_identifier,
    STATE(14183), 1,
      sym__object_definition,
    STATE(12285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561150] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14304), 1,
      sym__alpha_identifier,
    ACTIONS(14306), 1,
      anon_sym_LBRACE,
    ACTIONS(14308), 1,
      anon_sym_LBRACK,
    ACTIONS(14312), 1,
      sym__backquoted_id,
    STATE(10673), 1,
      sym__soft_identifier,
    STATE(10723), 1,
      sym_identifier,
    STATE(12287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14310), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561237] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14314), 1,
      sym__alpha_identifier,
    ACTIONS(14316), 1,
      anon_sym_LBRACE,
    ACTIONS(14318), 1,
      anon_sym_LBRACK,
    ACTIONS(14322), 1,
      sym__backquoted_id,
    STATE(6707), 1,
      sym_identifier,
    STATE(6823), 1,
      sym__soft_identifier,
    STATE(12290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14320), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561274] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14324), 1,
      anon_sym_COMMA,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(13199), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13201), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [561307] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14328), 1,
      sym__alpha_identifier,
    ACTIONS(14330), 1,
      anon_sym_LBRACE,
    ACTIONS(14332), 1,
      anon_sym_LBRACK,
    ACTIONS(14336), 1,
      sym__backquoted_id,
    STATE(8729), 1,
      sym__soft_identifier,
    STATE(9092), 1,
      sym_identifier,
    STATE(12292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561344] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14338), 1,
      sym__alpha_identifier,
    ACTIONS(14340), 1,
      anon_sym_LBRACE,
    ACTIONS(14342), 1,
      anon_sym_LBRACK,
    ACTIONS(14346), 1,
      sym__backquoted_id,
    STATE(6783), 1,
      sym__soft_identifier,
    STATE(7182), 1,
      sym_identifier,
    STATE(12293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561381] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    STATE(6976), 1,
      sym_type_arguments,
    STATE(12294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561410] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(14350), 1,
      sym_operator_identifier,
    STATE(7023), 1,
      sym__soft_identifier,
    STATE(7575), 1,
      sym_identifier,
    STATE(7588), 1,
      sym__type_identifier,
    STATE(12295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561447] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14352), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(13826), 1,
      sym_identifier,
    STATE(13840), 1,
      sym__namespace_expression,
    STATE(12296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561484] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    STATE(6976), 1,
      sym_type_arguments,
    STATE(12297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561513] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    ACTIONS(14354), 1,
      anon_sym_match,
    STATE(6976), 1,
      sym_type_arguments,
    STATE(12298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561569] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    STATE(6976), 1,
      sym_type_arguments,
    STATE(12300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561598] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14352), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(13826), 1,
      sym_identifier,
    STATE(13837), 1,
      sym__namespace_expression,
    STATE(12301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561635] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    STATE(12307), 1,
      aux_sym_annotation_repeat1,
    STATE(13103), 1,
      sym_arguments,
    STATE(12302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [561666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    STATE(6976), 1,
      sym_type_arguments,
    STATE(12303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561695] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12268), 1,
      sym__alpha_identifier,
    ACTIONS(12276), 1,
      sym__backquoted_id,
    ACTIONS(14356), 1,
      sym_operator_identifier,
    STATE(11061), 1,
      sym__soft_identifier,
    STATE(11257), 1,
      sym_identifier,
    STATE(11262), 1,
      sym__type_identifier,
    STATE(12304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12272), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [561782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14358), 1,
      anon_sym_LPAREN,
    STATE(13103), 1,
      sym_arguments,
    STATE(12307), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [561811] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14361), 1,
      sym__alpha_identifier,
    ACTIONS(14363), 1,
      anon_sym_LBRACE,
    ACTIONS(14365), 1,
      anon_sym_LBRACK,
    ACTIONS(14369), 1,
      sym__backquoted_id,
    STATE(9733), 1,
      sym_identifier,
    STATE(10026), 1,
      sym__soft_identifier,
    STATE(12308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14367), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561848] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    STATE(12315), 1,
      aux_sym_annotation_repeat1,
    STATE(13089), 1,
      sym_arguments,
    STATE(12309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [561879] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6220), 1,
      sym__alpha_identifier,
    ACTIONS(6230), 1,
      sym__backquoted_id,
    ACTIONS(14371), 1,
      sym_operator_identifier,
    STATE(4566), 1,
      sym__soft_identifier,
    STATE(5000), 1,
      sym_identifier,
    STATE(5012), 1,
      sym__type_identifier,
    STATE(12310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561916] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8772), 1,
      sym__alpha_identifier,
    ACTIONS(8780), 1,
      sym__backquoted_id,
    ACTIONS(14373), 1,
      sym_operator_identifier,
    STATE(5094), 1,
      sym_identifier,
    STATE(5106), 1,
      sym__soft_identifier,
    STATE(5200), 1,
      sym__type_identifier,
    STATE(12311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561953] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14096), 1,
      sym__alpha_identifier,
    ACTIONS(14104), 1,
      sym__backquoted_id,
    ACTIONS(14375), 1,
      anon_sym_LBRACE,
    ACTIONS(14377), 1,
      anon_sym_LBRACK,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(6547), 1,
      sym_identifier,
    STATE(12312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    ACTIONS(14354), 1,
      anon_sym_match,
    STATE(6976), 1,
      sym_type_arguments,
    STATE(12313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [562021] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8554), 1,
      sym__alpha_identifier,
    ACTIONS(8562), 1,
      sym__backquoted_id,
    ACTIONS(14379), 1,
      sym_operator_identifier,
    STATE(6524), 1,
      sym__type_identifier,
    STATE(6599), 1,
      sym_identifier,
    STATE(6631), 1,
      sym__soft_identifier,
    STATE(12314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8558), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14381), 1,
      anon_sym_LPAREN,
    STATE(13089), 1,
      sym_arguments,
    STATE(12315), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562087] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      sym__backquoted_id,
    ACTIONS(14384), 1,
      sym_operator_identifier,
    STATE(5248), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym__type_identifier,
    STATE(5891), 1,
      sym_identifier,
    STATE(12316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6266), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562124] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12244), 1,
      sym__alpha_identifier,
    ACTIONS(12252), 1,
      sym__backquoted_id,
    ACTIONS(14386), 1,
      sym_operator_identifier,
    STATE(11887), 1,
      sym__soft_identifier,
    STATE(12476), 1,
      sym__type_identifier,
    STATE(12481), 1,
      sym_identifier,
    STATE(12317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [562236] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4520), 1,
      sym__backquoted_id,
    ACTIONS(14388), 1,
      sym_operator_identifier,
    STATE(5252), 1,
      sym__soft_identifier,
    STATE(5862), 1,
      sym__type_identifier,
    STATE(5869), 1,
      sym_identifier,
    STATE(12321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4514), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562273] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(13485), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_identifier,
    STATE(11865), 1,
      sym__type_identifier,
    STATE(12322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562360] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6114), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      sym__backquoted_id,
    ACTIONS(14390), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__soft_identifier,
    STATE(6154), 1,
      sym_identifier,
    STATE(6161), 1,
      sym__type_identifier,
    STATE(12325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562397] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6546), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      sym__backquoted_id,
    ACTIONS(14392), 1,
      sym_operator_identifier,
    STATE(4625), 1,
      sym__soft_identifier,
    STATE(4871), 1,
      sym__type_identifier,
    STATE(4905), 1,
      sym_identifier,
    STATE(12326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6552), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(12328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562488] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12184), 1,
      sym__alpha_identifier,
    ACTIONS(12192), 1,
      sym__backquoted_id,
    ACTIONS(14394), 1,
      sym_operator_identifier,
    STATE(12402), 1,
      sym__soft_identifier,
    STATE(12686), 1,
      sym__type_identifier,
    STATE(12695), 1,
      sym_identifier,
    STATE(12329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [562550] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(14396), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11481), 1,
      sym_identifier,
    STATE(14024), 1,
      sym__function_constructor,
    STATE(12331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [562612] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12907), 1,
      sym__alpha_identifier,
    ACTIONS(12915), 1,
      sym__backquoted_id,
    ACTIONS(14398), 1,
      sym_operator_identifier,
    STATE(13995), 1,
      sym__soft_identifier,
    STATE(14064), 1,
      sym_identifier,
    STATE(14562), 1,
      sym_simple_enum_case,
    STATE(12333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562649] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(14400), 1,
      sym_operator_identifier,
    STATE(7540), 1,
      sym__soft_identifier,
    STATE(7620), 1,
      sym_identifier,
    STATE(7974), 1,
      sym__type_identifier,
    STATE(12334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [562711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [562736] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(14402), 1,
      sym_operator_identifier,
    STATE(5072), 1,
      sym__soft_identifier,
    STATE(5198), 1,
      sym__type_identifier,
    STATE(5343), 1,
      sym_identifier,
    STATE(12337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562773] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14288), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11364), 1,
      sym_identifier,
    STATE(13974), 1,
      sym__class_constructor,
    STATE(12338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562810] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(14396), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11481), 1,
      sym_identifier,
    STATE(13997), 1,
      sym__function_constructor,
    STATE(12339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(12340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562874] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9318), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_POUND,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    STATE(4309), 1,
      sym_type_arguments,
    STATE(4451), 1,
      sym_arguments,
    STATE(13077), 1,
      aux_sym_annotation_repeat1,
    STATE(12341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [562911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [562936] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14404), 1,
      sym__alpha_identifier,
    ACTIONS(14406), 1,
      anon_sym_LBRACE,
    ACTIONS(14408), 1,
      anon_sym_LBRACK,
    ACTIONS(14412), 1,
      sym__backquoted_id,
    STATE(10358), 1,
      sym__soft_identifier,
    STATE(10371), 1,
      sym_identifier,
    STATE(12343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14410), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [562998] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    STATE(12348), 1,
      aux_sym_annotation_repeat1,
    STATE(13052), 1,
      sym_arguments,
    STATE(12345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [563029] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(14396), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11481), 1,
      sym_identifier,
    STATE(13977), 1,
      sym__function_constructor,
    STATE(12346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563066] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14404), 1,
      sym__alpha_identifier,
    ACTIONS(14412), 1,
      sym__backquoted_id,
    ACTIONS(14414), 1,
      anon_sym_LBRACE,
    ACTIONS(14416), 1,
      anon_sym_LBRACK,
    STATE(10358), 1,
      sym__soft_identifier,
    STATE(10376), 1,
      sym_identifier,
    STATE(12347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14410), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    STATE(13052), 1,
      sym_arguments,
    STATE(12348), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [563132] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14288), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11364), 1,
      sym_identifier,
    STATE(13955), 1,
      sym__class_constructor,
    STATE(12349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563244] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14421), 1,
      anon_sym_match,
    ACTIONS(14423), 1,
      sym_operator_identifier,
    STATE(4214), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563281] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4442), 1,
      sym__alpha_identifier,
    ACTIONS(4454), 1,
      sym__backquoted_id,
    ACTIONS(14425), 1,
      sym_operator_identifier,
    STATE(4632), 1,
      sym__soft_identifier,
    STATE(4774), 1,
      sym_identifier,
    STATE(4792), 1,
      sym__type_identifier,
    STATE(12354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563318] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(14396), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11481), 1,
      sym_identifier,
    STATE(13929), 1,
      sym__function_constructor,
    STATE(12355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563380] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14429), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14427), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [563413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563565] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14432), 1,
      sym__alpha_identifier,
    ACTIONS(14434), 1,
      anon_sym_LBRACE,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    ACTIONS(14440), 1,
      sym__backquoted_id,
    STATE(7424), 1,
      sym_identifier,
    STATE(7805), 1,
      sym__soft_identifier,
    STATE(12364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14438), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563602] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14314), 1,
      sym__alpha_identifier,
    ACTIONS(14322), 1,
      sym__backquoted_id,
    ACTIONS(14442), 1,
      anon_sym_LBRACE,
    ACTIONS(14444), 1,
      anon_sym_LBRACK,
    STATE(6823), 1,
      sym__soft_identifier,
    STATE(7377), 1,
      sym_identifier,
    STATE(12365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14320), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563639] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      sym__backquoted_id,
    ACTIONS(14446), 1,
      sym_operator_identifier,
    STATE(4250), 1,
      sym__type_identifier,
    STATE(9862), 1,
      sym__soft_identifier,
    STATE(10753), 1,
      sym_identifier,
    STATE(12366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563676] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8736), 1,
      sym__alpha_identifier,
    ACTIONS(8744), 1,
      sym__backquoted_id,
    ACTIONS(14448), 1,
      sym_operator_identifier,
    STATE(8889), 1,
      sym__type_identifier,
    STATE(8916), 1,
      sym__soft_identifier,
    STATE(9006), 1,
      sym_identifier,
    STATE(12367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563713] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14450), 1,
      anon_sym_match,
    ACTIONS(14452), 1,
      sym_operator_identifier,
    STATE(4230), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563775] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8434), 1,
      sym__alpha_identifier,
    ACTIONS(8446), 1,
      sym__backquoted_id,
    ACTIONS(14454), 1,
      sym_operator_identifier,
    STATE(4648), 1,
      sym__soft_identifier,
    STATE(4727), 1,
      sym__type_identifier,
    STATE(4755), 1,
      sym_identifier,
    STATE(12370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8442), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563812] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14456), 1,
      sym__alpha_identifier,
    ACTIONS(14458), 1,
      anon_sym_LBRACE,
    ACTIONS(14460), 1,
      anon_sym_LBRACK,
    ACTIONS(14464), 1,
      sym__backquoted_id,
    STATE(6982), 1,
      sym_identifier,
    STATE(7168), 1,
      sym__soft_identifier,
    STATE(12371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563874] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14110), 1,
      sym__alpha_identifier,
    ACTIONS(14118), 1,
      sym__backquoted_id,
    ACTIONS(14466), 1,
      anon_sym_LBRACE,
    ACTIONS(14468), 1,
      anon_sym_LBRACK,
    STATE(8469), 1,
      sym__soft_identifier,
    STATE(8592), 1,
      sym_identifier,
    STATE(12373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14116), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563911] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(14472), 1,
      anon_sym_extends,
    ACTIONS(14474), 1,
      anon_sym_LPAREN,
    STATE(13659), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14354), 1,
      sym_class_parameters,
    STATE(14419), 1,
      sym_extends_clause,
    STATE(14610), 1,
      sym_type_parameters,
    STATE(15409), 1,
      sym__full_enum_def,
    STATE(12374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14470), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [563952] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14478), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14476), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [563985] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14483), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14481), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [564018] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14488), 1,
      sym__automatic_semicolon,
    STATE(12357), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14486), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [564051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [564076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [564101] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14493), 1,
      sym_operator_identifier,
    STATE(4223), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564138] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(14495), 1,
      sym_operator_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11683), 1,
      sym_identifier,
    STATE(14503), 1,
      sym__object_definition,
    STATE(12381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564175] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8484), 1,
      sym__backquoted_id,
    ACTIONS(14497), 1,
      sym_operator_identifier,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(9914), 1,
      sym__type_identifier,
    STATE(10014), 1,
      sym_identifier,
    STATE(12382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [564239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14499), 1,
      anon_sym_DOT,
    STATE(12384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [564266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [564293] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(14501), 1,
      sym_operator_identifier,
    STATE(11758), 1,
      sym__soft_identifier,
    STATE(11851), 1,
      sym__type_identifier,
    STATE(12173), 1,
      sym_identifier,
    STATE(12386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14503), 1,
      anon_sym_catch,
    ACTIONS(14505), 1,
      anon_sym_finally,
    STATE(12320), 1,
      sym_finally_clause,
    STATE(13046), 1,
      sym_catch_clause,
    STATE(12387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [564363] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14452), 1,
      sym_operator_identifier,
    ACTIONS(14507), 1,
      anon_sym_match,
    STATE(4230), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564400] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6472), 1,
      sym__alpha_identifier,
    ACTIONS(6486), 1,
      sym__backquoted_id,
    ACTIONS(14509), 1,
      sym_operator_identifier,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6739), 1,
      sym_identifier,
    STATE(6919), 1,
      sym__type_identifier,
    STATE(12389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564437] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14511), 1,
      sym_operator_identifier,
    STATE(4227), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564474] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12089), 1,
      sym__alpha_identifier,
    ACTIONS(12097), 1,
      sym__backquoted_id,
    ACTIONS(14513), 1,
      sym_operator_identifier,
    STATE(11119), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__type_identifier,
    STATE(11175), 1,
      sym_identifier,
    STATE(12391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12093), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564511] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14515), 1,
      sym__alpha_identifier,
    ACTIONS(14517), 1,
      anon_sym_LBRACE,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14523), 1,
      sym__backquoted_id,
    STATE(7395), 1,
      sym__soft_identifier,
    STATE(7646), 1,
      sym_identifier,
    STATE(12392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14521), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564548] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14515), 1,
      sym__alpha_identifier,
    ACTIONS(14523), 1,
      sym__backquoted_id,
    ACTIONS(14525), 1,
      anon_sym_LBRACE,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    STATE(7395), 1,
      sym__soft_identifier,
    STATE(7638), 1,
      sym_identifier,
    STATE(12393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14521), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564585] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(14529), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(11875), 1,
      sym_identifier,
    STATE(13865), 1,
      sym__function_constructor,
    STATE(12394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564622] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(14531), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(13931), 1,
      sym_identifier,
    STATE(14079), 1,
      sym__namespace_expression,
    STATE(12395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(14531), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(13931), 1,
      sym_identifier,
    STATE(14075), 1,
      sym__namespace_expression,
    STATE(12396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564721] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(14495), 1,
      sym_operator_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11683), 1,
      sym_identifier,
    STATE(14698), 1,
      sym__object_definition,
    STATE(12398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [564783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(12401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [564835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [564860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [564885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14533), 1,
      anon_sym_match,
    ACTIONS(14535), 1,
      sym_operator_identifier,
    STATE(4212), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564947] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      sym__backquoted_id,
    ACTIONS(14537), 1,
      sym_operator_identifier,
    STATE(6692), 1,
      sym__soft_identifier,
    STATE(7412), 1,
      sym__type_identifier,
    STATE(7466), 1,
      sym_identifier,
    STATE(12406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564984] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(14541), 1,
      sym_operator_identifier,
    STATE(4202), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [565046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [565071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [565096] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14543), 1,
      sym_operator_identifier,
    STATE(4234), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [565158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14547), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14545), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [565191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      sym__automatic_semicolon,
    STATE(12375), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14550), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [565224] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14557), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14555), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [565257] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13158), 1,
      sym__automatic_semicolon,
    STATE(12376), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13156), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [565290] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8630), 1,
      sym__alpha_identifier,
    ACTIONS(8638), 1,
      sym__backquoted_id,
    ACTIONS(14560), 1,
      sym_operator_identifier,
    STATE(8293), 1,
      sym__soft_identifier,
    STATE(8324), 1,
      sym__type_identifier,
    STATE(8433), 1,
      sym_identifier,
    STATE(12417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565327] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14562), 1,
      sym_operator_identifier,
    STATE(4239), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565364] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(14529), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(11875), 1,
      sym_identifier,
    STATE(14003), 1,
      sym__function_constructor,
    STATE(12419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565401] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14564), 1,
      anon_sym_catch,
    ACTIONS(14566), 1,
      anon_sym_finally,
    STATE(11699), 1,
      sym_finally_clause,
    STATE(12983), 1,
      sym_catch_clause,
    STATE(12420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [565434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [565459] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14568), 1,
      sym__alpha_identifier,
    ACTIONS(14570), 1,
      anon_sym_LBRACE,
    ACTIONS(14572), 1,
      anon_sym_LBRACK,
    ACTIONS(14576), 1,
      sym__backquoted_id,
    STATE(8271), 1,
      sym_identifier,
    STATE(8537), 1,
      sym__soft_identifier,
    STATE(12422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565496] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14228), 1,
      sym__alpha_identifier,
    ACTIONS(14236), 1,
      sym__backquoted_id,
    ACTIONS(14578), 1,
      anon_sym_LBRACE,
    ACTIONS(14580), 1,
      anon_sym_LBRACK,
    STATE(9469), 1,
      sym_identifier,
    STATE(9669), 1,
      sym__soft_identifier,
    STATE(12423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565583] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12101), 1,
      sym__alpha_identifier,
    ACTIONS(12109), 1,
      sym__backquoted_id,
    ACTIONS(14582), 1,
      sym_operator_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(8279), 1,
      sym_identifier,
    STATE(8423), 1,
      sym__type_identifier,
    STATE(12426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12105), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [565670] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 1,
      sym__outdent,
    ACTIONS(8288), 1,
      anon_sym_case,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(12429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565701] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14584), 1,
      sym_operator_identifier,
    STATE(4180), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565738] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14302), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11427), 1,
      sym_identifier,
    STATE(14222), 1,
      sym__object_definition,
    STATE(12431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(12432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [565804] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(14495), 1,
      sym_operator_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11683), 1,
      sym_identifier,
    STATE(14436), 1,
      sym__object_definition,
    STATE(12433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565841] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4364), 1,
      sym__alpha_identifier,
    ACTIONS(4382), 1,
      sym__backquoted_id,
    ACTIONS(14586), 1,
      sym_operator_identifier,
    STATE(6762), 1,
      sym__soft_identifier,
    STATE(7523), 1,
      sym__type_identifier,
    STATE(7917), 1,
      sym_identifier,
    STATE(12434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565903] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14588), 1,
      sym__alpha_identifier,
    ACTIONS(14590), 1,
      anon_sym_LBRACE,
    ACTIONS(14592), 1,
      anon_sym_LBRACK,
    ACTIONS(14596), 1,
      sym__backquoted_id,
    STATE(8857), 1,
      sym__soft_identifier,
    STATE(9174), 1,
      sym_identifier,
    STATE(12436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565940] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14164), 1,
      sym__alpha_identifier,
    ACTIONS(14172), 1,
      sym__backquoted_id,
    ACTIONS(14598), 1,
      anon_sym_LBRACE,
    ACTIONS(14600), 1,
      anon_sym_LBRACK,
    STATE(8782), 1,
      sym__soft_identifier,
    STATE(9170), 1,
      sym_identifier,
    STATE(12437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566002] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14602), 1,
      anon_sym_match,
    ACTIONS(14604), 1,
      sym_operator_identifier,
    STATE(4181), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566039] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14302), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11427), 1,
      sym_identifier,
    STATE(14963), 1,
      sym__object_definition,
    STATE(12440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566076] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4588), 1,
      sym__alpha_identifier,
    ACTIONS(4606), 1,
      sym__backquoted_id,
    ACTIONS(14606), 1,
      sym_operator_identifier,
    STATE(7771), 1,
      sym__soft_identifier,
    STATE(8141), 1,
      sym_identifier,
    STATE(8250), 1,
      sym__type_identifier,
    STATE(12441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566188] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(13284), 1,
      anon_sym_derives,
    ACTIONS(14608), 1,
      sym__automatic_semicolon,
    STATE(13200), 1,
      sym_derives_clause,
    STATE(14461), 1,
      sym__definition_body,
    STATE(14611), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13745), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [566229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566279] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8722), 1,
      sym__alpha_identifier,
    ACTIONS(8730), 1,
      sym__backquoted_id,
    ACTIONS(14611), 1,
      sym_operator_identifier,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(7291), 1,
      sym__type_identifier,
    STATE(7370), 1,
      sym_identifier,
    STATE(12448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566316] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14613), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11639), 1,
      sym__type_identifier,
    STATE(11718), 1,
      sym_identifier,
    STATE(12449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566353] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(13254), 1,
      sym_operator_identifier,
    ACTIONS(14533), 1,
      anon_sym_match,
    STATE(4232), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566440] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(14615), 1,
      sym_operator_identifier,
    STATE(4190), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566477] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(14531), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(13931), 1,
      sym_identifier,
    STATE(14379), 1,
      sym__namespace_expression,
    STATE(12454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [566566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566591] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8909), 1,
      sym__alpha_identifier,
    ACTIONS(8917), 1,
      sym__backquoted_id,
    ACTIONS(14617), 1,
      sym_operator_identifier,
    STATE(7597), 1,
      sym__type_identifier,
    STATE(7873), 1,
      sym_identifier,
    STATE(8069), 1,
      sym__soft_identifier,
    STATE(12458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8913), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566678] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(13284), 1,
      anon_sym_derives,
    STATE(13215), 1,
      sym_derives_clause,
    STATE(14475), 1,
      sym__definition_body,
    STATE(14611), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13998), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [566717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566742] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13580), 1,
      anon_sym_POUND,
    ACTIONS(13752), 1,
      anon_sym_LPAREN,
    STATE(13329), 1,
      aux_sym_annotation_repeat1,
    STATE(13416), 1,
      sym_type_arguments,
    STATE(13916), 1,
      sym_arguments,
    STATE(12463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [566779] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14619), 1,
      sym_operator_identifier,
    STATE(4189), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566816] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(14623), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14621), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [566849] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4878), 1,
      sym__backquoted_id,
    ACTIONS(14626), 1,
      sym_operator_identifier,
    STATE(6081), 1,
      sym__soft_identifier,
    STATE(7218), 1,
      sym__type_identifier,
    STATE(7237), 1,
      sym_identifier,
    STATE(12466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4872), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566886] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13169), 1,
      sym__automatic_semicolon,
    STATE(12413), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13167), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [566919] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14628), 1,
      anon_sym_with,
    STATE(12878), 1,
      aux_sym_compound_type_repeat1,
    STATE(14249), 1,
      sym_template_body,
    STATE(14250), 1,
      sym__refinement,
    STATE(14348), 1,
      sym_arguments,
    STATE(12468), 2,
      sym_comment,
      sym_block_comment,
    STATE(14178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8156), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [566956] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(14529), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(11875), 1,
      sym_identifier,
    STATE(13874), 1,
      sym__function_constructor,
    STATE(12469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14630), 1,
      anon_sym_DOT,
    STATE(12470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [567020] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_EQ_GT,
    ACTIONS(8290), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(12471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567051] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14632), 1,
      sym_operator_identifier,
    STATE(4205), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567138] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8841), 1,
      sym__alpha_identifier,
    ACTIONS(8849), 1,
      sym__backquoted_id,
    ACTIONS(14634), 1,
      sym_operator_identifier,
    STATE(6115), 1,
      sym__soft_identifier,
    STATE(6291), 1,
      sym__type_identifier,
    STATE(6331), 1,
      sym_identifier,
    STATE(12475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567200] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14636), 1,
      sym__alpha_identifier,
    ACTIONS(14638), 1,
      anon_sym_LBRACE,
    ACTIONS(14640), 1,
      anon_sym_LBRACK,
    ACTIONS(14644), 1,
      sym__backquoted_id,
    STATE(9807), 1,
      sym_identifier,
    STATE(9950), 1,
      sym__soft_identifier,
    STATE(12477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14642), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567287] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14338), 1,
      sym__alpha_identifier,
    ACTIONS(14346), 1,
      sym__backquoted_id,
    ACTIONS(14646), 1,
      anon_sym_LBRACE,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    STATE(6783), 1,
      sym__soft_identifier,
    STATE(6857), 1,
      sym_identifier,
    STATE(12480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567374] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14650), 1,
      anon_sym_catch,
    ACTIONS(14652), 1,
      anon_sym_finally,
    STATE(11699), 1,
      sym_finally_clause,
    STATE(12744), 1,
      sym_catch_clause,
    STATE(12483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [567407] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14654), 1,
      sym__alpha_identifier,
    ACTIONS(14656), 1,
      anon_sym_LBRACE,
    ACTIONS(14658), 1,
      anon_sym_LBRACK,
    ACTIONS(14662), 1,
      sym__backquoted_id,
    STATE(8299), 1,
      sym_identifier,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(12484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567444] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      anon_sym_match,
    ACTIONS(14664), 1,
      sym_operator_identifier,
    STATE(4243), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567481] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14361), 1,
      sym__alpha_identifier,
    ACTIONS(14369), 1,
      sym__backquoted_id,
    ACTIONS(14666), 1,
      anon_sym_LBRACE,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    STATE(9866), 1,
      sym_identifier,
    STATE(10026), 1,
      sym__soft_identifier,
    STATE(12486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14367), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14670), 1,
      anon_sym_LPAREN,
    STATE(13211), 1,
      sym_arguments,
    STATE(12489), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [567597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    ACTIONS(14673), 1,
      anon_sym_match,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(12490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567628] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__alpha_identifier,
    ACTIONS(4304), 1,
      sym__backquoted_id,
    ACTIONS(14675), 1,
      sym_operator_identifier,
    STATE(5428), 1,
      sym__soft_identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5814), 1,
      sym__type_identifier,
    STATE(12491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4298), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567665] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9259), 1,
      anon_sym_LPAREN,
    STATE(12489), 1,
      aux_sym_annotation_repeat1,
    STATE(13211), 1,
      sym_arguments,
    STATE(12492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [567696] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    ACTIONS(14673), 1,
      anon_sym_match,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(12493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567727] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14677), 1,
      anon_sym_match,
    ACTIONS(14679), 1,
      sym_operator_identifier,
    STATE(4213), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567764] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__alpha_identifier,
    ACTIONS(11967), 1,
      sym__backquoted_id,
    ACTIONS(14495), 1,
      sym_operator_identifier,
    STATE(11258), 1,
      sym__soft_identifier,
    STATE(11683), 1,
      sym_identifier,
    STATE(14620), 1,
      sym__object_definition,
    STATE(12495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11963), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567851] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      sym__alpha_identifier,
    ACTIONS(8318), 1,
      sym__backquoted_id,
    ACTIONS(14681), 1,
      sym_operator_identifier,
    STATE(13259), 1,
      sym__soft_identifier,
    STATE(13436), 1,
      sym__type_identifier,
    STATE(13630), 1,
      sym_identifier,
    STATE(12498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567888] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(13254), 1,
      sym_operator_identifier,
    ACTIONS(14683), 1,
      anon_sym_match,
    STATE(4232), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12939), 1,
      sym_arguments,
    STATE(12502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568052] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8704), 1,
      sym__alpha_identifier,
    ACTIONS(8712), 1,
      sym__backquoted_id,
    ACTIONS(14685), 1,
      sym_operator_identifier,
    STATE(6147), 1,
      sym__type_identifier,
    STATE(6180), 1,
      sym__soft_identifier,
    STATE(6187), 1,
      sym_identifier,
    STATE(12505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568114] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14687), 1,
      sym__alpha_identifier,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    ACTIONS(14691), 1,
      anon_sym_LBRACK,
    ACTIONS(14695), 1,
      sym__backquoted_id,
    STATE(9549), 1,
      sym__soft_identifier,
    STATE(9569), 1,
      sym_identifier,
    STATE(12507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14693), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568151] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14328), 1,
      sym__alpha_identifier,
    ACTIONS(14336), 1,
      sym__backquoted_id,
    ACTIONS(14697), 1,
      anon_sym_LBRACE,
    ACTIONS(14699), 1,
      anon_sym_LBRACK,
    STATE(8729), 1,
      sym__soft_identifier,
    STATE(8761), 1,
      sym_identifier,
    STATE(12508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14701), 1,
      anon_sym_LBRACK,
    STATE(13266), 1,
      sym_access_qualifier,
    STATE(12509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9831), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568294] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14533), 1,
      anon_sym_match,
    ACTIONS(14703), 1,
      sym_operator_identifier,
    STATE(4197), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568331] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14533), 1,
      anon_sym_match,
    ACTIONS(14705), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568393] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14533), 1,
      anon_sym_match,
    ACTIONS(14707), 1,
      sym_operator_identifier,
    STATE(4193), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568455] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(14709), 1,
      sym_operator_identifier,
    STATE(7900), 1,
      sym__soft_identifier,
    STATE(8454), 1,
      sym__type_identifier,
    STATE(8644), 1,
      sym_identifier,
    STATE(12518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568492] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14711), 1,
      anon_sym_match,
    ACTIONS(14713), 1,
      sym_operator_identifier,
    STATE(4194), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568554] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14218), 1,
      anon_sym_catch,
    ACTIONS(14715), 1,
      anon_sym_finally,
    STATE(11849), 1,
      sym_finally_clause,
    STATE(13314), 1,
      sym_catch_clause,
    STATE(12521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [568587] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14717), 1,
      sym__alpha_identifier,
    ACTIONS(14719), 1,
      anon_sym_LBRACE,
    ACTIONS(14721), 1,
      anon_sym_LBRACK,
    ACTIONS(14725), 1,
      sym__backquoted_id,
    STATE(8977), 1,
      sym__soft_identifier,
    STATE(9283), 1,
      sym_identifier,
    STATE(12522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14723), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568624] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14727), 1,
      anon_sym_match,
    ACTIONS(14729), 1,
      sym_operator_identifier,
    STATE(4199), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568661] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14456), 1,
      sym__alpha_identifier,
    ACTIONS(14464), 1,
      sym__backquoted_id,
    ACTIONS(14731), 1,
      anon_sym_LBRACE,
    ACTIONS(14733), 1,
      anon_sym_LBRACK,
    STATE(7157), 1,
      sym_identifier,
    STATE(7168), 1,
      sym__soft_identifier,
    STATE(12524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568698] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14735), 1,
      anon_sym_match,
    ACTIONS(14737), 1,
      sym_operator_identifier,
    STATE(4203), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [568785] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6234), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      sym__backquoted_id,
    ACTIONS(14739), 1,
      sym_operator_identifier,
    STATE(8361), 1,
      sym__soft_identifier,
    STATE(9068), 1,
      sym_identifier,
    STATE(9287), 1,
      sym__type_identifier,
    STATE(12528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6240), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568822] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8460), 1,
      sym__alpha_identifier,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(14741), 1,
      sym_operator_identifier,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(8368), 1,
      sym_identifier,
    STATE(8479), 1,
      sym__type_identifier,
    STATE(12529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568859] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(14743), 1,
      sym_operator_identifier,
    STATE(4187), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568896] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14735), 1,
      anon_sym_match,
    ACTIONS(14745), 1,
      sym_operator_identifier,
    STATE(4226), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568933] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12947), 1,
      sym__alpha_identifier,
    ACTIONS(12955), 1,
      sym__backquoted_id,
    ACTIONS(14747), 1,
      sym_operator_identifier,
    STATE(13892), 1,
      sym__soft_identifier,
    STATE(14011), 1,
      sym_identifier,
    STATE(14704), 1,
      sym_simple_enum_case,
    STATE(12532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568970] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(14749), 1,
      sym_operator_identifier,
    STATE(4216), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569007] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      sym__alpha_identifier,
    ACTIONS(8544), 1,
      sym__backquoted_id,
    ACTIONS(14751), 1,
      sym_operator_identifier,
    STATE(4799), 1,
      sym__type_identifier,
    STATE(4873), 1,
      sym_identifier,
    STATE(4926), 1,
      sym__soft_identifier,
    STATE(12534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8540), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569044] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14753), 1,
      anon_sym_match,
    ACTIONS(14755), 1,
      sym_operator_identifier,
    STATE(4207), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10363), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10361), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569108] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14711), 1,
      anon_sym_match,
    ACTIONS(14757), 1,
      sym_operator_identifier,
    STATE(4200), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569145] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      sym__backquoted_id,
    ACTIONS(14759), 1,
      sym_operator_identifier,
    STATE(5804), 1,
      sym__soft_identifier,
    STATE(6038), 1,
      sym_identifier,
    STATE(6087), 1,
      sym__type_identifier,
    STATE(12538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6204), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569182] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14761), 1,
      anon_sym_match,
    ACTIONS(14763), 1,
      sym_operator_identifier,
    STATE(4182), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10386), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10384), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10367), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10365), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569273] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14727), 1,
      anon_sym_match,
    ACTIONS(14765), 1,
      sym_operator_identifier,
    STATE(4186), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569310] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14727), 1,
      anon_sym_match,
    ACTIONS(14767), 1,
      sym_operator_identifier,
    STATE(4188), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569347] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym__alpha_identifier,
    ACTIONS(6424), 1,
      sym__backquoted_id,
    ACTIONS(14769), 1,
      sym_operator_identifier,
    STATE(6254), 1,
      sym__soft_identifier,
    STATE(6808), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__type_identifier,
    STATE(12544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569384] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14727), 1,
      anon_sym_match,
    ACTIONS(14771), 1,
      sym_operator_identifier,
    STATE(4195), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14773), 1,
      anon_sym_DOT,
    STATE(12546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [569448] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14775), 1,
      anon_sym_match,
    ACTIONS(14777), 1,
      sym_operator_identifier,
    STATE(4201), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569485] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14779), 1,
      anon_sym_match,
    ACTIONS(14781), 1,
      sym_operator_identifier,
    STATE(4206), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569522] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14503), 1,
      anon_sym_catch,
    ACTIONS(14783), 1,
      anon_sym_finally,
    STATE(11849), 1,
      sym_finally_clause,
    STATE(13240), 1,
      sym_catch_clause,
    STATE(12549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [569555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_DOT,
    STATE(12550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [569582] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14735), 1,
      anon_sym_match,
    ACTIONS(14787), 1,
      sym_operator_identifier,
    STATE(4218), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569619] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14789), 1,
      anon_sym_match,
    ACTIONS(14791), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569656] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(14793), 1,
      anon_sym_extends,
    ACTIONS(14795), 1,
      anon_sym_LPAREN,
    STATE(13648), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14297), 1,
      sym_class_parameters,
    STATE(14476), 1,
      sym_type_parameters,
    STATE(14590), 1,
      sym_extends_clause,
    STATE(15601), 1,
      sym__full_enum_def,
    STATE(12553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14470), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [569697] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      sym__backquoted_id,
    ACTIONS(14797), 1,
      sym_operator_identifier,
    STATE(5004), 1,
      sym__soft_identifier,
    STATE(5302), 1,
      sym_identifier,
    STATE(5324), 1,
      sym__type_identifier,
    STATE(12554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569734] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14636), 1,
      sym__alpha_identifier,
    ACTIONS(14644), 1,
      sym__backquoted_id,
    ACTIONS(14799), 1,
      anon_sym_LBRACE,
    ACTIONS(14801), 1,
      anon_sym_LBRACK,
    STATE(9924), 1,
      sym_identifier,
    STATE(9950), 1,
      sym__soft_identifier,
    STATE(12555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14642), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569771] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14568), 1,
      sym__alpha_identifier,
    ACTIONS(14576), 1,
      sym__backquoted_id,
    ACTIONS(14803), 1,
      anon_sym_LBRACE,
    ACTIONS(14805), 1,
      anon_sym_LBRACK,
    STATE(8348), 1,
      sym_identifier,
    STATE(8537), 1,
      sym__soft_identifier,
    STATE(12556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569808] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14779), 1,
      anon_sym_match,
    ACTIONS(14807), 1,
      sym_operator_identifier,
    STATE(4242), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569845] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(14396), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11481), 1,
      sym_identifier,
    STATE(14044), 1,
      sym__function_constructor,
    STATE(12558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569882] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14302), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11427), 1,
      sym_identifier,
    STATE(14320), 1,
      sym__object_definition,
    STATE(12559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569919] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14735), 1,
      anon_sym_match,
    ACTIONS(14809), 1,
      sym_operator_identifier,
    STATE(4240), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569956] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14789), 1,
      anon_sym_match,
    ACTIONS(14811), 1,
      sym_operator_identifier,
    STATE(4238), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569993] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14813), 1,
      anon_sym_match,
    ACTIONS(14815), 1,
      sym_operator_identifier,
    STATE(4237), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11251), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11249), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570057] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4484), 1,
      sym__backquoted_id,
    ACTIONS(14817), 1,
      sym_operator_identifier,
    STATE(4518), 1,
      sym__soft_identifier,
    STATE(4624), 1,
      sym_identifier,
    STATE(4643), 1,
      sym__type_identifier,
    STATE(12564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570094] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14753), 1,
      anon_sym_match,
    ACTIONS(14819), 1,
      sym_operator_identifier,
    STATE(4235), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [570156] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14288), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11364), 1,
      sym_identifier,
    STATE(14005), 1,
      sym__class_constructor,
    STATE(12567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570193] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14821), 1,
      anon_sym_match,
    ACTIONS(14823), 1,
      sym_operator_identifier,
    STATE(4233), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570230] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__alpha_identifier,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(14825), 1,
      sym_operator_identifier,
    STATE(4969), 1,
      sym__soft_identifier,
    STATE(5148), 1,
      sym_identifier,
    STATE(5313), 1,
      sym__type_identifier,
    STATE(12569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570267] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14827), 1,
      sym__alpha_identifier,
    ACTIONS(14829), 1,
      anon_sym_LBRACE,
    ACTIONS(14831), 1,
      anon_sym_LBRACK,
    ACTIONS(14835), 1,
      sym__backquoted_id,
    STATE(8495), 1,
      sym__soft_identifier,
    STATE(8711), 1,
      sym_identifier,
    STATE(12570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570304] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14837), 1,
      anon_sym_match,
    ACTIONS(14839), 1,
      sym_operator_identifier,
    STATE(4236), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570341] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(14843), 1,
      sym__automatic_semicolon,
    STATE(12630), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(12572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14841), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [570376] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12226), 1,
      sym__alpha_identifier,
    ACTIONS(12234), 1,
      sym__backquoted_id,
    ACTIONS(14845), 1,
      sym_operator_identifier,
    STATE(10719), 1,
      sym__soft_identifier,
    STATE(11056), 1,
      sym_identifier,
    STATE(11063), 1,
      sym__type_identifier,
    STATE(12573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570413] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14761), 1,
      anon_sym_match,
    ACTIONS(14847), 1,
      sym_operator_identifier,
    STATE(4225), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570500] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14779), 1,
      anon_sym_match,
    ACTIONS(14849), 1,
      sym_operator_identifier,
    STATE(4219), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570537] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14851), 1,
      sym__alpha_identifier,
    ACTIONS(14853), 1,
      anon_sym_LBRACE,
    ACTIONS(14855), 1,
      anon_sym_LBRACK,
    ACTIONS(14859), 1,
      sym__backquoted_id,
    STATE(6276), 1,
      sym__soft_identifier,
    STATE(6636), 1,
      sym_identifier,
    STATE(12578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570574] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14432), 1,
      sym__alpha_identifier,
    ACTIONS(14440), 1,
      sym__backquoted_id,
    ACTIONS(14861), 1,
      anon_sym_LBRACE,
    ACTIONS(14863), 1,
      anon_sym_LBRACK,
    STATE(7389), 1,
      sym_identifier,
    STATE(7805), 1,
      sym__soft_identifier,
    STATE(12579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14438), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570636] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8817), 1,
      sym__alpha_identifier,
    ACTIONS(8829), 1,
      sym__backquoted_id,
    ACTIONS(14865), 1,
      sym_operator_identifier,
    STATE(5275), 1,
      sym__soft_identifier,
    STATE(5374), 1,
      sym_identifier,
    STATE(5397), 1,
      sym__type_identifier,
    STATE(12581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570698] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14789), 1,
      anon_sym_match,
    ACTIONS(14867), 1,
      sym_operator_identifier,
    STATE(4217), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570735] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14869), 1,
      sym__alpha_identifier,
    ACTIONS(14871), 1,
      anon_sym_LBRACE,
    ACTIONS(14873), 1,
      anon_sym_LBRACK,
    ACTIONS(14877), 1,
      sym__backquoted_id,
    STATE(7495), 1,
      sym_identifier,
    STATE(7824), 1,
      sym__soft_identifier,
    STATE(12584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(12585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570826] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14779), 1,
      anon_sym_match,
    ACTIONS(14879), 1,
      sym_operator_identifier,
    STATE(4210), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570863] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14789), 1,
      anon_sym_match,
    ACTIONS(14881), 1,
      sym_operator_identifier,
    STATE(4198), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [570927] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14813), 1,
      anon_sym_match,
    ACTIONS(14883), 1,
      sym_operator_identifier,
    STATE(4208), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(12591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570993] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14821), 1,
      anon_sym_match,
    ACTIONS(14885), 1,
      sym_operator_identifier,
    STATE(4192), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571030] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6456), 1,
      sym__backquoted_id,
    ACTIONS(14887), 1,
      sym_operator_identifier,
    STATE(6375), 1,
      sym__soft_identifier,
    STATE(6678), 1,
      sym__type_identifier,
    STATE(7358), 1,
      sym_identifier,
    STATE(12593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6452), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [571092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [571117] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14889), 1,
      anon_sym_match,
    ACTIONS(14891), 1,
      sym_operator_identifier,
    STATE(4221), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571154] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14837), 1,
      anon_sym_match,
    ACTIONS(14893), 1,
      sym_operator_identifier,
    STATE(4220), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571191] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14851), 1,
      sym__alpha_identifier,
    ACTIONS(14859), 1,
      sym__backquoted_id,
    ACTIONS(14895), 1,
      anon_sym_LBRACE,
    ACTIONS(14897), 1,
      anon_sym_LBRACK,
    STATE(6243), 1,
      sym_identifier,
    STATE(6276), 1,
      sym__soft_identifier,
    STATE(12598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571228] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14304), 1,
      sym__alpha_identifier,
    ACTIONS(14312), 1,
      sym__backquoted_id,
    ACTIONS(14899), 1,
      anon_sym_LBRACE,
    ACTIONS(14901), 1,
      anon_sym_LBRACK,
    STATE(10673), 1,
      sym__soft_identifier,
    STATE(10866), 1,
      sym_identifier,
    STATE(12599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14310), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571265] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4186), 1,
      sym__alpha_identifier,
    ACTIONS(4204), 1,
      sym__backquoted_id,
    ACTIONS(14903), 1,
      sym_operator_identifier,
    STATE(6408), 1,
      sym__soft_identifier,
    STATE(6971), 1,
      sym_identifier,
    STATE(7066), 1,
      sym__type_identifier,
    STATE(12600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4198), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571302] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14654), 1,
      sym__alpha_identifier,
    ACTIONS(14662), 1,
      sym__backquoted_id,
    ACTIONS(14905), 1,
      anon_sym_LBRACE,
    ACTIONS(14907), 1,
      anon_sym_LBRACK,
    STATE(8208), 1,
      sym_identifier,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(12601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571339] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14352), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(13826), 1,
      sym_identifier,
    STATE(14095), 1,
      sym__namespace_expression,
    STATE(12602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571376] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13297), 1,
      anon_sym_LT_COLON,
    ACTIONS(13299), 1,
      anon_sym_GT_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(13076), 1,
      sym_lower_bound,
    STATE(13744), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13745), 1,
      sym_upper_bound,
    STATE(14381), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(14909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(12603), 2,
      sym_comment,
      sym_block_comment,
  [571421] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14911), 1,
      anon_sym_match,
    ACTIONS(14913), 1,
      sym_operator_identifier,
    STATE(4191), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571458] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14915), 1,
      anon_sym_match,
    ACTIONS(14917), 1,
      sym_operator_identifier,
    STATE(4222), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571495] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14915), 1,
      anon_sym_match,
    ACTIONS(14919), 1,
      sym_operator_identifier,
    STATE(4224), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571532] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14921), 1,
      anon_sym_match,
    ACTIONS(14923), 1,
      sym_operator_identifier,
    STATE(4228), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571569] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14925), 1,
      anon_sym_match,
    ACTIONS(14927), 1,
      sym_operator_identifier,
    STATE(4215), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14931), 1,
      anon_sym_LPAREN,
    ACTIONS(14934), 1,
      sym__automatic_semicolon,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(12609), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14929), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [571637] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14889), 1,
      anon_sym_match,
    ACTIONS(14937), 1,
      sym_operator_identifier,
    STATE(4211), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14911), 1,
      anon_sym_match,
    ACTIONS(14939), 1,
      sym_operator_identifier,
    STATE(4209), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571711] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6294), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      sym__backquoted_id,
    ACTIONS(14941), 1,
      sym_operator_identifier,
    STATE(7214), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_identifier,
    STATE(7948), 1,
      sym__type_identifier,
    STATE(12612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6300), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571748] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14915), 1,
      anon_sym_match,
    ACTIONS(14943), 1,
      sym_operator_identifier,
    STATE(4183), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571785] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(14396), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(11481), 1,
      sym_identifier,
    STATE(14120), 1,
      sym__function_constructor,
    STATE(12614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571822] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14915), 1,
      anon_sym_match,
    ACTIONS(14945), 1,
      sym_operator_identifier,
    STATE(4184), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571859] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      sym__alpha_identifier,
    ACTIONS(8388), 1,
      sym__backquoted_id,
    ACTIONS(14947), 1,
      sym_operator_identifier,
    STATE(11143), 1,
      sym__soft_identifier,
    STATE(11540), 1,
      sym_identifier,
    STATE(11703), 1,
      sym__type_identifier,
    STATE(12616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571896] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14925), 1,
      anon_sym_match,
    ACTIONS(14949), 1,
      sym_operator_identifier,
    STATE(4196), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571933] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14951), 1,
      anon_sym_match,
    ACTIONS(14953), 1,
      sym_operator_identifier,
    STATE(4204), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14955), 1,
      anon_sym_STAR,
    STATE(12619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [571997] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(14951), 1,
      anon_sym_match,
    ACTIONS(14957), 1,
      sym_operator_identifier,
    STATE(4231), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572034] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      sym__alpha_identifier,
    ACTIONS(10577), 1,
      sym__backquoted_id,
    ACTIONS(13254), 1,
      sym_operator_identifier,
    ACTIONS(14421), 1,
      anon_sym_match,
    STATE(4232), 1,
      sym_identifier,
    STATE(9440), 1,
      sym__soft_identifier,
    STATE(12621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572071] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14687), 1,
      sym__alpha_identifier,
    ACTIONS(14695), 1,
      sym__backquoted_id,
    ACTIONS(14959), 1,
      anon_sym_LBRACE,
    ACTIONS(14961), 1,
      anon_sym_LBRACK,
    STATE(9549), 1,
      sym__soft_identifier,
    STATE(9553), 1,
      sym_identifier,
    STATE(12622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14693), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572133] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14827), 1,
      sym__alpha_identifier,
    ACTIONS(14835), 1,
      sym__backquoted_id,
    ACTIONS(14963), 1,
      anon_sym_LBRACE,
    ACTIONS(14965), 1,
      anon_sym_LBRACK,
    STATE(8353), 1,
      sym_identifier,
    STATE(8495), 1,
      sym__soft_identifier,
    STATE(12624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572170] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      sym__alpha_identifier,
    ACTIONS(12048), 1,
      sym__backquoted_id,
    ACTIONS(14302), 1,
      sym_operator_identifier,
    STATE(11076), 1,
      sym__soft_identifier,
    STATE(11427), 1,
      sym_identifier,
    STATE(14401), 1,
      sym__object_definition,
    STATE(12625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(12626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572263] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(14969), 1,
      sym__automatic_semicolon,
    STATE(12630), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(12628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [572298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14971), 1,
      anon_sym_STAR,
    STATE(12629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572325] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14975), 1,
      anon_sym_LPAREN,
    ACTIONS(14978), 1,
      sym__automatic_semicolon,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(12630), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(14973), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [572358] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(14981), 1,
      sym_operator_identifier,
    STATE(4250), 1,
      sym__type_identifier,
    STATE(9630), 1,
      sym__soft_identifier,
    STATE(10527), 1,
      sym_identifier,
    STATE(12631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572395] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      sym__alpha_identifier,
    ACTIONS(7346), 1,
      sym__backquoted_id,
    ACTIONS(14983), 1,
      sym_operator_identifier,
    STATE(11172), 1,
      sym__soft_identifier,
    STATE(11507), 1,
      sym__type_identifier,
    STATE(11733), 1,
      sym_identifier,
    STATE(12632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572432] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6274), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      sym__backquoted_id,
    ACTIONS(14985), 1,
      sym_operator_identifier,
    STATE(7779), 1,
      sym__soft_identifier,
    STATE(8200), 1,
      sym__type_identifier,
    STATE(8242), 1,
      sym_identifier,
    STATE(12633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572469] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12022), 1,
      sym__alpha_identifier,
    ACTIONS(12030), 1,
      sym__backquoted_id,
    ACTIONS(13656), 1,
      sym_operator_identifier,
    STATE(10986), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(13631), 1,
      sym__type_identifier,
    STATE(12634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572506] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(14989), 1,
      sym__automatic_semicolon,
    STATE(12572), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(12635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14987), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [572541] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14869), 1,
      sym__alpha_identifier,
    ACTIONS(14877), 1,
      sym__backquoted_id,
    ACTIONS(14991), 1,
      anon_sym_LBRACE,
    ACTIONS(14993), 1,
      anon_sym_LBRACK,
    STATE(7824), 1,
      sym__soft_identifier,
    STATE(7972), 1,
      sym_identifier,
    STATE(12636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572578] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14717), 1,
      sym__alpha_identifier,
    ACTIONS(14725), 1,
      sym__backquoted_id,
    ACTIONS(14995), 1,
      anon_sym_LBRACE,
    ACTIONS(14997), 1,
      anon_sym_LBRACK,
    STATE(8977), 1,
      sym__soft_identifier,
    STATE(9084), 1,
      sym_identifier,
    STATE(12637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14723), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572615] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14588), 1,
      sym__alpha_identifier,
    ACTIONS(14596), 1,
      sym__backquoted_id,
    ACTIONS(14999), 1,
      anon_sym_LBRACE,
    ACTIONS(15001), 1,
      anon_sym_LBRACK,
    STATE(8857), 1,
      sym__soft_identifier,
    STATE(9138), 1,
      sym_identifier,
    STATE(12638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572652] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      sym__alpha_identifier,
    ACTIONS(14182), 1,
      sym__backquoted_id,
    ACTIONS(15003), 1,
      anon_sym_LBRACE,
    ACTIONS(15005), 1,
      anon_sym_LBRACK,
    STATE(5717), 1,
      sym_identifier,
    STATE(5934), 1,
      sym__soft_identifier,
    STATE(12639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12638), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572833] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15007), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16091), 1,
      sym_identifier,
    STATE(12646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572867] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15009), 1,
      anon_sym_LPAREN,
    ACTIONS(15012), 1,
      sym__automatic_semicolon,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym_parameters,
    STATE(12647), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(14973), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [572899] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14588), 1,
      sym__alpha_identifier,
    ACTIONS(14596), 1,
      sym__backquoted_id,
    ACTIONS(15015), 1,
      sym_operator_identifier,
    STATE(8857), 1,
      sym__soft_identifier,
    STATE(9050), 1,
      sym_identifier,
    STATE(12648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(12651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [573007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [573031] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14096), 1,
      sym__alpha_identifier,
    ACTIONS(14104), 1,
      sym__backquoted_id,
    ACTIONS(15017), 1,
      sym_operator_identifier,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(6469), 1,
      sym_identifier,
    STATE(12653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573089] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15019), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16119), 1,
      sym_identifier,
    STATE(12655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [573171] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(15023), 1,
      sym__automatic_semicolon,
    STATE(14236), 1,
      sym_template_body,
    STATE(14360), 1,
      sym__definition_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15021), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [573207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573231] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15026), 1,
      anon_sym_catch,
    ACTIONS(15028), 1,
      anon_sym_finally,
    STATE(13395), 1,
      sym_finally_clause,
    STATE(13592), 1,
      sym_catch_clause,
    STATE(12660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [573263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [573335] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14869), 1,
      sym__alpha_identifier,
    ACTIONS(14877), 1,
      sym__backquoted_id,
    ACTIONS(15030), 1,
      sym_operator_identifier,
    STATE(7824), 1,
      sym__soft_identifier,
    STATE(8008), 1,
      sym_identifier,
    STATE(12664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14875), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573441] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(9721), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15915), 1,
      sym_identifier,
    STATE(12668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573523] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(15032), 1,
      sym_operator_identifier,
    STATE(4520), 1,
      sym__soft_identifier,
    STATE(13577), 1,
      sym_identifier,
    STATE(12671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [573653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573677] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15034), 1,
      anon_sym_catch,
    ACTIONS(15036), 1,
      anon_sym_finally,
    STATE(12848), 1,
      sym_finally_clause,
    STATE(13212), 1,
      sym_catch_clause,
    STATE(12677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [573709] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15038), 1,
      anon_sym_catch,
    ACTIONS(15040), 1,
      anon_sym_finally,
    STATE(11699), 1,
      sym_finally_clause,
    STATE(13064), 1,
      sym_catch_clause,
    STATE(12678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [573741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [573933] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(12687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15042), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [573963] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15044), 1,
      anon_sym_catch,
    ACTIONS(15046), 1,
      anon_sym_finally,
    STATE(12679), 1,
      sym_finally_clause,
    STATE(13618), 1,
      sym_catch_clause,
    STATE(12688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [574019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [574043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [574067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [574091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [574163] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14110), 1,
      sym__alpha_identifier,
    ACTIONS(14118), 1,
      sym__backquoted_id,
    ACTIONS(15048), 1,
      sym_operator_identifier,
    STATE(8181), 1,
      sym_identifier,
    STATE(8469), 1,
      sym__soft_identifier,
    STATE(12696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14116), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574197] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15050), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15926), 1,
      sym_identifier,
    STATE(12697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574231] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(15050), 1,
      sym_operator_identifier,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14447), 1,
      sym_identifier,
    STATE(12698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574265] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15052), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15877), 1,
      sym_identifier,
    STATE(12699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [574323] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15054), 1,
      anon_sym_end,
    STATE(8367), 1,
      sym__end_marker,
    STATE(12701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [574351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [574375] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(15056), 1,
      anon_sym_case,
    ACTIONS(15058), 1,
      anon_sym_object,
    ACTIONS(15060), 1,
      anon_sym_given,
    ACTIONS(15062), 1,
      anon_sym_class,
    ACTIONS(15064), 1,
      anon_sym_trait,
    ACTIONS(15066), 1,
      anon_sym_val,
    ACTIONS(15068), 1,
      anon_sym_var,
    ACTIONS(15070), 1,
      anon_sym_type,
    ACTIONS(15072), 1,
      anon_sym_def,
    STATE(16801), 1,
      sym_opaque_modifier,
    STATE(12703), 2,
      sym_comment,
      sym_block_comment,
  [574419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [574491] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15074), 1,
      anon_sym_catch,
    ACTIONS(15076), 1,
      anon_sym_finally,
    STATE(13176), 1,
      sym_catch_clause,
    STATE(13222), 1,
      sym_finally_clause,
    STATE(12707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [574523] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14568), 1,
      sym__alpha_identifier,
    ACTIONS(14576), 1,
      sym__backquoted_id,
    ACTIONS(15078), 1,
      sym_operator_identifier,
    STATE(8346), 1,
      sym_identifier,
    STATE(8537), 1,
      sym__soft_identifier,
    STATE(12708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574557] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8108), 1,
      anon_sym_case,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8112), 1,
      anon_sym_given,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8118), 1,
      anon_sym_type,
    ACTIONS(8120), 1,
      anon_sym_def,
    STATE(16819), 1,
      sym_opaque_modifier,
    STATE(12709), 2,
      sym_comment,
      sym_block_comment,
  [574601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [574625] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(15066), 1,
      anon_sym_val,
    ACTIONS(15068), 1,
      anon_sym_var,
    ACTIONS(15080), 1,
      anon_sym_case,
    ACTIONS(15082), 1,
      anon_sym_object,
    ACTIONS(15084), 1,
      anon_sym_given,
    ACTIONS(15086), 1,
      anon_sym_class,
    ACTIONS(15088), 1,
      anon_sym_trait,
    ACTIONS(15090), 1,
      anon_sym_type,
    ACTIONS(15092), 1,
      anon_sym_def,
    STATE(16821), 1,
      sym_opaque_modifier,
    STATE(12711), 2,
      sym_comment,
      sym_block_comment,
  [574669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [574717] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14338), 1,
      sym__alpha_identifier,
    ACTIONS(14346), 1,
      sym__backquoted_id,
    ACTIONS(15094), 1,
      sym_operator_identifier,
    STATE(6783), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_identifier,
    STATE(12714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [574799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11251), 1,
      sym__backquoted_id,
    STATE(12717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11249), 10,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [574825] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    ACTIONS(15096), 1,
      sym__automatic_semicolon,
    STATE(12861), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym_parameters,
    STATE(12718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14987), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [574859] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8056), 1,
      anon_sym_case,
    ACTIONS(8058), 1,
      anon_sym_object,
    ACTIONS(8060), 1,
      anon_sym_given,
    ACTIONS(8062), 1,
      anon_sym_class,
    ACTIONS(8064), 1,
      anon_sym_trait,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8070), 1,
      anon_sym_type,
    ACTIONS(8072), 1,
      anon_sym_def,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    STATE(16696), 1,
      sym_opaque_modifier,
    STATE(12719), 2,
      sym_comment,
      sym_block_comment,
  [574903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [574927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_EQ_GT,
    ACTIONS(8292), 1,
      sym__backquoted_id,
    STATE(12721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [574955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574979] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13547), 1,
      anon_sym_LBRACK,
    ACTIONS(15100), 1,
      anon_sym_LT_COLON,
    ACTIONS(15102), 1,
      anon_sym_GT_COLON,
    STATE(13469), 1,
      sym_type_parameters,
    STATE(13834), 1,
      sym_lower_bound,
    STATE(14331), 1,
      sym_upper_bound,
    STATE(12723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15098), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [575015] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15104), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16038), 1,
      sym_identifier,
    STATE(12724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [575073] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14086), 1,
      sym__alpha_identifier,
    ACTIONS(14094), 1,
      sym__backquoted_id,
    ACTIONS(15106), 1,
      sym_operator_identifier,
    STATE(9432), 1,
      sym_identifier,
    STATE(9667), 1,
      sym__soft_identifier,
    STATE(12726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14092), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [575131] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    ACTIONS(15108), 1,
      sym__automatic_semicolon,
    STATE(12647), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym_parameters,
    STATE(12728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [575165] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14827), 1,
      sym__alpha_identifier,
    ACTIONS(14835), 1,
      sym__backquoted_id,
    ACTIONS(15110), 1,
      sym_operator_identifier,
    STATE(8127), 1,
      sym_identifier,
    STATE(8495), 1,
      sym__soft_identifier,
    STATE(12729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575199] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(12923), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16840), 1,
      sym_identifier,
    STATE(12730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575233] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15112), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16011), 1,
      sym_identifier,
    STATE(12731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575267] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15114), 1,
      anon_sym_catch,
    ACTIONS(15116), 1,
      anon_sym_finally,
    STATE(11915), 1,
      sym_finally_clause,
    STATE(13282), 1,
      sym_catch_clause,
    STATE(12732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [575323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [575371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [575395] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14456), 1,
      sym__alpha_identifier,
    ACTIONS(14464), 1,
      sym__backquoted_id,
    ACTIONS(15118), 1,
      sym_operator_identifier,
    STATE(6940), 1,
      sym_identifier,
    STATE(7168), 1,
      sym__soft_identifier,
    STATE(12737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575453] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15120), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16071), 1,
      sym_identifier,
    STATE(12739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575511] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(8946), 1,
      sym_operator_identifier,
    STATE(14441), 1,
      sym_identifier,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(12741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [575569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575593] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14652), 1,
      anon_sym_finally,
    STATE(11662), 1,
      sym_finally_clause,
    STATE(12744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [575621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [575645] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13765), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13766), 1,
      sym_access_modifier,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13156), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [575681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [575705] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15122), 1,
      anon_sym_catch,
    ACTIONS(15124), 1,
      anon_sym_finally,
    STATE(13489), 1,
      sym_catch_clause,
    STATE(13778), 1,
      sym_finally_clause,
    STATE(12748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [575737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [575761] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14164), 1,
      sym__alpha_identifier,
    ACTIONS(14172), 1,
      sym__backquoted_id,
    ACTIONS(15126), 1,
      sym_operator_identifier,
    STATE(8782), 1,
      sym__soft_identifier,
    STATE(9113), 1,
      sym_identifier,
    STATE(12750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13171), 1,
      sym_arguments,
    STATE(12751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575821] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15128), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16120), 1,
      sym_identifier,
    STATE(12752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [575879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(12754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [575931] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13866), 1,
      aux_sym_compound_type_repeat1,
    STATE(14089), 1,
      sym__refinement,
    STATE(14105), 1,
      sym_template_body,
    STATE(12756), 2,
      sym_comment,
      sym_block_comment,
    STATE(14070), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [575963] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    ACTIONS(15134), 1,
      anon_sym_match,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(12757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [575993] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    ACTIONS(15139), 1,
      sym__automatic_semicolon,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12758), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14929), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [576023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [576047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(12760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [576075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(12761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [576103] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14304), 1,
      sym__alpha_identifier,
    ACTIONS(14312), 1,
      sym__backquoted_id,
    ACTIONS(15142), 1,
      sym_operator_identifier,
    STATE(10673), 1,
      sym__soft_identifier,
    STATE(10776), 1,
      sym_identifier,
    STATE(12762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14310), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576137] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15144), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15960), 1,
      sym_identifier,
    STATE(12763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576171] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    STATE(14236), 1,
      sym_template_body,
    STATE(14392), 1,
      sym__definition_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15146), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [576205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [576253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_end,
    STATE(8187), 1,
      sym__end_marker,
    STATE(12767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [576281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [576305] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15150), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15892), 1,
      sym_identifier,
    STATE(12769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576339] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15152), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15860), 1,
      sym_identifier,
    STATE(12770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [576421] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    ACTIONS(15134), 1,
      anon_sym_match,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(12773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [576451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [576477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [576501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [576525] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15154), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15862), 1,
      sym_identifier,
    STATE(12777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576559] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15156), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15943), 1,
      sym_identifier,
    STATE(12778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [576665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15158), 1,
      sym__automatic_semicolon,
    STATE(12758), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14427), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [576721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576745] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    STATE(14236), 1,
      sym_template_body,
    STATE(14306), 1,
      sym__definition_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15161), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [576779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [576803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12677), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576899] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15163), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15990), 1,
      sym_identifier,
    STATE(12791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [576981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(12795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [577059] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15165), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16060), 1,
      sym_identifier,
    STATE(12797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577189] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      sym__alpha_identifier,
    ACTIONS(12137), 1,
      sym__backquoted_id,
    ACTIONS(15032), 1,
      sym_operator_identifier,
    STATE(10060), 1,
      sym__soft_identifier,
    STATE(13577), 1,
      sym_identifier,
    STATE(12802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8050), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577223] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15167), 1,
      anon_sym_catch,
    ACTIONS(15169), 1,
      anon_sym_finally,
    STATE(11915), 1,
      sym_finally_clause,
    STATE(13191), 1,
      sym_catch_clause,
    STATE(12803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [577255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577279] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15171), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16461), 1,
      sym_identifier,
    STATE(12805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577361] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15173), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16045), 1,
      sym_identifier,
    STATE(12808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577443] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15175), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16146), 1,
      sym_identifier,
    STATE(12811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15177), 1,
      sym__automatic_semicolon,
    STATE(12758), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14476), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [577509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15180), 1,
      anon_sym_STAR,
    STATE(12813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577535] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      sym__alpha_identifier,
    ACTIONS(14182), 1,
      sym__backquoted_id,
    ACTIONS(15182), 1,
      sym_operator_identifier,
    STATE(5720), 1,
      sym_identifier,
    STATE(5934), 1,
      sym__soft_identifier,
    STATE(12814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577617] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      sym__automatic_semicolon,
    STATE(12758), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14481), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [577649] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15187), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16123), 1,
      sym_identifier,
    STATE(12818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577707] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14851), 1,
      sym__alpha_identifier,
    ACTIONS(14859), 1,
      sym__backquoted_id,
    ACTIONS(15189), 1,
      sym_operator_identifier,
    STATE(6276), 1,
      sym__soft_identifier,
    STATE(6587), 1,
      sym_identifier,
    STATE(12820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577741] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15191), 1,
      sym__automatic_semicolon,
    STATE(12783), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14486), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [577773] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14314), 1,
      sym__alpha_identifier,
    ACTIONS(14322), 1,
      sym__backquoted_id,
    ACTIONS(15194), 1,
      sym_operator_identifier,
    STATE(6755), 1,
      sym_identifier,
    STATE(6823), 1,
      sym__soft_identifier,
    STATE(12822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14320), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577807] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    ACTIONS(15198), 1,
      sym__automatic_semicolon,
    STATE(14236), 1,
      sym_template_body,
    STATE(14353), 1,
      sym__definition_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15196), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [577843] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15201), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15975), 1,
      sym_identifier,
    STATE(12824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577877] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14654), 1,
      sym__alpha_identifier,
    ACTIONS(14662), 1,
      sym__backquoted_id,
    ACTIONS(15203), 1,
      sym_operator_identifier,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(8636), 1,
      sym_identifier,
    STATE(12825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577911] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15205), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16102), 1,
      sym_identifier,
    STATE(12826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [577969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [578017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [578065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [578089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [578113] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14266), 1,
      sym__alpha_identifier,
    ACTIONS(14274), 1,
      sym__backquoted_id,
    ACTIONS(15207), 1,
      sym_operator_identifier,
    STATE(9352), 1,
      sym__soft_identifier,
    STATE(9365), 1,
      sym_identifier,
    STATE(12834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14272), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578171] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14228), 1,
      sym__alpha_identifier,
    ACTIONS(14236), 1,
      sym__backquoted_id,
    ACTIONS(15209), 1,
      sym_operator_identifier,
    STATE(9669), 1,
      sym__soft_identifier,
    STATE(9687), 1,
      sym_identifier,
    STATE(12836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15211), 1,
      anon_sym_DOT,
    STATE(12837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [578231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [578279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [578303] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15213), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16077), 1,
      sym_identifier,
    STATE(12841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578337] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15219), 1,
      anon_sym_if,
    ACTIONS(15221), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(14072), 1,
      sym_guard,
    STATE(12842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15215), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [578371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [578395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [578419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578443] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(10023), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15927), 1,
      sym_identifier,
    STATE(12846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [578501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [578549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [578573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [578621] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    STATE(12855), 1,
      aux_sym_annotation_repeat1,
    STATE(13324), 1,
      sym_arguments,
    STATE(12853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [578651] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(12854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [578679] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15223), 1,
      anon_sym_LPAREN,
    STATE(13324), 1,
      sym_arguments,
    STATE(12855), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [578707] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15226), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16097), 1,
      sym_identifier,
    STATE(12856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578765] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15228), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16131), 1,
      sym_identifier,
    STATE(12858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578799] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8056), 1,
      anon_sym_case,
    ACTIONS(8058), 1,
      anon_sym_object,
    ACTIONS(8062), 1,
      anon_sym_class,
    ACTIONS(8064), 1,
      anon_sym_trait,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8070), 1,
      anon_sym_type,
    ACTIONS(8072), 1,
      anon_sym_def,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8190), 1,
      anon_sym_given,
    STATE(16696), 1,
      sym_opaque_modifier,
    STATE(12859), 2,
      sym_comment,
      sym_block_comment,
  [578843] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15230), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16125), 1,
      sym_identifier,
    STATE(12860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578877] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    ACTIONS(15232), 1,
      sym__automatic_semicolon,
    STATE(12647), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym_parameters,
    STATE(12861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14841), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [578911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15234), 1,
      anon_sym_DOT,
    STATE(12862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [578937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [578985] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15122), 1,
      anon_sym_catch,
    ACTIONS(15236), 1,
      anon_sym_finally,
    STATE(13327), 1,
      sym_catch_clause,
    STATE(13345), 1,
      sym_finally_clause,
    STATE(12865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579041] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(9886), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15912), 1,
      sym_identifier,
    STATE(12867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [579099] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15238), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15874), 1,
      sym_identifier,
    STATE(12869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579133] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15240), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16025), 1,
      sym_identifier,
    STATE(12870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579215] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13638), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13658), 1,
      sym_access_modifier,
    ACTIONS(12451), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13167), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [579251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15242), 1,
      anon_sym_DOT,
    STATE(12875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [579303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13208), 1,
      sym_arguments,
    STATE(12876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579329] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15244), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16126), 1,
      sym_identifier,
    STATE(12877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579363] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14628), 1,
      anon_sym_with,
    STATE(13866), 1,
      aux_sym_compound_type_repeat1,
    STATE(14249), 1,
      sym_template_body,
    STATE(14258), 1,
      sym__refinement,
    STATE(12878), 2,
      sym_comment,
      sym_block_comment,
    STATE(14178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [579397] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15246), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15985), 1,
      sym_identifier,
    STATE(12879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579431] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15248), 1,
      anon_sym_catch,
    ACTIONS(15250), 1,
      anon_sym_finally,
    STATE(12679), 1,
      sym_finally_clause,
    STATE(13491), 1,
      sym_catch_clause,
    STATE(12880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [579463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579487] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(15252), 1,
      anon_sym_LT_COLON,
    ACTIONS(15254), 1,
      anon_sym_GT_COLON,
    STATE(13367), 1,
      sym_type_parameters,
    STATE(13862), 1,
      sym_lower_bound,
    STATE(14078), 1,
      sym_upper_bound,
    STATE(12882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15098), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [579523] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(12883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15256), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [579553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [579577] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(12885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15258), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [579607] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8108), 1,
      anon_sym_case,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8192), 1,
      anon_sym_given,
    ACTIONS(8194), 1,
      anon_sym_type,
    ACTIONS(8196), 1,
      anon_sym_def,
    STATE(17256), 1,
      sym_opaque_modifier,
    STATE(12886), 2,
      sym_comment,
      sym_block_comment,
  [579651] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15260), 1,
      anon_sym_end,
    STATE(8102), 1,
      sym__end_marker,
    STATE(12887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [579679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [579703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [579753] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(12891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [579805] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15262), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15967), 1,
      sym_identifier,
    STATE(12893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579863] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(15056), 1,
      anon_sym_case,
    ACTIONS(15058), 1,
      anon_sym_object,
    ACTIONS(15062), 1,
      anon_sym_class,
    ACTIONS(15064), 1,
      anon_sym_trait,
    ACTIONS(15066), 1,
      anon_sym_val,
    ACTIONS(15068), 1,
      anon_sym_var,
    ACTIONS(15264), 1,
      anon_sym_given,
    ACTIONS(15266), 1,
      anon_sym_type,
    ACTIONS(15268), 1,
      anon_sym_def,
    STATE(16978), 1,
      sym_opaque_modifier,
    STATE(12895), 2,
      sym_comment,
      sym_block_comment,
  [579907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579931] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15270), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16094), 1,
      sym_identifier,
    STATE(12897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579965] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14432), 1,
      sym__alpha_identifier,
    ACTIONS(14440), 1,
      sym__backquoted_id,
    ACTIONS(15272), 1,
      sym_operator_identifier,
    STATE(7535), 1,
      sym_identifier,
    STATE(7805), 1,
      sym__soft_identifier,
    STATE(12898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14438), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579999] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14687), 1,
      sym__alpha_identifier,
    ACTIONS(14695), 1,
      sym__backquoted_id,
    ACTIONS(15274), 1,
      sym_operator_identifier,
    STATE(9519), 1,
      sym_identifier,
    STATE(9549), 1,
      sym__soft_identifier,
    STATE(12899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14693), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580033] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15276), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15941), 1,
      sym_identifier,
    STATE(12900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580091] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(9850), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16121), 1,
      sym_identifier,
    STATE(12902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580125] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15278), 1,
      anon_sym_LPAREN,
    STATE(13464), 1,
      sym_arguments,
    STATE(12903), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13702), 1,
      anon_sym_COMMA,
    STATE(12984), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(12904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580181] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13704), 1,
      anon_sym_with,
    STATE(12989), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580233] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15283), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15920), 1,
      sym_identifier,
    STATE(12907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [580291] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15285), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16057), 1,
      sym_identifier,
    STATE(12909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [580349] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15287), 1,
      anon_sym_catch,
    ACTIONS(15289), 1,
      anon_sym_finally,
    STATE(13524), 1,
      sym_catch_clause,
    STATE(13778), 1,
      sym_finally_clause,
    STATE(12911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580457] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14636), 1,
      sym__alpha_identifier,
    ACTIONS(14644), 1,
      sym__backquoted_id,
    ACTIONS(15291), 1,
      sym_operator_identifier,
    STATE(9949), 1,
      sym_identifier,
    STATE(9950), 1,
      sym__soft_identifier,
    STATE(12915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14642), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580491] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15293), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15904), 1,
      sym_identifier,
    STATE(12916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [580549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15295), 1,
      anon_sym_STAR,
    STATE(12919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580623] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14404), 1,
      sym__alpha_identifier,
    ACTIONS(14412), 1,
      sym__backquoted_id,
    ACTIONS(15297), 1,
      sym_operator_identifier,
    STATE(10216), 1,
      sym_identifier,
    STATE(10358), 1,
      sym__soft_identifier,
    STATE(12921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14410), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580705] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14515), 1,
      sym__alpha_identifier,
    ACTIONS(14523), 1,
      sym__backquoted_id,
    ACTIONS(15299), 1,
      sym_operator_identifier,
    STATE(7395), 1,
      sym__soft_identifier,
    STATE(7763), 1,
      sym_identifier,
    STATE(12924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14521), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [580787] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15301), 1,
      sym__automatic_semicolon,
    STATE(12758), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14545), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [580819] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(15066), 1,
      anon_sym_val,
    ACTIONS(15068), 1,
      anon_sym_var,
    ACTIONS(15080), 1,
      anon_sym_case,
    ACTIONS(15082), 1,
      anon_sym_object,
    ACTIONS(15086), 1,
      anon_sym_class,
    ACTIONS(15088), 1,
      anon_sym_trait,
    ACTIONS(15090), 1,
      anon_sym_type,
    ACTIONS(15092), 1,
      anon_sym_def,
    ACTIONS(15304), 1,
      anon_sym_given,
    STATE(16821), 1,
      sym_opaque_modifier,
    STATE(12928), 2,
      sym_comment,
      sym_block_comment,
  [580863] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15306), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15891), 1,
      sym_identifier,
    STATE(12929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [580921] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15248), 1,
      anon_sym_catch,
    ACTIONS(15308), 1,
      anon_sym_finally,
    STATE(12397), 1,
      sym_finally_clause,
    STATE(13388), 1,
      sym_catch_clause,
    STATE(12931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [580953] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(15310), 1,
      sym_operator_identifier,
    STATE(5512), 1,
      sym__soft_identifier,
    STATE(14088), 1,
      sym_identifier,
    STATE(12932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [581035] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15312), 1,
      sym__automatic_semicolon,
    STATE(12812), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14550), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [581067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581091] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15315), 1,
      sym__automatic_semicolon,
    STATE(12758), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14555), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [581123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [581171] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(13431), 1,
      sym__automatic_semicolon,
    STATE(12817), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(12940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13156), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [581203] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15318), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15867), 1,
      sym_identifier,
    STATE(12941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581261] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(15320), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__soft_identifier,
    STATE(17359), 1,
      sym_identifier,
    STATE(12943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581295] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15221), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(12944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [581325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [581373] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(13764), 1,
      sym_operator_identifier,
    STATE(14418), 1,
      sym_identifier,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(12947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581407] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(12948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [581459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581483] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15322), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16019), 1,
      sym_identifier,
    STATE(12951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581517] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15324), 1,
      anon_sym_catch,
    ACTIONS(15326), 1,
      anon_sym_finally,
    STATE(13222), 1,
      sym_finally_clause,
    STATE(13255), 1,
      sym_catch_clause,
    STATE(12952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581549] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15328), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15863), 1,
      sym_identifier,
    STATE(12953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581635] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15330), 1,
      anon_sym_catch,
    ACTIONS(15332), 1,
      anon_sym_finally,
    STATE(11849), 1,
      sym_finally_clause,
    STATE(13370), 1,
      sym_catch_clause,
    STATE(12956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15026), 1,
      anon_sym_catch,
    ACTIONS(15334), 1,
      anon_sym_finally,
    STATE(13083), 1,
      sym_finally_clause,
    STATE(13427), 1,
      sym_catch_clause,
    STATE(12957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [581699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(12958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581725] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15221), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(12959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [581755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581779] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15336), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16043), 1,
      sym_identifier,
    STATE(12961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581837] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(15338), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__soft_identifier,
    STATE(17078), 1,
      sym_identifier,
    STATE(12963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [581895] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15340), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15914), 1,
      sym_identifier,
    STATE(12965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581955] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    STATE(12903), 1,
      aux_sym_annotation_repeat1,
    STATE(13464), 1,
      sym_arguments,
    STATE(12967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581985] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15342), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15949), 1,
      sym_identifier,
    STATE(12968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12669), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582043] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15330), 1,
      anon_sym_catch,
    ACTIONS(15344), 1,
      anon_sym_finally,
    STATE(12320), 1,
      sym_finally_clause,
    STATE(13480), 1,
      sym_catch_clause,
    STATE(12970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [582075] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15346), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15989), 1,
      sym_identifier,
    STATE(12971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(12972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [582137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [582161] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(12974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [582189] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15348), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15929), 1,
      sym_identifier,
    STATE(12975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(12976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [582251] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15044), 1,
      anon_sym_catch,
    ACTIONS(15350), 1,
      anon_sym_finally,
    STATE(12397), 1,
      sym_finally_clause,
    STATE(13596), 1,
      sym_catch_clause,
    STATE(12977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [582283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(12978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [582311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15352), 1,
      anon_sym_with,
    STATE(12979), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582337] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15355), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16032), 1,
      sym_identifier,
    STATE(12980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582371] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15287), 1,
      anon_sym_catch,
    ACTIONS(15357), 1,
      anon_sym_finally,
    STATE(13345), 1,
      sym_finally_clause,
    STATE(13528), 1,
      sym_catch_clause,
    STATE(12981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [582403] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14717), 1,
      sym__alpha_identifier,
    ACTIONS(14725), 1,
      sym__backquoted_id,
    ACTIONS(15359), 1,
      sym_operator_identifier,
    STATE(8760), 1,
      sym_identifier,
    STATE(8977), 1,
      sym__soft_identifier,
    STATE(12982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14723), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_finally,
    STATE(11662), 1,
      sym_finally_clause,
    STATE(12983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [582465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15363), 1,
      anon_sym_COMMA,
    STATE(12984), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15361), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582491] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    ACTIONS(15366), 1,
      anon_sym_match,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(12985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12630), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [582569] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15368), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15901), 1,
      sym_identifier,
    STATE(12988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15372), 1,
      anon_sym_with,
    STATE(12989), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15370), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582629] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14361), 1,
      sym__alpha_identifier,
    ACTIONS(14369), 1,
      sym__backquoted_id,
    ACTIONS(15375), 1,
      sym_operator_identifier,
    STATE(9749), 1,
      sym_identifier,
    STATE(10026), 1,
      sym__soft_identifier,
    STATE(12990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14367), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582663] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(15056), 1,
      anon_sym_case,
    ACTIONS(15058), 1,
      anon_sym_object,
    ACTIONS(15062), 1,
      anon_sym_class,
    ACTIONS(15064), 1,
      anon_sym_trait,
    ACTIONS(15066), 1,
      anon_sym_val,
    ACTIONS(15068), 1,
      anon_sym_var,
    ACTIONS(15070), 1,
      anon_sym_type,
    ACTIONS(15072), 1,
      anon_sym_def,
    ACTIONS(15377), 1,
      anon_sym_given,
    STATE(16801), 1,
      sym_opaque_modifier,
    STATE(12991), 2,
      sym_comment,
      sym_block_comment,
  [582707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [582731] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14328), 1,
      sym__alpha_identifier,
    ACTIONS(14336), 1,
      sym__backquoted_id,
    ACTIONS(15379), 1,
      sym_operator_identifier,
    STATE(8729), 1,
      sym__soft_identifier,
    STATE(8811), 1,
      sym_identifier,
    STATE(12993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582765] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    ACTIONS(15381), 1,
      sym_operator_identifier,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(14679), 1,
      sym_identifier,
    STATE(12994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582799] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15383), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16073), 1,
      sym_identifier,
    STATE(12995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582833] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15385), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15876), 1,
      sym_identifier,
    STATE(12996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582891] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(15387), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__soft_identifier,
    STATE(16769), 1,
      sym_identifier,
    STATE(12998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582925] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    STATE(13022), 1,
      aux_sym_annotation_repeat1,
    STATE(13536), 1,
      sym_arguments,
    STATE(12999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582979] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15389), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15999), 1,
      sym_identifier,
    STATE(13001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583013] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(10005), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15934), 1,
      sym_identifier,
    STATE(13002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [583095] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15391), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15959), 1,
      sym_identifier,
    STATE(13005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583129] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8066), 1,
      anon_sym_val,
    ACTIONS(8068), 1,
      anon_sym_var,
    ACTIONS(8074), 1,
      anon_sym_opaque,
    ACTIONS(8108), 1,
      anon_sym_case,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8114), 1,
      anon_sym_class,
    ACTIONS(8116), 1,
      anon_sym_trait,
    ACTIONS(8118), 1,
      anon_sym_type,
    ACTIONS(8120), 1,
      anon_sym_def,
    ACTIONS(8212), 1,
      anon_sym_given,
    STATE(16819), 1,
      sym_opaque_modifier,
    STATE(13006), 2,
      sym_comment,
      sym_block_comment,
  [583173] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15393), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(15977), 1,
      sym_identifier,
    STATE(13007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [583231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [583255] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(13010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583283] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(13011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15395), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [583313] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15397), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16054), 1,
      sym_identifier,
    STATE(13012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583347] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(13013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583375] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    ACTIONS(15366), 1,
      anon_sym_match,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(13014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583405] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      sym__backquoted_id,
    ACTIONS(15399), 1,
      sym_operator_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(16107), 1,
      sym_identifier,
    STATE(13015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9717), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [583463] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(15401), 1,
      sym__automatic_semicolon,
    STATE(12758), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(13017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14621), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [583495] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_LPAREN,
    ACTIONS(13423), 1,
      sym__automatic_semicolon,
    STATE(12927), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13348), 1,
      sym_class_parameters,
    STATE(13018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13167), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [583527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    STATE(13527), 1,
      sym_access_qualifier,
    STATE(13019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9831), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [583579] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15219), 1,
      anon_sym_if,
    ACTIONS(15221), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(14022), 1,
      sym_guard,
    STATE(13021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15406), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [583613] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15408), 1,
      anon_sym_LPAREN,
    STATE(13536), 1,
      sym_arguments,
    STATE(13022), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(13023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [583669] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15411), 1,
      anon_sym_end,
    STATE(8563), 1,
      sym__end_marker,
    STATE(13024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [583697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    ACTIONS(15415), 1,
      anon_sym_match,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(13025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [583726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12677), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [583795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15417), 1,
      anon_sym_DOT,
    STATE(13029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [583820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [583866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [583889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [583958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [583981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [584027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [584050] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      sym__alpha_identifier,
    ACTIONS(8102), 1,
      sym__backquoted_id,
    STATE(14442), 1,
      sym__soft_identifier,
    STATE(15132), 1,
      sym_identifier,
    STATE(13040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [584173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14505), 1,
      anon_sym_finally,
    STATE(12351), 1,
      sym_finally_clause,
    STATE(13046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [584223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [584269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15419), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15422), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15424), 1,
      anon_sym_STAR,
    STATE(13057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [584595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15040), 1,
      anon_sym_finally,
    STATE(11662), 1,
      sym_finally_clause,
    STATE(13064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [584645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15426), 1,
      anon_sym_catch,
    ACTIONS(15428), 1,
      anon_sym_finally,
    STATE(13433), 1,
      sym_catch_clause,
    STATE(13610), 1,
      sym_finally_clause,
    STATE(13066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [584699] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15430), 1,
      anon_sym_catch,
    ACTIONS(15432), 1,
      anon_sym_finally,
    STATE(12397), 1,
      sym_finally_clause,
    STATE(13749), 1,
      sym_catch_clause,
    STATE(13067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [584730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15434), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584753] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(13069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [584828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [584851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15438), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [584897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [584920] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13297), 1,
      anon_sym_LT_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(13636), 1,
      sym_upper_bound,
    STATE(13657), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14269), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13076), 2,
      sym_comment,
      sym_block_comment,
  [584959] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    STATE(4451), 1,
      sym_arguments,
    STATE(13081), 1,
      aux_sym_annotation_repeat1,
    STATE(13077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [584988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [585011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [585057] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11931), 1,
      anon_sym_LPAREN,
    STATE(4451), 1,
      sym_arguments,
    STATE(13081), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [585084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [585153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585199] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13833), 1,
      sym_parameters,
    STATE(13087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15395), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [585251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585297] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    ACTIONS(15442), 1,
      anon_sym_match,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(13091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(13094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12638), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12630), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(13098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [585495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585518] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15446), 1,
      anon_sym_catch,
    ACTIONS(15448), 1,
      anon_sym_finally,
    STATE(13635), 1,
      sym_finally_clause,
    STATE(13722), 1,
      sym_catch_clause,
    STATE(13100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [585549] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(15450), 1,
      anon_sym_LT_COLON,
    ACTIONS(15452), 1,
      anon_sym_GT_COLON,
    STATE(13752), 1,
      sym_type_parameters,
    STATE(14077), 1,
      sym_lower_bound,
    STATE(14078), 1,
      sym_upper_bound,
    STATE(13101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15098), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15454), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15456), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(13107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [585910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585933] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    ACTIONS(15461), 1,
      anon_sym_match,
    STATE(8405), 1,
      sym_type_arguments,
    STATE(13117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [586031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15463), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15466), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12669), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [586261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [586330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586401] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14220), 1,
      anon_sym_finally,
    STATE(12351), 1,
      sym_finally_clause,
    STATE(13137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [586428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [586453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(13139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [586480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586503] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(13141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [586530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [586622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [586645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15468), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15471), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [586808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15473), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15475), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [587038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10788), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15478), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13833), 1,
      sym_parameters,
    STATE(13166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15258), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587159] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13833), 1,
      sym_parameters,
    STATE(13169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15256), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15076), 1,
      anon_sym_finally,
    STATE(13172), 1,
      sym_finally_clause,
    STATE(13176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [587353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [587376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10096), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [587401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587470] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15480), 1,
      anon_sym_LBRACK,
    ACTIONS(15482), 1,
      anon_sym_LPAREN,
    ACTIONS(15484), 1,
      anon_sym_POUND,
    STATE(13957), 1,
      sym_type_arguments,
    STATE(13992), 1,
      aux_sym_annotation_repeat1,
    STATE(14313), 1,
      sym_arguments,
    STATE(13182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [587505] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(13183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [587532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(13184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [587699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15169), 1,
      anon_sym_finally,
    STATE(12088), 1,
      sym_finally_clause,
    STATE(13191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
  [587726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [587749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [587772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [587795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587843] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    ACTIONS(15442), 1,
      anon_sym_match,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(13197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [587872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587895] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14324), 1,
      anon_sym_COMMA,
    STATE(13214), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587922] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(15486), 1,
      sym__automatic_semicolon,
    STATE(14481), 1,
      sym__definition_body,
    STATE(14611), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15196), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [587957] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(13219), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [588122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [588214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15036), 1,
      anon_sym_finally,
    STATE(12715), 1,
      sym_finally_clause,
    STATE(13212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
  [588241] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13297), 1,
      anon_sym_LT_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(13738), 1,
      sym_upper_bound,
    STATE(13739), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14380), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13213), 2,
      sym_comment,
      sym_block_comment,
  [588280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15491), 1,
      anon_sym_COMMA,
    STATE(13214), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15361), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588305] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    STATE(14500), 1,
      sym__definition_body,
    STATE(14611), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15146), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [588338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    STATE(8405), 1,
      sym_type_arguments,
    STATE(13218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [588411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15494), 1,
      anon_sym_with,
    STATE(13219), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15370), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [588459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    STATE(8405), 1,
      sym_type_arguments,
    STATE(13221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [588486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588532] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15497), 1,
      anon_sym_catch,
    ACTIONS(15499), 1,
      anon_sym_finally,
    STATE(13351), 1,
      sym_catch_clause,
    STATE(13610), 1,
      sym_finally_clause,
    STATE(13224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588563] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12596), 1,
      anon_sym_LPAREN,
    STATE(13663), 1,
      sym_arguments,
    STATE(13225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [588590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15503), 1,
      anon_sym_end,
    STATE(8908), 1,
      sym__end_marker,
    STATE(13226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [588686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [588732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588755] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15505), 1,
      anon_sym_catch,
    ACTIONS(15507), 1,
      anon_sym_finally,
    STATE(13771), 1,
      sym_catch_clause,
    STATE(13932), 1,
      sym_finally_clause,
    STATE(13233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [588786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15511), 1,
      anon_sym_SEMI,
    ACTIONS(15514), 1,
      anon_sym_else,
    STATE(13234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [588836] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15521), 1,
      anon_sym_SEMI,
    ACTIONS(15524), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588865] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15480), 1,
      anon_sym_LBRACK,
    ACTIONS(15484), 1,
      anon_sym_POUND,
    ACTIONS(15526), 1,
      anon_sym_AT,
    STATE(13957), 1,
      sym_type_arguments,
    STATE(13986), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14344), 1,
      sym_annotation,
    STATE(13237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [588900] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15528), 1,
      anon_sym_catch,
    ACTIONS(15530), 1,
      anon_sym_finally,
    STATE(11699), 1,
      sym_finally_clause,
    STATE(13465), 1,
      sym_catch_clause,
    STATE(13238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [588931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [588956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14783), 1,
      anon_sym_finally,
    STATE(12008), 1,
      sym_finally_clause,
    STATE(13240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [588983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15532), 1,
      anon_sym_SEMI,
    ACTIONS(15535), 1,
      anon_sym_else,
    STATE(13241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [589010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589056] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15538), 1,
      anon_sym_SEMI,
    ACTIONS(15541), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [589085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    STATE(8405), 1,
      sym_type_arguments,
    STATE(13245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15544), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14929), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589227] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15546), 1,
      anon_sym_catch,
    ACTIONS(15548), 1,
      anon_sym_finally,
    STATE(12320), 1,
      sym_finally_clause,
    STATE(13715), 1,
      sym_catch_clause,
    STATE(13251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [589258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    ACTIONS(15461), 1,
      anon_sym_match,
    STATE(8405), 1,
      sym_type_arguments,
    STATE(13252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [589310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589333] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15326), 1,
      anon_sym_finally,
    STATE(13172), 1,
      sym_finally_clause,
    STATE(13255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [589360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [589385] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15550), 1,
      anon_sym_catch,
    ACTIONS(15552), 1,
      anon_sym_finally,
    STATE(11915), 1,
      sym_finally_clause,
    STATE(13396), 1,
      sym_catch_clause,
    STATE(13257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [589416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(13258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [589466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(13260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589493] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15554), 1,
      anon_sym_end,
    STATE(9289), 1,
      sym__end_marker,
    STATE(13261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [589520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13553), 1,
      sym_arguments,
    STATE(13265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10956), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    ACTIONS(15415), 1,
      anon_sym_match,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(13267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589666] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13833), 1,
      sym_parameters,
    STATE(13268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15042), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589695] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_match,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(13269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [589724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [589747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(13274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    STATE(8405), 1,
      sym_type_arguments,
    STATE(13275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [589893] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(13277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [589920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15558), 1,
      anon_sym_STAR,
    STATE(13278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [589968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [589991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [590014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15116), 1,
      anon_sym_finally,
    STATE(12088), 1,
      sym_finally_clause,
    STATE(13282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [590041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(13283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [590068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15560), 1,
      anon_sym_STAR,
    STATE(13284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15562), 1,
      anon_sym_end,
    STATE(9186), 1,
      sym__end_marker,
    STATE(13285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [590120] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_match,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(13286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [590149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [590172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15564), 1,
      anon_sym_SEMI,
    ACTIONS(15567), 1,
      anon_sym_else,
    STATE(13288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [590199] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15569), 1,
      anon_sym_SEMI,
    ACTIONS(15572), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [590228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15446), 1,
      anon_sym_catch,
    ACTIONS(15574), 1,
      anon_sym_finally,
    STATE(13774), 1,
      sym_catch_clause,
    STATE(13932), 1,
      sym_finally_clause,
    STATE(13290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [590259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15576), 1,
      anon_sym_SEMI,
    ACTIONS(15579), 1,
      anon_sym_else,
    STATE(13291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [590286] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15582), 1,
      anon_sym_SEMI,
    ACTIONS(15585), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [590315] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15546), 1,
      anon_sym_catch,
    ACTIONS(15588), 1,
      anon_sym_finally,
    STATE(11849), 1,
      sym_finally_clause,
    STATE(13669), 1,
      sym_catch_clause,
    STATE(13293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [590346] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    STATE(14474), 1,
      sym__definition_body,
    STATE(14611), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15161), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [590379] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15505), 1,
      anon_sym_catch,
    ACTIONS(15590), 1,
      anon_sym_finally,
    STATE(13635), 1,
      sym_finally_clause,
    STATE(13691), 1,
      sym_catch_clause,
    STATE(13295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [590410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(13296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [590437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15592), 1,
      anon_sym_LPAREN,
    STATE(13817), 1,
      sym_arguments,
    STATE(13299), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [590510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590533] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(13301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [590652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [590675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [590698] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15430), 1,
      anon_sym_catch,
    ACTIONS(15595), 1,
      anon_sym_finally,
    STATE(12679), 1,
      sym_finally_clause,
    STATE(13777), 1,
      sym_catch_clause,
    STATE(13308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [590729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [590752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [590775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [590798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(13312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15597), 1,
      anon_sym_STAR,
    STATE(13313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [590850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14715), 1,
      anon_sym_finally,
    STATE(12008), 1,
      sym_finally_clause,
    STATE(13314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [590877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590923] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    STATE(13299), 1,
      aux_sym_annotation_repeat1,
    STATE(13817), 1,
      sym_arguments,
    STATE(13317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [590952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [590975] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    ACTIONS(15599), 1,
      sym__automatic_semicolon,
    STATE(14458), 1,
      sym__definition_body,
    STATE(14611), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15021), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [591010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15602), 1,
      anon_sym_DOT,
    STATE(13320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [591057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [591081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15604), 1,
      anon_sym_SEMI,
    ACTIONS(15607), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [591109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
  [591131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [591153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(13326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15236), 1,
      anon_sym_finally,
    STATE(13572), 1,
      sym_finally_clause,
    STATE(13327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591227] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13752), 1,
      anon_sym_LPAREN,
    STATE(13495), 1,
      aux_sym_annotation_repeat1,
    STATE(13916), 1,
      sym_arguments,
    STATE(13329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [591255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [591299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12665), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591479] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15612), 1,
      anon_sym_SEMI,
    ACTIONS(15615), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [591507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591553] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12837), 1,
      anon_sym_COLON,
    STATE(14355), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(16065), 1,
      sym_template_body,
    ACTIONS(8250), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(13343), 2,
      sym_comment,
      sym_block_comment,
    STATE(16141), 2,
      sym__indented_template_body,
      sym__braced_template_body,
  [591587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [591609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [591631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [591675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15473), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15499), 1,
      anon_sym_finally,
    STATE(13507), 1,
      sym_finally_clause,
    STATE(13351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [591767] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(13352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [591793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [591925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    STATE(13359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591971] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15624), 1,
      anon_sym_catch,
    ACTIONS(15626), 1,
      anon_sym_finally,
    STATE(11915), 1,
      sym_finally_clause,
    STATE(13735), 1,
      sym_catch_clause,
    STATE(13361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [592001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [592045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10788), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [592113] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15252), 1,
      anon_sym_LT_COLON,
    ACTIONS(15254), 1,
      anon_sym_GT_COLON,
    STATE(13975), 1,
      sym_lower_bound,
    STATE(14160), 1,
      sym_upper_bound,
    STATE(13367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15628), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [592143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15630), 1,
      anon_sym_SEMI,
    ACTIONS(15633), 1,
      anon_sym_else,
    STATE(13368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [592169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592191] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15332), 1,
      anon_sym_finally,
    STATE(12008), 1,
      sym_finally_clause,
    STATE(13370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [592239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [592261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [592349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(13378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [592397] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15636), 1,
      anon_sym_SEMI,
    ACTIONS(15639), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [592425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15642), 1,
      anon_sym_SEMI,
    ACTIONS(15645), 1,
      anon_sym_else,
    STATE(13380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [592451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15648), 1,
      anon_sym_with,
    STATE(13382), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592519] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15651), 1,
      anon_sym_catch,
    ACTIONS(15653), 1,
      anon_sym_finally,
    STATE(12397), 1,
      sym_finally_clause,
    STATE(13873), 1,
      sym_catch_clause,
    STATE(13384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [592549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(13385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [592575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15655), 1,
      anon_sym_SEMI,
    ACTIONS(15658), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [592625] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15308), 1,
      anon_sym_finally,
    STATE(12288), 1,
      sym_finally_clause,
    STATE(13388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [592651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592673] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15660), 1,
      anon_sym_SEMI,
    ACTIONS(15663), 1,
      anon_sym_else,
    STATE(13390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [592699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [592721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_LBRACK,
    STATE(9083), 1,
      sym_type_arguments,
    STATE(13392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [592769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [592793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15552), 1,
      anon_sym_finally,
    STATE(12088), 1,
      sym_finally_clause,
    STATE(13396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [592841] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12622), 1,
      anon_sym_LPAREN,
    STATE(13881), 1,
      sym_arguments,
    STATE(13397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [592867] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15667), 1,
      anon_sym_SEMI,
    ACTIONS(15670), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [592895] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15673), 1,
      anon_sym_SEMI,
    ACTIONS(15676), 1,
      anon_sym_else,
    STATE(13399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [592921] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15679), 1,
      anon_sym_end,
    STATE(9485), 1,
      sym__end_marker,
    STATE(13400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [592947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [592971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15681), 1,
      anon_sym_SEMI,
    ACTIONS(15684), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [592999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593021] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_catch,
    ACTIONS(15688), 1,
      anon_sym_finally,
    STATE(13914), 1,
      sym_catch_clause,
    STATE(13921), 1,
      sym_finally_clause,
    STATE(13404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [593051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15690), 1,
      anon_sym_STAR,
    STATE(13405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [593097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [593141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [593185] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15692), 1,
      anon_sym_catch,
    ACTIONS(15694), 1,
      anon_sym_finally,
    STATE(13083), 1,
      sym_finally_clause,
    STATE(14004), 1,
      sym_catch_clause,
    STATE(13411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [593215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [593237] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    ACTIONS(15696), 1,
      anon_sym_match,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(13413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [593331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593399] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15698), 1,
      anon_sym_catch,
    ACTIONS(15700), 1,
      anon_sym_finally,
    STATE(12848), 1,
      sym_finally_clause,
    STATE(13830), 1,
      sym_catch_clause,
    STATE(13420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [593429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14929), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15544), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15702), 1,
      anon_sym_SEMI,
    ACTIONS(15705), 1,
      anon_sym_else,
    STATE(13424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [593521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593565] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15334), 1,
      anon_sym_finally,
    STATE(13127), 1,
      sym_finally_clause,
    STATE(13427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [593591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [593635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [593657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [593679] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(13432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15428), 1,
      anon_sym_finally,
    STATE(13507), 1,
      sym_finally_clause,
    STATE(13433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [593731] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_LBRACK,
    ACTIONS(15709), 1,
      anon_sym_match,
    STATE(9083), 1,
      sym_type_arguments,
    STATE(13434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [593759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [593805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593849] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_catch,
    ACTIONS(15711), 1,
      anon_sym_finally,
    STATE(13796), 1,
      sym_finally_clause,
    STATE(14002), 1,
      sym_catch_clause,
    STATE(13439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [593879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(13441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593949] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15715), 1,
      anon_sym_COMMA,
    STATE(13580), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15713), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594067] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15717), 1,
      anon_sym_SEMI,
    ACTIONS(15719), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [594095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12675), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15721), 1,
      anon_sym_SEMI,
    ACTIONS(15724), 1,
      anon_sym_else,
    STATE(13451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [594165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [594187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594209] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15729), 1,
      anon_sym_if,
    STATE(13961), 1,
      sym_guard,
    STATE(13454), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
    ACTIONS(15727), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [594235] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15732), 1,
      anon_sym_catch,
    ACTIONS(15734), 1,
      anon_sym_finally,
    STATE(13395), 1,
      sym_finally_clause,
    STATE(13936), 1,
      sym_catch_clause,
    STATE(13455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [594265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594309] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13576), 1,
      anon_sym_AT,
    STATE(13616), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13878), 1,
      sym_annotation,
    STATE(13458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [594337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [594359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594425] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15736), 1,
      anon_sym_SEMI,
    ACTIONS(15739), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [594453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [594475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15530), 1,
      anon_sym_finally,
    STATE(11662), 1,
      sym_finally_clause,
    STATE(13465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [594501] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15742), 1,
      anon_sym_SEMI,
    ACTIONS(15745), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [594529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(13467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15438), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594577] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15100), 1,
      anon_sym_LT_COLON,
    ACTIONS(15102), 1,
      anon_sym_GT_COLON,
    STATE(13852), 1,
      sym_lower_bound,
    STATE(14408), 1,
      sym_upper_bound,
    STATE(13469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15628), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [594607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15747), 1,
      anon_sym_SEMI,
    ACTIONS(15750), 1,
      anon_sym_else,
    STATE(13470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [594633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15434), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15344), 1,
      anon_sym_finally,
    STATE(12351), 1,
      sym_finally_clause,
    STATE(13480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [594857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12634), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [594967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594991] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15752), 1,
      anon_sym_SEMI,
    ACTIONS(15755), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [595019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [595041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_finally,
    STATE(13756), 1,
      sym_finally_clause,
    STATE(13489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12628), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595089] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15250), 1,
      anon_sym_finally,
    STATE(12872), 1,
      sym_finally_clause,
    STATE(13491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [595115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [595181] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15757), 1,
      anon_sym_LPAREN,
    STATE(13916), 1,
      sym_arguments,
    STATE(13495), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [595207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(13496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [595231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595275] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15760), 1,
      anon_sym_catch,
    ACTIONS(15762), 1,
      anon_sym_finally,
    STATE(13540), 1,
      sym_finally_clause,
    STATE(13637), 1,
      sym_catch_clause,
    STATE(13499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [595305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [595327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11936), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595371] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    ACTIONS(15696), 1,
      anon_sym_match,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(13503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [595421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15764), 1,
      anon_sym_DOT,
    STATE(13506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [595467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [595511] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15766), 1,
      anon_sym_catch,
    ACTIONS(15768), 1,
      anon_sym_finally,
    STATE(12848), 1,
      sym_finally_clause,
    STATE(13671), 1,
      sym_catch_clause,
    STATE(13509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [595585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595675] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15219), 1,
      anon_sym_if,
    STATE(13454), 1,
      aux_sym_enumerator_repeat1,
    STATE(13961), 1,
      sym_guard,
    STATE(13516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [595703] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15651), 1,
      anon_sym_catch,
    ACTIONS(15772), 1,
      anon_sym_finally,
    STATE(12679), 1,
      sym_finally_clause,
    STATE(13835), 1,
      sym_catch_clause,
    STATE(13517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [595733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595777] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13339), 1,
      anon_sym_match,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(13520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [595805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [595827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595849] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_LBRACK,
    STATE(9083), 1,
      sym_type_arguments,
    STATE(13523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595875] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15289), 1,
      anon_sym_finally,
    STATE(13756), 1,
      sym_finally_clause,
    STATE(13524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11860), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11829), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10956), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15357), 1,
      anon_sym_finally,
    STATE(13572), 1,
      sym_finally_clause,
    STATE(13528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596015] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15505), 1,
      anon_sym_catch,
    ACTIONS(15774), 1,
      anon_sym_finally,
    STATE(13911), 1,
      sym_catch_clause,
    STATE(13932), 1,
      sym_finally_clause,
    STATE(13530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [596045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11864), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596089] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13339), 1,
      anon_sym_match,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(13533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15776), 1,
      anon_sym_STAR,
    STATE(13535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [596163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [596185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [596251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [596295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15778), 1,
      anon_sym_SEMI,
    ACTIONS(15780), 1,
      anon_sym_else,
    STATE(13544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [596365] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15430), 1,
      anon_sym_catch,
    ACTIONS(15782), 1,
      anon_sym_finally,
    STATE(12679), 1,
      sym_finally_clause,
    STATE(13851), 1,
      sym_catch_clause,
    STATE(13545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [596395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12688), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12686), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596461] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    ACTIONS(15784), 1,
      anon_sym_match,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(13549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [596489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_LBRACK,
    STATE(9083), 1,
      sym_type_arguments,
    STATE(13551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(13552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [596563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15475), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596629] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(13556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [596655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15471), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [596699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_LBRACK,
    STATE(9083), 1,
      sym_type_arguments,
    STATE(13560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15456), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15454), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15468), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11825), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15786), 1,
      anon_sym_SEMI,
    ACTIONS(15789), 1,
      anon_sym_else,
    STATE(13566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [596883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14973), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [596927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(13569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [596953] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(13570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [596979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15466), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15463), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15478), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15792), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [597133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12723), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597177] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15715), 1,
      anon_sym_COMMA,
    STATE(13622), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15794), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597203] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_LBRACK,
    ACTIONS(15709), 1,
      anon_sym_match,
    STATE(9083), 1,
      sym_type_arguments,
    STATE(13581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [597231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597253] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15732), 1,
      anon_sym_catch,
    ACTIONS(15796), 1,
      anon_sym_finally,
    STATE(13083), 1,
      sym_finally_clause,
    STATE(13904), 1,
      sym_catch_clause,
    STATE(13583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [597283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [597327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [597351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597395] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15798), 1,
      anon_sym_end,
    STATE(9556), 1,
      sym__end_marker,
    STATE(13589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10015), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [597421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15800), 1,
      anon_sym_with,
    STATE(13590), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15803), 1,
      anon_sym_SEMI,
    ACTIONS(15806), 1,
      anon_sym_else,
    STATE(13591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [597471] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15028), 1,
      anon_sym_finally,
    STATE(13336), 1,
      sym_finally_clause,
    STATE(13592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [597497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [597521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    ACTIONS(15784), 1,
      anon_sym_match,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(13594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [597549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597571] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15350), 1,
      anon_sym_finally,
    STATE(12288), 1,
      sym_finally_clause,
    STATE(13596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [597597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [597619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [597663] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15808), 1,
      anon_sym_SEMI,
    ACTIONS(15811), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [597691] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15814), 1,
      anon_sym_SEMI,
    ACTIONS(15817), 1,
      anon_sym_else,
    STATE(13601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [597717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597739] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(13603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597787] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15820), 1,
      anon_sym_SEMI,
    ACTIONS(15823), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [597815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8286), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [597837] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15825), 1,
      anon_sym_SEMI,
    ACTIONS(15828), 1,
      anon_sym_else,
    STATE(13607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [597863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15419), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15422), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [597951] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(13612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [598021] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(13615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15830), 1,
      anon_sym_AT,
    STATE(13878), 1,
      sym_annotation,
    STATE(13616), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [598073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [598095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15046), 1,
      anon_sym_finally,
    STATE(12872), 1,
      sym_finally_clause,
    STATE(13618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [598121] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15692), 1,
      anon_sym_catch,
    ACTIONS(15833), 1,
      anon_sym_finally,
    STATE(13395), 1,
      sym_finally_clause,
    STATE(13891), 1,
      sym_catch_clause,
    STATE(13619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [598151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [598173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15837), 1,
      anon_sym_COMMA,
    STATE(13622), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15835), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [598219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11802), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [598263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [598285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [598307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [598329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [598351] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(13629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [598399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [598421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15840), 1,
      anon_sym_DOT,
    STATE(13632), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15792), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [598444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [598465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15843), 1,
      anon_sym_SEMI,
    ACTIONS(15846), 1,
      anon_sym_else,
    STATE(13634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [598490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598511] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(13676), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14168), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15849), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13636), 2,
      sym_comment,
      sym_block_comment,
  [598544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15762), 1,
      anon_sym_finally,
    STATE(13475), 1,
      sym_finally_clause,
    STATE(13637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
  [598569] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14545), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [598598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598640] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15853), 1,
      anon_sym_if,
    ACTIONS(15855), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(15351), 1,
      sym_guard,
    STATE(13641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15406), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [598671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15857), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [598776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598797] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14795), 1,
      anon_sym_LPAREN,
    ACTIONS(15861), 1,
      anon_sym_extends,
    ACTIONS(15863), 1,
      sym__automatic_semicolon,
    STATE(14008), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14297), 1,
      sym_class_parameters,
    STATE(15035), 1,
      sym_extends_clause,
    ACTIONS(15859), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(13648), 2,
      sym_comment,
      sym_block_comment,
  [598830] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14427), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [598859] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14555), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [598888] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13765), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13156), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [598917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(14082), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14169), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15866), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13652), 2,
      sym_comment,
      sym_block_comment,
  [598950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15868), 1,
      anon_sym_SEMI,
    ACTIONS(15871), 1,
      anon_sym_else,
    STATE(13653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [598975] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15873), 1,
      anon_sym_COMMA,
    ACTIONS(15875), 1,
      anon_sym_with,
    STATE(14071), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14111), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [599004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599025] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(13656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [599050] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(14082), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14168), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15849), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13657), 2,
      sym_comment,
      sym_block_comment,
  [599083] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13762), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14550), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [599112] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14474), 1,
      anon_sym_LPAREN,
    ACTIONS(15879), 1,
      anon_sym_extends,
    ACTIONS(15881), 1,
      sym__automatic_semicolon,
    STATE(13940), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14354), 1,
      sym_class_parameters,
    STATE(15325), 1,
      sym_extends_clause,
    ACTIONS(15859), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(13659), 2,
      sym_comment,
      sym_block_comment,
  [599145] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15884), 1,
      anon_sym_SEMI,
    ACTIONS(15887), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [599172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [599193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [599214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15890), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [599235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [599258] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14795), 1,
      anon_sym_LPAREN,
    ACTIONS(15861), 1,
      anon_sym_extends,
    ACTIONS(15894), 1,
      sym__automatic_semicolon,
    STATE(14008), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14297), 1,
      sym_class_parameters,
    STATE(14861), 1,
      sym_extends_clause,
    ACTIONS(15892), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(13665), 2,
      sym_comment,
      sym_block_comment,
  [599291] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14474), 1,
      anon_sym_LPAREN,
    ACTIONS(15879), 1,
      anon_sym_extends,
    ACTIONS(15897), 1,
      sym__automatic_semicolon,
    STATE(13940), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14354), 1,
      sym_class_parameters,
    STATE(15289), 1,
      sym_extends_clause,
    ACTIONS(15892), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(13666), 2,
      sym_comment,
      sym_block_comment,
  [599324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [599347] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15900), 1,
      anon_sym_SEMI,
    ACTIONS(15902), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [599374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_finally,
    STATE(12008), 1,
      sym_finally_clause,
    STATE(13669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [599399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12688), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15768), 1,
      anon_sym_finally,
    STATE(12715), 1,
      sym_finally_clause,
    STATE(13671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [599445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15904), 1,
      anon_sym_SEMI,
    ACTIONS(15907), 1,
      anon_sym_else,
    STATE(13672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [599470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [599491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [599514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [599535] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(14082), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14192), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13676), 2,
      sym_comment,
      sym_block_comment,
  [599568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12686), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599589] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(13678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15913), 1,
      anon_sym_DOT,
    STATE(13679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [599637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [599658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15915), 1,
      anon_sym_as,
    STATE(13681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [599681] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15917), 1,
      anon_sym_COMMA,
    ACTIONS(15919), 1,
      anon_sym_with,
    STATE(13893), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14023), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [599731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12665), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [599794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(13687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(13689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [599865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15923), 1,
      anon_sym_with,
    STATE(13937), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14059), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15590), 1,
      anon_sym_finally,
    STATE(13726), 1,
      sym_finally_clause,
    STATE(13691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [599917] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15221), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(14376), 1,
      aux_sym__block_repeat1,
    ACTIONS(15925), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(15927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13692), 2,
      sym_comment,
      sym_block_comment,
  [599948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [599969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(13695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(13696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15929), 1,
      anon_sym_SEMI,
    ACTIONS(15932), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [600067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15934), 1,
      anon_sym_STAR,
    STATE(13699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [600111] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(13700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [600136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13402), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600199] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15919), 1,
      anon_sym_with,
    STATE(13893), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14110), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [600247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12723), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600289] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15936), 1,
      anon_sym_SEMI,
    ACTIONS(15939), 1,
      anon_sym_else,
    STATE(13708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [600314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [600335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [600358] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15855), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(14270), 1,
      aux_sym__block_repeat1,
    ACTIONS(15925), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(15942), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13711), 2,
      sym_comment,
      sym_block_comment,
  [600389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [600410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(13713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [600435] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15853), 1,
      anon_sym_if,
    ACTIONS(15855), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(15490), 1,
      sym_guard,
    STATE(13714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15215), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [600466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15548), 1,
      anon_sym_finally,
    STATE(12351), 1,
      sym_finally_clause,
    STATE(13715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [600491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600575] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15944), 1,
      anon_sym_SEMI,
    ACTIONS(15947), 1,
      anon_sym_else,
    STATE(13720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [600600] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13590), 1,
      anon_sym_match,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(13721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600627] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15448), 1,
      anon_sym_finally,
    STATE(13726), 1,
      sym_finally_clause,
    STATE(13722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [600652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600673] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15949), 1,
      anon_sym_SEMI,
    ACTIONS(15952), 1,
      anon_sym_else,
    STATE(13724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [600698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15955), 1,
      anon_sym_SEMI,
    ACTIONS(15958), 1,
      anon_sym_else,
    STATE(13727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [600765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15961), 1,
      anon_sym_COMMA,
    STATE(13729), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [600809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600851] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(13732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [600878] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15855), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(13733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [600905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15966), 1,
      anon_sym_SEMI,
    ACTIONS(15969), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [600932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_finally,
    STATE(12088), 1,
      sym_finally_clause,
    STATE(13735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [600957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [601001] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(13652), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14265), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13738), 2,
      sym_comment,
      sym_block_comment,
  [601034] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(14082), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14265), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13739), 2,
      sym_comment,
      sym_block_comment,
  [601067] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15855), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(13740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [601094] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(13739), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14380), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13741), 2,
      sym_comment,
      sym_block_comment,
  [601127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [601169] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(14082), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14269), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13744), 2,
      sym_comment,
      sym_block_comment,
  [601202] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(13657), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14269), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13745), 2,
      sym_comment,
      sym_block_comment,
  [601235] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_LT_PERCENT,
    STATE(14082), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14380), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14578), 1,
      sym_view_bound,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13746), 2,
      sym_comment,
      sym_block_comment,
  [601268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(13747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [601293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [601314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15432), 1,
      anon_sym_finally,
    STATE(12288), 1,
      sym_finally_clause,
    STATE(13749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [601339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [601360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(13751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [601385] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15450), 1,
      anon_sym_LT_COLON,
    ACTIONS(15452), 1,
      anon_sym_GT_COLON,
    STATE(14155), 1,
      sym_lower_bound,
    STATE(14160), 1,
      sym_upper_bound,
    STATE(13752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15628), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [601414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [601435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [601456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12628), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [601498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(13761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [601609] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14476), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [601638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15973), 1,
      anon_sym_COMMA,
    STATE(13729), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15794), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [601663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601684] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14481), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [601713] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13649), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14486), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [601742] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13638), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13167), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [601771] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(13768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15975), 1,
      anon_sym_SEMI,
    ACTIONS(15978), 1,
      anon_sym_else,
    STATE(13769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [601821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [601842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15507), 1,
      anon_sym_finally,
    STATE(13983), 1,
      sym_finally_clause,
    STATE(13771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [601867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601888] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15981), 1,
      anon_sym_SEMI,
    ACTIONS(15984), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [601915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15574), 1,
      anon_sym_finally,
    STATE(13983), 1,
      sym_finally_clause,
    STATE(13774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [601940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15989), 1,
      anon_sym_DOT,
    STATE(13632), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15987), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [601965] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14012), 1,
      anon_sym_match,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(13776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15595), 1,
      anon_sym_finally,
    STATE(12872), 1,
      sym_finally_clause,
    STATE(13777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [602017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15991), 1,
      anon_sym_COLON,
    STATE(13779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15993), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [602061] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15995), 1,
      anon_sym_SEMI,
    ACTIONS(15997), 1,
      anon_sym_else,
    STATE(13780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [602086] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13590), 1,
      anon_sym_match,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(13781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [602113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    STATE(13784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(13785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [602201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16001), 1,
      anon_sym_DOT,
    STATE(13787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [602245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [602266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(13789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15973), 1,
      anon_sym_COMMA,
    STATE(13763), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15713), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [602316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [602337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [602360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [602402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12675), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [602423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [602444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(13797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [602469] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16003), 1,
      anon_sym_SEMI,
    ACTIONS(16006), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [602496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(13799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [602521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [602544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [602565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16008), 1,
      anon_sym_SEMI,
    ACTIONS(16011), 1,
      anon_sym_else,
    STATE(13804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [602632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(13806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16013), 1,
      anon_sym_SEMI,
    ACTIONS(16016), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [602705] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16018), 1,
      anon_sym_SEMI,
    ACTIONS(16021), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [602732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(13809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602757] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16024), 1,
      anon_sym_SEMI,
    ACTIONS(16027), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [602784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [602805] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(13812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602830] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16030), 1,
      anon_sym_SEMI,
    ACTIONS(16033), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [602857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [602878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(13815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602903] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16035), 1,
      anon_sym_SEMI,
    ACTIONS(16038), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [602930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [602951] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15923), 1,
      anon_sym_with,
    ACTIONS(16041), 1,
      anon_sym_COMMA,
    STATE(13937), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14133), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [602980] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    STATE(14967), 1,
      sym_template_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16043), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [603009] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(13820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [603036] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14012), 1,
      anon_sym_match,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(13821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [603063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16045), 1,
      anon_sym_SEMI,
    ACTIONS(16048), 1,
      anon_sym_else,
    STATE(13822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [603088] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16050), 1,
      anon_sym_SEMI,
    ACTIONS(16053), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [603115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16055), 1,
      anon_sym_SEMI,
    ACTIONS(16058), 1,
      anon_sym_else,
    STATE(13824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [603140] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16061), 1,
      anon_sym_SEMI,
    ACTIONS(16064), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [603167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16069), 1,
      anon_sym_DOT,
    STATE(13775), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [603192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603213] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16071), 1,
      anon_sym_SEMI,
    ACTIONS(16074), 1,
      anon_sym_else,
    STATE(13828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [603238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    ACTIONS(13150), 1,
      sym__automatic_semicolon,
    STATE(12609), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13155), 1,
      sym_class_parameters,
    STATE(13829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14621), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [603267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15700), 1,
      anon_sym_finally,
    STATE(12715), 1,
      sym_finally_clause,
    STATE(13830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 6,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
  [603292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16076), 1,
      anon_sym_SEMI,
    ACTIONS(16079), 1,
      anon_sym_else,
    STATE(13831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [603317] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16082), 1,
      anon_sym_SEMI,
    ACTIONS(16085), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [603344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14973), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15100), 1,
      anon_sym_LT_COLON,
    STATE(14406), 1,
      sym_upper_bound,
    STATE(13834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16088), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603389] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15772), 1,
      anon_sym_finally,
    STATE(12872), 1,
      sym_finally_clause,
    STATE(13835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [603413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [603433] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16092), 1,
      anon_sym_COMMA,
    STATE(13906), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16090), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [603457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16094), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [603497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16092), 1,
      anon_sym_COMMA,
    STATE(13902), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16096), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [603521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16098), 1,
      anon_sym_SEMI,
    ACTIONS(16101), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [603547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [603567] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16104), 1,
      anon_sym_DOT,
    STATE(13868), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15987), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [603591] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(13844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [603615] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16108), 1,
      anon_sym_LBRACE,
    ACTIONS(16112), 1,
      anon_sym_EQ,
    STATE(14217), 1,
      sym_block,
    STATE(13845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16110), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [603641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16114), 1,
      anon_sym_SEMI,
    ACTIONS(16116), 1,
      anon_sym_else,
    STATE(13846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [603665] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16118), 1,
      anon_sym_SEMI,
    ACTIONS(16121), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [603691] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14294), 1,
      anon_sym_match,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(13848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [603717] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16124), 1,
      anon_sym_SEMI,
    ACTIONS(16127), 1,
      anon_sym_else,
    STATE(13849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [603741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(13850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [603765] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15782), 1,
      anon_sym_finally,
    STATE(12872), 1,
      sym_finally_clause,
    STATE(13851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [603789] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15100), 1,
      anon_sym_LT_COLON,
    STATE(14367), 1,
      sym_upper_bound,
    STATE(13852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16132), 1,
      anon_sym_with,
    STATE(13853), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15370), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8296), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [603855] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16135), 1,
      anon_sym_SEMI,
    ACTIONS(16138), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16141), 1,
      anon_sym_SEMI,
    ACTIONS(16144), 1,
      anon_sym_else,
    STATE(13856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [603927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16149), 1,
      anon_sym_DOT,
    STATE(13884), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16147), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [603951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16151), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14099), 1,
      sym_arguments,
    STATE(13860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [603993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8302), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [604013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15252), 1,
      anon_sym_LT_COLON,
    STATE(14152), 1,
      sym_upper_bound,
    STATE(13862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16088), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [604037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16155), 1,
      anon_sym_COMMA,
    STATE(13863), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(16153), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [604059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16158), 1,
      anon_sym_SEMI,
    ACTIONS(16161), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [604085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16163), 1,
      anon_sym_COLON,
    STATE(13865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16165), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [604107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16167), 1,
      anon_sym_with,
    STATE(13866), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9450), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [604129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14113), 1,
      sym_arguments,
    STATE(13867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16170), 1,
      anon_sym_DOT,
    STATE(13868), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15792), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [604173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [604193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16173), 1,
      anon_sym_SEMI,
    ACTIONS(16176), 1,
      anon_sym_else,
    STATE(13870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [604217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [604257] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_finally,
    STATE(12288), 1,
      sym_finally_clause,
    STATE(13873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [604281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16178), 1,
      anon_sym_COLON,
    STATE(13874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16180), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [604303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [604345] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16182), 1,
      anon_sym_SEMI,
    ACTIONS(16185), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [604371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [604391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [604411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16188), 1,
      anon_sym_SEMI,
    ACTIONS(16191), 1,
      anon_sym_else,
    STATE(13880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [604435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15890), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [604455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [604475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [604495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16149), 1,
      anon_sym_DOT,
    STATE(13939), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16194), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [604519] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16196), 1,
      anon_sym_LBRACK,
    STATE(9774), 1,
      sym_type_arguments,
    STATE(13885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16196), 1,
      anon_sym_LBRACK,
    STATE(9774), 1,
      sym_type_arguments,
    STATE(13886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604567] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16198), 1,
      anon_sym_SEMI,
    ACTIONS(16201), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [604593] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16203), 1,
      anon_sym_SEMI,
    ACTIONS(16206), 1,
      anon_sym_else,
    STATE(13888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [604617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16208), 1,
      anon_sym_with,
    STATE(13889), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15370), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604659] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15833), 1,
      anon_sym_finally,
    STATE(13336), 1,
      sym_finally_clause,
    STATE(13891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15919), 1,
      anon_sym_with,
    STATE(13853), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604727] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16211), 1,
      anon_sym_SEMI,
    ACTIONS(16214), 1,
      anon_sym_else,
    STATE(13894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [604751] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16217), 1,
      anon_sym_SEMI,
    ACTIONS(16219), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [604777] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16221), 1,
      anon_sym_SEMI,
    ACTIONS(16223), 1,
      anon_sym_else,
    STATE(13896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [604801] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15221), 1,
      anon_sym_match,
    ACTIONS(15925), 1,
      anon_sym_RBRACE,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(14676), 1,
      aux_sym__block_repeat1,
    ACTIONS(16225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13897), 2,
      sym_comment,
      sym_block_comment,
  [604831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16227), 1,
      anon_sym_SEMI,
    ACTIONS(16230), 1,
      anon_sym_else,
    STATE(13898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [604855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10096), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_SEMI,
  [604877] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16233), 1,
      anon_sym_catch,
    ACTIONS(16235), 1,
      anon_sym_finally,
    STATE(13540), 1,
      sym_finally_clause,
    STATE(14063), 1,
      sym_catch_clause,
    STATE(13900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [604905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8322), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [604925] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16092), 1,
      anon_sym_COMMA,
    STATE(13863), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16237), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [604949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [604969] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15796), 1,
      anon_sym_finally,
    STATE(13127), 1,
      sym_finally_clause,
    STATE(13904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [604993] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16239), 1,
      anon_sym_catch,
    ACTIONS(16241), 1,
      anon_sym_finally,
    STATE(13796), 1,
      sym_finally_clause,
    STATE(14228), 1,
      sym_catch_clause,
    STATE(13905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [605021] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16092), 1,
      anon_sym_COMMA,
    STATE(13863), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16243), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [605045] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16245), 1,
      anon_sym_catch,
    ACTIONS(16247), 1,
      anon_sym_finally,
    STATE(13921), 1,
      sym_finally_clause,
    STATE(14411), 1,
      sym_catch_clause,
    STATE(13907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [605073] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    ACTIONS(16253), 1,
      anon_sym_extends,
    ACTIONS(16255), 1,
      anon_sym_derives,
    STATE(14219), 1,
      sym_enum_body,
    STATE(14220), 1,
      sym_extends_clause,
    STATE(14939), 1,
      sym_derives_clause,
    STATE(13908), 2,
      sym_comment,
      sym_block_comment,
  [605105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15857), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [605125] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15855), 1,
      anon_sym_match,
    ACTIONS(15925), 1,
      sym__outdent,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(14628), 1,
      aux_sym__block_repeat1,
    ACTIONS(16257), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13910), 2,
      sym_comment,
      sym_block_comment,
  [605155] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15774), 1,
      anon_sym_finally,
    STATE(13983), 1,
      sym_finally_clause,
    STATE(13911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [605179] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15855), 1,
      anon_sym_match,
    ACTIONS(16261), 1,
      sym__outdent,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(14459), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16259), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13912), 2,
      sym_comment,
      sym_block_comment,
  [605209] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14354), 1,
      anon_sym_match,
    ACTIONS(16196), 1,
      anon_sym_LBRACK,
    STATE(9774), 1,
      sym_type_arguments,
    STATE(13913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [605235] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15688), 1,
      anon_sym_finally,
    STATE(13972), 1,
      sym_finally_clause,
    STATE(13914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [605259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [605279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [605299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16263), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [605319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_SEMI,
    ACTIONS(16268), 1,
      anon_sym_else,
    STATE(13918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [605343] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16196), 1,
      anon_sym_LBRACK,
    STATE(9774), 1,
      sym_type_arguments,
    STATE(13919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [605367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8046), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [605387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [605407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [605427] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15855), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(13923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16271), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [605453] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16273), 1,
      anon_sym_SEMI,
    ACTIONS(16276), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [605479] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16278), 1,
      anon_sym_catch,
    ACTIONS(16280), 1,
      anon_sym_finally,
    STATE(13540), 1,
      sym_finally_clause,
    STATE(14148), 1,
      sym_catch_clause,
    STATE(13925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [605507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8224), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [605527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16282), 1,
      anon_sym_as,
    STATE(13927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15792), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [605549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16284), 1,
      anon_sym_SEMI,
    ACTIONS(16287), 1,
      anon_sym_else,
    STATE(13928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [605573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16289), 1,
      anon_sym_COLON,
    STATE(13929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16291), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [605595] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14294), 1,
      anon_sym_match,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(13930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [605621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16293), 1,
      anon_sym_DOT,
    STATE(13843), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16067), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [605645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [605665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [605685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13347), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13345), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [605707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9465), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [605727] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15734), 1,
      anon_sym_finally,
    STATE(13336), 1,
      sym_finally_clause,
    STATE(13936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [605751] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15923), 1,
      anon_sym_with,
    STATE(13889), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8222), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [605795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16295), 1,
      anon_sym_DOT,
    STATE(13939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15792), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [605817] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16300), 1,
      anon_sym_LPAREN,
    ACTIONS(16303), 1,
      sym__automatic_semicolon,
    STATE(14354), 1,
      sym_class_parameters,
    ACTIONS(16298), 3,
      sym__outdent,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(13940), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [605843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [605863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13311), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13309), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [605905] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16239), 1,
      anon_sym_catch,
    ACTIONS(16306), 1,
      anon_sym_finally,
    STATE(13921), 1,
      sym_finally_clause,
    STATE(14257), 1,
      sym_catch_clause,
    STATE(13944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [605933] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16308), 1,
      anon_sym_SEMI,
    ACTIONS(16311), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [605959] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15221), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(13946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16271), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [605985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16314), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14086), 1,
      sym_arguments,
    STATE(13948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13352), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606047] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15221), 1,
      anon_sym_match,
    ACTIONS(16261), 1,
      anon_sym_RBRACE,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(14449), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16316), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13950), 2,
      sym_comment,
      sym_block_comment,
  [606077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606157] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16253), 1,
      anon_sym_extends,
    ACTIONS(16255), 1,
      anon_sym_derives,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14307), 1,
      sym_extends_clause,
    STATE(14450), 1,
      sym_enum_body,
    STATE(15252), 1,
      sym_derives_clause,
    STATE(13955), 2,
      sym_comment,
      sym_block_comment,
  [606189] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_SEMI,
    ACTIONS(16324), 1,
      anon_sym_else,
    STATE(13956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [606213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8300), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606233] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16326), 1,
      anon_sym_SEMI,
    ACTIONS(16328), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [606259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [606279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16330), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [606319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [606361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606401] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16332), 1,
      anon_sym_SEMI,
    ACTIONS(16335), 1,
      anon_sym_else,
    STATE(13966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [606425] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16337), 1,
      anon_sym_SEMI,
    ACTIONS(16340), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [606451] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16342), 1,
      anon_sym_AT,
    STATE(14344), 1,
      sym_annotation,
    STATE(13968), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8972), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [606475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606575] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16253), 1,
      anon_sym_extends,
    ACTIONS(16255), 1,
      anon_sym_derives,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14382), 1,
      sym_extends_clause,
    STATE(14629), 1,
      sym_enum_body,
    STATE(15520), 1,
      sym_derives_clause,
    STATE(13974), 2,
      sym_comment,
      sym_block_comment,
  [606607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15252), 1,
      anon_sym_LT_COLON,
    STATE(14065), 1,
      sym_upper_bound,
    STATE(13975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16130), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606631] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16345), 1,
      anon_sym_SEMI,
    ACTIONS(16348), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [606657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16351), 1,
      anon_sym_COLON,
    STATE(13977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16180), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606679] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16353), 1,
      anon_sym_LBRACE,
    ACTIONS(16355), 1,
      anon_sym_EQ,
    STATE(14631), 1,
      sym_block,
    STATE(13978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16110), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [606705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16357), 1,
      anon_sym_SEMI,
    ACTIONS(16360), 1,
      anon_sym_else,
    STATE(13979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [606729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13390), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13392), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13386), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606829] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16363), 1,
      anon_sym_SEMI,
    ACTIONS(16365), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [606855] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15526), 1,
      anon_sym_AT,
    STATE(13968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14344), 1,
      sym_annotation,
    STATE(13986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9014), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [606881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(13987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [606905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13398), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [606945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13381), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13379), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606967] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16245), 1,
      anon_sym_catch,
    ACTIONS(16367), 1,
      anon_sym_finally,
    STATE(13796), 1,
      sym_finally_clause,
    STATE(14195), 1,
      sym_catch_clause,
    STATE(13991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14216), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [606995] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LPAREN,
    STATE(13999), 1,
      aux_sym_annotation_repeat1,
    STATE(14313), 1,
      sym_arguments,
    STATE(13992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8756), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [607021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13404), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [607041] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14354), 1,
      anon_sym_match,
    ACTIONS(16196), 1,
      anon_sym_LBRACK,
    STATE(9774), 1,
      sym_type_arguments,
    STATE(13994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [607067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [607107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16369), 1,
      anon_sym_COLON,
    STATE(13997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16165), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13364), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [607149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16371), 1,
      anon_sym_LPAREN,
    STATE(14313), 1,
      sym_arguments,
    STATE(13999), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8786), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [607173] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(14000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13318), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [607197] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16374), 1,
      anon_sym_SEMI,
    ACTIONS(16377), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15519), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [607223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15711), 1,
      anon_sym_finally,
    STATE(13758), 1,
      sym_finally_clause,
    STATE(14002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [607247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16380), 1,
      anon_sym_COLON,
    STATE(14003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16291), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_finally,
    STATE(13127), 1,
      sym_finally_clause,
    STATE(14004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607293] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    ACTIONS(16253), 1,
      anon_sym_extends,
    ACTIONS(16255), 1,
      anon_sym_derives,
    STATE(14413), 1,
      sym_extends_clause,
    STATE(14414), 1,
      sym_enum_body,
    STATE(15680), 1,
      sym_derives_clause,
    STATE(14005), 2,
      sym_comment,
      sym_block_comment,
  [607325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16196), 1,
      anon_sym_LBRACK,
    STATE(9774), 1,
      sym_type_arguments,
    STATE(14006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(14007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [607373] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16382), 1,
      anon_sym_LPAREN,
    ACTIONS(16385), 1,
      sym__automatic_semicolon,
    STATE(14297), 1,
      sym_class_parameters,
    ACTIONS(16298), 3,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(14008), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [607399] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16390), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14982), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14009), 2,
      sym_comment,
      sym_block_comment,
  [607428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607447] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14793), 1,
      anon_sym_extends,
    STATE(14590), 1,
      sym_extends_clause,
    STATE(14011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14470), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [607470] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16392), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15741), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14012), 2,
      sym_comment,
      sym_block_comment,
  [607499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16394), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [607518] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16108), 1,
      anon_sym_LBRACE,
    ACTIONS(16396), 1,
      anon_sym_EQ,
    STATE(14217), 1,
      sym_block,
    STATE(14014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16110), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [607543] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16398), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15236), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14015), 2,
      sym_comment,
      sym_block_comment,
  [607572] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16400), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14792), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14016), 2,
      sym_comment,
      sym_block_comment,
  [607601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16151), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607620] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16402), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15337), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14018), 2,
      sym_comment,
      sym_block_comment,
  [607649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16404), 1,
      anon_sym_SEMI,
    ACTIONS(16407), 1,
      anon_sym_else,
    STATE(14019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
  [607672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16409), 1,
      anon_sym_SEMI,
    ACTIONS(16412), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(14020), 2,
      sym_comment,
      sym_block_comment,
  [607697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16415), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [607735] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15917), 1,
      anon_sym_COMMA,
    STATE(14143), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16417), 1,
      anon_sym_COLON,
    STATE(14024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16165), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16419), 1,
      anon_sym_SEMI,
    ACTIONS(16422), 1,
      anon_sym_else,
    STATE(14025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [607802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16314), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607840] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16425), 1,
      anon_sym_COMMA,
    ACTIONS(16427), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15638), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14028), 2,
      sym_comment,
      sym_block_comment,
  [607869] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    STATE(14654), 1,
      sym_arguments,
    STATE(14029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [607892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16429), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [607911] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15221), 1,
      anon_sym_match,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16431), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [607936] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16435), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15001), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14032), 2,
      sym_comment,
      sym_block_comment,
  [607965] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16437), 1,
      anon_sym_SEMI,
    ACTIONS(16439), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(14033), 2,
      sym_comment,
      sym_block_comment,
  [607990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16441), 1,
      anon_sym_SEMI,
    ACTIONS(16443), 1,
      anon_sym_else,
    STATE(14034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [608013] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16445), 1,
      anon_sym_SEMI,
    ACTIONS(16448), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(14035), 2,
      sym_comment,
      sym_block_comment,
  [608038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14348), 1,
      sym_arguments,
    STATE(14036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15855), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(14038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16451), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [608103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608122] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16453), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15277), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14040), 2,
      sym_comment,
      sym_block_comment,
  [608151] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(16455), 1,
      anon_sym_COLON,
    ACTIONS(16457), 1,
      sym__automatic_semicolon,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14119), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14041), 2,
      sym_comment,
      sym_block_comment,
  [608180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16459), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [608218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16461), 1,
      anon_sym_COLON,
    STATE(14044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16463), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [608258] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16465), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15647), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14046), 2,
      sym_comment,
      sym_block_comment,
  [608287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16467), 1,
      anon_sym_with,
    STATE(14047), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15370), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16470), 1,
      anon_sym_SEMI,
    ACTIONS(16473), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      sym__automatic_semicolon,
      sym__outdent,
    STATE(14048), 2,
      sym_comment,
      sym_block_comment,
  [608333] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10816), 1,
      anon_sym_LPAREN,
    STATE(14622), 1,
      sym_arguments,
    STATE(14049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [608356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16475), 1,
      anon_sym_COMMA,
    STATE(14050), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15361), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608377] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15221), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(14051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16451), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [608402] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16478), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15093), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14052), 2,
      sym_comment,
      sym_block_comment,
  [608431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12677), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [608450] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16480), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14792), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14054), 2,
      sym_comment,
      sym_block_comment,
  [608479] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16108), 1,
      anon_sym_LBRACE,
    ACTIONS(16482), 1,
      anon_sym_EQ,
    STATE(14217), 1,
      sym_block,
    STATE(14055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16110), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [608504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13368), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [608527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14117), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608586] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16353), 1,
      anon_sym_LBRACE,
    ACTIONS(16484), 1,
      anon_sym_EQ,
    STATE(14631), 1,
      sym_block,
    STATE(14060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16110), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [608611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16263), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16235), 1,
      anon_sym_finally,
    STATE(13475), 1,
      sym_finally_clause,
    STATE(14063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_do,
  [608672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_extends,
    STATE(14419), 1,
      sym_extends_clause,
    STATE(14064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14470), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [608695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16486), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608714] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15847), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14066), 2,
      sym_comment,
      sym_block_comment,
  [608743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15875), 1,
      anon_sym_with,
    STATE(14047), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15406), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [608861] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16490), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15698), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14073), 2,
      sym_comment,
      sym_block_comment,
  [608890] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16492), 1,
      anon_sym_SEMI,
    ACTIONS(16495), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
    STATE(14074), 2,
      sym_comment,
      sym_block_comment,
  [608915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16497), 1,
      anon_sym_COMMA,
    STATE(14100), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16096), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [608938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16499), 1,
      anon_sym_SEMI,
    ACTIONS(16502), 1,
      anon_sym_else,
    STATE(14076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
  [608961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15450), 1,
      anon_sym_LT_COLON,
    STATE(14152), 1,
      sym_upper_bound,
    STATE(14077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16088), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16088), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [609003] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16497), 1,
      anon_sym_COMMA,
    STATE(14087), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16090), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609045] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16504), 1,
      anon_sym_LBRACE,
    ACTIONS(16508), 1,
      sym__interpolation_identifier,
    ACTIONS(16506), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(14081), 2,
      sym_comment,
      sym_block_comment,
    STATE(15957), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [609070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16512), 1,
      anon_sym_LT_PERCENT,
    STATE(14578), 1,
      sym_view_bound,
    ACTIONS(16510), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14082), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat1,
  [609093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16515), 1,
      anon_sym_COMMA,
    STATE(14083), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(16153), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5114), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16497), 1,
      anon_sym_COMMA,
    STATE(14083), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16243), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15792), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [609213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16518), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [609293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13322), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [609335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16520), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16522), 1,
      anon_sym_SEMI,
    ACTIONS(16525), 1,
      anon_sym_else,
    STATE(14096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [609377] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15484), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14097), 2,
      sym_comment,
      sym_block_comment,
  [609406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16497), 1,
      anon_sym_COMMA,
    STATE(14083), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16237), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609505] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(16530), 1,
      anon_sym_COLON,
    ACTIONS(16532), 1,
      sym__automatic_semicolon,
    STATE(12630), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14103), 2,
      sym_comment,
      sym_block_comment,
  [609534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609591] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16534), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15537), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14107), 2,
      sym_comment,
      sym_block_comment,
  [609620] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15853), 1,
      anon_sym_if,
    STATE(14149), 1,
      aux_sym_enumerator_repeat1,
    STATE(14662), 1,
      sym_guard,
    STATE(14108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15770), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [609645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16536), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14143), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15873), 1,
      anon_sym_COMMA,
    STATE(14050), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609708] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15072), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14112), 2,
      sym_comment,
      sym_block_comment,
  [609737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15434), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12638), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [609794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16540), 1,
      anon_sym_COMMA,
    STATE(14117), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15361), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609834] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14826), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14118), 2,
      sym_comment,
      sym_block_comment,
  [609863] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(16545), 1,
      anon_sym_COLON,
    ACTIONS(16547), 1,
      sym__automatic_semicolon,
    STATE(12630), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14119), 2,
      sym_comment,
      sym_block_comment,
  [609892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16549), 1,
      anon_sym_COLON,
    STATE(14120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16291), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [609913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13350), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [609936] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16551), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14775), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14122), 2,
      sym_comment,
      sym_block_comment,
  [609965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12630), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [609984] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16553), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15155), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14124), 2,
      sym_comment,
      sym_block_comment,
  [610013] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16555), 1,
      anon_sym_LBRACE,
    ACTIONS(16559), 1,
      sym__interpolation_identifier,
    ACTIONS(16557), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(14125), 2,
      sym_comment,
      sym_block_comment,
    STATE(15882), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [610038] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16561), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14894), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14126), 2,
      sym_comment,
      sym_block_comment,
  [610067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610086] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15208), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14128), 2,
      sym_comment,
      sym_block_comment,
  [610115] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16565), 1,
      anon_sym_SEMI,
    ACTIONS(16568), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(14129), 2,
      sym_comment,
      sym_block_comment,
  [610140] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16570), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14873), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14130), 2,
      sym_comment,
      sym_block_comment,
  [610169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [610188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [610207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16041), 1,
      anon_sym_COMMA,
    STATE(14117), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15281), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15221), 1,
      anon_sym_match,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13384), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [610274] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15221), 1,
      anon_sym_match,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13337), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [610299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16572), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14838), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14137), 2,
      sym_comment,
      sym_block_comment,
  [610328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16574), 1,
      anon_sym_SEMI,
    ACTIONS(16577), 1,
      anon_sym_else,
    STATE(14138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [610351] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16579), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14792), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14139), 2,
      sym_comment,
      sym_block_comment,
  [610380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16581), 1,
      anon_sym_SEMI,
    ACTIONS(16583), 1,
      anon_sym_else,
    STATE(14140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [610403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15434), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16585), 1,
      anon_sym_COMMA,
    STATE(14143), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15361), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610462] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16588), 1,
      anon_sym_SEMI,
    ACTIONS(16590), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(14144), 2,
      sym_comment,
      sym_block_comment,
  [610487] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16592), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15199), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14145), 2,
      sym_comment,
      sym_block_comment,
  [610516] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16594), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15580), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14146), 2,
      sym_comment,
      sym_block_comment,
  [610545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12669), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [610564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16280), 1,
      anon_sym_finally,
    STATE(13475), 1,
      sym_finally_clause,
    STATE(14148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
  [610587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16596), 1,
      anon_sym_if,
    STATE(14662), 1,
      sym_guard,
    ACTIONS(15727), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14149), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
  [610610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16094), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16599), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610667] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16601), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15669), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14153), 2,
      sym_comment,
      sym_block_comment,
  [610696] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16388), 1,
      anon_sym_COMMA,
    ACTIONS(16603), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14898), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14154), 2,
      sym_comment,
      sym_block_comment,
  [610725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15450), 1,
      anon_sym_LT_COLON,
    STATE(14065), 1,
      sym_upper_bound,
    STATE(14155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16130), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610767] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(16605), 1,
      anon_sym_COLON,
    ACTIONS(16607), 1,
      sym__automatic_semicolon,
    STATE(12630), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14157), 2,
      sym_comment,
      sym_block_comment,
  [610796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16609), 1,
      anon_sym_SEMI,
    ACTIONS(16612), 1,
      anon_sym_else,
    STATE(14158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [610819] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(16615), 1,
      anon_sym_COLON,
    ACTIONS(16617), 1,
      sym__automatic_semicolon,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14157), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14159), 2,
      sym_comment,
      sym_block_comment,
  [610848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610867] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16619), 1,
      anon_sym_SEMI,
    ACTIONS(16622), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15519), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(14161), 2,
      sym_comment,
      sym_block_comment,
  [610892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16625), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [610911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16627), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610930] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(16629), 1,
      anon_sym_COLON,
    ACTIONS(16631), 1,
      sym__automatic_semicolon,
    STATE(12630), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13346), 1,
      sym_parameters,
    STATE(14164), 2,
      sym_comment,
      sym_block_comment,
  [610959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16633), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [610977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16094), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
  [610995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16635), 1,
      anon_sym_COMMA,
    ACTIONS(16637), 1,
      anon_sym_RPAREN,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15799), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14167), 2,
      sym_comment,
      sym_block_comment,
  [611021] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14168), 2,
      sym_comment,
      sym_block_comment,
  [611045] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(16639), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14169), 2,
      sym_comment,
      sym_block_comment,
  [611069] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16641), 1,
      anon_sym_COMMA,
    ACTIONS(16643), 1,
      anon_sym_RPAREN,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15820), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14170), 2,
      sym_comment,
      sym_block_comment,
  [611095] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16645), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14171), 2,
      sym_comment,
      sym_block_comment,
  [611119] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16647), 1,
      anon_sym_COMMA,
    ACTIONS(16649), 1,
      anon_sym_RPAREN,
    STATE(15755), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14172), 2,
      sym_comment,
      sym_block_comment,
  [611145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16655), 1,
      anon_sym_SEMI,
    ACTIONS(16657), 1,
      sym__automatic_semicolon,
    STATE(14349), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16653), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(14174), 2,
      sym_comment,
      sym_block_comment,
  [611187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16659), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16663), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9873), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15422), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611277] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16665), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14180), 2,
      sym_comment,
      sym_block_comment,
  [611301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9821), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16667), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16669), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611355] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14184), 2,
      sym_comment,
      sym_block_comment,
  [611379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15438), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611397] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16673), 1,
      anon_sym_COMMA,
    ACTIONS(16675), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14186), 2,
      sym_comment,
      sym_block_comment,
  [611423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15478), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9784), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16677), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9691), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611513] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(16679), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14192), 2,
      sym_comment,
      sym_block_comment,
  [611537] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16681), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14193), 2,
      sym_comment,
      sym_block_comment,
  [611561] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16683), 1,
      anon_sym_COMMA,
    ACTIONS(16685), 1,
      anon_sym_RPAREN,
    STATE(14924), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14194), 2,
      sym_comment,
      sym_block_comment,
  [611587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16367), 1,
      anon_sym_finally,
    STATE(13758), 1,
      sym_finally_clause,
    STATE(14195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [611609] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16687), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14196), 2,
      sym_comment,
      sym_block_comment,
  [611633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15454), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16689), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14198), 2,
      sym_comment,
      sym_block_comment,
  [611675] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14199), 2,
      sym_comment,
      sym_block_comment,
  [611699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15471), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611717] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16693), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14201), 2,
      sym_comment,
      sym_block_comment,
  [611741] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16695), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14202), 2,
      sym_comment,
      sym_block_comment,
  [611765] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16697), 1,
      anon_sym_COMMA,
    ACTIONS(16699), 1,
      anon_sym_RPAREN,
    STATE(14937), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14203), 2,
      sym_comment,
      sym_block_comment,
  [611791] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16701), 1,
      anon_sym_COMMA,
    ACTIONS(16703), 1,
      anon_sym_RPAREN,
    STATE(15752), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14204), 2,
      sym_comment,
      sym_block_comment,
  [611817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16705), 1,
      anon_sym_COMMA,
    ACTIONS(16707), 1,
      anon_sym_RPAREN,
    STATE(15445), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14205), 2,
      sym_comment,
      sym_block_comment,
  [611843] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16709), 1,
      anon_sym_SEMI,
    ACTIONS(16711), 1,
      sym__automatic_semicolon,
    STATE(14259), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16653), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(14206), 2,
      sym_comment,
      sym_block_comment,
  [611867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16713), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16715), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611921] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16717), 1,
      anon_sym_COMMA,
    ACTIONS(16719), 1,
      anon_sym_RPAREN,
    STATE(14942), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14210), 2,
      sym_comment,
      sym_block_comment,
  [611947] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16721), 1,
      anon_sym_COMMA,
    ACTIONS(16723), 1,
      anon_sym_RPAREN,
    STATE(15071), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14211), 2,
      sym_comment,
      sym_block_comment,
  [611973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16727), 1,
      anon_sym_COMMA,
    STATE(14213), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16725), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [611995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16731), 1,
      anon_sym_COMMA,
    ACTIONS(16729), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(14213), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [612015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16627), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [612033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16459), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [612051] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16734), 1,
      anon_sym_COMMA,
    ACTIONS(16736), 1,
      anon_sym_RPAREN,
    STATE(14977), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14216), 2,
      sym_comment,
      sym_block_comment,
  [612077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612095] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16740), 1,
      anon_sym_COMMA,
    ACTIONS(16742), 1,
      anon_sym_RPAREN,
    STATE(14906), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14218), 2,
      sym_comment,
      sym_block_comment,
  [612121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612139] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    ACTIONS(16255), 1,
      anon_sym_derives,
    STATE(14293), 1,
      sym_enum_body,
    STATE(15221), 1,
      sym_derives_clause,
    STATE(14220), 2,
      sym_comment,
      sym_block_comment,
  [612165] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16746), 1,
      anon_sym_SEMI,
    ACTIONS(16749), 1,
      anon_sym_else,
    STATE(14221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [612187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16752), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612205] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14223), 2,
      sym_comment,
      sym_block_comment,
  [612229] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16756), 1,
      anon_sym_COMMA,
    ACTIONS(16758), 1,
      anon_sym_RPAREN,
    STATE(15714), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14224), 2,
      sym_comment,
      sym_block_comment,
  [612255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16760), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16762), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612291] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      anon_sym_RPAREN,
    STATE(15092), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14227), 2,
      sym_comment,
      sym_block_comment,
  [612317] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16241), 1,
      anon_sym_finally,
    STATE(13758), 1,
      sym_finally_clause,
    STATE(14228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [612339] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6278), 1,
      anon_sym_LBRACE,
    ACTIONS(13084), 1,
      anon_sym_COLON,
    STATE(14300), 1,
      sym_template_body,
    STATE(6113), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14229), 2,
      sym_comment,
      sym_block_comment,
  [612363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16768), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612381] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16770), 1,
      anon_sym_COMMA,
    ACTIONS(16772), 1,
      anon_sym_RPAREN,
    STATE(15157), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14231), 2,
      sym_comment,
      sym_block_comment,
  [612407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16774), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15438), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15422), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16776), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612497] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16780), 1,
      anon_sym_COMMA,
    ACTIONS(16782), 1,
      anon_sym_RPAREN,
    STATE(14888), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14237), 2,
      sym_comment,
      sym_block_comment,
  [612523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5114), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [612559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15519), 1,
      anon_sym_do,
    ACTIONS(16786), 1,
      anon_sym_SEMI,
    ACTIONS(16789), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14240), 2,
      sym_comment,
      sym_block_comment,
  [612583] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16792), 1,
      anon_sym_COMMA,
    ACTIONS(16794), 1,
      anon_sym_RPAREN,
    STATE(14805), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14241), 2,
      sym_comment,
      sym_block_comment,
  [612609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15466), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15544), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16796), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16800), 1,
      anon_sym_EQ,
    STATE(14245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16798), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [612683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16802), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612701] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16804), 1,
      anon_sym_COMMA,
    ACTIONS(16806), 1,
      anon_sym_RPAREN,
    STATE(14870), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14247), 2,
      sym_comment,
      sym_block_comment,
  [612727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [612763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [612781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16810), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16812), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16816), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612853] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16818), 1,
      anon_sym_COMMA,
    ACTIONS(16820), 1,
      anon_sym_RPAREN,
    STATE(14779), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14255), 2,
      sym_comment,
      sym_block_comment,
  [612879] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16822), 1,
      anon_sym_COMMA,
    ACTIONS(16824), 1,
      anon_sym_RPAREN,
    STATE(15665), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14256), 2,
      sym_comment,
      sym_block_comment,
  [612905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16306), 1,
      anon_sym_finally,
    STATE(13972), 1,
      sym_finally_clause,
    STATE(14257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [612927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10448), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [612945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16709), 1,
      anon_sym_SEMI,
    ACTIONS(16826), 1,
      sym__automatic_semicolon,
    STATE(14368), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7162), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(14259), 2,
      sym_comment,
      sym_block_comment,
  [612969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16828), 1,
      anon_sym_COMMA,
    ACTIONS(16830), 1,
      anon_sym_RPAREN,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15844), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14260), 2,
      sym_comment,
      sym_block_comment,
  [612995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16832), 1,
      anon_sym_COMMA,
    ACTIONS(16834), 1,
      anon_sym_RPAREN,
    STATE(14834), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14261), 2,
      sym_comment,
      sym_block_comment,
  [613021] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15519), 1,
      anon_sym_do,
    ACTIONS(16836), 1,
      anon_sym_SEMI,
    ACTIONS(16838), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14262), 2,
      sym_comment,
      sym_block_comment,
  [613045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [613063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16840), 1,
      anon_sym_SEMI,
    ACTIONS(16842), 1,
      anon_sym_else,
    STATE(14264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [613085] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15866), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14265), 2,
      sym_comment,
      sym_block_comment,
  [613109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16844), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16846), 1,
      anon_sym_COMMA,
    ACTIONS(16848), 1,
      anon_sym_RPAREN,
    STATE(15140), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14267), 2,
      sym_comment,
      sym_block_comment,
  [613153] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16850), 1,
      anon_sym_COMMA,
    ACTIONS(16852), 1,
      anon_sym_RPAREN,
    STATE(15502), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14268), 2,
      sym_comment,
      sym_block_comment,
  [613179] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15849), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14269), 2,
      sym_comment,
      sym_block_comment,
  [613203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14365), 1,
      aux_sym__block_repeat1,
    ACTIONS(651), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(16854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14270), 2,
      sym_comment,
      sym_block_comment,
  [613225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14270), 1,
      aux_sym__block_repeat1,
    ACTIONS(15925), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(15942), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14271), 2,
      sym_comment,
      sym_block_comment,
  [613247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16856), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16858), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16860), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16862), 1,
      anon_sym_SEMI,
    ACTIONS(16864), 1,
      anon_sym_else,
    STATE(14276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [613341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15471), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613359] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15519), 1,
      anon_sym_while,
    ACTIONS(16866), 1,
      anon_sym_SEMI,
    ACTIONS(16868), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14278), 2,
      sym_comment,
      sym_block_comment,
  [613383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8156), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [613401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15454), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613419] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16870), 1,
      anon_sym_COMMA,
    ACTIONS(16872), 1,
      anon_sym_RPAREN,
    STATE(15529), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14281), 2,
      sym_comment,
      sym_block_comment,
  [613445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16876), 1,
      anon_sym_EQ,
    STATE(14282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16874), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    ACTIONS(16880), 1,
      anon_sym_RPAREN,
    STATE(15206), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14283), 2,
      sym_comment,
      sym_block_comment,
  [613491] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16882), 1,
      anon_sym_COMMA,
    ACTIONS(16884), 1,
      anon_sym_RPAREN,
    STATE(14978), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14284), 2,
      sym_comment,
      sym_block_comment,
  [613517] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16886), 1,
      anon_sym_COMMA,
    ACTIONS(16888), 1,
      anon_sym_RPAREN,
    STATE(15355), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14285), 2,
      sym_comment,
      sym_block_comment,
  [613543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15434), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [613561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11898), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [613579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15438), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [613597] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13578), 1,
      anon_sym_LPAREN,
    STATE(15719), 1,
      sym_arguments,
    STATE(14289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [613619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15478), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613637] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16890), 1,
      anon_sym_COMMA,
    ACTIONS(16892), 1,
      anon_sym_RPAREN,
    STATE(15567), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14291), 2,
      sym_comment,
      sym_block_comment,
  [613663] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16727), 1,
      anon_sym_COMMA,
    STATE(14212), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [613685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16896), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16898), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613721] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16900), 1,
      anon_sym_COMMA,
    ACTIONS(16902), 1,
      anon_sym_RPAREN,
    STATE(15104), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14295), 2,
      sym_comment,
      sym_block_comment,
  [613747] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16727), 1,
      anon_sym_COMMA,
    STATE(14213), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [613769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16904), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8432), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [613805] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16906), 1,
      anon_sym_RBRACE,
    ACTIONS(16908), 1,
      anon_sym_COMMA,
    ACTIONS(16910), 1,
      anon_sym_EQ_GT,
    ACTIONS(16912), 1,
      anon_sym_as,
    STATE(14732), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14299), 2,
      sym_comment,
      sym_block_comment,
  [613831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16914), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16916), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16918), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [613903] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16920), 1,
      anon_sym_COMMA,
    ACTIONS(16922), 1,
      anon_sym_RPAREN,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15834), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14304), 2,
      sym_comment,
      sym_block_comment,
  [613929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [613947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16924), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613965] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16255), 1,
      anon_sym_derives,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14501), 1,
      sym_enum_body,
    STATE(15073), 1,
      sym_derives_clause,
    STATE(14307), 2,
      sym_comment,
      sym_block_comment,
  [613991] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(16926), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14308), 2,
      sym_comment,
      sym_block_comment,
  [614015] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14309), 2,
      sym_comment,
      sym_block_comment,
  [614039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16930), 1,
      anon_sym_EQ,
    STATE(14310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16928), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614059] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16932), 1,
      anon_sym_COMMA,
    ACTIONS(16934), 1,
      anon_sym_RPAREN,
    STATE(14816), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14311), 2,
      sym_comment,
      sym_block_comment,
  [614085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16429), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [614121] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16936), 1,
      anon_sym_COMMA,
    ACTIONS(16938), 1,
      anon_sym_RPAREN,
    STATE(15459), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14314), 2,
      sym_comment,
      sym_block_comment,
  [614147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16940), 1,
      anon_sym_COLON,
    STATE(14315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15993), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [614167] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16942), 1,
      anon_sym_COMMA,
    ACTIONS(16944), 1,
      anon_sym_RPAREN,
    STATE(15762), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14316), 2,
      sym_comment,
      sym_block_comment,
  [614193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16394), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16946), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16948), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16950), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16952), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16954), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614301] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16956), 1,
      anon_sym_SEMI,
    ACTIONS(16959), 1,
      anon_sym_else,
    STATE(14323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15509), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [614323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16962), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614341] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15519), 1,
      anon_sym_while,
    ACTIONS(16964), 1,
      anon_sym_SEMI,
    ACTIONS(16967), 1,
      anon_sym_else,
    ACTIONS(15516), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14325), 2,
      sym_comment,
      sym_block_comment,
  [614365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16970), 1,
      anon_sym_COMMA,
    STATE(14327), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16725), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [614387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16972), 1,
      anon_sym_COMMA,
    ACTIONS(16729), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14327), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [614407] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16975), 1,
      anon_sym_COMMA,
    ACTIONS(16977), 1,
      anon_sym_RPAREN,
    STATE(15031), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14328), 2,
      sym_comment,
      sym_block_comment,
  [614433] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16979), 1,
      anon_sym_COMMA,
    ACTIONS(16981), 1,
      anon_sym_RPAREN,
    STATE(15649), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14329), 2,
      sym_comment,
      sym_block_comment,
  [614459] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16983), 1,
      anon_sym_COMMA,
    ACTIONS(16985), 1,
      anon_sym_RPAREN,
    STATE(15086), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14330), 2,
      sym_comment,
      sym_block_comment,
  [614485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16088), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [614503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16987), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16989), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16989), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16844), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614575] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16991), 1,
      anon_sym_COMMA,
    ACTIONS(16993), 1,
      anon_sym_RPAREN,
    STATE(14972), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14336), 2,
      sym_comment,
      sym_block_comment,
  [614601] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16995), 1,
      anon_sym_COMMA,
    ACTIONS(16997), 1,
      anon_sym_RPAREN,
    STATE(15225), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14337), 2,
      sym_comment,
      sym_block_comment,
  [614627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16463), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(16999), 1,
      anon_sym_COMMA,
    ACTIONS(17001), 1,
      anon_sym_RPAREN,
    STATE(15014), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14339), 2,
      sym_comment,
      sym_block_comment,
  [614671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8674), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [614707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17007), 1,
      anon_sym_EQ,
    STATE(14342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17005), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [614727] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17009), 1,
      anon_sym_COMMA,
    ACTIONS(17011), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14343), 2,
      sym_comment,
      sym_block_comment,
  [614753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9409), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [614771] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17013), 1,
      anon_sym_COMMA,
    ACTIONS(17015), 1,
      anon_sym_RPAREN,
    STATE(15394), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14345), 2,
      sym_comment,
      sym_block_comment,
  [614797] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17017), 1,
      anon_sym_COMMA,
    ACTIONS(17019), 1,
      anon_sym_RPAREN,
    STATE(14787), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14346), 2,
      sym_comment,
      sym_block_comment,
  [614823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10416), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [614859] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16655), 1,
      anon_sym_SEMI,
    ACTIONS(17023), 1,
      sym__automatic_semicolon,
    STATE(14359), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7162), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(14349), 2,
      sym_comment,
      sym_block_comment,
  [614883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17025), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16970), 1,
      anon_sym_COMMA,
    STATE(14326), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [614923] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16970), 1,
      anon_sym_COMMA,
    STATE(14327), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [614945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17027), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16904), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17029), 1,
      anon_sym_with,
    ACTIONS(9450), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    STATE(14355), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
  [615001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17032), 1,
      anon_sym_COMMA,
    ACTIONS(17034), 1,
      anon_sym_RPAREN,
    STATE(15405), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14356), 2,
      sym_comment,
      sym_block_comment,
  [615027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16271), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(17036), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14357), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [615047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17039), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16625), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(17041), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14359), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [615085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615103] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17046), 1,
      anon_sym_COMMA,
    ACTIONS(17048), 1,
      anon_sym_RPAREN,
    STATE(15222), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14361), 2,
      sym_comment,
      sym_block_comment,
  [615129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17050), 1,
      anon_sym_EQ,
    STATE(14362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16874), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [615149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17052), 1,
      anon_sym_EQ,
    STATE(14363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17005), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15544), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16271), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(17054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14365), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [615207] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      anon_sym_RPAREN,
    STATE(15233), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14366), 2,
      sym_comment,
      sym_block_comment,
  [615233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16486), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [615251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16625), 2,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(17061), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14368), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [615271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17064), 1,
      anon_sym_COMMA,
    ACTIONS(17066), 1,
      anon_sym_RPAREN,
    STATE(15756), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14369), 2,
      sym_comment,
      sym_block_comment,
  [615297] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17068), 1,
      anon_sym_COMMA,
    ACTIONS(17070), 1,
      anon_sym_RPAREN,
    STATE(14786), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14370), 2,
      sym_comment,
      sym_block_comment,
  [615323] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17072), 1,
      anon_sym_COMMA,
    ACTIONS(17074), 1,
      anon_sym_RPAREN,
    STATE(14758), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14371), 2,
      sym_comment,
      sym_block_comment,
  [615349] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17076), 1,
      anon_sym_COMMA,
    ACTIONS(17078), 1,
      anon_sym_RPAREN,
    STATE(15056), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14372), 2,
      sym_comment,
      sym_block_comment,
  [615375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17080), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17080), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615411] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_LBRACE,
    ACTIONS(13280), 1,
      anon_sym_COLON,
    STATE(14428), 1,
      sym_template_body,
    STATE(9156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14375), 2,
      sym_comment,
      sym_block_comment,
  [615435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14357), 1,
      aux_sym__block_repeat1,
    ACTIONS(651), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(17082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14376), 2,
      sym_comment,
      sym_block_comment,
  [615457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16518), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [615475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17084), 1,
      anon_sym_COLON,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(17087), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14378), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat2,
  [615497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16520), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [615515] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14380), 2,
      sym_comment,
      sym_block_comment,
  [615539] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 1,
      anon_sym_COLON,
    STATE(14378), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15266), 1,
      sym_context_bound,
    ACTIONS(15440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14381), 2,
      sym_comment,
      sym_block_comment,
  [615563] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16255), 1,
      anon_sym_derives,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14489), 1,
      sym_enum_body,
    STATE(15364), 1,
      sym_derives_clause,
    STATE(14382), 2,
      sym_comment,
      sym_block_comment,
  [615589] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17089), 1,
      anon_sym_COMMA,
    ACTIONS(17091), 1,
      anon_sym_RPAREN,
    STATE(15501), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14383), 2,
      sym_comment,
      sym_block_comment,
  [615615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16536), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [615633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17093), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17095), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8752), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    ACTIONS(17097), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14388), 2,
      sym_comment,
      sym_block_comment,
  [615711] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17099), 1,
      anon_sym_COMMA,
    ACTIONS(17101), 1,
      anon_sym_RPAREN,
    STATE(15112), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14389), 2,
      sym_comment,
      sym_block_comment,
  [615737] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16970), 1,
      anon_sym_COMMA,
    STATE(14352), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17103), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [615759] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16910), 1,
      anon_sym_EQ_GT,
    ACTIONS(16912), 1,
      anon_sym_as,
    ACTIONS(17105), 1,
      anon_sym_RBRACE,
    ACTIONS(17107), 1,
      anon_sym_COMMA,
    STATE(15447), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14391), 2,
      sym_comment,
      sym_block_comment,
  [615785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17109), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17111), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615821] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17113), 1,
      anon_sym_COMMA,
    ACTIONS(17115), 1,
      anon_sym_RPAREN,
    STATE(14853), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14394), 2,
      sym_comment,
      sym_block_comment,
  [615847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17117), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615865] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17119), 1,
      anon_sym_COMMA,
    ACTIONS(17121), 1,
      anon_sym_RPAREN,
    STATE(15145), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14396), 2,
      sym_comment,
      sym_block_comment,
  [615891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17123), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17125), 1,
      anon_sym_EQ,
    STATE(14398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16798), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17127), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17129), 1,
      anon_sym_EQ,
    STATE(14400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16928), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [615967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17131), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615985] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16727), 1,
      anon_sym_COMMA,
    STATE(14296), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17103), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [616007] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17133), 1,
      anon_sym_COMMA,
    ACTIONS(17135), 1,
      anon_sym_RPAREN,
    STATE(15729), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14403), 2,
      sym_comment,
      sym_block_comment,
  [616033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17137), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [616051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17139), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [616069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16599), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [616087] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17141), 1,
      anon_sym_COMMA,
    ACTIONS(17143), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14407), 2,
      sym_comment,
      sym_block_comment,
  [616113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [616131] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17145), 1,
      anon_sym_COMMA,
    ACTIONS(17147), 1,
      anon_sym_RPAREN,
    STATE(15291), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14409), 2,
      sym_comment,
      sym_block_comment,
  [616157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17149), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [616175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16247), 1,
      anon_sym_finally,
    STATE(13972), 1,
      sym_finally_clause,
    STATE(14411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13421), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [616197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17151), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [616215] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    ACTIONS(16255), 1,
      anon_sym_derives,
    STATE(14322), 1,
      sym_enum_body,
    STATE(15767), 1,
      sym_derives_clause,
    STATE(14413), 2,
      sym_comment,
      sym_block_comment,
  [616241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17153), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [616259] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17155), 1,
      anon_sym_COMMA,
    ACTIONS(17157), 1,
      anon_sym_RPAREN,
    STATE(15050), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14415), 2,
      sym_comment,
      sym_block_comment,
  [616285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14376), 1,
      aux_sym__block_repeat1,
    ACTIONS(15925), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(15927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14416), 2,
      sym_comment,
      sym_block_comment,
  [616307] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17159), 1,
      anon_sym_COMMA,
    ACTIONS(17161), 1,
      anon_sym_RPAREN,
    STATE(14921), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14417), 2,
      sym_comment,
      sym_block_comment,
  [616333] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17163), 1,
      anon_sym_COLON,
    ACTIONS(17167), 1,
      anon_sym_EQ,
    ACTIONS(17165), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14418), 2,
      sym_comment,
      sym_block_comment,
  [616354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17169), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [616371] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17173), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14420), 2,
      sym_comment,
      sym_block_comment,
  [616394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16625), 1,
      sym__outdent,
    ACTIONS(17175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14421), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [616413] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17178), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14422), 2,
      sym_comment,
      sym_block_comment,
  [616436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17080), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17080), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17093), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17095), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17180), 1,
      anon_sym_LBRACE,
    ACTIONS(17182), 1,
      sym__indent,
    STATE(13786), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14427), 2,
      sym_comment,
      sym_block_comment,
  [616525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616542] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17184), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14429), 2,
      sym_comment,
      sym_block_comment,
  [616565] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17186), 1,
      anon_sym_LBRACE,
    ACTIONS(17188), 1,
      sym__indent,
    STATE(11693), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14430), 2,
      sym_comment,
      sym_block_comment,
  [616586] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17190), 1,
      anon_sym_RBRACE,
    ACTIONS(17192), 1,
      anon_sym_case,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14431), 2,
      sym_comment,
      sym_block_comment,
  [616609] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17194), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14432), 2,
      sym_comment,
      sym_block_comment,
  [616632] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17196), 1,
      anon_sym_RBRACE,
    STATE(14583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14433), 2,
      sym_comment,
      sym_block_comment,
  [616655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17117), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17127), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17131), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17137), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17139), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17198), 1,
      anon_sym_EQ,
    STATE(14439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16928), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [616759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17200), 1,
      anon_sym_LBRACE,
    ACTIONS(17202), 1,
      sym__indent,
    STATE(13447), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14440), 2,
      sym_comment,
      sym_block_comment,
  [616780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17204), 1,
      anon_sym_COLON,
    ACTIONS(17208), 1,
      anon_sym_EQ,
    ACTIONS(17206), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14441), 2,
      sym_comment,
      sym_block_comment,
  [616801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7066), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [616818] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17212), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14443), 2,
      sym_comment,
      sym_block_comment,
  [616841] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17214), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14444), 2,
      sym_comment,
      sym_block_comment,
  [616864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17186), 1,
      anon_sym_LBRACE,
    ACTIONS(17188), 1,
      sym__indent,
    STATE(11641), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14445), 2,
      sym_comment,
      sym_block_comment,
  [616885] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17216), 1,
      anon_sym_RBRACE,
    STATE(14630), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14446), 2,
      sym_comment,
      sym_block_comment,
  [616908] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17218), 1,
      anon_sym_COLON,
    ACTIONS(17221), 1,
      anon_sym_COMMA,
    ACTIONS(17224), 1,
      anon_sym_EQ,
    STATE(14543), 1,
      aux_sym_identifiers_repeat1,
    STATE(14447), 2,
      sym_comment,
      sym_block_comment,
  [616931] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16538), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14448), 2,
      sym_comment,
      sym_block_comment,
  [616954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(663), 1,
      anon_sym_RBRACE,
    STATE(14591), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14449), 2,
      sym_comment,
      sym_block_comment,
  [616975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17153), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [616992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17151), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17228), 1,
      anon_sym_COMMA,
    STATE(14609), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15794), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14452), 2,
      sym_comment,
      sym_block_comment,
  [617030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [617047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17149), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617064] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17230), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14455), 2,
      sym_comment,
      sym_block_comment,
  [617087] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17232), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14456), 2,
      sym_comment,
      sym_block_comment,
  [617110] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17234), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14457), 2,
      sym_comment,
      sym_block_comment,
  [617133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17044), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(663), 1,
      sym__outdent,
    STATE(14530), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14459), 2,
      sym_comment,
      sym_block_comment,
  [617171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17123), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17039), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17238), 1,
      anon_sym_LBRACE,
    ACTIONS(17240), 1,
      sym__indent,
    STATE(13875), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14462), 2,
      sym_comment,
      sym_block_comment,
  [617226] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17242), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14463), 2,
      sym_comment,
      sym_block_comment,
  [617249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16601), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14464), 2,
      sym_comment,
      sym_block_comment,
  [617272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17111), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16627), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [617306] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17244), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14467), 2,
      sym_comment,
      sym_block_comment,
  [617329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17025), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17021), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617363] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17246), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14470), 2,
      sym_comment,
      sym_block_comment,
  [617386] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17248), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14471), 2,
      sym_comment,
      sym_block_comment,
  [617409] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17250), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14472), 2,
      sym_comment,
      sym_block_comment,
  [617432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17252), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [617449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16924), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16918), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617483] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14795), 1,
      anon_sym_LPAREN,
    ACTIONS(17254), 1,
      sym__automatic_semicolon,
    STATE(13665), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14297), 1,
      sym_class_parameters,
    STATE(14476), 2,
      sym_comment,
      sym_block_comment,
  [617506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17180), 1,
      anon_sym_LBRACE,
    ACTIONS(17182), 1,
      sym__indent,
    STATE(13710), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14477), 2,
      sym_comment,
      sym_block_comment,
  [617527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16633), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617544] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17256), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14479), 2,
      sym_comment,
      sym_block_comment,
  [617567] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17258), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14480), 2,
      sym_comment,
      sym_block_comment,
  [617590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17027), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617607] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17260), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14482), 2,
      sym_comment,
      sym_block_comment,
  [617630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16271), 1,
      sym__outdent,
    ACTIONS(17262), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14483), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [617649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16271), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16898), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617683] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14486), 2,
      sym_comment,
      sym_block_comment,
  [617706] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17265), 1,
      anon_sym_RBRACE,
    STATE(14498), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14487), 2,
      sym_comment,
      sym_block_comment,
  [617729] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17267), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14488), 2,
      sym_comment,
      sym_block_comment,
  [617752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16896), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617769] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16480), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14490), 2,
      sym_comment,
      sym_block_comment,
  [617792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16844), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16844), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16989), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16989), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16987), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16962), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17200), 1,
      anon_sym_LBRACE,
    ACTIONS(17202), 1,
      sym__indent,
    STATE(13529), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14497), 2,
      sym_comment,
      sym_block_comment,
  [617915] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17269), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14498), 2,
      sym_comment,
      sym_block_comment,
  [617938] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17271), 1,
      anon_sym_RBRACE,
    STATE(14707), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14499), 2,
      sym_comment,
      sym_block_comment,
  [617961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17109), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16954), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [617995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16952), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16950), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16948), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_LBRACE,
    ACTIONS(17275), 1,
      sym__indent,
    STATE(12044), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14505), 2,
      sym_comment,
      sym_block_comment,
  [618067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16946), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17277), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14507), 2,
      sym_comment,
      sym_block_comment,
  [618107] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17281), 1,
      anon_sym_EQ,
    ACTIONS(17279), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14508), 2,
      sym_comment,
      sym_block_comment,
  [618128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16261), 1,
      sym__outdent,
    STATE(14459), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16259), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14509), 2,
      sym_comment,
      sym_block_comment,
  [618149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17283), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14510), 2,
      sym_comment,
      sym_block_comment,
  [618172] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7176), 1,
      sym__outdent,
    ACTIONS(17285), 1,
      anon_sym_SEMI,
    ACTIONS(17287), 1,
      sym__automatic_semicolon,
    STATE(14421), 1,
      aux_sym_enumerators_repeat1,
    STATE(14511), 2,
      sym_comment,
      sym_block_comment,
  [618195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7164), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [618212] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17289), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14513), 2,
      sym_comment,
      sym_block_comment,
  [618235] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17238), 1,
      anon_sym_LBRACE,
    ACTIONS(17240), 1,
      sym__indent,
    STATE(13990), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14514), 2,
      sym_comment,
      sym_block_comment,
  [618256] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17291), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14515), 2,
      sym_comment,
      sym_block_comment,
  [618279] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17293), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14516), 2,
      sym_comment,
      sym_block_comment,
  [618302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618319] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17295), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14518), 2,
      sym_comment,
      sym_block_comment,
  [618342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(443), 1,
      ts_builtin_sym_end,
    STATE(14694), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17297), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14519), 2,
      sym_comment,
      sym_block_comment,
  [618363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17299), 1,
      anon_sym_COMMA,
    ACTIONS(17302), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(14520), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_type_repeat1,
  [618382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16916), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618399] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16534), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14522), 2,
      sym_comment,
      sym_block_comment,
  [618422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17304), 1,
      anon_sym_LBRACE,
    ACTIONS(17306), 1,
      sym__indent,
    STATE(12359), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14523), 2,
      sym_comment,
      sym_block_comment,
  [618443] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17308), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14524), 2,
      sym_comment,
      sym_block_comment,
  [618466] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17310), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14525), 2,
      sym_comment,
      sym_block_comment,
  [618489] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17312), 1,
      anon_sym_RBRACE,
    STATE(14669), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14526), 2,
      sym_comment,
      sym_block_comment,
  [618512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9780), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [618529] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17314), 1,
      anon_sym_RBRACE,
    STATE(14641), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14528), 2,
      sym_comment,
      sym_block_comment,
  [618552] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17316), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14529), 2,
      sym_comment,
      sym_block_comment,
  [618575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16451), 1,
      sym__outdent,
    ACTIONS(17318), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14530), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [618594] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17321), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14531), 2,
      sym_comment,
      sym_block_comment,
  [618617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17304), 1,
      anon_sym_LBRACE,
    ACTIONS(17306), 1,
      sym__indent,
    STATE(12332), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14532), 2,
      sym_comment,
      sym_block_comment,
  [618638] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17323), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14533), 2,
      sym_comment,
      sym_block_comment,
  [618661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17325), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [618678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17327), 1,
      anon_sym_RBRACE,
    STATE(14693), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14535), 2,
      sym_comment,
      sym_block_comment,
  [618701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17329), 1,
      anon_sym_LBRACE,
    ACTIONS(17331), 1,
      sym__indent,
    STATE(13664), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14536), 2,
      sym_comment,
      sym_block_comment,
  [618722] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17333), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14537), 2,
      sym_comment,
      sym_block_comment,
  [618745] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17335), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14538), 2,
      sym_comment,
      sym_block_comment,
  [618768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16860), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16858), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618802] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16478), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14541), 2,
      sym_comment,
      sym_block_comment,
  [618825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17337), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14542), 2,
      sym_comment,
      sym_block_comment,
  [618848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17341), 1,
      anon_sym_COMMA,
    STATE(14659), 1,
      aux_sym_identifiers_repeat1,
    ACTIONS(17339), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(14543), 2,
      sym_comment,
      sym_block_comment,
  [618869] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17343), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14544), 2,
      sym_comment,
      sym_block_comment,
  [618892] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17345), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14545), 2,
      sym_comment,
      sym_block_comment,
  [618915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16856), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618932] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16398), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14547), 2,
      sym_comment,
      sym_block_comment,
  [618955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16812), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [618972] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17347), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14549), 2,
      sym_comment,
      sym_block_comment,
  [618995] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17349), 1,
      anon_sym_RBRACE,
    STATE(14692), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14550), 2,
      sym_comment,
      sym_block_comment,
  [619018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17351), 1,
      anon_sym_COMMA,
    ACTIONS(17353), 1,
      anon_sym_RPAREN,
    STATE(14733), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14551), 2,
      sym_comment,
      sym_block_comment,
  [619041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16796), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16659), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16784), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619109] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17355), 1,
      anon_sym_COMMA,
    ACTIONS(17357), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14556), 2,
      sym_comment,
      sym_block_comment,
  [619132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16776), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16768), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17359), 1,
      anon_sym_LBRACE,
    ACTIONS(17361), 1,
      sym__indent,
    STATE(13486), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14560), 2,
      sym_comment,
      sym_block_comment,
  [619204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17363), 1,
      anon_sym_LBRACE,
    ACTIONS(17365), 1,
      sym__indent,
    STATE(12363), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14561), 2,
      sym_comment,
      sym_block_comment,
  [619225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16729), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [619242] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17367), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14563), 2,
      sym_comment,
      sym_block_comment,
  [619265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16435), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14564), 2,
      sym_comment,
      sym_block_comment,
  [619288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16816), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16814), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16810), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16715), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619356] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17369), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14569), 2,
      sym_comment,
      sym_block_comment,
  [619379] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    ACTIONS(17373), 1,
      sym__indent,
    STATE(13092), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14570), 2,
      sym_comment,
      sym_block_comment,
  [619400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16661), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16663), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17375), 1,
      anon_sym_EQ,
    STATE(14573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16874), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [619453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16808), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619470] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17377), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14575), 2,
      sym_comment,
      sym_block_comment,
  [619493] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17379), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14576), 2,
      sym_comment,
      sym_block_comment,
  [619516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17381), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14577), 2,
      sym_comment,
      sym_block_comment,
  [619539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17383), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [619556] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16465), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14579), 2,
      sym_comment,
      sym_block_comment,
  [619579] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17385), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14580), 2,
      sym_comment,
      sym_block_comment,
  [619602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17389), 1,
      anon_sym_EQ,
    ACTIONS(17387), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14581), 2,
      sym_comment,
      sym_block_comment,
  [619623] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17391), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14582), 2,
      sym_comment,
      sym_block_comment,
  [619646] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17393), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14583), 2,
      sym_comment,
      sym_block_comment,
  [619669] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17395), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14584), 2,
      sym_comment,
      sym_block_comment,
  [619692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17397), 1,
      anon_sym_LBRACE,
    ACTIONS(17399), 1,
      sym__indent,
    STATE(13209), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14585), 2,
      sym_comment,
      sym_block_comment,
  [619713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16802), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619730] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17401), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14587), 2,
      sym_comment,
      sym_block_comment,
  [619753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16271), 1,
      anon_sym_RBRACE,
    ACTIONS(17403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14588), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [619772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16271), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [619789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17169), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [619806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16451), 1,
      anon_sym_RBRACE,
    ACTIONS(17406), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14591), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [619825] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17228), 1,
      anon_sym_COMMA,
    STATE(14452), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15713), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14592), 2,
      sym_comment,
      sym_block_comment,
  [619846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17409), 1,
      anon_sym_DOT,
    STATE(14593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [619865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17411), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14594), 2,
      sym_comment,
      sym_block_comment,
  [619888] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17413), 1,
      anon_sym_RBRACE,
    STATE(14575), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14595), 2,
      sym_comment,
      sym_block_comment,
  [619911] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17415), 1,
      anon_sym_RBRACE,
    STATE(14612), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14596), 2,
      sym_comment,
      sym_block_comment,
  [619934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16261), 1,
      anon_sym_RBRACE,
    STATE(14449), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16316), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14597), 2,
      sym_comment,
      sym_block_comment,
  [619955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17417), 1,
      anon_sym_COLON,
    ACTIONS(17421), 1,
      anon_sym_EQ,
    ACTIONS(17419), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14598), 2,
      sym_comment,
      sym_block_comment,
  [619976] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17423), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14599), 2,
      sym_comment,
      sym_block_comment,
  [619999] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17329), 1,
      anon_sym_LBRACE,
    ACTIONS(17331), 1,
      sym__indent,
    STATE(13827), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14600), 2,
      sym_comment,
      sym_block_comment,
  [620020] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17425), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14601), 2,
      sym_comment,
      sym_block_comment,
  [620043] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14602), 2,
      sym_comment,
      sym_block_comment,
  [620066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(417), 1,
      ts_builtin_sym_end,
    STATE(14627), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17427), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14603), 2,
      sym_comment,
      sym_block_comment,
  [620087] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14604), 2,
      sym_comment,
      sym_block_comment,
  [620110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [620127] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17429), 1,
      anon_sym_case,
    ACTIONS(17432), 1,
      sym__outdent,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14606), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__indented_type_cases_repeat1,
  [620148] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17434), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14607), 2,
      sym_comment,
      sym_block_comment,
  [620171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17436), 1,
      anon_sym_LBRACE,
    ACTIONS(17438), 1,
      sym__indent,
    STATE(13322), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14608), 2,
      sym_comment,
      sym_block_comment,
  [620192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17440), 1,
      anon_sym_COMMA,
    ACTIONS(15835), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14609), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
  [620211] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14474), 1,
      anon_sym_LPAREN,
    ACTIONS(17443), 1,
      sym__automatic_semicolon,
    STATE(13666), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14354), 1,
      sym_class_parameters,
    STATE(14610), 2,
      sym_comment,
      sym_block_comment,
  [620234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16778), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620251] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17445), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14612), 2,
      sym_comment,
      sym_block_comment,
  [620274] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17447), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14613), 2,
      sym_comment,
      sym_block_comment,
  [620297] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17449), 1,
      anon_sym_RBRACE,
    STATE(14684), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14614), 2,
      sym_comment,
      sym_block_comment,
  [620320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16774), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620337] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17451), 1,
      anon_sym_LBRACE,
    ACTIONS(17453), 1,
      sym__indent,
    STATE(12912), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14616), 2,
      sym_comment,
      sym_block_comment,
  [620358] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17455), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14617), 2,
      sym_comment,
      sym_block_comment,
  [620381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16760), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17397), 1,
      anon_sym_LBRACE,
    ACTIONS(17399), 1,
      sym__indent,
    STATE(13153), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14619), 2,
      sym_comment,
      sym_block_comment,
  [620419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16752), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17457), 1,
      anon_sym_EQ,
    STATE(14621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17005), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [620455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15890), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [620472] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17459), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14623), 2,
      sym_comment,
      sym_block_comment,
  [620495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17461), 1,
      anon_sym_case,
    ACTIONS(17464), 1,
      sym__outdent,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14624), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [620516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17466), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14625), 2,
      sym_comment,
      sym_block_comment,
  [620539] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17468), 1,
      anon_sym_RBRACE,
    STATE(14513), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14626), 2,
      sym_comment,
      sym_block_comment,
  [620562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17470), 1,
      ts_builtin_sym_end,
    ACTIONS(17472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14627), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compilation_unit_repeat1,
  [620581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(651), 1,
      sym__outdent,
    STATE(14483), 1,
      aux_sym__block_repeat1,
    ACTIONS(17475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14628), 2,
      sym_comment,
      sym_block_comment,
  [620602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16744), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620619] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17477), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14630), 2,
      sym_comment,
      sym_block_comment,
  [620642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16738), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620659] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17479), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14632), 2,
      sym_comment,
      sym_block_comment,
  [620682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17359), 1,
      anon_sym_LBRACE,
    ACTIONS(17361), 1,
      sym__indent,
    STATE(13614), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14633), 2,
      sym_comment,
      sym_block_comment,
  [620703] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16594), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14634), 2,
      sym_comment,
      sym_block_comment,
  [620726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17363), 1,
      anon_sym_LBRACE,
    ACTIONS(17365), 1,
      sym__indent,
    STATE(12280), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14635), 2,
      sym_comment,
      sym_block_comment,
  [620747] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17483), 1,
      anon_sym_EQ,
    ACTIONS(17481), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14636), 2,
      sym_comment,
      sym_block_comment,
  [620768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17485), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14637), 2,
      sym_comment,
      sym_block_comment,
  [620791] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17487), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14638), 2,
      sym_comment,
      sym_block_comment,
  [620814] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17489), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14639), 2,
      sym_comment,
      sym_block_comment,
  [620837] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17491), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14640), 2,
      sym_comment,
      sym_block_comment,
  [620860] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17493), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14641), 2,
      sym_comment,
      sym_block_comment,
  [620883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17285), 1,
      anon_sym_SEMI,
    ACTIONS(17495), 1,
      sym__automatic_semicolon,
    ACTIONS(17497), 1,
      sym__outdent,
    STATE(14511), 1,
      aux_sym_enumerators_repeat1,
    STATE(14642), 2,
      sym_comment,
      sym_block_comment,
  [620906] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17499), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14643), 2,
      sym_comment,
      sym_block_comment,
  [620929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17501), 1,
      anon_sym_LBRACE,
    ACTIONS(17503), 1,
      sym__indent,
    STATE(13963), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14644), 2,
      sym_comment,
      sym_block_comment,
  [620950] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17505), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14645), 2,
      sym_comment,
      sym_block_comment,
  [620973] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17507), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14646), 2,
      sym_comment,
      sym_block_comment,
  [620996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17509), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [621013] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17511), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14648), 2,
      sym_comment,
      sym_block_comment,
  [621036] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16551), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14649), 2,
      sym_comment,
      sym_block_comment,
  [621059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16392), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14650), 2,
      sym_comment,
      sym_block_comment,
  [621082] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16561), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14651), 2,
      sym_comment,
      sym_block_comment,
  [621105] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17513), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14652), 2,
      sym_comment,
      sym_block_comment,
  [621128] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17515), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14653), 2,
      sym_comment,
      sym_block_comment,
  [621151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15890), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [621168] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17517), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14655), 2,
      sym_comment,
      sym_block_comment,
  [621191] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17519), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14656), 2,
      sym_comment,
      sym_block_comment,
  [621214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16713), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621231] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17521), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14658), 2,
      sym_comment,
      sym_block_comment,
  [621254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17525), 1,
      anon_sym_COMMA,
    ACTIONS(17523), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(14659), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_identifiers_repeat1,
  [621273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17528), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14660), 2,
      sym_comment,
      sym_block_comment,
  [621296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17436), 1,
      anon_sym_LBRACE,
    ACTIONS(17438), 1,
      sym__indent,
    STATE(13417), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14661), 2,
      sym_comment,
      sym_block_comment,
  [621317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16330), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [621334] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17530), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14663), 2,
      sym_comment,
      sym_block_comment,
  [621357] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17532), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14664), 2,
      sym_comment,
      sym_block_comment,
  [621380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17534), 1,
      anon_sym_LBRACE,
    ACTIONS(17536), 1,
      sym__indent,
    STATE(13640), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14665), 2,
      sym_comment,
      sym_block_comment,
  [621401] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17538), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14666), 2,
      sym_comment,
      sym_block_comment,
  [621424] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14667), 2,
      sym_comment,
      sym_block_comment,
  [621447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16677), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621464] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17540), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14669), 2,
      sym_comment,
      sym_block_comment,
  [621487] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17542), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14670), 2,
      sym_comment,
      sym_block_comment,
  [621510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      anon_sym_RBRACE,
    STATE(14676), 1,
      aux_sym__block_repeat1,
    ACTIONS(16225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14671), 2,
      sym_comment,
      sym_block_comment,
  [621531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17546), 1,
      anon_sym_EQ,
    ACTIONS(17544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14673), 2,
      sym_comment,
      sym_block_comment,
  [621569] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17464), 1,
      anon_sym_RBRACE,
    ACTIONS(17548), 1,
      anon_sym_case,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14674), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [621590] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17551), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14675), 2,
      sym_comment,
      sym_block_comment,
  [621613] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(651), 1,
      anon_sym_RBRACE,
    STATE(14588), 1,
      aux_sym__block_repeat1,
    ACTIONS(17553), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14676), 2,
      sym_comment,
      sym_block_comment,
  [621634] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17555), 1,
      anon_sym_RBRACE,
    STATE(14531), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14677), 2,
      sym_comment,
      sym_block_comment,
  [621657] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17557), 1,
      anon_sym_LBRACE,
    ACTIONS(17559), 1,
      sym__indent,
    STATE(13335), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14678), 2,
      sym_comment,
      sym_block_comment,
  [621678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17561), 1,
      anon_sym_COLON,
    ACTIONS(17565), 1,
      anon_sym_EQ,
    ACTIONS(17563), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14679), 2,
      sym_comment,
      sym_block_comment,
  [621699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16667), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621716] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16592), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14681), 2,
      sym_comment,
      sym_block_comment,
  [621739] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17567), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14682), 2,
      sym_comment,
      sym_block_comment,
  [621762] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17569), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14683), 2,
      sym_comment,
      sym_block_comment,
  [621785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17571), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14684), 2,
      sym_comment,
      sym_block_comment,
  [621808] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17573), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14685), 2,
      sym_comment,
      sym_block_comment,
  [621831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(429), 1,
      ts_builtin_sym_end,
    STATE(14603), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17575), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14686), 2,
      sym_comment,
      sym_block_comment,
  [621852] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17577), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14687), 2,
      sym_comment,
      sym_block_comment,
  [621875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17579), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14688), 2,
      sym_comment,
      sym_block_comment,
  [621898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17451), 1,
      anon_sym_LBRACE,
    ACTIONS(17453), 1,
      sym__indent,
    STATE(12706), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14689), 2,
      sym_comment,
      sym_block_comment,
  [621919] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17581), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14690), 2,
      sym_comment,
      sym_block_comment,
  [621942] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17583), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14691), 2,
      sym_comment,
      sym_block_comment,
  [621965] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17585), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14692), 2,
      sym_comment,
      sym_block_comment,
  [621988] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17587), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14693), 2,
      sym_comment,
      sym_block_comment,
  [622011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(429), 1,
      ts_builtin_sym_end,
    STATE(14627), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17575), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14694), 2,
      sym_comment,
      sym_block_comment,
  [622032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17501), 1,
      anon_sym_LBRACE,
    ACTIONS(17503), 1,
      sym__indent,
    STATE(13962), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14695), 2,
      sym_comment,
      sym_block_comment,
  [622053] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17589), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14696), 2,
      sym_comment,
      sym_block_comment,
  [622076] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(17591), 1,
      anon_sym_while,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14697), 2,
      sym_comment,
      sym_block_comment,
  [622099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16669), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17534), 1,
      anon_sym_LBRACE,
    ACTIONS(17536), 1,
      sym__indent,
    STATE(13737), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14699), 2,
      sym_comment,
      sym_block_comment,
  [622137] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17557), 1,
      anon_sym_LBRACE,
    ACTIONS(17559), 1,
      sym__indent,
    STATE(13373), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14700), 2,
      sym_comment,
      sym_block_comment,
  [622158] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17593), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14701), 2,
      sym_comment,
      sym_block_comment,
  [622181] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17595), 1,
      anon_sym_RBRACE,
    STATE(14696), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14702), 2,
      sym_comment,
      sym_block_comment,
  [622204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17597), 1,
      anon_sym_LBRACE,
    ACTIONS(17599), 1,
      sym__indent,
    STATE(11795), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14703), 2,
      sym_comment,
      sym_block_comment,
  [622225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16729), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [622242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17601), 1,
      anon_sym_EQ,
    STATE(14705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16798), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [622261] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16910), 1,
      anon_sym_EQ_GT,
    ACTIONS(16912), 1,
      anon_sym_as,
    ACTIONS(17603), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(14706), 2,
      sym_comment,
      sym_block_comment,
  [622282] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17605), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14707), 2,
      sym_comment,
      sym_block_comment,
  [622305] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17607), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14708), 2,
      sym_comment,
      sym_block_comment,
  [622328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      sym__outdent,
    STATE(14628), 1,
      aux_sym__block_repeat1,
    ACTIONS(16257), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14709), 2,
      sym_comment,
      sym_block_comment,
  [622349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17609), 1,
      anon_sym_LBRACE,
    ACTIONS(17611), 1,
      sym__indent,
    STATE(12884), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14710), 2,
      sym_comment,
      sym_block_comment,
  [622370] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17613), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14711), 2,
      sym_comment,
      sym_block_comment,
  [622393] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17615), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14712), 2,
      sym_comment,
      sym_block_comment,
  [622416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17619), 1,
      anon_sym_EQ,
    ACTIONS(17617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14713), 2,
      sym_comment,
      sym_block_comment,
  [622437] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17621), 1,
      anon_sym_RBRACE,
    STATE(14645), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14714), 2,
      sym_comment,
      sym_block_comment,
  [622460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_LBRACE,
    ACTIONS(17275), 1,
      sym__indent,
    STATE(11802), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14715), 2,
      sym_comment,
      sym_block_comment,
  [622481] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    ACTIONS(17623), 1,
      anon_sym_COLON,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(14716), 2,
      sym_comment,
      sym_block_comment,
  [622504] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17625), 1,
      anon_sym_RBRACE,
    STATE(14516), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14717), 2,
      sym_comment,
      sym_block_comment,
  [622527] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    ACTIONS(17627), 1,
      sym__outdent,
    STATE(14606), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14718), 2,
      sym_comment,
      sym_block_comment,
  [622550] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17629), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14719), 2,
      sym_comment,
      sym_block_comment,
  [622573] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17609), 1,
      anon_sym_LBRACE,
    ACTIONS(17611), 1,
      sym__indent,
    STATE(12794), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14720), 2,
      sym_comment,
      sym_block_comment,
  [622594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17597), 1,
      anon_sym_LBRACE,
    ACTIONS(17599), 1,
      sym__indent,
    STATE(12041), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14721), 2,
      sym_comment,
      sym_block_comment,
  [622615] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17631), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14722), 2,
      sym_comment,
      sym_block_comment,
  [622638] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17633), 1,
      anon_sym_RBRACE,
    STATE(14584), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14723), 2,
      sym_comment,
      sym_block_comment,
  [622661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    ACTIONS(17373), 1,
      sym__indent,
    STATE(13134), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14724), 2,
      sym_comment,
      sym_block_comment,
  [622682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17637), 1,
      anon_sym_EQ,
    ACTIONS(17635), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14725), 2,
      sym_comment,
      sym_block_comment,
  [622703] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17639), 1,
      anon_sym_RBRACE,
    STATE(14529), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14726), 2,
      sym_comment,
      sym_block_comment,
  [622726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16570), 1,
      anon_sym_RPAREN,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14727), 2,
      sym_comment,
      sym_block_comment,
  [622749] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17192), 1,
      anon_sym_case,
    ACTIONS(17641), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16098), 1,
      sym_case_clause,
    STATE(14728), 2,
      sym_comment,
      sym_block_comment,
  [622772] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17643), 1,
      anon_sym_COMMA,
    ACTIONS(17645), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14729), 2,
      sym_comment,
      sym_block_comment,
  [622795] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    ACTIONS(17647), 1,
      sym__outdent,
    STATE(14624), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(14730), 2,
      sym_comment,
      sym_block_comment,
  [622818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(17651), 1,
      anon_sym_EQ,
    ACTIONS(17649), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14731), 2,
      sym_comment,
      sym_block_comment,
  [622839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12517), 1,
      anon_sym_RBRACE,
    ACTIONS(17653), 1,
      anon_sym_COMMA,
    STATE(14753), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14732), 2,
      sym_comment,
      sym_block_comment,
  [622859] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    ACTIONS(17655), 1,
      anon_sym_COMMA,
    STATE(15273), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14733), 2,
      sym_comment,
      sym_block_comment,
  [622879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17657), 1,
      anon_sym_COMMA,
    ACTIONS(17659), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14734), 2,
      sym_comment,
      sym_block_comment,
  [622899] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17661), 1,
      anon_sym_COMMA,
    ACTIONS(17663), 1,
      anon_sym_RPAREN,
    STATE(15459), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14735), 2,
      sym_comment,
      sym_block_comment,
  [622919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
    ACTIONS(17665), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(14736), 2,
      sym_comment,
      sym_block_comment,
  [622939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17643), 1,
      anon_sym_COMMA,
    ACTIONS(17645), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14737), 2,
      sym_comment,
      sym_block_comment,
  [622959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17667), 1,
      anon_sym_COMMA,
    ACTIONS(17669), 1,
      anon_sym_RPAREN,
    STATE(15621), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14738), 2,
      sym_comment,
      sym_block_comment,
  [622979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(17673), 1,
      anon_sym_RBRACK,
    STATE(14743), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14739), 2,
      sym_comment,
      sym_block_comment,
  [622999] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17677), 1,
      sym__interpolated_string_end,
    STATE(14788), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14740), 2,
      sym_comment,
      sym_block_comment,
  [623019] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17679), 1,
      anon_sym_COMMA,
    ACTIONS(17681), 1,
      anon_sym_RBRACK,
    STATE(14734), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14741), 2,
      sym_comment,
      sym_block_comment,
  [623039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    ACTIONS(17683), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14742), 2,
      sym_comment,
      sym_block_comment,
  [623059] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5478), 1,
      anon_sym_RBRACK,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14743), 2,
      sym_comment,
      sym_block_comment,
  [623079] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17677), 1,
      sym__interpolated_multiline_string_end,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    STATE(14790), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14744), 2,
      sym_comment,
      sym_block_comment,
  [623099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17689), 1,
      anon_sym_COMMA,
    ACTIONS(17691), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14745), 2,
      sym_comment,
      sym_block_comment,
  [623119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17645), 1,
      anon_sym_RPAREN,
    ACTIONS(17693), 1,
      anon_sym_COMMA,
    STATE(15041), 1,
      aux_sym_parameters_repeat1,
    STATE(14746), 2,
      sym_comment,
      sym_block_comment,
  [623139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
    ACTIONS(17665), 1,
      anon_sym_COMMA,
    STATE(15023), 1,
      aux_sym_parameters_repeat1,
    STATE(14747), 2,
      sym_comment,
      sym_block_comment,
  [623159] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17695), 1,
      anon_sym_COMMA,
    ACTIONS(17697), 1,
      anon_sym_RBRACK,
    STATE(15782), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14748), 2,
      sym_comment,
      sym_block_comment,
  [623179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17699), 1,
      anon_sym_COMMA,
    ACTIONS(17701), 1,
      anon_sym_RBRACK,
    STATE(14806), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14749), 2,
      sym_comment,
      sym_block_comment,
  [623199] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17703), 1,
      anon_sym_COMMA,
    ACTIONS(17705), 1,
      anon_sym_RPAREN,
    STATE(15032), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14750), 2,
      sym_comment,
      sym_block_comment,
  [623219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17707), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_RBRACK,
    STATE(14745), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14751), 2,
      sym_comment,
      sym_block_comment,
  [623239] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17711), 1,
      anon_sym_COMMA,
    ACTIONS(17713), 1,
      anon_sym_RPAREN,
    STATE(15240), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14752), 2,
      sym_comment,
      sym_block_comment,
  [623259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17603), 1,
      anon_sym_RBRACE,
    ACTIONS(17715), 1,
      anon_sym_COMMA,
    STATE(14753), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_namespace_selectors_repeat1,
  [623277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17718), 1,
      anon_sym_COMMA,
    ACTIONS(17720), 1,
      anon_sym_RBRACK,
    STATE(14760), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14754), 2,
      sym_comment,
      sym_block_comment,
  [623297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12258), 1,
      sym__arrow_then_type,
    ACTIONS(17722), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14755), 2,
      sym_comment,
      sym_block_comment,
  [623315] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17724), 1,
      anon_sym_COMMA,
    ACTIONS(17726), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14756), 2,
      sym_comment,
      sym_block_comment,
  [623335] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8152), 1,
      anon_sym_RPAREN,
    ACTIONS(17728), 1,
      anon_sym_COMMA,
    STATE(14990), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14757), 2,
      sym_comment,
      sym_block_comment,
  [623355] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5570), 1,
      anon_sym_RPAREN,
    ACTIONS(17730), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14758), 2,
      sym_comment,
      sym_block_comment,
  [623375] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17732), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14759), 2,
      sym_comment,
      sym_block_comment,
  [623395] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    ACTIONS(17734), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14760), 2,
      sym_comment,
      sym_block_comment,
  [623415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(14761), 2,
      sym_comment,
      sym_block_comment,
  [623435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17736), 1,
      anon_sym_COMMA,
    ACTIONS(17738), 1,
      anon_sym_RBRACK,
    STATE(14756), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14762), 2,
      sym_comment,
      sym_block_comment,
  [623455] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17740), 1,
      anon_sym_COMMA,
    ACTIONS(17742), 1,
      anon_sym_RBRACK,
    STATE(14817), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14763), 2,
      sym_comment,
      sym_block_comment,
  [623475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17732), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14764), 2,
      sym_comment,
      sym_block_comment,
  [623495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17744), 1,
      anon_sym_COMMA,
    ACTIONS(17746), 1,
      anon_sym_RBRACK,
    STATE(14958), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14765), 2,
      sym_comment,
      sym_block_comment,
  [623515] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17748), 1,
      anon_sym_COMMA,
    ACTIONS(17750), 1,
      anon_sym_RPAREN,
    STATE(15394), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14766), 2,
      sym_comment,
      sym_block_comment,
  [623535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17752), 1,
      anon_sym_COMMA,
    ACTIONS(17754), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14767), 2,
      sym_comment,
      sym_block_comment,
  [623555] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17756), 1,
      anon_sym_COMMA,
    ACTIONS(17758), 1,
      anon_sym_RPAREN,
    STATE(15006), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14768), 2,
      sym_comment,
      sym_block_comment,
  [623575] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17760), 1,
      anon_sym_COMMA,
    ACTIONS(17762), 1,
      anon_sym_RBRACK,
    STATE(14774), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14769), 2,
      sym_comment,
      sym_block_comment,
  [623595] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17764), 1,
      anon_sym_COMMA,
    ACTIONS(17766), 1,
      anon_sym_RBRACK,
    STATE(14767), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14770), 2,
      sym_comment,
      sym_block_comment,
  [623615] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(17768), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14771), 2,
      sym_comment,
      sym_block_comment,
  [623635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5236), 1,
      anon_sym_RPAREN,
    ACTIONS(17770), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14772), 2,
      sym_comment,
      sym_block_comment,
  [623655] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(17772), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14773), 2,
      sym_comment,
      sym_block_comment,
  [623675] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5504), 1,
      anon_sym_RBRACK,
    ACTIONS(17774), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14774), 2,
      sym_comment,
      sym_block_comment,
  [623695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17776), 1,
      anon_sym_COMMA,
    ACTIONS(17778), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14775), 2,
      sym_comment,
      sym_block_comment,
  [623715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17780), 1,
      anon_sym_COMMA,
    ACTIONS(17782), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14776), 2,
      sym_comment,
      sym_block_comment,
  [623735] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(17784), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14777), 2,
      sym_comment,
      sym_block_comment,
  [623755] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(17786), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14778), 2,
      sym_comment,
      sym_block_comment,
  [623775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    ACTIONS(17788), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14779), 2,
      sym_comment,
      sym_block_comment,
  [623795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13163), 1,
      sym__arrow_then_type,
    ACTIONS(17790), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14780), 2,
      sym_comment,
      sym_block_comment,
  [623813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17792), 1,
      anon_sym_COMMA,
    ACTIONS(17794), 1,
      anon_sym_RBRACK,
    STATE(14776), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14781), 2,
      sym_comment,
      sym_block_comment,
  [623833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17796), 1,
      anon_sym_COMMA,
    ACTIONS(17798), 1,
      anon_sym_RPAREN,
    STATE(15068), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14782), 2,
      sym_comment,
      sym_block_comment,
  [623853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5298), 1,
      anon_sym_RBRACK,
    ACTIONS(17800), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14783), 2,
      sym_comment,
      sym_block_comment,
  [623873] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17802), 1,
      anon_sym_COMMA,
    ACTIONS(17804), 1,
      anon_sym_RBRACK,
    STATE(14789), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14784), 2,
      sym_comment,
      sym_block_comment,
  [623893] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17806), 1,
      anon_sym_COMMA,
    ACTIONS(17808), 1,
      anon_sym_RBRACK,
    STATE(14801), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14785), 2,
      sym_comment,
      sym_block_comment,
  [623913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5318), 1,
      anon_sym_RPAREN,
    ACTIONS(17810), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14786), 2,
      sym_comment,
      sym_block_comment,
  [623933] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14787), 2,
      sym_comment,
      sym_block_comment,
  [623953] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17814), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14788), 2,
      sym_comment,
      sym_block_comment,
  [623973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5512), 1,
      anon_sym_RBRACK,
    ACTIONS(17816), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14789), 2,
      sym_comment,
      sym_block_comment,
  [623993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17814), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14790), 2,
      sym_comment,
      sym_block_comment,
  [624013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5760), 1,
      anon_sym_RPAREN,
    ACTIONS(17818), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14791), 2,
      sym_comment,
      sym_block_comment,
  [624033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17820), 1,
      anon_sym_COMMA,
    ACTIONS(17822), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14792), 2,
      sym_comment,
      sym_block_comment,
  [624053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5234), 1,
      anon_sym_RBRACK,
    ACTIONS(17824), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14793), 2,
      sym_comment,
      sym_block_comment,
  [624073] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9657), 1,
      sym_type_arguments,
    STATE(14794), 2,
      sym_comment,
      sym_block_comment,
  [624093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    ACTIONS(17828), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14795), 2,
      sym_comment,
      sym_block_comment,
  [624113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17830), 1,
      anon_sym_COMMA,
    ACTIONS(17832), 1,
      anon_sym_RPAREN,
    STATE(15222), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14796), 2,
      sym_comment,
      sym_block_comment,
  [624133] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17834), 1,
      anon_sym_COMMA,
    ACTIONS(17836), 1,
      anon_sym_RBRACK,
    STATE(14795), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14797), 2,
      sym_comment,
      sym_block_comment,
  [624153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(17840), 1,
      anon_sym_RBRACK,
    STATE(14802), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14798), 2,
      sym_comment,
      sym_block_comment,
  [624173] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8156), 1,
      anon_sym_with,
    ACTIONS(9334), 1,
      anon_sym_LPAREN,
    STATE(17140), 1,
      sym_arguments,
    STATE(14799), 2,
      sym_comment,
      sym_block_comment,
  [624193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5268), 1,
      anon_sym_RPAREN,
    ACTIONS(17842), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14800), 2,
      sym_comment,
      sym_block_comment,
  [624213] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5934), 1,
      anon_sym_RBRACK,
    ACTIONS(17844), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14801), 2,
      sym_comment,
      sym_block_comment,
  [624233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5520), 1,
      anon_sym_RBRACK,
    ACTIONS(17846), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14802), 2,
      sym_comment,
      sym_block_comment,
  [624253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4854), 1,
      sym__indent,
    STATE(8793), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14803), 2,
      sym_comment,
      sym_block_comment,
  [624271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5954), 1,
      anon_sym_RBRACK,
    ACTIONS(17848), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14804), 2,
      sym_comment,
      sym_block_comment,
  [624291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5260), 1,
      anon_sym_RPAREN,
    ACTIONS(17850), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14805), 2,
      sym_comment,
      sym_block_comment,
  [624311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    ACTIONS(17852), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14806), 2,
      sym_comment,
      sym_block_comment,
  [624331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17854), 1,
      anon_sym_COMMA,
    ACTIONS(17856), 1,
      anon_sym_RBRACK,
    STATE(14887), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14807), 2,
      sym_comment,
      sym_block_comment,
  [624351] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16433), 1,
      anon_sym_LBRACK,
    STATE(10220), 1,
      sym_type_arguments,
    STATE(14808), 2,
      sym_comment,
      sym_block_comment,
  [624371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17858), 1,
      anon_sym_COMMA,
    ACTIONS(17860), 1,
      anon_sym_RPAREN,
    STATE(15112), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14809), 2,
      sym_comment,
      sym_block_comment,
  [624391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17862), 1,
      anon_sym_COMMA,
    ACTIONS(17864), 1,
      anon_sym_RPAREN,
    STATE(15729), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14810), 2,
      sym_comment,
      sym_block_comment,
  [624411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17651), 1,
      anon_sym_EQ,
    ACTIONS(17649), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14811), 2,
      sym_comment,
      sym_block_comment,
  [624429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17866), 1,
      anon_sym_COMMA,
    ACTIONS(17868), 1,
      anon_sym_RBRACK,
    STATE(14818), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14812), 2,
      sym_comment,
      sym_block_comment,
  [624449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4354), 1,
      sym__indent,
    STATE(5787), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14813), 2,
      sym_comment,
      sym_block_comment,
  [624467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5788), 1,
      anon_sym_RBRACK,
    ACTIONS(17870), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14814), 2,
      sym_comment,
      sym_block_comment,
  [624487] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5670), 1,
      anon_sym_RPAREN,
    ACTIONS(17872), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14815), 2,
      sym_comment,
      sym_block_comment,
  [624507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    ACTIONS(17874), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14816), 2,
      sym_comment,
      sym_block_comment,
  [624527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5164), 1,
      anon_sym_RBRACK,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14817), 2,
      sym_comment,
      sym_block_comment,
  [624547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5536), 1,
      anon_sym_RBRACK,
    ACTIONS(17878), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14818), 2,
      sym_comment,
      sym_block_comment,
  [624567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11826), 1,
      sym__arrow_then_type,
    ACTIONS(17880), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14819), 2,
      sym_comment,
      sym_block_comment,
  [624585] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17882), 1,
      anon_sym_COMMA,
    ACTIONS(17884), 1,
      anon_sym_RBRACK,
    STATE(14896), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14820), 2,
      sym_comment,
      sym_block_comment,
  [624605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17886), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14821), 2,
      sym_comment,
      sym_block_comment,
  [624625] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14712), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14822), 2,
      sym_comment,
      sym_block_comment,
  [624645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17888), 1,
      anon_sym_COMMA,
    ACTIONS(17890), 1,
      anon_sym_RBRACK,
    STATE(14850), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14823), 2,
      sym_comment,
      sym_block_comment,
  [624665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17886), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14824), 2,
      sym_comment,
      sym_block_comment,
  [624685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17892), 1,
      anon_sym_COMMA,
    ACTIONS(17894), 1,
      anon_sym_RBRACK,
    STATE(14804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14825), 2,
      sym_comment,
      sym_block_comment,
  [624705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17896), 1,
      anon_sym_COMMA,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14826), 2,
      sym_comment,
      sym_block_comment,
  [624725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17900), 1,
      anon_sym_COMMA,
    ACTIONS(17902), 1,
      anon_sym_RPAREN,
    STATE(14921), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14827), 2,
      sym_comment,
      sym_block_comment,
  [624745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(17904), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14828), 2,
      sym_comment,
      sym_block_comment,
  [624763] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17906), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14829), 2,
      sym_comment,
      sym_block_comment,
  [624783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17908), 1,
      anon_sym_COMMA,
    ACTIONS(17910), 1,
      anon_sym_RBRACK,
    STATE(14836), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14830), 2,
      sym_comment,
      sym_block_comment,
  [624803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15911), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9563), 1,
      sym_type_arguments,
    STATE(14831), 2,
      sym_comment,
      sym_block_comment,
  [624823] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17906), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14832), 2,
      sym_comment,
      sym_block_comment,
  [624843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17912), 1,
      anon_sym_COMMA,
    ACTIONS(17914), 1,
      anon_sym_RPAREN,
    STATE(14815), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14833), 2,
      sym_comment,
      sym_block_comment,
  [624863] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5612), 1,
      anon_sym_RPAREN,
    ACTIONS(17916), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14834), 2,
      sym_comment,
      sym_block_comment,
  [624883] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12659), 1,
      anon_sym_RPAREN,
    ACTIONS(17918), 1,
      anon_sym_COMMA,
    STATE(14736), 1,
      aux_sym_parameters_repeat1,
    STATE(14835), 2,
      sym_comment,
      sym_block_comment,
  [624903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      anon_sym_RBRACK,
    ACTIONS(17920), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14836), 2,
      sym_comment,
      sym_block_comment,
  [624923] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    ACTIONS(17922), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14837), 2,
      sym_comment,
      sym_block_comment,
  [624943] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17924), 1,
      anon_sym_COMMA,
    ACTIONS(17926), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14838), 2,
      sym_comment,
      sym_block_comment,
  [624963] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17928), 1,
      anon_sym_COMMA,
    ACTIONS(17930), 1,
      anon_sym_RBRACK,
    STATE(14748), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14839), 2,
      sym_comment,
      sym_block_comment,
  [624983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17932), 1,
      sym__interpolated_string_end,
    STATE(14878), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14840), 2,
      sym_comment,
      sym_block_comment,
  [625003] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    ACTIONS(17934), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14841), 2,
      sym_comment,
      sym_block_comment,
  [625023] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17936), 1,
      sym__interpolated_multiline_string_end,
    STATE(14759), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14842), 2,
      sym_comment,
      sym_block_comment,
  [625043] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17936), 1,
      sym__interpolated_string_end,
    STATE(14764), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14843), 2,
      sym_comment,
      sym_block_comment,
  [625063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17932), 1,
      sym__interpolated_multiline_string_end,
    STATE(14886), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14844), 2,
      sym_comment,
      sym_block_comment,
  [625083] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17938), 1,
      anon_sym_COMMA,
    ACTIONS(17940), 1,
      anon_sym_RPAREN,
    STATE(14853), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14845), 2,
      sym_comment,
      sym_block_comment,
  [625103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17942), 1,
      anon_sym_COMMA,
    ACTIONS(17944), 1,
      anon_sym_RBRACK,
    STATE(15051), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14846), 2,
      sym_comment,
      sym_block_comment,
  [625123] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17946), 1,
      anon_sym_COMMA,
    ACTIONS(17948), 1,
      anon_sym_RPAREN,
    STATE(15056), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14847), 2,
      sym_comment,
      sym_block_comment,
  [625143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17950), 1,
      anon_sym_COMMA,
    ACTIONS(17952), 1,
      anon_sym_RBRACK,
    STATE(14854), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14848), 2,
      sym_comment,
      sym_block_comment,
  [625163] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17954), 1,
      anon_sym_COMMA,
    ACTIONS(17956), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14849), 2,
      sym_comment,
      sym_block_comment,
  [625183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17958), 1,
      anon_sym_COMMA,
    ACTIONS(17960), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14850), 2,
      sym_comment,
      sym_block_comment,
  [625203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13502), 1,
      sym__arrow_then_type,
    ACTIONS(17962), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14851), 2,
      sym_comment,
      sym_block_comment,
  [625221] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5284), 1,
      anon_sym_RPAREN,
    ACTIONS(17964), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14852), 2,
      sym_comment,
      sym_block_comment,
  [625241] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5552), 1,
      anon_sym_RPAREN,
    ACTIONS(17966), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14853), 2,
      sym_comment,
      sym_block_comment,
  [625261] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5554), 1,
      anon_sym_RBRACK,
    ACTIONS(17968), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14854), 2,
      sym_comment,
      sym_block_comment,
  [625281] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9159), 1,
      sym_type_arguments,
    STATE(14855), 2,
      sym_comment,
      sym_block_comment,
  [625301] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17970), 1,
      anon_sym_COMMA,
    ACTIONS(17972), 1,
      anon_sym_RBRACK,
    STATE(14814), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14856), 2,
      sym_comment,
      sym_block_comment,
  [625321] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17974), 1,
      anon_sym_COMMA,
    ACTIONS(17976), 1,
      anon_sym_RBRACK,
    STATE(15223), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14857), 2,
      sym_comment,
      sym_block_comment,
  [625341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17978), 1,
      anon_sym_COMMA,
    ACTIONS(17980), 1,
      anon_sym_RBRACK,
    STATE(14993), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14858), 2,
      sym_comment,
      sym_block_comment,
  [625361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17637), 1,
      anon_sym_EQ,
    ACTIONS(17635), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14859), 2,
      sym_comment,
      sym_block_comment,
  [625379] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17982), 1,
      anon_sym_COMMA,
    ACTIONS(17984), 1,
      anon_sym_RPAREN,
    STATE(15040), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14860), 2,
      sym_comment,
      sym_block_comment,
  [625399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17986), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [625415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(17988), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14862), 2,
      sym_comment,
      sym_block_comment,
  [625435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17990), 1,
      anon_sym_COMMA,
    ACTIONS(17992), 1,
      anon_sym_RPAREN,
    STATE(15122), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14863), 2,
      sym_comment,
      sym_block_comment,
  [625455] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17994), 1,
      anon_sym_COMMA,
    ACTIONS(17996), 1,
      anon_sym_RBRACK,
    STATE(14841), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14864), 2,
      sym_comment,
      sym_block_comment,
  [625475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17998), 1,
      anon_sym_COMMA,
    ACTIONS(18000), 1,
      anon_sym_RBRACK,
    STATE(14893), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14865), 2,
      sym_comment,
      sym_block_comment,
  [625495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18002), 1,
      anon_sym_COMMA,
    ACTIONS(18004), 1,
      anon_sym_RBRACK,
    STATE(14872), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14866), 2,
      sym_comment,
      sym_block_comment,
  [625515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 1,
      sym__arrow_then_type,
    ACTIONS(18006), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14867), 2,
      sym_comment,
      sym_block_comment,
  [625533] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18008), 1,
      anon_sym_COMMA,
    ACTIONS(18010), 1,
      anon_sym_RPAREN,
    STATE(15101), 1,
      aux_sym_bindings_repeat1,
    STATE(14868), 2,
      sym_comment,
      sym_block_comment,
  [625553] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18012), 1,
      sym__interpolated_string_end,
    STATE(14955), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14869), 2,
      sym_comment,
      sym_block_comment,
  [625573] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5620), 1,
      anon_sym_RPAREN,
    ACTIONS(18014), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14870), 2,
      sym_comment,
      sym_block_comment,
  [625593] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18012), 1,
      sym__interpolated_multiline_string_end,
    STATE(14959), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14871), 2,
      sym_comment,
      sym_block_comment,
  [625613] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5562), 1,
      anon_sym_RBRACK,
    ACTIONS(18016), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14872), 2,
      sym_comment,
      sym_block_comment,
  [625633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18018), 1,
      anon_sym_COMMA,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14873), 2,
      sym_comment,
      sym_block_comment,
  [625653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18022), 1,
      anon_sym_COMMA,
    ACTIONS(18024), 1,
      anon_sym_RBRACK,
    STATE(14903), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14874), 2,
      sym_comment,
      sym_block_comment,
  [625673] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14670), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14875), 2,
      sym_comment,
      sym_block_comment,
  [625693] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5328), 1,
      anon_sym_RPAREN,
    ACTIONS(18026), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14876), 2,
      sym_comment,
      sym_block_comment,
  [625713] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18028), 1,
      anon_sym_COMMA,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
    STATE(15265), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14877), 2,
      sym_comment,
      sym_block_comment,
  [625733] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18032), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14878), 2,
      sym_comment,
      sym_block_comment,
  [625753] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14879), 2,
      sym_comment,
      sym_block_comment,
  [625773] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    ACTIONS(18034), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14880), 2,
      sym_comment,
      sym_block_comment,
  [625793] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18036), 1,
      anon_sym_COMMA,
    ACTIONS(18038), 1,
      anon_sym_RPAREN,
    STATE(14758), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14881), 2,
      sym_comment,
      sym_block_comment,
  [625813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18040), 1,
      anon_sym_COMMA,
    ACTIONS(18042), 1,
      anon_sym_RPAREN,
    STATE(14987), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14882), 2,
      sym_comment,
      sym_block_comment,
  [625833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(18044), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14883), 2,
      sym_comment,
      sym_block_comment,
  [625851] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18046), 1,
      anon_sym_COMMA,
    ACTIONS(18048), 1,
      anon_sym_RBRACK,
    STATE(14890), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14884), 2,
      sym_comment,
      sym_block_comment,
  [625871] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18050), 1,
      anon_sym_COMMA,
    ACTIONS(18052), 1,
      anon_sym_RPAREN,
    STATE(14996), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14885), 2,
      sym_comment,
      sym_block_comment,
  [625891] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18032), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14886), 2,
      sym_comment,
      sym_block_comment,
  [625911] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18054), 1,
      anon_sym_COMMA,
    ACTIONS(18056), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14887), 2,
      sym_comment,
      sym_block_comment,
  [625931] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    ACTIONS(18058), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14888), 2,
      sym_comment,
      sym_block_comment,
  [625951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17619), 1,
      anon_sym_EQ,
    ACTIONS(17617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14889), 2,
      sym_comment,
      sym_block_comment,
  [625969] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5574), 1,
      anon_sym_RBRACK,
    ACTIONS(18060), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14890), 2,
      sym_comment,
      sym_block_comment,
  [625989] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18062), 1,
      anon_sym_COMMA,
    ACTIONS(18064), 1,
      anon_sym_RBRACK,
    STATE(14984), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14891), 2,
      sym_comment,
      sym_block_comment,
  [626009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    ACTIONS(18066), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14892), 2,
      sym_comment,
      sym_block_comment,
  [626029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    ACTIONS(18068), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14893), 2,
      sym_comment,
      sym_block_comment,
  [626049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18070), 1,
      anon_sym_COMMA,
    ACTIONS(18072), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14894), 2,
      sym_comment,
      sym_block_comment,
  [626069] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18074), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14895), 2,
      sym_comment,
      sym_block_comment,
  [626089] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5940), 1,
      anon_sym_RBRACK,
    ACTIONS(18076), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14896), 2,
      sym_comment,
      sym_block_comment,
  [626109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18078), 1,
      anon_sym_COMMA,
    ACTIONS(18080), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14897), 2,
      sym_comment,
      sym_block_comment,
  [626129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18082), 1,
      anon_sym_COMMA,
    ACTIONS(18084), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14898), 2,
      sym_comment,
      sym_block_comment,
  [626149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18086), 1,
      anon_sym_COMMA,
    ACTIONS(18088), 1,
      anon_sym_RPAREN,
    STATE(14787), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14899), 2,
      sym_comment,
      sym_block_comment,
  [626169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18074), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14900), 2,
      sym_comment,
      sym_block_comment,
  [626189] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5972), 1,
      anon_sym_RBRACK,
    ACTIONS(18090), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14901), 2,
      sym_comment,
      sym_block_comment,
  [626209] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18092), 1,
      anon_sym_COMMA,
    ACTIONS(18094), 1,
      anon_sym_RBRACK,
    STATE(14908), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14902), 2,
      sym_comment,
      sym_block_comment,
  [626229] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      anon_sym_RBRACK,
    ACTIONS(18096), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14903), 2,
      sym_comment,
      sym_block_comment,
  [626249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__indent,
    STATE(9419), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14904), 2,
      sym_comment,
      sym_block_comment,
  [626267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18098), 1,
      anon_sym_COMMA,
    ACTIONS(18100), 1,
      anon_sym_RPAREN,
    STATE(14912), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14905), 2,
      sym_comment,
      sym_block_comment,
  [626287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
    ACTIONS(18102), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14906), 2,
      sym_comment,
      sym_block_comment,
  [626307] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(18104), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(14907), 2,
      sym_comment,
      sym_block_comment,
  [626327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5598), 1,
      anon_sym_RBRACK,
    ACTIONS(18106), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14908), 2,
      sym_comment,
      sym_block_comment,
  [626347] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18108), 1,
      sym__interpolated_string_end,
    STATE(15478), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14909), 2,
      sym_comment,
      sym_block_comment,
  [626367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17988), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14910), 2,
      sym_comment,
      sym_block_comment,
  [626387] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18110), 1,
      anon_sym_COMMA,
    ACTIONS(18112), 1,
      anon_sym_RBRACK,
    STATE(14945), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14911), 2,
      sym_comment,
      sym_block_comment,
  [626407] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5258), 1,
      anon_sym_RPAREN,
    ACTIONS(18114), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14912), 2,
      sym_comment,
      sym_block_comment,
  [626427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18116), 1,
      anon_sym_COMMA,
    ACTIONS(18118), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14913), 2,
      sym_comment,
      sym_block_comment,
  [626447] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18120), 1,
      sym__interpolated_string_end,
    STATE(15177), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14914), 2,
      sym_comment,
      sym_block_comment,
  [626467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18120), 1,
      sym__interpolated_multiline_string_end,
    STATE(15181), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14915), 2,
      sym_comment,
      sym_block_comment,
  [626487] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_RBRACK,
    ACTIONS(18122), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14916), 2,
      sym_comment,
      sym_block_comment,
  [626507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18124), 1,
      anon_sym_COMMA,
    ACTIONS(18126), 1,
      anon_sym_RPAREN,
    STATE(14816), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14917), 2,
      sym_comment,
      sym_block_comment,
  [626527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18128), 1,
      anon_sym_COMMA,
    ACTIONS(18130), 1,
      anon_sym_RBRACK,
    STATE(14901), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14918), 2,
      sym_comment,
      sym_block_comment,
  [626547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(18132), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14919), 2,
      sym_comment,
      sym_block_comment,
  [626567] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18134), 1,
      anon_sym_COMMA,
    ACTIONS(18136), 1,
      anon_sym_RBRACK,
    STATE(14926), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14920), 2,
      sym_comment,
      sym_block_comment,
  [626587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5354), 1,
      anon_sym_RPAREN,
    ACTIONS(18138), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14921), 2,
      sym_comment,
      sym_block_comment,
  [626607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18108), 1,
      sym__interpolated_multiline_string_end,
    STATE(15486), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14922), 2,
      sym_comment,
      sym_block_comment,
  [626627] = 4,
    ACTIONS(18143), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18145), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(18140), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(14923), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_block_comment_repeat1,
  [626643] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5656), 1,
      anon_sym_RPAREN,
    ACTIONS(18147), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14924), 2,
      sym_comment,
      sym_block_comment,
  [626663] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18149), 1,
      anon_sym_LPAREN,
    ACTIONS(18151), 1,
      sym__automatic_semicolon,
    STATE(13247), 1,
      sym_class_parameters,
    STATE(14925), 2,
      sym_comment,
      sym_block_comment,
  [626683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    ACTIONS(18153), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14926), 2,
      sym_comment,
      sym_block_comment,
  [626703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18155), 1,
      anon_sym_COMMA,
    ACTIONS(18157), 1,
      anon_sym_RPAREN,
    STATE(14791), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14927), 2,
      sym_comment,
      sym_block_comment,
  [626723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18159), 1,
      sym__interpolated_multiline_string_end,
    STATE(14829), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14928), 2,
      sym_comment,
      sym_block_comment,
  [626743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14471), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14929), 2,
      sym_comment,
      sym_block_comment,
  [626763] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18161), 1,
      sym__interpolated_multiline_string_end,
    STATE(14910), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14930), 2,
      sym_comment,
      sym_block_comment,
  [626783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18163), 1,
      anon_sym_COMMA,
    ACTIONS(18165), 1,
      anon_sym_RPAREN,
    STATE(14937), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14931), 2,
      sym_comment,
      sym_block_comment,
  [626803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13630), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(6634), 1,
      sym_type_arguments,
    STATE(14932), 2,
      sym_comment,
      sym_block_comment,
  [626823] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18167), 1,
      anon_sym_COMMA,
    ACTIONS(18169), 1,
      anon_sym_RBRACK,
    STATE(14916), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14933), 2,
      sym_comment,
      sym_block_comment,
  [626843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18171), 1,
      anon_sym_COMMA,
    ACTIONS(18173), 1,
      anon_sym_RBRACK,
    STATE(14936), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14934), 2,
      sym_comment,
      sym_block_comment,
  [626863] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18175), 1,
      anon_sym_COMMA,
    ACTIONS(18177), 1,
      anon_sym_RPAREN,
    STATE(14834), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14935), 2,
      sym_comment,
      sym_block_comment,
  [626883] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18179), 1,
      anon_sym_COMMA,
    ACTIONS(18181), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14936), 2,
      sym_comment,
      sym_block_comment,
  [626903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    ACTIONS(18183), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14937), 2,
      sym_comment,
      sym_block_comment,
  [626923] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18187), 1,
      anon_sym_RBRACK,
    STATE(14944), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14938), 2,
      sym_comment,
      sym_block_comment,
  [626943] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    STATE(14294), 1,
      sym_enum_body,
    STATE(14939), 2,
      sym_comment,
      sym_block_comment,
  [626963] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18159), 1,
      sym__interpolated_string_end,
    STATE(14832), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14940), 2,
      sym_comment,
      sym_block_comment,
  [626983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10750), 1,
      sym__arrow_then_type,
    ACTIONS(18189), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14941), 2,
      sym_comment,
      sym_block_comment,
  [627001] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    ACTIONS(18191), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14942), 2,
      sym_comment,
      sym_block_comment,
  [627021] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18193), 1,
      anon_sym_COMMA,
    ACTIONS(18195), 1,
      anon_sym_RPAREN,
    STATE(15519), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14943), 2,
      sym_comment,
      sym_block_comment,
  [627041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5614), 1,
      anon_sym_RBRACK,
    ACTIONS(18197), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14944), 2,
      sym_comment,
      sym_block_comment,
  [627061] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5252), 1,
      anon_sym_RBRACK,
    ACTIONS(18199), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14945), 2,
      sym_comment,
      sym_block_comment,
  [627081] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18201), 1,
      sym__interpolated_string_end,
    STATE(14995), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14946), 2,
      sym_comment,
      sym_block_comment,
  [627101] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18203), 1,
      sym__interpolated_multiline_string_end,
    STATE(14821), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14947), 2,
      sym_comment,
      sym_block_comment,
  [627121] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18203), 1,
      sym__interpolated_string_end,
    STATE(14824), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14948), 2,
      sym_comment,
      sym_block_comment,
  [627141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18205), 1,
      anon_sym_COMMA,
    ACTIONS(18207), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14949), 2,
      sym_comment,
      sym_block_comment,
  [627161] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18209), 1,
      anon_sym_COMMA,
    ACTIONS(18211), 1,
      anon_sym_RBRACK,
    STATE(15009), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14950), 2,
      sym_comment,
      sym_block_comment,
  [627181] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18213), 1,
      anon_sym_COMMA,
    ACTIONS(18215), 1,
      anon_sym_RPAREN,
    STATE(14960), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14951), 2,
      sym_comment,
      sym_block_comment,
  [627201] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18217), 1,
      anon_sym_COMMA,
    ACTIONS(18219), 1,
      anon_sym_RPAREN,
    STATE(14892), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14952), 2,
      sym_comment,
      sym_block_comment,
  [627221] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18221), 1,
      anon_sym_COMMA,
    ACTIONS(18223), 1,
      anon_sym_RPAREN,
    STATE(14870), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14953), 2,
      sym_comment,
      sym_block_comment,
  [627241] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18201), 1,
      sym__interpolated_multiline_string_end,
    STATE(14997), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14954), 2,
      sym_comment,
      sym_block_comment,
  [627261] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18225), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14955), 2,
      sym_comment,
      sym_block_comment,
  [627281] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18227), 1,
      anon_sym_COMMA,
    ACTIONS(18229), 1,
      anon_sym_RBRACK,
    STATE(14962), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14956), 2,
      sym_comment,
      sym_block_comment,
  [627301] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18231), 1,
      anon_sym_COMMA,
    ACTIONS(18233), 1,
      anon_sym_RBRACK,
    STATE(14966), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14957), 2,
      sym_comment,
      sym_block_comment,
  [627321] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5732), 1,
      anon_sym_RBRACK,
    ACTIONS(18235), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14958), 2,
      sym_comment,
      sym_block_comment,
  [627341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18225), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14959), 2,
      sym_comment,
      sym_block_comment,
  [627361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5448), 1,
      anon_sym_RPAREN,
    ACTIONS(18237), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14960), 2,
      sym_comment,
      sym_block_comment,
  [627381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13271), 1,
      sym__arrow_then_type,
    ACTIONS(18239), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14961), 2,
      sym_comment,
      sym_block_comment,
  [627399] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5622), 1,
      anon_sym_RBRACK,
    ACTIONS(18241), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14962), 2,
      sym_comment,
      sym_block_comment,
  [627419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18243), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [627435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18245), 1,
      anon_sym_COMMA,
    ACTIONS(18247), 1,
      anon_sym_RPAREN,
    STATE(15796), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14964), 2,
      sym_comment,
      sym_block_comment,
  [627455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13452), 1,
      sym__arrow_then_type,
    ACTIONS(18249), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14965), 2,
      sym_comment,
      sym_block_comment,
  [627473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14966), 2,
      sym_comment,
      sym_block_comment,
  [627493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18255), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [627509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5436), 1,
      anon_sym_RBRACK,
    ACTIONS(18257), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14968), 2,
      sym_comment,
      sym_block_comment,
  [627529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    ACTIONS(18259), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14969), 2,
      sym_comment,
      sym_block_comment,
  [627549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4398), 1,
      sym__indent,
    STATE(9364), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14970), 2,
      sym_comment,
      sym_block_comment,
  [627567] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18261), 1,
      anon_sym_COMMA,
    ACTIONS(18263), 1,
      anon_sym_RPAREN,
    STATE(14888), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14971), 2,
      sym_comment,
      sym_block_comment,
  [627587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    ACTIONS(18265), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14972), 2,
      sym_comment,
      sym_block_comment,
  [627607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      anon_sym_RPAREN,
    ACTIONS(18267), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14973), 2,
      sym_comment,
      sym_block_comment,
  [627627] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18269), 1,
      anon_sym_COMMA,
    ACTIONS(18271), 1,
      anon_sym_RBRACK,
    STATE(14980), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14974), 2,
      sym_comment,
      sym_block_comment,
  [627647] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    ACTIONS(18273), 1,
      anon_sym_COMMA,
    STATE(15087), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14975), 2,
      sym_comment,
      sym_block_comment,
  [627667] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18275), 1,
      anon_sym_COMMA,
    ACTIONS(18277), 1,
      anon_sym_RBRACK,
    STATE(14949), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14976), 2,
      sym_comment,
      sym_block_comment,
  [627687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5218), 1,
      anon_sym_RPAREN,
    ACTIONS(18279), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14977), 2,
      sym_comment,
      sym_block_comment,
  [627707] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    ACTIONS(18281), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14978), 2,
      sym_comment,
      sym_block_comment,
  [627727] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18283), 1,
      anon_sym_COMMA,
    ACTIONS(18285), 1,
      anon_sym_RBRACK,
    STATE(14968), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14979), 2,
      sym_comment,
      sym_block_comment,
  [627747] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    ACTIONS(18287), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14980), 2,
      sym_comment,
      sym_block_comment,
  [627767] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18161), 1,
      sym__interpolated_string_end,
    STATE(14862), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14981), 2,
      sym_comment,
      sym_block_comment,
  [627787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18289), 1,
      anon_sym_COMMA,
    ACTIONS(18291), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14982), 2,
      sym_comment,
      sym_block_comment,
  [627807] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5428), 1,
      anon_sym_RPAREN,
    ACTIONS(18293), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14983), 2,
      sym_comment,
      sym_block_comment,
  [627827] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18295), 1,
      anon_sym_COMMA,
    ACTIONS(18297), 1,
      anon_sym_RBRACK,
    STATE(15782), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14984), 2,
      sym_comment,
      sym_block_comment,
  [627847] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18299), 1,
      anon_sym_COMMA,
    ACTIONS(18301), 1,
      anon_sym_RBRACK,
    STATE(15013), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14985), 2,
      sym_comment,
      sym_block_comment,
  [627867] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18303), 1,
      anon_sym_COMMA,
    ACTIONS(18305), 1,
      anon_sym_RBRACK,
    STATE(14969), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14986), 2,
      sym_comment,
      sym_block_comment,
  [627887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6060), 1,
      anon_sym_RPAREN,
    ACTIONS(18307), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14987), 2,
      sym_comment,
      sym_block_comment,
  [627907] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14533), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(14988), 2,
      sym_comment,
      sym_block_comment,
  [627927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18309), 1,
      anon_sym_COMMA,
    ACTIONS(18311), 1,
      anon_sym_RPAREN,
    STATE(14906), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14989), 2,
      sym_comment,
      sym_block_comment,
  [627947] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    ACTIONS(18273), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14990), 2,
      sym_comment,
      sym_block_comment,
  [627967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18313), 1,
      anon_sym_COMMA,
    ACTIONS(18315), 1,
      anon_sym_RBRACK,
    STATE(15275), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14991), 2,
      sym_comment,
      sym_block_comment,
  [627987] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18317), 1,
      anon_sym_COMMA,
    ACTIONS(18319), 1,
      anon_sym_RBRACK,
    STATE(14998), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14992), 2,
      sym_comment,
      sym_block_comment,
  [628007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5984), 1,
      anon_sym_RBRACK,
    ACTIONS(18321), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14993), 2,
      sym_comment,
      sym_block_comment,
  [628027] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(8405), 1,
      sym_type_arguments,
    STATE(14994), 2,
      sym_comment,
      sym_block_comment,
  [628047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18323), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14995), 2,
      sym_comment,
      sym_block_comment,
  [628067] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5458), 1,
      anon_sym_RPAREN,
    ACTIONS(18325), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14996), 2,
      sym_comment,
      sym_block_comment,
  [628087] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18323), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14997), 2,
      sym_comment,
      sym_block_comment,
  [628107] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5648), 1,
      anon_sym_RBRACK,
    ACTIONS(18327), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14998), 2,
      sym_comment,
      sym_block_comment,
  [628127] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18329), 1,
      anon_sym_COMMA,
    ACTIONS(18331), 1,
      anon_sym_RBRACK,
    STATE(15109), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14999), 2,
      sym_comment,
      sym_block_comment,
  [628147] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
    ACTIONS(18333), 1,
      anon_sym_COMMA,
    STATE(15360), 1,
      aux_sym_parameters_repeat1,
    STATE(15000), 2,
      sym_comment,
      sym_block_comment,
  [628167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18335), 1,
      anon_sym_COMMA,
    ACTIONS(18337), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15001), 2,
      sym_comment,
      sym_block_comment,
  [628187] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18339), 1,
      anon_sym_COMMA,
    ACTIONS(18341), 1,
      anon_sym_RPAREN,
    STATE(14779), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15002), 2,
      sym_comment,
      sym_block_comment,
  [628207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18343), 1,
      anon_sym_COMMA,
    ACTIONS(18345), 1,
      anon_sym_RPAREN,
    STATE(15361), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15003), 2,
      sym_comment,
      sym_block_comment,
  [628227] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18347), 1,
      anon_sym_COMMA,
    ACTIONS(18349), 1,
      anon_sym_RPAREN,
    STATE(15529), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15004), 2,
      sym_comment,
      sym_block_comment,
  [628247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4244), 1,
      sym__indent,
    STATE(6660), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15005), 2,
      sym_comment,
      sym_block_comment,
  [628265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5974), 1,
      anon_sym_RPAREN,
    ACTIONS(18351), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15006), 2,
      sym_comment,
      sym_block_comment,
  [628285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18353), 1,
      anon_sym_COMMA,
    ACTIONS(18355), 1,
      anon_sym_RPAREN,
    STATE(14924), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15007), 2,
      sym_comment,
      sym_block_comment,
  [628305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5128), 1,
      anon_sym_RBRACK,
    ACTIONS(18357), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15008), 2,
      sym_comment,
      sym_block_comment,
  [628325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6052), 1,
      anon_sym_RBRACK,
    ACTIONS(18359), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15009), 2,
      sym_comment,
      sym_block_comment,
  [628345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18361), 1,
      anon_sym_COMMA,
    ACTIONS(18363), 1,
      anon_sym_RBRACK,
    STATE(15016), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15010), 2,
      sym_comment,
      sym_block_comment,
  [628365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8604), 1,
      sym__arrow_then_type,
    ACTIONS(18365), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15011), 2,
      sym_comment,
      sym_block_comment,
  [628383] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(5704), 1,
      sym_type_arguments,
    STATE(15012), 2,
      sym_comment,
      sym_block_comment,
  [628403] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5806), 1,
      anon_sym_RBRACK,
    ACTIONS(18367), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15013), 2,
      sym_comment,
      sym_block_comment,
  [628423] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5708), 1,
      anon_sym_RPAREN,
    ACTIONS(18369), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15014), 2,
      sym_comment,
      sym_block_comment,
  [628443] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18371), 1,
      anon_sym_COMMA,
    ACTIONS(18373), 1,
      anon_sym_RBRACK,
    STATE(15054), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15015), 2,
      sym_comment,
      sym_block_comment,
  [628463] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5658), 1,
      anon_sym_RBRACK,
    ACTIONS(18375), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15016), 2,
      sym_comment,
      sym_block_comment,
  [628483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18377), 1,
      anon_sym_COMMA,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
    STATE(15567), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15017), 2,
      sym_comment,
      sym_block_comment,
  [628503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__indent,
    STATE(6474), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15018), 2,
      sym_comment,
      sym_block_comment,
  [628521] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18381), 1,
      anon_sym_COMMA,
    ACTIONS(18383), 1,
      anon_sym_RPAREN,
    STATE(14880), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15019), 2,
      sym_comment,
      sym_block_comment,
  [628541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    STATE(9706), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15020), 2,
      sym_comment,
      sym_block_comment,
  [628559] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(18385), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15021), 2,
      sym_comment,
      sym_block_comment,
  [628579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18387), 1,
      anon_sym_COMMA,
    ACTIONS(18389), 1,
      anon_sym_RBRACK,
    STATE(15024), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15022), 2,
      sym_comment,
      sym_block_comment,
  [628599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12690), 1,
      anon_sym_RPAREN,
    ACTIONS(18391), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15023), 2,
      sym_comment,
      sym_block_comment,
  [628619] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18393), 1,
      anon_sym_COMMA,
    ACTIONS(18395), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15024), 2,
      sym_comment,
      sym_block_comment,
  [628639] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18397), 1,
      anon_sym_COMMA,
    ACTIONS(18399), 1,
      anon_sym_RPAREN,
    STATE(14942), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15025), 2,
      sym_comment,
      sym_block_comment,
  [628659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4180), 1,
      sym__indent,
    STATE(7790), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15026), 2,
      sym_comment,
      sym_block_comment,
  [628677] = 5,
    ACTIONS(18143), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18403), 1,
      anon_sym_STAR_SLASH,
    STATE(14923), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(18401), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15027), 2,
      sym_comment,
      sym_block_comment,
  [628695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18405), 1,
      anon_sym_COMMA,
    ACTIONS(18407), 1,
      anon_sym_RBRACK,
    STATE(15034), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15028), 2,
      sym_comment,
      sym_block_comment,
  [628715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    ACTIONS(18409), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15029), 2,
      sym_comment,
      sym_block_comment,
  [628735] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18411), 1,
      anon_sym_COMMA,
    ACTIONS(18413), 1,
      anon_sym_RPAREN,
    STATE(15649), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15030), 2,
      sym_comment,
      sym_block_comment,
  [628755] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6004), 1,
      anon_sym_RPAREN,
    ACTIONS(18415), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15031), 2,
      sym_comment,
      sym_block_comment,
  [628775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5492), 1,
      anon_sym_RPAREN,
    ACTIONS(18417), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15032), 2,
      sym_comment,
      sym_block_comment,
  [628795] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    ACTIONS(18419), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15033), 2,
      sym_comment,
      sym_block_comment,
  [628815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5666), 1,
      anon_sym_RBRACK,
    ACTIONS(18421), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15034), 2,
      sym_comment,
      sym_block_comment,
  [628835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18423), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [628851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      sym__indent,
    STATE(10845), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15036), 2,
      sym_comment,
      sym_block_comment,
  [628869] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6108), 1,
      anon_sym_RBRACK,
    ACTIONS(18425), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15037), 2,
      sym_comment,
      sym_block_comment,
  [628889] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18427), 1,
      anon_sym_COMMA,
    ACTIONS(18429), 1,
      anon_sym_RBRACK,
    STATE(15058), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15038), 2,
      sym_comment,
      sym_block_comment,
  [628909] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5402), 1,
      anon_sym_RPAREN,
    ACTIONS(18431), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15039), 2,
      sym_comment,
      sym_block_comment,
  [628929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    ACTIONS(18433), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15040), 2,
      sym_comment,
      sym_block_comment,
  [628949] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    ACTIONS(18435), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15041), 2,
      sym_comment,
      sym_block_comment,
  [628969] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18437), 1,
      anon_sym_COMMA,
    ACTIONS(18439), 1,
      anon_sym_RBRACK,
    STATE(15066), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15042), 2,
      sym_comment,
      sym_block_comment,
  [628989] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18441), 1,
      anon_sym_COMMA,
    ACTIONS(18443), 1,
      anon_sym_RPAREN,
    STATE(15173), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15043), 2,
      sym_comment,
      sym_block_comment,
  [629009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5994), 1,
      anon_sym_RBRACK,
    ACTIONS(18445), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15044), 2,
      sym_comment,
      sym_block_comment,
  [629029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18447), 1,
      anon_sym_COMMA,
    ACTIONS(18449), 1,
      anon_sym_RBRACK,
    STATE(15037), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15045), 2,
      sym_comment,
      sym_block_comment,
  [629049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18451), 1,
      anon_sym_COMMA,
    ACTIONS(18453), 1,
      anon_sym_RBRACK,
    STATE(15052), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15046), 2,
      sym_comment,
      sym_block_comment,
  [629069] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(7988), 1,
      sym_type_arguments,
    STATE(15047), 2,
      sym_comment,
      sym_block_comment,
  [629089] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18455), 1,
      anon_sym_COMMA,
    ACTIONS(18457), 1,
      anon_sym_RBRACK,
    STATE(15029), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15048), 2,
      sym_comment,
      sym_block_comment,
  [629109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5668), 1,
      anon_sym_RBRACK,
    ACTIONS(18459), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15049), 2,
      sym_comment,
      sym_block_comment,
  [629129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5716), 1,
      anon_sym_RPAREN,
    ACTIONS(18461), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15050), 2,
      sym_comment,
      sym_block_comment,
  [629149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5350), 1,
      anon_sym_RBRACK,
    ACTIONS(18463), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15051), 2,
      sym_comment,
      sym_block_comment,
  [629169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5684), 1,
      anon_sym_RBRACK,
    ACTIONS(18465), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15052), 2,
      sym_comment,
      sym_block_comment,
  [629189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17546), 1,
      anon_sym_EQ,
    ACTIONS(17544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15053), 2,
      sym_comment,
      sym_block_comment,
  [629207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
    ACTIONS(18467), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15054), 2,
      sym_comment,
      sym_block_comment,
  [629227] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8294), 1,
      anon_sym_RPAREN,
    ACTIONS(18469), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15055), 2,
      sym_comment,
      sym_block_comment,
  [629247] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    ACTIONS(18471), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15056), 2,
      sym_comment,
      sym_block_comment,
  [629267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18473), 1,
      anon_sym_COMMA,
    ACTIONS(18475), 1,
      anon_sym_RPAREN,
    STATE(15233), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15057), 2,
      sym_comment,
      sym_block_comment,
  [629287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5198), 1,
      anon_sym_RBRACK,
    ACTIONS(18477), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15058), 2,
      sym_comment,
      sym_block_comment,
  [629307] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18479), 1,
      sym__interpolated_string_end,
    STATE(15085), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15059), 2,
      sym_comment,
      sym_block_comment,
  [629327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18479), 1,
      sym__interpolated_multiline_string_end,
    STATE(15089), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15060), 2,
      sym_comment,
      sym_block_comment,
  [629347] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18481), 1,
      anon_sym_COMMA,
    ACTIONS(18483), 1,
      anon_sym_RPAREN,
    STATE(14978), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15061), 2,
      sym_comment,
      sym_block_comment,
  [629367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18485), 1,
      anon_sym_COMMA,
    ACTIONS(18487), 1,
      anon_sym_RPAREN,
    STATE(14972), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15062), 2,
      sym_comment,
      sym_block_comment,
  [629387] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    ACTIONS(18489), 1,
      anon_sym_COMMA,
    STATE(15273), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15063), 2,
      sym_comment,
      sym_block_comment,
  [629407] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18491), 1,
      anon_sym_COMMA,
    ACTIONS(18493), 1,
      anon_sym_RBRACK,
    STATE(15070), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15064), 2,
      sym_comment,
      sym_block_comment,
  [629427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14652), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15065), 2,
      sym_comment,
      sym_block_comment,
  [629447] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18497), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15066), 2,
      sym_comment,
      sym_block_comment,
  [629467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18499), 1,
      anon_sym_COMMA,
    ACTIONS(18501), 1,
      anon_sym_RBRACK,
    STATE(15094), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15067), 2,
      sym_comment,
      sym_block_comment,
  [629487] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5510), 1,
      anon_sym_RPAREN,
    ACTIONS(18503), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15068), 2,
      sym_comment,
      sym_block_comment,
  [629507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      anon_sym_RPAREN,
    ACTIONS(18505), 1,
      anon_sym_COMMA,
    STATE(14837), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15069), 2,
      sym_comment,
      sym_block_comment,
  [629527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5698), 1,
      anon_sym_RBRACK,
    ACTIONS(18507), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15070), 2,
      sym_comment,
      sym_block_comment,
  [629547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5352), 1,
      anon_sym_RPAREN,
    ACTIONS(18509), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15071), 2,
      sym_comment,
      sym_block_comment,
  [629567] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18511), 1,
      anon_sym_COMMA,
    ACTIONS(18513), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15072), 2,
      sym_comment,
      sym_block_comment,
  [629587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14558), 1,
      sym_enum_body,
    STATE(15073), 2,
      sym_comment,
      sym_block_comment,
  [629607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18515), 1,
      anon_sym_COMMA,
    ACTIONS(18517), 1,
      anon_sym_RPAREN,
    STATE(15665), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15074), 2,
      sym_comment,
      sym_block_comment,
  [629627] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16196), 1,
      anon_sym_LBRACK,
    STATE(9774), 1,
      sym_type_arguments,
    STATE(15075), 2,
      sym_comment,
      sym_block_comment,
  [629647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    STATE(8477), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15076), 2,
      sym_comment,
      sym_block_comment,
  [629665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14688), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15077), 2,
      sym_comment,
      sym_block_comment,
  [629685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18519), 1,
      anon_sym_COMMA,
    ACTIONS(18521), 1,
      anon_sym_RBRACK,
    STATE(15099), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15078), 2,
      sym_comment,
      sym_block_comment,
  [629705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18523), 1,
      anon_sym_COMMA,
    ACTIONS(18525), 1,
      anon_sym_RPAREN,
    STATE(15014), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15079), 2,
      sym_comment,
      sym_block_comment,
  [629725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5310), 1,
      anon_sym_RPAREN,
    ACTIONS(18527), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15080), 2,
      sym_comment,
      sym_block_comment,
  [629745] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(8925), 1,
      sym_type_arguments,
    STATE(15081), 2,
      sym_comment,
      sym_block_comment,
  [629765] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18529), 1,
      anon_sym_COMMA,
    ACTIONS(18531), 1,
      anon_sym_RBRACK,
    STATE(15088), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15082), 2,
      sym_comment,
      sym_block_comment,
  [629785] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18533), 1,
      anon_sym_COMMA,
    ACTIONS(18535), 1,
      anon_sym_RBRACK,
    STATE(15117), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15083), 2,
      sym_comment,
      sym_block_comment,
  [629805] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18537), 1,
      anon_sym_COMMA,
    ACTIONS(18539), 1,
      anon_sym_RPAREN,
    STATE(15445), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15084), 2,
      sym_comment,
      sym_block_comment,
  [629825] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18541), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15085), 2,
      sym_comment,
      sym_block_comment,
  [629845] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    ACTIONS(18543), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15086), 2,
      sym_comment,
      sym_block_comment,
  [629865] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_RPAREN,
    ACTIONS(18545), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15087), 2,
      sym_comment,
      sym_block_comment,
  [629885] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5710), 1,
      anon_sym_RBRACK,
    ACTIONS(18547), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15088), 2,
      sym_comment,
      sym_block_comment,
  [629905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18541), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15089), 2,
      sym_comment,
      sym_block_comment,
  [629925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12917), 1,
      sym__arrow_then_type,
    ACTIONS(18549), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15090), 2,
      sym_comment,
      sym_block_comment,
  [629943] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14640), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15091), 2,
      sym_comment,
      sym_block_comment,
  [629963] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    ACTIONS(18551), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15092), 2,
      sym_comment,
      sym_block_comment,
  [629983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18553), 1,
      anon_sym_COMMA,
    ACTIONS(18555), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15093), 2,
      sym_comment,
      sym_block_comment,
  [630003] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6056), 1,
      anon_sym_RBRACK,
    ACTIONS(18557), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15094), 2,
      sym_comment,
      sym_block_comment,
  [630023] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18559), 1,
      anon_sym_COMMA,
    ACTIONS(18561), 1,
      anon_sym_RPAREN,
    STATE(14973), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15095), 2,
      sym_comment,
      sym_block_comment,
  [630043] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(18563), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15096), 2,
      sym_comment,
      sym_block_comment,
  [630063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18565), 1,
      anon_sym_COMMA,
    ACTIONS(18567), 1,
      anon_sym_RPAREN,
    STATE(15050), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15097), 2,
      sym_comment,
      sym_block_comment,
  [630083] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18569), 1,
      anon_sym_COMMA,
    ACTIONS(18571), 1,
      anon_sym_RBRACK,
    STATE(15008), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15098), 2,
      sym_comment,
      sym_block_comment,
  [630103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18573), 1,
      anon_sym_COMMA,
    ACTIONS(18575), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15099), 2,
      sym_comment,
      sym_block_comment,
  [630123] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18577), 1,
      anon_sym_COMMA,
    ACTIONS(18579), 1,
      anon_sym_RBRACK,
    STATE(15106), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15100), 2,
      sym_comment,
      sym_block_comment,
  [630143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13107), 1,
      anon_sym_RPAREN,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    STATE(15576), 1,
      aux_sym_bindings_repeat1,
    STATE(15101), 2,
      sym_comment,
      sym_block_comment,
  [630163] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18583), 1,
      anon_sym_COMMA,
    ACTIONS(18585), 1,
      anon_sym_RBRACK,
    STATE(15111), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15102), 2,
      sym_comment,
      sym_block_comment,
  [630183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5206), 1,
      anon_sym_RPAREN,
    ACTIONS(18587), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15103), 2,
      sym_comment,
      sym_block_comment,
  [630203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5734), 1,
      anon_sym_RPAREN,
    ACTIONS(18589), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15104), 2,
      sym_comment,
      sym_block_comment,
  [630223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18591), 1,
      sym__interpolated_string_end,
    STATE(15558), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15105), 2,
      sym_comment,
      sym_block_comment,
  [630243] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    ACTIONS(18593), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15106), 2,
      sym_comment,
      sym_block_comment,
  [630263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18595), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15107), 2,
      sym_comment,
      sym_block_comment,
  [630283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18597), 1,
      anon_sym_COMMA,
    ACTIONS(18599), 1,
      anon_sym_RBRACK,
    STATE(15158), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15108), 2,
      sym_comment,
      sym_block_comment,
  [630303] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5416), 1,
      anon_sym_RBRACK,
    ACTIONS(18601), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15109), 2,
      sym_comment,
      sym_block_comment,
  [630323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17470), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [630339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18603), 1,
      anon_sym_COMMA,
    ACTIONS(18605), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15111), 2,
      sym_comment,
      sym_block_comment,
  [630359] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    ACTIONS(18607), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15112), 2,
      sym_comment,
      sym_block_comment,
  [630379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__indent,
    STATE(8103), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15113), 2,
      sym_comment,
      sym_block_comment,
  [630397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18595), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15114), 2,
      sym_comment,
      sym_block_comment,
  [630417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18609), 1,
      anon_sym_COMMA,
    ACTIONS(18611), 1,
      anon_sym_RPAREN,
    STATE(15086), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15115), 2,
      sym_comment,
      sym_block_comment,
  [630437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18613), 1,
      anon_sym_COMMA,
    ACTIONS(18615), 1,
      anon_sym_RPAREN,
    STATE(15348), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15116), 2,
      sym_comment,
      sym_block_comment,
  [630457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5750), 1,
      anon_sym_RBRACK,
    ACTIONS(18617), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15117), 2,
      sym_comment,
      sym_block_comment,
  [630477] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18619), 1,
      anon_sym_COMMA,
    ACTIONS(18621), 1,
      anon_sym_RBRACK,
    STATE(15124), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15118), 2,
      sym_comment,
      sym_block_comment,
  [630497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(18623), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15119), 2,
      sym_comment,
      sym_block_comment,
  [630517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4560), 1,
      sym__indent,
    STATE(7777), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15120), 2,
      sym_comment,
      sym_block_comment,
  [630535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18591), 1,
      sym__interpolated_multiline_string_end,
    STATE(15574), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15121), 2,
      sym_comment,
      sym_block_comment,
  [630555] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5560), 1,
      anon_sym_RPAREN,
    ACTIONS(18625), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15122), 2,
      sym_comment,
      sym_block_comment,
  [630575] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(18627), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15123), 2,
      sym_comment,
      sym_block_comment,
  [630595] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    ACTIONS(18629), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15124), 2,
      sym_comment,
      sym_block_comment,
  [630615] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(18631), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15125), 2,
      sym_comment,
      sym_block_comment,
  [630635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(18633), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15126), 2,
      sym_comment,
      sym_block_comment,
  [630655] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8270), 1,
      anon_sym_RPAREN,
    ACTIONS(18635), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15127), 2,
      sym_comment,
      sym_block_comment,
  [630675] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18637), 1,
      anon_sym_COMMA,
    ACTIONS(18639), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15128), 2,
      sym_comment,
      sym_block_comment,
  [630695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8340), 1,
      anon_sym_RPAREN,
    ACTIONS(18641), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15129), 2,
      sym_comment,
      sym_block_comment,
  [630715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18643), 1,
      sym__interpolated_string_end,
    STATE(15499), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15130), 2,
      sym_comment,
      sym_block_comment,
  [630735] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_RPAREN,
    ACTIONS(18545), 1,
      anon_sym_COMMA,
    STATE(15127), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15131), 2,
      sym_comment,
      sym_block_comment,
  [630755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17523), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
  [630771] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18645), 1,
      anon_sym_COMMA,
    ACTIONS(18647), 1,
      anon_sym_RPAREN,
    STATE(15104), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15133), 2,
      sym_comment,
      sym_block_comment,
  [630791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18643), 1,
      sym__interpolated_multiline_string_end,
    STATE(15356), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15134), 2,
      sym_comment,
      sym_block_comment,
  [630811] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18649), 1,
      anon_sym_COMMA,
    ACTIONS(18651), 1,
      anon_sym_RPAREN,
    STATE(15756), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15135), 2,
      sym_comment,
      sym_block_comment,
  [630831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18653), 1,
      anon_sym_COMMA,
    ACTIONS(18655), 1,
      anon_sym_RBRACK,
    STATE(15142), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15136), 2,
      sym_comment,
      sym_block_comment,
  [630851] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    ACTIONS(18657), 1,
      anon_sym_COMMA,
    STATE(15147), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15137), 2,
      sym_comment,
      sym_block_comment,
  [630871] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18659), 1,
      anon_sym_COMMA,
    ACTIONS(18661), 1,
      anon_sym_RBRACK,
    STATE(15049), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15138), 2,
      sym_comment,
      sym_block_comment,
  [630891] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18663), 1,
      anon_sym_COMMA,
    ACTIONS(18665), 1,
      anon_sym_RPAREN,
    STATE(15714), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15139), 2,
      sym_comment,
      sym_block_comment,
  [630911] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
    ACTIONS(18667), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15140), 2,
      sym_comment,
      sym_block_comment,
  [630931] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18669), 1,
      anon_sym_COMMA,
    ACTIONS(18671), 1,
      anon_sym_RBRACK,
    STATE(15148), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15141), 2,
      sym_comment,
      sym_block_comment,
  [630951] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5736), 1,
      anon_sym_RBRACK,
    ACTIONS(18673), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15142), 2,
      sym_comment,
      sym_block_comment,
  [630971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18675), 1,
      anon_sym_COMMA,
    ACTIONS(18677), 1,
      anon_sym_RPAREN,
    STATE(15648), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15143), 2,
      sym_comment,
      sym_block_comment,
  [630991] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(6462), 1,
      sym_type_arguments,
    STATE(15144), 2,
      sym_comment,
      sym_block_comment,
  [631011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5340), 1,
      anon_sym_RPAREN,
    ACTIONS(18679), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15145), 2,
      sym_comment,
      sym_block_comment,
  [631031] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18681), 1,
      anon_sym_COMMA,
    ACTIONS(18683), 1,
      anon_sym_RPAREN,
    STATE(15167), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15146), 2,
      sym_comment,
      sym_block_comment,
  [631051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8336), 1,
      anon_sym_RPAREN,
    ACTIONS(18685), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15147), 2,
      sym_comment,
      sym_block_comment,
  [631071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18687), 1,
      anon_sym_COMMA,
    ACTIONS(18689), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15148), 2,
      sym_comment,
      sym_block_comment,
  [631091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18691), 1,
      anon_sym_COMMA,
    ACTIONS(18693), 1,
      anon_sym_RBRACK,
    STATE(15634), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15149), 2,
      sym_comment,
      sym_block_comment,
  [631111] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14722), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15150), 2,
      sym_comment,
      sym_block_comment,
  [631131] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18695), 1,
      anon_sym_COMMA,
    ACTIONS(18697), 1,
      anon_sym_RPAREN,
    STATE(15140), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15151), 2,
      sym_comment,
      sym_block_comment,
  [631151] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18699), 1,
      anon_sym_COMMA,
    ACTIONS(18701), 1,
      anon_sym_RBRACK,
    STATE(15219), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15152), 2,
      sym_comment,
      sym_block_comment,
  [631171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18703), 1,
      anon_sym_COMMA,
    ACTIONS(18705), 1,
      anon_sym_RBRACK,
    STATE(15159), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15153), 2,
      sym_comment,
      sym_block_comment,
  [631191] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5628), 1,
      anon_sym_RPAREN,
    ACTIONS(18707), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15154), 2,
      sym_comment,
      sym_block_comment,
  [631211] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18709), 1,
      anon_sym_COMMA,
    ACTIONS(18711), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15155), 2,
      sym_comment,
      sym_block_comment,
  [631231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14687), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15156), 2,
      sym_comment,
      sym_block_comment,
  [631251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    ACTIONS(18713), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15157), 2,
      sym_comment,
      sym_block_comment,
  [631271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5200), 1,
      anon_sym_RBRACK,
    ACTIONS(18715), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15158), 2,
      sym_comment,
      sym_block_comment,
  [631291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5752), 1,
      anon_sym_RBRACK,
    ACTIONS(18717), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15159), 2,
      sym_comment,
      sym_block_comment,
  [631311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18719), 1,
      anon_sym_COMMA,
    ACTIONS(18721), 1,
      anon_sym_RBRACK,
    STATE(15178), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15160), 2,
      sym_comment,
      sym_block_comment,
  [631331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15444), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(8309), 1,
      sym_type_arguments,
    STATE(15161), 2,
      sym_comment,
      sym_block_comment,
  [631351] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5408), 1,
      anon_sym_RBRACK,
    ACTIONS(18723), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15162), 2,
      sym_comment,
      sym_block_comment,
  [631371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    ACTIONS(18657), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15163), 2,
      sym_comment,
      sym_block_comment,
  [631391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8368), 1,
      anon_sym_RPAREN,
    ACTIONS(18725), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15164), 2,
      sym_comment,
      sym_block_comment,
  [631411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5346), 1,
      anon_sym_RBRACK,
    ACTIONS(18727), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15165), 2,
      sym_comment,
      sym_block_comment,
  [631431] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18729), 1,
      anon_sym_COMMA,
    ACTIONS(18731), 1,
      anon_sym_RPAREN,
    STATE(15769), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15166), 2,
      sym_comment,
      sym_block_comment,
  [631451] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    ACTIONS(18733), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15167), 2,
      sym_comment,
      sym_block_comment,
  [631471] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18735), 1,
      anon_sym_COMMA,
    ACTIONS(18737), 1,
      anon_sym_RPAREN,
    STATE(15157), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15168), 2,
      sym_comment,
      sym_block_comment,
  [631491] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18739), 1,
      anon_sym_COMMA,
    ACTIONS(18741), 1,
      anon_sym_RBRACK,
    STATE(15175), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15169), 2,
      sym_comment,
      sym_block_comment,
  [631511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4250), 1,
      sym__indent,
    STATE(8180), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15170), 2,
      sym_comment,
      sym_block_comment,
  [631529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18743), 1,
      anon_sym_COMMA,
    ACTIONS(18745), 1,
      anon_sym_RBRACK,
    STATE(15260), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15171), 2,
      sym_comment,
      sym_block_comment,
  [631549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8368), 1,
      anon_sym_RPAREN,
    ACTIONS(18725), 1,
      anon_sym_COMMA,
    STATE(15129), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15172), 2,
      sym_comment,
      sym_block_comment,
  [631569] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5680), 1,
      anon_sym_RPAREN,
    ACTIONS(18747), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15173), 2,
      sym_comment,
      sym_block_comment,
  [631589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(18749), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15174), 2,
      sym_comment,
      sym_block_comment,
  [631607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5762), 1,
      anon_sym_RBRACK,
    ACTIONS(18751), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15175), 2,
      sym_comment,
      sym_block_comment,
  [631627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18753), 1,
      anon_sym_DOLLAR,
    STATE(15176), 2,
      sym_comment,
      sym_block_comment,
    STATE(15911), 2,
      sym__dollar_escape,
      sym_interpolation,
  [631645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18755), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15177), 2,
      sym_comment,
      sym_block_comment,
  [631665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18757), 1,
      anon_sym_COMMA,
    ACTIONS(18759), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15178), 2,
      sym_comment,
      sym_block_comment,
  [631685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18761), 1,
      anon_sym_DOLLAR,
    STATE(15179), 2,
      sym_comment,
      sym_block_comment,
    STATE(15909), 2,
      sym__dollar_escape,
      sym_interpolation,
  [631703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18763), 1,
      anon_sym_COMMA,
    ACTIONS(18765), 1,
      anon_sym_RBRACK,
    STATE(15162), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15180), 2,
      sym_comment,
      sym_block_comment,
  [631723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18755), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15181), 2,
      sym_comment,
      sym_block_comment,
  [631743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18767), 1,
      sym__interpolated_string_end,
    STATE(15204), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15182), 2,
      sym_comment,
      sym_block_comment,
  [631763] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18769), 1,
      anon_sym_COMMA,
    ACTIONS(18771), 1,
      anon_sym_RBRACK,
    STATE(15187), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15183), 2,
      sym_comment,
      sym_block_comment,
  [631783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18773), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15184), 2,
      sym_comment,
      sym_block_comment,
  [631803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18775), 1,
      anon_sym_COMMA,
    ACTIONS(18777), 1,
      anon_sym_RBRACK,
    STATE(15197), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15185), 2,
      sym_comment,
      sym_block_comment,
  [631823] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18779), 1,
      anon_sym_COMMA,
    ACTIONS(18781), 1,
      anon_sym_RPAREN,
    STATE(15752), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15186), 2,
      sym_comment,
      sym_block_comment,
  [631843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5772), 1,
      anon_sym_RBRACK,
    ACTIONS(18783), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15187), 2,
      sym_comment,
      sym_block_comment,
  [631863] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14613), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15188), 2,
      sym_comment,
      sym_block_comment,
  [631883] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18785), 1,
      anon_sym_COMMA,
    ACTIONS(18787), 1,
      anon_sym_RPAREN,
    STATE(15663), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15189), 2,
      sym_comment,
      sym_block_comment,
  [631903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13331), 1,
      sym__arrow_then_type,
    ACTIONS(18789), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15190), 2,
      sym_comment,
      sym_block_comment,
  [631921] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7298), 1,
      anon_sym_RPAREN,
    ACTIONS(18791), 1,
      anon_sym_COMMA,
    STATE(15839), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15191), 2,
      sym_comment,
      sym_block_comment,
  [631941] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17355), 1,
      anon_sym_COMMA,
    ACTIONS(17357), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15192), 2,
      sym_comment,
      sym_block_comment,
  [631961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 1,
      sym__arrow_then_type,
    ACTIONS(18793), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15193), 2,
      sym_comment,
      sym_block_comment,
  [631979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18795), 1,
      anon_sym_COMMA,
    ACTIONS(18797), 1,
      anon_sym_RBRACK,
    STATE(15198), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15194), 2,
      sym_comment,
      sym_block_comment,
  [631999] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18799), 1,
      anon_sym_COMMA,
    ACTIONS(18801), 1,
      anon_sym_RPAREN,
    STATE(15154), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15195), 2,
      sym_comment,
      sym_block_comment,
  [632019] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18773), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15196), 2,
      sym_comment,
      sym_block_comment,
  [632039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18803), 1,
      anon_sym_COMMA,
    ACTIONS(18805), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15197), 2,
      sym_comment,
      sym_block_comment,
  [632059] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5776), 1,
      anon_sym_RBRACK,
    ACTIONS(18807), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15198), 2,
      sym_comment,
      sym_block_comment,
  [632079] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18809), 1,
      anon_sym_COMMA,
    ACTIONS(18811), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15199), 2,
      sym_comment,
      sym_block_comment,
  [632099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    ACTIONS(18813), 1,
      anon_sym_COMMA,
    STATE(15702), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15200), 2,
      sym_comment,
      sym_block_comment,
  [632119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    ACTIONS(18815), 1,
      anon_sym_COMMA,
    STATE(15273), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15201), 2,
      sym_comment,
      sym_block_comment,
  [632139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18817), 1,
      anon_sym_COMMA,
    ACTIONS(18819), 1,
      anon_sym_RBRACK,
    STATE(15235), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15202), 2,
      sym_comment,
      sym_block_comment,
  [632159] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18821), 1,
      sym__interpolated_multiline_string_end,
    STATE(15107), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15203), 2,
      sym_comment,
      sym_block_comment,
  [632179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18823), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15204), 2,
      sym_comment,
      sym_block_comment,
  [632199] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18825), 1,
      anon_sym_COMMA,
    ACTIONS(18827), 1,
      anon_sym_RBRACK,
    STATE(15209), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15205), 2,
      sym_comment,
      sym_block_comment,
  [632219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5276), 1,
      anon_sym_RPAREN,
    ACTIONS(18829), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15206), 2,
      sym_comment,
      sym_block_comment,
  [632239] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18823), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15207), 2,
      sym_comment,
      sym_block_comment,
  [632259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18831), 1,
      anon_sym_COMMA,
    ACTIONS(18833), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15208), 2,
      sym_comment,
      sym_block_comment,
  [632279] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5780), 1,
      anon_sym_RBRACK,
    ACTIONS(18835), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15209), 2,
      sym_comment,
      sym_block_comment,
  [632299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18837), 1,
      anon_sym_COMMA,
    ACTIONS(18839), 1,
      anon_sym_RBRACK,
    STATE(15044), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15210), 2,
      sym_comment,
      sym_block_comment,
  [632319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6098), 1,
      anon_sym_RBRACK,
    ACTIONS(18841), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15211), 2,
      sym_comment,
      sym_block_comment,
  [632339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    ACTIONS(18843), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15212), 2,
      sym_comment,
      sym_block_comment,
  [632359] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12727), 1,
      anon_sym_RPAREN,
    ACTIONS(18845), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15213), 2,
      sym_comment,
      sym_block_comment,
  [632379] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18847), 1,
      anon_sym_COMMA,
    ACTIONS(18849), 1,
      anon_sym_RBRACK,
    STATE(15215), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15214), 2,
      sym_comment,
      sym_block_comment,
  [632399] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18851), 1,
      anon_sym_COMMA,
    ACTIONS(18853), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15215), 2,
      sym_comment,
      sym_block_comment,
  [632419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18855), 1,
      anon_sym_COMMA,
    ACTIONS(18857), 1,
      anon_sym_RBRACK,
    STATE(15220), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15216), 2,
      sym_comment,
      sym_block_comment,
  [632439] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5398), 1,
      anon_sym_RBRACK,
    ACTIONS(18859), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15217), 2,
      sym_comment,
      sym_block_comment,
  [632459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(18821), 1,
      sym__interpolated_string_end,
    STATE(15114), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15218), 2,
      sym_comment,
      sym_block_comment,
  [632479] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5928), 1,
      anon_sym_RBRACK,
    ACTIONS(18861), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15219), 2,
      sym_comment,
      sym_block_comment,
  [632499] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5784), 1,
      anon_sym_RBRACK,
    ACTIONS(18863), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15220), 2,
      sym_comment,
      sym_block_comment,
  [632519] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    STATE(14393), 1,
      sym_enum_body,
    STATE(15221), 2,
      sym_comment,
      sym_block_comment,
  [632539] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    ACTIONS(18865), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15222), 2,
      sym_comment,
      sym_block_comment,
  [632559] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6024), 1,
      anon_sym_RBRACK,
    ACTIONS(18867), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15223), 2,
      sym_comment,
      sym_block_comment,
  [632579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16906), 1,
      anon_sym_RBRACE,
    ACTIONS(16908), 1,
      anon_sym_COMMA,
    STATE(14732), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15224), 2,
      sym_comment,
      sym_block_comment,
  [632599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6086), 1,
      anon_sym_RPAREN,
    ACTIONS(18869), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15225), 2,
      sym_comment,
      sym_block_comment,
  [632619] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14443), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15226), 2,
      sym_comment,
      sym_block_comment,
  [632639] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18871), 1,
      anon_sym_COMMA,
    ACTIONS(18873), 1,
      anon_sym_RBRACK,
    STATE(15231), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15227), 2,
      sym_comment,
      sym_block_comment,
  [632659] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18875), 1,
      anon_sym_COMMA,
    ACTIONS(18877), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15228), 2,
      sym_comment,
      sym_block_comment,
  [632679] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18879), 1,
      anon_sym_COMMA,
    ACTIONS(18881), 1,
      anon_sym_RBRACK,
    STATE(15230), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15229), 2,
      sym_comment,
      sym_block_comment,
  [632699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18883), 1,
      anon_sym_COMMA,
    ACTIONS(18885), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15230), 2,
      sym_comment,
      sym_block_comment,
  [632719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5790), 1,
      anon_sym_RBRACK,
    ACTIONS(18887), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15231), 2,
      sym_comment,
      sym_block_comment,
  [632739] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18889), 1,
      anon_sym_COMMA,
    ACTIONS(18891), 1,
      anon_sym_RBRACK,
    STATE(15217), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15232), 2,
      sym_comment,
      sym_block_comment,
  [632759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6022), 1,
      anon_sym_RPAREN,
    ACTIONS(18893), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15233), 2,
      sym_comment,
      sym_block_comment,
  [632779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18895), 1,
      anon_sym_COMMA,
    ACTIONS(18897), 1,
      anon_sym_RBRACK,
    STATE(15128), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15234), 2,
      sym_comment,
      sym_block_comment,
  [632799] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5690), 1,
      anon_sym_RBRACK,
    ACTIONS(18899), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15235), 2,
      sym_comment,
      sym_block_comment,
  [632819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18901), 1,
      anon_sym_COMMA,
    ACTIONS(18903), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15236), 2,
      sym_comment,
      sym_block_comment,
  [632839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4176), 1,
      sym__indent,
    STATE(8508), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15237), 2,
      sym_comment,
      sym_block_comment,
  [632857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18905), 1,
      anon_sym_COMMA,
    ACTIONS(18907), 1,
      anon_sym_RBRACK,
    STATE(15242), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15238), 2,
      sym_comment,
      sym_block_comment,
  [632877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17483), 1,
      anon_sym_EQ,
    ACTIONS(17481), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15239), 2,
      sym_comment,
      sym_block_comment,
  [632895] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    ACTIONS(18909), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15240), 2,
      sym_comment,
      sym_block_comment,
  [632915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    ACTIONS(18911), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15241), 2,
      sym_comment,
      sym_block_comment,
  [632935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    ACTIONS(18913), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15242), 2,
      sym_comment,
      sym_block_comment,
  [632955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18915), 1,
      anon_sym_COMMA,
    ACTIONS(18917), 1,
      anon_sym_RPAREN,
    STATE(15799), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15243), 2,
      sym_comment,
      sym_block_comment,
  [632975] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(16106), 1,
      anon_sym_LBRACK,
    STATE(10078), 1,
      sym_type_arguments,
    STATE(15244), 2,
      sym_comment,
      sym_block_comment,
  [632995] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    ACTIONS(18911), 1,
      anon_sym_COMMA,
    STATE(15163), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15245), 2,
      sym_comment,
      sym_block_comment,
  [633015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
    ACTIONS(18919), 1,
      anon_sym_COMMA,
    STATE(15164), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15246), 2,
      sym_comment,
      sym_block_comment,
  [633035] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18921), 1,
      anon_sym_COMMA,
    ACTIONS(18923), 1,
      anon_sym_RBRACK,
    STATE(15250), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15247), 2,
      sym_comment,
      sym_block_comment,
  [633055] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14663), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15248), 2,
      sym_comment,
      sym_block_comment,
  [633075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6068), 1,
      anon_sym_RBRACK,
    ACTIONS(18925), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15249), 2,
      sym_comment,
      sym_block_comment,
  [633095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    ACTIONS(18927), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15250), 2,
      sym_comment,
      sym_block_comment,
  [633115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18929), 1,
      anon_sym_COMMA,
    ACTIONS(18931), 1,
      anon_sym_RBRACK,
    STATE(15745), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15251), 2,
      sym_comment,
      sym_block_comment,
  [633135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14502), 1,
      sym_enum_body,
    STATE(15252), 2,
      sym_comment,
      sym_block_comment,
  [633155] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18933), 1,
      anon_sym_COMMA,
    ACTIONS(18935), 1,
      anon_sym_RPAREN,
    STATE(15031), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15253), 2,
      sym_comment,
      sym_block_comment,
  [633175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18937), 1,
      anon_sym_COMMA,
    ACTIONS(18939), 1,
      anon_sym_RBRACK,
    STATE(15257), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15254), 2,
      sym_comment,
      sym_block_comment,
  [633195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4494), 1,
      sym__indent,
    STATE(6486), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15255), 2,
      sym_comment,
      sym_block_comment,
  [633213] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18941), 1,
      anon_sym_COMMA,
    ACTIONS(18943), 1,
      anon_sym_RBRACK,
    STATE(15228), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15256), 2,
      sym_comment,
      sym_block_comment,
  [633233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5818), 1,
      anon_sym_RBRACK,
    ACTIONS(18945), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15257), 2,
      sym_comment,
      sym_block_comment,
  [633253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18947), 1,
      anon_sym_COMMA,
    ACTIONS(18949), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15258), 2,
      sym_comment,
      sym_block_comment,
  [633273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4730), 1,
      sym__indent,
    STATE(7914), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15259), 2,
      sym_comment,
      sym_block_comment,
  [633291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5150), 1,
      anon_sym_RBRACK,
    ACTIONS(18951), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15260), 2,
      sym_comment,
      sym_block_comment,
  [633311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18953), 1,
      anon_sym_COMMA,
    ACTIONS(18955), 1,
      anon_sym_RBRACK,
    STATE(15264), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15261), 2,
      sym_comment,
      sym_block_comment,
  [633331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(18957), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15262), 2,
      sym_comment,
      sym_block_comment,
  [633351] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5160), 1,
      anon_sym_RBRACK,
    ACTIONS(18959), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15263), 2,
      sym_comment,
      sym_block_comment,
  [633371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5822), 1,
      anon_sym_RBRACK,
    ACTIONS(18961), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15264), 2,
      sym_comment,
      sym_block_comment,
  [633391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6018), 1,
      anon_sym_RPAREN,
    ACTIONS(18963), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15265), 2,
      sym_comment,
      sym_block_comment,
  [633411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18965), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [633427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5450), 1,
      anon_sym_RPAREN,
    ACTIONS(18967), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15267), 2,
      sym_comment,
      sym_block_comment,
  [633447] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18969), 1,
      anon_sym_COMMA,
    ACTIONS(18971), 1,
      anon_sym_RBRACK,
    STATE(15271), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15268), 2,
      sym_comment,
      sym_block_comment,
  [633467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(18973), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15269), 2,
      sym_comment,
      sym_block_comment,
  [633485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18975), 1,
      anon_sym_COMMA,
    ACTIONS(18977), 1,
      anon_sym_RBRACK,
    STATE(15782), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15270), 2,
      sym_comment,
      sym_block_comment,
  [633505] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    ACTIONS(18979), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15271), 2,
      sym_comment,
      sym_block_comment,
  [633525] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18981), 1,
      anon_sym_COMMA,
    ACTIONS(18983), 1,
      anon_sym_RBRACK,
    STATE(15258), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15272), 2,
      sym_comment,
      sym_block_comment,
  [633545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18973), 1,
      anon_sym_RPAREN,
    ACTIONS(18985), 1,
      anon_sym_COMMA,
    STATE(15273), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__using_parameters_clause_repeat1,
  [633563] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18988), 1,
      anon_sym_COMMA,
    ACTIONS(18990), 1,
      anon_sym_RBRACK,
    STATE(15276), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15274), 2,
      sym_comment,
      sym_block_comment,
  [633583] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18992), 1,
      anon_sym_COMMA,
    ACTIONS(18994), 1,
      anon_sym_RBRACK,
    STATE(15782), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15275), 2,
      sym_comment,
      sym_block_comment,
  [633603] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5830), 1,
      anon_sym_RBRACK,
    ACTIONS(18996), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15276), 2,
      sym_comment,
      sym_block_comment,
  [633623] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18998), 1,
      anon_sym_COMMA,
    ACTIONS(19000), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15277), 2,
      sym_comment,
      sym_block_comment,
  [633643] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19002), 1,
      anon_sym_COMMA,
    ACTIONS(19004), 1,
      anon_sym_RBRACK,
    STATE(15280), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15278), 2,
      sym_comment,
      sym_block_comment,
  [633663] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18767), 1,
      sym__interpolated_multiline_string_end,
    STATE(15207), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15279), 2,
      sym_comment,
      sym_block_comment,
  [633683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    ACTIONS(19006), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15280), 2,
      sym_comment,
      sym_block_comment,
  [633703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19008), 1,
      anon_sym_COMMA,
    ACTIONS(19010), 1,
      anon_sym_RBRACK,
    STATE(15295), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15281), 2,
      sym_comment,
      sym_block_comment,
  [633723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19012), 1,
      anon_sym_COMMA,
    ACTIONS(19014), 1,
      anon_sym_RBRACK,
    STATE(15284), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15282), 2,
      sym_comment,
      sym_block_comment,
  [633743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(19016), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15283), 2,
      sym_comment,
      sym_block_comment,
  [633763] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5838), 1,
      anon_sym_RBRACK,
    ACTIONS(19018), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15284), 2,
      sym_comment,
      sym_block_comment,
  [633783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19020), 1,
      sym__interpolated_multiline_string_end,
    STATE(14900), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15285), 2,
      sym_comment,
      sym_block_comment,
  [633803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19022), 1,
      anon_sym_COMMA,
    ACTIONS(19024), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15286), 2,
      sym_comment,
      sym_block_comment,
  [633823] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5382), 1,
      anon_sym_RBRACK,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15287), 2,
      sym_comment,
      sym_block_comment,
  [633843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    ACTIONS(19028), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15288), 2,
      sym_comment,
      sym_block_comment,
  [633863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17986), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [633879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19030), 1,
      anon_sym_COMMA,
    ACTIONS(19032), 1,
      anon_sym_RBRACK,
    STATE(15292), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15290), 2,
      sym_comment,
      sym_block_comment,
  [633899] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    ACTIONS(19034), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15291), 2,
      sym_comment,
      sym_block_comment,
  [633919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    ACTIONS(19036), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15292), 2,
      sym_comment,
      sym_block_comment,
  [633939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19038), 1,
      anon_sym_COMMA,
    ACTIONS(19040), 1,
      anon_sym_RBRACK,
    STATE(15249), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15293), 2,
      sym_comment,
      sym_block_comment,
  [633959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19042), 1,
      anon_sym_COMMA,
    ACTIONS(19044), 1,
      anon_sym_RBRACK,
    STATE(15296), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15294), 2,
      sym_comment,
      sym_block_comment,
  [633979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19046), 1,
      anon_sym_COMMA,
    ACTIONS(19048), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15295), 2,
      sym_comment,
      sym_block_comment,
  [633999] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    ACTIONS(19050), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15296), 2,
      sym_comment,
      sym_block_comment,
  [634019] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5148), 1,
      anon_sym_RPAREN,
    ACTIONS(19052), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15297), 2,
      sym_comment,
      sym_block_comment,
  [634039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19054), 1,
      anon_sym_COMMA,
    ACTIONS(19056), 1,
      anon_sym_RBRACK,
    STATE(15300), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15298), 2,
      sym_comment,
      sym_block_comment,
  [634059] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19058), 1,
      sym__interpolated_multiline_string_end,
    STATE(15376), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15299), 2,
      sym_comment,
      sym_block_comment,
  [634079] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      anon_sym_RBRACK,
    ACTIONS(19060), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15300), 2,
      sym_comment,
      sym_block_comment,
  [634099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    ACTIONS(19062), 1,
      anon_sym_COMMA,
    STATE(15785), 1,
      aux_sym_parameters_repeat1,
    STATE(15301), 2,
      sym_comment,
      sym_block_comment,
  [634119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19064), 1,
      anon_sym_COMMA,
    ACTIONS(19066), 1,
      anon_sym_RBRACK,
    STATE(15304), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15302), 2,
      sym_comment,
      sym_block_comment,
  [634139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(19068), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15303), 2,
      sym_comment,
      sym_block_comment,
  [634157] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5860), 1,
      anon_sym_RBRACK,
    ACTIONS(19071), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15304), 2,
      sym_comment,
      sym_block_comment,
  [634177] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    STATE(13685), 1,
      sym__using_parameters_clause,
    STATE(13833), 1,
      sym_parameters,
    STATE(15305), 2,
      sym_comment,
      sym_block_comment,
  [634197] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19073), 1,
      anon_sym_COMMA,
    ACTIONS(19075), 1,
      anon_sym_RBRACK,
    STATE(15308), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15306), 2,
      sym_comment,
      sym_block_comment,
  [634217] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19077), 1,
      anon_sym_COMMA,
    ACTIONS(19079), 1,
      anon_sym_RBRACK,
    STATE(15165), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15307), 2,
      sym_comment,
      sym_block_comment,
  [634237] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    ACTIONS(19081), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15308), 2,
      sym_comment,
      sym_block_comment,
  [634257] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    ACTIONS(19083), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15309), 2,
      sym_comment,
      sym_block_comment,
  [634277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19085), 1,
      anon_sym_COMMA,
    ACTIONS(19087), 1,
      anon_sym_RBRACK,
    STATE(15312), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15310), 2,
      sym_comment,
      sym_block_comment,
  [634297] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12684), 1,
      anon_sym_RPAREN,
    ACTIONS(19089), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15311), 2,
      sym_comment,
      sym_block_comment,
  [634317] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5874), 1,
      anon_sym_RBRACK,
    ACTIONS(19091), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15312), 2,
      sym_comment,
      sym_block_comment,
  [634337] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19093), 1,
      anon_sym_COMMA,
    ACTIONS(19095), 1,
      anon_sym_RBRACK,
    STATE(15287), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15313), 2,
      sym_comment,
      sym_block_comment,
  [634357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19097), 1,
      anon_sym_COMMA,
    ACTIONS(19099), 1,
      anon_sym_RBRACK,
    STATE(15316), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15314), 2,
      sym_comment,
      sym_block_comment,
  [634377] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14582), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15315), 2,
      sym_comment,
      sym_block_comment,
  [634397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5882), 1,
      anon_sym_RBRACK,
    ACTIONS(19101), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15316), 2,
      sym_comment,
      sym_block_comment,
  [634417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19103), 1,
      anon_sym_COMMA,
    ACTIONS(19105), 1,
      anon_sym_RPAREN,
    STATE(15844), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15317), 2,
      sym_comment,
      sym_block_comment,
  [634437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19107), 1,
      anon_sym_COMMA,
    ACTIONS(19109), 1,
      anon_sym_RBRACK,
    STATE(15320), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15318), 2,
      sym_comment,
      sym_block_comment,
  [634457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19111), 1,
      anon_sym_COMMA,
    ACTIONS(19113), 1,
      anon_sym_RBRACK,
    STATE(15331), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15319), 2,
      sym_comment,
      sym_block_comment,
  [634477] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5886), 1,
      anon_sym_RBRACK,
    ACTIONS(19115), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15320), 2,
      sym_comment,
      sym_block_comment,
  [634497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19117), 1,
      anon_sym_COMMA,
    ACTIONS(19119), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15321), 2,
      sym_comment,
      sym_block_comment,
  [634517] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19121), 1,
      anon_sym_COMMA,
    ACTIONS(19123), 1,
      anon_sym_RBRACK,
    STATE(15324), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15322), 2,
      sym_comment,
      sym_block_comment,
  [634537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5158), 1,
      anon_sym_RBRACK,
    ACTIONS(19125), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15323), 2,
      sym_comment,
      sym_block_comment,
  [634557] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5890), 1,
      anon_sym_RBRACK,
    ACTIONS(19127), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15324), 2,
      sym_comment,
      sym_block_comment,
  [634577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18423), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [634593] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19129), 1,
      anon_sym_COMMA,
    ACTIONS(19131), 1,
      anon_sym_RBRACK,
    STATE(15328), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15326), 2,
      sym_comment,
      sym_block_comment,
  [634613] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19133), 1,
      anon_sym_COMMA,
    ACTIONS(19135), 1,
      anon_sym_RPAREN,
    STATE(15666), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15327), 2,
      sym_comment,
      sym_block_comment,
  [634633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5894), 1,
      anon_sym_RBRACK,
    ACTIONS(19137), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15328), 2,
      sym_comment,
      sym_block_comment,
  [634653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19139), 1,
      anon_sym_COMMA,
    ACTIONS(19141), 1,
      anon_sym_RPAREN,
    STATE(15820), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15329), 2,
      sym_comment,
      sym_block_comment,
  [634673] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19143), 1,
      anon_sym_COMMA,
    ACTIONS(19145), 1,
      anon_sym_RBRACK,
    STATE(15332), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15330), 2,
      sym_comment,
      sym_block_comment,
  [634693] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19147), 1,
      anon_sym_COMMA,
    ACTIONS(19149), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15331), 2,
      sym_comment,
      sym_block_comment,
  [634713] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5900), 1,
      anon_sym_RBRACK,
    ACTIONS(19151), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15332), 2,
      sym_comment,
      sym_block_comment,
  [634733] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19153), 1,
      anon_sym_COMMA,
    ACTIONS(19155), 1,
      anon_sym_RBRACK,
    STATE(15342), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15333), 2,
      sym_comment,
      sym_block_comment,
  [634753] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19157), 1,
      anon_sym_COMMA,
    ACTIONS(19159), 1,
      anon_sym_RBRACK,
    STATE(15415), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15334), 2,
      sym_comment,
      sym_block_comment,
  [634773] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19161), 1,
      anon_sym_COMMA,
    ACTIONS(19163), 1,
      anon_sym_RPAREN,
    STATE(15514), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15335), 2,
      sym_comment,
      sym_block_comment,
  [634793] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19165), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15336), 2,
      sym_comment,
      sym_block_comment,
  [634813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19167), 1,
      anon_sym_COMMA,
    ACTIONS(19169), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15337), 2,
      sym_comment,
      sym_block_comment,
  [634833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(8393), 1,
      sym_type_arguments,
    STATE(15338), 2,
      sym_comment,
      sym_block_comment,
  [634853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19165), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15339), 2,
      sym_comment,
      sym_block_comment,
  [634873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12108), 1,
      sym__arrow_then_type,
    ACTIONS(19171), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15340), 2,
      sym_comment,
      sym_block_comment,
  [634891] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19173), 1,
      anon_sym_COMMA,
    ACTIONS(19175), 1,
      anon_sym_RPAREN,
    STATE(15071), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15341), 2,
      sym_comment,
      sym_block_comment,
  [634911] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19177), 1,
      anon_sym_COMMA,
    ACTIONS(19179), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15342), 2,
      sym_comment,
      sym_block_comment,
  [634931] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5372), 1,
      anon_sym_RBRACK,
    ACTIONS(19181), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15343), 2,
      sym_comment,
      sym_block_comment,
  [634951] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5468), 1,
      anon_sym_RPAREN,
    ACTIONS(19183), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15344), 2,
      sym_comment,
      sym_block_comment,
  [634971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19185), 1,
      anon_sym_COMMA,
    ACTIONS(19187), 1,
      anon_sym_RPAREN,
    STATE(15787), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15345), 2,
      sym_comment,
      sym_block_comment,
  [634991] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17353), 1,
      anon_sym_RPAREN,
    ACTIONS(19189), 1,
      anon_sym_COMMA,
    STATE(15790), 1,
      aux_sym_parameters_repeat1,
    STATE(15346), 2,
      sym_comment,
      sym_block_comment,
  [635011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    ACTIONS(19191), 1,
      anon_sym_COMMA,
    STATE(15839), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15347), 2,
      sym_comment,
      sym_block_comment,
  [635031] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    ACTIONS(19193), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15348), 2,
      sym_comment,
      sym_block_comment,
  [635051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17357), 1,
      anon_sym_RPAREN,
    ACTIONS(19195), 1,
      anon_sym_COMMA,
    STATE(15212), 1,
      aux_sym_parameters_repeat1,
    STATE(15349), 2,
      sym_comment,
      sym_block_comment,
  [635071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19197), 1,
      anon_sym_COMMA,
    ACTIONS(19199), 1,
      anon_sym_RBRACK,
    STATE(15363), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15350), 2,
      sym_comment,
      sym_block_comment,
  [635091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16415), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [635107] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17351), 1,
      anon_sym_COMMA,
    ACTIONS(17353), 1,
      anon_sym_RPAREN,
    STATE(14733), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15352), 2,
      sym_comment,
      sym_block_comment,
  [635127] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19201), 1,
      anon_sym_COMMA,
    ACTIONS(19203), 1,
      anon_sym_RPAREN,
    STATE(15498), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15353), 2,
      sym_comment,
      sym_block_comment,
  [635147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 1,
      sym__arrow_then_type,
    ACTIONS(19205), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15354), 2,
      sym_comment,
      sym_block_comment,
  [635165] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5294), 1,
      anon_sym_RPAREN,
    ACTIONS(19207), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15355), 2,
      sym_comment,
      sym_block_comment,
  [635185] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19209), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15356), 2,
      sym_comment,
      sym_block_comment,
  [635205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19211), 1,
      anon_sym_COMMA,
    ACTIONS(19213), 1,
      anon_sym_RBRACK,
    STATE(15343), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15357), 2,
      sym_comment,
      sym_block_comment,
  [635225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12684), 1,
      anon_sym_RPAREN,
    ACTIONS(19089), 1,
      anon_sym_COMMA,
    STATE(15213), 1,
      aux_sym_parameters_repeat1,
    STATE(15358), 2,
      sym_comment,
      sym_block_comment,
  [635245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19215), 1,
      anon_sym_COMMA,
    ACTIONS(19217), 1,
      anon_sym_RBRACK,
    STATE(15782), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15359), 2,
      sym_comment,
      sym_block_comment,
  [635265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    ACTIONS(19062), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15360), 2,
      sym_comment,
      sym_block_comment,
  [635285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    ACTIONS(19219), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15361), 2,
      sym_comment,
      sym_block_comment,
  [635305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14718), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15362), 2,
      sym_comment,
      sym_block_comment,
  [635325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19221), 1,
      anon_sym_COMMA,
    ACTIONS(19223), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15363), 2,
      sym_comment,
      sym_block_comment,
  [635345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14465), 1,
      sym_enum_body,
    STATE(15364), 2,
      sym_comment,
      sym_block_comment,
  [635365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19225), 1,
      anon_sym_COMMA,
    ACTIONS(19227), 1,
      anon_sym_RBRACK,
    STATE(15408), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15365), 2,
      sym_comment,
      sym_block_comment,
  [635385] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19229), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15366), 2,
      sym_comment,
      sym_block_comment,
  [635405] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19231), 1,
      anon_sym_COMMA,
    ACTIONS(19233), 1,
      anon_sym_RBRACK,
    STATE(15382), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15367), 2,
      sym_comment,
      sym_block_comment,
  [635425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8202), 1,
      anon_sym_RPAREN,
    ACTIONS(19235), 1,
      anon_sym_COMMA,
    STATE(15241), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15368), 2,
      sym_comment,
      sym_block_comment,
  [635445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19237), 1,
      sym__interpolated_multiline_string_end,
    STATE(15184), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15369), 2,
      sym_comment,
      sym_block_comment,
  [635465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19239), 1,
      anon_sym_COMMA,
    ACTIONS(19241), 1,
      anon_sym_RBRACK,
    STATE(15435), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15370), 2,
      sym_comment,
      sym_block_comment,
  [635485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6076), 1,
      anon_sym_RPAREN,
    ACTIONS(19243), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15371), 2,
      sym_comment,
      sym_block_comment,
  [635505] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19245), 1,
      anon_sym_COMMA,
    ACTIONS(19247), 1,
      anon_sym_RPAREN,
    STATE(15762), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15372), 2,
      sym_comment,
      sym_block_comment,
  [635525] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19249), 1,
      anon_sym_COMMA,
    ACTIONS(19251), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15373), 2,
      sym_comment,
      sym_block_comment,
  [635545] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19237), 1,
      sym__interpolated_string_end,
    STATE(15196), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15374), 2,
      sym_comment,
      sym_block_comment,
  [635565] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19253), 1,
      anon_sym_COMMA,
    ACTIONS(19255), 1,
      anon_sym_RBRACK,
    STATE(15373), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15375), 2,
      sym_comment,
      sym_block_comment,
  [635585] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19229), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15376), 2,
      sym_comment,
      sym_block_comment,
  [635605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19257), 1,
      anon_sym_COMMA,
    ACTIONS(19259), 1,
      anon_sym_RBRACK,
    STATE(15380), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15377), 2,
      sym_comment,
      sym_block_comment,
  [635625] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(19261), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15378), 2,
      sym_comment,
      sym_block_comment,
  [635645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5320), 1,
      anon_sym_RBRACK,
    ACTIONS(19263), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15379), 2,
      sym_comment,
      sym_block_comment,
  [635665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19265), 1,
      anon_sym_COMMA,
    ACTIONS(19267), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15380), 2,
      sym_comment,
      sym_block_comment,
  [635685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19058), 1,
      sym__interpolated_string_end,
    STATE(15366), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15381), 2,
      sym_comment,
      sym_block_comment,
  [635705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5792), 1,
      anon_sym_RBRACK,
    ACTIONS(19269), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15382), 2,
      sym_comment,
      sym_block_comment,
  [635725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6088), 1,
      anon_sym_RBRACK,
    ACTIONS(19271), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15383), 2,
      sym_comment,
      sym_block_comment,
  [635745] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5212), 1,
      anon_sym_RPAREN,
    ACTIONS(19273), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15384), 2,
      sym_comment,
      sym_block_comment,
  [635765] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    ACTIONS(19275), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15385), 2,
      sym_comment,
      sym_block_comment,
  [635785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8604), 1,
      sym__arrow_then_type,
    ACTIONS(19277), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15386), 2,
      sym_comment,
      sym_block_comment,
  [635803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19279), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15387), 2,
      sym_comment,
      sym_block_comment,
  [635823] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19279), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15388), 2,
      sym_comment,
      sym_block_comment,
  [635843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19281), 1,
      anon_sym_COMMA,
    ACTIONS(19284), 1,
      anon_sym_RBRACK,
    STATE(15389), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_lambda_repeat1,
  [635861] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14420), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15390), 2,
      sym_comment,
      sym_block_comment,
  [635881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5362), 1,
      anon_sym_RBRACK,
    ACTIONS(19286), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15391), 2,
      sym_comment,
      sym_block_comment,
  [635901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19288), 1,
      anon_sym_COMMA,
    ACTIONS(19290), 1,
      anon_sym_RBRACK,
    STATE(15396), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15392), 2,
      sym_comment,
      sym_block_comment,
  [635921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [635937] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    ACTIONS(19292), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15394), 2,
      sym_comment,
      sym_block_comment,
  [635957] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14510), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15395), 2,
      sym_comment,
      sym_block_comment,
  [635977] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19294), 1,
      anon_sym_COMMA,
    ACTIONS(19296), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15396), 2,
      sym_comment,
      sym_block_comment,
  [635997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16431), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [636013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19298), 1,
      anon_sym_COMMA,
    ACTIONS(19300), 1,
      anon_sym_RBRACK,
    STATE(15383), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15398), 2,
      sym_comment,
      sym_block_comment,
  [636033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16451), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [636049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19302), 1,
      anon_sym_COMMA,
    ACTIONS(19304), 1,
      anon_sym_RBRACK,
    STATE(15391), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15400), 2,
      sym_comment,
      sym_block_comment,
  [636069] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14482), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15401), 2,
      sym_comment,
      sym_block_comment,
  [636089] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19306), 1,
      anon_sym_COMMA,
    ACTIONS(19308), 1,
      anon_sym_RBRACK,
    STATE(15407), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15402), 2,
      sym_comment,
      sym_block_comment,
  [636109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19310), 1,
      anon_sym_COMMA,
    ACTIONS(19312), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15403), 2,
      sym_comment,
      sym_block_comment,
  [636129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19314), 1,
      anon_sym_COMMA,
    ACTIONS(19316), 1,
      anon_sym_RPAREN,
    STATE(15405), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15404), 2,
      sym_comment,
      sym_block_comment,
  [636149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5360), 1,
      anon_sym_RPAREN,
    ACTIONS(19318), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15405), 2,
      sym_comment,
      sym_block_comment,
  [636169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19320), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15406), 2,
      sym_comment,
      sym_block_comment,
  [636189] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19322), 1,
      anon_sym_COMMA,
    ACTIONS(19324), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15407), 2,
      sym_comment,
      sym_block_comment,
  [636209] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5644), 1,
      anon_sym_RBRACK,
    ACTIONS(19326), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15408), 2,
      sym_comment,
      sym_block_comment,
  [636229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19328), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [636245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_LPAREN,
    STATE(13333), 1,
      sym__using_parameters_clause,
    STATE(13567), 1,
      sym_parameters,
    STATE(15410), 2,
      sym_comment,
      sym_block_comment,
  [636265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19330), 1,
      anon_sym_COMMA,
    ACTIONS(19332), 1,
      anon_sym_RBRACK,
    STATE(15211), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15411), 2,
      sym_comment,
      sym_block_comment,
  [636285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14643), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15412), 2,
      sym_comment,
      sym_block_comment,
  [636305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(19334), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15413), 2,
      sym_comment,
      sym_block_comment,
  [636325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19336), 1,
      anon_sym_COMMA,
    ACTIONS(19338), 1,
      anon_sym_RBRACK,
    STATE(15423), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15414), 2,
      sym_comment,
      sym_block_comment,
  [636345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5926), 1,
      anon_sym_RBRACK,
    ACTIONS(19340), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15415), 2,
      sym_comment,
      sym_block_comment,
  [636365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19342), 1,
      anon_sym_COMMA,
    ACTIONS(19344), 1,
      anon_sym_RBRACK,
    STATE(15449), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15416), 2,
      sym_comment,
      sym_block_comment,
  [636385] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15132), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(7417), 1,
      sym_type_arguments,
    STATE(15417), 2,
      sym_comment,
      sym_block_comment,
  [636405] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19346), 1,
      anon_sym_COMMA,
    ACTIONS(19348), 1,
      anon_sym_RPAREN,
    STATE(15502), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15418), 2,
      sym_comment,
      sym_block_comment,
  [636425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19350), 1,
      anon_sym_COMMA,
    ACTIONS(19352), 1,
      anon_sym_RBRACK,
    STATE(15428), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15419), 2,
      sym_comment,
      sym_block_comment,
  [636445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5348), 1,
      anon_sym_RBRACK,
    ACTIONS(19354), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15420), 2,
      sym_comment,
      sym_block_comment,
  [636465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19356), 1,
      anon_sym_COMMA,
    ACTIONS(19358), 1,
      anon_sym_RBRACK,
    STATE(15263), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15421), 2,
      sym_comment,
      sym_block_comment,
  [636485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__indent,
    STATE(9813), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15422), 2,
      sym_comment,
      sym_block_comment,
  [636503] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19360), 1,
      anon_sym_COMMA,
    ACTIONS(19362), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15423), 2,
      sym_comment,
      sym_block_comment,
  [636523] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14617), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15424), 2,
      sym_comment,
      sym_block_comment,
  [636543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6016), 1,
      anon_sym_RPAREN,
    ACTIONS(19364), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15425), 2,
      sym_comment,
      sym_block_comment,
  [636563] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15921), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9420), 1,
      sym_type_arguments,
    STATE(15426), 2,
      sym_comment,
      sym_block_comment,
  [636583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4392), 1,
      sym__indent,
    STATE(9877), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15427), 2,
      sym_comment,
      sym_block_comment,
  [636601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19366), 1,
      anon_sym_COMMA,
    ACTIONS(19368), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15428), 2,
      sym_comment,
      sym_block_comment,
  [636621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19370), 1,
      anon_sym_COMMA,
    ACTIONS(19372), 1,
      anon_sym_RBRACK,
    STATE(15420), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15429), 2,
      sym_comment,
      sym_block_comment,
  [636641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10561), 1,
      anon_sym_COMMA,
    ACTIONS(19374), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15430), 2,
      sym_comment,
      sym_block_comment,
  [636661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19376), 1,
      anon_sym_COMMA,
    ACTIONS(19378), 1,
      anon_sym_RBRACK,
    STATE(15444), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15431), 2,
      sym_comment,
      sym_block_comment,
  [636681] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(19380), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15432), 2,
      sym_comment,
      sym_block_comment,
  [636701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(19382), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15433), 2,
      sym_comment,
      sym_block_comment,
  [636721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_RBRACK,
    STATE(15403), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15434), 2,
      sym_comment,
      sym_block_comment,
  [636741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    ACTIONS(19388), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15435), 2,
      sym_comment,
      sym_block_comment,
  [636761] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(19390), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15436), 2,
      sym_comment,
      sym_block_comment,
  [636781] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_COMMA,
    ACTIONS(19392), 1,
      anon_sym_COLON,
    STATE(15598), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15437), 2,
      sym_comment,
      sym_block_comment,
  [636801] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19394), 1,
      anon_sym_COMMA,
    ACTIONS(19396), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15438), 2,
      sym_comment,
      sym_block_comment,
  [636821] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5576), 1,
      anon_sym_RBRACK,
    ACTIONS(19398), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15439), 2,
      sym_comment,
      sym_block_comment,
  [636841] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19400), 1,
      anon_sym_COMMA,
    ACTIONS(19402), 1,
      anon_sym_RBRACK,
    STATE(15323), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15440), 2,
      sym_comment,
      sym_block_comment,
  [636861] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5124), 1,
      anon_sym_RPAREN,
    ACTIONS(19404), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15441), 2,
      sym_comment,
      sym_block_comment,
  [636881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19406), 1,
      anon_sym_COMMA,
    ACTIONS(19408), 1,
      anon_sym_RBRACK,
    STATE(15438), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15442), 2,
      sym_comment,
      sym_block_comment,
  [636901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19410), 1,
      anon_sym_COMMA,
    ACTIONS(19412), 1,
      anon_sym_RPAREN,
    STATE(15145), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15443), 2,
      sym_comment,
      sym_block_comment,
  [636921] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19414), 1,
      anon_sym_COMMA,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15444), 2,
      sym_comment,
      sym_block_comment,
  [636941] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15445), 2,
      sym_comment,
      sym_block_comment,
  [636961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19420), 1,
      anon_sym_COMMA,
    ACTIONS(19422), 1,
      anon_sym_RBRACK,
    STATE(15542), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15446), 2,
      sym_comment,
      sym_block_comment,
  [636981] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12532), 1,
      anon_sym_RBRACE,
    ACTIONS(19424), 1,
      anon_sym_COMMA,
    STATE(14753), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15447), 2,
      sym_comment,
      sym_block_comment,
  [637001] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_RPAREN,
    STATE(15297), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15448), 2,
      sym_comment,
      sym_block_comment,
  [637021] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5172), 1,
      anon_sym_RBRACK,
    ACTIONS(19430), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15449), 2,
      sym_comment,
      sym_block_comment,
  [637041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19432), 1,
      anon_sym_COMMA,
    ACTIONS(19434), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15450), 2,
      sym_comment,
      sym_block_comment,
  [637061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15857), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [637077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19436), 1,
      anon_sym_COMMA,
    ACTIONS(19438), 1,
      anon_sym_RBRACK,
    STATE(15477), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15452), 2,
      sym_comment,
      sym_block_comment,
  [637097] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19440), 1,
      sym__interpolated_multiline_string_end,
    STATE(15795), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15453), 2,
      sym_comment,
      sym_block_comment,
  [637117] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14648), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15454), 2,
      sym_comment,
      sym_block_comment,
  [637137] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19442), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15455), 2,
      sym_comment,
      sym_block_comment,
  [637157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(19444), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15456), 2,
      sym_comment,
      sym_block_comment,
  [637175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19446), 1,
      sym__interpolated_string_end,
    STATE(15494), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15457), 2,
      sym_comment,
      sym_block_comment,
  [637195] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5330), 1,
      anon_sym_RBRACK,
    ACTIONS(19448), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15458), 2,
      sym_comment,
      sym_block_comment,
  [637215] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5472), 1,
      anon_sym_RPAREN,
    ACTIONS(19450), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15459), 2,
      sym_comment,
      sym_block_comment,
  [637235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 1,
      sym__arrow_then_type,
    ACTIONS(19452), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15460), 2,
      sym_comment,
      sym_block_comment,
  [637253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11600), 1,
      sym__arrow_then_type,
    ACTIONS(19454), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15461), 2,
      sym_comment,
      sym_block_comment,
  [637271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13031), 1,
      sym__arrow_then_type,
    ACTIONS(19456), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15462), 2,
      sym_comment,
      sym_block_comment,
  [637289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 1,
      sym__arrow_then_type,
    ACTIONS(19458), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15463), 2,
      sym_comment,
      sym_block_comment,
  [637307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11826), 1,
      sym__arrow_then_type,
    ACTIONS(19460), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15464), 2,
      sym_comment,
      sym_block_comment,
  [637325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13271), 1,
      sym__arrow_then_type,
    ACTIONS(19462), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15465), 2,
      sym_comment,
      sym_block_comment,
  [637343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13163), 1,
      sym__arrow_then_type,
    ACTIONS(19464), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15466), 2,
      sym_comment,
      sym_block_comment,
  [637361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11382), 1,
      sym__arrow_then_type,
    ACTIONS(19466), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15467), 2,
      sym_comment,
      sym_block_comment,
  [637379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12108), 1,
      sym__arrow_then_type,
    ACTIONS(19468), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15468), 2,
      sym_comment,
      sym_block_comment,
  [637397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12258), 1,
      sym__arrow_then_type,
    ACTIONS(19470), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15469), 2,
      sym_comment,
      sym_block_comment,
  [637415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13502), 1,
      sym__arrow_then_type,
    ACTIONS(19472), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15470), 2,
      sym_comment,
      sym_block_comment,
  [637433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13452), 1,
      sym__arrow_then_type,
    ACTIONS(19474), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15471), 2,
      sym_comment,
      sym_block_comment,
  [637451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12917), 1,
      sym__arrow_then_type,
    ACTIONS(19476), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15472), 2,
      sym_comment,
      sym_block_comment,
  [637469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13331), 1,
      sym__arrow_then_type,
    ACTIONS(19478), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15473), 2,
      sym_comment,
      sym_block_comment,
  [637487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 1,
      sym__arrow_then_type,
    ACTIONS(19480), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15474), 2,
      sym_comment,
      sym_block_comment,
  [637505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12844), 1,
      sym__arrow_then_type,
    ACTIONS(19482), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15475), 2,
      sym_comment,
      sym_block_comment,
  [637523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13059), 1,
      sym__arrow_then_type,
    ACTIONS(19484), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15476), 2,
      sym_comment,
      sym_block_comment,
  [637541] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15477), 2,
      sym_comment,
      sym_block_comment,
  [637561] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19490), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15478), 2,
      sym_comment,
      sym_block_comment,
  [637581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19492), 1,
      anon_sym_COMMA,
    ACTIONS(19494), 1,
      anon_sym_RBRACK,
    STATE(15493), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15479), 2,
      sym_comment,
      sym_block_comment,
  [637601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19496), 1,
      anon_sym_COMMA,
    ACTIONS(19498), 1,
      anon_sym_RBRACK,
    STATE(15458), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15480), 2,
      sym_comment,
      sym_block_comment,
  [637621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19500), 1,
      anon_sym_COMMA,
    ACTIONS(19502), 1,
      anon_sym_RBRACK,
    STATE(15815), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15481), 2,
      sym_comment,
      sym_block_comment,
  [637641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19504), 1,
      anon_sym_COMMA,
    ACTIONS(19506), 1,
      anon_sym_RBRACK,
    STATE(15450), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15482), 2,
      sym_comment,
      sym_block_comment,
  [637661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19446), 1,
      sym__interpolated_multiline_string_end,
    STATE(15495), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15483), 2,
      sym_comment,
      sym_block_comment,
  [637681] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19508), 1,
      anon_sym_COMMA,
    ACTIONS(19510), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15484), 2,
      sym_comment,
      sym_block_comment,
  [637701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19512), 1,
      anon_sym_COMMA,
    ACTIONS(19514), 1,
      anon_sym_RPAREN,
    STATE(15755), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15485), 2,
      sym_comment,
      sym_block_comment,
  [637721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19490), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15486), 2,
      sym_comment,
      sym_block_comment,
  [637741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16115), 1,
      sym__arrow_then_type,
    ACTIONS(19516), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15487), 2,
      sym_comment,
      sym_block_comment,
  [637759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19442), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15488), 2,
      sym_comment,
      sym_block_comment,
  [637779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19518), 1,
      anon_sym_COMMA,
    ACTIONS(19520), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15489), 2,
      sym_comment,
      sym_block_comment,
  [637799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15406), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [637815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19522), 1,
      anon_sym_COMMA,
    ACTIONS(19524), 1,
      anon_sym_RBRACK,
    STATE(15531), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15491), 2,
      sym_comment,
      sym_block_comment,
  [637835] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5864), 1,
      anon_sym_RBRACK,
    ACTIONS(19526), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15492), 2,
      sym_comment,
      sym_block_comment,
  [637855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19528), 1,
      anon_sym_COMMA,
    ACTIONS(19530), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15493), 2,
      sym_comment,
      sym_block_comment,
  [637875] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19532), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15494), 2,
      sym_comment,
      sym_block_comment,
  [637895] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19532), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15495), 2,
      sym_comment,
      sym_block_comment,
  [637915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19320), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15496), 2,
      sym_comment,
      sym_block_comment,
  [637935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19534), 1,
      sym__interpolated_string_end,
    STATE(15644), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15497), 2,
      sym_comment,
      sym_block_comment,
  [637955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5650), 1,
      anon_sym_RPAREN,
    ACTIONS(19536), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15498), 2,
      sym_comment,
      sym_block_comment,
  [637975] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19209), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15499), 2,
      sym_comment,
      sym_block_comment,
  [637995] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19534), 1,
      sym__interpolated_multiline_string_end,
    STATE(15701), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15500), 2,
      sym_comment,
      sym_block_comment,
  [638015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6110), 1,
      anon_sym_RPAREN,
    ACTIONS(19538), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15501), 2,
      sym_comment,
      sym_block_comment,
  [638035] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6100), 1,
      anon_sym_RPAREN,
    ACTIONS(19540), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15502), 2,
      sym_comment,
      sym_block_comment,
  [638055] = 6,
    ACTIONS(18143), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19542), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(19544), 1,
      sym__comment_text,
    ACTIONS(19546), 1,
      anon_sym_GT,
    STATE(17876), 1,
      sym_using_directive,
    STATE(15503), 2,
      sym_comment,
      sym_block_comment,
  [638075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19548), 1,
      anon_sym_COMMA,
    ACTIONS(19550), 1,
      anon_sym_RBRACK,
    STATE(15685), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15504), 2,
      sym_comment,
      sym_block_comment,
  [638095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19552), 1,
      anon_sym_COMMA,
    ACTIONS(19554), 1,
      anon_sym_RBRACK,
    STATE(15517), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15505), 2,
      sym_comment,
      sym_block_comment,
  [638115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15506), 2,
      sym_comment,
      sym_block_comment,
  [638135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19560), 1,
      anon_sym_COMMA,
    ACTIONS(19562), 1,
      anon_sym_RPAREN,
    STATE(15687), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15507), 2,
      sym_comment,
      sym_block_comment,
  [638155] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19564), 1,
      anon_sym_COMMA,
    ACTIONS(19566), 1,
      anon_sym_RBRACK,
    STATE(15492), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15508), 2,
      sym_comment,
      sym_block_comment,
  [638175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(19568), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15509), 2,
      sym_comment,
      sym_block_comment,
  [638195] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19570), 1,
      anon_sym_COMMA,
    ACTIONS(19572), 1,
      anon_sym_RPAREN,
    STATE(14977), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15510), 2,
      sym_comment,
      sym_block_comment,
  [638215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11310), 1,
      sym__arrow_then_type,
    ACTIONS(19574), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15511), 2,
      sym_comment,
      sym_block_comment,
  [638233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19576), 1,
      anon_sym_COMMA,
    ACTIONS(19578), 1,
      anon_sym_RPAREN,
    STATE(15309), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15512), 2,
      sym_comment,
      sym_block_comment,
  [638253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12616), 1,
      anon_sym_RPAREN,
    ACTIONS(19580), 1,
      anon_sym_COMMA,
    STATE(15311), 1,
      aux_sym_parameters_repeat1,
    STATE(15513), 2,
      sym_comment,
      sym_block_comment,
  [638273] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    ACTIONS(19582), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15514), 2,
      sym_comment,
      sym_block_comment,
  [638293] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19584), 1,
      anon_sym_COMMA,
    ACTIONS(19586), 1,
      anon_sym_RBRACK,
    STATE(15359), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15515), 2,
      sym_comment,
      sym_block_comment,
  [638313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11536), 1,
      sym__arrow_then_type,
    ACTIONS(19588), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15516), 2,
      sym_comment,
      sym_block_comment,
  [638331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19590), 1,
      anon_sym_COMMA,
    ACTIONS(19592), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15517), 2,
      sym_comment,
      sym_block_comment,
  [638351] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19594), 1,
      anon_sym_COMMA,
    ACTIONS(19596), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15518), 2,
      sym_comment,
      sym_block_comment,
  [638371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5332), 1,
      anon_sym_RPAREN,
    ACTIONS(19598), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15519), 2,
      sym_comment,
      sym_block_comment,
  [638391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16318), 1,
      anon_sym_COLON,
    ACTIONS(16320), 1,
      anon_sym_LBRACE,
    STATE(14485), 1,
      sym_enum_body,
    STATE(15520), 2,
      sym_comment,
      sym_block_comment,
  [638411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19600), 1,
      anon_sym_COMMA,
    ACTIONS(19602), 1,
      anon_sym_RBRACK,
    STATE(15379), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15521), 2,
      sym_comment,
      sym_block_comment,
  [638431] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19604), 1,
      anon_sym_LPAREN,
    ACTIONS(19606), 1,
      sym__automatic_semicolon,
    STATE(13421), 1,
      sym_class_parameters,
    STATE(15522), 2,
      sym_comment,
      sym_block_comment,
  [638451] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19608), 1,
      anon_sym_COMMA,
    ACTIONS(19610), 1,
      anon_sym_RPAREN,
    STATE(15501), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15523), 2,
      sym_comment,
      sym_block_comment,
  [638471] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19612), 1,
      sym__interpolated_multiline_string_end,
    STATE(15387), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15524), 2,
      sym_comment,
      sym_block_comment,
  [638491] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14708), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15525), 2,
      sym_comment,
      sym_block_comment,
  [638511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19612), 1,
      sym__interpolated_string_end,
    STATE(15388), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15526), 2,
      sym_comment,
      sym_block_comment,
  [638531] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5642), 1,
      anon_sym_RPAREN,
    ACTIONS(19614), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15527), 2,
      sym_comment,
      sym_block_comment,
  [638551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19616), 1,
      anon_sym_COMMA,
    ACTIONS(19618), 1,
      anon_sym_RBRACK,
    STATE(15534), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15528), 2,
      sym_comment,
      sym_block_comment,
  [638571] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5182), 1,
      anon_sym_RPAREN,
    ACTIONS(19620), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15529), 2,
      sym_comment,
      sym_block_comment,
  [638591] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19622), 1,
      anon_sym_COMMA,
    ACTIONS(19624), 1,
      anon_sym_RPAREN,
    STATE(14786), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15530), 2,
      sym_comment,
      sym_block_comment,
  [638611] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5584), 1,
      anon_sym_RBRACK,
    ACTIONS(19626), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15531), 2,
      sym_comment,
      sym_block_comment,
  [638631] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14639), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15532), 2,
      sym_comment,
      sym_block_comment,
  [638651] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19628), 1,
      anon_sym_COMMA,
    ACTIONS(19630), 1,
      anon_sym_RBRACK,
    STATE(15538), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15533), 2,
      sym_comment,
      sym_block_comment,
  [638671] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19632), 1,
      anon_sym_COMMA,
    ACTIONS(19634), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15534), 2,
      sym_comment,
      sym_block_comment,
  [638691] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19636), 1,
      anon_sym_COMMA,
    ACTIONS(19638), 1,
      anon_sym_RBRACK,
    STATE(15547), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15535), 2,
      sym_comment,
      sym_block_comment,
  [638711] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19640), 1,
      anon_sym_COMMA,
    ACTIONS(19642), 1,
      anon_sym_RBRACK,
    STATE(14793), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15536), 2,
      sym_comment,
      sym_block_comment,
  [638731] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19644), 1,
      anon_sym_COMMA,
    ACTIONS(19646), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15537), 2,
      sym_comment,
      sym_block_comment,
  [638751] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19648), 1,
      anon_sym_COMMA,
    ACTIONS(19650), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15538), 2,
      sym_comment,
      sym_block_comment,
  [638771] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14623), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15539), 2,
      sym_comment,
      sym_block_comment,
  [638791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19652), 1,
      anon_sym_COMMA,
    ACTIONS(19654), 1,
      anon_sym_RBRACK,
    STATE(15754), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15540), 2,
      sym_comment,
      sym_block_comment,
  [638811] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(6976), 1,
      sym_type_arguments,
    STATE(15541), 2,
      sym_comment,
      sym_block_comment,
  [638831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5898), 1,
      anon_sym_RBRACK,
    ACTIONS(19656), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15542), 2,
      sym_comment,
      sym_block_comment,
  [638851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(19658), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15543), 2,
      sym_comment,
      sym_block_comment,
  [638869] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19660), 1,
      anon_sym_COMMA,
    ACTIONS(19662), 1,
      anon_sym_RPAREN,
    STATE(15425), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15544), 2,
      sym_comment,
      sym_block_comment,
  [638889] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19664), 1,
      anon_sym_COMMA,
    ACTIONS(19666), 1,
      anon_sym_RBRACK,
    STATE(15582), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15545), 2,
      sym_comment,
      sym_block_comment,
  [638909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [638925] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19668), 1,
      anon_sym_COMMA,
    ACTIONS(19670), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15547), 2,
      sym_comment,
      sym_block_comment,
  [638945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(19672), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15548), 2,
      sym_comment,
      sym_block_comment,
  [638963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 1,
      sym__arrow_then_type,
    ACTIONS(19674), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15549), 2,
      sym_comment,
      sym_block_comment,
  [638981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11600), 1,
      sym__arrow_then_type,
    ACTIONS(19676), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15550), 2,
      sym_comment,
      sym_block_comment,
  [638999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 1,
      sym__arrow_then_type,
    ACTIONS(19678), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15551), 2,
      sym_comment,
      sym_block_comment,
  [639017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11826), 1,
      sym__arrow_then_type,
    ACTIONS(19680), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15552), 2,
      sym_comment,
      sym_block_comment,
  [639035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11382), 1,
      sym__arrow_then_type,
    ACTIONS(19682), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15553), 2,
      sym_comment,
      sym_block_comment,
  [639053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12108), 1,
      sym__arrow_then_type,
    ACTIONS(19684), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15554), 2,
      sym_comment,
      sym_block_comment,
  [639071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 1,
      sym__arrow_then_type,
    ACTIONS(19686), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15555), 2,
      sym_comment,
      sym_block_comment,
  [639089] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(19688), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15556), 2,
      sym_comment,
      sym_block_comment,
  [639109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19690), 1,
      anon_sym_COMMA,
    ACTIONS(19692), 1,
      anon_sym_RBRACK,
    STATE(15518), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15557), 2,
      sym_comment,
      sym_block_comment,
  [639129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19694), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15558), 2,
      sym_comment,
      sym_block_comment,
  [639149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19696), 1,
      anon_sym_COMMA,
    ACTIONS(19698), 1,
      anon_sym_RBRACK,
    STATE(15573), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15559), 2,
      sym_comment,
      sym_block_comment,
  [639169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5312), 1,
      anon_sym_RBRACK,
    ACTIONS(19700), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15560), 2,
      sym_comment,
      sym_block_comment,
  [639189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10754), 1,
      sym__arrow_then_type,
    ACTIONS(19702), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15561), 2,
      sym_comment,
      sym_block_comment,
  [639207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19440), 1,
      sym__interpolated_string_end,
    STATE(15813), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15562), 2,
      sym_comment,
      sym_block_comment,
  [639227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17097), 1,
      anon_sym_RPAREN,
    ACTIONS(19704), 1,
      anon_sym_COMMA,
    STATE(15563), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_expression_repeat1,
  [639245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19707), 1,
      anon_sym_COLON,
    ACTIONS(19709), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15564), 2,
      sym_comment,
      sym_block_comment,
  [639263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17103), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [639279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4362), 1,
      sym__indent,
    STATE(9052), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15566), 2,
      sym_comment,
      sym_block_comment,
  [639297] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5434), 1,
      anon_sym_RPAREN,
    ACTIONS(19711), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15567), 2,
      sym_comment,
      sym_block_comment,
  [639317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16451), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [639333] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19713), 1,
      anon_sym_COMMA,
    ACTIONS(19715), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15569), 2,
      sym_comment,
      sym_block_comment,
  [639353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19717), 1,
      anon_sym_COLON,
    ACTIONS(19719), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15570), 2,
      sym_comment,
      sym_block_comment,
  [639371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6090), 1,
      anon_sym_RBRACK,
    ACTIONS(19721), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15571), 2,
      sym_comment,
      sym_block_comment,
  [639391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15964), 1,
      anon_sym_match,
    ACTIONS(19723), 1,
      anon_sym_LBRACK,
    STATE(10856), 1,
      sym_type_arguments,
    STATE(15572), 2,
      sym_comment,
      sym_block_comment,
  [639411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19725), 1,
      anon_sym_COMMA,
    ACTIONS(19727), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15573), 2,
      sym_comment,
      sym_block_comment,
  [639431] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19694), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15574), 2,
      sym_comment,
      sym_block_comment,
  [639451] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(19729), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15575), 2,
      sym_comment,
      sym_block_comment,
  [639471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19731), 1,
      anon_sym_COMMA,
    ACTIONS(19734), 1,
      anon_sym_RPAREN,
    STATE(15576), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_bindings_repeat1,
  [639489] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    ACTIONS(19736), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15577), 2,
      sym_comment,
      sym_block_comment,
  [639509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19738), 1,
      anon_sym_COMMA,
    ACTIONS(19740), 1,
      anon_sym_RBRACK,
    STATE(15560), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15578), 2,
      sym_comment,
      sym_block_comment,
  [639529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19742), 1,
      anon_sym_COMMA,
    ACTIONS(19744), 1,
      anon_sym_RBRACK,
    STATE(15597), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15579), 2,
      sym_comment,
      sym_block_comment,
  [639549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19746), 1,
      anon_sym_COMMA,
    ACTIONS(19748), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15580), 2,
      sym_comment,
      sym_block_comment,
  [639569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15999), 1,
      anon_sym_STAR,
    ACTIONS(19750), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15581), 2,
      sym_comment,
      sym_block_comment,
  [639587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5220), 1,
      anon_sym_RBRACK,
    ACTIONS(19752), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15582), 2,
      sym_comment,
      sym_block_comment,
  [639607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4320), 1,
      sym__indent,
    STATE(6673), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15583), 2,
      sym_comment,
      sym_block_comment,
  [639625] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14685), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15584), 2,
      sym_comment,
      sym_block_comment,
  [639645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19754), 1,
      anon_sym_COMMA,
    ACTIONS(19756), 1,
      anon_sym_RBRACK,
    STATE(15569), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15585), 2,
      sym_comment,
      sym_block_comment,
  [639665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19758), 1,
      anon_sym_COMMA,
    ACTIONS(19760), 1,
      anon_sym_RBRACK,
    STATE(15571), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15586), 2,
      sym_comment,
      sym_block_comment,
  [639685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13031), 1,
      sym__arrow_then_type,
    ACTIONS(19762), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15587), 2,
      sym_comment,
      sym_block_comment,
  [639703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19764), 1,
      anon_sym_COMMA,
    ACTIONS(19766), 1,
      anon_sym_RPAREN,
    STATE(15618), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15588), 2,
      sym_comment,
      sym_block_comment,
  [639723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19768), 1,
      sym__interpolated_string_end,
    STATE(15641), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15589), 2,
      sym_comment,
      sym_block_comment,
  [639743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19770), 1,
      anon_sym_COMMA,
    ACTIONS(19772), 1,
      anon_sym_RBRACK,
    STATE(15594), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15590), 2,
      sym_comment,
      sym_block_comment,
  [639763] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19768), 1,
      sym__interpolated_multiline_string_end,
    STATE(15642), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15591), 2,
      sym_comment,
      sym_block_comment,
  [639783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19774), 1,
      anon_sym_COMMA,
    ACTIONS(19776), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15592), 2,
      sym_comment,
      sym_block_comment,
  [639803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19778), 1,
      anon_sym_COMMA,
    ACTIONS(19780), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15593), 2,
      sym_comment,
      sym_block_comment,
  [639823] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19782), 1,
      anon_sym_COMMA,
    ACTIONS(19784), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15594), 2,
      sym_comment,
      sym_block_comment,
  [639843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14549), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15595), 2,
      sym_comment,
      sym_block_comment,
  [639863] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19786), 1,
      anon_sym_COMMA,
    ACTIONS(19788), 1,
      anon_sym_RPAREN,
    STATE(15291), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15596), 2,
      sym_comment,
      sym_block_comment,
  [639883] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19790), 1,
      anon_sym_COMMA,
    ACTIONS(19792), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15597), 2,
      sym_comment,
      sym_block_comment,
  [639903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19794), 1,
      anon_sym_COLON,
    ACTIONS(19796), 1,
      anon_sym_COMMA,
    STATE(15598), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_val_declaration_repeat1,
  [639921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12844), 1,
      sym__arrow_then_type,
    ACTIONS(19799), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15599), 2,
      sym_comment,
      sym_block_comment,
  [639939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19801), 1,
      anon_sym_COMMA,
    ACTIONS(19803), 1,
      anon_sym_RBRACK,
    STATE(15615), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15600), 2,
      sym_comment,
      sym_block_comment,
  [639959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19328), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [639975] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19805), 1,
      anon_sym_COMMA,
    ACTIONS(19807), 1,
      anon_sym_RBRACK,
    STATE(14783), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15602), 2,
      sym_comment,
      sym_block_comment,
  [639995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(19809), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15603), 2,
      sym_comment,
      sym_block_comment,
  [640013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 1,
      sym__arrow_then_type,
    ACTIONS(19811), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15604), 2,
      sym_comment,
      sym_block_comment,
  [640031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11600), 1,
      sym__arrow_then_type,
    ACTIONS(19813), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15605), 2,
      sym_comment,
      sym_block_comment,
  [640049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 1,
      sym__arrow_then_type,
    ACTIONS(19815), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15606), 2,
      sym_comment,
      sym_block_comment,
  [640067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11826), 1,
      sym__arrow_then_type,
    ACTIONS(19817), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15607), 2,
      sym_comment,
      sym_block_comment,
  [640085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11382), 1,
      sym__arrow_then_type,
    ACTIONS(19819), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15608), 2,
      sym_comment,
      sym_block_comment,
  [640103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12108), 1,
      sym__arrow_then_type,
    ACTIONS(19821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15609), 2,
      sym_comment,
      sym_block_comment,
  [640121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 1,
      sym__arrow_then_type,
    ACTIONS(19823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15610), 2,
      sym_comment,
      sym_block_comment,
  [640139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19825), 1,
      anon_sym_COMMA,
    ACTIONS(19827), 1,
      anon_sym_RPAREN,
    STATE(15225), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15611), 2,
      sym_comment,
      sym_block_comment,
  [640159] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19829), 1,
      anon_sym_COMMA,
    ACTIONS(19831), 1,
      anon_sym_RPAREN,
    STATE(15834), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15612), 2,
      sym_comment,
      sym_block_comment,
  [640179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19833), 1,
      sym__interpolated_multiline_string_end,
    STATE(15455), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15613), 2,
      sym_comment,
      sym_block_comment,
  [640199] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19835), 1,
      anon_sym_COMMA,
    ACTIONS(19837), 1,
      anon_sym_RBRACK,
    STATE(15592), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15614), 2,
      sym_comment,
      sym_block_comment,
  [640219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19839), 1,
      anon_sym_COMMA,
    ACTIONS(19841), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15615), 2,
      sym_comment,
      sym_block_comment,
  [640239] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5396), 1,
      anon_sym_RBRACK,
    ACTIONS(19843), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15616), 2,
      sym_comment,
      sym_block_comment,
  [640259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19845), 1,
      anon_sym_COMMA,
    ACTIONS(19848), 1,
      anon_sym_RPAREN,
    STATE(15617), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_class_parameters_repeat1,
  [640277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5564), 1,
      anon_sym_RPAREN,
    ACTIONS(19850), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15618), 2,
      sym_comment,
      sym_block_comment,
  [640297] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19852), 1,
      anon_sym_COMMA,
    ACTIONS(19854), 1,
      anon_sym_RBRACK,
    STATE(15623), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15619), 2,
      sym_comment,
      sym_block_comment,
  [640317] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5302), 1,
      anon_sym_RBRACK,
    ACTIONS(19856), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15620), 2,
      sym_comment,
      sym_block_comment,
  [640337] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5944), 1,
      anon_sym_RPAREN,
    ACTIONS(19858), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15621), 2,
      sym_comment,
      sym_block_comment,
  [640357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19860), 1,
      anon_sym_COMMA,
    ACTIONS(19862), 1,
      anon_sym_RBRACK,
    STATE(15753), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15622), 2,
      sym_comment,
      sym_block_comment,
  [640377] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19864), 1,
      anon_sym_COMMA,
    ACTIONS(19866), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15623), 2,
      sym_comment,
      sym_block_comment,
  [640397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19868), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15624), 2,
      sym_comment,
      sym_block_comment,
  [640417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14525), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15625), 2,
      sym_comment,
      sym_block_comment,
  [640437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19870), 1,
      anon_sym_COMMA,
    ACTIONS(19872), 1,
      anon_sym_RBRACK,
    STATE(15620), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15626), 2,
      sym_comment,
      sym_block_comment,
  [640457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15217), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(7661), 1,
      sym_type_arguments,
    STATE(15627), 2,
      sym_comment,
      sym_block_comment,
  [640477] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19868), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15628), 2,
      sym_comment,
      sym_block_comment,
  [640497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15413), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(8207), 1,
      sym_type_arguments,
    STATE(15629), 2,
      sym_comment,
      sym_block_comment,
  [640517] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15630), 2,
      sym_comment,
      sym_block_comment,
  [640537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19833), 1,
      sym__interpolated_string_end,
    STATE(15488), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15631), 2,
      sym_comment,
      sym_block_comment,
  [640557] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19876), 1,
      anon_sym_COMMA,
    ACTIONS(19878), 1,
      anon_sym_RBRACK,
    STATE(15506), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15632), 2,
      sym_comment,
      sym_block_comment,
  [640577] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19880), 1,
      anon_sym_COMMA,
    ACTIONS(19882), 1,
      anon_sym_RPAREN,
    STATE(15355), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15633), 2,
      sym_comment,
      sym_block_comment,
  [640597] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6054), 1,
      anon_sym_RBRACK,
    ACTIONS(19884), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15634), 2,
      sym_comment,
      sym_block_comment,
  [640617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19886), 1,
      sym__interpolated_string_end,
    STATE(15731), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15635), 2,
      sym_comment,
      sym_block_comment,
  [640637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19886), 1,
      sym__interpolated_multiline_string_end,
    STATE(15740), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15636), 2,
      sym_comment,
      sym_block_comment,
  [640657] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19888), 1,
      anon_sym_COMMA,
    ACTIONS(19890), 1,
      anon_sym_RBRACK,
    STATE(15657), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15637), 2,
      sym_comment,
      sym_block_comment,
  [640677] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3972), 1,
      anon_sym_RPAREN,
    ACTIONS(19892), 1,
      anon_sym_COMMA,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15638), 2,
      sym_comment,
      sym_block_comment,
  [640697] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14467), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15639), 2,
      sym_comment,
      sym_block_comment,
  [640717] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    ACTIONS(19894), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15640), 2,
      sym_comment,
      sym_block_comment,
  [640737] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19896), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15641), 2,
      sym_comment,
      sym_block_comment,
  [640757] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19896), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15642), 2,
      sym_comment,
      sym_block_comment,
  [640777] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19898), 1,
      anon_sym_COMMA,
    ACTIONS(19900), 1,
      anon_sym_RBRACK,
    STATE(15667), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15643), 2,
      sym_comment,
      sym_block_comment,
  [640797] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19902), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15644), 2,
      sym_comment,
      sym_block_comment,
  [640817] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19904), 1,
      anon_sym_COMMA,
    ACTIONS(19906), 1,
      anon_sym_RBRACK,
    STATE(15692), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15645), 2,
      sym_comment,
      sym_block_comment,
  [640837] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14587), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15646), 2,
      sym_comment,
      sym_block_comment,
  [640857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19908), 1,
      anon_sym_COMMA,
    ACTIONS(19910), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15647), 2,
      sym_comment,
      sym_block_comment,
  [640877] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6084), 1,
      anon_sym_RPAREN,
    ACTIONS(19912), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15648), 2,
      sym_comment,
      sym_block_comment,
  [640897] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5308), 1,
      anon_sym_RPAREN,
    ACTIONS(19914), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15649), 2,
      sym_comment,
      sym_block_comment,
  [640917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4616), 1,
      sym__indent,
    STATE(10394), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15650), 2,
      sym_comment,
      sym_block_comment,
  [640935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19916), 1,
      anon_sym_COMMA,
    ACTIONS(19918), 1,
      anon_sym_RBRACK,
    STATE(15577), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15651), 2,
      sym_comment,
      sym_block_comment,
  [640955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(19920), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15652), 2,
      sym_comment,
      sym_block_comment,
  [640973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 1,
      sym__arrow_then_type,
    ACTIONS(19922), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15653), 2,
      sym_comment,
      sym_block_comment,
  [640991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 1,
      sym__arrow_then_type,
    ACTIONS(19924), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15654), 2,
      sym_comment,
      sym_block_comment,
  [641009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19926), 1,
      anon_sym_COMMA,
    ACTIONS(19928), 1,
      anon_sym_RBRACK,
    STATE(15656), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15655), 2,
      sym_comment,
      sym_block_comment,
  [641029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19930), 1,
      anon_sym_COMMA,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15656), 2,
      sym_comment,
      sym_block_comment,
  [641049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5532), 1,
      anon_sym_RBRACK,
    ACTIONS(19934), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15657), 2,
      sym_comment,
      sym_block_comment,
  [641069] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19936), 1,
      anon_sym_COMMA,
    ACTIONS(19938), 1,
      anon_sym_RPAREN,
    STATE(15441), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15658), 2,
      sym_comment,
      sym_block_comment,
  [641089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17389), 1,
      anon_sym_EQ,
    ACTIONS(17387), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15659), 2,
      sym_comment,
      sym_block_comment,
  [641107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(19940), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15660), 2,
      sym_comment,
      sym_block_comment,
  [641125] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19942), 1,
      anon_sym_COMMA,
    ACTIONS(19944), 1,
      anon_sym_RPAREN,
    STATE(15792), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15661), 2,
      sym_comment,
      sym_block_comment,
  [641145] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19946), 1,
      anon_sym_COMMA,
    ACTIONS(19948), 1,
      anon_sym_RBRACK,
    STATE(15746), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15662), 2,
      sym_comment,
      sym_block_comment,
  [641165] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5702), 1,
      anon_sym_RPAREN,
    ACTIONS(19950), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15663), 2,
      sym_comment,
      sym_block_comment,
  [641185] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5286), 1,
      anon_sym_RBRACK,
    ACTIONS(19952), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15664), 2,
      sym_comment,
      sym_block_comment,
  [641205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5422), 1,
      anon_sym_RPAREN,
    ACTIONS(19954), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15665), 2,
      sym_comment,
      sym_block_comment,
  [641225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5250), 1,
      anon_sym_RPAREN,
    ACTIONS(19956), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15666), 2,
      sym_comment,
      sym_block_comment,
  [641245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19958), 1,
      anon_sym_COMMA,
    ACTIONS(19960), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15667), 2,
      sym_comment,
      sym_block_comment,
  [641265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19962), 1,
      sym__interpolated_string_middle,
    ACTIONS(19965), 1,
      sym__interpolated_string_end,
    STATE(15668), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat1,
  [641283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19967), 1,
      anon_sym_COMMA,
    ACTIONS(19969), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15669), 2,
      sym_comment,
      sym_block_comment,
  [641303] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14730), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15670), 2,
      sym_comment,
      sym_block_comment,
  [641323] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(19971), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15671), 2,
      sym_comment,
      sym_block_comment,
  [641343] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19973), 1,
      anon_sym_COMMA,
    ACTIONS(19975), 1,
      anon_sym_RBRACK,
    STATE(15640), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15672), 2,
      sym_comment,
      sym_block_comment,
  [641363] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19977), 1,
      anon_sym_COMMA,
    ACTIONS(19979), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15673), 2,
      sym_comment,
      sym_block_comment,
  [641383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16625), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [641399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19981), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19984), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat2,
  [641417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14691), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15676), 2,
      sym_comment,
      sym_block_comment,
  [641437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19986), 1,
      anon_sym_COMMA,
    ACTIONS(19988), 1,
      anon_sym_RBRACK,
    STATE(15681), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15677), 2,
      sym_comment,
      sym_block_comment,
  [641457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19990), 1,
      anon_sym_COMMA,
    ACTIONS(19992), 1,
      anon_sym_RBRACK,
    STATE(15439), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15678), 2,
      sym_comment,
      sym_block_comment,
  [641477] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    ACTIONS(19994), 1,
      anon_sym_COMMA,
    STATE(15780), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15679), 2,
      sym_comment,
      sym_block_comment,
  [641497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    STATE(14321), 1,
      sym_enum_body,
    STATE(15680), 2,
      sym_comment,
      sym_block_comment,
  [641517] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19996), 1,
      anon_sym_COMMA,
    ACTIONS(19998), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15681), 2,
      sym_comment,
      sym_block_comment,
  [641537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9312), 1,
      sym_type_arguments,
    STATE(15682), 2,
      sym_comment,
      sym_block_comment,
  [641557] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14675), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15683), 2,
      sym_comment,
      sym_block_comment,
  [641577] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20000), 1,
      anon_sym_COMMA,
    ACTIONS(20002), 1,
      anon_sym_RPAREN,
    STATE(14852), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15684), 2,
      sym_comment,
      sym_block_comment,
  [641597] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20004), 1,
      anon_sym_COMMA,
    ACTIONS(20006), 1,
      anon_sym_RBRACK,
    STATE(15782), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15685), 2,
      sym_comment,
      sym_block_comment,
  [641617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20008), 1,
      anon_sym_COMMA,
    ACTIONS(20010), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15686), 2,
      sym_comment,
      sym_block_comment,
  [641637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5964), 1,
      anon_sym_RPAREN,
    ACTIONS(20012), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15687), 2,
      sym_comment,
      sym_block_comment,
  [641657] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20014), 1,
      anon_sym_COMMA,
    ACTIONS(20016), 1,
      anon_sym_RPAREN,
    STATE(15092), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15688), 2,
      sym_comment,
      sym_block_comment,
  [641677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(20018), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15689), 2,
      sym_comment,
      sym_block_comment,
  [641695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      anon_sym_RPAREN,
    ACTIONS(18505), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15690), 2,
      sym_comment,
      sym_block_comment,
  [641715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20020), 1,
      anon_sym_COMMA,
    ACTIONS(20022), 1,
      anon_sym_RPAREN,
    STATE(14983), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15691), 2,
      sym_comment,
      sym_block_comment,
  [641735] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5688), 1,
      anon_sym_RBRACK,
    ACTIONS(20024), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15692), 2,
      sym_comment,
      sym_block_comment,
  [641755] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8304), 1,
      anon_sym_RPAREN,
    ACTIONS(20026), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15693), 2,
      sym_comment,
      sym_block_comment,
  [641775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(20028), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15694), 2,
      sym_comment,
      sym_block_comment,
  [641795] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8304), 1,
      anon_sym_RPAREN,
    ACTIONS(20026), 1,
      anon_sym_COMMA,
    STATE(15055), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15695), 2,
      sym_comment,
      sym_block_comment,
  [641815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8240), 1,
      anon_sym_RPAREN,
    ACTIONS(20030), 1,
      anon_sym_COMMA,
    STATE(15690), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15696), 2,
      sym_comment,
      sym_block_comment,
  [641835] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20032), 1,
      anon_sym_COMMA,
    ACTIONS(20034), 1,
      anon_sym_RPAREN,
    STATE(14742), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15697), 2,
      sym_comment,
      sym_block_comment,
  [641855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20036), 1,
      anon_sym_COMMA,
    ACTIONS(20038), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15698), 2,
      sym_comment,
      sym_block_comment,
  [641875] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20040), 1,
      anon_sym_COMMA,
    ACTIONS(20042), 1,
      anon_sym_RBRACK,
    STATE(15763), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15699), 2,
      sym_comment,
      sym_block_comment,
  [641895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17850), 1,
      sym__arrow_then_type,
    ACTIONS(20044), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15700), 2,
      sym_comment,
      sym_block_comment,
  [641913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19902), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15701), 2,
      sym_comment,
      sym_block_comment,
  [641933] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8240), 1,
      anon_sym_RPAREN,
    ACTIONS(20030), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15702), 2,
      sym_comment,
      sym_block_comment,
  [641953] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20046), 1,
      anon_sym_COMMA,
    ACTIONS(20048), 1,
      anon_sym_RBRACK,
    STATE(15709), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15703), 2,
      sym_comment,
      sym_block_comment,
  [641973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20050), 1,
      anon_sym_COMMA,
    ACTIONS(20052), 1,
      anon_sym_RPAREN,
    STATE(15385), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15704), 2,
      sym_comment,
      sym_block_comment,
  [641993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(20054), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15705), 2,
      sym_comment,
      sym_block_comment,
  [642013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13059), 1,
      sym__arrow_then_type,
    ACTIONS(20056), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15706), 2,
      sym_comment,
      sym_block_comment,
  [642031] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5278), 1,
      anon_sym_RBRACK,
    ACTIONS(20058), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15707), 2,
      sym_comment,
      sym_block_comment,
  [642051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20060), 1,
      anon_sym_COMMA,
    ACTIONS(20062), 1,
      anon_sym_RBRACK,
    STATE(15686), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15708), 2,
      sym_comment,
      sym_block_comment,
  [642071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20064), 1,
      anon_sym_COMMA,
    ACTIONS(20066), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15709), 2,
      sym_comment,
      sym_block_comment,
  [642091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14601), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15710), 2,
      sym_comment,
      sym_block_comment,
  [642111] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20068), 1,
      anon_sym_COMMA,
    ACTIONS(20070), 1,
      anon_sym_RBRACK,
    STATE(15743), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 2,
      sym_comment,
      sym_block_comment,
  [642131] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20072), 1,
      anon_sym_COMMA,
    ACTIONS(20074), 1,
      anon_sym_RBRACK,
    STATE(15771), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15712), 2,
      sym_comment,
      sym_block_comment,
  [642151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17103), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [642167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5414), 1,
      anon_sym_RPAREN,
    ACTIONS(20076), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15714), 2,
      sym_comment,
      sym_block_comment,
  [642187] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    ACTIONS(20078), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15715), 2,
      sym_comment,
      sym_block_comment,
  [642207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11382), 1,
      sym__arrow_then_type,
    ACTIONS(20080), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15716), 2,
      sym_comment,
      sym_block_comment,
  [642225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14653), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15717), 2,
      sym_comment,
      sym_block_comment,
  [642245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8280), 1,
      anon_sym_RPAREN,
    ACTIONS(20082), 1,
      anon_sym_COMMA,
    STATE(15693), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15718), 2,
      sym_comment,
      sym_block_comment,
  [642265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15890), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [642281] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20084), 1,
      anon_sym_COMMA,
    ACTIONS(20086), 1,
      anon_sym_RBRACK,
    STATE(15707), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15720), 2,
      sym_comment,
      sym_block_comment,
  [642301] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6044), 1,
      anon_sym_RPAREN,
    ACTIONS(20088), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15721), 2,
      sym_comment,
      sym_block_comment,
  [642321] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5998), 1,
      anon_sym_RBRACK,
    ACTIONS(20090), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15722), 2,
      sym_comment,
      sym_block_comment,
  [642341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 1,
      sym__arrow_then_type,
    ACTIONS(20092), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15723), 2,
      sym_comment,
      sym_block_comment,
  [642359] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20094), 1,
      anon_sym_COMMA,
    ACTIONS(20096), 1,
      anon_sym_RBRACK,
    STATE(15728), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15724), 2,
      sym_comment,
      sym_block_comment,
  [642379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11600), 1,
      sym__arrow_then_type,
    ACTIONS(20098), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15725), 2,
      sym_comment,
      sym_block_comment,
  [642397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20100), 1,
      anon_sym_COMMA,
    ACTIONS(20102), 1,
      anon_sym_RPAREN,
    STATE(15721), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15726), 2,
      sym_comment,
      sym_block_comment,
  [642417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20104), 1,
      anon_sym_COMMA,
    ACTIONS(20106), 1,
      anon_sym_RPAREN,
    STATE(15206), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15727), 2,
      sym_comment,
      sym_block_comment,
  [642437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20108), 1,
      anon_sym_COMMA,
    ACTIONS(20110), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15728), 2,
      sym_comment,
      sym_block_comment,
  [642457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5162), 1,
      anon_sym_RPAREN,
    ACTIONS(20112), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15729), 2,
      sym_comment,
      sym_block_comment,
  [642477] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20114), 1,
      anon_sym_COMMA,
    ACTIONS(20116), 1,
      anon_sym_RPAREN,
    STATE(15371), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15730), 2,
      sym_comment,
      sym_block_comment,
  [642497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(20118), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15731), 2,
      sym_comment,
      sym_block_comment,
  [642517] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20120), 1,
      sym__interpolated_multiline_string_end,
    STATE(15624), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15732), 2,
      sym_comment,
      sym_block_comment,
  [642537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20122), 1,
      anon_sym_COMMA,
    ACTIONS(20124), 1,
      anon_sym_RBRACK,
    STATE(15737), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15733), 2,
      sym_comment,
      sym_block_comment,
  [642557] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17105), 1,
      anon_sym_RBRACE,
    ACTIONS(17107), 1,
      anon_sym_COMMA,
    STATE(15447), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15734), 2,
      sym_comment,
      sym_block_comment,
  [642577] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(20120), 1,
      sym__interpolated_string_end,
    STATE(15628), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15735), 2,
      sym_comment,
      sym_block_comment,
  [642597] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20126), 1,
      anon_sym_COMMA,
    ACTIONS(20128), 1,
      anon_sym_RBRACK,
    STATE(15270), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15736), 2,
      sym_comment,
      sym_block_comment,
  [642617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20130), 1,
      anon_sym_COMMA,
    ACTIONS(20132), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15737), 2,
      sym_comment,
      sym_block_comment,
  [642637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20134), 1,
      anon_sym_COMMA,
    ACTIONS(20136), 1,
      anon_sym_RBRACK,
    STATE(15722), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15738), 2,
      sym_comment,
      sym_block_comment,
  [642657] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(20138), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15739), 2,
      sym_comment,
      sym_block_comment,
  [642677] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20118), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15740), 2,
      sym_comment,
      sym_block_comment,
  [642697] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20140), 1,
      anon_sym_COMMA,
    ACTIONS(20142), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15741), 2,
      sym_comment,
      sym_block_comment,
  [642717] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20144), 1,
      anon_sym_COMMA,
    ACTIONS(20146), 1,
      anon_sym_RBRACK,
    STATE(15774), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15742), 2,
      sym_comment,
      sym_block_comment,
  [642737] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    ACTIONS(20148), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15743), 2,
      sym_comment,
      sym_block_comment,
  [642757] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14429), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15744), 2,
      sym_comment,
      sym_block_comment,
  [642777] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20150), 1,
      anon_sym_COMMA,
    ACTIONS(20152), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15745), 2,
      sym_comment,
      sym_block_comment,
  [642797] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    ACTIONS(20154), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15746), 2,
      sym_comment,
      sym_block_comment,
  [642817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20156), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [642833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20158), 1,
      anon_sym_COMMA,
    ACTIONS(20160), 1,
      anon_sym_RPAREN,
    STATE(15760), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15748), 2,
      sym_comment,
      sym_block_comment,
  [642853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20162), 1,
      sym__interpolated_multiline_string_end,
    STATE(15336), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15749), 2,
      sym_comment,
      sym_block_comment,
  [642873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__indent,
    STATE(9266), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15750), 2,
      sym_comment,
      sym_block_comment,
  [642891] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14488), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15751), 2,
      sym_comment,
      sym_block_comment,
  [642911] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5406), 1,
      anon_sym_RPAREN,
    ACTIONS(20164), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15752), 2,
      sym_comment,
      sym_block_comment,
  [642931] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5976), 1,
      anon_sym_RBRACK,
    ACTIONS(20166), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15753), 2,
      sym_comment,
      sym_block_comment,
  [642951] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5462), 1,
      anon_sym_RBRACK,
    ACTIONS(20168), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15754), 2,
      sym_comment,
      sym_block_comment,
  [642971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5592), 1,
      anon_sym_RPAREN,
    ACTIONS(20170), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15755), 2,
      sym_comment,
      sym_block_comment,
  [642991] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6058), 1,
      anon_sym_RPAREN,
    ACTIONS(20172), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15756), 2,
      sym_comment,
      sym_block_comment,
  [643011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20174), 1,
      anon_sym_COMMA,
    ACTIONS(20176), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15757), 2,
      sym_comment,
      sym_block_comment,
  [643031] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20178), 1,
      anon_sym_COMMA,
    ACTIONS(20180), 1,
      anon_sym_RBRACK,
    STATE(15757), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15758), 2,
      sym_comment,
      sym_block_comment,
  [643051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20182), 1,
      anon_sym_COMMA,
    ACTIONS(20184), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15759), 2,
      sym_comment,
      sym_block_comment,
  [643071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    ACTIONS(20186), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15760), 2,
      sym_comment,
      sym_block_comment,
  [643091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11083), 1,
      sym__arrow_then_type,
    ACTIONS(20188), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15761), 2,
      sym_comment,
      sym_block_comment,
  [643109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5368), 1,
      anon_sym_RPAREN,
    ACTIONS(20190), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15762), 2,
      sym_comment,
      sym_block_comment,
  [643129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5582), 1,
      anon_sym_RBRACK,
    ACTIONS(20192), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15763), 2,
      sym_comment,
      sym_block_comment,
  [643149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    ACTIONS(20194), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15764), 2,
      sym_comment,
      sym_block_comment,
  [643169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(20162), 1,
      sym__interpolated_string_end,
    STATE(15339), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15765), 2,
      sym_comment,
      sym_block_comment,
  [643189] = 5,
    ACTIONS(18143), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20196), 1,
      anon_sym_STAR_SLASH,
    STATE(15027), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(18401), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15766), 2,
      sym_comment,
      sym_block_comment,
  [643207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16249), 1,
      anon_sym_COLON,
    ACTIONS(16251), 1,
      anon_sym_LBRACE,
    STATE(14230), 1,
      sym_enum_body,
    STATE(15767), 2,
      sym_comment,
      sym_block_comment,
  [643227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      sym__indent,
    STATE(9453), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15768), 2,
      sym_comment,
      sym_block_comment,
  [643245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    ACTIONS(20198), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15769), 2,
      sym_comment,
      sym_block_comment,
  [643265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20200), 1,
      anon_sym_COMMA,
    ACTIONS(20202), 1,
      anon_sym_RPAREN,
    STATE(14800), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15770), 2,
      sym_comment,
      sym_block_comment,
  [643285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5132), 1,
      anon_sym_RBRACK,
    ACTIONS(20204), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15771), 2,
      sym_comment,
      sym_block_comment,
  [643305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(20206), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15772), 2,
      sym_comment,
      sym_block_comment,
  [643325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20208), 1,
      anon_sym_COMMA,
    ACTIONS(20210), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15773), 2,
      sym_comment,
      sym_block_comment,
  [643345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5228), 1,
      anon_sym_RBRACK,
    ACTIONS(20212), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15774), 2,
      sym_comment,
      sym_block_comment,
  [643365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14472), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15775), 2,
      sym_comment,
      sym_block_comment,
  [643385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4464), 1,
      sym__indent,
    STATE(6872), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15776), 2,
      sym_comment,
      sym_block_comment,
  [643403] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14576), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15777), 2,
      sym_comment,
      sym_block_comment,
  [643423] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20214), 1,
      anon_sym_COMMA,
    ACTIONS(20216), 1,
      anon_sym_RPAREN,
    STATE(15384), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15778), 2,
      sym_comment,
      sym_block_comment,
  [643443] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    ACTIONS(20218), 1,
      anon_sym_COMMA,
    STATE(15840), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15779), 2,
      sym_comment,
      sym_block_comment,
  [643463] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    ACTIONS(20218), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15780), 2,
      sym_comment,
      sym_block_comment,
  [643483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(9083), 1,
      sym_type_arguments,
    STATE(15781), 2,
      sym_comment,
      sym_block_comment,
  [643503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20220), 1,
      anon_sym_COMMA,
    ACTIONS(20223), 1,
      anon_sym_RBRACK,
    STATE(15782), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_parameters_repeat1,
  [643521] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20225), 1,
      anon_sym_COMMA,
    ACTIONS(20227), 1,
      anon_sym_RBRACK,
    STATE(15616), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15783), 2,
      sym_comment,
      sym_block_comment,
  [643541] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14515), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15784), 2,
      sym_comment,
      sym_block_comment,
  [643561] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12661), 1,
      anon_sym_RPAREN,
    ACTIONS(20229), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15785), 2,
      sym_comment,
      sym_block_comment,
  [643581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14607), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15786), 2,
      sym_comment,
      sym_block_comment,
  [643601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    ACTIONS(20231), 1,
      anon_sym_COMMA,
    STATE(15273), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15787), 2,
      sym_comment,
      sym_block_comment,
  [643621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20233), 1,
      anon_sym_COMMA,
    ACTIONS(20235), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15788), 2,
      sym_comment,
      sym_block_comment,
  [643641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20237), 1,
      anon_sym_COMMA,
    ACTIONS(20239), 1,
      anon_sym_RPAREN,
    STATE(15267), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15789), 2,
      sym_comment,
      sym_block_comment,
  [643661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    ACTIONS(20241), 1,
      anon_sym_COMMA,
    STATE(15802), 1,
      aux_sym_parameters_repeat1,
    STATE(15790), 2,
      sym_comment,
      sym_block_comment,
  [643681] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    ACTIONS(20243), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15791), 2,
      sym_comment,
      sym_block_comment,
  [643701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5482), 1,
      anon_sym_RPAREN,
    ACTIONS(20245), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15792), 2,
      sym_comment,
      sym_block_comment,
  [643721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20247), 1,
      anon_sym_COMMA,
    ACTIONS(20249), 1,
      anon_sym_RBRACK,
    STATE(15797), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15793), 2,
      sym_comment,
      sym_block_comment,
  [643741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17281), 1,
      anon_sym_EQ,
    ACTIONS(17279), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15794), 2,
      sym_comment,
      sym_block_comment,
  [643759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20251), 1,
      sym__interpolated_multiline_string_end,
    STATE(15675), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15795), 2,
      sym_comment,
      sym_block_comment,
  [643779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    ACTIONS(20253), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15796), 2,
      sym_comment,
      sym_block_comment,
  [643799] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20255), 1,
      anon_sym_COMMA,
    ACTIONS(20257), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15797), 2,
      sym_comment,
      sym_block_comment,
  [643819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    ACTIONS(20259), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15798), 2,
      sym_comment,
      sym_block_comment,
  [643839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5390), 1,
      anon_sym_RPAREN,
    ACTIONS(20261), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15799), 2,
      sym_comment,
      sym_block_comment,
  [643859] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17687), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20263), 1,
      sym__interpolated_multiline_string_end,
    STATE(15406), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15800), 2,
      sym_comment,
      sym_block_comment,
  [643879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(20265), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15801), 2,
      sym_comment,
      sym_block_comment,
  [643899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20267), 1,
      anon_sym_COMMA,
    ACTIONS(20270), 1,
      anon_sym_RPAREN,
    STATE(15802), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_parameters_repeat1,
  [643917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20272), 1,
      anon_sym_COMMA,
    ACTIONS(20274), 1,
      anon_sym_RBRACK,
    STATE(15821), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15803), 2,
      sym_comment,
      sym_block_comment,
  [643937] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20276), 1,
      anon_sym_COMMA,
    ACTIONS(20278), 1,
      anon_sym_RBRACK,
    STATE(15791), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15804), 2,
      sym_comment,
      sym_block_comment,
  [643957] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(20280), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15805), 2,
      sym_comment,
      sym_block_comment,
  [643977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17302), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [643993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(20263), 1,
      sym__interpolated_string_end,
    STATE(15496), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15807), 2,
      sym_comment,
      sym_block_comment,
  [644013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14638), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15808), 2,
      sym_comment,
      sym_block_comment,
  [644033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20282), 1,
      anon_sym_COMMA,
    ACTIONS(20284), 1,
      anon_sym_RBRACK,
    STATE(15798), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15809), 2,
      sym_comment,
      sym_block_comment,
  [644053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14542), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15810), 2,
      sym_comment,
      sym_block_comment,
  [644073] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20286), 1,
      anon_sym_COMMA,
    ACTIONS(20288), 1,
      anon_sym_RPAREN,
    STATE(15033), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15811), 2,
      sym_comment,
      sym_block_comment,
  [644093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    ACTIONS(20290), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15812), 2,
      sym_comment,
      sym_block_comment,
  [644113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(20251), 1,
      sym__interpolated_string_end,
    STATE(15668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15813), 2,
      sym_comment,
      sym_block_comment,
  [644133] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20292), 1,
      anon_sym_COMMA,
    ACTIONS(20294), 1,
      anon_sym_RBRACK,
    STATE(15788), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15814), 2,
      sym_comment,
      sym_block_comment,
  [644153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6078), 1,
      anon_sym_RBRACK,
    ACTIONS(20296), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15815), 2,
      sym_comment,
      sym_block_comment,
  [644173] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20298), 1,
      anon_sym_COMMA,
    ACTIONS(20300), 1,
      anon_sym_RBRACK,
    STATE(15826), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15816), 2,
      sym_comment,
      sym_block_comment,
  [644193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14666), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15817), 2,
      sym_comment,
      sym_block_comment,
  [644213] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    ACTIONS(20302), 1,
      anon_sym_COMMA,
    STATE(15812), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15818), 2,
      sym_comment,
      sym_block_comment,
  [644233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20304), 1,
      anon_sym_COMMA,
    ACTIONS(20306), 1,
      anon_sym_RPAREN,
    STATE(15527), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15819), 2,
      sym_comment,
      sym_block_comment,
  [644253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6072), 1,
      anon_sym_RPAREN,
    ACTIONS(20308), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15820), 2,
      sym_comment,
      sym_block_comment,
  [644273] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20310), 1,
      anon_sym_COMMA,
    ACTIONS(20312), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15821), 2,
      sym_comment,
      sym_block_comment,
  [644293] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20316), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15822), 2,
      sym_comment,
      sym_block_comment,
  [644313] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20318), 1,
      anon_sym_COMMA,
    ACTIONS(20320), 1,
      anon_sym_RPAREN,
    STATE(14772), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15823), 2,
      sym_comment,
      sym_block_comment,
  [644333] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17675), 1,
      sym__interpolated_string_middle,
    ACTIONS(19020), 1,
      sym__interpolated_string_end,
    STATE(14895), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15824), 2,
      sym_comment,
      sym_block_comment,
  [644353] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20322), 1,
      anon_sym_COMMA,
    ACTIONS(20324), 1,
      anon_sym_RPAREN,
    STATE(14805), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15825), 2,
      sym_comment,
      sym_block_comment,
  [644373] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5442), 1,
      anon_sym_RBRACK,
    ACTIONS(20326), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15826), 2,
      sym_comment,
      sym_block_comment,
  [644393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20328), 1,
      anon_sym_COMMA,
    ACTIONS(20330), 1,
      anon_sym_RBRACK,
    STATE(15829), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15827), 2,
      sym_comment,
      sym_block_comment,
  [644413] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20332), 1,
      anon_sym_COMMA,
    ACTIONS(20334), 1,
      anon_sym_RPAREN,
    STATE(15344), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15828), 2,
      sym_comment,
      sym_block_comment,
  [644433] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20336), 1,
      anon_sym_COMMA,
    ACTIONS(20338), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15829), 2,
      sym_comment,
      sym_block_comment,
  [644453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14160), 1,
      anon_sym_LBRACK,
    ACTIONS(15964), 1,
      anon_sym_match,
    STATE(6714), 1,
      sym_type_arguments,
    STATE(15830), 2,
      sym_comment,
      sym_block_comment,
  [644473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    ACTIONS(20340), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15831), 2,
      sym_comment,
      sym_block_comment,
  [644493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__indent,
    STATE(9301), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15832), 2,
      sym_comment,
      sym_block_comment,
  [644511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20342), 1,
      anon_sym_COMMA,
    ACTIONS(20344), 1,
      anon_sym_RBRACK,
    STATE(15764), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15833), 2,
      sym_comment,
      sym_block_comment,
  [644531] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5344), 1,
      anon_sym_RPAREN,
    ACTIONS(20346), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15834), 2,
      sym_comment,
      sym_block_comment,
  [644551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20348), 1,
      anon_sym_COMMA,
    ACTIONS(20350), 1,
      anon_sym_RBRACK,
    STATE(15837), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15835), 2,
      sym_comment,
      sym_block_comment,
  [644571] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20352), 1,
      anon_sym_COMMA,
    ACTIONS(20354), 1,
      anon_sym_RBRACK,
    STATE(15822), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15836), 2,
      sym_comment,
      sym_block_comment,
  [644591] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    ACTIONS(20356), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15837), 2,
      sym_comment,
      sym_block_comment,
  [644611] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_LBRACK,
    ACTIONS(20358), 1,
      anon_sym_match,
    STATE(9399), 1,
      sym_type_arguments,
    STATE(15838), 2,
      sym_comment,
      sym_block_comment,
  [644631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11585), 1,
      anon_sym_RPAREN,
    ACTIONS(20360), 1,
      anon_sym_COMMA,
    STATE(15839), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_case_class_pattern_repeat1,
  [644649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    ACTIONS(20302), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15840), 2,
      sym_comment,
      sym_block_comment,
  [644669] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20363), 1,
      anon_sym_COMMA,
    ACTIONS(20365), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15841), 2,
      sym_comment,
      sym_block_comment,
  [644689] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20367), 1,
      anon_sym_COMMA,
    ACTIONS(20369), 1,
      anon_sym_RBRACK,
    STATE(15831), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15842), 2,
      sym_comment,
      sym_block_comment,
  [644709] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_case,
    STATE(14463), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16087), 1,
      sym_case_clause,
    STATE(15843), 2,
      sym_comment,
      sym_block_comment,
  [644729] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    ACTIONS(20371), 1,
      anon_sym_COMMA,
    STATE(14520), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15844), 2,
      sym_comment,
      sym_block_comment,
  [644749] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7284), 1,
      anon_sym_RPAREN,
    ACTIONS(20373), 1,
      anon_sym_COMMA,
    STATE(15839), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15845), 2,
      sym_comment,
      sym_block_comment,
  [644769] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20375), 1,
      anon_sym_COMMA,
    ACTIONS(20377), 1,
      anon_sym_RPAREN,
    STATE(15039), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15846), 2,
      sym_comment,
      sym_block_comment,
  [644789] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20379), 1,
      anon_sym_COMMA,
    ACTIONS(20381), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15847), 2,
      sym_comment,
      sym_block_comment,
  [644809] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20383), 1,
      anon_sym_COMMA,
    ACTIONS(20385), 1,
      anon_sym_RBRACK,
    STATE(15841), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15848), 2,
      sym_comment,
      sym_block_comment,
  [644829] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17210), 1,
      anon_sym_case,
    STATE(14656), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16013), 1,
      sym_type_case_clause,
    STATE(15849), 2,
      sym_comment,
      sym_block_comment,
  [644849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20387), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15850), 2,
      sym_comment,
      sym_block_comment,
  [644864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20389), 1,
      anon_sym_COLON,
    ACTIONS(20391), 1,
      anon_sym_EQ,
    STATE(15851), 2,
      sym_comment,
      sym_block_comment,
  [644881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20393), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15852), 2,
      sym_comment,
      sym_block_comment,
  [644896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      anon_sym_object,
    ACTIONS(8114), 1,
      anon_sym_class,
    STATE(15853), 2,
      sym_comment,
      sym_block_comment,
  [644913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20395), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15854), 2,
      sym_comment,
      sym_block_comment,
  [644928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20397), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15855), 2,
      sym_comment,
      sym_block_comment,
  [644943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20399), 1,
      anon_sym_LPAREN,
    STATE(12217), 1,
      sym_parenthesized_expression,
    STATE(15856), 2,
      sym_comment,
      sym_block_comment,
  [644960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20401), 1,
      anon_sym_LPAREN,
    STATE(13673), 1,
      sym_parenthesized_expression,
    STATE(15857), 2,
      sym_comment,
      sym_block_comment,
  [644977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20403), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15858), 2,
      sym_comment,
      sym_block_comment,
  [644992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20405), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15859), 2,
      sym_comment,
      sym_block_comment,
  [645007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20407), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15860), 2,
      sym_comment,
      sym_block_comment,
  [645022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20409), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15861), 2,
      sym_comment,
      sym_block_comment,
  [645037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20411), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15862), 2,
      sym_comment,
      sym_block_comment,
  [645052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20413), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15863), 2,
      sym_comment,
      sym_block_comment,
  [645067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20415), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15864), 2,
      sym_comment,
      sym_block_comment,
  [645082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20417), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15865), 2,
      sym_comment,
      sym_block_comment,
  [645097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20419), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15866), 2,
      sym_comment,
      sym_block_comment,
  [645112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20421), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15867), 2,
      sym_comment,
      sym_block_comment,
  [645127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20423), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15868), 2,
      sym_comment,
      sym_block_comment,
  [645142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20425), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15869), 2,
      sym_comment,
      sym_block_comment,
  [645157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20427), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15870), 2,
      sym_comment,
      sym_block_comment,
  [645172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20270), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15871), 2,
      sym_comment,
      sym_block_comment,
  [645187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20429), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15872), 2,
      sym_comment,
      sym_block_comment,
  [645202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20431), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15873), 2,
      sym_comment,
      sym_block_comment,
  [645217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20433), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15874), 2,
      sym_comment,
      sym_block_comment,
  [645232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20435), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15875), 2,
      sym_comment,
      sym_block_comment,
  [645247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20437), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15876), 2,
      sym_comment,
      sym_block_comment,
  [645262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20439), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15877), 2,
      sym_comment,
      sym_block_comment,
  [645277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20441), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15878), 2,
      sym_comment,
      sym_block_comment,
  [645292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20443), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15879), 2,
      sym_comment,
      sym_block_comment,
  [645307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20445), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15880), 2,
      sym_comment,
      sym_block_comment,
  [645322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20447), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15881), 2,
      sym_comment,
      sym_block_comment,
  [645337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20449), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15882), 2,
      sym_comment,
      sym_block_comment,
  [645352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20451), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15883), 2,
      sym_comment,
      sym_block_comment,
  [645367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20453), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15884), 2,
      sym_comment,
      sym_block_comment,
  [645382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20455), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15885), 2,
      sym_comment,
      sym_block_comment,
  [645397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20457), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15886), 2,
      sym_comment,
      sym_block_comment,
  [645412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5114), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15887), 2,
      sym_comment,
      sym_block_comment,
  [645427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20459), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15888), 2,
      sym_comment,
      sym_block_comment,
  [645442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20461), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15889), 2,
      sym_comment,
      sym_block_comment,
  [645457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20463), 1,
      sym__indent,
    STATE(11797), 1,
      sym__indented_type_cases,
    STATE(15890), 2,
      sym_comment,
      sym_block_comment,
  [645474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20465), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15891), 2,
      sym_comment,
      sym_block_comment,
  [645489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20467), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15892), 2,
      sym_comment,
      sym_block_comment,
  [645504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20469), 1,
      sym__indent,
    STATE(17856), 1,
      sym__indented_type_cases,
    STATE(15893), 2,
      sym_comment,
      sym_block_comment,
  [645521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9742), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15894), 2,
      sym_comment,
      sym_block_comment,
  [645536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20471), 1,
      sym__indent,
    STATE(11778), 1,
      sym__indented_type_cases,
    STATE(15895), 2,
      sym_comment,
      sym_block_comment,
  [645553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20473), 1,
      anon_sym_LPAREN,
    STATE(11643), 1,
      sym_parenthesized_expression,
    STATE(15896), 2,
      sym_comment,
      sym_block_comment,
  [645570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20475), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15897), 2,
      sym_comment,
      sym_block_comment,
  [645585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10466), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15898), 2,
      sym_comment,
      sym_block_comment,
  [645600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8058), 1,
      anon_sym_object,
    ACTIONS(8062), 1,
      anon_sym_class,
    STATE(15899), 2,
      sym_comment,
      sym_block_comment,
  [645617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20477), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15900), 2,
      sym_comment,
      sym_block_comment,
  [645632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20479), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15901), 2,
      sym_comment,
      sym_block_comment,
  [645647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20481), 1,
      sym__indent,
    STATE(12306), 1,
      sym__indented_type_cases,
    STATE(15902), 2,
      sym_comment,
      sym_block_comment,
  [645664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20483), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15903), 2,
      sym_comment,
      sym_block_comment,
  [645679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20485), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15904), 2,
      sym_comment,
      sym_block_comment,
  [645694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20487), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15905), 2,
      sym_comment,
      sym_block_comment,
  [645709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20489), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15906), 2,
      sym_comment,
      sym_block_comment,
  [645724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20491), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15907), 2,
      sym_comment,
      sym_block_comment,
  [645739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20493), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15908), 2,
      sym_comment,
      sym_block_comment,
  [645754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19984), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15909), 2,
      sym_comment,
      sym_block_comment,
  [645769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20495), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15910), 2,
      sym_comment,
      sym_block_comment,
  [645784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19965), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15911), 2,
      sym_comment,
      sym_block_comment,
  [645799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20497), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15912), 2,
      sym_comment,
      sym_block_comment,
  [645814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20499), 1,
      anon_sym_EQ_GT,
    ACTIONS(20501), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(15913), 2,
      sym_comment,
      sym_block_comment,
  [645831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20503), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15914), 2,
      sym_comment,
      sym_block_comment,
  [645846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20505), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15915), 2,
      sym_comment,
      sym_block_comment,
  [645861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20507), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15916), 2,
      sym_comment,
      sym_block_comment,
  [645876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20509), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15917), 2,
      sym_comment,
      sym_block_comment,
  [645891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20511), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15918), 2,
      sym_comment,
      sym_block_comment,
  [645906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20513), 1,
      anon_sym_LPAREN,
    STATE(13453), 1,
      sym_parenthesized_expression,
    STATE(15919), 2,
      sym_comment,
      sym_block_comment,
  [645923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20515), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15920), 2,
      sym_comment,
      sym_block_comment,
  [645938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20517), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15921), 2,
      sym_comment,
      sym_block_comment,
  [645953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20519), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15922), 2,
      sym_comment,
      sym_block_comment,
  [645968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20521), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15923), 2,
      sym_comment,
      sym_block_comment,
  [645983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20523), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15924), 2,
      sym_comment,
      sym_block_comment,
  [645998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20525), 1,
      sym__indent,
    STATE(13462), 1,
      sym__indented_type_cases,
    STATE(15925), 2,
      sym_comment,
      sym_block_comment,
  [646015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20527), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(15926), 2,
      sym_comment,
      sym_block_comment,
  [646030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20529), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15927), 2,
      sym_comment,
      sym_block_comment,
  [646045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19750), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15928), 2,
      sym_comment,
      sym_block_comment,
  [646060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20531), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15929), 2,
      sym_comment,
      sym_block_comment,
  [646075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20533), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15930), 2,
      sym_comment,
      sym_block_comment,
  [646090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19734), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15931), 2,
      sym_comment,
      sym_block_comment,
  [646105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20535), 1,
      anon_sym_COLON,
    ACTIONS(20537), 1,
      anon_sym_EQ,
    STATE(15932), 2,
      sym_comment,
      sym_block_comment,
  [646122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20539), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15933), 2,
      sym_comment,
      sym_block_comment,
  [646137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20541), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15934), 2,
      sym_comment,
      sym_block_comment,
  [646152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20543), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15935), 2,
      sym_comment,
      sym_block_comment,
  [646167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20545), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15936), 2,
      sym_comment,
      sym_block_comment,
  [646182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20547), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15937), 2,
      sym_comment,
      sym_block_comment,
  [646197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15082), 1,
      anon_sym_object,
    ACTIONS(15086), 1,
      anon_sym_class,
    STATE(15938), 2,
      sym_comment,
      sym_block_comment,
  [646214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19658), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15939), 2,
      sym_comment,
      sym_block_comment,
  [646229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20549), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15940), 2,
      sym_comment,
      sym_block_comment,
  [646244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20551), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15941), 2,
      sym_comment,
      sym_block_comment,
  [646259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20553), 1,
      sym__indent,
    STATE(11442), 1,
      sym__indented_type_cases,
    STATE(15942), 2,
      sym_comment,
      sym_block_comment,
  [646276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20555), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15943), 2,
      sym_comment,
      sym_block_comment,
  [646291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20557), 1,
      anon_sym_LPAREN,
    STATE(13712), 1,
      sym_parenthesized_expression,
    STATE(15944), 2,
      sym_comment,
      sym_block_comment,
  [646308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20559), 1,
      sym__indent,
    STATE(14469), 1,
      sym_with_template_body,
    STATE(15945), 2,
      sym_comment,
      sym_block_comment,
  [646325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20561), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15946), 2,
      sym_comment,
      sym_block_comment,
  [646340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20563), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15947), 2,
      sym_comment,
      sym_block_comment,
  [646355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20565), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15948), 2,
      sym_comment,
      sym_block_comment,
  [646370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20567), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15949), 2,
      sym_comment,
      sym_block_comment,
  [646385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20569), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15950), 2,
      sym_comment,
      sym_block_comment,
  [646400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20571), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15951), 2,
      sym_comment,
      sym_block_comment,
  [646415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20573), 1,
      anon_sym_COLON,
    ACTIONS(20575), 1,
      anon_sym_EQ,
    STATE(15952), 2,
      sym_comment,
      sym_block_comment,
  [646432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20577), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15953), 2,
      sym_comment,
      sym_block_comment,
  [646447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20579), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15954), 2,
      sym_comment,
      sym_block_comment,
  [646462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20447), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15955), 2,
      sym_comment,
      sym_block_comment,
  [646477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20581), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15956), 2,
      sym_comment,
      sym_block_comment,
  [646492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20449), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15957), 2,
      sym_comment,
      sym_block_comment,
  [646507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20583), 1,
      anon_sym_COLON,
    ACTIONS(20585), 1,
      anon_sym_EQ,
    STATE(15958), 2,
      sym_comment,
      sym_block_comment,
  [646524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20587), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15959), 2,
      sym_comment,
      sym_block_comment,
  [646539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20589), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15960), 2,
      sym_comment,
      sym_block_comment,
  [646554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20591), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15961), 2,
      sym_comment,
      sym_block_comment,
  [646569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20593), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15962), 2,
      sym_comment,
      sym_block_comment,
  [646584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20595), 1,
      sym__indent,
    STATE(13318), 1,
      sym__indented_type_cases,
    STATE(15963), 2,
      sym_comment,
      sym_block_comment,
  [646601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9691), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15964), 2,
      sym_comment,
      sym_block_comment,
  [646616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20597), 1,
      anon_sym_LPAREN,
    STATE(13483), 1,
      sym_parenthesized_expression,
    STATE(15965), 2,
      sym_comment,
      sym_block_comment,
  [646633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20599), 1,
      anon_sym_LPAREN,
    STATE(13984), 1,
      sym_parenthesized_expression,
    STATE(15966), 2,
      sym_comment,
      sym_block_comment,
  [646650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20601), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15967), 2,
      sym_comment,
      sym_block_comment,
  [646665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20603), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15968), 2,
      sym_comment,
      sym_block_comment,
  [646680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20605), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15969), 2,
      sym_comment,
      sym_block_comment,
  [646695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20607), 1,
      anon_sym_LPAREN,
    STATE(12358), 1,
      sym_parenthesized_expression,
    STATE(15970), 2,
      sym_comment,
      sym_block_comment,
  [646712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10448), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15971), 2,
      sym_comment,
      sym_block_comment,
  [646727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20443), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15972), 2,
      sym_comment,
      sym_block_comment,
  [646742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20609), 1,
      anon_sym_LPAREN,
    STATE(12033), 1,
      sym_parenthesized_expression,
    STATE(15973), 2,
      sym_comment,
      sym_block_comment,
  [646759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20611), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15974), 2,
      sym_comment,
      sym_block_comment,
  [646774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20613), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15975), 2,
      sym_comment,
      sym_block_comment,
  [646789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20615), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15976), 2,
      sym_comment,
      sym_block_comment,
  [646804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20617), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15977), 2,
      sym_comment,
      sym_block_comment,
  [646819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20619), 1,
      sym__indent,
    STATE(13080), 1,
      sym__indented_type_cases,
    STATE(15978), 2,
      sym_comment,
      sym_block_comment,
  [646836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20621), 1,
      sym__indent,
    STATE(10787), 1,
      sym__indented_type_cases,
    STATE(15979), 2,
      sym_comment,
      sym_block_comment,
  [646853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16459), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15980), 2,
      sym_comment,
      sym_block_comment,
  [646868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20623), 1,
      anon_sym_object,
    ACTIONS(20625), 1,
      anon_sym_class,
    STATE(15981), 2,
      sym_comment,
      sym_block_comment,
  [646885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20627), 1,
      sym__indent,
    STATE(8283), 1,
      sym__indented_type_cases,
    STATE(15982), 2,
      sym_comment,
      sym_block_comment,
  [646902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20629), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15983), 2,
      sym_comment,
      sym_block_comment,
  [646917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20631), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15984), 2,
      sym_comment,
      sym_block_comment,
  [646932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20633), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15985), 2,
      sym_comment,
      sym_block_comment,
  [646947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20635), 1,
      anon_sym_LPAREN,
    STATE(13501), 1,
      sym_parenthesized_expression,
    STATE(15986), 2,
      sym_comment,
      sym_block_comment,
  [646964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20501), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15987), 2,
      sym_comment,
      sym_block_comment,
  [646979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20637), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15988), 2,
      sym_comment,
      sym_block_comment,
  [646994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20639), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15989), 2,
      sym_comment,
      sym_block_comment,
  [647009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20641), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15990), 2,
      sym_comment,
      sym_block_comment,
  [647024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20643), 1,
      sym__indent,
    STATE(11416), 1,
      sym__indented_type_cases,
    STATE(15991), 2,
      sym_comment,
      sym_block_comment,
  [647041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20645), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15992), 2,
      sym_comment,
      sym_block_comment,
  [647056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20647), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15993), 2,
      sym_comment,
      sym_block_comment,
  [647071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20649), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15994), 2,
      sym_comment,
      sym_block_comment,
  [647086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20651), 1,
      sym__indent,
    STATE(13113), 1,
      sym__indented_type_cases,
    STATE(15995), 2,
      sym_comment,
      sym_block_comment,
  [647103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20653), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15996), 2,
      sym_comment,
      sym_block_comment,
  [647118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18973), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15997), 2,
      sym_comment,
      sym_block_comment,
  [647133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19848), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15998), 2,
      sym_comment,
      sym_block_comment,
  [647148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20655), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15999), 2,
      sym_comment,
      sym_block_comment,
  [647163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20657), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16000), 2,
      sym_comment,
      sym_block_comment,
  [647178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20659), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16001), 2,
      sym_comment,
      sym_block_comment,
  [647193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20661), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16002), 2,
      sym_comment,
      sym_block_comment,
  [647208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20663), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16003), 2,
      sym_comment,
      sym_block_comment,
  [647223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20665), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16004), 2,
      sym_comment,
      sym_block_comment,
  [647238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16005), 2,
      sym_comment,
      sym_block_comment,
  [647253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20669), 1,
      sym__indent,
    STATE(11688), 1,
      sym__indented_type_cases,
    STATE(16006), 2,
      sym_comment,
      sym_block_comment,
  [647270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20671), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16007), 2,
      sym_comment,
      sym_block_comment,
  [647285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9784), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16008), 2,
      sym_comment,
      sym_block_comment,
  [647300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20673), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16009), 2,
      sym_comment,
      sym_block_comment,
  [647315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16010), 2,
      sym_comment,
      sym_block_comment,
  [647330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20677), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16011), 2,
      sym_comment,
      sym_block_comment,
  [647345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10494), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16012), 2,
      sym_comment,
      sym_block_comment,
  [647360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20679), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16013), 2,
      sym_comment,
      sym_block_comment,
  [647375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20681), 1,
      sym__indent,
    STATE(12896), 1,
      sym__indented_type_cases,
    STATE(16014), 2,
      sym_comment,
      sym_block_comment,
  [647392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20683), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16015), 2,
      sym_comment,
      sym_block_comment,
  [647407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20685), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16016), 2,
      sym_comment,
      sym_block_comment,
  [647422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20445), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(16017), 2,
      sym_comment,
      sym_block_comment,
  [647437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20687), 1,
      anon_sym_object,
    ACTIONS(20689), 1,
      anon_sym_class,
    STATE(16018), 2,
      sym_comment,
      sym_block_comment,
  [647454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20691), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16019), 2,
      sym_comment,
      sym_block_comment,
  [647469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20693), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16020), 2,
      sym_comment,
      sym_block_comment,
  [647484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20695), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16021), 2,
      sym_comment,
      sym_block_comment,
  [647499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20697), 1,
      anon_sym_LPAREN,
    STATE(13965), 1,
      sym_parenthesized_expression,
    STATE(16022), 2,
      sym_comment,
      sym_block_comment,
  [647516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20699), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16023), 2,
      sym_comment,
      sym_block_comment,
  [647531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20701), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16024), 2,
      sym_comment,
      sym_block_comment,
  [647546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20703), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16025), 2,
      sym_comment,
      sym_block_comment,
  [647561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20705), 1,
      anon_sym_LPAREN,
    STATE(13167), 1,
      sym_parenthesized_expression,
    STATE(16026), 2,
      sym_comment,
      sym_block_comment,
  [647578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11839), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16027), 2,
      sym_comment,
      sym_block_comment,
  [647593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11829), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16028), 2,
      sym_comment,
      sym_block_comment,
  [647608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20707), 1,
      sym__indent,
    STATE(13532), 1,
      sym__indented_type_cases,
    STATE(16029), 2,
      sym_comment,
      sym_block_comment,
  [647625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11825), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16030), 2,
      sym_comment,
      sym_block_comment,
  [647640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20709), 1,
      anon_sym_LPAREN,
    STATE(12901), 1,
      sym_parenthesized_expression,
    STATE(16031), 2,
      sym_comment,
      sym_block_comment,
  [647657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20711), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16032), 2,
      sym_comment,
      sym_block_comment,
  [647672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20713), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16033), 2,
      sym_comment,
      sym_block_comment,
  [647687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11816), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16034), 2,
      sym_comment,
      sym_block_comment,
  [647702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11802), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16035), 2,
      sym_comment,
      sym_block_comment,
  [647717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20715), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16036), 2,
      sym_comment,
      sym_block_comment,
  [647732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20717), 1,
      sym__indent,
    STATE(16070), 1,
      sym__indented_type_cases,
    STATE(16037), 2,
      sym_comment,
      sym_block_comment,
  [647749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20719), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16038), 2,
      sym_comment,
      sym_block_comment,
  [647764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20721), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16039), 2,
      sym_comment,
      sym_block_comment,
  [647779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20723), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16040), 2,
      sym_comment,
      sym_block_comment,
  [647794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15993), 1,
      anon_sym_EQ_GT,
    ACTIONS(20725), 1,
      anon_sym_COLON,
    STATE(16041), 2,
      sym_comment,
      sym_block_comment,
  [647811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20727), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16042), 2,
      sym_comment,
      sym_block_comment,
  [647826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20729), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16043), 2,
      sym_comment,
      sym_block_comment,
  [647841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20731), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16044), 2,
      sym_comment,
      sym_block_comment,
  [647856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20733), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16045), 2,
      sym_comment,
      sym_block_comment,
  [647871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20735), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16046), 2,
      sym_comment,
      sym_block_comment,
  [647886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20737), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16047), 2,
      sym_comment,
      sym_block_comment,
  [647901] = 3,
    ACTIONS(18143), 1,
      anon_sym_SLASH_STAR,
    STATE(16048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20739), 3,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
      anon_sym_STAR_SLASH,
  [647914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20741), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16049), 2,
      sym_comment,
      sym_block_comment,
  [647929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20743), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16050), 2,
      sym_comment,
      sym_block_comment,
  [647944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20745), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16051), 2,
      sym_comment,
      sym_block_comment,
  [647959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20747), 1,
      sym__indent,
    STATE(13190), 1,
      sym__indented_type_cases,
    STATE(16052), 2,
      sym_comment,
      sym_block_comment,
  [647976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10466), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16053), 2,
      sym_comment,
      sym_block_comment,
  [647991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20749), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16054), 2,
      sym_comment,
      sym_block_comment,
  [648006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11860), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16055), 2,
      sym_comment,
      sym_block_comment,
  [648021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20751), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16056), 2,
      sym_comment,
      sym_block_comment,
  [648036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20753), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16057), 2,
      sym_comment,
      sym_block_comment,
  [648051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20755), 1,
      sym__indent,
    STATE(11794), 1,
      sym__indented_type_cases,
    STATE(16058), 2,
      sym_comment,
      sym_block_comment,
  [648068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20757), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16059), 2,
      sym_comment,
      sym_block_comment,
  [648083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20759), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16060), 2,
      sym_comment,
      sym_block_comment,
  [648098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20761), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16061), 2,
      sym_comment,
      sym_block_comment,
  [648113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20763), 1,
      anon_sym_COLON,
    ACTIONS(20765), 1,
      anon_sym_EQ,
    STATE(16062), 2,
      sym_comment,
      sym_block_comment,
  [648130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20767), 1,
      anon_sym_COLON,
    ACTIONS(20769), 1,
      anon_sym_EQ,
    STATE(16063), 2,
      sym_comment,
      sym_block_comment,
  [648147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10470), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16064), 2,
      sym_comment,
      sym_block_comment,
  [648162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10474), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16065), 2,
      sym_comment,
      sym_block_comment,
  [648177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20771), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16066), 2,
      sym_comment,
      sym_block_comment,
  [648192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20773), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16067), 2,
      sym_comment,
      sym_block_comment,
  [648207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20775), 1,
      sym__indent,
    STATE(14347), 1,
      sym_with_template_body,
    STATE(16068), 2,
      sym_comment,
      sym_block_comment,
  [648224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20777), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16069), 2,
      sym_comment,
      sym_block_comment,
  [648239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11864), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16070), 2,
      sym_comment,
      sym_block_comment,
  [648254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20779), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16071), 2,
      sym_comment,
      sym_block_comment,
  [648269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20781), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16072), 2,
      sym_comment,
      sym_block_comment,
  [648284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20783), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16073), 2,
      sym_comment,
      sym_block_comment,
  [648299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20785), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16074), 2,
      sym_comment,
      sym_block_comment,
  [648314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20787), 1,
      sym__indent,
    STATE(11731), 1,
      sym__indented_type_cases,
    STATE(16075), 2,
      sym_comment,
      sym_block_comment,
  [648331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20789), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16076), 2,
      sym_comment,
      sym_block_comment,
  [648346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20791), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16077), 2,
      sym_comment,
      sym_block_comment,
  [648361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20793), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16078), 2,
      sym_comment,
      sym_block_comment,
  [648376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16079), 2,
      sym_comment,
      sym_block_comment,
  [648391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20797), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16080), 2,
      sym_comment,
      sym_block_comment,
  [648406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20799), 1,
      sym__indent,
    STATE(11902), 1,
      sym__indented_type_cases,
    STATE(16081), 2,
      sym_comment,
      sym_block_comment,
  [648423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17603), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16082), 2,
      sym_comment,
      sym_block_comment,
  [648438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20801), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16083), 2,
      sym_comment,
      sym_block_comment,
  [648453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20803), 1,
      sym__indent,
    STATE(12716), 1,
      sym__indented_type_cases,
    STATE(16084), 2,
      sym_comment,
      sym_block_comment,
  [648470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20805), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16085), 2,
      sym_comment,
      sym_block_comment,
  [648485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20807), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16086), 2,
      sym_comment,
      sym_block_comment,
  [648500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20809), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16087), 2,
      sym_comment,
      sym_block_comment,
  [648515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20811), 1,
      sym__indent,
    STATE(11126), 1,
      sym__indented_type_cases,
    STATE(16088), 2,
      sym_comment,
      sym_block_comment,
  [648532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20813), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16089), 2,
      sym_comment,
      sym_block_comment,
  [648547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16090), 2,
      sym_comment,
      sym_block_comment,
  [648562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20815), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16091), 2,
      sym_comment,
      sym_block_comment,
  [648577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20817), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16092), 2,
      sym_comment,
      sym_block_comment,
  [648592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20819), 1,
      anon_sym_LPAREN,
    STATE(13342), 1,
      sym_parenthesized_expression,
    STATE(16093), 2,
      sym_comment,
      sym_block_comment,
  [648609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16094), 2,
      sym_comment,
      sym_block_comment,
  [648624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20823), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16095), 2,
      sym_comment,
      sym_block_comment,
  [648639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20825), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16096), 2,
      sym_comment,
      sym_block_comment,
  [648654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20827), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16097), 2,
      sym_comment,
      sym_block_comment,
  [648669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20809), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(16098), 2,
      sym_comment,
      sym_block_comment,
  [648684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20829), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16099), 2,
      sym_comment,
      sym_block_comment,
  [648699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20831), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16100), 2,
      sym_comment,
      sym_block_comment,
  [648714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20833), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16101), 2,
      sym_comment,
      sym_block_comment,
  [648729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20835), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16102), 2,
      sym_comment,
      sym_block_comment,
  [648744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15058), 1,
      anon_sym_object,
    ACTIONS(15062), 1,
      anon_sym_class,
    STATE(16103), 2,
      sym_comment,
      sym_block_comment,
  [648761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20837), 1,
      anon_sym_COLON,
    ACTIONS(20839), 1,
      anon_sym_EQ,
    STATE(16104), 2,
      sym_comment,
      sym_block_comment,
  [648778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20841), 1,
      sym__indent,
    STATE(13371), 1,
      sym__indented_type_cases,
    STATE(16105), 2,
      sym_comment,
      sym_block_comment,
  [648795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20843), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16106), 2,
      sym_comment,
      sym_block_comment,
  [648810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20845), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16107), 2,
      sym_comment,
      sym_block_comment,
  [648825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20847), 1,
      anon_sym_COLON,
    ACTIONS(20849), 1,
      anon_sym_EQ,
    STATE(16108), 2,
      sym_comment,
      sym_block_comment,
  [648842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20851), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16109), 2,
      sym_comment,
      sym_block_comment,
  [648857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20853), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16110), 2,
      sym_comment,
      sym_block_comment,
  [648872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20855), 1,
      anon_sym_LPAREN,
    STATE(13730), 1,
      sym_parenthesized_expression,
    STATE(16111), 2,
      sym_comment,
      sym_block_comment,
  [648889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20857), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16112), 2,
      sym_comment,
      sym_block_comment,
  [648904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20859), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16113), 2,
      sym_comment,
      sym_block_comment,
  [648919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20861), 1,
      sym__indent,
    STATE(11156), 1,
      sym__indented_type_cases,
    STATE(16114), 2,
      sym_comment,
      sym_block_comment,
  [648936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11936), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16115), 2,
      sym_comment,
      sym_block_comment,
  [648951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20863), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16116), 2,
      sym_comment,
      sym_block_comment,
  [648966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20865), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16117), 2,
      sym_comment,
      sym_block_comment,
  [648981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20867), 1,
      anon_sym_LPAREN,
    STATE(12787), 1,
      sym_parenthesized_expression,
    STATE(16118), 2,
      sym_comment,
      sym_block_comment,
  [648998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20869), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16119), 2,
      sym_comment,
      sym_block_comment,
  [649013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20871), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16120), 2,
      sym_comment,
      sym_block_comment,
  [649028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20873), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16121), 2,
      sym_comment,
      sym_block_comment,
  [649043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20875), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16122), 2,
      sym_comment,
      sym_block_comment,
  [649058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20877), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16123), 2,
      sym_comment,
      sym_block_comment,
  [649073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20879), 1,
      anon_sym_COLON,
    ACTIONS(20881), 1,
      anon_sym_EQ,
    STATE(16124), 2,
      sym_comment,
      sym_block_comment,
  [649090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20883), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16125), 2,
      sym_comment,
      sym_block_comment,
  [649105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20885), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16126), 2,
      sym_comment,
      sym_block_comment,
  [649120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20887), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16127), 2,
      sym_comment,
      sym_block_comment,
  [649135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20889), 1,
      anon_sym_LPAREN,
    STATE(13131), 1,
      sym_parenthesized_expression,
    STATE(16128), 2,
      sym_comment,
      sym_block_comment,
  [649152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20891), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16129), 2,
      sym_comment,
      sym_block_comment,
  [649167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20893), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16130), 2,
      sym_comment,
      sym_block_comment,
  [649182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20895), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16131), 2,
      sym_comment,
      sym_block_comment,
  [649197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20897), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16132), 2,
      sym_comment,
      sym_block_comment,
  [649212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20899), 1,
      sym__indent,
    STATE(10789), 1,
      sym__indented_type_cases,
    STATE(16133), 2,
      sym_comment,
      sym_block_comment,
  [649229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16134), 2,
      sym_comment,
      sym_block_comment,
  [649244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11898), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16135), 2,
      sym_comment,
      sym_block_comment,
  [649259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20901), 1,
      anon_sym_COLON,
    ACTIONS(20903), 1,
      anon_sym_EQ,
    STATE(16136), 2,
      sym_comment,
      sym_block_comment,
  [649276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20905), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16137), 2,
      sym_comment,
      sym_block_comment,
  [649291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20907), 1,
      sym__indent,
    STATE(12864), 1,
      sym__indented_type_cases,
    STATE(16138), 2,
      sym_comment,
      sym_block_comment,
  [649308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20909), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16139), 2,
      sym_comment,
      sym_block_comment,
  [649323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20911), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16140), 2,
      sym_comment,
      sym_block_comment,
  [649338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9873), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16141), 2,
      sym_comment,
      sym_block_comment,
  [649353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20913), 1,
      anon_sym_LPAREN,
    STATE(12048), 1,
      sym_parenthesized_expression,
    STATE(16142), 2,
      sym_comment,
      sym_block_comment,
  [649370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20915), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16143), 2,
      sym_comment,
      sym_block_comment,
  [649385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20917), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16144), 2,
      sym_comment,
      sym_block_comment,
  [649400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20919), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16145), 2,
      sym_comment,
      sym_block_comment,
  [649415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20921), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16146), 2,
      sym_comment,
      sym_block_comment,
  [649430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10494), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16147), 2,
      sym_comment,
      sym_block_comment,
  [649445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20923), 1,
      anon_sym_RPAREN,
    STATE(16148), 2,
      sym_comment,
      sym_block_comment,
  [649459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20925), 1,
      anon_sym_RBRACE,
    STATE(16149), 2,
      sym_comment,
      sym_block_comment,
  [649473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20927), 1,
      anon_sym_RPAREN,
    STATE(16150), 2,
      sym_comment,
      sym_block_comment,
  [649487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20929), 1,
      anon_sym_RBRACE,
    STATE(16151), 2,
      sym_comment,
      sym_block_comment,
  [649501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20929), 1,
      anon_sym_RBRACK,
    STATE(16152), 2,
      sym_comment,
      sym_block_comment,
  [649515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20931), 1,
      anon_sym_COLON,
    STATE(16153), 2,
      sym_comment,
      sym_block_comment,
  [649529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12663), 1,
      anon_sym_DOT,
    STATE(16154), 2,
      sym_comment,
      sym_block_comment,
  [649543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20927), 1,
      anon_sym_RBRACE,
    STATE(16155), 2,
      sym_comment,
      sym_block_comment,
  [649557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20933), 1,
      sym__outdent,
    STATE(16156), 2,
      sym_comment,
      sym_block_comment,
  [649571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20935), 1,
      anon_sym_RBRACE,
    STATE(16157), 2,
      sym_comment,
      sym_block_comment,
  [649585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20935), 1,
      anon_sym_RPAREN,
    STATE(16158), 2,
      sym_comment,
      sym_block_comment,
  [649599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20937), 1,
      anon_sym_else,
    STATE(16159), 2,
      sym_comment,
      sym_block_comment,
  [649613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20939), 1,
      anon_sym_RBRACE,
    STATE(16160), 2,
      sym_comment,
      sym_block_comment,
  [649627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10834), 1,
      anon_sym_DOT,
    STATE(16161), 2,
      sym_comment,
      sym_block_comment,
  [649641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20941), 1,
      anon_sym_RBRACE,
    STATE(16162), 2,
      sym_comment,
      sym_block_comment,
  [649655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20943), 1,
      anon_sym_else,
    STATE(16163), 2,
      sym_comment,
      sym_block_comment,
  [649669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20945), 1,
      sym__outdent,
    STATE(16164), 2,
      sym_comment,
      sym_block_comment,
  [649683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20947), 1,
      anon_sym_EQ_GT,
    STATE(16165), 2,
      sym_comment,
      sym_block_comment,
  [649697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20949), 1,
      anon_sym_EQ_GT,
    STATE(16166), 2,
      sym_comment,
      sym_block_comment,
  [649711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20951), 1,
      anon_sym_RPAREN,
    STATE(16167), 2,
      sym_comment,
      sym_block_comment,
  [649725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20953), 1,
      sym__outdent,
    STATE(16168), 2,
      sym_comment,
      sym_block_comment,
  [649739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20955), 1,
      anon_sym_EQ_GT_GT,
    STATE(16169), 2,
      sym_comment,
      sym_block_comment,
  [649753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20957), 1,
      sym__outdent,
    STATE(16170), 2,
      sym_comment,
      sym_block_comment,
  [649767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20959), 1,
      anon_sym_EQ_GT_GT,
    STATE(16171), 2,
      sym_comment,
      sym_block_comment,
  [649781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20961), 1,
      anon_sym_EQ_GT_GT,
    STATE(16172), 2,
      sym_comment,
      sym_block_comment,
  [649795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20963), 1,
      anon_sym_EQ_GT_GT,
    STATE(16173), 2,
      sym_comment,
      sym_block_comment,
  [649809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20965), 1,
      anon_sym_EQ_GT_GT,
    STATE(16174), 2,
      sym_comment,
      sym_block_comment,
  [649823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20967), 1,
      sym__outdent,
    STATE(16175), 2,
      sym_comment,
      sym_block_comment,
  [649837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20969), 1,
      anon_sym_RPAREN,
    STATE(16176), 2,
      sym_comment,
      sym_block_comment,
  [649851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20971), 1,
      anon_sym_EQ_GT_GT,
    STATE(16177), 2,
      sym_comment,
      sym_block_comment,
  [649865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20973), 1,
      anon_sym_COLON,
    STATE(16178), 2,
      sym_comment,
      sym_block_comment,
  [649879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11841), 1,
      anon_sym_DOT,
    STATE(16179), 2,
      sym_comment,
      sym_block_comment,
  [649893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20975), 1,
      anon_sym_RPAREN,
    STATE(16180), 2,
      sym_comment,
      sym_block_comment,
  [649907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20977), 1,
      anon_sym_EQ_GT_GT,
    STATE(16181), 2,
      sym_comment,
      sym_block_comment,
  [649921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20979), 1,
      anon_sym_EQ_GT,
    STATE(16182), 2,
      sym_comment,
      sym_block_comment,
  [649935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20981), 1,
      anon_sym_do,
    STATE(16183), 2,
      sym_comment,
      sym_block_comment,
  [649949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20983), 1,
      anon_sym_EQ_GT_GT,
    STATE(16184), 2,
      sym_comment,
      sym_block_comment,
  [649963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20985), 1,
      anon_sym_EQ_GT_GT,
    STATE(16185), 2,
      sym_comment,
      sym_block_comment,
  [649977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20987), 1,
      anon_sym_else,
    STATE(16186), 2,
      sym_comment,
      sym_block_comment,
  [649991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20989), 1,
      anon_sym_RPAREN,
    STATE(16187), 2,
      sym_comment,
      sym_block_comment,
  [650005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20991), 1,
      anon_sym_EQ_GT_GT,
    STATE(16188), 2,
      sym_comment,
      sym_block_comment,
  [650019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20993), 1,
      anon_sym_EQ_GT_GT,
    STATE(16189), 2,
      sym_comment,
      sym_block_comment,
  [650033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20995), 1,
      anon_sym_EQ_GT_GT,
    STATE(16190), 2,
      sym_comment,
      sym_block_comment,
  [650047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20997), 1,
      anon_sym_RBRACE,
    STATE(16191), 2,
      sym_comment,
      sym_block_comment,
  [650061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20997), 1,
      anon_sym_RBRACK,
    STATE(16192), 2,
      sym_comment,
      sym_block_comment,
  [650075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20999), 1,
      sym__outdent,
    STATE(16193), 2,
      sym_comment,
      sym_block_comment,
  [650089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21001), 1,
      anon_sym_EQ_GT_GT,
    STATE(16194), 2,
      sym_comment,
      sym_block_comment,
  [650103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21003), 1,
      anon_sym_RPAREN,
    STATE(16195), 2,
      sym_comment,
      sym_block_comment,
  [650117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21005), 1,
      anon_sym_EQ_GT,
    STATE(16196), 2,
      sym_comment,
      sym_block_comment,
  [650131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21007), 1,
      anon_sym_else,
    STATE(16197), 2,
      sym_comment,
      sym_block_comment,
  [650145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21009), 1,
      sym__outdent,
    STATE(16198), 2,
      sym_comment,
      sym_block_comment,
  [650159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21011), 1,
      anon_sym_EQ_GT_GT,
    STATE(16199), 2,
      sym_comment,
      sym_block_comment,
  [650173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21013), 1,
      anon_sym_COLON,
    STATE(16200), 2,
      sym_comment,
      sym_block_comment,
  [650187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21015), 1,
      anon_sym_EQ_GT_GT,
    STATE(16201), 2,
      sym_comment,
      sym_block_comment,
  [650201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21017), 1,
      anon_sym_EQ_GT_GT,
    STATE(16202), 2,
      sym_comment,
      sym_block_comment,
  [650215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21019), 1,
      anon_sym_EQ_GT_GT,
    STATE(16203), 2,
      sym_comment,
      sym_block_comment,
  [650229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21021), 1,
      anon_sym_do,
    STATE(16204), 2,
      sym_comment,
      sym_block_comment,
  [650243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21023), 1,
      anon_sym_COLON,
    STATE(16205), 2,
      sym_comment,
      sym_block_comment,
  [650257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21025), 1,
      anon_sym_do,
    STATE(16206), 2,
      sym_comment,
      sym_block_comment,
  [650271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21027), 1,
      anon_sym_EQ_GT_GT,
    STATE(16207), 2,
      sym_comment,
      sym_block_comment,
  [650285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21029), 1,
      anon_sym_COLON,
    STATE(16208), 2,
      sym_comment,
      sym_block_comment,
  [650299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11045), 1,
      anon_sym_DOT,
    STATE(16209), 2,
      sym_comment,
      sym_block_comment,
  [650313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21031), 1,
      anon_sym_RPAREN,
    STATE(16210), 2,
      sym_comment,
      sym_block_comment,
  [650327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21033), 1,
      anon_sym_EQ_GT_GT,
    STATE(16211), 2,
      sym_comment,
      sym_block_comment,
  [650341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21031), 1,
      anon_sym_RBRACE,
    STATE(16212), 2,
      sym_comment,
      sym_block_comment,
  [650355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21035), 1,
      anon_sym_EQ_GT_GT,
    STATE(16213), 2,
      sym_comment,
      sym_block_comment,
  [650369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21037), 1,
      anon_sym_EQ_GT_GT,
    STATE(16214), 2,
      sym_comment,
      sym_block_comment,
  [650383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21039), 1,
      sym__outdent,
    STATE(16215), 2,
      sym_comment,
      sym_block_comment,
  [650397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21041), 1,
      anon_sym_EQ_GT,
    STATE(16216), 2,
      sym_comment,
      sym_block_comment,
  [650411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21043), 1,
      anon_sym_RBRACE,
    STATE(16217), 2,
      sym_comment,
      sym_block_comment,
  [650425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21045), 1,
      anon_sym_RBRACE,
    STATE(16218), 2,
      sym_comment,
      sym_block_comment,
  [650439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21047), 1,
      anon_sym_RBRACE,
    STATE(16219), 2,
      sym_comment,
      sym_block_comment,
  [650453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21049), 1,
      sym__outdent,
    STATE(16220), 2,
      sym_comment,
      sym_block_comment,
  [650467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21051), 1,
      anon_sym_else,
    STATE(16221), 2,
      sym_comment,
      sym_block_comment,
  [650481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21053), 1,
      anon_sym_RBRACE,
    STATE(16222), 2,
      sym_comment,
      sym_block_comment,
  [650495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21053), 1,
      anon_sym_RPAREN,
    STATE(16223), 2,
      sym_comment,
      sym_block_comment,
  [650509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21055), 1,
      anon_sym_RPAREN,
    STATE(16224), 2,
      sym_comment,
      sym_block_comment,
  [650523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21057), 1,
      sym__outdent,
    STATE(16225), 2,
      sym_comment,
      sym_block_comment,
  [650537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21059), 1,
      anon_sym_EQ_GT,
    STATE(16226), 2,
      sym_comment,
      sym_block_comment,
  [650551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15913), 1,
      anon_sym_DOT,
    STATE(16227), 2,
      sym_comment,
      sym_block_comment,
  [650565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21061), 1,
      anon_sym_COLON,
    STATE(16228), 2,
      sym_comment,
      sym_block_comment,
  [650579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21063), 1,
      anon_sym_EQ_GT_GT,
    STATE(16229), 2,
      sym_comment,
      sym_block_comment,
  [650593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21065), 1,
      anon_sym_else,
    STATE(16230), 2,
      sym_comment,
      sym_block_comment,
  [650607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21067), 1,
      anon_sym_EQ_GT_GT,
    STATE(16231), 2,
      sym_comment,
      sym_block_comment,
  [650621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21069), 1,
      anon_sym_EQ_GT_GT,
    STATE(16232), 2,
      sym_comment,
      sym_block_comment,
  [650635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21071), 1,
      anon_sym_EQ_GT_GT,
    STATE(16233), 2,
      sym_comment,
      sym_block_comment,
  [650649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21073), 1,
      anon_sym_RPAREN,
    STATE(16234), 2,
      sym_comment,
      sym_block_comment,
  [650663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21075), 1,
      anon_sym_do,
    STATE(16235), 2,
      sym_comment,
      sym_block_comment,
  [650677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21077), 1,
      anon_sym_EQ_GT_GT,
    STATE(16236), 2,
      sym_comment,
      sym_block_comment,
  [650691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21079), 1,
      anon_sym_RPAREN,
    STATE(16237), 2,
      sym_comment,
      sym_block_comment,
  [650705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21081), 1,
      anon_sym_COLON,
    STATE(16238), 2,
      sym_comment,
      sym_block_comment,
  [650719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11785), 1,
      anon_sym_DOT,
    STATE(16239), 2,
      sym_comment,
      sym_block_comment,
  [650733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21083), 1,
      anon_sym_EQ_GT_GT,
    STATE(16240), 2,
      sym_comment,
      sym_block_comment,
  [650747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21085), 1,
      anon_sym_EQ_GT_GT,
    STATE(16241), 2,
      sym_comment,
      sym_block_comment,
  [650761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21087), 1,
      anon_sym_EQ_GT_GT,
    STATE(16242), 2,
      sym_comment,
      sym_block_comment,
  [650775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21089), 1,
      sym__outdent,
    STATE(16243), 2,
      sym_comment,
      sym_block_comment,
  [650789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21091), 1,
      sym__outdent,
    STATE(16244), 2,
      sym_comment,
      sym_block_comment,
  [650803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21093), 1,
      anon_sym_EQ_GT,
    STATE(16245), 2,
      sym_comment,
      sym_block_comment,
  [650817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21095), 1,
      anon_sym_else,
    STATE(16246), 2,
      sym_comment,
      sym_block_comment,
  [650831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21097), 1,
      anon_sym_else,
    STATE(16247), 2,
      sym_comment,
      sym_block_comment,
  [650845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21099), 1,
      anon_sym_do,
    STATE(16248), 2,
      sym_comment,
      sym_block_comment,
  [650859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21101), 1,
      anon_sym_RBRACE,
    STATE(16249), 2,
      sym_comment,
      sym_block_comment,
  [650873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21103), 1,
      anon_sym_else,
    STATE(16250), 2,
      sym_comment,
      sym_block_comment,
  [650887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21105), 1,
      sym__outdent,
    STATE(16251), 2,
      sym_comment,
      sym_block_comment,
  [650901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20923), 1,
      anon_sym_RBRACE,
    STATE(16252), 2,
      sym_comment,
      sym_block_comment,
  [650915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21107), 1,
      anon_sym_else,
    STATE(16253), 2,
      sym_comment,
      sym_block_comment,
  [650929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21109), 1,
      sym__outdent,
    STATE(16254), 2,
      sym_comment,
      sym_block_comment,
  [650943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21111), 1,
      anon_sym_RPAREN,
    STATE(16255), 2,
      sym_comment,
      sym_block_comment,
  [650957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21113), 1,
      anon_sym_EQ_GT,
    STATE(16256), 2,
      sym_comment,
      sym_block_comment,
  [650971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_DOT,
    STATE(16257), 2,
      sym_comment,
      sym_block_comment,
  [650985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21115), 1,
      anon_sym_COLON,
    STATE(16258), 2,
      sym_comment,
      sym_block_comment,
  [650999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21117), 1,
      anon_sym_EQ_GT_GT,
    STATE(16259), 2,
      sym_comment,
      sym_block_comment,
  [651013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21119), 1,
      sym__outdent,
    STATE(16260), 2,
      sym_comment,
      sym_block_comment,
  [651027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21121), 1,
      anon_sym_EQ_GT_GT,
    STATE(16261), 2,
      sym_comment,
      sym_block_comment,
  [651041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21123), 1,
      anon_sym_EQ_GT_GT,
    STATE(16262), 2,
      sym_comment,
      sym_block_comment,
  [651055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21125), 1,
      anon_sym_EQ_GT_GT,
    STATE(16263), 2,
      sym_comment,
      sym_block_comment,
  [651069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21127), 1,
      anon_sym_EQ_GT_GT,
    STATE(16264), 2,
      sym_comment,
      sym_block_comment,
  [651083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21129), 1,
      sym__outdent,
    STATE(16265), 2,
      sym_comment,
      sym_block_comment,
  [651097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21131), 1,
      anon_sym_COLON,
    STATE(16266), 2,
      sym_comment,
      sym_block_comment,
  [651111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11261), 1,
      anon_sym_DOT,
    STATE(16267), 2,
      sym_comment,
      sym_block_comment,
  [651125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21133), 1,
      anon_sym_else,
    STATE(16268), 2,
      sym_comment,
      sym_block_comment,
  [651139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21135), 1,
      anon_sym_EQ_GT_GT,
    STATE(16269), 2,
      sym_comment,
      sym_block_comment,
  [651153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21137), 1,
      anon_sym_EQ_GT_GT,
    STATE(16270), 2,
      sym_comment,
      sym_block_comment,
  [651167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21139), 1,
      anon_sym_EQ_GT_GT,
    STATE(16271), 2,
      sym_comment,
      sym_block_comment,
  [651181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21141), 1,
      sym__outdent,
    STATE(16272), 2,
      sym_comment,
      sym_block_comment,
  [651195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21143), 1,
      anon_sym_RPAREN,
    STATE(16273), 2,
      sym_comment,
      sym_block_comment,
  [651209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21145), 1,
      sym__outdent,
    STATE(16274), 2,
      sym_comment,
      sym_block_comment,
  [651223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21147), 1,
      anon_sym_EQ_GT,
    STATE(16275), 2,
      sym_comment,
      sym_block_comment,
  [651237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21149), 1,
      anon_sym_RPAREN,
    STATE(16276), 2,
      sym_comment,
      sym_block_comment,
  [651251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21151), 1,
      sym__outdent,
    STATE(16277), 2,
      sym_comment,
      sym_block_comment,
  [651265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21153), 1,
      anon_sym_else,
    STATE(16278), 2,
      sym_comment,
      sym_block_comment,
  [651279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21155), 1,
      anon_sym_RPAREN,
    STATE(16279), 2,
      sym_comment,
      sym_block_comment,
  [651293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21157), 1,
      sym__outdent,
    STATE(16280), 2,
      sym_comment,
      sym_block_comment,
  [651307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21159), 1,
      anon_sym_RPAREN,
    STATE(16281), 2,
      sym_comment,
      sym_block_comment,
  [651321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21161), 1,
      anon_sym_else,
    STATE(16282), 2,
      sym_comment,
      sym_block_comment,
  [651335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21163), 1,
      anon_sym_EQ_GT,
    STATE(16283), 2,
      sym_comment,
      sym_block_comment,
  [651349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21165), 1,
      anon_sym_else,
    STATE(16284), 2,
      sym_comment,
      sym_block_comment,
  [651363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21167), 1,
      anon_sym_do,
    STATE(16285), 2,
      sym_comment,
      sym_block_comment,
  [651377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21169), 1,
      anon_sym_EQ_GT_GT,
    STATE(16286), 2,
      sym_comment,
      sym_block_comment,
  [651391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11726), 1,
      anon_sym_DOT,
    STATE(16287), 2,
      sym_comment,
      sym_block_comment,
  [651405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21171), 1,
      anon_sym_EQ_GT_GT,
    STATE(16288), 2,
      sym_comment,
      sym_block_comment,
  [651419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21173), 1,
      anon_sym_EQ_GT_GT,
    STATE(16289), 2,
      sym_comment,
      sym_block_comment,
  [651433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21175), 1,
      anon_sym_EQ_GT_GT,
    STATE(16290), 2,
      sym_comment,
      sym_block_comment,
  [651447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21177), 1,
      anon_sym_RPAREN,
    STATE(16291), 2,
      sym_comment,
      sym_block_comment,
  [651461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21177), 1,
      anon_sym_RBRACE,
    STATE(16292), 2,
      sym_comment,
      sym_block_comment,
  [651475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21179), 1,
      anon_sym_COLON,
    STATE(16293), 2,
      sym_comment,
      sym_block_comment,
  [651489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11128), 1,
      anon_sym_DOT,
    STATE(16294), 2,
      sym_comment,
      sym_block_comment,
  [651503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21181), 1,
      sym__outdent,
    STATE(16295), 2,
      sym_comment,
      sym_block_comment,
  [651517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16940), 1,
      anon_sym_COLON,
    STATE(16296), 2,
      sym_comment,
      sym_block_comment,
  [651531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21183), 1,
      anon_sym_RBRACE,
    STATE(16297), 2,
      sym_comment,
      sym_block_comment,
  [651545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21185), 1,
      anon_sym_EQ_GT_GT,
    STATE(16298), 2,
      sym_comment,
      sym_block_comment,
  [651559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21187), 1,
      anon_sym_EQ_GT_GT,
    STATE(16299), 2,
      sym_comment,
      sym_block_comment,
  [651573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21189), 1,
      anon_sym_EQ_GT_GT,
    STATE(16300), 2,
      sym_comment,
      sym_block_comment,
  [651587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21191), 1,
      anon_sym_EQ_GT_GT,
    STATE(16301), 2,
      sym_comment,
      sym_block_comment,
  [651601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21193), 1,
      anon_sym_RBRACE,
    STATE(16302), 2,
      sym_comment,
      sym_block_comment,
  [651615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21195), 1,
      sym__outdent,
    STATE(16303), 2,
      sym_comment,
      sym_block_comment,
  [651629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21197), 1,
      anon_sym_EQ_GT_GT,
    STATE(16304), 2,
      sym_comment,
      sym_block_comment,
  [651643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21199), 1,
      anon_sym_do,
    STATE(16305), 2,
      sym_comment,
      sym_block_comment,
  [651657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21201), 1,
      anon_sym_EQ_GT,
    STATE(16306), 2,
      sym_comment,
      sym_block_comment,
  [651671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21203), 1,
      sym__outdent,
    STATE(16307), 2,
      sym_comment,
      sym_block_comment,
  [651685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21205), 1,
      anon_sym_EQ_GT_GT,
    STATE(16308), 2,
      sym_comment,
      sym_block_comment,
  [651699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21207), 1,
      anon_sym_RBRACE,
    STATE(16309), 2,
      sym_comment,
      sym_block_comment,
  [651713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21209), 1,
      anon_sym_EQ_GT_GT,
    STATE(16310), 2,
      sym_comment,
      sym_block_comment,
  [651727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21211), 1,
      anon_sym_RBRACE,
    STATE(16311), 2,
      sym_comment,
      sym_block_comment,
  [651741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21213), 1,
      anon_sym_EQ_GT_GT,
    STATE(16312), 2,
      sym_comment,
      sym_block_comment,
  [651755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21215), 1,
      anon_sym_EQ_GT_GT,
    STATE(16313), 2,
      sym_comment,
      sym_block_comment,
  [651769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21217), 1,
      anon_sym_EQ_GT_GT,
    STATE(16314), 2,
      sym_comment,
      sym_block_comment,
  [651783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21211), 1,
      anon_sym_RPAREN,
    STATE(16315), 2,
      sym_comment,
      sym_block_comment,
  [651797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21219), 1,
      anon_sym_RPAREN,
    STATE(16316), 2,
      sym_comment,
      sym_block_comment,
  [651811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21221), 1,
      anon_sym_COLON,
    STATE(16317), 2,
      sym_comment,
      sym_block_comment,
  [651825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13256), 1,
      anon_sym_DOT,
    STATE(16318), 2,
      sym_comment,
      sym_block_comment,
  [651839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21223), 1,
      anon_sym_do,
    STATE(16319), 2,
      sym_comment,
      sym_block_comment,
  [651853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 1,
      anon_sym_EQ_GT,
    STATE(16320), 2,
      sym_comment,
      sym_block_comment,
  [651867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12710), 1,
      anon_sym_DOT,
    STATE(16321), 2,
      sym_comment,
      sym_block_comment,
  [651881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21225), 1,
      anon_sym_COLON,
    STATE(16322), 2,
      sym_comment,
      sym_block_comment,
  [651895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21227), 1,
      anon_sym_else,
    STATE(16323), 2,
      sym_comment,
      sym_block_comment,
  [651909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21229), 1,
      anon_sym_RPAREN,
    STATE(16324), 2,
      sym_comment,
      sym_block_comment,
  [651923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21231), 1,
      sym__outdent,
    STATE(16325), 2,
      sym_comment,
      sym_block_comment,
  [651937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21233), 1,
      anon_sym_EQ_GT_GT,
    STATE(16326), 2,
      sym_comment,
      sym_block_comment,
  [651951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21235), 1,
      anon_sym_EQ_GT_GT,
    STATE(16327), 2,
      sym_comment,
      sym_block_comment,
  [651965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21237), 1,
      anon_sym_EQ_GT_GT,
    STATE(16328), 2,
      sym_comment,
      sym_block_comment,
  [651979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21239), 1,
      anon_sym_EQ_GT_GT,
    STATE(16329), 2,
      sym_comment,
      sym_block_comment,
  [651993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21241), 1,
      anon_sym_else,
    STATE(16330), 2,
      sym_comment,
      sym_block_comment,
  [652007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21243), 1,
      anon_sym_EQ_GT,
    STATE(16331), 2,
      sym_comment,
      sym_block_comment,
  [652021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21245), 1,
      anon_sym_RPAREN,
    STATE(16332), 2,
      sym_comment,
      sym_block_comment,
  [652035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21247), 1,
      anon_sym_RBRACK,
    STATE(16333), 2,
      sym_comment,
      sym_block_comment,
  [652049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21249), 1,
      anon_sym_EQ_GT_GT,
    STATE(16334), 2,
      sym_comment,
      sym_block_comment,
  [652063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21251), 1,
      anon_sym_EQ_GT_GT,
    STATE(16335), 2,
      sym_comment,
      sym_block_comment,
  [652077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21253), 1,
      anon_sym_EQ_GT_GT,
    STATE(16336), 2,
      sym_comment,
      sym_block_comment,
  [652091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21255), 1,
      anon_sym_EQ_GT_GT,
    STATE(16337), 2,
      sym_comment,
      sym_block_comment,
  [652105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21247), 1,
      anon_sym_RBRACE,
    STATE(16338), 2,
      sym_comment,
      sym_block_comment,
  [652119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21257), 1,
      anon_sym_else,
    STATE(16339), 2,
      sym_comment,
      sym_block_comment,
  [652133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21259), 1,
      anon_sym_COLON,
    STATE(16340), 2,
      sym_comment,
      sym_block_comment,
  [652147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9865), 1,
      anon_sym_DOT,
    STATE(16341), 2,
      sym_comment,
      sym_block_comment,
  [652161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21261), 1,
      anon_sym_RBRACK,
    STATE(16342), 2,
      sym_comment,
      sym_block_comment,
  [652175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21263), 1,
      anon_sym_do,
    STATE(16343), 2,
      sym_comment,
      sym_block_comment,
  [652189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9784), 1,
      anon_sym_EQ_GT,
    STATE(16344), 2,
      sym_comment,
      sym_block_comment,
  [652203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21265), 1,
      anon_sym_RBRACE,
    STATE(16345), 2,
      sym_comment,
      sym_block_comment,
  [652217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21267), 1,
      anon_sym_RBRACE,
    STATE(16346), 2,
      sym_comment,
      sym_block_comment,
  [652231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9742), 1,
      anon_sym_EQ_GT,
    STATE(16347), 2,
      sym_comment,
      sym_block_comment,
  [652245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9691), 1,
      anon_sym_EQ_GT,
    STATE(16348), 2,
      sym_comment,
      sym_block_comment,
  [652259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21261), 1,
      anon_sym_RBRACE,
    STATE(16349), 2,
      sym_comment,
      sym_block_comment,
  [652273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21269), 1,
      anon_sym_do,
    STATE(16350), 2,
      sym_comment,
      sym_block_comment,
  [652287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13103), 1,
      anon_sym_DOT,
    STATE(16351), 2,
      sym_comment,
      sym_block_comment,
  [652301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21271), 1,
      sym__outdent,
    STATE(16352), 2,
      sym_comment,
      sym_block_comment,
  [652315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21273), 1,
      anon_sym_RPAREN,
    STATE(16353), 2,
      sym_comment,
      sym_block_comment,
  [652329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21275), 1,
      anon_sym_COLON,
    STATE(16354), 2,
      sym_comment,
      sym_block_comment,
  [652343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21277), 1,
      anon_sym_EQ_GT_GT,
    STATE(16355), 2,
      sym_comment,
      sym_block_comment,
  [652357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21279), 1,
      anon_sym_EQ_GT_GT,
    STATE(16356), 2,
      sym_comment,
      sym_block_comment,
  [652371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21281), 1,
      anon_sym_EQ_GT_GT,
    STATE(16357), 2,
      sym_comment,
      sym_block_comment,
  [652385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21283), 1,
      anon_sym_EQ_GT_GT,
    STATE(16358), 2,
      sym_comment,
      sym_block_comment,
  [652399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21285), 1,
      anon_sym_EQ_GT_GT,
    STATE(16359), 2,
      sym_comment,
      sym_block_comment,
  [652413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21287), 1,
      anon_sym_EQ_GT_GT,
    STATE(16360), 2,
      sym_comment,
      sym_block_comment,
  [652427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21289), 1,
      anon_sym_EQ_GT_GT,
    STATE(16361), 2,
      sym_comment,
      sym_block_comment,
  [652441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21291), 1,
      anon_sym_EQ_GT_GT,
    STATE(16362), 2,
      sym_comment,
      sym_block_comment,
  [652455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21293), 1,
      anon_sym_COLON,
    STATE(16363), 2,
      sym_comment,
      sym_block_comment,
  [652469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_DOT,
    STATE(16364), 2,
      sym_comment,
      sym_block_comment,
  [652483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21295), 1,
      anon_sym_else,
    STATE(16365), 2,
      sym_comment,
      sym_block_comment,
  [652497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21297), 1,
      anon_sym_EQ_GT,
    STATE(16366), 2,
      sym_comment,
      sym_block_comment,
  [652511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21299), 1,
      anon_sym_RBRACE,
    STATE(16367), 2,
      sym_comment,
      sym_block_comment,
  [652525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21301), 1,
      anon_sym_RPAREN,
    STATE(16368), 2,
      sym_comment,
      sym_block_comment,
  [652539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21301), 1,
      anon_sym_RBRACE,
    STATE(16369), 2,
      sym_comment,
      sym_block_comment,
  [652553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21303), 1,
      sym__outdent,
    STATE(16370), 2,
      sym_comment,
      sym_block_comment,
  [652567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21305), 1,
      anon_sym_RBRACE,
    STATE(16371), 2,
      sym_comment,
      sym_block_comment,
  [652581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21305), 1,
      anon_sym_RPAREN,
    STATE(16372), 2,
      sym_comment,
      sym_block_comment,
  [652595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21307), 1,
      anon_sym_RPAREN,
    STATE(16373), 2,
      sym_comment,
      sym_block_comment,
  [652609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21309), 1,
      sym__outdent,
    STATE(16374), 2,
      sym_comment,
      sym_block_comment,
  [652623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21311), 1,
      sym__outdent,
    STATE(16375), 2,
      sym_comment,
      sym_block_comment,
  [652637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9629), 1,
      anon_sym_DOT,
    STATE(16376), 2,
      sym_comment,
      sym_block_comment,
  [652651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21313), 1,
      anon_sym_COLON,
    STATE(16377), 2,
      sym_comment,
      sym_block_comment,
  [652665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21315), 1,
      anon_sym_EQ_GT_GT,
    STATE(16378), 2,
      sym_comment,
      sym_block_comment,
  [652679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21317), 1,
      anon_sym_EQ_GT_GT,
    STATE(16379), 2,
      sym_comment,
      sym_block_comment,
  [652693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21319), 1,
      anon_sym_EQ_GT_GT,
    STATE(16380), 2,
      sym_comment,
      sym_block_comment,
  [652707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21321), 1,
      anon_sym_EQ_GT_GT,
    STATE(16381), 2,
      sym_comment,
      sym_block_comment,
  [652721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21323), 1,
      anon_sym_else,
    STATE(16382), 2,
      sym_comment,
      sym_block_comment,
  [652735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21325), 1,
      anon_sym_RPAREN,
    STATE(16383), 2,
      sym_comment,
      sym_block_comment,
  [652749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21327), 1,
      anon_sym_COLON,
    STATE(16384), 2,
      sym_comment,
      sym_block_comment,
  [652763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_DOT,
    STATE(16385), 2,
      sym_comment,
      sym_block_comment,
  [652777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21329), 1,
      sym__outdent,
    STATE(16386), 2,
      sym_comment,
      sym_block_comment,
  [652791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21331), 1,
      anon_sym_EQ_GT_GT,
    STATE(16387), 2,
      sym_comment,
      sym_block_comment,
  [652805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21333), 1,
      anon_sym_EQ_GT_GT,
    STATE(16388), 2,
      sym_comment,
      sym_block_comment,
  [652819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21335), 1,
      anon_sym_EQ_GT_GT,
    STATE(16389), 2,
      sym_comment,
      sym_block_comment,
  [652833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21337), 1,
      anon_sym_EQ_GT_GT,
    STATE(16390), 2,
      sym_comment,
      sym_block_comment,
  [652847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21339), 1,
      sym__outdent,
    STATE(16391), 2,
      sym_comment,
      sym_block_comment,
  [652861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21341), 1,
      anon_sym_RPAREN,
    STATE(16392), 2,
      sym_comment,
      sym_block_comment,
  [652875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20499), 1,
      anon_sym_EQ_GT,
    STATE(16393), 2,
      sym_comment,
      sym_block_comment,
  [652889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21343), 1,
      anon_sym_EQ_GT,
    STATE(16394), 2,
      sym_comment,
      sym_block_comment,
  [652903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21345), 1,
      sym__outdent,
    STATE(16395), 2,
      sym_comment,
      sym_block_comment,
  [652917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21347), 1,
      anon_sym_RPAREN,
    STATE(16396), 2,
      sym_comment,
      sym_block_comment,
  [652931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21349), 1,
      anon_sym_else,
    STATE(16397), 2,
      sym_comment,
      sym_block_comment,
  [652945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21347), 1,
      anon_sym_RBRACE,
    STATE(16398), 2,
      sym_comment,
      sym_block_comment,
  [652959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21351), 1,
      anon_sym_EQ_GT_GT,
    STATE(16399), 2,
      sym_comment,
      sym_block_comment,
  [652973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21353), 1,
      anon_sym_EQ_GT_GT,
    STATE(16400), 2,
      sym_comment,
      sym_block_comment,
  [652987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21355), 1,
      anon_sym_EQ_GT_GT,
    STATE(16401), 2,
      sym_comment,
      sym_block_comment,
  [653001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21357), 1,
      anon_sym_EQ_GT_GT,
    STATE(16402), 2,
      sym_comment,
      sym_block_comment,
  [653015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21359), 1,
      anon_sym_else,
    STATE(16403), 2,
      sym_comment,
      sym_block_comment,
  [653029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21361), 1,
      anon_sym_RBRACE,
    STATE(16404), 2,
      sym_comment,
      sym_block_comment,
  [653043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20725), 1,
      anon_sym_COLON,
    STATE(16405), 2,
      sym_comment,
      sym_block_comment,
  [653057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11047), 1,
      anon_sym_DOT,
    STATE(16406), 2,
      sym_comment,
      sym_block_comment,
  [653071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21363), 1,
      sym__outdent,
    STATE(16407), 2,
      sym_comment,
      sym_block_comment,
  [653085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21365), 1,
      anon_sym_do,
    STATE(16408), 2,
      sym_comment,
      sym_block_comment,
  [653099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21367), 1,
      anon_sym_RBRACE,
    STATE(16409), 2,
      sym_comment,
      sym_block_comment,
  [653113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9405), 1,
      anon_sym_DOT,
    STATE(16410), 2,
      sym_comment,
      sym_block_comment,
  [653127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21369), 1,
      anon_sym_COLON,
    STATE(16411), 2,
      sym_comment,
      sym_block_comment,
  [653141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21371), 1,
      sym__outdent,
    STATE(16412), 2,
      sym_comment,
      sym_block_comment,
  [653155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21373), 1,
      anon_sym_RBRACE,
    STATE(16413), 2,
      sym_comment,
      sym_block_comment,
  [653169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21375), 1,
      anon_sym_EQ_GT_GT,
    STATE(16414), 2,
      sym_comment,
      sym_block_comment,
  [653183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21377), 1,
      anon_sym_EQ_GT_GT,
    STATE(16415), 2,
      sym_comment,
      sym_block_comment,
  [653197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21379), 1,
      anon_sym_RBRACE,
    STATE(16416), 2,
      sym_comment,
      sym_block_comment,
  [653211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21381), 1,
      anon_sym_EQ_GT_GT,
    STATE(16417), 2,
      sym_comment,
      sym_block_comment,
  [653225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21373), 1,
      anon_sym_RPAREN,
    STATE(16418), 2,
      sym_comment,
      sym_block_comment,
  [653239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21383), 1,
      anon_sym_EQ_GT_GT,
    STATE(16419), 2,
      sym_comment,
      sym_block_comment,
  [653253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21385), 1,
      anon_sym_EQ_GT_GT,
    STATE(16420), 2,
      sym_comment,
      sym_block_comment,
  [653267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21387), 1,
      anon_sym_EQ_GT_GT,
    STATE(16421), 2,
      sym_comment,
      sym_block_comment,
  [653281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21389), 1,
      anon_sym_EQ_GT_GT,
    STATE(16422), 2,
      sym_comment,
      sym_block_comment,
  [653295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21391), 1,
      anon_sym_EQ_GT_GT,
    STATE(16423), 2,
      sym_comment,
      sym_block_comment,
  [653309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21393), 1,
      anon_sym_RBRACE,
    STATE(16424), 2,
      sym_comment,
      sym_block_comment,
  [653323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21395), 1,
      anon_sym_EQ_GT,
    STATE(16425), 2,
      sym_comment,
      sym_block_comment,
  [653337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21397), 1,
      anon_sym_COLON,
    STATE(16426), 2,
      sym_comment,
      sym_block_comment,
  [653351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10218), 1,
      anon_sym_DOT,
    STATE(16427), 2,
      sym_comment,
      sym_block_comment,
  [653365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21393), 1,
      anon_sym_RPAREN,
    STATE(16428), 2,
      sym_comment,
      sym_block_comment,
  [653379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21399), 1,
      anon_sym_do,
    STATE(16429), 2,
      sym_comment,
      sym_block_comment,
  [653393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21401), 1,
      anon_sym_RBRACE,
    STATE(16430), 2,
      sym_comment,
      sym_block_comment,
  [653407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21403), 1,
      anon_sym_RPAREN,
    STATE(16431), 2,
      sym_comment,
      sym_block_comment,
  [653421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21401), 1,
      anon_sym_RBRACK,
    STATE(16432), 2,
      sym_comment,
      sym_block_comment,
  [653435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21405), 1,
      sym__outdent,
    STATE(16433), 2,
      sym_comment,
      sym_block_comment,
  [653449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21407), 1,
      anon_sym_RBRACE,
    STATE(16434), 2,
      sym_comment,
      sym_block_comment,
  [653463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21407), 1,
      anon_sym_RBRACK,
    STATE(16435), 2,
      sym_comment,
      sym_block_comment,
  [653477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21409), 1,
      anon_sym_EQ_GT,
    STATE(16436), 2,
      sym_comment,
      sym_block_comment,
  [653491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9873), 1,
      anon_sym_EQ_GT,
    STATE(16437), 2,
      sym_comment,
      sym_block_comment,
  [653505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21411), 1,
      anon_sym_RPAREN,
    STATE(16438), 2,
      sym_comment,
      sym_block_comment,
  [653519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21413), 1,
      anon_sym_RBRACE,
    STATE(16439), 2,
      sym_comment,
      sym_block_comment,
  [653533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21415), 1,
      anon_sym_else,
    STATE(16440), 2,
      sym_comment,
      sym_block_comment,
  [653547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21417), 1,
      anon_sym_EQ_GT_GT,
    STATE(16441), 2,
      sym_comment,
      sym_block_comment,
  [653561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21419), 1,
      anon_sym_EQ_GT_GT,
    STATE(16442), 2,
      sym_comment,
      sym_block_comment,
  [653575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21421), 1,
      anon_sym_EQ_GT_GT,
    STATE(16443), 2,
      sym_comment,
      sym_block_comment,
  [653589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21423), 1,
      anon_sym_EQ_GT_GT,
    STATE(16444), 2,
      sym_comment,
      sym_block_comment,
  [653603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21425), 1,
      sym__outdent,
    STATE(16445), 2,
      sym_comment,
      sym_block_comment,
  [653617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21427), 1,
      sym__outdent,
    STATE(16446), 2,
      sym_comment,
      sym_block_comment,
  [653631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21429), 1,
      anon_sym_COLON,
    STATE(16447), 2,
      sym_comment,
      sym_block_comment,
  [653645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11871), 1,
      anon_sym_DOT,
    STATE(16448), 2,
      sym_comment,
      sym_block_comment,
  [653659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21431), 1,
      anon_sym_RPAREN,
    STATE(16449), 2,
      sym_comment,
      sym_block_comment,
  [653673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21433), 1,
      anon_sym_else,
    STATE(16450), 2,
      sym_comment,
      sym_block_comment,
  [653687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21435), 1,
      anon_sym_else,
    STATE(16451), 2,
      sym_comment,
      sym_block_comment,
  [653701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15417), 1,
      anon_sym_DOT,
    STATE(16452), 2,
      sym_comment,
      sym_block_comment,
  [653715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21437), 1,
      sym__outdent,
    STATE(16453), 2,
      sym_comment,
      sym_block_comment,
  [653729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21439), 1,
      anon_sym_COLON,
    STATE(16454), 2,
      sym_comment,
      sym_block_comment,
  [653743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21441), 1,
      anon_sym_RBRACE,
    STATE(16455), 2,
      sym_comment,
      sym_block_comment,
  [653757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21443), 1,
      anon_sym_do,
    STATE(16456), 2,
      sym_comment,
      sym_block_comment,
  [653771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21445), 1,
      anon_sym_RPAREN,
    STATE(16457), 2,
      sym_comment,
      sym_block_comment,
  [653785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21447), 1,
      anon_sym_EQ_GT_GT,
    STATE(16458), 2,
      sym_comment,
      sym_block_comment,
  [653799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21449), 1,
      anon_sym_EQ_GT_GT,
    STATE(16459), 2,
      sym_comment,
      sym_block_comment,
  [653813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21451), 1,
      sym__outdent,
    STATE(16460), 2,
      sym_comment,
      sym_block_comment,
  [653827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21453), 1,
      anon_sym_COLON,
    STATE(16461), 2,
      sym_comment,
      sym_block_comment,
  [653841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21455), 1,
      anon_sym_EQ_GT_GT,
    STATE(16462), 2,
      sym_comment,
      sym_block_comment,
  [653855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21457), 1,
      anon_sym_EQ_GT_GT,
    STATE(16463), 2,
      sym_comment,
      sym_block_comment,
  [653869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21459), 1,
      anon_sym_EQ_GT_GT,
    STATE(16464), 2,
      sym_comment,
      sym_block_comment,
  [653883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21461), 1,
      anon_sym_EQ_GT_GT,
    STATE(16465), 2,
      sym_comment,
      sym_block_comment,
  [653897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21463), 1,
      anon_sym_RPAREN,
    STATE(16466), 2,
      sym_comment,
      sym_block_comment,
  [653911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21465), 1,
      anon_sym_EQ_GT_GT,
    STATE(16467), 2,
      sym_comment,
      sym_block_comment,
  [653925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21467), 1,
      anon_sym_COLON,
    STATE(16468), 2,
      sym_comment,
      sym_block_comment,
  [653939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11731), 1,
      anon_sym_DOT,
    STATE(16469), 2,
      sym_comment,
      sym_block_comment,
  [653953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21469), 1,
      anon_sym_EQ_GT_GT,
    STATE(16470), 2,
      sym_comment,
      sym_block_comment,
  [653967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21265), 1,
      anon_sym_RPAREN,
    STATE(16471), 2,
      sym_comment,
      sym_block_comment,
  [653981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21471), 1,
      anon_sym_RBRACE,
    STATE(16472), 2,
      sym_comment,
      sym_block_comment,
  [653995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21473), 1,
      anon_sym_RBRACE,
    STATE(16473), 2,
      sym_comment,
      sym_block_comment,
  [654009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21475), 1,
      sym__outdent,
    STATE(16474), 2,
      sym_comment,
      sym_block_comment,
  [654023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21477), 1,
      anon_sym_RBRACE,
    STATE(16475), 2,
      sym_comment,
      sym_block_comment,
  [654037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21479), 1,
      sym__outdent,
    STATE(16476), 2,
      sym_comment,
      sym_block_comment,
  [654051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21477), 1,
      anon_sym_RPAREN,
    STATE(16477), 2,
      sym_comment,
      sym_block_comment,
  [654065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21481), 1,
      anon_sym_RPAREN,
    STATE(16478), 2,
      sym_comment,
      sym_block_comment,
  [654079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21483), 1,
      sym__outdent,
    STATE(16479), 2,
      sym_comment,
      sym_block_comment,
  [654093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21485), 1,
      anon_sym_else,
    STATE(16480), 2,
      sym_comment,
      sym_block_comment,
  [654107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21487), 1,
      anon_sym_else,
    STATE(16481), 2,
      sym_comment,
      sym_block_comment,
  [654121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11743), 1,
      anon_sym_DOT,
    STATE(16482), 2,
      sym_comment,
      sym_block_comment,
  [654135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21489), 1,
      anon_sym_EQ_GT_GT,
    STATE(16483), 2,
      sym_comment,
      sym_block_comment,
  [654149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21491), 1,
      anon_sym_EQ_GT_GT,
    STATE(16484), 2,
      sym_comment,
      sym_block_comment,
  [654163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21493), 1,
      anon_sym_EQ_GT_GT,
    STATE(16485), 2,
      sym_comment,
      sym_block_comment,
  [654177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21495), 1,
      anon_sym_EQ_GT_GT,
    STATE(16486), 2,
      sym_comment,
      sym_block_comment,
  [654191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21497), 1,
      anon_sym_COLON,
    STATE(16487), 2,
      sym_comment,
      sym_block_comment,
  [654205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21499), 1,
      sym__outdent,
    STATE(16488), 2,
      sym_comment,
      sym_block_comment,
  [654219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21501), 1,
      anon_sym_COLON,
    STATE(16489), 2,
      sym_comment,
      sym_block_comment,
  [654233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10904), 1,
      anon_sym_DOT,
    STATE(16490), 2,
      sym_comment,
      sym_block_comment,
  [654247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21503), 1,
      anon_sym_RPAREN,
    STATE(16491), 2,
      sym_comment,
      sym_block_comment,
  [654261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21505), 1,
      anon_sym_RBRACE,
    STATE(16492), 2,
      sym_comment,
      sym_block_comment,
  [654275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21507), 1,
      sym__outdent,
    STATE(16493), 2,
      sym_comment,
      sym_block_comment,
  [654289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21509), 1,
      sym__outdent,
    STATE(16494), 2,
      sym_comment,
      sym_block_comment,
  [654303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21511), 1,
      anon_sym_EQ_GT_GT,
    STATE(16495), 2,
      sym_comment,
      sym_block_comment,
  [654317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21513), 1,
      anon_sym_EQ_GT_GT,
    STATE(16496), 2,
      sym_comment,
      sym_block_comment,
  [654331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21515), 1,
      anon_sym_EQ_GT_GT,
    STATE(16497), 2,
      sym_comment,
      sym_block_comment,
  [654345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21517), 1,
      anon_sym_do,
    STATE(16498), 2,
      sym_comment,
      sym_block_comment,
  [654359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21519), 1,
      anon_sym_EQ_GT_GT,
    STATE(16499), 2,
      sym_comment,
      sym_block_comment,
  [654373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21521), 1,
      anon_sym_else,
    STATE(16500), 2,
      sym_comment,
      sym_block_comment,
  [654387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21523), 1,
      anon_sym_EQ_GT,
    STATE(16501), 2,
      sym_comment,
      sym_block_comment,
  [654401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21525), 1,
      anon_sym_RPAREN,
    STATE(16502), 2,
      sym_comment,
      sym_block_comment,
  [654415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21527), 1,
      anon_sym_else,
    STATE(16503), 2,
      sym_comment,
      sym_block_comment,
  [654429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21529), 1,
      anon_sym_EQ_GT_GT,
    STATE(16504), 2,
      sym_comment,
      sym_block_comment,
  [654443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21531), 1,
      anon_sym_EQ_GT_GT,
    STATE(16505), 2,
      sym_comment,
      sym_block_comment,
  [654457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21533), 1,
      anon_sym_EQ_GT_GT,
    STATE(16506), 2,
      sym_comment,
      sym_block_comment,
  [654471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21535), 1,
      anon_sym_EQ_GT_GT,
    STATE(16507), 2,
      sym_comment,
      sym_block_comment,
  [654485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21537), 1,
      anon_sym_else,
    STATE(16508), 2,
      sym_comment,
      sym_block_comment,
  [654499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11109), 1,
      anon_sym_DOT,
    STATE(16509), 2,
      sym_comment,
      sym_block_comment,
  [654513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21539), 1,
      anon_sym_COLON,
    STATE(16510), 2,
      sym_comment,
      sym_block_comment,
  [654527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10131), 1,
      anon_sym_DOT,
    STATE(16511), 2,
      sym_comment,
      sym_block_comment,
  [654541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21541), 1,
      anon_sym_else,
    STATE(16512), 2,
      sym_comment,
      sym_block_comment,
  [654555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21543), 1,
      anon_sym_COLON,
    STATE(16513), 2,
      sym_comment,
      sym_block_comment,
  [654569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21545), 1,
      anon_sym_RPAREN,
    STATE(16514), 2,
      sym_comment,
      sym_block_comment,
  [654583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21547), 1,
      anon_sym_EQ_GT_GT,
    STATE(16515), 2,
      sym_comment,
      sym_block_comment,
  [654597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21549), 1,
      anon_sym_else,
    STATE(16516), 2,
      sym_comment,
      sym_block_comment,
  [654611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21551), 1,
      anon_sym_EQ_GT_GT,
    STATE(16517), 2,
      sym_comment,
      sym_block_comment,
  [654625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21553), 1,
      anon_sym_EQ_GT_GT,
    STATE(16518), 2,
      sym_comment,
      sym_block_comment,
  [654639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21555), 1,
      sym__outdent,
    STATE(16519), 2,
      sym_comment,
      sym_block_comment,
  [654653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21557), 1,
      anon_sym_else,
    STATE(16520), 2,
      sym_comment,
      sym_block_comment,
  [654667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21559), 1,
      sym__outdent,
    STATE(16521), 2,
      sym_comment,
      sym_block_comment,
  [654681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21561), 1,
      anon_sym_EQ_GT_GT,
    STATE(16522), 2,
      sym_comment,
      sym_block_comment,
  [654695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21563), 1,
      anon_sym_RBRACE,
    STATE(16523), 2,
      sym_comment,
      sym_block_comment,
  [654709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21565), 1,
      anon_sym_EQ_GT,
    STATE(16524), 2,
      sym_comment,
      sym_block_comment,
  [654723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21567), 1,
      anon_sym_EQ_GT_GT,
    STATE(16525), 2,
      sym_comment,
      sym_block_comment,
  [654737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21569), 1,
      anon_sym_EQ_GT_GT,
    STATE(16526), 2,
      sym_comment,
      sym_block_comment,
  [654751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21571), 1,
      anon_sym_EQ_GT_GT,
    STATE(16527), 2,
      sym_comment,
      sym_block_comment,
  [654765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21573), 1,
      anon_sym_EQ_GT_GT,
    STATE(16528), 2,
      sym_comment,
      sym_block_comment,
  [654779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21575), 1,
      anon_sym_EQ_GT_GT,
    STATE(16529), 2,
      sym_comment,
      sym_block_comment,
  [654793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21577), 1,
      anon_sym_RPAREN,
    STATE(16530), 2,
      sym_comment,
      sym_block_comment,
  [654807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21579), 1,
      anon_sym_COLON,
    STATE(16531), 2,
      sym_comment,
      sym_block_comment,
  [654821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10832), 1,
      anon_sym_DOT,
    STATE(16532), 2,
      sym_comment,
      sym_block_comment,
  [654835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21581), 1,
      sym__outdent,
    STATE(16533), 2,
      sym_comment,
      sym_block_comment,
  [654849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21583), 1,
      anon_sym_EQ_GT,
    STATE(16534), 2,
      sym_comment,
      sym_block_comment,
  [654863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21585), 1,
      sym__outdent,
    STATE(16535), 2,
      sym_comment,
      sym_block_comment,
  [654877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21587), 1,
      anon_sym_RBRACE,
    STATE(16536), 2,
      sym_comment,
      sym_block_comment,
  [654891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21589), 1,
      sym__outdent,
    STATE(16537), 2,
      sym_comment,
      sym_block_comment,
  [654905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21591), 1,
      sym__outdent,
    STATE(16538), 2,
      sym_comment,
      sym_block_comment,
  [654919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21593), 1,
      anon_sym_RBRACE,
    STATE(16539), 2,
      sym_comment,
      sym_block_comment,
  [654933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21595), 1,
      anon_sym_else,
    STATE(16540), 2,
      sym_comment,
      sym_block_comment,
  [654947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21593), 1,
      anon_sym_RPAREN,
    STATE(16541), 2,
      sym_comment,
      sym_block_comment,
  [654961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21597), 1,
      anon_sym_RPAREN,
    STATE(16542), 2,
      sym_comment,
      sym_block_comment,
  [654975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21599), 1,
      sym__outdent,
    STATE(16543), 2,
      sym_comment,
      sym_block_comment,
  [654989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21601), 1,
      anon_sym_else,
    STATE(16544), 2,
      sym_comment,
      sym_block_comment,
  [655003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21603), 1,
      anon_sym_EQ_GT_GT,
    STATE(16545), 2,
      sym_comment,
      sym_block_comment,
  [655017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21605), 1,
      anon_sym_EQ_GT_GT,
    STATE(16546), 2,
      sym_comment,
      sym_block_comment,
  [655031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21607), 1,
      anon_sym_EQ_GT_GT,
    STATE(16547), 2,
      sym_comment,
      sym_block_comment,
  [655045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21609), 1,
      anon_sym_EQ_GT_GT,
    STATE(16548), 2,
      sym_comment,
      sym_block_comment,
  [655059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11616), 1,
      anon_sym_DOT,
    STATE(16549), 2,
      sym_comment,
      sym_block_comment,
  [655073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21611), 1,
      anon_sym_COLON,
    STATE(16550), 2,
      sym_comment,
      sym_block_comment,
  [655087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21613), 1,
      anon_sym_COLON,
    STATE(16551), 2,
      sym_comment,
      sym_block_comment,
  [655101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10918), 1,
      anon_sym_DOT,
    STATE(16552), 2,
      sym_comment,
      sym_block_comment,
  [655115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21615), 1,
      anon_sym_RPAREN,
    STATE(16553), 2,
      sym_comment,
      sym_block_comment,
  [655129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21617), 1,
      anon_sym_RPAREN,
    STATE(16554), 2,
      sym_comment,
      sym_block_comment,
  [655143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21619), 1,
      anon_sym_EQ_GT_GT,
    STATE(16555), 2,
      sym_comment,
      sym_block_comment,
  [655157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21621), 1,
      anon_sym_EQ_GT_GT,
    STATE(16556), 2,
      sym_comment,
      sym_block_comment,
  [655171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21623), 1,
      sym__outdent,
    STATE(16557), 2,
      sym_comment,
      sym_block_comment,
  [655185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21625), 1,
      anon_sym_RPAREN,
    STATE(16558), 2,
      sym_comment,
      sym_block_comment,
  [655199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21627), 1,
      anon_sym_EQ_GT_GT,
    STATE(16559), 2,
      sym_comment,
      sym_block_comment,
  [655213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21629), 1,
      anon_sym_EQ_GT_GT,
    STATE(16560), 2,
      sym_comment,
      sym_block_comment,
  [655227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21631), 1,
      sym__outdent,
    STATE(16561), 2,
      sym_comment,
      sym_block_comment,
  [655241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21633), 1,
      anon_sym_EQ_GT,
    STATE(16562), 2,
      sym_comment,
      sym_block_comment,
  [655255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21635), 1,
      anon_sym_else,
    STATE(16563), 2,
      sym_comment,
      sym_block_comment,
  [655269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21637), 1,
      anon_sym_RPAREN,
    STATE(16564), 2,
      sym_comment,
      sym_block_comment,
  [655283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21639), 1,
      anon_sym_EQ_GT_GT,
    STATE(16565), 2,
      sym_comment,
      sym_block_comment,
  [655297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21641), 1,
      anon_sym_EQ_GT_GT,
    STATE(16566), 2,
      sym_comment,
      sym_block_comment,
  [655311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21643), 1,
      anon_sym_EQ_GT_GT,
    STATE(16567), 2,
      sym_comment,
      sym_block_comment,
  [655325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21645), 1,
      anon_sym_EQ_GT_GT,
    STATE(16568), 2,
      sym_comment,
      sym_block_comment,
  [655339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21647), 1,
      sym__outdent,
    STATE(16569), 2,
      sym_comment,
      sym_block_comment,
  [655353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21637), 1,
      anon_sym_RBRACE,
    STATE(16570), 2,
      sym_comment,
      sym_block_comment,
  [655367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21649), 1,
      anon_sym_COLON,
    STATE(16571), 2,
      sym_comment,
      sym_block_comment,
  [655381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11153), 1,
      anon_sym_DOT,
    STATE(16572), 2,
      sym_comment,
      sym_block_comment,
  [655395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21651), 1,
      sym__outdent,
    STATE(16573), 2,
      sym_comment,
      sym_block_comment,
  [655409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21471), 1,
      anon_sym_RBRACK,
    STATE(16574), 2,
      sym_comment,
      sym_block_comment,
  [655423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21653), 1,
      sym__outdent,
    STATE(16575), 2,
      sym_comment,
      sym_block_comment,
  [655437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21655), 1,
      anon_sym_RBRACE,
    STATE(16576), 2,
      sym_comment,
      sym_block_comment,
  [655451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21657), 1,
      anon_sym_do,
    STATE(16577), 2,
      sym_comment,
      sym_block_comment,
  [655465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21659), 1,
      anon_sym_RBRACE,
    STATE(16578), 2,
      sym_comment,
      sym_block_comment,
  [655479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21661), 1,
      anon_sym_RPAREN,
    STATE(16579), 2,
      sym_comment,
      sym_block_comment,
  [655493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21663), 1,
      anon_sym_do,
    STATE(16580), 2,
      sym_comment,
      sym_block_comment,
  [655507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11059), 1,
      anon_sym_DOT,
    STATE(16581), 2,
      sym_comment,
      sym_block_comment,
  [655521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21665), 1,
      anon_sym_do,
    STATE(16582), 2,
      sym_comment,
      sym_block_comment,
  [655535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21667), 1,
      anon_sym_COLON,
    STATE(16583), 2,
      sym_comment,
      sym_block_comment,
  [655549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21661), 1,
      anon_sym_RBRACE,
    STATE(16584), 2,
      sym_comment,
      sym_block_comment,
  [655563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21669), 1,
      anon_sym_EQ_GT_GT,
    STATE(16585), 2,
      sym_comment,
      sym_block_comment,
  [655577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21671), 1,
      anon_sym_EQ_GT_GT,
    STATE(16586), 2,
      sym_comment,
      sym_block_comment,
  [655591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21673), 1,
      anon_sym_EQ_GT_GT,
    STATE(16587), 2,
      sym_comment,
      sym_block_comment,
  [655605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21675), 1,
      anon_sym_EQ_GT_GT,
    STATE(16588), 2,
      sym_comment,
      sym_block_comment,
  [655619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21677), 1,
      anon_sym_RBRACE,
    STATE(16589), 2,
      sym_comment,
      sym_block_comment,
  [655633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21679), 1,
      anon_sym_COLON,
    STATE(16590), 2,
      sym_comment,
      sym_block_comment,
  [655647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11391), 1,
      anon_sym_DOT,
    STATE(16591), 2,
      sym_comment,
      sym_block_comment,
  [655661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21681), 1,
      anon_sym_RBRACE,
    STATE(16592), 2,
      sym_comment,
      sym_block_comment,
  [655675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21683), 1,
      anon_sym_EQ_GT_GT,
    STATE(16593), 2,
      sym_comment,
      sym_block_comment,
  [655689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21685), 1,
      anon_sym_RBRACE,
    STATE(16594), 2,
      sym_comment,
      sym_block_comment,
  [655703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21687), 1,
      anon_sym_EQ_GT_GT,
    STATE(16595), 2,
      sym_comment,
      sym_block_comment,
  [655717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21689), 1,
      anon_sym_EQ_GT_GT,
    STATE(16596), 2,
      sym_comment,
      sym_block_comment,
  [655731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21691), 1,
      anon_sym_EQ_GT_GT,
    STATE(16597), 2,
      sym_comment,
      sym_block_comment,
  [655745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21693), 1,
      anon_sym_else,
    STATE(16598), 2,
      sym_comment,
      sym_block_comment,
  [655759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21695), 1,
      anon_sym_do,
    STATE(16599), 2,
      sym_comment,
      sym_block_comment,
  [655773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21697), 1,
      sym__outdent,
    STATE(16600), 2,
      sym_comment,
      sym_block_comment,
  [655787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8070), 1,
      anon_sym_type,
    STATE(16601), 2,
      sym_comment,
      sym_block_comment,
  [655801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21699), 1,
      anon_sym_EQ_GT,
    STATE(16602), 2,
      sym_comment,
      sym_block_comment,
  [655815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21701), 1,
      sym__outdent,
    STATE(16603), 2,
      sym_comment,
      sym_block_comment,
  [655829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21703), 1,
      anon_sym_RBRACE,
    STATE(16604), 2,
      sym_comment,
      sym_block_comment,
  [655843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21705), 1,
      anon_sym_EQ_GT_GT,
    STATE(16605), 2,
      sym_comment,
      sym_block_comment,
  [655857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21707), 1,
      anon_sym_EQ_GT_GT,
    STATE(16606), 2,
      sym_comment,
      sym_block_comment,
  [655871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21709), 1,
      anon_sym_EQ_GT_GT,
    STATE(16607), 2,
      sym_comment,
      sym_block_comment,
  [655885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21711), 1,
      anon_sym_EQ_GT_GT,
    STATE(16608), 2,
      sym_comment,
      sym_block_comment,
  [655899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21703), 1,
      anon_sym_RPAREN,
    STATE(16609), 2,
      sym_comment,
      sym_block_comment,
  [655913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21713), 1,
      anon_sym_RPAREN,
    STATE(16610), 2,
      sym_comment,
      sym_block_comment,
  [655927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21715), 1,
      anon_sym_COLON,
    STATE(16611), 2,
      sym_comment,
      sym_block_comment,
  [655941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11869), 1,
      anon_sym_DOT,
    STATE(16612), 2,
      sym_comment,
      sym_block_comment,
  [655955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21717), 1,
      sym__outdent,
    STATE(16613), 2,
      sym_comment,
      sym_block_comment,
  [655969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21719), 1,
      anon_sym_RPAREN,
    STATE(16614), 2,
      sym_comment,
      sym_block_comment,
  [655983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21721), 1,
      sym__outdent,
    STATE(16615), 2,
      sym_comment,
      sym_block_comment,
  [655997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11645), 1,
      anon_sym_DOT,
    STATE(16616), 2,
      sym_comment,
      sym_block_comment,
  [656011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21723), 1,
      anon_sym_else,
    STATE(16617), 2,
      sym_comment,
      sym_block_comment,
  [656025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15991), 1,
      anon_sym_COLON,
    STATE(16618), 2,
      sym_comment,
      sym_block_comment,
  [656039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21725), 1,
      anon_sym_RBRACE,
    STATE(16619), 2,
      sym_comment,
      sym_block_comment,
  [656053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21727), 1,
      anon_sym_EQ_GT_GT,
    STATE(16620), 2,
      sym_comment,
      sym_block_comment,
  [656067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21729), 1,
      anon_sym_EQ_GT_GT,
    STATE(16621), 2,
      sym_comment,
      sym_block_comment,
  [656081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21731), 1,
      anon_sym_EQ_GT_GT,
    STATE(16622), 2,
      sym_comment,
      sym_block_comment,
  [656095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21733), 1,
      anon_sym_EQ_GT_GT,
    STATE(16623), 2,
      sym_comment,
      sym_block_comment,
  [656109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21735), 1,
      sym__outdent,
    STATE(16624), 2,
      sym_comment,
      sym_block_comment,
  [656123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21737), 1,
      anon_sym_EQ_GT_GT,
    STATE(16625), 2,
      sym_comment,
      sym_block_comment,
  [656137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21739), 1,
      anon_sym_EQ_GT_GT,
    STATE(16626), 2,
      sym_comment,
      sym_block_comment,
  [656151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21741), 1,
      anon_sym_EQ_GT_GT,
    STATE(16627), 2,
      sym_comment,
      sym_block_comment,
  [656165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21743), 1,
      anon_sym_EQ_GT_GT,
    STATE(16628), 2,
      sym_comment,
      sym_block_comment,
  [656179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21745), 1,
      anon_sym_else,
    STATE(16629), 2,
      sym_comment,
      sym_block_comment,
  [656193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21747), 1,
      anon_sym_EQ_GT,
    STATE(16630), 2,
      sym_comment,
      sym_block_comment,
  [656207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21749), 1,
      anon_sym_COLON,
    STATE(16631), 2,
      sym_comment,
      sym_block_comment,
  [656221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11256), 1,
      anon_sym_DOT,
    STATE(16632), 2,
      sym_comment,
      sym_block_comment,
  [656235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21751), 1,
      anon_sym_RPAREN,
    STATE(16633), 2,
      sym_comment,
      sym_block_comment,
  [656249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21753), 1,
      anon_sym_RBRACE,
    STATE(16634), 2,
      sym_comment,
      sym_block_comment,
  [656263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21755), 1,
      anon_sym_RPAREN,
    STATE(16635), 2,
      sym_comment,
      sym_block_comment,
  [656277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21757), 1,
      anon_sym_RPAREN,
    STATE(16636), 2,
      sym_comment,
      sym_block_comment,
  [656291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21759), 1,
      sym__outdent,
    STATE(16637), 2,
      sym_comment,
      sym_block_comment,
  [656305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21761), 1,
      anon_sym_RBRACK,
    STATE(16638), 2,
      sym_comment,
      sym_block_comment,
  [656319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21761), 1,
      anon_sym_RBRACE,
    STATE(16639), 2,
      sym_comment,
      sym_block_comment,
  [656333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21763), 1,
      anon_sym_else,
    STATE(16640), 2,
      sym_comment,
      sym_block_comment,
  [656347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12927), 1,
      anon_sym_DOT,
    STATE(16641), 2,
      sym_comment,
      sym_block_comment,
  [656361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21765), 1,
      anon_sym_RPAREN,
    STATE(16642), 2,
      sym_comment,
      sym_block_comment,
  [656375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21765), 1,
      anon_sym_RBRACE,
    STATE(16643), 2,
      sym_comment,
      sym_block_comment,
  [656389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21767), 1,
      anon_sym_do,
    STATE(16644), 2,
      sym_comment,
      sym_block_comment,
  [656403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21769), 1,
      anon_sym_EQ_GT_GT,
    STATE(16645), 2,
      sym_comment,
      sym_block_comment,
  [656417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21771), 1,
      anon_sym_EQ_GT_GT,
    STATE(16646), 2,
      sym_comment,
      sym_block_comment,
  [656431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21773), 1,
      anon_sym_EQ_GT_GT,
    STATE(16647), 2,
      sym_comment,
      sym_block_comment,
  [656445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21775), 1,
      anon_sym_EQ_GT_GT,
    STATE(16648), 2,
      sym_comment,
      sym_block_comment,
  [656459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21777), 1,
      anon_sym_do,
    STATE(16649), 2,
      sym_comment,
      sym_block_comment,
  [656473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10072), 1,
      anon_sym_DOT,
    STATE(16650), 2,
      sym_comment,
      sym_block_comment,
  [656487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21779), 1,
      anon_sym_COLON,
    STATE(16651), 2,
      sym_comment,
      sym_block_comment,
  [656501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12784), 1,
      anon_sym_DOT,
    STATE(16652), 2,
      sym_comment,
      sym_block_comment,
  [656515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21781), 1,
      sym__outdent,
    STATE(16653), 2,
      sym_comment,
      sym_block_comment,
  [656529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21783), 1,
      anon_sym_EQ,
    STATE(16654), 2,
      sym_comment,
      sym_block_comment,
  [656543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21785), 1,
      anon_sym_COLON,
    STATE(16655), 2,
      sym_comment,
      sym_block_comment,
  [656557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21787), 1,
      anon_sym_RBRACE,
    STATE(16656), 2,
      sym_comment,
      sym_block_comment,
  [656571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21789), 1,
      anon_sym_RBRACE,
    STATE(16657), 2,
      sym_comment,
      sym_block_comment,
  [656585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21791), 1,
      anon_sym_EQ,
    STATE(16658), 2,
      sym_comment,
      sym_block_comment,
  [656599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21793), 1,
      anon_sym_do,
    STATE(16659), 2,
      sym_comment,
      sym_block_comment,
  [656613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8072), 1,
      anon_sym_def,
    STATE(16660), 2,
      sym_comment,
      sym_block_comment,
  [656627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21795), 1,
      anon_sym_EQ_GT_GT,
    STATE(16661), 2,
      sym_comment,
      sym_block_comment,
  [656641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21797), 1,
      anon_sym_EQ_GT_GT,
    STATE(16662), 2,
      sym_comment,
      sym_block_comment,
  [656655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21799), 1,
      anon_sym_EQ_GT_GT,
    STATE(16663), 2,
      sym_comment,
      sym_block_comment,
  [656669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21801), 1,
      anon_sym_EQ_GT_GT,
    STATE(16664), 2,
      sym_comment,
      sym_block_comment,
  [656683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21803), 1,
      anon_sym_EQ_GT_GT,
    STATE(16665), 2,
      sym_comment,
      sym_block_comment,
  [656697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21805), 1,
      anon_sym_EQ_GT_GT,
    STATE(16666), 2,
      sym_comment,
      sym_block_comment,
  [656711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21807), 1,
      anon_sym_EQ_GT_GT,
    STATE(16667), 2,
      sym_comment,
      sym_block_comment,
  [656725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21809), 1,
      anon_sym_EQ_GT_GT,
    STATE(16668), 2,
      sym_comment,
      sym_block_comment,
  [656739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21811), 1,
      anon_sym_RBRACE,
    STATE(16669), 2,
      sym_comment,
      sym_block_comment,
  [656753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21813), 1,
      sym__outdent,
    STATE(16670), 2,
      sym_comment,
      sym_block_comment,
  [656767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21815), 1,
      anon_sym_COLON,
    STATE(16671), 2,
      sym_comment,
      sym_block_comment,
  [656781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12431), 1,
      anon_sym_DOT,
    STATE(16672), 2,
      sym_comment,
      sym_block_comment,
  [656795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21817), 1,
      anon_sym_RBRACE,
    STATE(16673), 2,
      sym_comment,
      sym_block_comment,
  [656809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21817), 1,
      anon_sym_RPAREN,
    STATE(16674), 2,
      sym_comment,
      sym_block_comment,
  [656823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21819), 1,
      anon_sym_LPAREN,
    STATE(16675), 2,
      sym_comment,
      sym_block_comment,
  [656837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21821), 1,
      anon_sym_EQ_GT,
    STATE(16676), 2,
      sym_comment,
      sym_block_comment,
  [656851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21823), 1,
      anon_sym_RPAREN,
    STATE(16677), 2,
      sym_comment,
      sym_block_comment,
  [656865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21825), 1,
      sym__outdent,
    STATE(16678), 2,
      sym_comment,
      sym_block_comment,
  [656879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21659), 1,
      anon_sym_RBRACK,
    STATE(16679), 2,
      sym_comment,
      sym_block_comment,
  [656893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21827), 1,
      anon_sym_else,
    STATE(16680), 2,
      sym_comment,
      sym_block_comment,
  [656907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21829), 1,
      anon_sym_RPAREN,
    STATE(16681), 2,
      sym_comment,
      sym_block_comment,
  [656921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21831), 1,
      sym__outdent,
    STATE(16682), 2,
      sym_comment,
      sym_block_comment,
  [656935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21833), 1,
      anon_sym_else,
    STATE(16683), 2,
      sym_comment,
      sym_block_comment,
  [656949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21835), 1,
      anon_sym_EQ_GT_GT,
    STATE(16684), 2,
      sym_comment,
      sym_block_comment,
  [656963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21837), 1,
      anon_sym_EQ_GT_GT,
    STATE(16685), 2,
      sym_comment,
      sym_block_comment,
  [656977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21839), 1,
      anon_sym_EQ_GT_GT,
    STATE(16686), 2,
      sym_comment,
      sym_block_comment,
  [656991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21841), 1,
      anon_sym_EQ_GT_GT,
    STATE(16687), 2,
      sym_comment,
      sym_block_comment,
  [657005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21843), 1,
      anon_sym_do,
    STATE(16688), 2,
      sym_comment,
      sym_block_comment,
  [657019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21845), 1,
      anon_sym_RBRACE,
    STATE(16689), 2,
      sym_comment,
      sym_block_comment,
  [657033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21847), 1,
      anon_sym_COLON,
    STATE(16690), 2,
      sym_comment,
      sym_block_comment,
  [657047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9220), 1,
      anon_sym_DOT,
    STATE(16691), 2,
      sym_comment,
      sym_block_comment,
  [657061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21849), 1,
      sym__outdent,
    STATE(16692), 2,
      sym_comment,
      sym_block_comment,
  [657075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10476), 1,
      anon_sym_DOT,
    STATE(16693), 2,
      sym_comment,
      sym_block_comment,
  [657089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21851), 1,
      anon_sym_COLON,
    STATE(16694), 2,
      sym_comment,
      sym_block_comment,
  [657103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21853), 1,
      anon_sym_do,
    STATE(16695), 2,
      sym_comment,
      sym_block_comment,
  [657117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15090), 1,
      anon_sym_type,
    STATE(16696), 2,
      sym_comment,
      sym_block_comment,
  [657131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21855), 1,
      anon_sym_EQ_GT_GT,
    STATE(16697), 2,
      sym_comment,
      sym_block_comment,
  [657145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21857), 1,
      anon_sym_RBRACE,
    STATE(16698), 2,
      sym_comment,
      sym_block_comment,
  [657159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21857), 1,
      anon_sym_RPAREN,
    STATE(16699), 2,
      sym_comment,
      sym_block_comment,
  [657173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21859), 1,
      anon_sym_EQ_GT_GT,
    STATE(16700), 2,
      sym_comment,
      sym_block_comment,
  [657187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21861), 1,
      anon_sym_EQ_GT_GT,
    STATE(16701), 2,
      sym_comment,
      sym_block_comment,
  [657201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21863), 1,
      anon_sym_RBRACE,
    STATE(16702), 2,
      sym_comment,
      sym_block_comment,
  [657215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21865), 1,
      anon_sym_EQ_GT_GT,
    STATE(16703), 2,
      sym_comment,
      sym_block_comment,
  [657229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21867), 1,
      anon_sym_EQ_GT_GT,
    STATE(16704), 2,
      sym_comment,
      sym_block_comment,
  [657243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21869), 1,
      anon_sym_EQ_GT_GT,
    STATE(16705), 2,
      sym_comment,
      sym_block_comment,
  [657257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21871), 1,
      anon_sym_EQ_GT_GT,
    STATE(16706), 2,
      sym_comment,
      sym_block_comment,
  [657271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21863), 1,
      anon_sym_RBRACK,
    STATE(16707), 2,
      sym_comment,
      sym_block_comment,
  [657285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21873), 1,
      anon_sym_else,
    STATE(16708), 2,
      sym_comment,
      sym_block_comment,
  [657299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21875), 1,
      anon_sym_COLON,
    STATE(16709), 2,
      sym_comment,
      sym_block_comment,
  [657313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9310), 1,
      anon_sym_DOT,
    STATE(16710), 2,
      sym_comment,
      sym_block_comment,
  [657327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21877), 1,
      anon_sym_RBRACE,
    STATE(16711), 2,
      sym_comment,
      sym_block_comment,
  [657341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21879), 1,
      sym__outdent,
    STATE(16712), 2,
      sym_comment,
      sym_block_comment,
  [657355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21881), 1,
      anon_sym_RPAREN,
    STATE(16713), 2,
      sym_comment,
      sym_block_comment,
  [657369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21883), 1,
      anon_sym_EQ_GT_GT,
    STATE(16714), 2,
      sym_comment,
      sym_block_comment,
  [657383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21877), 1,
      anon_sym_RBRACK,
    STATE(16715), 2,
      sym_comment,
      sym_block_comment,
  [657397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16001), 1,
      anon_sym_DOT,
    STATE(16716), 2,
      sym_comment,
      sym_block_comment,
  [657411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21885), 1,
      anon_sym_else,
    STATE(16717), 2,
      sym_comment,
      sym_block_comment,
  [657425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21887), 1,
      anon_sym_LPAREN,
    STATE(16718), 2,
      sym_comment,
      sym_block_comment,
  [657439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21889), 1,
      anon_sym_EQ_GT,
    STATE(16719), 2,
      sym_comment,
      sym_block_comment,
  [657453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21891), 1,
      anon_sym_RBRACE,
    STATE(16720), 2,
      sym_comment,
      sym_block_comment,
  [657467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21893), 1,
      anon_sym_RBRACE,
    STATE(16721), 2,
      sym_comment,
      sym_block_comment,
  [657481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21895), 1,
      anon_sym_EQ_GT_GT,
    STATE(16722), 2,
      sym_comment,
      sym_block_comment,
  [657495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21897), 1,
      anon_sym_EQ_GT_GT,
    STATE(16723), 2,
      sym_comment,
      sym_block_comment,
  [657509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21899), 1,
      anon_sym_EQ_GT_GT,
    STATE(16724), 2,
      sym_comment,
      sym_block_comment,
  [657523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21901), 1,
      anon_sym_EQ_GT_GT,
    STATE(16725), 2,
      sym_comment,
      sym_block_comment,
  [657537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21891), 1,
      anon_sym_RPAREN,
    STATE(16726), 2,
      sym_comment,
      sym_block_comment,
  [657551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21903), 1,
      sym__outdent,
    STATE(16727), 2,
      sym_comment,
      sym_block_comment,
  [657565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21905), 1,
      anon_sym_COLON,
    STATE(16728), 2,
      sym_comment,
      sym_block_comment,
  [657579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9906), 1,
      anon_sym_DOT,
    STATE(16729), 2,
      sym_comment,
      sym_block_comment,
  [657593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21907), 1,
      anon_sym_RPAREN,
    STATE(16730), 2,
      sym_comment,
      sym_block_comment,
  [657607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21909), 1,
      sym__outdent,
    STATE(16731), 2,
      sym_comment,
      sym_block_comment,
  [657621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21911), 1,
      sym__outdent,
    STATE(16732), 2,
      sym_comment,
      sym_block_comment,
  [657635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21913), 1,
      anon_sym_RBRACE,
    STATE(16733), 2,
      sym_comment,
      sym_block_comment,
  [657649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21913), 1,
      anon_sym_RPAREN,
    STATE(16734), 2,
      sym_comment,
      sym_block_comment,
  [657663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21915), 1,
      anon_sym_LPAREN,
    STATE(16735), 2,
      sym_comment,
      sym_block_comment,
  [657677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21917), 1,
      anon_sym_RPAREN,
    STATE(16736), 2,
      sym_comment,
      sym_block_comment,
  [657691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21919), 1,
      anon_sym_else,
    STATE(16737), 2,
      sym_comment,
      sym_block_comment,
  [657705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21921), 1,
      anon_sym_RPAREN,
    STATE(16738), 2,
      sym_comment,
      sym_block_comment,
  [657719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21923), 1,
      anon_sym_RBRACK,
    STATE(16739), 2,
      sym_comment,
      sym_block_comment,
  [657733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21923), 1,
      anon_sym_RBRACE,
    STATE(16740), 2,
      sym_comment,
      sym_block_comment,
  [657747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21925), 1,
      anon_sym_EQ_GT_GT,
    STATE(16741), 2,
      sym_comment,
      sym_block_comment,
  [657761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21927), 1,
      anon_sym_EQ_GT_GT,
    STATE(16742), 2,
      sym_comment,
      sym_block_comment,
  [657775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21929), 1,
      anon_sym_EQ_GT_GT,
    STATE(16743), 2,
      sym_comment,
      sym_block_comment,
  [657789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21931), 1,
      anon_sym_EQ_GT_GT,
    STATE(16744), 2,
      sym_comment,
      sym_block_comment,
  [657803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21933), 1,
      anon_sym_RPAREN,
    STATE(16745), 2,
      sym_comment,
      sym_block_comment,
  [657817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21933), 1,
      anon_sym_RBRACE,
    STATE(16746), 2,
      sym_comment,
      sym_block_comment,
  [657831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21935), 1,
      anon_sym_COLON,
    STATE(16747), 2,
      sym_comment,
      sym_block_comment,
  [657845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9240), 1,
      anon_sym_DOT,
    STATE(16748), 2,
      sym_comment,
      sym_block_comment,
  [657859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21937), 1,
      sym__outdent,
    STATE(16749), 2,
      sym_comment,
      sym_block_comment,
  [657873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21939), 1,
      anon_sym_RPAREN,
    STATE(16750), 2,
      sym_comment,
      sym_block_comment,
  [657887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21941), 1,
      sym__outdent,
    STATE(16751), 2,
      sym_comment,
      sym_block_comment,
  [657901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8140), 1,
      anon_sym_DOT,
    STATE(16752), 2,
      sym_comment,
      sym_block_comment,
  [657915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21943), 1,
      anon_sym_else,
    STATE(16753), 2,
      sym_comment,
      sym_block_comment,
  [657929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21945), 1,
      anon_sym_RBRACE,
    STATE(16754), 2,
      sym_comment,
      sym_block_comment,
  [657943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21947), 1,
      anon_sym_COLON,
    STATE(16755), 2,
      sym_comment,
      sym_block_comment,
  [657957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21949), 1,
      anon_sym_else,
    STATE(16756), 2,
      sym_comment,
      sym_block_comment,
  [657971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21951), 1,
      anon_sym_do,
    STATE(16757), 2,
      sym_comment,
      sym_block_comment,
  [657985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21953), 1,
      anon_sym_RBRACE,
    STATE(16758), 2,
      sym_comment,
      sym_block_comment,
  [657999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21955), 1,
      anon_sym_RBRACE,
    STATE(16759), 2,
      sym_comment,
      sym_block_comment,
  [658013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21957), 1,
      anon_sym_EQ_GT_GT,
    STATE(16760), 2,
      sym_comment,
      sym_block_comment,
  [658027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21959), 1,
      anon_sym_EQ_GT_GT,
    STATE(16761), 2,
      sym_comment,
      sym_block_comment,
  [658041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21961), 1,
      anon_sym_EQ_GT_GT,
    STATE(16762), 2,
      sym_comment,
      sym_block_comment,
  [658055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21963), 1,
      anon_sym_EQ_GT_GT,
    STATE(16763), 2,
      sym_comment,
      sym_block_comment,
  [658069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21965), 1,
      anon_sym_do,
    STATE(16764), 2,
      sym_comment,
      sym_block_comment,
  [658083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21967), 1,
      sym__outdent,
    STATE(16765), 2,
      sym_comment,
      sym_block_comment,
  [658097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9882), 1,
      anon_sym_DOT,
    STATE(16766), 2,
      sym_comment,
      sym_block_comment,
  [658111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15092), 1,
      anon_sym_def,
    STATE(16767), 2,
      sym_comment,
      sym_block_comment,
  [658125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21969), 1,
      anon_sym_RBRACE,
    STATE(16768), 2,
      sym_comment,
      sym_block_comment,
  [658139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21971), 1,
      anon_sym_RBRACK,
    STATE(16769), 2,
      sym_comment,
      sym_block_comment,
  [658153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21973), 1,
      anon_sym_RBRACK,
    STATE(16770), 2,
      sym_comment,
      sym_block_comment,
  [658167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21975), 1,
      anon_sym_RBRACE,
    STATE(16771), 2,
      sym_comment,
      sym_block_comment,
  [658181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21975), 1,
      anon_sym_RBRACK,
    STATE(16772), 2,
      sym_comment,
      sym_block_comment,
  [658195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21977), 1,
      anon_sym_RBRACE,
    STATE(16773), 2,
      sym_comment,
      sym_block_comment,
  [658209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21977), 1,
      anon_sym_RBRACK,
    STATE(16774), 2,
      sym_comment,
      sym_block_comment,
  [658223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21979), 1,
      sym__outdent,
    STATE(16775), 2,
      sym_comment,
      sym_block_comment,
  [658237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21981), 1,
      anon_sym_else,
    STATE(16776), 2,
      sym_comment,
      sym_block_comment,
  [658251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21983), 1,
      anon_sym_EQ_GT_GT,
    STATE(16777), 2,
      sym_comment,
      sym_block_comment,
  [658265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21985), 1,
      anon_sym_EQ_GT_GT,
    STATE(16778), 2,
      sym_comment,
      sym_block_comment,
  [658279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21987), 1,
      anon_sym_EQ_GT_GT,
    STATE(16779), 2,
      sym_comment,
      sym_block_comment,
  [658293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21989), 1,
      anon_sym_EQ_GT_GT,
    STATE(16780), 2,
      sym_comment,
      sym_block_comment,
  [658307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21991), 1,
      anon_sym_EQ_GT_GT,
    STATE(16781), 2,
      sym_comment,
      sym_block_comment,
  [658321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21993), 1,
      anon_sym_EQ_GT_GT,
    STATE(16782), 2,
      sym_comment,
      sym_block_comment,
  [658335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21995), 1,
      anon_sym_RPAREN,
    STATE(16783), 2,
      sym_comment,
      sym_block_comment,
  [658349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10108), 1,
      anon_sym_DOT,
    STATE(16784), 2,
      sym_comment,
      sym_block_comment,
  [658363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21997), 1,
      anon_sym_EQ_GT_GT,
    STATE(16785), 2,
      sym_comment,
      sym_block_comment,
  [658377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21999), 1,
      anon_sym_else,
    STATE(16786), 2,
      sym_comment,
      sym_block_comment,
  [658391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22001), 1,
      sym__outdent,
    STATE(16787), 2,
      sym_comment,
      sym_block_comment,
  [658405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22003), 1,
      sym__outdent,
    STATE(16788), 2,
      sym_comment,
      sym_block_comment,
  [658419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22005), 1,
      anon_sym_EQ_GT_GT,
    STATE(16789), 2,
      sym_comment,
      sym_block_comment,
  [658433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22007), 1,
      anon_sym_RPAREN,
    STATE(16790), 2,
      sym_comment,
      sym_block_comment,
  [658447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22009), 1,
      anon_sym_RBRACE,
    STATE(16791), 2,
      sym_comment,
      sym_block_comment,
  [658461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22011), 1,
      anon_sym_RPAREN,
    STATE(16792), 2,
      sym_comment,
      sym_block_comment,
  [658475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15764), 1,
      anon_sym_DOT,
    STATE(16793), 2,
      sym_comment,
      sym_block_comment,
  [658489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22013), 1,
      anon_sym_else,
    STATE(16794), 2,
      sym_comment,
      sym_block_comment,
  [658503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22015), 1,
      anon_sym_else,
    STATE(16795), 2,
      sym_comment,
      sym_block_comment,
  [658517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22017), 1,
      anon_sym_EQ_GT_GT,
    STATE(16796), 2,
      sym_comment,
      sym_block_comment,
  [658531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22019), 1,
      anon_sym_EQ_GT_GT,
    STATE(16797), 2,
      sym_comment,
      sym_block_comment,
  [658545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22021), 1,
      anon_sym_EQ_GT_GT,
    STATE(16798), 2,
      sym_comment,
      sym_block_comment,
  [658559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22023), 1,
      anon_sym_EQ_GT_GT,
    STATE(16799), 2,
      sym_comment,
      sym_block_comment,
  [658573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22025), 1,
      anon_sym_LPAREN,
    STATE(16800), 2,
      sym_comment,
      sym_block_comment,
  [658587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22027), 1,
      anon_sym_type,
    STATE(16801), 2,
      sym_comment,
      sym_block_comment,
  [658601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11186), 1,
      anon_sym_DOT,
    STATE(16802), 2,
      sym_comment,
      sym_block_comment,
  [658615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22029), 1,
      anon_sym_RBRACE,
    STATE(16803), 2,
      sym_comment,
      sym_block_comment,
  [658629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22031), 1,
      anon_sym_EQ_GT,
    STATE(16804), 2,
      sym_comment,
      sym_block_comment,
  [658643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22029), 1,
      anon_sym_RPAREN,
    STATE(16805), 2,
      sym_comment,
      sym_block_comment,
  [658657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22033), 1,
      anon_sym_RPAREN,
    STATE(16806), 2,
      sym_comment,
      sym_block_comment,
  [658671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22035), 1,
      sym__outdent,
    STATE(16807), 2,
      sym_comment,
      sym_block_comment,
  [658685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22037), 1,
      anon_sym_RPAREN,
    STATE(16808), 2,
      sym_comment,
      sym_block_comment,
  [658699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22039), 1,
      anon_sym_else,
    STATE(16809), 2,
      sym_comment,
      sym_block_comment,
  [658713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22041), 1,
      anon_sym_RPAREN,
    STATE(16810), 2,
      sym_comment,
      sym_block_comment,
  [658727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22043), 1,
      sym__outdent,
    STATE(16811), 2,
      sym_comment,
      sym_block_comment,
  [658741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22045), 1,
      anon_sym_else,
    STATE(16812), 2,
      sym_comment,
      sym_block_comment,
  [658755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22047), 1,
      sym__outdent,
    STATE(16813), 2,
      sym_comment,
      sym_block_comment,
  [658769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22049), 1,
      anon_sym_EQ_GT_GT,
    STATE(16814), 2,
      sym_comment,
      sym_block_comment,
  [658783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22051), 1,
      anon_sym_EQ_GT_GT,
    STATE(16815), 2,
      sym_comment,
      sym_block_comment,
  [658797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22053), 1,
      anon_sym_EQ_GT_GT,
    STATE(16816), 2,
      sym_comment,
      sym_block_comment,
  [658811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22055), 1,
      anon_sym_EQ_GT_GT,
    STATE(16817), 2,
      sym_comment,
      sym_block_comment,
  [658825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22057), 1,
      anon_sym_else,
    STATE(16818), 2,
      sym_comment,
      sym_block_comment,
  [658839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15070), 1,
      anon_sym_type,
    STATE(16819), 2,
      sym_comment,
      sym_block_comment,
  [658853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10214), 1,
      anon_sym_DOT,
    STATE(16820), 2,
      sym_comment,
      sym_block_comment,
  [658867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22059), 1,
      anon_sym_type,
    STATE(16821), 2,
      sym_comment,
      sym_block_comment,
  [658881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22061), 1,
      anon_sym_RPAREN,
    STATE(16822), 2,
      sym_comment,
      sym_block_comment,
  [658895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22063), 1,
      sym__outdent,
    STATE(16823), 2,
      sym_comment,
      sym_block_comment,
  [658909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22065), 1,
      anon_sym_RBRACK,
    STATE(16824), 2,
      sym_comment,
      sym_block_comment,
  [658923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22065), 1,
      anon_sym_RBRACE,
    STATE(16825), 2,
      sym_comment,
      sym_block_comment,
  [658937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22067), 1,
      anon_sym_RBRACE,
    STATE(16826), 2,
      sym_comment,
      sym_block_comment,
  [658951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22069), 1,
      anon_sym_RPAREN,
    STATE(16827), 2,
      sym_comment,
      sym_block_comment,
  [658965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22071), 1,
      anon_sym_EQ_GT,
    STATE(16828), 2,
      sym_comment,
      sym_block_comment,
  [658979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22069), 1,
      anon_sym_RBRACE,
    STATE(16829), 2,
      sym_comment,
      sym_block_comment,
  [658993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22073), 1,
      sym__outdent,
    STATE(16830), 2,
      sym_comment,
      sym_block_comment,
  [659007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22075), 1,
      sym__outdent,
    STATE(16831), 2,
      sym_comment,
      sym_block_comment,
  [659021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22077), 1,
      anon_sym_EQ_GT_GT,
    STATE(16832), 2,
      sym_comment,
      sym_block_comment,
  [659035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22079), 1,
      anon_sym_EQ_GT_GT,
    STATE(16833), 2,
      sym_comment,
      sym_block_comment,
  [659049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22081), 1,
      anon_sym_EQ_GT_GT,
    STATE(16834), 2,
      sym_comment,
      sym_block_comment,
  [659063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22083), 1,
      anon_sym_EQ_GT_GT,
    STATE(16835), 2,
      sym_comment,
      sym_block_comment,
  [659077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22085), 1,
      anon_sym_EQ_GT,
    STATE(16836), 2,
      sym_comment,
      sym_block_comment,
  [659091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22087), 1,
      anon_sym_LPAREN,
    STATE(16837), 2,
      sym_comment,
      sym_block_comment,
  [659105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14499), 1,
      anon_sym_DOT,
    STATE(16838), 2,
      sym_comment,
      sym_block_comment,
  [659119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22089), 1,
      anon_sym_RPAREN,
    STATE(16839), 2,
      sym_comment,
      sym_block_comment,
  [659133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22091), 1,
      anon_sym_COLON,
    STATE(16840), 2,
      sym_comment,
      sym_block_comment,
  [659147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12067), 1,
      anon_sym_DOT,
    STATE(16841), 2,
      sym_comment,
      sym_block_comment,
  [659161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22093), 1,
      anon_sym_with,
    STATE(16842), 2,
      sym_comment,
      sym_block_comment,
  [659175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22095), 1,
      anon_sym_COLON,
    STATE(16843), 2,
      sym_comment,
      sym_block_comment,
  [659189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22097), 1,
      anon_sym_do,
    STATE(16844), 2,
      sym_comment,
      sym_block_comment,
  [659203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8118), 1,
      anon_sym_type,
    STATE(16845), 2,
      sym_comment,
      sym_block_comment,
  [659217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22099), 1,
      anon_sym_RBRACE,
    STATE(16846), 2,
      sym_comment,
      sym_block_comment,
  [659231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22101), 1,
      anon_sym_RBRACE,
    STATE(16847), 2,
      sym_comment,
      sym_block_comment,
  [659245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22103), 1,
      anon_sym_RPAREN,
    STATE(16848), 2,
      sym_comment,
      sym_block_comment,
  [659259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22105), 1,
      anon_sym_else,
    STATE(16849), 2,
      sym_comment,
      sym_block_comment,
  [659273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22107), 1,
      anon_sym_EQ_GT_GT,
    STATE(16850), 2,
      sym_comment,
      sym_block_comment,
  [659287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22109), 1,
      anon_sym_EQ_GT_GT,
    STATE(16851), 2,
      sym_comment,
      sym_block_comment,
  [659301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22111), 1,
      anon_sym_EQ_GT_GT,
    STATE(16852), 2,
      sym_comment,
      sym_block_comment,
  [659315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22113), 1,
      anon_sym_EQ_GT_GT,
    STATE(16853), 2,
      sym_comment,
      sym_block_comment,
  [659329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22115), 1,
      anon_sym_RPAREN,
    STATE(16854), 2,
      sym_comment,
      sym_block_comment,
  [659343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22117), 1,
      anon_sym_RBRACE,
    STATE(16855), 2,
      sym_comment,
      sym_block_comment,
  [659357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13429), 1,
      anon_sym_DOT,
    STATE(16856), 2,
      sym_comment,
      sym_block_comment,
  [659371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22119), 1,
      sym__outdent,
    STATE(16857), 2,
      sym_comment,
      sym_block_comment,
  [659385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21973), 1,
      anon_sym_RBRACE,
    STATE(16858), 2,
      sym_comment,
      sym_block_comment,
  [659399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22121), 1,
      anon_sym_EQ,
    STATE(16859), 2,
      sym_comment,
      sym_block_comment,
  [659413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22123), 1,
      anon_sym_EQ,
    STATE(16860), 2,
      sym_comment,
      sym_block_comment,
  [659427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22125), 1,
      anon_sym_RPAREN,
    STATE(16861), 2,
      sym_comment,
      sym_block_comment,
  [659441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22127), 1,
      anon_sym_do,
    STATE(16862), 2,
      sym_comment,
      sym_block_comment,
  [659455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22129), 1,
      anon_sym_RPAREN,
    STATE(16863), 2,
      sym_comment,
      sym_block_comment,
  [659469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22131), 1,
      anon_sym_RBRACK,
    STATE(16864), 2,
      sym_comment,
      sym_block_comment,
  [659483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22133), 1,
      anon_sym_RBRACE,
    STATE(16865), 2,
      sym_comment,
      sym_block_comment,
  [659497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22135), 1,
      anon_sym_RPAREN,
    STATE(16866), 2,
      sym_comment,
      sym_block_comment,
  [659511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22137), 1,
      anon_sym_RPAREN,
    STATE(16867), 2,
      sym_comment,
      sym_block_comment,
  [659525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22139), 1,
      anon_sym_EQ_GT_GT,
    STATE(16868), 2,
      sym_comment,
      sym_block_comment,
  [659539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22141), 1,
      anon_sym_EQ_GT_GT,
    STATE(16869), 2,
      sym_comment,
      sym_block_comment,
  [659553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22143), 1,
      anon_sym_EQ_GT_GT,
    STATE(16870), 2,
      sym_comment,
      sym_block_comment,
  [659567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22145), 1,
      anon_sym_EQ_GT_GT,
    STATE(16871), 2,
      sym_comment,
      sym_block_comment,
  [659581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22147), 1,
      anon_sym_RBRACE,
    STATE(16872), 2,
      sym_comment,
      sym_block_comment,
  [659595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22149), 1,
      anon_sym_RPAREN,
    STATE(16873), 2,
      sym_comment,
      sym_block_comment,
  [659609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13442), 1,
      anon_sym_DOT,
    STATE(16874), 2,
      sym_comment,
      sym_block_comment,
  [659623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22151), 1,
      anon_sym_RPAREN,
    STATE(16875), 2,
      sym_comment,
      sym_block_comment,
  [659637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22153), 1,
      anon_sym_else,
    STATE(16876), 2,
      sym_comment,
      sym_block_comment,
  [659651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22155), 1,
      anon_sym_RPAREN,
    STATE(16877), 2,
      sym_comment,
      sym_block_comment,
  [659665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22157), 1,
      anon_sym_RBRACE,
    STATE(16878), 2,
      sym_comment,
      sym_block_comment,
  [659679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22159), 1,
      anon_sym_RPAREN,
    STATE(16879), 2,
      sym_comment,
      sym_block_comment,
  [659693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22161), 1,
      anon_sym_EQ_GT,
    STATE(16880), 2,
      sym_comment,
      sym_block_comment,
  [659707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(595), 1,
      sym__outdent,
    STATE(16881), 2,
      sym_comment,
      sym_block_comment,
  [659721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22163), 1,
      anon_sym_RBRACE,
    STATE(16882), 2,
      sym_comment,
      sym_block_comment,
  [659735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22165), 1,
      anon_sym_RPAREN,
    STATE(16883), 2,
      sym_comment,
      sym_block_comment,
  [659749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22167), 1,
      sym__outdent,
    STATE(16884), 2,
      sym_comment,
      sym_block_comment,
  [659763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22169), 1,
      sym__outdent,
    STATE(16885), 2,
      sym_comment,
      sym_block_comment,
  [659777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22171), 1,
      anon_sym_EQ_GT_GT,
    STATE(16886), 2,
      sym_comment,
      sym_block_comment,
  [659791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22173), 1,
      anon_sym_EQ_GT_GT,
    STATE(16887), 2,
      sym_comment,
      sym_block_comment,
  [659805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22175), 1,
      anon_sym_EQ_GT_GT,
    STATE(16888), 2,
      sym_comment,
      sym_block_comment,
  [659819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22177), 1,
      anon_sym_EQ_GT_GT,
    STATE(16889), 2,
      sym_comment,
      sym_block_comment,
  [659833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22179), 1,
      anon_sym_do,
    STATE(16890), 2,
      sym_comment,
      sym_block_comment,
  [659847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22181), 1,
      anon_sym_else,
    STATE(16891), 2,
      sym_comment,
      sym_block_comment,
  [659861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11381), 1,
      anon_sym_DOT,
    STATE(16892), 2,
      sym_comment,
      sym_block_comment,
  [659875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22183), 1,
      anon_sym_RPAREN,
    STATE(16893), 2,
      sym_comment,
      sym_block_comment,
  [659889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22185), 1,
      sym__outdent,
    STATE(16894), 2,
      sym_comment,
      sym_block_comment,
  [659903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22187), 1,
      sym__outdent,
    STATE(16895), 2,
      sym_comment,
      sym_block_comment,
  [659917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22189), 1,
      anon_sym_RPAREN,
    STATE(16896), 2,
      sym_comment,
      sym_block_comment,
  [659931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22191), 1,
      anon_sym_RPAREN,
    STATE(16897), 2,
      sym_comment,
      sym_block_comment,
  [659945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22193), 1,
      anon_sym_RBRACE,
    STATE(16898), 2,
      sym_comment,
      sym_block_comment,
  [659959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22195), 1,
      sym__outdent,
    STATE(16899), 2,
      sym_comment,
      sym_block_comment,
  [659973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22197), 1,
      anon_sym_RPAREN,
    STATE(16900), 2,
      sym_comment,
      sym_block_comment,
  [659987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22199), 1,
      sym__outdent,
    STATE(16901), 2,
      sym_comment,
      sym_block_comment,
  [660001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22201), 1,
      sym__outdent,
    STATE(16902), 2,
      sym_comment,
      sym_block_comment,
  [660015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22203), 1,
      anon_sym_else,
    STATE(16903), 2,
      sym_comment,
      sym_block_comment,
  [660029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22205), 1,
      anon_sym_EQ_GT_GT,
    STATE(16904), 2,
      sym_comment,
      sym_block_comment,
  [660043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22207), 1,
      anon_sym_EQ_GT_GT,
    STATE(16905), 2,
      sym_comment,
      sym_block_comment,
  [660057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22209), 1,
      anon_sym_EQ_GT_GT,
    STATE(16906), 2,
      sym_comment,
      sym_block_comment,
  [660071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22211), 1,
      anon_sym_EQ_GT_GT,
    STATE(16907), 2,
      sym_comment,
      sym_block_comment,
  [660085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10025), 1,
      anon_sym_DOT,
    STATE(16908), 2,
      sym_comment,
      sym_block_comment,
  [660099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22213), 1,
      anon_sym_else,
    STATE(16909), 2,
      sym_comment,
      sym_block_comment,
  [660113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22215), 1,
      anon_sym_RPAREN,
    STATE(16910), 2,
      sym_comment,
      sym_block_comment,
  [660127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22217), 1,
      sym__outdent,
    STATE(16911), 2,
      sym_comment,
      sym_block_comment,
  [660141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22219), 1,
      anon_sym_RPAREN,
    STATE(16912), 2,
      sym_comment,
      sym_block_comment,
  [660155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22221), 1,
      anon_sym_RBRACE,
    STATE(16913), 2,
      sym_comment,
      sym_block_comment,
  [660169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22131), 1,
      anon_sym_RBRACE,
    STATE(16914), 2,
      sym_comment,
      sym_block_comment,
  [660183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22223), 1,
      anon_sym_EQ_GT,
    STATE(16915), 2,
      sym_comment,
      sym_block_comment,
  [660197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22225), 1,
      anon_sym_EQ_GT_GT,
    STATE(16916), 2,
      sym_comment,
      sym_block_comment,
  [660211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22227), 1,
      anon_sym_EQ_GT_GT,
    STATE(16917), 2,
      sym_comment,
      sym_block_comment,
  [660225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22229), 1,
      anon_sym_EQ_GT_GT,
    STATE(16918), 2,
      sym_comment,
      sym_block_comment,
  [660239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22231), 1,
      anon_sym_EQ_GT_GT,
    STATE(16919), 2,
      sym_comment,
      sym_block_comment,
  [660253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    STATE(16920), 2,
      sym_comment,
      sym_block_comment,
  [660267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22233), 1,
      sym__outdent,
    STATE(16921), 2,
      sym_comment,
      sym_block_comment,
  [660281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22235), 1,
      sym__outdent,
    STATE(16922), 2,
      sym_comment,
      sym_block_comment,
  [660295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22237), 1,
      anon_sym_RPAREN,
    STATE(16923), 2,
      sym_comment,
      sym_block_comment,
  [660309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17409), 1,
      anon_sym_DOT,
    STATE(16924), 2,
      sym_comment,
      sym_block_comment,
  [660323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22239), 1,
      anon_sym_EQ_GT_GT,
    STATE(16925), 2,
      sym_comment,
      sym_block_comment,
  [660337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22241), 1,
      sym__outdent,
    STATE(16926), 2,
      sym_comment,
      sym_block_comment,
  [660351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22243), 1,
      anon_sym_RPAREN,
    STATE(16927), 2,
      sym_comment,
      sym_block_comment,
  [660365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22245), 1,
      anon_sym_EQ_GT_GT,
    STATE(16928), 2,
      sym_comment,
      sym_block_comment,
  [660379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22247), 1,
      anon_sym_EQ_GT_GT,
    STATE(16929), 2,
      sym_comment,
      sym_block_comment,
  [660393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22249), 1,
      anon_sym_EQ_GT_GT,
    STATE(16930), 2,
      sym_comment,
      sym_block_comment,
  [660407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22251), 1,
      anon_sym_EQ_GT_GT,
    STATE(16931), 2,
      sym_comment,
      sym_block_comment,
  [660421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11079), 1,
      anon_sym_DOT,
    STATE(16932), 2,
      sym_comment,
      sym_block_comment,
  [660435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22253), 1,
      anon_sym_RBRACE,
    STATE(16933), 2,
      sym_comment,
      sym_block_comment,
  [660449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22255), 1,
      sym__outdent,
    STATE(16934), 2,
      sym_comment,
      sym_block_comment,
  [660463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22257), 1,
      sym__outdent,
    STATE(16935), 2,
      sym_comment,
      sym_block_comment,
  [660477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22259), 1,
      anon_sym_RBRACE,
    STATE(16936), 2,
      sym_comment,
      sym_block_comment,
  [660491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22261), 1,
      anon_sym_RPAREN,
    STATE(16937), 2,
      sym_comment,
      sym_block_comment,
  [660505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22263), 1,
      sym__outdent,
    STATE(16938), 2,
      sym_comment,
      sym_block_comment,
  [660519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22265), 1,
      anon_sym_RPAREN,
    STATE(16939), 2,
      sym_comment,
      sym_block_comment,
  [660533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22267), 1,
      anon_sym_EQ_GT_GT,
    STATE(16940), 2,
      sym_comment,
      sym_block_comment,
  [660547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22269), 1,
      anon_sym_EQ_GT_GT,
    STATE(16941), 2,
      sym_comment,
      sym_block_comment,
  [660561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22271), 1,
      anon_sym_EQ_GT_GT,
    STATE(16942), 2,
      sym_comment,
      sym_block_comment,
  [660575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22273), 1,
      anon_sym_EQ_GT_GT,
    STATE(16943), 2,
      sym_comment,
      sym_block_comment,
  [660589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10300), 1,
      anon_sym_DOT,
    STATE(16944), 2,
      sym_comment,
      sym_block_comment,
  [660603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22275), 1,
      anon_sym_RBRACE,
    STATE(16945), 2,
      sym_comment,
      sym_block_comment,
  [660617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22277), 1,
      anon_sym_RPAREN,
    STATE(16946), 2,
      sym_comment,
      sym_block_comment,
  [660631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22279), 1,
      anon_sym_else,
    STATE(16947), 2,
      sym_comment,
      sym_block_comment,
  [660645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22281), 1,
      anon_sym_RBRACE,
    STATE(16948), 2,
      sym_comment,
      sym_block_comment,
  [660659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22283), 1,
      anon_sym_RBRACK,
    STATE(16949), 2,
      sym_comment,
      sym_block_comment,
  [660673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22283), 1,
      anon_sym_RBRACE,
    STATE(16950), 2,
      sym_comment,
      sym_block_comment,
  [660687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22285), 1,
      anon_sym_EQ_GT_GT,
    STATE(16951), 2,
      sym_comment,
      sym_block_comment,
  [660701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22287), 1,
      anon_sym_EQ_GT_GT,
    STATE(16952), 2,
      sym_comment,
      sym_block_comment,
  [660715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22289), 1,
      anon_sym_EQ_GT_GT,
    STATE(16953), 2,
      sym_comment,
      sym_block_comment,
  [660729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22291), 1,
      anon_sym_EQ_GT_GT,
    STATE(16954), 2,
      sym_comment,
      sym_block_comment,
  [660743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15602), 1,
      anon_sym_DOT,
    STATE(16955), 2,
      sym_comment,
      sym_block_comment,
  [660757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22293), 1,
      anon_sym_RBRACE,
    STATE(16956), 2,
      sym_comment,
      sym_block_comment,
  [660771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22295), 1,
      anon_sym_RBRACK,
    STATE(16957), 2,
      sym_comment,
      sym_block_comment,
  [660785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22115), 1,
      anon_sym_RBRACE,
    STATE(16958), 2,
      sym_comment,
      sym_block_comment,
  [660799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22295), 1,
      anon_sym_RBRACE,
    STATE(16959), 2,
      sym_comment,
      sym_block_comment,
  [660813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22297), 1,
      sym__outdent,
    STATE(16960), 2,
      sym_comment,
      sym_block_comment,
  [660827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22299), 1,
      anon_sym_RPAREN,
    STATE(16961), 2,
      sym_comment,
      sym_block_comment,
  [660841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22301), 1,
      anon_sym_EQ_GT_GT,
    STATE(16962), 2,
      sym_comment,
      sym_block_comment,
  [660855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22303), 1,
      anon_sym_EQ_GT_GT,
    STATE(16963), 2,
      sym_comment,
      sym_block_comment,
  [660869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22305), 1,
      anon_sym_EQ_GT_GT,
    STATE(16964), 2,
      sym_comment,
      sym_block_comment,
  [660883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22307), 1,
      anon_sym_EQ_GT_GT,
    STATE(16965), 2,
      sym_comment,
      sym_block_comment,
  [660897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10690), 1,
      anon_sym_DOT,
    STATE(16966), 2,
      sym_comment,
      sym_block_comment,
  [660911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22309), 1,
      anon_sym_RPAREN,
    STATE(16967), 2,
      sym_comment,
      sym_block_comment,
  [660925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22309), 1,
      anon_sym_RBRACE,
    STATE(16968), 2,
      sym_comment,
      sym_block_comment,
  [660939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22311), 1,
      sym__outdent,
    STATE(16969), 2,
      sym_comment,
      sym_block_comment,
  [660953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22313), 1,
      sym__outdent,
    STATE(16970), 2,
      sym_comment,
      sym_block_comment,
  [660967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22315), 1,
      anon_sym_LPAREN,
    STATE(16971), 2,
      sym_comment,
      sym_block_comment,
  [660981] = 4,
    ACTIONS(18143), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19542), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(22317), 1,
      sym_using_directive_value,
    STATE(16972), 2,
      sym_comment,
      sym_block_comment,
  [660995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22319), 1,
      anon_sym_EQ_GT_GT,
    STATE(16973), 2,
      sym_comment,
      sym_block_comment,
  [661009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22321), 1,
      anon_sym_EQ_GT_GT,
    STATE(16974), 2,
      sym_comment,
      sym_block_comment,
  [661023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22323), 1,
      anon_sym_EQ_GT_GT,
    STATE(16975), 2,
      sym_comment,
      sym_block_comment,
  [661037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22325), 1,
      anon_sym_EQ_GT_GT,
    STATE(16976), 2,
      sym_comment,
      sym_block_comment,
  [661051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11577), 1,
      anon_sym_DOT,
    STATE(16977), 2,
      sym_comment,
      sym_block_comment,
  [661065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22327), 1,
      anon_sym_type,
    STATE(16978), 2,
      sym_comment,
      sym_block_comment,
  [661079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22329), 1,
      sym__outdent,
    STATE(16979), 2,
      sym_comment,
      sym_block_comment,
  [661093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22331), 1,
      anon_sym_RPAREN,
    STATE(16980), 2,
      sym_comment,
      sym_block_comment,
  [661107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22333), 1,
      sym__outdent,
    STATE(16981), 2,
      sym_comment,
      sym_block_comment,
  [661121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22335), 1,
      anon_sym_RBRACE,
    STATE(16982), 2,
      sym_comment,
      sym_block_comment,
  [661135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22337), 1,
      anon_sym_RBRACE,
    STATE(16983), 2,
      sym_comment,
      sym_block_comment,
  [661149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22339), 1,
      anon_sym_EQ_GT_GT,
    STATE(16984), 2,
      sym_comment,
      sym_block_comment,
  [661163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22341), 1,
      anon_sym_EQ_GT_GT,
    STATE(16985), 2,
      sym_comment,
      sym_block_comment,
  [661177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22343), 1,
      anon_sym_EQ_GT_GT,
    STATE(16986), 2,
      sym_comment,
      sym_block_comment,
  [661191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22345), 1,
      anon_sym_EQ_GT_GT,
    STATE(16987), 2,
      sym_comment,
      sym_block_comment,
  [661205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13115), 1,
      anon_sym_DOT,
    STATE(16988), 2,
      sym_comment,
      sym_block_comment,
  [661219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22347), 1,
      anon_sym_RPAREN,
    STATE(16989), 2,
      sym_comment,
      sym_block_comment,
  [661233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22349), 1,
      anon_sym_RPAREN,
    STATE(16990), 2,
      sym_comment,
      sym_block_comment,
  [661247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22351), 1,
      sym__outdent,
    STATE(16991), 2,
      sym_comment,
      sym_block_comment,
  [661261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22353), 1,
      anon_sym_RPAREN,
    STATE(16992), 2,
      sym_comment,
      sym_block_comment,
  [661275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22355), 1,
      anon_sym_RBRACE,
    STATE(16993), 2,
      sym_comment,
      sym_block_comment,
  [661289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22357), 1,
      anon_sym_else,
    STATE(16994), 2,
      sym_comment,
      sym_block_comment,
  [661303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22359), 1,
      anon_sym_EQ_GT_GT,
    STATE(16995), 2,
      sym_comment,
      sym_block_comment,
  [661317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22361), 1,
      anon_sym_EQ_GT_GT,
    STATE(16996), 2,
      sym_comment,
      sym_block_comment,
  [661331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22363), 1,
      anon_sym_EQ_GT_GT,
    STATE(16997), 2,
      sym_comment,
      sym_block_comment,
  [661345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22365), 1,
      anon_sym_EQ_GT_GT,
    STATE(16998), 2,
      sym_comment,
      sym_block_comment,
  [661359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11210), 1,
      anon_sym_DOT,
    STATE(16999), 2,
      sym_comment,
      sym_block_comment,
  [661373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22367), 1,
      sym__outdent,
    STATE(17000), 2,
      sym_comment,
      sym_block_comment,
  [661387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22369), 1,
      sym__outdent,
    STATE(17001), 2,
      sym_comment,
      sym_block_comment,
  [661401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22371), 1,
      sym__outdent,
    STATE(17002), 2,
      sym_comment,
      sym_block_comment,
  [661415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22373), 1,
      anon_sym_RPAREN,
    STATE(17003), 2,
      sym_comment,
      sym_block_comment,
  [661429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22375), 1,
      sym__outdent,
    STATE(17004), 2,
      sym_comment,
      sym_block_comment,
  [661443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22377), 1,
      anon_sym_do,
    STATE(17005), 2,
      sym_comment,
      sym_block_comment,
  [661457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22379), 1,
      anon_sym_EQ_GT_GT,
    STATE(17006), 2,
      sym_comment,
      sym_block_comment,
  [661471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22381), 1,
      anon_sym_EQ_GT_GT,
    STATE(17007), 2,
      sym_comment,
      sym_block_comment,
  [661485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22383), 1,
      anon_sym_EQ_GT_GT,
    STATE(17008), 2,
      sym_comment,
      sym_block_comment,
  [661499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22385), 1,
      anon_sym_EQ_GT_GT,
    STATE(17009), 2,
      sym_comment,
      sym_block_comment,
  [661513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      anon_sym_DOT,
    STATE(17010), 2,
      sym_comment,
      sym_block_comment,
  [661527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22387), 1,
      anon_sym_EQ_GT,
    STATE(17011), 2,
      sym_comment,
      sym_block_comment,
  [661541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22389), 1,
      anon_sym_RPAREN,
    STATE(17012), 2,
      sym_comment,
      sym_block_comment,
  [661555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    STATE(17013), 2,
      sym_comment,
      sym_block_comment,
  [661569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22391), 1,
      anon_sym_RBRACE,
    STATE(17014), 2,
      sym_comment,
      sym_block_comment,
  [661583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22393), 1,
      sym__outdent,
    STATE(17015), 2,
      sym_comment,
      sym_block_comment,
  [661597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22395), 1,
      anon_sym_RBRACE,
    STATE(17016), 2,
      sym_comment,
      sym_block_comment,
  [661611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22397), 1,
      anon_sym_EQ_GT_GT,
    STATE(17017), 2,
      sym_comment,
      sym_block_comment,
  [661625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22399), 1,
      anon_sym_EQ_GT_GT,
    STATE(17018), 2,
      sym_comment,
      sym_block_comment,
  [661639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22401), 1,
      anon_sym_EQ_GT_GT,
    STATE(17019), 2,
      sym_comment,
      sym_block_comment,
  [661653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22403), 1,
      anon_sym_EQ_GT_GT,
    STATE(17020), 2,
      sym_comment,
      sym_block_comment,
  [661667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9422), 1,
      anon_sym_DOT,
    STATE(17021), 2,
      sym_comment,
      sym_block_comment,
  [661681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22405), 1,
      anon_sym_RPAREN,
    STATE(17022), 2,
      sym_comment,
      sym_block_comment,
  [661695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22391), 1,
      anon_sym_RPAREN,
    STATE(17023), 2,
      sym_comment,
      sym_block_comment,
  [661709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22407), 1,
      anon_sym_RBRACE,
    STATE(17024), 2,
      sym_comment,
      sym_block_comment,
  [661723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22409), 1,
      anon_sym_RPAREN,
    STATE(17025), 2,
      sym_comment,
      sym_block_comment,
  [661737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22411), 1,
      anon_sym_RBRACE,
    STATE(17026), 2,
      sym_comment,
      sym_block_comment,
  [661751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9314), 1,
      anon_sym_DOT,
    STATE(17027), 2,
      sym_comment,
      sym_block_comment,
  [661765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22411), 1,
      anon_sym_RBRACK,
    STATE(17028), 2,
      sym_comment,
      sym_block_comment,
  [661779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22413), 1,
      anon_sym_RBRACE,
    STATE(17029), 2,
      sym_comment,
      sym_block_comment,
  [661793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22413), 1,
      anon_sym_RBRACK,
    STATE(17030), 2,
      sym_comment,
      sym_block_comment,
  [661807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22415), 1,
      sym__outdent,
    STATE(17031), 2,
      sym_comment,
      sym_block_comment,
  [661821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22417), 1,
      anon_sym_RPAREN,
    STATE(17032), 2,
      sym_comment,
      sym_block_comment,
  [661835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9268), 1,
      anon_sym_DOT,
    STATE(17033), 2,
      sym_comment,
      sym_block_comment,
  [661849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22419), 1,
      anon_sym_EQ_GT_GT,
    STATE(17034), 2,
      sym_comment,
      sym_block_comment,
  [661863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22421), 1,
      anon_sym_RBRACE,
    STATE(17035), 2,
      sym_comment,
      sym_block_comment,
  [661877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22423), 1,
      anon_sym_do,
    STATE(17036), 2,
      sym_comment,
      sym_block_comment,
  [661891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22425), 1,
      anon_sym_EQ_GT_GT,
    STATE(17037), 2,
      sym_comment,
      sym_block_comment,
  [661905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22427), 1,
      anon_sym_else,
    STATE(17038), 2,
      sym_comment,
      sym_block_comment,
  [661919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10418), 1,
      anon_sym_DOT,
    STATE(17039), 2,
      sym_comment,
      sym_block_comment,
  [661933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22429), 1,
      sym__outdent,
    STATE(17040), 2,
      sym_comment,
      sym_block_comment,
  [661947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22431), 1,
      anon_sym_RPAREN,
    STATE(17041), 2,
      sym_comment,
      sym_block_comment,
  [661961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22433), 1,
      sym__outdent,
    STATE(17042), 2,
      sym_comment,
      sym_block_comment,
  [661975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22435), 1,
      anon_sym_RBRACE,
    STATE(17043), 2,
      sym_comment,
      sym_block_comment,
  [661989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22437), 1,
      sym__outdent,
    STATE(17044), 2,
      sym_comment,
      sym_block_comment,
  [662003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14773), 1,
      anon_sym_DOT,
    STATE(17045), 2,
      sym_comment,
      sym_block_comment,
  [662017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22439), 1,
      sym__outdent,
    STATE(17046), 2,
      sym_comment,
      sym_block_comment,
  [662031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22441), 1,
      anon_sym_RPAREN,
    STATE(17047), 2,
      sym_comment,
      sym_block_comment,
  [662045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22443), 1,
      anon_sym_RBRACE,
    STATE(17048), 2,
      sym_comment,
      sym_block_comment,
  [662059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22445), 1,
      anon_sym_EQ_GT_GT,
    STATE(17049), 2,
      sym_comment,
      sym_block_comment,
  [662073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22447), 1,
      sym__outdent,
    STATE(17050), 2,
      sym_comment,
      sym_block_comment,
  [662087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10718), 1,
      anon_sym_DOT,
    STATE(17051), 2,
      sym_comment,
      sym_block_comment,
  [662101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22449), 1,
      anon_sym_RPAREN,
    STATE(17052), 2,
      sym_comment,
      sym_block_comment,
  [662115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22451), 1,
      anon_sym_RBRACE,
    STATE(17053), 2,
      sym_comment,
      sym_block_comment,
  [662129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22453), 1,
      sym__outdent,
    STATE(17054), 2,
      sym_comment,
      sym_block_comment,
  [662143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22455), 1,
      anon_sym_RPAREN,
    STATE(17055), 2,
      sym_comment,
      sym_block_comment,
  [662157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22457), 1,
      anon_sym_RPAREN,
    STATE(17056), 2,
      sym_comment,
      sym_block_comment,
  [662171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10434), 1,
      anon_sym_DOT,
    STATE(17057), 2,
      sym_comment,
      sym_block_comment,
  [662185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22451), 1,
      anon_sym_RPAREN,
    STATE(17058), 2,
      sym_comment,
      sym_block_comment,
  [662199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22459), 1,
      anon_sym_RPAREN,
    STATE(17059), 2,
      sym_comment,
      sym_block_comment,
  [662213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22461), 1,
      anon_sym_else,
    STATE(17060), 2,
      sym_comment,
      sym_block_comment,
  [662227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22335), 1,
      anon_sym_RPAREN,
    STATE(17061), 2,
      sym_comment,
      sym_block_comment,
  [662241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22463), 1,
      anon_sym_RBRACE,
    STATE(17062), 2,
      sym_comment,
      sym_block_comment,
  [662255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    STATE(17063), 2,
      sym_comment,
      sym_block_comment,
  [662269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22465), 1,
      anon_sym_RPAREN,
    STATE(17064), 2,
      sym_comment,
      sym_block_comment,
  [662283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22467), 1,
      sym__outdent,
    STATE(17065), 2,
      sym_comment,
      sym_block_comment,
  [662297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22469), 1,
      sym__outdent,
    STATE(17066), 2,
      sym_comment,
      sym_block_comment,
  [662311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22293), 1,
      anon_sym_RBRACK,
    STATE(17067), 2,
      sym_comment,
      sym_block_comment,
  [662325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22471), 1,
      anon_sym_RPAREN,
    STATE(17068), 2,
      sym_comment,
      sym_block_comment,
  [662339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11471), 1,
      anon_sym_DOT,
    STATE(17069), 2,
      sym_comment,
      sym_block_comment,
  [662353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22473), 1,
      anon_sym_RBRACK,
    STATE(17070), 2,
      sym_comment,
      sym_block_comment,
  [662367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22473), 1,
      anon_sym_RBRACE,
    STATE(17071), 2,
      sym_comment,
      sym_block_comment,
  [662381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22475), 1,
      sym__outdent,
    STATE(17072), 2,
      sym_comment,
      sym_block_comment,
  [662395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22477), 1,
      anon_sym_RPAREN,
    STATE(17073), 2,
      sym_comment,
      sym_block_comment,
  [662409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22479), 1,
      anon_sym_RBRACE,
    STATE(17074), 2,
      sym_comment,
      sym_block_comment,
  [662423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10460), 1,
      anon_sym_DOT,
    STATE(17075), 2,
      sym_comment,
      sym_block_comment,
  [662437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22481), 1,
      anon_sym_else,
    STATE(17076), 2,
      sym_comment,
      sym_block_comment,
  [662451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22483), 1,
      anon_sym_RPAREN,
    STATE(17077), 2,
      sym_comment,
      sym_block_comment,
  [662465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22485), 1,
      anon_sym_RBRACK,
    STATE(17078), 2,
      sym_comment,
      sym_block_comment,
  [662479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22487), 1,
      sym__outdent,
    STATE(17079), 2,
      sym_comment,
      sym_block_comment,
  [662493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22489), 1,
      sym__outdent,
    STATE(17080), 2,
      sym_comment,
      sym_block_comment,
  [662507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_DOT,
    STATE(17081), 2,
      sym_comment,
      sym_block_comment,
  [662521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22491), 1,
      sym__outdent,
    STATE(17082), 2,
      sym_comment,
      sym_block_comment,
  [662535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22493), 1,
      sym__outdent,
    STATE(17083), 2,
      sym_comment,
      sym_block_comment,
  [662549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22495), 1,
      anon_sym_RPAREN,
    STATE(17084), 2,
      sym_comment,
      sym_block_comment,
  [662563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22497), 1,
      anon_sym_else,
    STATE(17085), 2,
      sym_comment,
      sym_block_comment,
  [662577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22499), 1,
      anon_sym_RPAREN,
    STATE(17086), 2,
      sym_comment,
      sym_block_comment,
  [662591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11796), 1,
      anon_sym_DOT,
    STATE(17087), 2,
      sym_comment,
      sym_block_comment,
  [662605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22501), 1,
      sym__outdent,
    STATE(17088), 2,
      sym_comment,
      sym_block_comment,
  [662619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22503), 1,
      anon_sym_RPAREN,
    STATE(17089), 2,
      sym_comment,
      sym_block_comment,
  [662633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15268), 1,
      anon_sym_def,
    STATE(17090), 2,
      sym_comment,
      sym_block_comment,
  [662647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22505), 1,
      anon_sym_RBRACE,
    STATE(17091), 2,
      sym_comment,
      sym_block_comment,
  [662661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22507), 1,
      anon_sym_COLON,
    STATE(17092), 2,
      sym_comment,
      sym_block_comment,
  [662675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10902), 1,
      anon_sym_DOT,
    STATE(17093), 2,
      sym_comment,
      sym_block_comment,
  [662689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22509), 1,
      anon_sym_RBRACE,
    STATE(17094), 2,
      sym_comment,
      sym_block_comment,
  [662703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22511), 1,
      anon_sym_do,
    STATE(17095), 2,
      sym_comment,
      sym_block_comment,
  [662717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22513), 1,
      sym__outdent,
    STATE(17096), 2,
      sym_comment,
      sym_block_comment,
  [662731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22515), 1,
      anon_sym_RBRACK,
    STATE(17097), 2,
      sym_comment,
      sym_block_comment,
  [662745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22515), 1,
      anon_sym_RBRACE,
    STATE(17098), 2,
      sym_comment,
      sym_block_comment,
  [662759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12667), 1,
      anon_sym_DOT,
    STATE(17099), 2,
      sym_comment,
      sym_block_comment,
  [662773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22517), 1,
      anon_sym_RBRACK,
    STATE(17100), 2,
      sym_comment,
      sym_block_comment,
  [662787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22517), 1,
      anon_sym_RBRACE,
    STATE(17101), 2,
      sym_comment,
      sym_block_comment,
  [662801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22519), 1,
      anon_sym_do,
    STATE(17102), 2,
      sym_comment,
      sym_block_comment,
  [662815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22521), 1,
      sym__outdent,
    STATE(17103), 2,
      sym_comment,
      sym_block_comment,
  [662829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22523), 1,
      anon_sym_RPAREN,
    STATE(17104), 2,
      sym_comment,
      sym_block_comment,
  [662843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11741), 1,
      anon_sym_DOT,
    STATE(17105), 2,
      sym_comment,
      sym_block_comment,
  [662857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22525), 1,
      anon_sym_RPAREN,
    STATE(17106), 2,
      sym_comment,
      sym_block_comment,
  [662871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22523), 1,
      anon_sym_RBRACE,
    STATE(17107), 2,
      sym_comment,
      sym_block_comment,
  [662885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22527), 1,
      anon_sym_RPAREN,
    STATE(17108), 2,
      sym_comment,
      sym_block_comment,
  [662899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22529), 1,
      sym__outdent,
    STATE(17109), 2,
      sym_comment,
      sym_block_comment,
  [662913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22531), 1,
      sym__outdent,
    STATE(17110), 2,
      sym_comment,
      sym_block_comment,
  [662927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13206), 1,
      anon_sym_DOT,
    STATE(17111), 2,
      sym_comment,
      sym_block_comment,
  [662941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22533), 1,
      sym__outdent,
    STATE(17112), 2,
      sym_comment,
      sym_block_comment,
  [662955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22535), 1,
      anon_sym_RPAREN,
    STATE(17113), 2,
      sym_comment,
      sym_block_comment,
  [662969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22537), 1,
      anon_sym_RBRACE,
    STATE(17114), 2,
      sym_comment,
      sym_block_comment,
  [662983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22539), 1,
      anon_sym_RBRACE,
    STATE(17115), 2,
      sym_comment,
      sym_block_comment,
  [662997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22541), 1,
      anon_sym_RBRACE,
    STATE(17116), 2,
      sym_comment,
      sym_block_comment,
  [663011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9589), 1,
      anon_sym_DOT,
    STATE(17117), 2,
      sym_comment,
      sym_block_comment,
  [663025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22543), 1,
      anon_sym_else,
    STATE(17118), 2,
      sym_comment,
      sym_block_comment,
  [663039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22545), 1,
      anon_sym_RBRACE,
    STATE(17119), 2,
      sym_comment,
      sym_block_comment,
  [663053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22547), 1,
      sym__outdent,
    STATE(17120), 2,
      sym_comment,
      sym_block_comment,
  [663067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22525), 1,
      anon_sym_RBRACE,
    STATE(17121), 2,
      sym_comment,
      sym_block_comment,
  [663081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22549), 1,
      anon_sym_RPAREN,
    STATE(17122), 2,
      sym_comment,
      sym_block_comment,
  [663095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8985), 1,
      anon_sym_DOT,
    STATE(17123), 2,
      sym_comment,
      sym_block_comment,
  [663109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22551), 1,
      anon_sym_do,
    STATE(17124), 2,
      sym_comment,
      sym_block_comment,
  [663123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22553), 1,
      anon_sym_RBRACE,
    STATE(17125), 2,
      sym_comment,
      sym_block_comment,
  [663137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22553), 1,
      anon_sym_RPAREN,
    STATE(17126), 2,
      sym_comment,
      sym_block_comment,
  [663151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22555), 1,
      sym__outdent,
    STATE(17127), 2,
      sym_comment,
      sym_block_comment,
  [663165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22557), 1,
      sym__outdent,
    STATE(17128), 2,
      sym_comment,
      sym_block_comment,
  [663179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9532), 1,
      anon_sym_DOT,
    STATE(17129), 2,
      sym_comment,
      sym_block_comment,
  [663193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22559), 1,
      anon_sym_RPAREN,
    STATE(17130), 2,
      sym_comment,
      sym_block_comment,
  [663207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22561), 1,
      anon_sym_RPAREN,
    STATE(17131), 2,
      sym_comment,
      sym_block_comment,
  [663221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22563), 1,
      anon_sym_RPAREN,
    STATE(17132), 2,
      sym_comment,
      sym_block_comment,
  [663235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22565), 1,
      anon_sym_RBRACE,
    STATE(17133), 2,
      sym_comment,
      sym_block_comment,
  [663249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22567), 1,
      anon_sym_RBRACE,
    STATE(17134), 2,
      sym_comment,
      sym_block_comment,
  [663263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10630), 1,
      anon_sym_DOT,
    STATE(17135), 2,
      sym_comment,
      sym_block_comment,
  [663277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22569), 1,
      sym__outdent,
    STATE(17136), 2,
      sym_comment,
      sym_block_comment,
  [663291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22571), 1,
      anon_sym_else,
    STATE(17137), 2,
      sym_comment,
      sym_block_comment,
  [663305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22573), 1,
      sym__outdent,
    STATE(17138), 2,
      sym_comment,
      sym_block_comment,
  [663319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22575), 1,
      anon_sym_else,
    STATE(17139), 2,
      sym_comment,
      sym_block_comment,
  [663333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10416), 1,
      anon_sym_with,
    STATE(17140), 2,
      sym_comment,
      sym_block_comment,
  [663347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9479), 1,
      anon_sym_DOT,
    STATE(17141), 2,
      sym_comment,
      sym_block_comment,
  [663361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22577), 1,
      sym__outdent,
    STATE(17142), 2,
      sym_comment,
      sym_block_comment,
  [663375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22579), 1,
      anon_sym_RPAREN,
    STATE(17143), 2,
      sym_comment,
      sym_block_comment,
  [663389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22581), 1,
      anon_sym_RPAREN,
    STATE(17144), 2,
      sym_comment,
      sym_block_comment,
  [663403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22583), 1,
      sym__outdent,
    STATE(17145), 2,
      sym_comment,
      sym_block_comment,
  [663417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22585), 1,
      sym__outdent,
    STATE(17146), 2,
      sym_comment,
      sym_block_comment,
  [663431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_DOT,
    STATE(17147), 2,
      sym_comment,
      sym_block_comment,
  [663445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22587), 1,
      anon_sym_RPAREN,
    STATE(17148), 2,
      sym_comment,
      sym_block_comment,
  [663459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22589), 1,
      anon_sym_else,
    STATE(17149), 2,
      sym_comment,
      sym_block_comment,
  [663473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22591), 1,
      anon_sym_else,
    STATE(17150), 2,
      sym_comment,
      sym_block_comment,
  [663487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22593), 1,
      anon_sym_RBRACE,
    STATE(17151), 2,
      sym_comment,
      sym_block_comment,
  [663501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22595), 1,
      anon_sym_else,
    STATE(17152), 2,
      sym_comment,
      sym_block_comment,
  [663515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10822), 1,
      anon_sym_DOT,
    STATE(17153), 2,
      sym_comment,
      sym_block_comment,
  [663529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22597), 1,
      anon_sym_RBRACE,
    STATE(17154), 2,
      sym_comment,
      sym_block_comment,
  [663543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22599), 1,
      sym__outdent,
    STATE(17155), 2,
      sym_comment,
      sym_block_comment,
  [663557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22601), 1,
      sym__outdent,
    STATE(17156), 2,
      sym_comment,
      sym_block_comment,
  [663571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22603), 1,
      sym__outdent,
    STATE(17157), 2,
      sym_comment,
      sym_block_comment,
  [663585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22605), 1,
      anon_sym_RPAREN,
    STATE(17158), 2,
      sym_comment,
      sym_block_comment,
  [663599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15211), 1,
      anon_sym_DOT,
    STATE(17159), 2,
      sym_comment,
      sym_block_comment,
  [663613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22607), 1,
      anon_sym_RPAREN,
    STATE(17160), 2,
      sym_comment,
      sym_block_comment,
  [663627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22609), 1,
      anon_sym_RPAREN,
    STATE(17161), 2,
      sym_comment,
      sym_block_comment,
  [663641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22611), 1,
      sym__outdent,
    STATE(17162), 2,
      sym_comment,
      sym_block_comment,
  [663655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22613), 1,
      anon_sym_else,
    STATE(17163), 2,
      sym_comment,
      sym_block_comment,
  [663669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22615), 1,
      anon_sym_RPAREN,
    STATE(17164), 2,
      sym_comment,
      sym_block_comment,
  [663683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9624), 1,
      anon_sym_DOT,
    STATE(17165), 2,
      sym_comment,
      sym_block_comment,
  [663697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22617), 1,
      anon_sym_do,
    STATE(17166), 2,
      sym_comment,
      sym_block_comment,
  [663711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22619), 1,
      anon_sym_RBRACE,
    STATE(17167), 2,
      sym_comment,
      sym_block_comment,
  [663725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22621), 1,
      anon_sym_RBRACE,
    STATE(17168), 2,
      sym_comment,
      sym_block_comment,
  [663739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22623), 1,
      anon_sym_do,
    STATE(17169), 2,
      sym_comment,
      sym_block_comment,
  [663753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22625), 1,
      sym__outdent,
    STATE(17170), 2,
      sym_comment,
      sym_block_comment,
  [663767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10794), 1,
      anon_sym_DOT,
    STATE(17171), 2,
      sym_comment,
      sym_block_comment,
  [663781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22627), 1,
      sym__outdent,
    STATE(17172), 2,
      sym_comment,
      sym_block_comment,
  [663795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22629), 1,
      anon_sym_RPAREN,
    STATE(17173), 2,
      sym_comment,
      sym_block_comment,
  [663809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22631), 1,
      anon_sym_else,
    STATE(17174), 2,
      sym_comment,
      sym_block_comment,
  [663823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22633), 1,
      anon_sym_RBRACE,
    STATE(17175), 2,
      sym_comment,
      sym_block_comment,
  [663837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22635), 1,
      sym__outdent,
    STATE(17176), 2,
      sym_comment,
      sym_block_comment,
  [663851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15234), 1,
      anon_sym_DOT,
    STATE(17177), 2,
      sym_comment,
      sym_block_comment,
  [663865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22637), 1,
      anon_sym_RPAREN,
    STATE(17178), 2,
      sym_comment,
      sym_block_comment,
  [663879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22633), 1,
      anon_sym_RPAREN,
    STATE(17179), 2,
      sym_comment,
      sym_block_comment,
  [663893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22639), 1,
      anon_sym_RPAREN,
    STATE(17180), 2,
      sym_comment,
      sym_block_comment,
  [663907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22641), 1,
      anon_sym_RBRACE,
    STATE(17181), 2,
      sym_comment,
      sym_block_comment,
  [663921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22643), 1,
      anon_sym_RBRACK,
    STATE(17182), 2,
      sym_comment,
      sym_block_comment,
  [663935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10670), 1,
      anon_sym_DOT,
    STATE(17183), 2,
      sym_comment,
      sym_block_comment,
  [663949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22643), 1,
      anon_sym_RBRACE,
    STATE(17184), 2,
      sym_comment,
      sym_block_comment,
  [663963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22645), 1,
      anon_sym_RBRACE,
    STATE(17185), 2,
      sym_comment,
      sym_block_comment,
  [663977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22647), 1,
      anon_sym_RBRACE,
    STATE(17186), 2,
      sym_comment,
      sym_block_comment,
  [663991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22649), 1,
      anon_sym_RBRACK,
    STATE(17187), 2,
      sym_comment,
      sym_block_comment,
  [664005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22651), 1,
      anon_sym_RPAREN,
    STATE(17188), 2,
      sym_comment,
      sym_block_comment,
  [664019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10810), 1,
      anon_sym_DOT,
    STATE(17189), 2,
      sym_comment,
      sym_block_comment,
  [664033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22649), 1,
      anon_sym_RBRACE,
    STATE(17190), 2,
      sym_comment,
      sym_block_comment,
  [664047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22653), 1,
      sym__outdent,
    STATE(17191), 2,
      sym_comment,
      sym_block_comment,
  [664061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22655), 1,
      sym__outdent,
    STATE(17192), 2,
      sym_comment,
      sym_block_comment,
  [664075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22657), 1,
      anon_sym_RPAREN,
    STATE(17193), 2,
      sym_comment,
      sym_block_comment,
  [664089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22657), 1,
      anon_sym_RBRACE,
    STATE(17194), 2,
      sym_comment,
      sym_block_comment,
  [664103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      anon_sym_DOT,
    STATE(17195), 2,
      sym_comment,
      sym_block_comment,
  [664117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22659), 1,
      sym__indent,
    STATE(17196), 2,
      sym_comment,
      sym_block_comment,
  [664131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22661), 1,
      anon_sym_RPAREN,
    STATE(17197), 2,
      sym_comment,
      sym_block_comment,
  [664145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22663), 1,
      sym__outdent,
    STATE(17198), 2,
      sym_comment,
      sym_block_comment,
  [664159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22665), 1,
      sym__outdent,
    STATE(17199), 2,
      sym_comment,
      sym_block_comment,
  [664173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22667), 1,
      anon_sym_RPAREN,
    STATE(17200), 2,
      sym_comment,
      sym_block_comment,
  [664187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12145), 1,
      anon_sym_DOT,
    STATE(17201), 2,
      sym_comment,
      sym_block_comment,
  [664201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22669), 1,
      anon_sym_else,
    STATE(17202), 2,
      sym_comment,
      sym_block_comment,
  [664215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22671), 1,
      anon_sym_RBRACE,
    STATE(17203), 2,
      sym_comment,
      sym_block_comment,
  [664229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22673), 1,
      anon_sym_RPAREN,
    STATE(17204), 2,
      sym_comment,
      sym_block_comment,
  [664243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22675), 1,
      sym__outdent,
    STATE(17205), 2,
      sym_comment,
      sym_block_comment,
  [664257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22677), 1,
      sym__outdent,
    STATE(17206), 2,
      sym_comment,
      sym_block_comment,
  [664271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9639), 1,
      anon_sym_DOT,
    STATE(17207), 2,
      sym_comment,
      sym_block_comment,
  [664285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22679), 1,
      sym__outdent,
    STATE(17208), 2,
      sym_comment,
      sym_block_comment,
  [664299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22681), 1,
      anon_sym_RPAREN,
    STATE(17209), 2,
      sym_comment,
      sym_block_comment,
  [664313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22683), 1,
      anon_sym_else,
    STATE(17210), 2,
      sym_comment,
      sym_block_comment,
  [664327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22685), 1,
      sym__outdent,
    STATE(17211), 2,
      sym_comment,
      sym_block_comment,
  [664341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22687), 1,
      anon_sym_RBRACE,
    STATE(17212), 2,
      sym_comment,
      sym_block_comment,
  [664355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10747), 1,
      anon_sym_DOT,
    STATE(17213), 2,
      sym_comment,
      sym_block_comment,
  [664369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22689), 1,
      anon_sym_RPAREN,
    STATE(17214), 2,
      sym_comment,
      sym_block_comment,
  [664383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22691), 1,
      anon_sym_RPAREN,
    STATE(17215), 2,
      sym_comment,
      sym_block_comment,
  [664397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22693), 1,
      anon_sym_RBRACE,
    STATE(17216), 2,
      sym_comment,
      sym_block_comment,
  [664411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22695), 1,
      sym__outdent,
    STATE(17217), 2,
      sym_comment,
      sym_block_comment,
  [664425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22697), 1,
      anon_sym_RPAREN,
    STATE(17218), 2,
      sym_comment,
      sym_block_comment,
  [664439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9795), 1,
      anon_sym_DOT,
    STATE(17219), 2,
      sym_comment,
      sym_block_comment,
  [664453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22699), 1,
      anon_sym_do,
    STATE(17220), 2,
      sym_comment,
      sym_block_comment,
  [664467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22701), 1,
      anon_sym_do,
    STATE(17221), 2,
      sym_comment,
      sym_block_comment,
  [664481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22703), 1,
      sym__outdent,
    STATE(17222), 2,
      sym_comment,
      sym_block_comment,
  [664495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22705), 1,
      anon_sym_RPAREN,
    STATE(17223), 2,
      sym_comment,
      sym_block_comment,
  [664509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22707), 1,
      anon_sym_RBRACE,
    STATE(17224), 2,
      sym_comment,
      sym_block_comment,
  [664523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14047), 1,
      anon_sym_DOT,
    STATE(17225), 2,
      sym_comment,
      sym_block_comment,
  [664537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22709), 1,
      anon_sym_RBRACK,
    STATE(17226), 2,
      sym_comment,
      sym_block_comment,
  [664551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22711), 1,
      anon_sym_RBRACE,
    STATE(17227), 2,
      sym_comment,
      sym_block_comment,
  [664565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22713), 1,
      anon_sym_RBRACE,
    STATE(17228), 2,
      sym_comment,
      sym_block_comment,
  [664579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22709), 1,
      anon_sym_RBRACE,
    STATE(17229), 2,
      sym_comment,
      sym_block_comment,
  [664593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22715), 1,
      anon_sym_RBRACK,
    STATE(17230), 2,
      sym_comment,
      sym_block_comment,
  [664607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10752), 1,
      anon_sym_DOT,
    STATE(17231), 2,
      sym_comment,
      sym_block_comment,
  [664621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22717), 1,
      anon_sym_RBRACE,
    STATE(17232), 2,
      sym_comment,
      sym_block_comment,
  [664635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22719), 1,
      sym__outdent,
    STATE(17233), 2,
      sym_comment,
      sym_block_comment,
  [664649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22721), 1,
      anon_sym_RPAREN,
    STATE(17234), 2,
      sym_comment,
      sym_block_comment,
  [664663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22705), 1,
      anon_sym_RBRACE,
    STATE(17235), 2,
      sym_comment,
      sym_block_comment,
  [664677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22723), 1,
      sym__outdent,
    STATE(17236), 2,
      sym_comment,
      sym_block_comment,
  [664691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15242), 1,
      anon_sym_DOT,
    STATE(17237), 2,
      sym_comment,
      sym_block_comment,
  [664705] = 4,
    ACTIONS(18143), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19542), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(22725), 1,
      sym_using_directive_key,
    STATE(17238), 2,
      sym_comment,
      sym_block_comment,
  [664719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22727), 1,
      anon_sym_RBRACE,
    STATE(17239), 2,
      sym_comment,
      sym_block_comment,
  [664733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22729), 1,
      anon_sym_RPAREN,
    STATE(17240), 2,
      sym_comment,
      sym_block_comment,
  [664747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22731), 1,
      sym__outdent,
    STATE(17241), 2,
      sym_comment,
      sym_block_comment,
  [664761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22733), 1,
      anon_sym_RPAREN,
    STATE(17242), 2,
      sym_comment,
      sym_block_comment,
  [664775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11161), 1,
      anon_sym_DOT,
    STATE(17243), 2,
      sym_comment,
      sym_block_comment,
  [664789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22715), 1,
      anon_sym_RBRACE,
    STATE(17244), 2,
      sym_comment,
      sym_block_comment,
  [664803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22735), 1,
      anon_sym_RBRACE,
    STATE(17245), 2,
      sym_comment,
      sym_block_comment,
  [664817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22737), 1,
      anon_sym_RPAREN,
    STATE(17246), 2,
      sym_comment,
      sym_block_comment,
  [664831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22739), 1,
      sym__outdent,
    STATE(17247), 2,
      sym_comment,
      sym_block_comment,
  [664845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22727), 1,
      anon_sym_RPAREN,
    STATE(17248), 2,
      sym_comment,
      sym_block_comment,
  [664859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12804), 1,
      anon_sym_DOT,
    STATE(17249), 2,
      sym_comment,
      sym_block_comment,
  [664873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22729), 1,
      anon_sym_RBRACE,
    STATE(17250), 2,
      sym_comment,
      sym_block_comment,
  [664887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22741), 1,
      anon_sym_else,
    STATE(17251), 2,
      sym_comment,
      sym_block_comment,
  [664901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22743), 1,
      anon_sym_RBRACK,
    STATE(17252), 2,
      sym_comment,
      sym_block_comment,
  [664915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22745), 1,
      sym__outdent,
    STATE(17253), 2,
      sym_comment,
      sym_block_comment,
  [664929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22747), 1,
      anon_sym_RPAREN,
    STATE(17254), 2,
      sym_comment,
      sym_block_comment,
  [664943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9222), 1,
      anon_sym_DOT,
    STATE(17255), 2,
      sym_comment,
      sym_block_comment,
  [664957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15266), 1,
      anon_sym_type,
    STATE(17256), 2,
      sym_comment,
      sym_block_comment,
  [664971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22749), 1,
      anon_sym_type,
    STATE(17257), 2,
      sym_comment,
      sym_block_comment,
  [664985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22751), 1,
      sym__outdent,
    STATE(17258), 2,
      sym_comment,
      sym_block_comment,
  [664999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22753), 1,
      anon_sym_else,
    STATE(17259), 2,
      sym_comment,
      sym_block_comment,
  [665013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22755), 1,
      anon_sym_RPAREN,
    STATE(17260), 2,
      sym_comment,
      sym_block_comment,
  [665027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9723), 1,
      anon_sym_DOT,
    STATE(17261), 2,
      sym_comment,
      sym_block_comment,
  [665041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22757), 1,
      sym__outdent,
    STATE(17262), 2,
      sym_comment,
      sym_block_comment,
  [665055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22759), 1,
      anon_sym_RPAREN,
    STATE(17263), 2,
      sym_comment,
      sym_block_comment,
  [665069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22761), 1,
      anon_sym_RPAREN,
    STATE(17264), 2,
      sym_comment,
      sym_block_comment,
  [665083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22763), 1,
      anon_sym_RBRACE,
    STATE(17265), 2,
      sym_comment,
      sym_block_comment,
  [665097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 1,
      anon_sym_RBRACE,
    STATE(17266), 2,
      sym_comment,
      sym_block_comment,
  [665111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13750), 1,
      anon_sym_DOT,
    STATE(17267), 2,
      sym_comment,
      sym_block_comment,
  [665125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22767), 1,
      sym__outdent,
    STATE(17268), 2,
      sym_comment,
      sym_block_comment,
  [665139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22769), 1,
      anon_sym_else,
    STATE(17269), 2,
      sym_comment,
      sym_block_comment,
  [665153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 1,
      anon_sym_RBRACK,
    STATE(17270), 2,
      sym_comment,
      sym_block_comment,
  [665167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22771), 1,
      anon_sym_RBRACE,
    STATE(17271), 2,
      sym_comment,
      sym_block_comment,
  [665181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22773), 1,
      sym__outdent,
    STATE(17272), 2,
      sym_comment,
      sym_block_comment,
  [665195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9842), 1,
      anon_sym_DOT,
    STATE(17273), 2,
      sym_comment,
      sym_block_comment,
  [665209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22775), 1,
      anon_sym_else,
    STATE(17274), 2,
      sym_comment,
      sym_block_comment,
  [665223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22777), 1,
      sym__outdent,
    STATE(17275), 2,
      sym_comment,
      sym_block_comment,
  [665237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22771), 1,
      anon_sym_RBRACK,
    STATE(17276), 2,
      sym_comment,
      sym_block_comment,
  [665251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22779), 1,
      anon_sym_RPAREN,
    STATE(17277), 2,
      sym_comment,
      sym_block_comment,
  [665265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22781), 1,
      sym__outdent,
    STATE(17278), 2,
      sym_comment,
      sym_block_comment,
  [665279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10644), 1,
      anon_sym_DOT,
    STATE(17279), 2,
      sym_comment,
      sym_block_comment,
  [665293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22783), 1,
      anon_sym_RBRACE,
    STATE(17280), 2,
      sym_comment,
      sym_block_comment,
  [665307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22785), 1,
      sym__outdent,
    STATE(17281), 2,
      sym_comment,
      sym_block_comment,
  [665321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22787), 1,
      anon_sym_RPAREN,
    STATE(17282), 2,
      sym_comment,
      sym_block_comment,
  [665335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22789), 1,
      anon_sym_RBRACE,
    STATE(17283), 2,
      sym_comment,
      sym_block_comment,
  [665349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22791), 1,
      anon_sym_RBRACE,
    STATE(17284), 2,
      sym_comment,
      sym_block_comment,
  [665363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14630), 1,
      anon_sym_DOT,
    STATE(17285), 2,
      sym_comment,
      sym_block_comment,
  [665377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22793), 1,
      anon_sym_RPAREN,
    STATE(17286), 2,
      sym_comment,
      sym_block_comment,
  [665391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22795), 1,
      anon_sym_do,
    STATE(17287), 2,
      sym_comment,
      sym_block_comment,
  [665405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22797), 1,
      anon_sym_RBRACK,
    STATE(17288), 2,
      sym_comment,
      sym_block_comment,
  [665419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22797), 1,
      anon_sym_RBRACE,
    STATE(17289), 2,
      sym_comment,
      sym_block_comment,
  [665433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22799), 1,
      anon_sym_RBRACK,
    STATE(17290), 2,
      sym_comment,
      sym_block_comment,
  [665447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22799), 1,
      anon_sym_RBRACE,
    STATE(17291), 2,
      sym_comment,
      sym_block_comment,
  [665461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22801), 1,
      sym__outdent,
    STATE(17292), 2,
      sym_comment,
      sym_block_comment,
  [665475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22803), 1,
      anon_sym_RPAREN,
    STATE(17293), 2,
      sym_comment,
      sym_block_comment,
  [665489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22805), 1,
      sym__outdent,
    STATE(17294), 2,
      sym_comment,
      sym_block_comment,
  [665503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22807), 1,
      anon_sym_RPAREN,
    STATE(17295), 2,
      sym_comment,
      sym_block_comment,
  [665517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22807), 1,
      anon_sym_RBRACE,
    STATE(17296), 2,
      sym_comment,
      sym_block_comment,
  [665531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22809), 1,
      anon_sym_RPAREN,
    STATE(17297), 2,
      sym_comment,
      sym_block_comment,
  [665545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22811), 1,
      sym__outdent,
    STATE(17298), 2,
      sym_comment,
      sym_block_comment,
  [665559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22813), 1,
      anon_sym_RBRACE,
    STATE(17299), 2,
      sym_comment,
      sym_block_comment,
  [665573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22815), 1,
      anon_sym_do,
    STATE(17300), 2,
      sym_comment,
      sym_block_comment,
  [665587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22817), 1,
      sym__outdent,
    STATE(17301), 2,
      sym_comment,
      sym_block_comment,
  [665601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22819), 1,
      anon_sym_RPAREN,
    STATE(17302), 2,
      sym_comment,
      sym_block_comment,
  [665615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22821), 1,
      anon_sym_RBRACE,
    STATE(17303), 2,
      sym_comment,
      sym_block_comment,
  [665629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22823), 1,
      sym__outdent,
    STATE(17304), 2,
      sym_comment,
      sym_block_comment,
  [665643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22825), 1,
      anon_sym_RBRACE,
    STATE(17305), 2,
      sym_comment,
      sym_block_comment,
  [665657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22827), 1,
      anon_sym_RPAREN,
    STATE(17306), 2,
      sym_comment,
      sym_block_comment,
  [665671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8196), 1,
      anon_sym_def,
    STATE(17307), 2,
      sym_comment,
      sym_block_comment,
  [665685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22829), 1,
      anon_sym_RBRACE,
    STATE(17308), 2,
      sym_comment,
      sym_block_comment,
  [665699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22831), 1,
      anon_sym_RBRACE,
    STATE(17309), 2,
      sym_comment,
      sym_block_comment,
  [665713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22833), 1,
      anon_sym_RPAREN,
    STATE(17310), 2,
      sym_comment,
      sym_block_comment,
  [665727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22835), 1,
      anon_sym_RBRACE,
    STATE(17311), 2,
      sym_comment,
      sym_block_comment,
  [665741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22837), 1,
      sym__outdent,
    STATE(17312), 2,
      sym_comment,
      sym_block_comment,
  [665755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22839), 1,
      anon_sym_do,
    STATE(17313), 2,
      sym_comment,
      sym_block_comment,
  [665769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22841), 1,
      anon_sym_RPAREN,
    STATE(17314), 2,
      sym_comment,
      sym_block_comment,
  [665783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22843), 1,
      sym__outdent,
    STATE(17315), 2,
      sym_comment,
      sym_block_comment,
  [665797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22845), 1,
      anon_sym_RPAREN,
    STATE(17316), 2,
      sym_comment,
      sym_block_comment,
  [665811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22835), 1,
      anon_sym_RPAREN,
    STATE(17317), 2,
      sym_comment,
      sym_block_comment,
  [665825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22847), 1,
      sym__indent,
    STATE(17318), 2,
      sym_comment,
      sym_block_comment,
  [665839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22849), 1,
      anon_sym_RBRACE,
    STATE(17319), 2,
      sym_comment,
      sym_block_comment,
  [665853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22851), 1,
      anon_sym_RBRACE,
    STATE(17320), 2,
      sym_comment,
      sym_block_comment,
  [665867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22853), 1,
      sym__outdent,
    STATE(17321), 2,
      sym_comment,
      sym_block_comment,
  [665881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22855), 1,
      anon_sym_RPAREN,
    STATE(17322), 2,
      sym_comment,
      sym_block_comment,
  [665895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22857), 1,
      sym__outdent,
    STATE(17323), 2,
      sym_comment,
      sym_block_comment,
  [665909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22859), 1,
      anon_sym_RBRACE,
    STATE(17324), 2,
      sym_comment,
      sym_block_comment,
  [665923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22861), 1,
      sym__outdent,
    STATE(17325), 2,
      sym_comment,
      sym_block_comment,
  [665937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22863), 1,
      anon_sym_RPAREN,
    STATE(17326), 2,
      sym_comment,
      sym_block_comment,
  [665951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22865), 1,
      anon_sym_LPAREN,
    STATE(17327), 2,
      sym_comment,
      sym_block_comment,
  [665965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22867), 1,
      anon_sym_else,
    STATE(17328), 2,
      sym_comment,
      sym_block_comment,
  [665979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22859), 1,
      anon_sym_RPAREN,
    STATE(17329), 2,
      sym_comment,
      sym_block_comment,
  [665993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22869), 1,
      anon_sym_do,
    STATE(17330), 2,
      sym_comment,
      sym_block_comment,
  [666007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22871), 1,
      anon_sym_RPAREN,
    STATE(17331), 2,
      sym_comment,
      sym_block_comment,
  [666021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22873), 1,
      sym__outdent,
    STATE(17332), 2,
      sym_comment,
      sym_block_comment,
  [666035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22875), 1,
      anon_sym_then,
    STATE(17333), 2,
      sym_comment,
      sym_block_comment,
  [666049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22877), 1,
      anon_sym_RPAREN,
    STATE(17334), 2,
      sym_comment,
      sym_block_comment,
  [666063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22879), 1,
      anon_sym_else,
    STATE(17335), 2,
      sym_comment,
      sym_block_comment,
  [666077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22881), 1,
      sym__outdent,
    STATE(17336), 2,
      sym_comment,
      sym_block_comment,
  [666091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22883), 1,
      sym__outdent,
    STATE(17337), 2,
      sym_comment,
      sym_block_comment,
  [666105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22885), 1,
      sym__outdent,
    STATE(17338), 2,
      sym_comment,
      sym_block_comment,
  [666119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22887), 1,
      anon_sym_RBRACE,
    STATE(17339), 2,
      sym_comment,
      sym_block_comment,
  [666133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22889), 1,
      anon_sym_else,
    STATE(17340), 2,
      sym_comment,
      sym_block_comment,
  [666147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22891), 1,
      sym__outdent,
    STATE(17341), 2,
      sym_comment,
      sym_block_comment,
  [666161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22893), 1,
      anon_sym_RPAREN,
    STATE(17342), 2,
      sym_comment,
      sym_block_comment,
  [666175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22895), 1,
      anon_sym_RPAREN,
    STATE(17343), 2,
      sym_comment,
      sym_block_comment,
  [666189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12578), 1,
      anon_sym_DOT,
    STATE(17344), 2,
      sym_comment,
      sym_block_comment,
  [666203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22897), 1,
      anon_sym_else,
    STATE(17345), 2,
      sym_comment,
      sym_block_comment,
  [666217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8156), 1,
      anon_sym_with,
    STATE(17346), 2,
      sym_comment,
      sym_block_comment,
  [666231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22899), 1,
      anon_sym_RPAREN,
    STATE(17347), 2,
      sym_comment,
      sym_block_comment,
  [666245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22901), 1,
      sym__outdent,
    STATE(17348), 2,
      sym_comment,
      sym_block_comment,
  [666259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22903), 1,
      sym__indent,
    STATE(17349), 2,
      sym_comment,
      sym_block_comment,
  [666273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8120), 1,
      anon_sym_def,
    STATE(17350), 2,
      sym_comment,
      sym_block_comment,
  [666287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22905), 1,
      sym__outdent,
    STATE(17351), 2,
      sym_comment,
      sym_block_comment,
  [666301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22907), 1,
      sym__indent,
    STATE(17352), 2,
      sym_comment,
      sym_block_comment,
  [666315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22909), 1,
      anon_sym_else,
    STATE(17353), 2,
      sym_comment,
      sym_block_comment,
  [666329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15072), 1,
      anon_sym_def,
    STATE(17354), 2,
      sym_comment,
      sym_block_comment,
  [666343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22911), 1,
      anon_sym_RPAREN,
    STATE(17355), 2,
      sym_comment,
      sym_block_comment,
  [666357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22913), 1,
      anon_sym_do,
    STATE(17356), 2,
      sym_comment,
      sym_block_comment,
  [666371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22915), 1,
      anon_sym_else,
    STATE(17357), 2,
      sym_comment,
      sym_block_comment,
  [666385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22917), 1,
      anon_sym_RBRACE,
    STATE(17358), 2,
      sym_comment,
      sym_block_comment,
  [666399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22919), 1,
      anon_sym_RBRACK,
    STATE(17359), 2,
      sym_comment,
      sym_block_comment,
  [666413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22921), 1,
      anon_sym_RBRACE,
    STATE(17360), 2,
      sym_comment,
      sym_block_comment,
  [666427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22923), 1,
      sym__outdent,
    STATE(17361), 2,
      sym_comment,
      sym_block_comment,
  [666441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22925), 1,
      sym__outdent,
    STATE(17362), 2,
      sym_comment,
      sym_block_comment,
  [666455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22927), 1,
      anon_sym_RPAREN,
    STATE(17363), 2,
      sym_comment,
      sym_block_comment,
  [666469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22921), 1,
      anon_sym_RBRACK,
    STATE(17364), 2,
      sym_comment,
      sym_block_comment,
  [666483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22929), 1,
      anon_sym_RPAREN,
    STATE(17365), 2,
      sym_comment,
      sym_block_comment,
  [666497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22931), 1,
      anon_sym_RBRACE,
    STATE(17366), 2,
      sym_comment,
      sym_block_comment,
  [666511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22933), 1,
      anon_sym_RBRACE,
    STATE(17367), 2,
      sym_comment,
      sym_block_comment,
  [666525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22935), 1,
      anon_sym_with,
    STATE(17368), 2,
      sym_comment,
      sym_block_comment,
  [666539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22937), 1,
      anon_sym_else,
    STATE(17369), 2,
      sym_comment,
      sym_block_comment,
  [666553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22939), 1,
      anon_sym_RPAREN,
    STATE(17370), 2,
      sym_comment,
      sym_block_comment,
  [666567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22941), 1,
      sym__indent,
    STATE(17371), 2,
      sym_comment,
      sym_block_comment,
  [666581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22943), 1,
      anon_sym_RBRACE,
    STATE(17372), 2,
      sym_comment,
      sym_block_comment,
  [666595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22943), 1,
      anon_sym_RBRACK,
    STATE(17373), 2,
      sym_comment,
      sym_block_comment,
  [666609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22743), 1,
      anon_sym_RBRACE,
    STATE(17374), 2,
      sym_comment,
      sym_block_comment,
  [666623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22945), 1,
      anon_sym_RBRACE,
    STATE(17375), 2,
      sym_comment,
      sym_block_comment,
  [666637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22947), 1,
      anon_sym_RBRACK,
    STATE(17376), 2,
      sym_comment,
      sym_block_comment,
  [666651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11898), 1,
      anon_sym_with,
    STATE(17377), 2,
      sym_comment,
      sym_block_comment,
  [666665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22947), 1,
      anon_sym_RBRACE,
    STATE(17378), 2,
      sym_comment,
      sym_block_comment,
  [666679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22949), 1,
      sym__outdent,
    STATE(17379), 2,
      sym_comment,
      sym_block_comment,
  [666693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13250), 1,
      sym__indent,
    STATE(17380), 2,
      sym_comment,
      sym_block_comment,
  [666707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22951), 1,
      anon_sym_RPAREN,
    STATE(17381), 2,
      sym_comment,
      sym_block_comment,
  [666721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22953), 1,
      sym__outdent,
    STATE(17382), 2,
      sym_comment,
      sym_block_comment,
  [666735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22955), 1,
      anon_sym_RPAREN,
    STATE(17383), 2,
      sym_comment,
      sym_block_comment,
  [666749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22957), 1,
      anon_sym_RPAREN,
    STATE(17384), 2,
      sym_comment,
      sym_block_comment,
  [666763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22955), 1,
      anon_sym_RBRACE,
    STATE(17385), 2,
      sym_comment,
      sym_block_comment,
  [666777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22959), 1,
      anon_sym_do,
    STATE(17386), 2,
      sym_comment,
      sym_block_comment,
  [666791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22961), 1,
      sym__outdent,
    STATE(17387), 2,
      sym_comment,
      sym_block_comment,
  [666805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22963), 1,
      anon_sym_RBRACE,
    STATE(17388), 2,
      sym_comment,
      sym_block_comment,
  [666819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22965), 1,
      sym__indent,
    STATE(17389), 2,
      sym_comment,
      sym_block_comment,
  [666833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22967), 1,
      anon_sym_RPAREN,
    STATE(17390), 2,
      sym_comment,
      sym_block_comment,
  [666847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22969), 1,
      sym__outdent,
    STATE(17391), 2,
      sym_comment,
      sym_block_comment,
  [666861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22971), 1,
      anon_sym_RPAREN,
    STATE(17392), 2,
      sym_comment,
      sym_block_comment,
  [666875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22973), 1,
      anon_sym_do,
    STATE(17393), 2,
      sym_comment,
      sym_block_comment,
  [666889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22975), 1,
      sym__outdent,
    STATE(17394), 2,
      sym_comment,
      sym_block_comment,
  [666903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22977), 1,
      anon_sym_RPAREN,
    STATE(17395), 2,
      sym_comment,
      sym_block_comment,
  [666917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22979), 1,
      sym__indent,
    STATE(17396), 2,
      sym_comment,
      sym_block_comment,
  [666931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22981), 1,
      sym__outdent,
    STATE(17397), 2,
      sym_comment,
      sym_block_comment,
  [666945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22983), 1,
      anon_sym_EQ_GT,
    STATE(17398), 2,
      sym_comment,
      sym_block_comment,
  [666959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22985), 1,
      anon_sym_RBRACE,
    STATE(17399), 2,
      sym_comment,
      sym_block_comment,
  [666973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22987), 1,
      anon_sym_RBRACE,
    STATE(17400), 2,
      sym_comment,
      sym_block_comment,
  [666987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22989), 1,
      sym__outdent,
    STATE(17401), 2,
      sym_comment,
      sym_block_comment,
  [667001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22991), 1,
      anon_sym_RPAREN,
    STATE(17402), 2,
      sym_comment,
      sym_block_comment,
  [667015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22993), 1,
      sym__indent,
    STATE(17403), 2,
      sym_comment,
      sym_block_comment,
  [667029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22995), 1,
      anon_sym_RBRACE,
    STATE(17404), 2,
      sym_comment,
      sym_block_comment,
  [667043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22997), 1,
      sym__outdent,
    STATE(17405), 2,
      sym_comment,
      sym_block_comment,
  [667057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22999), 1,
      anon_sym_RPAREN,
    STATE(17406), 2,
      sym_comment,
      sym_block_comment,
  [667071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23001), 1,
      anon_sym_RBRACE,
    STATE(17407), 2,
      sym_comment,
      sym_block_comment,
  [667085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23003), 1,
      anon_sym_RBRACE,
    STATE(17408), 2,
      sym_comment,
      sym_block_comment,
  [667099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23003), 1,
      anon_sym_RPAREN,
    STATE(17409), 2,
      sym_comment,
      sym_block_comment,
  [667113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23005), 1,
      sym__indent,
    STATE(17410), 2,
      sym_comment,
      sym_block_comment,
  [667127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23007), 1,
      anon_sym_RPAREN,
    STATE(17411), 2,
      sym_comment,
      sym_block_comment,
  [667141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23009), 1,
      sym__outdent,
    STATE(17412), 2,
      sym_comment,
      sym_block_comment,
  [667155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23011), 1,
      anon_sym_RPAREN,
    STATE(17413), 2,
      sym_comment,
      sym_block_comment,
  [667169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23013), 1,
      anon_sym_do,
    STATE(17414), 2,
      sym_comment,
      sym_block_comment,
  [667183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23015), 1,
      sym__outdent,
    STATE(17415), 2,
      sym_comment,
      sym_block_comment,
  [667197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23017), 1,
      sym__outdent,
    STATE(17416), 2,
      sym_comment,
      sym_block_comment,
  [667211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23019), 1,
      sym__indent,
    STATE(17417), 2,
      sym_comment,
      sym_block_comment,
  [667225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23021), 1,
      anon_sym_RPAREN,
    STATE(17418), 2,
      sym_comment,
      sym_block_comment,
  [667239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23023), 1,
      anon_sym_RBRACE,
    STATE(17419), 2,
      sym_comment,
      sym_block_comment,
  [667253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23025), 1,
      anon_sym_RBRACE,
    STATE(17420), 2,
      sym_comment,
      sym_block_comment,
  [667267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23027), 1,
      anon_sym_RBRACE,
    STATE(17421), 2,
      sym_comment,
      sym_block_comment,
  [667281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23029), 1,
      anon_sym_else,
    STATE(17422), 2,
      sym_comment,
      sym_block_comment,
  [667295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23031), 1,
      anon_sym_RPAREN,
    STATE(17423), 2,
      sym_comment,
      sym_block_comment,
  [667309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23033), 1,
      sym__indent,
    STATE(17424), 2,
      sym_comment,
      sym_block_comment,
  [667323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23035), 1,
      anon_sym_else,
    STATE(17425), 2,
      sym_comment,
      sym_block_comment,
  [667337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23037), 1,
      anon_sym_RPAREN,
    STATE(17426), 2,
      sym_comment,
      sym_block_comment,
  [667351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23039), 1,
      sym__outdent,
    STATE(17427), 2,
      sym_comment,
      sym_block_comment,
  [667365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23041), 1,
      anon_sym_RPAREN,
    STATE(17428), 2,
      sym_comment,
      sym_block_comment,
  [667379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23043), 1,
      sym__outdent,
    STATE(17429), 2,
      sym_comment,
      sym_block_comment,
  [667393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23045), 1,
      sym__outdent,
    STATE(17430), 2,
      sym_comment,
      sym_block_comment,
  [667407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23047), 1,
      sym__indent,
    STATE(17431), 2,
      sym_comment,
      sym_block_comment,
  [667421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23049), 1,
      anon_sym_RPAREN,
    STATE(17432), 2,
      sym_comment,
      sym_block_comment,
  [667435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23051), 1,
      anon_sym_RBRACE,
    STATE(17433), 2,
      sym_comment,
      sym_block_comment,
  [667449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23053), 1,
      anon_sym_RBRACE,
    STATE(17434), 2,
      sym_comment,
      sym_block_comment,
  [667463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23055), 1,
      sym__outdent,
    STATE(17435), 2,
      sym_comment,
      sym_block_comment,
  [667477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23057), 1,
      anon_sym_EQ,
    STATE(17436), 2,
      sym_comment,
      sym_block_comment,
  [667491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23059), 1,
      anon_sym_RBRACE,
    STATE(17437), 2,
      sym_comment,
      sym_block_comment,
  [667505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23061), 1,
      sym__indent,
    STATE(17438), 2,
      sym_comment,
      sym_block_comment,
  [667519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23063), 1,
      anon_sym_RBRACE,
    STATE(17439), 2,
      sym_comment,
      sym_block_comment,
  [667533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23065), 1,
      anon_sym_EQ,
    STATE(17440), 2,
      sym_comment,
      sym_block_comment,
  [667547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23067), 1,
      anon_sym_RPAREN,
    STATE(17441), 2,
      sym_comment,
      sym_block_comment,
  [667561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23069), 1,
      sym__outdent,
    STATE(17442), 2,
      sym_comment,
      sym_block_comment,
  [667575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23071), 1,
      anon_sym_else,
    STATE(17443), 2,
      sym_comment,
      sym_block_comment,
  [667589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23073), 1,
      sym__outdent,
    STATE(17444), 2,
      sym_comment,
      sym_block_comment,
  [667603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23075), 1,
      sym__indent,
    STATE(17445), 2,
      sym_comment,
      sym_block_comment,
  [667617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23077), 1,
      anon_sym_RPAREN,
    STATE(17446), 2,
      sym_comment,
      sym_block_comment,
  [667631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23079), 1,
      sym__outdent,
    STATE(17447), 2,
      sym_comment,
      sym_block_comment,
  [667645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23081), 1,
      anon_sym_RPAREN,
    STATE(17448), 2,
      sym_comment,
      sym_block_comment,
  [667659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23083), 1,
      anon_sym_else,
    STATE(17449), 2,
      sym_comment,
      sym_block_comment,
  [667673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23085), 1,
      anon_sym_RBRACE,
    STATE(17450), 2,
      sym_comment,
      sym_block_comment,
  [667687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23087), 1,
      sym__outdent,
    STATE(17451), 2,
      sym_comment,
      sym_block_comment,
  [667701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23089), 1,
      sym__indent,
    STATE(17452), 2,
      sym_comment,
      sym_block_comment,
  [667715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23091), 1,
      anon_sym_RBRACE,
    STATE(17453), 2,
      sym_comment,
      sym_block_comment,
  [667729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23093), 1,
      sym__outdent,
    STATE(17454), 2,
      sym_comment,
      sym_block_comment,
  [667743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23095), 1,
      anon_sym_EQ_GT_GT,
    STATE(17455), 2,
      sym_comment,
      sym_block_comment,
  [667757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23097), 1,
      anon_sym_do,
    STATE(17456), 2,
      sym_comment,
      sym_block_comment,
  [667771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23099), 1,
      anon_sym_RPAREN,
    STATE(17457), 2,
      sym_comment,
      sym_block_comment,
  [667785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23101), 1,
      sym__outdent,
    STATE(17458), 2,
      sym_comment,
      sym_block_comment,
  [667799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23103), 1,
      sym__indent,
    STATE(17459), 2,
      sym_comment,
      sym_block_comment,
  [667813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23105), 1,
      anon_sym_RPAREN,
    STATE(17460), 2,
      sym_comment,
      sym_block_comment,
  [667827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23107), 1,
      sym__outdent,
    STATE(17461), 2,
      sym_comment,
      sym_block_comment,
  [667841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23109), 1,
      anon_sym_RPAREN,
    STATE(17462), 2,
      sym_comment,
      sym_block_comment,
  [667855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23085), 1,
      anon_sym_RPAREN,
    STATE(17463), 2,
      sym_comment,
      sym_block_comment,
  [667869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      anon_sym_RBRACE,
    STATE(17464), 2,
      sym_comment,
      sym_block_comment,
  [667883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23113), 1,
      anon_sym_RBRACE,
    STATE(17465), 2,
      sym_comment,
      sym_block_comment,
  [667897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23115), 1,
      sym__indent,
    STATE(17466), 2,
      sym_comment,
      sym_block_comment,
  [667911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23117), 1,
      anon_sym_RBRACE,
    STATE(17467), 2,
      sym_comment,
      sym_block_comment,
  [667925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23119), 1,
      anon_sym_else,
    STATE(17468), 2,
      sym_comment,
      sym_block_comment,
  [667939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23121), 1,
      anon_sym_EQ_GT_GT,
    STATE(17469), 2,
      sym_comment,
      sym_block_comment,
  [667953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23123), 1,
      anon_sym_else,
    STATE(17470), 2,
      sym_comment,
      sym_block_comment,
  [667967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23125), 1,
      anon_sym_using,
    STATE(17471), 2,
      sym_comment,
      sym_block_comment,
  [667981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23127), 1,
      sym__outdent,
    STATE(17472), 2,
      sym_comment,
      sym_block_comment,
  [667995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23129), 1,
      sym__indent,
    STATE(17473), 2,
      sym_comment,
      sym_block_comment,
  [668009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23131), 1,
      sym__outdent,
    STATE(17474), 2,
      sym_comment,
      sym_block_comment,
  [668023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23133), 1,
      sym__outdent,
    STATE(17475), 2,
      sym_comment,
      sym_block_comment,
  [668037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23135), 1,
      anon_sym_RPAREN,
    STATE(17476), 2,
      sym_comment,
      sym_block_comment,
  [668051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23137), 1,
      anon_sym_EQ_GT_GT,
    STATE(17477), 2,
      sym_comment,
      sym_block_comment,
  [668065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23139), 1,
      sym__outdent,
    STATE(17478), 2,
      sym_comment,
      sym_block_comment,
  [668079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23141), 1,
      anon_sym_RPAREN,
    STATE(17479), 2,
      sym_comment,
      sym_block_comment,
  [668093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23143), 1,
      sym__indent,
    STATE(17480), 2,
      sym_comment,
      sym_block_comment,
  [668107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23145), 1,
      anon_sym_RBRACE,
    STATE(17481), 2,
      sym_comment,
      sym_block_comment,
  [668121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23147), 1,
      anon_sym_RBRACE,
    STATE(17482), 2,
      sym_comment,
      sym_block_comment,
  [668135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23149), 1,
      anon_sym_EQ_GT_GT,
    STATE(17483), 2,
      sym_comment,
      sym_block_comment,
  [668149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23145), 1,
      anon_sym_RPAREN,
    STATE(17484), 2,
      sym_comment,
      sym_block_comment,
  [668163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23151), 1,
      anon_sym_COLON,
    STATE(17485), 2,
      sym_comment,
      sym_block_comment,
  [668177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23153), 1,
      sym__indent,
    STATE(17486), 2,
      sym_comment,
      sym_block_comment,
  [668191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23155), 1,
      sym__outdent,
    STATE(17487), 2,
      sym_comment,
      sym_block_comment,
  [668205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23157), 1,
      anon_sym_RPAREN,
    STATE(17488), 2,
      sym_comment,
      sym_block_comment,
  [668219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23159), 1,
      sym__outdent,
    STATE(17489), 2,
      sym_comment,
      sym_block_comment,
  [668233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23161), 1,
      sym__outdent,
    STATE(17490), 2,
      sym_comment,
      sym_block_comment,
  [668247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23163), 1,
      anon_sym_RPAREN,
    STATE(17491), 2,
      sym_comment,
      sym_block_comment,
  [668261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23165), 1,
      sym__indent,
    STATE(17492), 2,
      sym_comment,
      sym_block_comment,
  [668275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23167), 1,
      anon_sym_RPAREN,
    STATE(17493), 2,
      sym_comment,
      sym_block_comment,
  [668289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23169), 1,
      sym__outdent,
    STATE(17494), 2,
      sym_comment,
      sym_block_comment,
  [668303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23171), 1,
      anon_sym_RPAREN,
    STATE(17495), 2,
      sym_comment,
      sym_block_comment,
  [668317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23173), 1,
      anon_sym_RPAREN,
    STATE(17496), 2,
      sym_comment,
      sym_block_comment,
  [668331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23175), 1,
      anon_sym_RPAREN,
    STATE(17497), 2,
      sym_comment,
      sym_block_comment,
  [668345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23177), 1,
      sym__indent,
    STATE(17498), 2,
      sym_comment,
      sym_block_comment,
  [668359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23179), 1,
      anon_sym_else,
    STATE(17499), 2,
      sym_comment,
      sym_block_comment,
  [668373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23181), 1,
      anon_sym_RBRACK,
    STATE(17500), 2,
      sym_comment,
      sym_block_comment,
  [668387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23183), 1,
      sym__outdent,
    STATE(17501), 2,
      sym_comment,
      sym_block_comment,
  [668401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23181), 1,
      anon_sym_RBRACE,
    STATE(17502), 2,
      sym_comment,
      sym_block_comment,
  [668415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23185), 1,
      anon_sym_RPAREN,
    STATE(17503), 2,
      sym_comment,
      sym_block_comment,
  [668429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23187), 1,
      sym__indent,
    STATE(17504), 2,
      sym_comment,
      sym_block_comment,
  [668443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23189), 1,
      anon_sym_RPAREN,
    STATE(17505), 2,
      sym_comment,
      sym_block_comment,
  [668457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23191), 1,
      anon_sym_RBRACK,
    STATE(17506), 2,
      sym_comment,
      sym_block_comment,
  [668471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23193), 1,
      sym__outdent,
    STATE(17507), 2,
      sym_comment,
      sym_block_comment,
  [668485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23195), 1,
      anon_sym_RPAREN,
    STATE(17508), 2,
      sym_comment,
      sym_block_comment,
  [668499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23191), 1,
      anon_sym_RBRACE,
    STATE(17509), 2,
      sym_comment,
      sym_block_comment,
  [668513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23197), 1,
      sym__indent,
    STATE(17510), 2,
      sym_comment,
      sym_block_comment,
  [668527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23199), 1,
      sym__outdent,
    STATE(17511), 2,
      sym_comment,
      sym_block_comment,
  [668541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23201), 1,
      anon_sym_else,
    STATE(17512), 2,
      sym_comment,
      sym_block_comment,
  [668555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23203), 1,
      anon_sym_else,
    STATE(17513), 2,
      sym_comment,
      sym_block_comment,
  [668569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23205), 1,
      anon_sym_RBRACE,
    STATE(17514), 2,
      sym_comment,
      sym_block_comment,
  [668583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23207), 1,
      anon_sym_RPAREN,
    STATE(17515), 2,
      sym_comment,
      sym_block_comment,
  [668597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23209), 1,
      sym__indent,
    STATE(17516), 2,
      sym_comment,
      sym_block_comment,
  [668611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23211), 1,
      sym__outdent,
    STATE(17517), 2,
      sym_comment,
      sym_block_comment,
  [668625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23207), 1,
      anon_sym_RBRACE,
    STATE(17518), 2,
      sym_comment,
      sym_block_comment,
  [668639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23213), 1,
      anon_sym_RPAREN,
    STATE(17519), 2,
      sym_comment,
      sym_block_comment,
  [668653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23215), 1,
      anon_sym_do,
    STATE(17520), 2,
      sym_comment,
      sym_block_comment,
  [668667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23217), 1,
      sym__outdent,
    STATE(17521), 2,
      sym_comment,
      sym_block_comment,
  [668681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23219), 1,
      sym__indent,
    STATE(17522), 2,
      sym_comment,
      sym_block_comment,
  [668695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23221), 1,
      anon_sym_RPAREN,
    STATE(17523), 2,
      sym_comment,
      sym_block_comment,
  [668709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23223), 1,
      sym__outdent,
    STATE(17524), 2,
      sym_comment,
      sym_block_comment,
  [668723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23225), 1,
      anon_sym_RBRACE,
    STATE(17525), 2,
      sym_comment,
      sym_block_comment,
  [668737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23227), 1,
      anon_sym_RBRACE,
    STATE(17526), 2,
      sym_comment,
      sym_block_comment,
  [668751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23227), 1,
      anon_sym_RBRACK,
    STATE(17527), 2,
      sym_comment,
      sym_block_comment,
  [668765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23229), 1,
      sym__indent,
    STATE(17528), 2,
      sym_comment,
      sym_block_comment,
  [668779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23231), 1,
      sym__outdent,
    STATE(17529), 2,
      sym_comment,
      sym_block_comment,
  [668793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23233), 1,
      anon_sym_RBRACE,
    STATE(17530), 2,
      sym_comment,
      sym_block_comment,
  [668807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23235), 1,
      sym__outdent,
    STATE(17531), 2,
      sym_comment,
      sym_block_comment,
  [668821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23237), 1,
      anon_sym_RPAREN,
    STATE(17532), 2,
      sym_comment,
      sym_block_comment,
  [668835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8194), 1,
      anon_sym_type,
    STATE(17533), 2,
      sym_comment,
      sym_block_comment,
  [668849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23239), 1,
      sym__indent,
    STATE(17534), 2,
      sym_comment,
      sym_block_comment,
  [668863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23241), 1,
      sym__outdent,
    STATE(17535), 2,
      sym_comment,
      sym_block_comment,
  [668877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23243), 1,
      anon_sym_RBRACE,
    STATE(17536), 2,
      sym_comment,
      sym_block_comment,
  [668891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23245), 1,
      anon_sym_RPAREN,
    STATE(17537), 2,
      sym_comment,
      sym_block_comment,
  [668905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23247), 1,
      anon_sym_RPAREN,
    STATE(17538), 2,
      sym_comment,
      sym_block_comment,
  [668919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23249), 1,
      anon_sym_RPAREN,
    STATE(17539), 2,
      sym_comment,
      sym_block_comment,
  [668933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23251), 1,
      sym__indent,
    STATE(17540), 2,
      sym_comment,
      sym_block_comment,
  [668947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23253), 1,
      anon_sym_RBRACE,
    STATE(17541), 2,
      sym_comment,
      sym_block_comment,
  [668961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23255), 1,
      anon_sym_RBRACE,
    STATE(17542), 2,
      sym_comment,
      sym_block_comment,
  [668975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23257), 1,
      sym__outdent,
    STATE(17543), 2,
      sym_comment,
      sym_block_comment,
  [668989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23259), 1,
      anon_sym_else,
    STATE(17544), 2,
      sym_comment,
      sym_block_comment,
  [669003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23261), 1,
      sym__outdent,
    STATE(17545), 2,
      sym_comment,
      sym_block_comment,
  [669017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23263), 1,
      sym__indent,
    STATE(17546), 2,
      sym_comment,
      sym_block_comment,
  [669031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23265), 1,
      anon_sym_RPAREN,
    STATE(17547), 2,
      sym_comment,
      sym_block_comment,
  [669045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23267), 1,
      anon_sym_RPAREN,
    STATE(17548), 2,
      sym_comment,
      sym_block_comment,
  [669059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23269), 1,
      sym__outdent,
    STATE(17549), 2,
      sym_comment,
      sym_block_comment,
  [669073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23271), 1,
      anon_sym_do,
    STATE(17550), 2,
      sym_comment,
      sym_block_comment,
  [669087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23273), 1,
      sym__outdent,
    STATE(17551), 2,
      sym_comment,
      sym_block_comment,
  [669101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23275), 1,
      sym__indent,
    STATE(17552), 2,
      sym_comment,
      sym_block_comment,
  [669115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23277), 1,
      anon_sym_RPAREN,
    STATE(17553), 2,
      sym_comment,
      sym_block_comment,
  [669129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23279), 1,
      anon_sym_RPAREN,
    STATE(17554), 2,
      sym_comment,
      sym_block_comment,
  [669143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23281), 1,
      anon_sym_else,
    STATE(17555), 2,
      sym_comment,
      sym_block_comment,
  [669157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23283), 1,
      anon_sym_RBRACE,
    STATE(17556), 2,
      sym_comment,
      sym_block_comment,
  [669171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23285), 1,
      anon_sym_RBRACE,
    STATE(17557), 2,
      sym_comment,
      sym_block_comment,
  [669185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23287), 1,
      sym__indent,
    STATE(17558), 2,
      sym_comment,
      sym_block_comment,
  [669199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23289), 1,
      sym__outdent,
    STATE(17559), 2,
      sym_comment,
      sym_block_comment,
  [669213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23291), 1,
      anon_sym_RPAREN,
    STATE(17560), 2,
      sym_comment,
      sym_block_comment,
  [669227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23293), 1,
      sym__outdent,
    STATE(17561), 2,
      sym_comment,
      sym_block_comment,
  [669241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23295), 1,
      anon_sym_RBRACE,
    STATE(17562), 2,
      sym_comment,
      sym_block_comment,
  [669255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23297), 1,
      ts_builtin_sym_end,
    STATE(17563), 2,
      sym_comment,
      sym_block_comment,
  [669269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23299), 1,
      sym__indent,
    STATE(17564), 2,
      sym_comment,
      sym_block_comment,
  [669283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23301), 1,
      anon_sym_RPAREN,
    STATE(17565), 2,
      sym_comment,
      sym_block_comment,
  [669297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23303), 1,
      anon_sym_RBRACK,
    STATE(17566), 2,
      sym_comment,
      sym_block_comment,
  [669311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23305), 1,
      anon_sym_do,
    STATE(17567), 2,
      sym_comment,
      sym_block_comment,
  [669325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23307), 1,
      anon_sym_RBRACE,
    STATE(17568), 2,
      sym_comment,
      sym_block_comment,
  [669339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23303), 1,
      anon_sym_RBRACE,
    STATE(17569), 2,
      sym_comment,
      sym_block_comment,
  [669353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23309), 1,
      sym__indent,
    STATE(17570), 2,
      sym_comment,
      sym_block_comment,
  [669367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23311), 1,
      anon_sym_RBRACK,
    STATE(17571), 2,
      sym_comment,
      sym_block_comment,
  [669381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23313), 1,
      sym__outdent,
    STATE(17572), 2,
      sym_comment,
      sym_block_comment,
  [669395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23315), 1,
      anon_sym_RPAREN,
    STATE(17573), 2,
      sym_comment,
      sym_block_comment,
  [669409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23317), 1,
      anon_sym_RPAREN,
    STATE(17574), 2,
      sym_comment,
      sym_block_comment,
  [669423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23311), 1,
      anon_sym_RBRACE,
    STATE(17575), 2,
      sym_comment,
      sym_block_comment,
  [669437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23319), 1,
      sym__indent,
    STATE(17576), 2,
      sym_comment,
      sym_block_comment,
  [669451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23321), 1,
      sym__outdent,
    STATE(17577), 2,
      sym_comment,
      sym_block_comment,
  [669465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23323), 1,
      anon_sym_RPAREN,
    STATE(17578), 2,
      sym_comment,
      sym_block_comment,
  [669479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23325), 1,
      anon_sym_do,
    STATE(17579), 2,
      sym_comment,
      sym_block_comment,
  [669493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23327), 1,
      sym__outdent,
    STATE(17580), 2,
      sym_comment,
      sym_block_comment,
  [669507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23329), 1,
      anon_sym_RBRACE,
    STATE(17581), 2,
      sym_comment,
      sym_block_comment,
  [669521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23331), 1,
      sym__indent,
    STATE(17582), 2,
      sym_comment,
      sym_block_comment,
  [669535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23333), 1,
      anon_sym_RBRACE,
    STATE(17583), 2,
      sym_comment,
      sym_block_comment,
  [669549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23335), 1,
      sym__outdent,
    STATE(17584), 2,
      sym_comment,
      sym_block_comment,
  [669563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23337), 1,
      anon_sym_RPAREN,
    STATE(17585), 2,
      sym_comment,
      sym_block_comment,
  [669577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23339), 1,
      sym__outdent,
    STATE(17586), 2,
      sym_comment,
      sym_block_comment,
  [669591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23341), 1,
      anon_sym_RPAREN,
    STATE(17587), 2,
      sym_comment,
      sym_block_comment,
  [669605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23343), 1,
      sym__indent,
    STATE(17588), 2,
      sym_comment,
      sym_block_comment,
  [669619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23345), 1,
      anon_sym_RPAREN,
    STATE(17589), 2,
      sym_comment,
      sym_block_comment,
  [669633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23347), 1,
      sym__outdent,
    STATE(17590), 2,
      sym_comment,
      sym_block_comment,
  [669647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23349), 1,
      anon_sym_RBRACE,
    STATE(17591), 2,
      sym_comment,
      sym_block_comment,
  [669661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23351), 1,
      anon_sym_else,
    STATE(17592), 2,
      sym_comment,
      sym_block_comment,
  [669675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23353), 1,
      anon_sym_else,
    STATE(17593), 2,
      sym_comment,
      sym_block_comment,
  [669689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23355), 1,
      sym__indent,
    STATE(17594), 2,
      sym_comment,
      sym_block_comment,
  [669703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23357), 1,
      anon_sym_RBRACE,
    STATE(17595), 2,
      sym_comment,
      sym_block_comment,
  [669717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23359), 1,
      anon_sym_RBRACE,
    STATE(17596), 2,
      sym_comment,
      sym_block_comment,
  [669731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23359), 1,
      anon_sym_RPAREN,
    STATE(17597), 2,
      sym_comment,
      sym_block_comment,
  [669745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23361), 1,
      anon_sym_RPAREN,
    STATE(17598), 2,
      sym_comment,
      sym_block_comment,
  [669759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23363), 1,
      sym__outdent,
    STATE(17599), 2,
      sym_comment,
      sym_block_comment,
  [669773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23365), 1,
      sym__indent,
    STATE(17600), 2,
      sym_comment,
      sym_block_comment,
  [669787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23367), 1,
      sym__outdent,
    STATE(17601), 2,
      sym_comment,
      sym_block_comment,
  [669801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23369), 1,
      anon_sym_RPAREN,
    STATE(17602), 2,
      sym_comment,
      sym_block_comment,
  [669815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23345), 1,
      anon_sym_RBRACE,
    STATE(17603), 2,
      sym_comment,
      sym_block_comment,
  [669829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23371), 1,
      anon_sym_RPAREN,
    STATE(17604), 2,
      sym_comment,
      sym_block_comment,
  [669843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23373), 1,
      sym__outdent,
    STATE(17605), 2,
      sym_comment,
      sym_block_comment,
  [669857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23375), 1,
      sym__indent,
    STATE(17606), 2,
      sym_comment,
      sym_block_comment,
  [669871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23377), 1,
      anon_sym_RPAREN,
    STATE(17607), 2,
      sym_comment,
      sym_block_comment,
  [669885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23379), 1,
      anon_sym_RBRACE,
    STATE(17608), 2,
      sym_comment,
      sym_block_comment,
  [669899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23381), 1,
      anon_sym_RBRACE,
    STATE(17609), 2,
      sym_comment,
      sym_block_comment,
  [669913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23383), 1,
      sym__outdent,
    STATE(17610), 2,
      sym_comment,
      sym_block_comment,
  [669927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23385), 1,
      anon_sym_else,
    STATE(17611), 2,
      sym_comment,
      sym_block_comment,
  [669941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23387), 1,
      sym__indent,
    STATE(17612), 2,
      sym_comment,
      sym_block_comment,
  [669955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23389), 1,
      anon_sym_RBRACE,
    STATE(17613), 2,
      sym_comment,
      sym_block_comment,
  [669969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23381), 1,
      anon_sym_RBRACK,
    STATE(17614), 2,
      sym_comment,
      sym_block_comment,
  [669983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23391), 1,
      anon_sym_RBRACE,
    STATE(17615), 2,
      sym_comment,
      sym_block_comment,
  [669997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23391), 1,
      anon_sym_RBRACK,
    STATE(17616), 2,
      sym_comment,
      sym_block_comment,
  [670011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23379), 1,
      anon_sym_RPAREN,
    STATE(17617), 2,
      sym_comment,
      sym_block_comment,
  [670025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23393), 1,
      sym__indent,
    STATE(17618), 2,
      sym_comment,
      sym_block_comment,
  [670039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23395), 1,
      sym__outdent,
    STATE(17619), 2,
      sym_comment,
      sym_block_comment,
  [670053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23397), 1,
      sym__outdent,
    STATE(17620), 2,
      sym_comment,
      sym_block_comment,
  [670067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23399), 1,
      anon_sym_RPAREN,
    STATE(17621), 2,
      sym_comment,
      sym_block_comment,
  [670081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23401), 1,
      sym__outdent,
    STATE(17622), 2,
      sym_comment,
      sym_block_comment,
  [670095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23247), 1,
      anon_sym_RBRACE,
    STATE(17623), 2,
      sym_comment,
      sym_block_comment,
  [670109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23403), 1,
      sym__indent,
    STATE(17624), 2,
      sym_comment,
      sym_block_comment,
  [670123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23405), 1,
      sym__outdent,
    STATE(17625), 2,
      sym_comment,
      sym_block_comment,
  [670137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23255), 1,
      anon_sym_RBRACK,
    STATE(17626), 2,
      sym_comment,
      sym_block_comment,
  [670151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23407), 1,
      anon_sym_RPAREN,
    STATE(17627), 2,
      sym_comment,
      sym_block_comment,
  [670165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23409), 1,
      anon_sym_RBRACE,
    STATE(17628), 2,
      sym_comment,
      sym_block_comment,
  [670179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23411), 1,
      anon_sym_else,
    STATE(17629), 2,
      sym_comment,
      sym_block_comment,
  [670193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23413), 1,
      sym__indent,
    STATE(17630), 2,
      sym_comment,
      sym_block_comment,
  [670207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23415), 1,
      anon_sym_RPAREN,
    STATE(17631), 2,
      sym_comment,
      sym_block_comment,
  [670221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23417), 1,
      anon_sym_RBRACK,
    STATE(17632), 2,
      sym_comment,
      sym_block_comment,
  [670235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23419), 1,
      sym__outdent,
    STATE(17633), 2,
      sym_comment,
      sym_block_comment,
  [670249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23417), 1,
      anon_sym_RBRACE,
    STATE(17634), 2,
      sym_comment,
      sym_block_comment,
  [670263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23421), 1,
      anon_sym_RBRACK,
    STATE(17635), 2,
      sym_comment,
      sym_block_comment,
  [670277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23423), 1,
      sym__indent,
    STATE(17636), 2,
      sym_comment,
      sym_block_comment,
  [670291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23425), 1,
      sym__outdent,
    STATE(17637), 2,
      sym_comment,
      sym_block_comment,
  [670305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23421), 1,
      anon_sym_RBRACE,
    STATE(17638), 2,
      sym_comment,
      sym_block_comment,
  [670319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23427), 1,
      anon_sym_RPAREN,
    STATE(17639), 2,
      sym_comment,
      sym_block_comment,
  [670333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23429), 1,
      sym__outdent,
    STATE(17640), 2,
      sym_comment,
      sym_block_comment,
  [670347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23431), 1,
      anon_sym_RPAREN,
    STATE(17641), 2,
      sym_comment,
      sym_block_comment,
  [670361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23433), 1,
      sym__indent,
    STATE(17642), 2,
      sym_comment,
      sym_block_comment,
  [670375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23435), 1,
      anon_sym_RPAREN,
    STATE(17643), 2,
      sym_comment,
      sym_block_comment,
  [670389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23431), 1,
      anon_sym_RBRACE,
    STATE(17644), 2,
      sym_comment,
      sym_block_comment,
  [670403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23437), 1,
      anon_sym_else,
    STATE(17645), 2,
      sym_comment,
      sym_block_comment,
  [670417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23439), 1,
      sym__outdent,
    STATE(17646), 2,
      sym_comment,
      sym_block_comment,
  [670431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23441), 1,
      sym__outdent,
    STATE(17647), 2,
      sym_comment,
      sym_block_comment,
  [670445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23443), 1,
      sym__indent,
    STATE(17648), 2,
      sym_comment,
      sym_block_comment,
  [670459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23445), 1,
      anon_sym_RBRACE,
    STATE(17649), 2,
      sym_comment,
      sym_block_comment,
  [670473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23447), 1,
      sym__outdent,
    STATE(17650), 2,
      sym_comment,
      sym_block_comment,
  [670487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23449), 1,
      anon_sym_RPAREN,
    STATE(17651), 2,
      sym_comment,
      sym_block_comment,
  [670501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23451), 1,
      anon_sym_RPAREN,
    STATE(17652), 2,
      sym_comment,
      sym_block_comment,
  [670515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23453), 1,
      sym__outdent,
    STATE(17653), 2,
      sym_comment,
      sym_block_comment,
  [670529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23455), 1,
      sym__indent,
    STATE(17654), 2,
      sym_comment,
      sym_block_comment,
  [670543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23457), 1,
      anon_sym_RPAREN,
    STATE(17655), 2,
      sym_comment,
      sym_block_comment,
  [670557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23459), 1,
      sym__outdent,
    STATE(17656), 2,
      sym_comment,
      sym_block_comment,
  [670571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23461), 1,
      anon_sym_else,
    STATE(17657), 2,
      sym_comment,
      sym_block_comment,
  [670585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23463), 1,
      anon_sym_RBRACE,
    STATE(17658), 2,
      sym_comment,
      sym_block_comment,
  [670599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23465), 1,
      anon_sym_RBRACE,
    STATE(17659), 2,
      sym_comment,
      sym_block_comment,
  [670613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23467), 1,
      sym__indent,
    STATE(17660), 2,
      sym_comment,
      sym_block_comment,
  [670627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23469), 1,
      anon_sym_else,
    STATE(17661), 2,
      sym_comment,
      sym_block_comment,
  [670641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23471), 1,
      anon_sym_EQ,
    STATE(17662), 2,
      sym_comment,
      sym_block_comment,
  [670655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23473), 1,
      anon_sym_EQ,
    STATE(17663), 2,
      sym_comment,
      sym_block_comment,
  [670669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23475), 1,
      sym__outdent,
    STATE(17664), 2,
      sym_comment,
      sym_block_comment,
  [670683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23477), 1,
      anon_sym_RPAREN,
    STATE(17665), 2,
      sym_comment,
      sym_block_comment,
  [670697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23479), 1,
      sym__indent,
    STATE(17666), 2,
      sym_comment,
      sym_block_comment,
  [670711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23481), 1,
      sym__outdent,
    STATE(17667), 2,
      sym_comment,
      sym_block_comment,
  [670725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23483), 1,
      anon_sym_RPAREN,
    STATE(17668), 2,
      sym_comment,
      sym_block_comment,
  [670739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23485), 1,
      anon_sym_RPAREN,
    STATE(17669), 2,
      sym_comment,
      sym_block_comment,
  [670753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23487), 1,
      anon_sym_do,
    STATE(17670), 2,
      sym_comment,
      sym_block_comment,
  [670767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23489), 1,
      anon_sym_RBRACE,
    STATE(17671), 2,
      sym_comment,
      sym_block_comment,
  [670781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23491), 1,
      sym__indent,
    STATE(17672), 2,
      sym_comment,
      sym_block_comment,
  [670795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23493), 1,
      sym__outdent,
    STATE(17673), 2,
      sym_comment,
      sym_block_comment,
  [670809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23495), 1,
      anon_sym_EQ_GT_GT,
    STATE(17674), 2,
      sym_comment,
      sym_block_comment,
  [670823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23497), 1,
      sym__outdent,
    STATE(17675), 2,
      sym_comment,
      sym_block_comment,
  [670837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23499), 1,
      anon_sym_RBRACE,
    STATE(17676), 2,
      sym_comment,
      sym_block_comment,
  [670851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23501), 1,
      anon_sym_RPAREN,
    STATE(17677), 2,
      sym_comment,
      sym_block_comment,
  [670865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23503), 1,
      sym__indent,
    STATE(17678), 2,
      sym_comment,
      sym_block_comment,
  [670879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23505), 1,
      anon_sym_do,
    STATE(17679), 2,
      sym_comment,
      sym_block_comment,
  [670893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23507), 1,
      sym__outdent,
    STATE(17680), 2,
      sym_comment,
      sym_block_comment,
  [670907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23509), 1,
      anon_sym_RPAREN,
    STATE(17681), 2,
      sym_comment,
      sym_block_comment,
  [670921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23511), 1,
      anon_sym_RBRACE,
    STATE(17682), 2,
      sym_comment,
      sym_block_comment,
  [670935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23513), 1,
      anon_sym_else,
    STATE(17683), 2,
      sym_comment,
      sym_block_comment,
  [670949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23515), 1,
      sym__indent,
    STATE(17684), 2,
      sym_comment,
      sym_block_comment,
  [670963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23517), 1,
      anon_sym_RBRACE,
    STATE(17685), 2,
      sym_comment,
      sym_block_comment,
  [670977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23519), 1,
      anon_sym_RBRACE,
    STATE(17686), 2,
      sym_comment,
      sym_block_comment,
  [670991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23521), 1,
      anon_sym_RBRACE,
    STATE(17687), 2,
      sym_comment,
      sym_block_comment,
  [671005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23521), 1,
      anon_sym_RPAREN,
    STATE(17688), 2,
      sym_comment,
      sym_block_comment,
  [671019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23523), 1,
      sym__outdent,
    STATE(17689), 2,
      sym_comment,
      sym_block_comment,
  [671033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23525), 1,
      sym__indent,
    STATE(17690), 2,
      sym_comment,
      sym_block_comment,
  [671047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23527), 1,
      anon_sym_RPAREN,
    STATE(17691), 2,
      sym_comment,
      sym_block_comment,
  [671061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23529), 1,
      anon_sym_else,
    STATE(17692), 2,
      sym_comment,
      sym_block_comment,
  [671075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23531), 1,
      anon_sym_EQ_GT_GT,
    STATE(17693), 2,
      sym_comment,
      sym_block_comment,
  [671089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23533), 1,
      anon_sym_do,
    STATE(17694), 2,
      sym_comment,
      sym_block_comment,
  [671103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23535), 1,
      sym__outdent,
    STATE(17695), 2,
      sym_comment,
      sym_block_comment,
  [671117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23537), 1,
      sym__indent,
    STATE(17696), 2,
      sym_comment,
      sym_block_comment,
  [671131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23539), 1,
      sym__outdent,
    STATE(17697), 2,
      sym_comment,
      sym_block_comment,
  [671145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23541), 1,
      anon_sym_RPAREN,
    STATE(17698), 2,
      sym_comment,
      sym_block_comment,
  [671159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23543), 1,
      anon_sym_EQ_GT_GT,
    STATE(17699), 2,
      sym_comment,
      sym_block_comment,
  [671173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23545), 1,
      anon_sym_RPAREN,
    STATE(17700), 2,
      sym_comment,
      sym_block_comment,
  [671187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23547), 1,
      anon_sym_RBRACE,
    STATE(17701), 2,
      sym_comment,
      sym_block_comment,
  [671201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23549), 1,
      sym__indent,
    STATE(17702), 2,
      sym_comment,
      sym_block_comment,
  [671215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23551), 1,
      anon_sym_RPAREN,
    STATE(17703), 2,
      sym_comment,
      sym_block_comment,
  [671229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23553), 1,
      sym__outdent,
    STATE(17704), 2,
      sym_comment,
      sym_block_comment,
  [671243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23555), 1,
      anon_sym_EQ_GT_GT,
    STATE(17705), 2,
      sym_comment,
      sym_block_comment,
  [671257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23557), 1,
      sym__outdent,
    STATE(17706), 2,
      sym_comment,
      sym_block_comment,
  [671271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23559), 1,
      anon_sym_RPAREN,
    STATE(17707), 2,
      sym_comment,
      sym_block_comment,
  [671285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23561), 1,
      sym__indent,
    STATE(17708), 2,
      sym_comment,
      sym_block_comment,
  [671299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23563), 1,
      anon_sym_else,
    STATE(17709), 2,
      sym_comment,
      sym_block_comment,
  [671313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23565), 1,
      anon_sym_else,
    STATE(17710), 2,
      sym_comment,
      sym_block_comment,
  [671327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23567), 1,
      anon_sym_RPAREN,
    STATE(17711), 2,
      sym_comment,
      sym_block_comment,
  [671341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23569), 1,
      sym__outdent,
    STATE(17712), 2,
      sym_comment,
      sym_block_comment,
  [671355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23571), 1,
      sym__indent,
    STATE(17713), 2,
      sym_comment,
      sym_block_comment,
  [671369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23573), 1,
      anon_sym_RPAREN,
    STATE(17714), 2,
      sym_comment,
      sym_block_comment,
  [671383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23575), 1,
      sym__outdent,
    STATE(17715), 2,
      sym_comment,
      sym_block_comment,
  [671397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23577), 1,
      anon_sym_RBRACE,
    STATE(17716), 2,
      sym_comment,
      sym_block_comment,
  [671411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23579), 1,
      anon_sym_else,
    STATE(17717), 2,
      sym_comment,
      sym_block_comment,
  [671425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23581), 1,
      sym__indent,
    STATE(17718), 2,
      sym_comment,
      sym_block_comment,
  [671439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23583), 1,
      anon_sym_do,
    STATE(17719), 2,
      sym_comment,
      sym_block_comment,
  [671453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23585), 1,
      anon_sym_RBRACE,
    STATE(17720), 2,
      sym_comment,
      sym_block_comment,
  [671467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23587), 1,
      anon_sym_RBRACE,
    STATE(17721), 2,
      sym_comment,
      sym_block_comment,
  [671481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23589), 1,
      sym__outdent,
    STATE(17722), 2,
      sym_comment,
      sym_block_comment,
  [671495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23591), 1,
      sym__indent,
    STATE(17723), 2,
      sym_comment,
      sym_block_comment,
  [671509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23593), 1,
      sym__outdent,
    STATE(17724), 2,
      sym_comment,
      sym_block_comment,
  [671523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23595), 1,
      anon_sym_RPAREN,
    STATE(17725), 2,
      sym_comment,
      sym_block_comment,
  [671537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23597), 1,
      anon_sym_RPAREN,
    STATE(17726), 2,
      sym_comment,
      sym_block_comment,
  [671551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23599), 1,
      sym__outdent,
    STATE(17727), 2,
      sym_comment,
      sym_block_comment,
  [671565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23601), 1,
      sym__indent,
    STATE(17728), 2,
      sym_comment,
      sym_block_comment,
  [671579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23603), 1,
      sym__outdent,
    STATE(17729), 2,
      sym_comment,
      sym_block_comment,
  [671593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23605), 1,
      anon_sym_RPAREN,
    STATE(17730), 2,
      sym_comment,
      sym_block_comment,
  [671607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23607), 1,
      anon_sym_RPAREN,
    STATE(17731), 2,
      sym_comment,
      sym_block_comment,
  [671621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23609), 1,
      sym__outdent,
    STATE(17732), 2,
      sym_comment,
      sym_block_comment,
  [671635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23611), 1,
      sym__indent,
    STATE(17733), 2,
      sym_comment,
      sym_block_comment,
  [671649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23613), 1,
      anon_sym_RPAREN,
    STATE(17734), 2,
      sym_comment,
      sym_block_comment,
  [671663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23615), 1,
      anon_sym_RBRACE,
    STATE(17735), 2,
      sym_comment,
      sym_block_comment,
  [671677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23617), 1,
      sym__outdent,
    STATE(17736), 2,
      sym_comment,
      sym_block_comment,
  [671691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      anon_sym_RBRACK,
    STATE(17737), 2,
      sym_comment,
      sym_block_comment,
  [671705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23619), 1,
      sym__indent,
    STATE(17738), 2,
      sym_comment,
      sym_block_comment,
  [671719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23621), 1,
      anon_sym_RBRACE,
    STATE(17739), 2,
      sym_comment,
      sym_block_comment,
  [671733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23623), 1,
      anon_sym_else,
    STATE(17740), 2,
      sym_comment,
      sym_block_comment,
  [671747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23625), 1,
      sym__outdent,
    STATE(17741), 2,
      sym_comment,
      sym_block_comment,
  [671761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23627), 1,
      anon_sym_RBRACK,
    STATE(17742), 2,
      sym_comment,
      sym_block_comment,
  [671775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23629), 1,
      sym__indent,
    STATE(17743), 2,
      sym_comment,
      sym_block_comment,
  [671789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23631), 1,
      anon_sym_RPAREN,
    STATE(17744), 2,
      sym_comment,
      sym_block_comment,
  [671803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23627), 1,
      anon_sym_RBRACE,
    STATE(17745), 2,
      sym_comment,
      sym_block_comment,
  [671817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23633), 1,
      anon_sym_RPAREN,
    STATE(17746), 2,
      sym_comment,
      sym_block_comment,
  [671831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23635), 1,
      anon_sym_RBRACK,
    STATE(17747), 2,
      sym_comment,
      sym_block_comment,
  [671845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23637), 1,
      sym__indent,
    STATE(17748), 2,
      sym_comment,
      sym_block_comment,
  [671859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23639), 1,
      sym__outdent,
    STATE(17749), 2,
      sym_comment,
      sym_block_comment,
  [671873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23635), 1,
      anon_sym_RBRACE,
    STATE(17750), 2,
      sym_comment,
      sym_block_comment,
  [671887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23641), 1,
      anon_sym_RPAREN,
    STATE(17751), 2,
      sym_comment,
      sym_block_comment,
  [671901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23643), 1,
      anon_sym_RPAREN,
    STATE(17752), 2,
      sym_comment,
      sym_block_comment,
  [671915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23645), 1,
      sym__indent,
    STATE(17753), 2,
      sym_comment,
      sym_block_comment,
  [671929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23647), 1,
      anon_sym_RBRACE,
    STATE(17754), 2,
      sym_comment,
      sym_block_comment,
  [671943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23649), 1,
      anon_sym_RPAREN,
    STATE(17755), 2,
      sym_comment,
      sym_block_comment,
  [671957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23651), 1,
      anon_sym_RPAREN,
    STATE(17756), 2,
      sym_comment,
      sym_block_comment,
  [671971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23649), 1,
      anon_sym_RBRACE,
    STATE(17757), 2,
      sym_comment,
      sym_block_comment,
  [671985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23653), 1,
      sym__indent,
    STATE(17758), 2,
      sym_comment,
      sym_block_comment,
  [671999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23655), 1,
      sym__outdent,
    STATE(17759), 2,
      sym_comment,
      sym_block_comment,
  [672013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23657), 1,
      sym__outdent,
    STATE(17760), 2,
      sym_comment,
      sym_block_comment,
  [672027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23659), 1,
      anon_sym_RPAREN,
    STATE(17761), 2,
      sym_comment,
      sym_block_comment,
  [672041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23661), 1,
      anon_sym_RBRACE,
    STATE(17762), 2,
      sym_comment,
      sym_block_comment,
  [672055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23663), 1,
      sym__indent,
    STATE(17763), 2,
      sym_comment,
      sym_block_comment,
  [672069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23665), 1,
      sym__indent,
    STATE(17764), 2,
      sym_comment,
      sym_block_comment,
  [672083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23667), 1,
      sym__indent,
    STATE(17765), 2,
      sym_comment,
      sym_block_comment,
  [672097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23669), 1,
      sym__indent,
    STATE(17766), 2,
      sym_comment,
      sym_block_comment,
  [672111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23671), 1,
      sym__indent,
    STATE(17767), 2,
      sym_comment,
      sym_block_comment,
  [672125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23673), 1,
      sym__indent,
    STATE(17768), 2,
      sym_comment,
      sym_block_comment,
  [672139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23675), 1,
      sym__indent,
    STATE(17769), 2,
      sym_comment,
      sym_block_comment,
  [672153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23677), 1,
      sym__indent,
    STATE(17770), 2,
      sym_comment,
      sym_block_comment,
  [672167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23679), 1,
      sym__indent,
    STATE(17771), 2,
      sym_comment,
      sym_block_comment,
  [672181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23681), 1,
      sym__indent,
    STATE(17772), 2,
      sym_comment,
      sym_block_comment,
  [672195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23683), 1,
      sym__indent,
    STATE(17773), 2,
      sym_comment,
      sym_block_comment,
  [672209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23685), 1,
      sym__indent,
    STATE(17774), 2,
      sym_comment,
      sym_block_comment,
  [672223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23687), 1,
      sym__indent,
    STATE(17775), 2,
      sym_comment,
      sym_block_comment,
  [672237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23689), 1,
      sym__indent,
    STATE(17776), 2,
      sym_comment,
      sym_block_comment,
  [672251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23691), 1,
      sym__indent,
    STATE(17777), 2,
      sym_comment,
      sym_block_comment,
  [672265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23693), 1,
      sym__indent,
    STATE(17778), 2,
      sym_comment,
      sym_block_comment,
  [672279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23695), 1,
      sym__indent,
    STATE(17779), 2,
      sym_comment,
      sym_block_comment,
  [672293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23697), 1,
      sym__indent,
    STATE(17780), 2,
      sym_comment,
      sym_block_comment,
  [672307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23699), 1,
      sym__indent,
    STATE(17781), 2,
      sym_comment,
      sym_block_comment,
  [672321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23701), 1,
      sym__indent,
    STATE(17782), 2,
      sym_comment,
      sym_block_comment,
  [672335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23703), 1,
      sym__indent,
    STATE(17783), 2,
      sym_comment,
      sym_block_comment,
  [672349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23705), 1,
      sym__indent,
    STATE(17784), 2,
      sym_comment,
      sym_block_comment,
  [672363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23707), 1,
      sym__indent,
    STATE(17785), 2,
      sym_comment,
      sym_block_comment,
  [672377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23709), 1,
      sym__indent,
    STATE(17786), 2,
      sym_comment,
      sym_block_comment,
  [672391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23711), 1,
      sym__indent,
    STATE(17787), 2,
      sym_comment,
      sym_block_comment,
  [672405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23713), 1,
      sym__indent,
    STATE(17788), 2,
      sym_comment,
      sym_block_comment,
  [672419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23715), 1,
      sym__indent,
    STATE(17789), 2,
      sym_comment,
      sym_block_comment,
  [672433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23717), 1,
      sym__indent,
    STATE(17790), 2,
      sym_comment,
      sym_block_comment,
  [672447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23719), 1,
      sym__indent,
    STATE(17791), 2,
      sym_comment,
      sym_block_comment,
  [672461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23721), 1,
      sym__indent,
    STATE(17792), 2,
      sym_comment,
      sym_block_comment,
  [672475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23723), 1,
      sym__indent,
    STATE(17793), 2,
      sym_comment,
      sym_block_comment,
  [672489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23725), 1,
      sym__indent,
    STATE(17794), 2,
      sym_comment,
      sym_block_comment,
  [672503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23727), 1,
      sym__indent,
    STATE(17795), 2,
      sym_comment,
      sym_block_comment,
  [672517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23729), 1,
      sym__indent,
    STATE(17796), 2,
      sym_comment,
      sym_block_comment,
  [672531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23731), 1,
      sym__indent,
    STATE(17797), 2,
      sym_comment,
      sym_block_comment,
  [672545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23733), 1,
      sym__indent,
    STATE(17798), 2,
      sym_comment,
      sym_block_comment,
  [672559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23735), 1,
      sym__indent,
    STATE(17799), 2,
      sym_comment,
      sym_block_comment,
  [672573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23737), 1,
      sym__indent,
    STATE(17800), 2,
      sym_comment,
      sym_block_comment,
  [672587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23739), 1,
      sym__indent,
    STATE(17801), 2,
      sym_comment,
      sym_block_comment,
  [672601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23741), 1,
      sym__indent,
    STATE(17802), 2,
      sym_comment,
      sym_block_comment,
  [672615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23743), 1,
      sym__indent,
    STATE(17803), 2,
      sym_comment,
      sym_block_comment,
  [672629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23745), 1,
      sym__indent,
    STATE(17804), 2,
      sym_comment,
      sym_block_comment,
  [672643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23747), 1,
      sym__indent,
    STATE(17805), 2,
      sym_comment,
      sym_block_comment,
  [672657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23749), 1,
      sym__indent,
    STATE(17806), 2,
      sym_comment,
      sym_block_comment,
  [672671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23751), 1,
      sym__indent,
    STATE(17807), 2,
      sym_comment,
      sym_block_comment,
  [672685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23753), 1,
      sym__indent,
    STATE(17808), 2,
      sym_comment,
      sym_block_comment,
  [672699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23755), 1,
      sym__indent,
    STATE(17809), 2,
      sym_comment,
      sym_block_comment,
  [672713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23757), 1,
      sym__indent,
    STATE(17810), 2,
      sym_comment,
      sym_block_comment,
  [672727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23759), 1,
      sym__indent,
    STATE(17811), 2,
      sym_comment,
      sym_block_comment,
  [672741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23761), 1,
      sym__indent,
    STATE(17812), 2,
      sym_comment,
      sym_block_comment,
  [672755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23763), 1,
      sym__indent,
    STATE(17813), 2,
      sym_comment,
      sym_block_comment,
  [672769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23765), 1,
      sym__indent,
    STATE(17814), 2,
      sym_comment,
      sym_block_comment,
  [672783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23767), 1,
      sym__outdent,
    STATE(17815), 2,
      sym_comment,
      sym_block_comment,
  [672797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23769), 1,
      sym__outdent,
    STATE(17816), 2,
      sym_comment,
      sym_block_comment,
  [672811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23771), 1,
      anon_sym_RPAREN,
    STATE(17817), 2,
      sym_comment,
      sym_block_comment,
  [672825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23773), 1,
      anon_sym_EQ,
    STATE(17818), 2,
      sym_comment,
      sym_block_comment,
  [672839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23775), 1,
      anon_sym_RBRACE,
    STATE(17819), 2,
      sym_comment,
      sym_block_comment,
  [672853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23777), 1,
      anon_sym_RBRACE,
    STATE(17820), 2,
      sym_comment,
      sym_block_comment,
  [672867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23779), 1,
      sym__outdent,
    STATE(17821), 2,
      sym_comment,
      sym_block_comment,
  [672881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23781), 1,
      anon_sym_RPAREN,
    STATE(17822), 2,
      sym_comment,
      sym_block_comment,
  [672895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23783), 1,
      anon_sym_EQ,
    STATE(17823), 2,
      sym_comment,
      sym_block_comment,
  [672909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23785), 1,
      anon_sym_do,
    STATE(17824), 2,
      sym_comment,
      sym_block_comment,
  [672923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23787), 1,
      anon_sym_RBRACE,
    STATE(17825), 2,
      sym_comment,
      sym_block_comment,
  [672937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23789), 1,
      anon_sym_do,
    STATE(17826), 2,
      sym_comment,
      sym_block_comment,
  [672951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23791), 1,
      anon_sym_RPAREN,
    STATE(17827), 2,
      sym_comment,
      sym_block_comment,
  [672965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11898), 1,
      anon_sym_EQ_GT,
    STATE(17828), 2,
      sym_comment,
      sym_block_comment,
  [672979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23793), 1,
      sym__outdent,
    STATE(17829), 2,
      sym_comment,
      sym_block_comment,
  [672993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23795), 1,
      anon_sym_else,
    STATE(17830), 2,
      sym_comment,
      sym_block_comment,
  [673007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23797), 1,
      anon_sym_RBRACE,
    STATE(17831), 2,
      sym_comment,
      sym_block_comment,
  [673021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23799), 1,
      sym__outdent,
    STATE(17832), 2,
      sym_comment,
      sym_block_comment,
  [673035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23801), 1,
      anon_sym_RPAREN,
    STATE(17833), 2,
      sym_comment,
      sym_block_comment,
  [673049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23803), 1,
      sym__outdent,
    STATE(17834), 2,
      sym_comment,
      sym_block_comment,
  [673063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23805), 1,
      anon_sym_else,
    STATE(17835), 2,
      sym_comment,
      sym_block_comment,
  [673077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23807), 1,
      sym__outdent,
    STATE(17836), 2,
      sym_comment,
      sym_block_comment,
  [673091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23809), 1,
      anon_sym_RPAREN,
    STATE(17837), 2,
      sym_comment,
      sym_block_comment,
  [673105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23811), 1,
      anon_sym_RPAREN,
    STATE(17838), 2,
      sym_comment,
      sym_block_comment,
  [673119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23813), 1,
      anon_sym_RPAREN,
    STATE(17839), 2,
      sym_comment,
      sym_block_comment,
  [673133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23815), 1,
      anon_sym_else,
    STATE(17840), 2,
      sym_comment,
      sym_block_comment,
  [673147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23817), 1,
      anon_sym_RBRACE,
    STATE(17841), 2,
      sym_comment,
      sym_block_comment,
  [673161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23819), 1,
      sym__outdent,
    STATE(17842), 2,
      sym_comment,
      sym_block_comment,
  [673175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23821), 1,
      sym__outdent,
    STATE(17843), 2,
      sym_comment,
      sym_block_comment,
  [673189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23823), 1,
      sym__outdent,
    STATE(17844), 2,
      sym_comment,
      sym_block_comment,
  [673203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 1,
      anon_sym_EQ_GT,
    STATE(17845), 2,
      sym_comment,
      sym_block_comment,
  [673217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23825), 1,
      anon_sym_RBRACE,
    STATE(17846), 2,
      sym_comment,
      sym_block_comment,
  [673231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23827), 1,
      sym__outdent,
    STATE(17847), 2,
      sym_comment,
      sym_block_comment,
  [673245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23829), 1,
      anon_sym_RPAREN,
    STATE(17848), 2,
      sym_comment,
      sym_block_comment,
  [673259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23831), 1,
      anon_sym_RPAREN,
    STATE(17849), 2,
      sym_comment,
      sym_block_comment,
  [673273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11936), 1,
      anon_sym_EQ_GT,
    STATE(17850), 2,
      sym_comment,
      sym_block_comment,
  [673287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23833), 1,
      sym__outdent,
    STATE(17851), 2,
      sym_comment,
      sym_block_comment,
  [673301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23835), 1,
      anon_sym_RPAREN,
    STATE(17852), 2,
      sym_comment,
      sym_block_comment,
  [673315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23837), 1,
      anon_sym_RPAREN,
    STATE(17853), 2,
      sym_comment,
      sym_block_comment,
  [673329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23839), 1,
      sym__outdent,
    STATE(17854), 2,
      sym_comment,
      sym_block_comment,
  [673343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23841), 1,
      anon_sym_RBRACE,
    STATE(17855), 2,
      sym_comment,
      sym_block_comment,
  [673357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11864), 1,
      anon_sym_EQ_GT,
    STATE(17856), 2,
      sym_comment,
      sym_block_comment,
  [673371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23843), 1,
      anon_sym_RBRACE,
    STATE(17857), 2,
      sym_comment,
      sym_block_comment,
  [673385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23843), 1,
      anon_sym_RPAREN,
    STATE(17858), 2,
      sym_comment,
      sym_block_comment,
  [673399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11860), 1,
      anon_sym_EQ_GT,
    STATE(17859), 2,
      sym_comment,
      sym_block_comment,
  [673413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23845), 1,
      anon_sym_RBRACE,
    STATE(17860), 2,
      sym_comment,
      sym_block_comment,
  [673427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23847), 1,
      anon_sym_RBRACK,
    STATE(17861), 2,
      sym_comment,
      sym_block_comment,
  [673441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11802), 1,
      anon_sym_EQ_GT,
    STATE(17862), 2,
      sym_comment,
      sym_block_comment,
  [673455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23849), 1,
      anon_sym_RBRACE,
    STATE(17863), 2,
      sym_comment,
      sym_block_comment,
  [673469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23847), 1,
      anon_sym_RBRACE,
    STATE(17864), 2,
      sym_comment,
      sym_block_comment,
  [673483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11816), 1,
      anon_sym_EQ_GT,
    STATE(17865), 2,
      sym_comment,
      sym_block_comment,
  [673497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11825), 1,
      anon_sym_EQ_GT,
    STATE(17866), 2,
      sym_comment,
      sym_block_comment,
  [673511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11829), 1,
      anon_sym_EQ_GT,
    STATE(17867), 2,
      sym_comment,
      sym_block_comment,
  [673525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11839), 1,
      anon_sym_EQ_GT,
    STATE(17868), 2,
      sym_comment,
      sym_block_comment,
  [673539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23851), 1,
      anon_sym_RBRACK,
    STATE(17869), 2,
      sym_comment,
      sym_block_comment,
  [673553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23851), 1,
      anon_sym_RBRACE,
    STATE(17870), 2,
      sym_comment,
      sym_block_comment,
  [673567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23853), 1,
      sym__outdent,
    STATE(17871), 2,
      sym_comment,
      sym_block_comment,
  [673581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23855), 1,
      anon_sym_RPAREN,
    STATE(17872), 2,
      sym_comment,
      sym_block_comment,
  [673595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23857), 1,
      anon_sym_RPAREN,
    STATE(17873), 2,
      sym_comment,
      sym_block_comment,
  [673609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23857), 1,
      anon_sym_RBRACE,
    STATE(17874), 2,
      sym_comment,
      sym_block_comment,
  [673623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23849), 1,
      anon_sym_RBRACK,
    STATE(17875), 2,
      sym_comment,
      sym_block_comment,
  [673637] = 1,
    ACTIONS(23859), 1,
      ts_builtin_sym_end,
  [673641] = 1,
    ACTIONS(23861), 1,
      ts_builtin_sym_end,
  [673645] = 1,
    ACTIONS(23863), 1,
      ts_builtin_sym_end,
  [673649] = 1,
    ACTIONS(23865), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2351)] = 0,
  [SMALL_STATE(2352)] = 147,
  [SMALL_STATE(2353)] = 294,
  [SMALL_STATE(2354)] = 441,
  [SMALL_STATE(2355)] = 588,
  [SMALL_STATE(2356)] = 735,
  [SMALL_STATE(2357)] = 882,
  [SMALL_STATE(2358)] = 1029,
  [SMALL_STATE(2359)] = 1176,
  [SMALL_STATE(2360)] = 1323,
  [SMALL_STATE(2361)] = 1470,
  [SMALL_STATE(2362)] = 1617,
  [SMALL_STATE(2363)] = 1764,
  [SMALL_STATE(2364)] = 1911,
  [SMALL_STATE(2365)] = 2058,
  [SMALL_STATE(2366)] = 2205,
  [SMALL_STATE(2367)] = 2352,
  [SMALL_STATE(2368)] = 2499,
  [SMALL_STATE(2369)] = 2646,
  [SMALL_STATE(2370)] = 2793,
  [SMALL_STATE(2371)] = 2940,
  [SMALL_STATE(2372)] = 3087,
  [SMALL_STATE(2373)] = 3234,
  [SMALL_STATE(2374)] = 3381,
  [SMALL_STATE(2375)] = 3528,
  [SMALL_STATE(2376)] = 3675,
  [SMALL_STATE(2377)] = 3822,
  [SMALL_STATE(2378)] = 3969,
  [SMALL_STATE(2379)] = 4116,
  [SMALL_STATE(2380)] = 4263,
  [SMALL_STATE(2381)] = 4410,
  [SMALL_STATE(2382)] = 4557,
  [SMALL_STATE(2383)] = 4704,
  [SMALL_STATE(2384)] = 4851,
  [SMALL_STATE(2385)] = 4998,
  [SMALL_STATE(2386)] = 5145,
  [SMALL_STATE(2387)] = 5292,
  [SMALL_STATE(2388)] = 5439,
  [SMALL_STATE(2389)] = 5586,
  [SMALL_STATE(2390)] = 5733,
  [SMALL_STATE(2391)] = 5880,
  [SMALL_STATE(2392)] = 6027,
  [SMALL_STATE(2393)] = 6174,
  [SMALL_STATE(2394)] = 6321,
  [SMALL_STATE(2395)] = 6468,
  [SMALL_STATE(2396)] = 6615,
  [SMALL_STATE(2397)] = 6762,
  [SMALL_STATE(2398)] = 6909,
  [SMALL_STATE(2399)] = 7056,
  [SMALL_STATE(2400)] = 7130,
  [SMALL_STATE(2401)] = 7204,
  [SMALL_STATE(2402)] = 7278,
  [SMALL_STATE(2403)] = 7352,
  [SMALL_STATE(2404)] = 7426,
  [SMALL_STATE(2405)] = 7500,
  [SMALL_STATE(2406)] = 7574,
  [SMALL_STATE(2407)] = 7647,
  [SMALL_STATE(2408)] = 7792,
  [SMALL_STATE(2409)] = 7937,
  [SMALL_STATE(2410)] = 8084,
  [SMALL_STATE(2411)] = 8231,
  [SMALL_STATE(2412)] = 8376,
  [SMALL_STATE(2413)] = 8512,
  [SMALL_STATE(2414)] = 8648,
  [SMALL_STATE(2415)] = 8784,
  [SMALL_STATE(2416)] = 8920,
  [SMALL_STATE(2417)] = 9056,
  [SMALL_STATE(2418)] = 9192,
  [SMALL_STATE(2419)] = 9328,
  [SMALL_STATE(2420)] = 9464,
  [SMALL_STATE(2421)] = 9600,
  [SMALL_STATE(2422)] = 9736,
  [SMALL_STATE(2423)] = 9872,
  [SMALL_STATE(2424)] = 10008,
  [SMALL_STATE(2425)] = 10144,
  [SMALL_STATE(2426)] = 10280,
  [SMALL_STATE(2427)] = 10416,
  [SMALL_STATE(2428)] = 10552,
  [SMALL_STATE(2429)] = 10688,
  [SMALL_STATE(2430)] = 10824,
  [SMALL_STATE(2431)] = 10960,
  [SMALL_STATE(2432)] = 11096,
  [SMALL_STATE(2433)] = 11232,
  [SMALL_STATE(2434)] = 11368,
  [SMALL_STATE(2435)] = 11504,
  [SMALL_STATE(2436)] = 11640,
  [SMALL_STATE(2437)] = 11771,
  [SMALL_STATE(2438)] = 11902,
  [SMALL_STATE(2439)] = 12033,
  [SMALL_STATE(2440)] = 12164,
  [SMALL_STATE(2441)] = 12295,
  [SMALL_STATE(2442)] = 12426,
  [SMALL_STATE(2443)] = 12557,
  [SMALL_STATE(2444)] = 12688,
  [SMALL_STATE(2445)] = 12819,
  [SMALL_STATE(2446)] = 12950,
  [SMALL_STATE(2447)] = 13081,
  [SMALL_STATE(2448)] = 13212,
  [SMALL_STATE(2449)] = 13343,
  [SMALL_STATE(2450)] = 13474,
  [SMALL_STATE(2451)] = 13605,
  [SMALL_STATE(2452)] = 13736,
  [SMALL_STATE(2453)] = 13867,
  [SMALL_STATE(2454)] = 13998,
  [SMALL_STATE(2455)] = 14129,
  [SMALL_STATE(2456)] = 14260,
  [SMALL_STATE(2457)] = 14391,
  [SMALL_STATE(2458)] = 14522,
  [SMALL_STATE(2459)] = 14653,
  [SMALL_STATE(2460)] = 14784,
  [SMALL_STATE(2461)] = 14915,
  [SMALL_STATE(2462)] = 15046,
  [SMALL_STATE(2463)] = 15177,
  [SMALL_STATE(2464)] = 15308,
  [SMALL_STATE(2465)] = 15439,
  [SMALL_STATE(2466)] = 15570,
  [SMALL_STATE(2467)] = 15701,
  [SMALL_STATE(2468)] = 15832,
  [SMALL_STATE(2469)] = 15963,
  [SMALL_STATE(2470)] = 16094,
  [SMALL_STATE(2471)] = 16225,
  [SMALL_STATE(2472)] = 16356,
  [SMALL_STATE(2473)] = 16487,
  [SMALL_STATE(2474)] = 16618,
  [SMALL_STATE(2475)] = 16749,
  [SMALL_STATE(2476)] = 16880,
  [SMALL_STATE(2477)] = 17011,
  [SMALL_STATE(2478)] = 17142,
  [SMALL_STATE(2479)] = 17273,
  [SMALL_STATE(2480)] = 17404,
  [SMALL_STATE(2481)] = 17535,
  [SMALL_STATE(2482)] = 17666,
  [SMALL_STATE(2483)] = 17797,
  [SMALL_STATE(2484)] = 17928,
  [SMALL_STATE(2485)] = 18059,
  [SMALL_STATE(2486)] = 18190,
  [SMALL_STATE(2487)] = 18321,
  [SMALL_STATE(2488)] = 18452,
  [SMALL_STATE(2489)] = 18583,
  [SMALL_STATE(2490)] = 18714,
  [SMALL_STATE(2491)] = 18845,
  [SMALL_STATE(2492)] = 18976,
  [SMALL_STATE(2493)] = 19107,
  [SMALL_STATE(2494)] = 19238,
  [SMALL_STATE(2495)] = 19369,
  [SMALL_STATE(2496)] = 19500,
  [SMALL_STATE(2497)] = 19631,
  [SMALL_STATE(2498)] = 19762,
  [SMALL_STATE(2499)] = 19893,
  [SMALL_STATE(2500)] = 20024,
  [SMALL_STATE(2501)] = 20155,
  [SMALL_STATE(2502)] = 20286,
  [SMALL_STATE(2503)] = 20417,
  [SMALL_STATE(2504)] = 20548,
  [SMALL_STATE(2505)] = 20679,
  [SMALL_STATE(2506)] = 20810,
  [SMALL_STATE(2507)] = 20941,
  [SMALL_STATE(2508)] = 21072,
  [SMALL_STATE(2509)] = 21203,
  [SMALL_STATE(2510)] = 21334,
  [SMALL_STATE(2511)] = 21465,
  [SMALL_STATE(2512)] = 21596,
  [SMALL_STATE(2513)] = 21727,
  [SMALL_STATE(2514)] = 21858,
  [SMALL_STATE(2515)] = 21989,
  [SMALL_STATE(2516)] = 22120,
  [SMALL_STATE(2517)] = 22251,
  [SMALL_STATE(2518)] = 22382,
  [SMALL_STATE(2519)] = 22513,
  [SMALL_STATE(2520)] = 22644,
  [SMALL_STATE(2521)] = 22775,
  [SMALL_STATE(2522)] = 22906,
  [SMALL_STATE(2523)] = 23037,
  [SMALL_STATE(2524)] = 23168,
  [SMALL_STATE(2525)] = 23299,
  [SMALL_STATE(2526)] = 23430,
  [SMALL_STATE(2527)] = 23561,
  [SMALL_STATE(2528)] = 23692,
  [SMALL_STATE(2529)] = 23823,
  [SMALL_STATE(2530)] = 23954,
  [SMALL_STATE(2531)] = 24085,
  [SMALL_STATE(2532)] = 24216,
  [SMALL_STATE(2533)] = 24347,
  [SMALL_STATE(2534)] = 24478,
  [SMALL_STATE(2535)] = 24609,
  [SMALL_STATE(2536)] = 24740,
  [SMALL_STATE(2537)] = 24871,
  [SMALL_STATE(2538)] = 25002,
  [SMALL_STATE(2539)] = 25133,
  [SMALL_STATE(2540)] = 25264,
  [SMALL_STATE(2541)] = 25395,
  [SMALL_STATE(2542)] = 25526,
  [SMALL_STATE(2543)] = 25657,
  [SMALL_STATE(2544)] = 25788,
  [SMALL_STATE(2545)] = 25919,
  [SMALL_STATE(2546)] = 25992,
  [SMALL_STATE(2547)] = 26123,
  [SMALL_STATE(2548)] = 26254,
  [SMALL_STATE(2549)] = 26385,
  [SMALL_STATE(2550)] = 26516,
  [SMALL_STATE(2551)] = 26647,
  [SMALL_STATE(2552)] = 26778,
  [SMALL_STATE(2553)] = 26909,
  [SMALL_STATE(2554)] = 27040,
  [SMALL_STATE(2555)] = 27171,
  [SMALL_STATE(2556)] = 27302,
  [SMALL_STATE(2557)] = 27433,
  [SMALL_STATE(2558)] = 27564,
  [SMALL_STATE(2559)] = 27695,
  [SMALL_STATE(2560)] = 27826,
  [SMALL_STATE(2561)] = 27957,
  [SMALL_STATE(2562)] = 28088,
  [SMALL_STATE(2563)] = 28219,
  [SMALL_STATE(2564)] = 28347,
  [SMALL_STATE(2565)] = 28475,
  [SMALL_STATE(2566)] = 28603,
  [SMALL_STATE(2567)] = 28731,
  [SMALL_STATE(2568)] = 28859,
  [SMALL_STATE(2569)] = 28987,
  [SMALL_STATE(2570)] = 29115,
  [SMALL_STATE(2571)] = 29243,
  [SMALL_STATE(2572)] = 29315,
  [SMALL_STATE(2573)] = 29443,
  [SMALL_STATE(2574)] = 29515,
  [SMALL_STATE(2575)] = 29643,
  [SMALL_STATE(2576)] = 29714,
  [SMALL_STATE(2577)] = 29785,
  [SMALL_STATE(2578)] = 29856,
  [SMALL_STATE(2579)] = 29927,
  [SMALL_STATE(2580)] = 30052,
  [SMALL_STATE(2581)] = 30176,
  [SMALL_STATE(2582)] = 30300,
  [SMALL_STATE(2583)] = 30370,
  [SMALL_STATE(2584)] = 30494,
  [SMALL_STATE(2585)] = 30618,
  [SMALL_STATE(2586)] = 30742,
  [SMALL_STATE(2587)] = 30866,
  [SMALL_STATE(2588)] = 30990,
  [SMALL_STATE(2589)] = 31114,
  [SMALL_STATE(2590)] = 31238,
  [SMALL_STATE(2591)] = 31362,
  [SMALL_STATE(2592)] = 31486,
  [SMALL_STATE(2593)] = 31610,
  [SMALL_STATE(2594)] = 31734,
  [SMALL_STATE(2595)] = 31858,
  [SMALL_STATE(2596)] = 31982,
  [SMALL_STATE(2597)] = 32106,
  [SMALL_STATE(2598)] = 32230,
  [SMALL_STATE(2599)] = 32354,
  [SMALL_STATE(2600)] = 32478,
  [SMALL_STATE(2601)] = 32602,
  [SMALL_STATE(2602)] = 32726,
  [SMALL_STATE(2603)] = 32850,
  [SMALL_STATE(2604)] = 32974,
  [SMALL_STATE(2605)] = 33098,
  [SMALL_STATE(2606)] = 33222,
  [SMALL_STATE(2607)] = 33346,
  [SMALL_STATE(2608)] = 33470,
  [SMALL_STATE(2609)] = 33594,
  [SMALL_STATE(2610)] = 33718,
  [SMALL_STATE(2611)] = 33842,
  [SMALL_STATE(2612)] = 33966,
  [SMALL_STATE(2613)] = 34090,
  [SMALL_STATE(2614)] = 34214,
  [SMALL_STATE(2615)] = 34338,
  [SMALL_STATE(2616)] = 34462,
  [SMALL_STATE(2617)] = 34586,
  [SMALL_STATE(2618)] = 34710,
  [SMALL_STATE(2619)] = 34834,
  [SMALL_STATE(2620)] = 34958,
  [SMALL_STATE(2621)] = 35082,
  [SMALL_STATE(2622)] = 35206,
  [SMALL_STATE(2623)] = 35330,
  [SMALL_STATE(2624)] = 35454,
  [SMALL_STATE(2625)] = 35578,
  [SMALL_STATE(2626)] = 35702,
  [SMALL_STATE(2627)] = 35826,
  [SMALL_STATE(2628)] = 35950,
  [SMALL_STATE(2629)] = 36074,
  [SMALL_STATE(2630)] = 36198,
  [SMALL_STATE(2631)] = 36322,
  [SMALL_STATE(2632)] = 36446,
  [SMALL_STATE(2633)] = 36570,
  [SMALL_STATE(2634)] = 36694,
  [SMALL_STATE(2635)] = 36818,
  [SMALL_STATE(2636)] = 36942,
  [SMALL_STATE(2637)] = 37066,
  [SMALL_STATE(2638)] = 37190,
  [SMALL_STATE(2639)] = 37314,
  [SMALL_STATE(2640)] = 37438,
  [SMALL_STATE(2641)] = 37562,
  [SMALL_STATE(2642)] = 37686,
  [SMALL_STATE(2643)] = 37810,
  [SMALL_STATE(2644)] = 37934,
  [SMALL_STATE(2645)] = 38058,
  [SMALL_STATE(2646)] = 38182,
  [SMALL_STATE(2647)] = 38306,
  [SMALL_STATE(2648)] = 38430,
  [SMALL_STATE(2649)] = 38554,
  [SMALL_STATE(2650)] = 38678,
  [SMALL_STATE(2651)] = 38802,
  [SMALL_STATE(2652)] = 38926,
  [SMALL_STATE(2653)] = 39050,
  [SMALL_STATE(2654)] = 39174,
  [SMALL_STATE(2655)] = 39298,
  [SMALL_STATE(2656)] = 39422,
  [SMALL_STATE(2657)] = 39546,
  [SMALL_STATE(2658)] = 39670,
  [SMALL_STATE(2659)] = 39794,
  [SMALL_STATE(2660)] = 39918,
  [SMALL_STATE(2661)] = 40042,
  [SMALL_STATE(2662)] = 40166,
  [SMALL_STATE(2663)] = 40290,
  [SMALL_STATE(2664)] = 40414,
  [SMALL_STATE(2665)] = 40538,
  [SMALL_STATE(2666)] = 40662,
  [SMALL_STATE(2667)] = 40786,
  [SMALL_STATE(2668)] = 40910,
  [SMALL_STATE(2669)] = 41034,
  [SMALL_STATE(2670)] = 41158,
  [SMALL_STATE(2671)] = 41282,
  [SMALL_STATE(2672)] = 41406,
  [SMALL_STATE(2673)] = 41530,
  [SMALL_STATE(2674)] = 41654,
  [SMALL_STATE(2675)] = 41778,
  [SMALL_STATE(2676)] = 41902,
  [SMALL_STATE(2677)] = 42026,
  [SMALL_STATE(2678)] = 42150,
  [SMALL_STATE(2679)] = 42274,
  [SMALL_STATE(2680)] = 42398,
  [SMALL_STATE(2681)] = 42522,
  [SMALL_STATE(2682)] = 42646,
  [SMALL_STATE(2683)] = 42770,
  [SMALL_STATE(2684)] = 42894,
  [SMALL_STATE(2685)] = 43018,
  [SMALL_STATE(2686)] = 43142,
  [SMALL_STATE(2687)] = 43266,
  [SMALL_STATE(2688)] = 43390,
  [SMALL_STATE(2689)] = 43514,
  [SMALL_STATE(2690)] = 43638,
  [SMALL_STATE(2691)] = 43762,
  [SMALL_STATE(2692)] = 43886,
  [SMALL_STATE(2693)] = 44010,
  [SMALL_STATE(2694)] = 44134,
  [SMALL_STATE(2695)] = 44258,
  [SMALL_STATE(2696)] = 44382,
  [SMALL_STATE(2697)] = 44506,
  [SMALL_STATE(2698)] = 44630,
  [SMALL_STATE(2699)] = 44754,
  [SMALL_STATE(2700)] = 44878,
  [SMALL_STATE(2701)] = 45002,
  [SMALL_STATE(2702)] = 45126,
  [SMALL_STATE(2703)] = 45250,
  [SMALL_STATE(2704)] = 45374,
  [SMALL_STATE(2705)] = 45498,
  [SMALL_STATE(2706)] = 45622,
  [SMALL_STATE(2707)] = 45746,
  [SMALL_STATE(2708)] = 45870,
  [SMALL_STATE(2709)] = 45994,
  [SMALL_STATE(2710)] = 46118,
  [SMALL_STATE(2711)] = 46242,
  [SMALL_STATE(2712)] = 46366,
  [SMALL_STATE(2713)] = 46490,
  [SMALL_STATE(2714)] = 46614,
  [SMALL_STATE(2715)] = 46738,
  [SMALL_STATE(2716)] = 46862,
  [SMALL_STATE(2717)] = 46986,
  [SMALL_STATE(2718)] = 47110,
  [SMALL_STATE(2719)] = 47234,
  [SMALL_STATE(2720)] = 47358,
  [SMALL_STATE(2721)] = 47482,
  [SMALL_STATE(2722)] = 47606,
  [SMALL_STATE(2723)] = 47730,
  [SMALL_STATE(2724)] = 47854,
  [SMALL_STATE(2725)] = 47978,
  [SMALL_STATE(2726)] = 48102,
  [SMALL_STATE(2727)] = 48226,
  [SMALL_STATE(2728)] = 48350,
  [SMALL_STATE(2729)] = 48474,
  [SMALL_STATE(2730)] = 48598,
  [SMALL_STATE(2731)] = 48722,
  [SMALL_STATE(2732)] = 48846,
  [SMALL_STATE(2733)] = 48970,
  [SMALL_STATE(2734)] = 49094,
  [SMALL_STATE(2735)] = 49218,
  [SMALL_STATE(2736)] = 49342,
  [SMALL_STATE(2737)] = 49466,
  [SMALL_STATE(2738)] = 49590,
  [SMALL_STATE(2739)] = 49714,
  [SMALL_STATE(2740)] = 49838,
  [SMALL_STATE(2741)] = 49962,
  [SMALL_STATE(2742)] = 50086,
  [SMALL_STATE(2743)] = 50210,
  [SMALL_STATE(2744)] = 50334,
  [SMALL_STATE(2745)] = 50458,
  [SMALL_STATE(2746)] = 50582,
  [SMALL_STATE(2747)] = 50706,
  [SMALL_STATE(2748)] = 50830,
  [SMALL_STATE(2749)] = 50954,
  [SMALL_STATE(2750)] = 51078,
  [SMALL_STATE(2751)] = 51202,
  [SMALL_STATE(2752)] = 51326,
  [SMALL_STATE(2753)] = 51450,
  [SMALL_STATE(2754)] = 51574,
  [SMALL_STATE(2755)] = 51698,
  [SMALL_STATE(2756)] = 51822,
  [SMALL_STATE(2757)] = 51946,
  [SMALL_STATE(2758)] = 52070,
  [SMALL_STATE(2759)] = 52194,
  [SMALL_STATE(2760)] = 52318,
  [SMALL_STATE(2761)] = 52442,
  [SMALL_STATE(2762)] = 52566,
  [SMALL_STATE(2763)] = 52690,
  [SMALL_STATE(2764)] = 52814,
  [SMALL_STATE(2765)] = 52938,
  [SMALL_STATE(2766)] = 53062,
  [SMALL_STATE(2767)] = 53186,
  [SMALL_STATE(2768)] = 53310,
  [SMALL_STATE(2769)] = 53434,
  [SMALL_STATE(2770)] = 53558,
  [SMALL_STATE(2771)] = 53682,
  [SMALL_STATE(2772)] = 53806,
  [SMALL_STATE(2773)] = 53930,
  [SMALL_STATE(2774)] = 54054,
  [SMALL_STATE(2775)] = 54178,
  [SMALL_STATE(2776)] = 54302,
  [SMALL_STATE(2777)] = 54426,
  [SMALL_STATE(2778)] = 54550,
  [SMALL_STATE(2779)] = 54674,
  [SMALL_STATE(2780)] = 54798,
  [SMALL_STATE(2781)] = 54922,
  [SMALL_STATE(2782)] = 55046,
  [SMALL_STATE(2783)] = 55170,
  [SMALL_STATE(2784)] = 55294,
  [SMALL_STATE(2785)] = 55418,
  [SMALL_STATE(2786)] = 55542,
  [SMALL_STATE(2787)] = 55666,
  [SMALL_STATE(2788)] = 55790,
  [SMALL_STATE(2789)] = 55914,
  [SMALL_STATE(2790)] = 56038,
  [SMALL_STATE(2791)] = 56162,
  [SMALL_STATE(2792)] = 56286,
  [SMALL_STATE(2793)] = 56410,
  [SMALL_STATE(2794)] = 56534,
  [SMALL_STATE(2795)] = 56658,
  [SMALL_STATE(2796)] = 56782,
  [SMALL_STATE(2797)] = 56906,
  [SMALL_STATE(2798)] = 57030,
  [SMALL_STATE(2799)] = 57154,
  [SMALL_STATE(2800)] = 57278,
  [SMALL_STATE(2801)] = 57402,
  [SMALL_STATE(2802)] = 57526,
  [SMALL_STATE(2803)] = 57650,
  [SMALL_STATE(2804)] = 57774,
  [SMALL_STATE(2805)] = 57898,
  [SMALL_STATE(2806)] = 58022,
  [SMALL_STATE(2807)] = 58146,
  [SMALL_STATE(2808)] = 58270,
  [SMALL_STATE(2809)] = 58394,
  [SMALL_STATE(2810)] = 58518,
  [SMALL_STATE(2811)] = 58642,
  [SMALL_STATE(2812)] = 58766,
  [SMALL_STATE(2813)] = 58890,
  [SMALL_STATE(2814)] = 59014,
  [SMALL_STATE(2815)] = 59138,
  [SMALL_STATE(2816)] = 59262,
  [SMALL_STATE(2817)] = 59386,
  [SMALL_STATE(2818)] = 59510,
  [SMALL_STATE(2819)] = 59634,
  [SMALL_STATE(2820)] = 59758,
  [SMALL_STATE(2821)] = 59882,
  [SMALL_STATE(2822)] = 60006,
  [SMALL_STATE(2823)] = 60130,
  [SMALL_STATE(2824)] = 60254,
  [SMALL_STATE(2825)] = 60378,
  [SMALL_STATE(2826)] = 60502,
  [SMALL_STATE(2827)] = 60626,
  [SMALL_STATE(2828)] = 60750,
  [SMALL_STATE(2829)] = 60874,
  [SMALL_STATE(2830)] = 60998,
  [SMALL_STATE(2831)] = 61122,
  [SMALL_STATE(2832)] = 61246,
  [SMALL_STATE(2833)] = 61370,
  [SMALL_STATE(2834)] = 61494,
  [SMALL_STATE(2835)] = 61618,
  [SMALL_STATE(2836)] = 61742,
  [SMALL_STATE(2837)] = 61866,
  [SMALL_STATE(2838)] = 61990,
  [SMALL_STATE(2839)] = 62114,
  [SMALL_STATE(2840)] = 62238,
  [SMALL_STATE(2841)] = 62362,
  [SMALL_STATE(2842)] = 62486,
  [SMALL_STATE(2843)] = 62610,
  [SMALL_STATE(2844)] = 62734,
  [SMALL_STATE(2845)] = 62858,
  [SMALL_STATE(2846)] = 62982,
  [SMALL_STATE(2847)] = 63106,
  [SMALL_STATE(2848)] = 63230,
  [SMALL_STATE(2849)] = 63354,
  [SMALL_STATE(2850)] = 63478,
  [SMALL_STATE(2851)] = 63602,
  [SMALL_STATE(2852)] = 63726,
  [SMALL_STATE(2853)] = 63850,
  [SMALL_STATE(2854)] = 63974,
  [SMALL_STATE(2855)] = 64098,
  [SMALL_STATE(2856)] = 64222,
  [SMALL_STATE(2857)] = 64346,
  [SMALL_STATE(2858)] = 64470,
  [SMALL_STATE(2859)] = 64594,
  [SMALL_STATE(2860)] = 64718,
  [SMALL_STATE(2861)] = 64842,
  [SMALL_STATE(2862)] = 64966,
  [SMALL_STATE(2863)] = 65090,
  [SMALL_STATE(2864)] = 65214,
  [SMALL_STATE(2865)] = 65338,
  [SMALL_STATE(2866)] = 65462,
  [SMALL_STATE(2867)] = 65586,
  [SMALL_STATE(2868)] = 65710,
  [SMALL_STATE(2869)] = 65834,
  [SMALL_STATE(2870)] = 65958,
  [SMALL_STATE(2871)] = 66082,
  [SMALL_STATE(2872)] = 66206,
  [SMALL_STATE(2873)] = 66330,
  [SMALL_STATE(2874)] = 66454,
  [SMALL_STATE(2875)] = 66578,
  [SMALL_STATE(2876)] = 66702,
  [SMALL_STATE(2877)] = 66826,
  [SMALL_STATE(2878)] = 66950,
  [SMALL_STATE(2879)] = 67074,
  [SMALL_STATE(2880)] = 67198,
  [SMALL_STATE(2881)] = 67322,
  [SMALL_STATE(2882)] = 67446,
  [SMALL_STATE(2883)] = 67570,
  [SMALL_STATE(2884)] = 67694,
  [SMALL_STATE(2885)] = 67818,
  [SMALL_STATE(2886)] = 67942,
  [SMALL_STATE(2887)] = 68066,
  [SMALL_STATE(2888)] = 68190,
  [SMALL_STATE(2889)] = 68314,
  [SMALL_STATE(2890)] = 68438,
  [SMALL_STATE(2891)] = 68562,
  [SMALL_STATE(2892)] = 68686,
  [SMALL_STATE(2893)] = 68810,
  [SMALL_STATE(2894)] = 68934,
  [SMALL_STATE(2895)] = 69058,
  [SMALL_STATE(2896)] = 69182,
  [SMALL_STATE(2897)] = 69306,
  [SMALL_STATE(2898)] = 69430,
  [SMALL_STATE(2899)] = 69554,
  [SMALL_STATE(2900)] = 69678,
  [SMALL_STATE(2901)] = 69802,
  [SMALL_STATE(2902)] = 69926,
  [SMALL_STATE(2903)] = 70050,
  [SMALL_STATE(2904)] = 70174,
  [SMALL_STATE(2905)] = 70298,
  [SMALL_STATE(2906)] = 70422,
  [SMALL_STATE(2907)] = 70546,
  [SMALL_STATE(2908)] = 70670,
  [SMALL_STATE(2909)] = 70794,
  [SMALL_STATE(2910)] = 70918,
  [SMALL_STATE(2911)] = 71042,
  [SMALL_STATE(2912)] = 71166,
  [SMALL_STATE(2913)] = 71290,
  [SMALL_STATE(2914)] = 71414,
  [SMALL_STATE(2915)] = 71538,
  [SMALL_STATE(2916)] = 71662,
  [SMALL_STATE(2917)] = 71786,
  [SMALL_STATE(2918)] = 71910,
  [SMALL_STATE(2919)] = 72034,
  [SMALL_STATE(2920)] = 72158,
  [SMALL_STATE(2921)] = 72282,
  [SMALL_STATE(2922)] = 72406,
  [SMALL_STATE(2923)] = 72530,
  [SMALL_STATE(2924)] = 72654,
  [SMALL_STATE(2925)] = 72778,
  [SMALL_STATE(2926)] = 72902,
  [SMALL_STATE(2927)] = 73026,
  [SMALL_STATE(2928)] = 73150,
  [SMALL_STATE(2929)] = 73274,
  [SMALL_STATE(2930)] = 73398,
  [SMALL_STATE(2931)] = 73522,
  [SMALL_STATE(2932)] = 73646,
  [SMALL_STATE(2933)] = 73770,
  [SMALL_STATE(2934)] = 73894,
  [SMALL_STATE(2935)] = 74018,
  [SMALL_STATE(2936)] = 74142,
  [SMALL_STATE(2937)] = 74266,
  [SMALL_STATE(2938)] = 74390,
  [SMALL_STATE(2939)] = 74514,
  [SMALL_STATE(2940)] = 74638,
  [SMALL_STATE(2941)] = 74762,
  [SMALL_STATE(2942)] = 74886,
  [SMALL_STATE(2943)] = 75010,
  [SMALL_STATE(2944)] = 75134,
  [SMALL_STATE(2945)] = 75258,
  [SMALL_STATE(2946)] = 75382,
  [SMALL_STATE(2947)] = 75506,
  [SMALL_STATE(2948)] = 75630,
  [SMALL_STATE(2949)] = 75754,
  [SMALL_STATE(2950)] = 75878,
  [SMALL_STATE(2951)] = 76002,
  [SMALL_STATE(2952)] = 76126,
  [SMALL_STATE(2953)] = 76250,
  [SMALL_STATE(2954)] = 76374,
  [SMALL_STATE(2955)] = 76498,
  [SMALL_STATE(2956)] = 76622,
  [SMALL_STATE(2957)] = 76746,
  [SMALL_STATE(2958)] = 76870,
  [SMALL_STATE(2959)] = 76994,
  [SMALL_STATE(2960)] = 77118,
  [SMALL_STATE(2961)] = 77242,
  [SMALL_STATE(2962)] = 77366,
  [SMALL_STATE(2963)] = 77490,
  [SMALL_STATE(2964)] = 77614,
  [SMALL_STATE(2965)] = 77738,
  [SMALL_STATE(2966)] = 77862,
  [SMALL_STATE(2967)] = 77986,
  [SMALL_STATE(2968)] = 78110,
  [SMALL_STATE(2969)] = 78234,
  [SMALL_STATE(2970)] = 78358,
  [SMALL_STATE(2971)] = 78482,
  [SMALL_STATE(2972)] = 78606,
  [SMALL_STATE(2973)] = 78730,
  [SMALL_STATE(2974)] = 78854,
  [SMALL_STATE(2975)] = 78978,
  [SMALL_STATE(2976)] = 79102,
  [SMALL_STATE(2977)] = 79226,
  [SMALL_STATE(2978)] = 79350,
  [SMALL_STATE(2979)] = 79474,
  [SMALL_STATE(2980)] = 79598,
  [SMALL_STATE(2981)] = 79722,
  [SMALL_STATE(2982)] = 79846,
  [SMALL_STATE(2983)] = 79970,
  [SMALL_STATE(2984)] = 80094,
  [SMALL_STATE(2985)] = 80218,
  [SMALL_STATE(2986)] = 80342,
  [SMALL_STATE(2987)] = 80466,
  [SMALL_STATE(2988)] = 80590,
  [SMALL_STATE(2989)] = 80714,
  [SMALL_STATE(2990)] = 80838,
  [SMALL_STATE(2991)] = 80962,
  [SMALL_STATE(2992)] = 81086,
  [SMALL_STATE(2993)] = 81210,
  [SMALL_STATE(2994)] = 81334,
  [SMALL_STATE(2995)] = 81458,
  [SMALL_STATE(2996)] = 81582,
  [SMALL_STATE(2997)] = 81652,
  [SMALL_STATE(2998)] = 81776,
  [SMALL_STATE(2999)] = 81900,
  [SMALL_STATE(3000)] = 82024,
  [SMALL_STATE(3001)] = 82148,
  [SMALL_STATE(3002)] = 82272,
  [SMALL_STATE(3003)] = 82396,
  [SMALL_STATE(3004)] = 82520,
  [SMALL_STATE(3005)] = 82644,
  [SMALL_STATE(3006)] = 82768,
  [SMALL_STATE(3007)] = 82892,
  [SMALL_STATE(3008)] = 83016,
  [SMALL_STATE(3009)] = 83140,
  [SMALL_STATE(3010)] = 83264,
  [SMALL_STATE(3011)] = 83388,
  [SMALL_STATE(3012)] = 83512,
  [SMALL_STATE(3013)] = 83636,
  [SMALL_STATE(3014)] = 83760,
  [SMALL_STATE(3015)] = 83884,
  [SMALL_STATE(3016)] = 84008,
  [SMALL_STATE(3017)] = 84132,
  [SMALL_STATE(3018)] = 84256,
  [SMALL_STATE(3019)] = 84380,
  [SMALL_STATE(3020)] = 84504,
  [SMALL_STATE(3021)] = 84628,
  [SMALL_STATE(3022)] = 84752,
  [SMALL_STATE(3023)] = 84876,
  [SMALL_STATE(3024)] = 85000,
  [SMALL_STATE(3025)] = 85124,
  [SMALL_STATE(3026)] = 85248,
  [SMALL_STATE(3027)] = 85372,
  [SMALL_STATE(3028)] = 85496,
  [SMALL_STATE(3029)] = 85620,
  [SMALL_STATE(3030)] = 85744,
  [SMALL_STATE(3031)] = 85868,
  [SMALL_STATE(3032)] = 85992,
  [SMALL_STATE(3033)] = 86116,
  [SMALL_STATE(3034)] = 86240,
  [SMALL_STATE(3035)] = 86364,
  [SMALL_STATE(3036)] = 86488,
  [SMALL_STATE(3037)] = 86612,
  [SMALL_STATE(3038)] = 86736,
  [SMALL_STATE(3039)] = 86860,
  [SMALL_STATE(3040)] = 86984,
  [SMALL_STATE(3041)] = 87108,
  [SMALL_STATE(3042)] = 87232,
  [SMALL_STATE(3043)] = 87356,
  [SMALL_STATE(3044)] = 87480,
  [SMALL_STATE(3045)] = 87604,
  [SMALL_STATE(3046)] = 87728,
  [SMALL_STATE(3047)] = 87852,
  [SMALL_STATE(3048)] = 87976,
  [SMALL_STATE(3049)] = 88100,
  [SMALL_STATE(3050)] = 88224,
  [SMALL_STATE(3051)] = 88348,
  [SMALL_STATE(3052)] = 88472,
  [SMALL_STATE(3053)] = 88596,
  [SMALL_STATE(3054)] = 88720,
  [SMALL_STATE(3055)] = 88844,
  [SMALL_STATE(3056)] = 88968,
  [SMALL_STATE(3057)] = 89092,
  [SMALL_STATE(3058)] = 89216,
  [SMALL_STATE(3059)] = 89340,
  [SMALL_STATE(3060)] = 89464,
  [SMALL_STATE(3061)] = 89588,
  [SMALL_STATE(3062)] = 89712,
  [SMALL_STATE(3063)] = 89836,
  [SMALL_STATE(3064)] = 89960,
  [SMALL_STATE(3065)] = 90084,
  [SMALL_STATE(3066)] = 90208,
  [SMALL_STATE(3067)] = 90332,
  [SMALL_STATE(3068)] = 90456,
  [SMALL_STATE(3069)] = 90580,
  [SMALL_STATE(3070)] = 90704,
  [SMALL_STATE(3071)] = 90774,
  [SMALL_STATE(3072)] = 90898,
  [SMALL_STATE(3073)] = 91022,
  [SMALL_STATE(3074)] = 91146,
  [SMALL_STATE(3075)] = 91270,
  [SMALL_STATE(3076)] = 91394,
  [SMALL_STATE(3077)] = 91518,
  [SMALL_STATE(3078)] = 91642,
  [SMALL_STATE(3079)] = 91766,
  [SMALL_STATE(3080)] = 91890,
  [SMALL_STATE(3081)] = 91960,
  [SMALL_STATE(3082)] = 92084,
  [SMALL_STATE(3083)] = 92205,
  [SMALL_STATE(3084)] = 92326,
  [SMALL_STATE(3085)] = 92447,
  [SMALL_STATE(3086)] = 92568,
  [SMALL_STATE(3087)] = 92689,
  [SMALL_STATE(3088)] = 92810,
  [SMALL_STATE(3089)] = 92931,
  [SMALL_STATE(3090)] = 93052,
  [SMALL_STATE(3091)] = 93173,
  [SMALL_STATE(3092)] = 93294,
  [SMALL_STATE(3093)] = 93415,
  [SMALL_STATE(3094)] = 93536,
  [SMALL_STATE(3095)] = 93657,
  [SMALL_STATE(3096)] = 93778,
  [SMALL_STATE(3097)] = 93899,
  [SMALL_STATE(3098)] = 94020,
  [SMALL_STATE(3099)] = 94141,
  [SMALL_STATE(3100)] = 94262,
  [SMALL_STATE(3101)] = 94383,
  [SMALL_STATE(3102)] = 94504,
  [SMALL_STATE(3103)] = 94625,
  [SMALL_STATE(3104)] = 94746,
  [SMALL_STATE(3105)] = 94867,
  [SMALL_STATE(3106)] = 94988,
  [SMALL_STATE(3107)] = 95109,
  [SMALL_STATE(3108)] = 95230,
  [SMALL_STATE(3109)] = 95351,
  [SMALL_STATE(3110)] = 95472,
  [SMALL_STATE(3111)] = 95593,
  [SMALL_STATE(3112)] = 95714,
  [SMALL_STATE(3113)] = 95835,
  [SMALL_STATE(3114)] = 95956,
  [SMALL_STATE(3115)] = 96077,
  [SMALL_STATE(3116)] = 96198,
  [SMALL_STATE(3117)] = 96319,
  [SMALL_STATE(3118)] = 96440,
  [SMALL_STATE(3119)] = 96561,
  [SMALL_STATE(3120)] = 96682,
  [SMALL_STATE(3121)] = 96803,
  [SMALL_STATE(3122)] = 96924,
  [SMALL_STATE(3123)] = 97045,
  [SMALL_STATE(3124)] = 97166,
  [SMALL_STATE(3125)] = 97287,
  [SMALL_STATE(3126)] = 97408,
  [SMALL_STATE(3127)] = 97529,
  [SMALL_STATE(3128)] = 97650,
  [SMALL_STATE(3129)] = 97771,
  [SMALL_STATE(3130)] = 97892,
  [SMALL_STATE(3131)] = 98013,
  [SMALL_STATE(3132)] = 98134,
  [SMALL_STATE(3133)] = 98255,
  [SMALL_STATE(3134)] = 98376,
  [SMALL_STATE(3135)] = 98497,
  [SMALL_STATE(3136)] = 98618,
  [SMALL_STATE(3137)] = 98739,
  [SMALL_STATE(3138)] = 98860,
  [SMALL_STATE(3139)] = 98981,
  [SMALL_STATE(3140)] = 99102,
  [SMALL_STATE(3141)] = 99223,
  [SMALL_STATE(3142)] = 99344,
  [SMALL_STATE(3143)] = 99465,
  [SMALL_STATE(3144)] = 99586,
  [SMALL_STATE(3145)] = 99707,
  [SMALL_STATE(3146)] = 99828,
  [SMALL_STATE(3147)] = 99949,
  [SMALL_STATE(3148)] = 100070,
  [SMALL_STATE(3149)] = 100191,
  [SMALL_STATE(3150)] = 100312,
  [SMALL_STATE(3151)] = 100433,
  [SMALL_STATE(3152)] = 100554,
  [SMALL_STATE(3153)] = 100675,
  [SMALL_STATE(3154)] = 100796,
  [SMALL_STATE(3155)] = 100917,
  [SMALL_STATE(3156)] = 101038,
  [SMALL_STATE(3157)] = 101159,
  [SMALL_STATE(3158)] = 101280,
  [SMALL_STATE(3159)] = 101401,
  [SMALL_STATE(3160)] = 101522,
  [SMALL_STATE(3161)] = 101643,
  [SMALL_STATE(3162)] = 101764,
  [SMALL_STATE(3163)] = 101885,
  [SMALL_STATE(3164)] = 102006,
  [SMALL_STATE(3165)] = 102127,
  [SMALL_STATE(3166)] = 102248,
  [SMALL_STATE(3167)] = 102369,
  [SMALL_STATE(3168)] = 102490,
  [SMALL_STATE(3169)] = 102611,
  [SMALL_STATE(3170)] = 102732,
  [SMALL_STATE(3171)] = 102853,
  [SMALL_STATE(3172)] = 102974,
  [SMALL_STATE(3173)] = 103095,
  [SMALL_STATE(3174)] = 103216,
  [SMALL_STATE(3175)] = 103337,
  [SMALL_STATE(3176)] = 103458,
  [SMALL_STATE(3177)] = 103579,
  [SMALL_STATE(3178)] = 103700,
  [SMALL_STATE(3179)] = 103821,
  [SMALL_STATE(3180)] = 103942,
  [SMALL_STATE(3181)] = 104063,
  [SMALL_STATE(3182)] = 104184,
  [SMALL_STATE(3183)] = 104305,
  [SMALL_STATE(3184)] = 104426,
  [SMALL_STATE(3185)] = 104547,
  [SMALL_STATE(3186)] = 104668,
  [SMALL_STATE(3187)] = 104789,
  [SMALL_STATE(3188)] = 104910,
  [SMALL_STATE(3189)] = 105031,
  [SMALL_STATE(3190)] = 105152,
  [SMALL_STATE(3191)] = 105273,
  [SMALL_STATE(3192)] = 105394,
  [SMALL_STATE(3193)] = 105515,
  [SMALL_STATE(3194)] = 105636,
  [SMALL_STATE(3195)] = 105757,
  [SMALL_STATE(3196)] = 105878,
  [SMALL_STATE(3197)] = 105999,
  [SMALL_STATE(3198)] = 106120,
  [SMALL_STATE(3199)] = 106241,
  [SMALL_STATE(3200)] = 106362,
  [SMALL_STATE(3201)] = 106483,
  [SMALL_STATE(3202)] = 106604,
  [SMALL_STATE(3203)] = 106725,
  [SMALL_STATE(3204)] = 106846,
  [SMALL_STATE(3205)] = 106967,
  [SMALL_STATE(3206)] = 107088,
  [SMALL_STATE(3207)] = 107209,
  [SMALL_STATE(3208)] = 107330,
  [SMALL_STATE(3209)] = 107451,
  [SMALL_STATE(3210)] = 107572,
  [SMALL_STATE(3211)] = 107693,
  [SMALL_STATE(3212)] = 107814,
  [SMALL_STATE(3213)] = 107935,
  [SMALL_STATE(3214)] = 108056,
  [SMALL_STATE(3215)] = 108177,
  [SMALL_STATE(3216)] = 108298,
  [SMALL_STATE(3217)] = 108419,
  [SMALL_STATE(3218)] = 108540,
  [SMALL_STATE(3219)] = 108661,
  [SMALL_STATE(3220)] = 108782,
  [SMALL_STATE(3221)] = 108903,
  [SMALL_STATE(3222)] = 109024,
  [SMALL_STATE(3223)] = 109145,
  [SMALL_STATE(3224)] = 109266,
  [SMALL_STATE(3225)] = 109387,
  [SMALL_STATE(3226)] = 109508,
  [SMALL_STATE(3227)] = 109629,
  [SMALL_STATE(3228)] = 109750,
  [SMALL_STATE(3229)] = 109871,
  [SMALL_STATE(3230)] = 109992,
  [SMALL_STATE(3231)] = 110113,
  [SMALL_STATE(3232)] = 110234,
  [SMALL_STATE(3233)] = 110355,
  [SMALL_STATE(3234)] = 110476,
  [SMALL_STATE(3235)] = 110597,
  [SMALL_STATE(3236)] = 110718,
  [SMALL_STATE(3237)] = 110839,
  [SMALL_STATE(3238)] = 110960,
  [SMALL_STATE(3239)] = 111081,
  [SMALL_STATE(3240)] = 111202,
  [SMALL_STATE(3241)] = 111323,
  [SMALL_STATE(3242)] = 111444,
  [SMALL_STATE(3243)] = 111565,
  [SMALL_STATE(3244)] = 111686,
  [SMALL_STATE(3245)] = 111807,
  [SMALL_STATE(3246)] = 111928,
  [SMALL_STATE(3247)] = 112049,
  [SMALL_STATE(3248)] = 112170,
  [SMALL_STATE(3249)] = 112291,
  [SMALL_STATE(3250)] = 112412,
  [SMALL_STATE(3251)] = 112533,
  [SMALL_STATE(3252)] = 112654,
  [SMALL_STATE(3253)] = 112775,
  [SMALL_STATE(3254)] = 112896,
  [SMALL_STATE(3255)] = 113017,
  [SMALL_STATE(3256)] = 113138,
  [SMALL_STATE(3257)] = 113259,
  [SMALL_STATE(3258)] = 113380,
  [SMALL_STATE(3259)] = 113501,
  [SMALL_STATE(3260)] = 113622,
  [SMALL_STATE(3261)] = 113743,
  [SMALL_STATE(3262)] = 113864,
  [SMALL_STATE(3263)] = 113985,
  [SMALL_STATE(3264)] = 114106,
  [SMALL_STATE(3265)] = 114227,
  [SMALL_STATE(3266)] = 114348,
  [SMALL_STATE(3267)] = 114469,
  [SMALL_STATE(3268)] = 114590,
  [SMALL_STATE(3269)] = 114711,
  [SMALL_STATE(3270)] = 114832,
  [SMALL_STATE(3271)] = 114953,
  [SMALL_STATE(3272)] = 115074,
  [SMALL_STATE(3273)] = 115195,
  [SMALL_STATE(3274)] = 115316,
  [SMALL_STATE(3275)] = 115437,
  [SMALL_STATE(3276)] = 115558,
  [SMALL_STATE(3277)] = 115679,
  [SMALL_STATE(3278)] = 115800,
  [SMALL_STATE(3279)] = 115921,
  [SMALL_STATE(3280)] = 116042,
  [SMALL_STATE(3281)] = 116163,
  [SMALL_STATE(3282)] = 116284,
  [SMALL_STATE(3283)] = 116405,
  [SMALL_STATE(3284)] = 116526,
  [SMALL_STATE(3285)] = 116647,
  [SMALL_STATE(3286)] = 116768,
  [SMALL_STATE(3287)] = 116889,
  [SMALL_STATE(3288)] = 117010,
  [SMALL_STATE(3289)] = 117131,
  [SMALL_STATE(3290)] = 117252,
  [SMALL_STATE(3291)] = 117373,
  [SMALL_STATE(3292)] = 117494,
  [SMALL_STATE(3293)] = 117615,
  [SMALL_STATE(3294)] = 117736,
  [SMALL_STATE(3295)] = 117857,
  [SMALL_STATE(3296)] = 117978,
  [SMALL_STATE(3297)] = 118099,
  [SMALL_STATE(3298)] = 118220,
  [SMALL_STATE(3299)] = 118341,
  [SMALL_STATE(3300)] = 118462,
  [SMALL_STATE(3301)] = 118583,
  [SMALL_STATE(3302)] = 118704,
  [SMALL_STATE(3303)] = 118825,
  [SMALL_STATE(3304)] = 118946,
  [SMALL_STATE(3305)] = 119067,
  [SMALL_STATE(3306)] = 119188,
  [SMALL_STATE(3307)] = 119309,
  [SMALL_STATE(3308)] = 119430,
  [SMALL_STATE(3309)] = 119551,
  [SMALL_STATE(3310)] = 119672,
  [SMALL_STATE(3311)] = 119793,
  [SMALL_STATE(3312)] = 119914,
  [SMALL_STATE(3313)] = 120035,
  [SMALL_STATE(3314)] = 120156,
  [SMALL_STATE(3315)] = 120277,
  [SMALL_STATE(3316)] = 120398,
  [SMALL_STATE(3317)] = 120519,
  [SMALL_STATE(3318)] = 120640,
  [SMALL_STATE(3319)] = 120761,
  [SMALL_STATE(3320)] = 120882,
  [SMALL_STATE(3321)] = 121003,
  [SMALL_STATE(3322)] = 121124,
  [SMALL_STATE(3323)] = 121245,
  [SMALL_STATE(3324)] = 121366,
  [SMALL_STATE(3325)] = 121487,
  [SMALL_STATE(3326)] = 121608,
  [SMALL_STATE(3327)] = 121729,
  [SMALL_STATE(3328)] = 121850,
  [SMALL_STATE(3329)] = 121971,
  [SMALL_STATE(3330)] = 122092,
  [SMALL_STATE(3331)] = 122213,
  [SMALL_STATE(3332)] = 122334,
  [SMALL_STATE(3333)] = 122455,
  [SMALL_STATE(3334)] = 122576,
  [SMALL_STATE(3335)] = 122697,
  [SMALL_STATE(3336)] = 122818,
  [SMALL_STATE(3337)] = 122939,
  [SMALL_STATE(3338)] = 123060,
  [SMALL_STATE(3339)] = 123181,
  [SMALL_STATE(3340)] = 123302,
  [SMALL_STATE(3341)] = 123423,
  [SMALL_STATE(3342)] = 123544,
  [SMALL_STATE(3343)] = 123665,
  [SMALL_STATE(3344)] = 123786,
  [SMALL_STATE(3345)] = 123907,
  [SMALL_STATE(3346)] = 124028,
  [SMALL_STATE(3347)] = 124149,
  [SMALL_STATE(3348)] = 124270,
  [SMALL_STATE(3349)] = 124391,
  [SMALL_STATE(3350)] = 124512,
  [SMALL_STATE(3351)] = 124633,
  [SMALL_STATE(3352)] = 124754,
  [SMALL_STATE(3353)] = 124875,
  [SMALL_STATE(3354)] = 124996,
  [SMALL_STATE(3355)] = 125117,
  [SMALL_STATE(3356)] = 125238,
  [SMALL_STATE(3357)] = 125359,
  [SMALL_STATE(3358)] = 125480,
  [SMALL_STATE(3359)] = 125601,
  [SMALL_STATE(3360)] = 125722,
  [SMALL_STATE(3361)] = 125843,
  [SMALL_STATE(3362)] = 125964,
  [SMALL_STATE(3363)] = 126085,
  [SMALL_STATE(3364)] = 126206,
  [SMALL_STATE(3365)] = 126327,
  [SMALL_STATE(3366)] = 126448,
  [SMALL_STATE(3367)] = 126569,
  [SMALL_STATE(3368)] = 126690,
  [SMALL_STATE(3369)] = 126811,
  [SMALL_STATE(3370)] = 126932,
  [SMALL_STATE(3371)] = 127053,
  [SMALL_STATE(3372)] = 127174,
  [SMALL_STATE(3373)] = 127295,
  [SMALL_STATE(3374)] = 127416,
  [SMALL_STATE(3375)] = 127537,
  [SMALL_STATE(3376)] = 127658,
  [SMALL_STATE(3377)] = 127779,
  [SMALL_STATE(3378)] = 127900,
  [SMALL_STATE(3379)] = 128021,
  [SMALL_STATE(3380)] = 128142,
  [SMALL_STATE(3381)] = 128263,
  [SMALL_STATE(3382)] = 128384,
  [SMALL_STATE(3383)] = 128505,
  [SMALL_STATE(3384)] = 128626,
  [SMALL_STATE(3385)] = 128747,
  [SMALL_STATE(3386)] = 128868,
  [SMALL_STATE(3387)] = 128989,
  [SMALL_STATE(3388)] = 129110,
  [SMALL_STATE(3389)] = 129231,
  [SMALL_STATE(3390)] = 129352,
  [SMALL_STATE(3391)] = 129473,
  [SMALL_STATE(3392)] = 129594,
  [SMALL_STATE(3393)] = 129715,
  [SMALL_STATE(3394)] = 129836,
  [SMALL_STATE(3395)] = 129957,
  [SMALL_STATE(3396)] = 130078,
  [SMALL_STATE(3397)] = 130199,
  [SMALL_STATE(3398)] = 130320,
  [SMALL_STATE(3399)] = 130441,
  [SMALL_STATE(3400)] = 130562,
  [SMALL_STATE(3401)] = 130683,
  [SMALL_STATE(3402)] = 130804,
  [SMALL_STATE(3403)] = 130925,
  [SMALL_STATE(3404)] = 131046,
  [SMALL_STATE(3405)] = 131167,
  [SMALL_STATE(3406)] = 131288,
  [SMALL_STATE(3407)] = 131409,
  [SMALL_STATE(3408)] = 131530,
  [SMALL_STATE(3409)] = 131651,
  [SMALL_STATE(3410)] = 131772,
  [SMALL_STATE(3411)] = 131893,
  [SMALL_STATE(3412)] = 132014,
  [SMALL_STATE(3413)] = 132135,
  [SMALL_STATE(3414)] = 132256,
  [SMALL_STATE(3415)] = 132377,
  [SMALL_STATE(3416)] = 132498,
  [SMALL_STATE(3417)] = 132619,
  [SMALL_STATE(3418)] = 132740,
  [SMALL_STATE(3419)] = 132861,
  [SMALL_STATE(3420)] = 132982,
  [SMALL_STATE(3421)] = 133103,
  [SMALL_STATE(3422)] = 133224,
  [SMALL_STATE(3423)] = 133345,
  [SMALL_STATE(3424)] = 133466,
  [SMALL_STATE(3425)] = 133587,
  [SMALL_STATE(3426)] = 133708,
  [SMALL_STATE(3427)] = 133829,
  [SMALL_STATE(3428)] = 133950,
  [SMALL_STATE(3429)] = 134071,
  [SMALL_STATE(3430)] = 134192,
  [SMALL_STATE(3431)] = 134313,
  [SMALL_STATE(3432)] = 134434,
  [SMALL_STATE(3433)] = 134555,
  [SMALL_STATE(3434)] = 134676,
  [SMALL_STATE(3435)] = 134797,
  [SMALL_STATE(3436)] = 134918,
  [SMALL_STATE(3437)] = 135039,
  [SMALL_STATE(3438)] = 135160,
  [SMALL_STATE(3439)] = 135281,
  [SMALL_STATE(3440)] = 135402,
  [SMALL_STATE(3441)] = 135523,
  [SMALL_STATE(3442)] = 135644,
  [SMALL_STATE(3443)] = 135765,
  [SMALL_STATE(3444)] = 135834,
  [SMALL_STATE(3445)] = 135955,
  [SMALL_STATE(3446)] = 136076,
  [SMALL_STATE(3447)] = 136197,
  [SMALL_STATE(3448)] = 136318,
  [SMALL_STATE(3449)] = 136439,
  [SMALL_STATE(3450)] = 136560,
  [SMALL_STATE(3451)] = 136681,
  [SMALL_STATE(3452)] = 136802,
  [SMALL_STATE(3453)] = 136871,
  [SMALL_STATE(3454)] = 136992,
  [SMALL_STATE(3455)] = 137113,
  [SMALL_STATE(3456)] = 137234,
  [SMALL_STATE(3457)] = 137303,
  [SMALL_STATE(3458)] = 137424,
  [SMALL_STATE(3459)] = 137545,
  [SMALL_STATE(3460)] = 137666,
  [SMALL_STATE(3461)] = 137787,
  [SMALL_STATE(3462)] = 137908,
  [SMALL_STATE(3463)] = 138029,
  [SMALL_STATE(3464)] = 138150,
  [SMALL_STATE(3465)] = 138271,
  [SMALL_STATE(3466)] = 138392,
  [SMALL_STATE(3467)] = 138513,
  [SMALL_STATE(3468)] = 138634,
  [SMALL_STATE(3469)] = 138755,
  [SMALL_STATE(3470)] = 138876,
  [SMALL_STATE(3471)] = 138997,
  [SMALL_STATE(3472)] = 139118,
  [SMALL_STATE(3473)] = 139239,
  [SMALL_STATE(3474)] = 139360,
  [SMALL_STATE(3475)] = 139481,
  [SMALL_STATE(3476)] = 139602,
  [SMALL_STATE(3477)] = 139723,
  [SMALL_STATE(3478)] = 139792,
  [SMALL_STATE(3479)] = 139913,
  [SMALL_STATE(3480)] = 140034,
  [SMALL_STATE(3481)] = 140155,
  [SMALL_STATE(3482)] = 140276,
  [SMALL_STATE(3483)] = 140397,
  [SMALL_STATE(3484)] = 140518,
  [SMALL_STATE(3485)] = 140639,
  [SMALL_STATE(3486)] = 140760,
  [SMALL_STATE(3487)] = 140881,
  [SMALL_STATE(3488)] = 141002,
  [SMALL_STATE(3489)] = 141123,
  [SMALL_STATE(3490)] = 141244,
  [SMALL_STATE(3491)] = 141365,
  [SMALL_STATE(3492)] = 141486,
  [SMALL_STATE(3493)] = 141607,
  [SMALL_STATE(3494)] = 141728,
  [SMALL_STATE(3495)] = 141849,
  [SMALL_STATE(3496)] = 141970,
  [SMALL_STATE(3497)] = 142091,
  [SMALL_STATE(3498)] = 142212,
  [SMALL_STATE(3499)] = 142333,
  [SMALL_STATE(3500)] = 142454,
  [SMALL_STATE(3501)] = 142575,
  [SMALL_STATE(3502)] = 142696,
  [SMALL_STATE(3503)] = 142817,
  [SMALL_STATE(3504)] = 142938,
  [SMALL_STATE(3505)] = 143059,
  [SMALL_STATE(3506)] = 143180,
  [SMALL_STATE(3507)] = 143301,
  [SMALL_STATE(3508)] = 143422,
  [SMALL_STATE(3509)] = 143543,
  [SMALL_STATE(3510)] = 143664,
  [SMALL_STATE(3511)] = 143785,
  [SMALL_STATE(3512)] = 143906,
  [SMALL_STATE(3513)] = 144027,
  [SMALL_STATE(3514)] = 144148,
  [SMALL_STATE(3515)] = 144269,
  [SMALL_STATE(3516)] = 144390,
  [SMALL_STATE(3517)] = 144511,
  [SMALL_STATE(3518)] = 144632,
  [SMALL_STATE(3519)] = 144753,
  [SMALL_STATE(3520)] = 144874,
  [SMALL_STATE(3521)] = 144995,
  [SMALL_STATE(3522)] = 145116,
  [SMALL_STATE(3523)] = 145237,
  [SMALL_STATE(3524)] = 145358,
  [SMALL_STATE(3525)] = 145479,
  [SMALL_STATE(3526)] = 145600,
  [SMALL_STATE(3527)] = 145721,
  [SMALL_STATE(3528)] = 145842,
  [SMALL_STATE(3529)] = 145963,
  [SMALL_STATE(3530)] = 146084,
  [SMALL_STATE(3531)] = 146205,
  [SMALL_STATE(3532)] = 146326,
  [SMALL_STATE(3533)] = 146447,
  [SMALL_STATE(3534)] = 146568,
  [SMALL_STATE(3535)] = 146689,
  [SMALL_STATE(3536)] = 146810,
  [SMALL_STATE(3537)] = 146931,
  [SMALL_STATE(3538)] = 147052,
  [SMALL_STATE(3539)] = 147173,
  [SMALL_STATE(3540)] = 147294,
  [SMALL_STATE(3541)] = 147415,
  [SMALL_STATE(3542)] = 147536,
  [SMALL_STATE(3543)] = 147657,
  [SMALL_STATE(3544)] = 147778,
  [SMALL_STATE(3545)] = 147899,
  [SMALL_STATE(3546)] = 148020,
  [SMALL_STATE(3547)] = 148141,
  [SMALL_STATE(3548)] = 148262,
  [SMALL_STATE(3549)] = 148383,
  [SMALL_STATE(3550)] = 148504,
  [SMALL_STATE(3551)] = 148625,
  [SMALL_STATE(3552)] = 148746,
  [SMALL_STATE(3553)] = 148867,
  [SMALL_STATE(3554)] = 148988,
  [SMALL_STATE(3555)] = 149109,
  [SMALL_STATE(3556)] = 149230,
  [SMALL_STATE(3557)] = 149351,
  [SMALL_STATE(3558)] = 149472,
  [SMALL_STATE(3559)] = 149593,
  [SMALL_STATE(3560)] = 149714,
  [SMALL_STATE(3561)] = 149835,
  [SMALL_STATE(3562)] = 149956,
  [SMALL_STATE(3563)] = 150077,
  [SMALL_STATE(3564)] = 150198,
  [SMALL_STATE(3565)] = 150319,
  [SMALL_STATE(3566)] = 150440,
  [SMALL_STATE(3567)] = 150561,
  [SMALL_STATE(3568)] = 150682,
  [SMALL_STATE(3569)] = 150803,
  [SMALL_STATE(3570)] = 150924,
  [SMALL_STATE(3571)] = 151045,
  [SMALL_STATE(3572)] = 151166,
  [SMALL_STATE(3573)] = 151287,
  [SMALL_STATE(3574)] = 151408,
  [SMALL_STATE(3575)] = 151529,
  [SMALL_STATE(3576)] = 151650,
  [SMALL_STATE(3577)] = 151771,
  [SMALL_STATE(3578)] = 151892,
  [SMALL_STATE(3579)] = 152013,
  [SMALL_STATE(3580)] = 152134,
  [SMALL_STATE(3581)] = 152255,
  [SMALL_STATE(3582)] = 152376,
  [SMALL_STATE(3583)] = 152497,
  [SMALL_STATE(3584)] = 152618,
  [SMALL_STATE(3585)] = 152739,
  [SMALL_STATE(3586)] = 152860,
  [SMALL_STATE(3587)] = 152981,
  [SMALL_STATE(3588)] = 153102,
  [SMALL_STATE(3589)] = 153223,
  [SMALL_STATE(3590)] = 153344,
  [SMALL_STATE(3591)] = 153465,
  [SMALL_STATE(3592)] = 153586,
  [SMALL_STATE(3593)] = 153707,
  [SMALL_STATE(3594)] = 153828,
  [SMALL_STATE(3595)] = 153949,
  [SMALL_STATE(3596)] = 154070,
  [SMALL_STATE(3597)] = 154191,
  [SMALL_STATE(3598)] = 154312,
  [SMALL_STATE(3599)] = 154433,
  [SMALL_STATE(3600)] = 154554,
  [SMALL_STATE(3601)] = 154675,
  [SMALL_STATE(3602)] = 154796,
  [SMALL_STATE(3603)] = 154917,
  [SMALL_STATE(3604)] = 155038,
  [SMALL_STATE(3605)] = 155159,
  [SMALL_STATE(3606)] = 155280,
  [SMALL_STATE(3607)] = 155401,
  [SMALL_STATE(3608)] = 155522,
  [SMALL_STATE(3609)] = 155643,
  [SMALL_STATE(3610)] = 155764,
  [SMALL_STATE(3611)] = 155885,
  [SMALL_STATE(3612)] = 156006,
  [SMALL_STATE(3613)] = 156127,
  [SMALL_STATE(3614)] = 156248,
  [SMALL_STATE(3615)] = 156369,
  [SMALL_STATE(3616)] = 156490,
  [SMALL_STATE(3617)] = 156611,
  [SMALL_STATE(3618)] = 156732,
  [SMALL_STATE(3619)] = 156853,
  [SMALL_STATE(3620)] = 156974,
  [SMALL_STATE(3621)] = 157095,
  [SMALL_STATE(3622)] = 157216,
  [SMALL_STATE(3623)] = 157337,
  [SMALL_STATE(3624)] = 157458,
  [SMALL_STATE(3625)] = 157579,
  [SMALL_STATE(3626)] = 157700,
  [SMALL_STATE(3627)] = 157821,
  [SMALL_STATE(3628)] = 157942,
  [SMALL_STATE(3629)] = 158063,
  [SMALL_STATE(3630)] = 158184,
  [SMALL_STATE(3631)] = 158305,
  [SMALL_STATE(3632)] = 158426,
  [SMALL_STATE(3633)] = 158547,
  [SMALL_STATE(3634)] = 158668,
  [SMALL_STATE(3635)] = 158789,
  [SMALL_STATE(3636)] = 158910,
  [SMALL_STATE(3637)] = 159031,
  [SMALL_STATE(3638)] = 159152,
  [SMALL_STATE(3639)] = 159273,
  [SMALL_STATE(3640)] = 159394,
  [SMALL_STATE(3641)] = 159515,
  [SMALL_STATE(3642)] = 159636,
  [SMALL_STATE(3643)] = 159757,
  [SMALL_STATE(3644)] = 159878,
  [SMALL_STATE(3645)] = 159999,
  [SMALL_STATE(3646)] = 160120,
  [SMALL_STATE(3647)] = 160241,
  [SMALL_STATE(3648)] = 160362,
  [SMALL_STATE(3649)] = 160483,
  [SMALL_STATE(3650)] = 160604,
  [SMALL_STATE(3651)] = 160725,
  [SMALL_STATE(3652)] = 160846,
  [SMALL_STATE(3653)] = 160967,
  [SMALL_STATE(3654)] = 161088,
  [SMALL_STATE(3655)] = 161209,
  [SMALL_STATE(3656)] = 161330,
  [SMALL_STATE(3657)] = 161451,
  [SMALL_STATE(3658)] = 161572,
  [SMALL_STATE(3659)] = 161693,
  [SMALL_STATE(3660)] = 161814,
  [SMALL_STATE(3661)] = 161935,
  [SMALL_STATE(3662)] = 162056,
  [SMALL_STATE(3663)] = 162177,
  [SMALL_STATE(3664)] = 162298,
  [SMALL_STATE(3665)] = 162419,
  [SMALL_STATE(3666)] = 162540,
  [SMALL_STATE(3667)] = 162661,
  [SMALL_STATE(3668)] = 162782,
  [SMALL_STATE(3669)] = 162903,
  [SMALL_STATE(3670)] = 163024,
  [SMALL_STATE(3671)] = 163145,
  [SMALL_STATE(3672)] = 163266,
  [SMALL_STATE(3673)] = 163387,
  [SMALL_STATE(3674)] = 163508,
  [SMALL_STATE(3675)] = 163629,
  [SMALL_STATE(3676)] = 163750,
  [SMALL_STATE(3677)] = 163871,
  [SMALL_STATE(3678)] = 163992,
  [SMALL_STATE(3679)] = 164113,
  [SMALL_STATE(3680)] = 164234,
  [SMALL_STATE(3681)] = 164355,
  [SMALL_STATE(3682)] = 164476,
  [SMALL_STATE(3683)] = 164597,
  [SMALL_STATE(3684)] = 164718,
  [SMALL_STATE(3685)] = 164839,
  [SMALL_STATE(3686)] = 164960,
  [SMALL_STATE(3687)] = 165081,
  [SMALL_STATE(3688)] = 165202,
  [SMALL_STATE(3689)] = 165323,
  [SMALL_STATE(3690)] = 165444,
  [SMALL_STATE(3691)] = 165565,
  [SMALL_STATE(3692)] = 165686,
  [SMALL_STATE(3693)] = 165807,
  [SMALL_STATE(3694)] = 165928,
  [SMALL_STATE(3695)] = 166049,
  [SMALL_STATE(3696)] = 166170,
  [SMALL_STATE(3697)] = 166291,
  [SMALL_STATE(3698)] = 166412,
  [SMALL_STATE(3699)] = 166533,
  [SMALL_STATE(3700)] = 166654,
  [SMALL_STATE(3701)] = 166775,
  [SMALL_STATE(3702)] = 166896,
  [SMALL_STATE(3703)] = 167017,
  [SMALL_STATE(3704)] = 167138,
  [SMALL_STATE(3705)] = 167259,
  [SMALL_STATE(3706)] = 167380,
  [SMALL_STATE(3707)] = 167501,
  [SMALL_STATE(3708)] = 167622,
  [SMALL_STATE(3709)] = 167743,
  [SMALL_STATE(3710)] = 167864,
  [SMALL_STATE(3711)] = 167985,
  [SMALL_STATE(3712)] = 168106,
  [SMALL_STATE(3713)] = 168227,
  [SMALL_STATE(3714)] = 168348,
  [SMALL_STATE(3715)] = 168469,
  [SMALL_STATE(3716)] = 168590,
  [SMALL_STATE(3717)] = 168711,
  [SMALL_STATE(3718)] = 168832,
  [SMALL_STATE(3719)] = 168953,
  [SMALL_STATE(3720)] = 169074,
  [SMALL_STATE(3721)] = 169195,
  [SMALL_STATE(3722)] = 169316,
  [SMALL_STATE(3723)] = 169437,
  [SMALL_STATE(3724)] = 169558,
  [SMALL_STATE(3725)] = 169679,
  [SMALL_STATE(3726)] = 169800,
  [SMALL_STATE(3727)] = 169921,
  [SMALL_STATE(3728)] = 170042,
  [SMALL_STATE(3729)] = 170111,
  [SMALL_STATE(3730)] = 170232,
  [SMALL_STATE(3731)] = 170353,
  [SMALL_STATE(3732)] = 170474,
  [SMALL_STATE(3733)] = 170595,
  [SMALL_STATE(3734)] = 170716,
  [SMALL_STATE(3735)] = 170837,
  [SMALL_STATE(3736)] = 170958,
  [SMALL_STATE(3737)] = 171079,
  [SMALL_STATE(3738)] = 171200,
  [SMALL_STATE(3739)] = 171321,
  [SMALL_STATE(3740)] = 171442,
  [SMALL_STATE(3741)] = 171563,
  [SMALL_STATE(3742)] = 171684,
  [SMALL_STATE(3743)] = 171805,
  [SMALL_STATE(3744)] = 171926,
  [SMALL_STATE(3745)] = 172047,
  [SMALL_STATE(3746)] = 172168,
  [SMALL_STATE(3747)] = 172289,
  [SMALL_STATE(3748)] = 172410,
  [SMALL_STATE(3749)] = 172531,
  [SMALL_STATE(3750)] = 172652,
  [SMALL_STATE(3751)] = 172773,
  [SMALL_STATE(3752)] = 172894,
  [SMALL_STATE(3753)] = 173015,
  [SMALL_STATE(3754)] = 173136,
  [SMALL_STATE(3755)] = 173257,
  [SMALL_STATE(3756)] = 173378,
  [SMALL_STATE(3757)] = 173499,
  [SMALL_STATE(3758)] = 173620,
  [SMALL_STATE(3759)] = 173741,
  [SMALL_STATE(3760)] = 173862,
  [SMALL_STATE(3761)] = 173983,
  [SMALL_STATE(3762)] = 174104,
  [SMALL_STATE(3763)] = 174225,
  [SMALL_STATE(3764)] = 174346,
  [SMALL_STATE(3765)] = 174467,
  [SMALL_STATE(3766)] = 174588,
  [SMALL_STATE(3767)] = 174709,
  [SMALL_STATE(3768)] = 174830,
  [SMALL_STATE(3769)] = 174951,
  [SMALL_STATE(3770)] = 175072,
  [SMALL_STATE(3771)] = 175193,
  [SMALL_STATE(3772)] = 175314,
  [SMALL_STATE(3773)] = 175435,
  [SMALL_STATE(3774)] = 175556,
  [SMALL_STATE(3775)] = 175677,
  [SMALL_STATE(3776)] = 175798,
  [SMALL_STATE(3777)] = 175919,
  [SMALL_STATE(3778)] = 176040,
  [SMALL_STATE(3779)] = 176109,
  [SMALL_STATE(3780)] = 176230,
  [SMALL_STATE(3781)] = 176351,
  [SMALL_STATE(3782)] = 176472,
  [SMALL_STATE(3783)] = 176593,
  [SMALL_STATE(3784)] = 176714,
  [SMALL_STATE(3785)] = 176835,
  [SMALL_STATE(3786)] = 176956,
  [SMALL_STATE(3787)] = 177077,
  [SMALL_STATE(3788)] = 177198,
  [SMALL_STATE(3789)] = 177319,
  [SMALL_STATE(3790)] = 177440,
  [SMALL_STATE(3791)] = 177561,
  [SMALL_STATE(3792)] = 177682,
  [SMALL_STATE(3793)] = 177803,
  [SMALL_STATE(3794)] = 177924,
  [SMALL_STATE(3795)] = 178045,
  [SMALL_STATE(3796)] = 178166,
  [SMALL_STATE(3797)] = 178287,
  [SMALL_STATE(3798)] = 178408,
  [SMALL_STATE(3799)] = 178529,
  [SMALL_STATE(3800)] = 178650,
  [SMALL_STATE(3801)] = 178771,
  [SMALL_STATE(3802)] = 178892,
  [SMALL_STATE(3803)] = 179013,
  [SMALL_STATE(3804)] = 179134,
  [SMALL_STATE(3805)] = 179255,
  [SMALL_STATE(3806)] = 179376,
  [SMALL_STATE(3807)] = 179497,
  [SMALL_STATE(3808)] = 179618,
  [SMALL_STATE(3809)] = 179739,
  [SMALL_STATE(3810)] = 179860,
  [SMALL_STATE(3811)] = 179981,
  [SMALL_STATE(3812)] = 180102,
  [SMALL_STATE(3813)] = 180223,
  [SMALL_STATE(3814)] = 180344,
  [SMALL_STATE(3815)] = 180465,
  [SMALL_STATE(3816)] = 180586,
  [SMALL_STATE(3817)] = 180707,
  [SMALL_STATE(3818)] = 180828,
  [SMALL_STATE(3819)] = 180949,
  [SMALL_STATE(3820)] = 181070,
  [SMALL_STATE(3821)] = 181191,
  [SMALL_STATE(3822)] = 181312,
  [SMALL_STATE(3823)] = 181433,
  [SMALL_STATE(3824)] = 181554,
  [SMALL_STATE(3825)] = 181675,
  [SMALL_STATE(3826)] = 181796,
  [SMALL_STATE(3827)] = 181917,
  [SMALL_STATE(3828)] = 182038,
  [SMALL_STATE(3829)] = 182159,
  [SMALL_STATE(3830)] = 182280,
  [SMALL_STATE(3831)] = 182401,
  [SMALL_STATE(3832)] = 182522,
  [SMALL_STATE(3833)] = 182643,
  [SMALL_STATE(3834)] = 182764,
  [SMALL_STATE(3835)] = 182885,
  [SMALL_STATE(3836)] = 183006,
  [SMALL_STATE(3837)] = 183127,
  [SMALL_STATE(3838)] = 183248,
  [SMALL_STATE(3839)] = 183369,
  [SMALL_STATE(3840)] = 183490,
  [SMALL_STATE(3841)] = 183611,
  [SMALL_STATE(3842)] = 183679,
  [SMALL_STATE(3843)] = 183747,
  [SMALL_STATE(3844)] = 183815,
  [SMALL_STATE(3845)] = 183883,
  [SMALL_STATE(3846)] = 183951,
  [SMALL_STATE(3847)] = 184066,
  [SMALL_STATE(3848)] = 184181,
  [SMALL_STATE(3849)] = 184296,
  [SMALL_STATE(3850)] = 184363,
  [SMALL_STATE(3851)] = 184478,
  [SMALL_STATE(3852)] = 184593,
  [SMALL_STATE(3853)] = 184708,
  [SMALL_STATE(3854)] = 184823,
  [SMALL_STATE(3855)] = 184938,
  [SMALL_STATE(3856)] = 185053,
  [SMALL_STATE(3857)] = 185168,
  [SMALL_STATE(3858)] = 185283,
  [SMALL_STATE(3859)] = 185398,
  [SMALL_STATE(3860)] = 185513,
  [SMALL_STATE(3861)] = 185628,
  [SMALL_STATE(3862)] = 185743,
  [SMALL_STATE(3863)] = 185858,
  [SMALL_STATE(3864)] = 185973,
  [SMALL_STATE(3865)] = 186088,
  [SMALL_STATE(3866)] = 186203,
  [SMALL_STATE(3867)] = 186318,
  [SMALL_STATE(3868)] = 186433,
  [SMALL_STATE(3869)] = 186548,
  [SMALL_STATE(3870)] = 186663,
  [SMALL_STATE(3871)] = 186778,
  [SMALL_STATE(3872)] = 186893,
  [SMALL_STATE(3873)] = 187008,
  [SMALL_STATE(3874)] = 187123,
  [SMALL_STATE(3875)] = 187238,
  [SMALL_STATE(3876)] = 187353,
  [SMALL_STATE(3877)] = 187468,
  [SMALL_STATE(3878)] = 187583,
  [SMALL_STATE(3879)] = 187698,
  [SMALL_STATE(3880)] = 187813,
  [SMALL_STATE(3881)] = 187928,
  [SMALL_STATE(3882)] = 188043,
  [SMALL_STATE(3883)] = 188106,
  [SMALL_STATE(3884)] = 188221,
  [SMALL_STATE(3885)] = 188284,
  [SMALL_STATE(3886)] = 188399,
  [SMALL_STATE(3887)] = 188514,
  [SMALL_STATE(3888)] = 188629,
  [SMALL_STATE(3889)] = 188744,
  [SMALL_STATE(3890)] = 188859,
  [SMALL_STATE(3891)] = 188974,
  [SMALL_STATE(3892)] = 189089,
  [SMALL_STATE(3893)] = 189204,
  [SMALL_STATE(3894)] = 189319,
  [SMALL_STATE(3895)] = 189434,
  [SMALL_STATE(3896)] = 189549,
  [SMALL_STATE(3897)] = 189664,
  [SMALL_STATE(3898)] = 189779,
  [SMALL_STATE(3899)] = 189894,
  [SMALL_STATE(3900)] = 190009,
  [SMALL_STATE(3901)] = 190124,
  [SMALL_STATE(3902)] = 190239,
  [SMALL_STATE(3903)] = 190354,
  [SMALL_STATE(3904)] = 190469,
  [SMALL_STATE(3905)] = 190584,
  [SMALL_STATE(3906)] = 190696,
  [SMALL_STATE(3907)] = 190808,
  [SMALL_STATE(3908)] = 190920,
  [SMALL_STATE(3909)] = 191032,
  [SMALL_STATE(3910)] = 191144,
  [SMALL_STATE(3911)] = 191256,
  [SMALL_STATE(3912)] = 191368,
  [SMALL_STATE(3913)] = 191480,
  [SMALL_STATE(3914)] = 191592,
  [SMALL_STATE(3915)] = 191704,
  [SMALL_STATE(3916)] = 191816,
  [SMALL_STATE(3917)] = 191928,
  [SMALL_STATE(3918)] = 192040,
  [SMALL_STATE(3919)] = 192152,
  [SMALL_STATE(3920)] = 192264,
  [SMALL_STATE(3921)] = 192376,
  [SMALL_STATE(3922)] = 192488,
  [SMALL_STATE(3923)] = 192598,
  [SMALL_STATE(3924)] = 192710,
  [SMALL_STATE(3925)] = 192822,
  [SMALL_STATE(3926)] = 192934,
  [SMALL_STATE(3927)] = 193046,
  [SMALL_STATE(3928)] = 193158,
  [SMALL_STATE(3929)] = 193270,
  [SMALL_STATE(3930)] = 193382,
  [SMALL_STATE(3931)] = 193494,
  [SMALL_STATE(3932)] = 193606,
  [SMALL_STATE(3933)] = 193718,
  [SMALL_STATE(3934)] = 193830,
  [SMALL_STATE(3935)] = 193940,
  [SMALL_STATE(3936)] = 194052,
  [SMALL_STATE(3937)] = 194164,
  [SMALL_STATE(3938)] = 194276,
  [SMALL_STATE(3939)] = 194388,
  [SMALL_STATE(3940)] = 194500,
  [SMALL_STATE(3941)] = 194562,
  [SMALL_STATE(3942)] = 194674,
  [SMALL_STATE(3943)] = 194784,
  [SMALL_STATE(3944)] = 194896,
  [SMALL_STATE(3945)] = 195008,
  [SMALL_STATE(3946)] = 195120,
  [SMALL_STATE(3947)] = 195232,
  [SMALL_STATE(3948)] = 195344,
  [SMALL_STATE(3949)] = 195456,
  [SMALL_STATE(3950)] = 195568,
  [SMALL_STATE(3951)] = 195680,
  [SMALL_STATE(3952)] = 195792,
  [SMALL_STATE(3953)] = 195904,
  [SMALL_STATE(3954)] = 196016,
  [SMALL_STATE(3955)] = 196128,
  [SMALL_STATE(3956)] = 196240,
  [SMALL_STATE(3957)] = 196352,
  [SMALL_STATE(3958)] = 196464,
  [SMALL_STATE(3959)] = 196574,
  [SMALL_STATE(3960)] = 196686,
  [SMALL_STATE(3961)] = 196748,
  [SMALL_STATE(3962)] = 196860,
  [SMALL_STATE(3963)] = 196972,
  [SMALL_STATE(3964)] = 197084,
  [SMALL_STATE(3965)] = 197196,
  [SMALL_STATE(3966)] = 197308,
  [SMALL_STATE(3967)] = 197420,
  [SMALL_STATE(3968)] = 197532,
  [SMALL_STATE(3969)] = 197644,
  [SMALL_STATE(3970)] = 197756,
  [SMALL_STATE(3971)] = 197868,
  [SMALL_STATE(3972)] = 197980,
  [SMALL_STATE(3973)] = 198092,
  [SMALL_STATE(3974)] = 198204,
  [SMALL_STATE(3975)] = 198316,
  [SMALL_STATE(3976)] = 198428,
  [SMALL_STATE(3977)] = 198540,
  [SMALL_STATE(3978)] = 198652,
  [SMALL_STATE(3979)] = 198764,
  [SMALL_STATE(3980)] = 198876,
  [SMALL_STATE(3981)] = 198988,
  [SMALL_STATE(3982)] = 199100,
  [SMALL_STATE(3983)] = 199212,
  [SMALL_STATE(3984)] = 199324,
  [SMALL_STATE(3985)] = 199436,
  [SMALL_STATE(3986)] = 199548,
  [SMALL_STATE(3987)] = 199660,
  [SMALL_STATE(3988)] = 199772,
  [SMALL_STATE(3989)] = 199884,
  [SMALL_STATE(3990)] = 199996,
  [SMALL_STATE(3991)] = 200108,
  [SMALL_STATE(3992)] = 200220,
  [SMALL_STATE(3993)] = 200332,
  [SMALL_STATE(3994)] = 200444,
  [SMALL_STATE(3995)] = 200556,
  [SMALL_STATE(3996)] = 200668,
  [SMALL_STATE(3997)] = 200780,
  [SMALL_STATE(3998)] = 200892,
  [SMALL_STATE(3999)] = 201004,
  [SMALL_STATE(4000)] = 201116,
  [SMALL_STATE(4001)] = 201228,
  [SMALL_STATE(4002)] = 201340,
  [SMALL_STATE(4003)] = 201452,
  [SMALL_STATE(4004)] = 201564,
  [SMALL_STATE(4005)] = 201676,
  [SMALL_STATE(4006)] = 201788,
  [SMALL_STATE(4007)] = 201900,
  [SMALL_STATE(4008)] = 202012,
  [SMALL_STATE(4009)] = 202124,
  [SMALL_STATE(4010)] = 202236,
  [SMALL_STATE(4011)] = 202348,
  [SMALL_STATE(4012)] = 202460,
  [SMALL_STATE(4013)] = 202572,
  [SMALL_STATE(4014)] = 202684,
  [SMALL_STATE(4015)] = 202796,
  [SMALL_STATE(4016)] = 202908,
  [SMALL_STATE(4017)] = 203020,
  [SMALL_STATE(4018)] = 203132,
  [SMALL_STATE(4019)] = 203244,
  [SMALL_STATE(4020)] = 203356,
  [SMALL_STATE(4021)] = 203468,
  [SMALL_STATE(4022)] = 203580,
  [SMALL_STATE(4023)] = 203692,
  [SMALL_STATE(4024)] = 203754,
  [SMALL_STATE(4025)] = 203816,
  [SMALL_STATE(4026)] = 203877,
  [SMALL_STATE(4027)] = 203938,
  [SMALL_STATE(4028)] = 203999,
  [SMALL_STATE(4029)] = 204108,
  [SMALL_STATE(4030)] = 204217,
  [SMALL_STATE(4031)] = 204278,
  [SMALL_STATE(4032)] = 204339,
  [SMALL_STATE(4033)] = 204400,
  [SMALL_STATE(4034)] = 204461,
  [SMALL_STATE(4035)] = 204522,
  [SMALL_STATE(4036)] = 204582,
  [SMALL_STATE(4037)] = 204688,
  [SMALL_STATE(4038)] = 204748,
  [SMALL_STATE(4039)] = 204808,
  [SMALL_STATE(4040)] = 204914,
  [SMALL_STATE(4041)] = 204974,
  [SMALL_STATE(4042)] = 205034,
  [SMALL_STATE(4043)] = 205094,
  [SMALL_STATE(4044)] = 205154,
  [SMALL_STATE(4045)] = 205260,
  [SMALL_STATE(4046)] = 205320,
  [SMALL_STATE(4047)] = 205380,
  [SMALL_STATE(4048)] = 205440,
  [SMALL_STATE(4049)] = 205546,
  [SMALL_STATE(4050)] = 205605,
  [SMALL_STATE(4051)] = 205664,
  [SMALL_STATE(4052)] = 205723,
  [SMALL_STATE(4053)] = 205782,
  [SMALL_STATE(4054)] = 205841,
  [SMALL_STATE(4055)] = 205898,
  [SMALL_STATE(4056)] = 205957,
  [SMALL_STATE(4057)] = 206016,
  [SMALL_STATE(4058)] = 206075,
  [SMALL_STATE(4059)] = 206134,
  [SMALL_STATE(4060)] = 206193,
  [SMALL_STATE(4061)] = 206252,
  [SMALL_STATE(4062)] = 206311,
  [SMALL_STATE(4063)] = 206368,
  [SMALL_STATE(4064)] = 206426,
  [SMALL_STATE(4065)] = 206526,
  [SMALL_STATE(4066)] = 206584,
  [SMALL_STATE(4067)] = 206642,
  [SMALL_STATE(4068)] = 206700,
  [SMALL_STATE(4069)] = 206758,
  [SMALL_STATE(4070)] = 206858,
  [SMALL_STATE(4071)] = 206916,
  [SMALL_STATE(4072)] = 206982,
  [SMALL_STATE(4073)] = 207040,
  [SMALL_STATE(4074)] = 207098,
  [SMALL_STATE(4075)] = 207156,
  [SMALL_STATE(4076)] = 207213,
  [SMALL_STATE(4077)] = 207270,
  [SMALL_STATE(4078)] = 207327,
  [SMALL_STATE(4079)] = 207384,
  [SMALL_STATE(4080)] = 207478,
  [SMALL_STATE(4081)] = 207572,
  [SMALL_STATE(4082)] = 207666,
  [SMALL_STATE(4083)] = 207760,
  [SMALL_STATE(4084)] = 207854,
  [SMALL_STATE(4085)] = 207948,
  [SMALL_STATE(4086)] = 208042,
  [SMALL_STATE(4087)] = 208136,
  [SMALL_STATE(4088)] = 208230,
  [SMALL_STATE(4089)] = 208324,
  [SMALL_STATE(4090)] = 208418,
  [SMALL_STATE(4091)] = 208512,
  [SMALL_STATE(4092)] = 208606,
  [SMALL_STATE(4093)] = 208700,
  [SMALL_STATE(4094)] = 208794,
  [SMALL_STATE(4095)] = 208888,
  [SMALL_STATE(4096)] = 208982,
  [SMALL_STATE(4097)] = 209076,
  [SMALL_STATE(4098)] = 209170,
  [SMALL_STATE(4099)] = 209264,
  [SMALL_STATE(4100)] = 209358,
  [SMALL_STATE(4101)] = 209452,
  [SMALL_STATE(4102)] = 209546,
  [SMALL_STATE(4103)] = 209640,
  [SMALL_STATE(4104)] = 209734,
  [SMALL_STATE(4105)] = 209828,
  [SMALL_STATE(4106)] = 209922,
  [SMALL_STATE(4107)] = 209978,
  [SMALL_STATE(4108)] = 210072,
  [SMALL_STATE(4109)] = 210166,
  [SMALL_STATE(4110)] = 210260,
  [SMALL_STATE(4111)] = 210354,
  [SMALL_STATE(4112)] = 210448,
  [SMALL_STATE(4113)] = 210542,
  [SMALL_STATE(4114)] = 210636,
  [SMALL_STATE(4115)] = 210730,
  [SMALL_STATE(4116)] = 210824,
  [SMALL_STATE(4117)] = 210918,
  [SMALL_STATE(4118)] = 211012,
  [SMALL_STATE(4119)] = 211106,
  [SMALL_STATE(4120)] = 211200,
  [SMALL_STATE(4121)] = 211294,
  [SMALL_STATE(4122)] = 211388,
  [SMALL_STATE(4123)] = 211482,
  [SMALL_STATE(4124)] = 211576,
  [SMALL_STATE(4125)] = 211670,
  [SMALL_STATE(4126)] = 211764,
  [SMALL_STATE(4127)] = 211858,
  [SMALL_STATE(4128)] = 211952,
  [SMALL_STATE(4129)] = 212046,
  [SMALL_STATE(4130)] = 212140,
  [SMALL_STATE(4131)] = 212234,
  [SMALL_STATE(4132)] = 212328,
  [SMALL_STATE(4133)] = 212422,
  [SMALL_STATE(4134)] = 212516,
  [SMALL_STATE(4135)] = 212610,
  [SMALL_STATE(4136)] = 212704,
  [SMALL_STATE(4137)] = 212798,
  [SMALL_STATE(4138)] = 212855,
  [SMALL_STATE(4139)] = 212910,
  [SMALL_STATE(4140)] = 213017,
  [SMALL_STATE(4141)] = 213108,
  [SMALL_STATE(4142)] = 213215,
  [SMALL_STATE(4143)] = 213322,
  [SMALL_STATE(4144)] = 213429,
  [SMALL_STATE(4145)] = 213520,
  [SMALL_STATE(4146)] = 213577,
  [SMALL_STATE(4147)] = 213634,
  [SMALL_STATE(4148)] = 213691,
  [SMALL_STATE(4149)] = 213782,
  [SMALL_STATE(4150)] = 213839,
  [SMALL_STATE(4151)] = 213896,
  [SMALL_STATE(4152)] = 213987,
  [SMALL_STATE(4153)] = 214078,
  [SMALL_STATE(4154)] = 214169,
  [SMALL_STATE(4155)] = 214276,
  [SMALL_STATE(4156)] = 214333,
  [SMALL_STATE(4157)] = 214424,
  [SMALL_STATE(4158)] = 214515,
  [SMALL_STATE(4159)] = 214606,
  [SMALL_STATE(4160)] = 214663,
  [SMALL_STATE(4161)] = 214770,
  [SMALL_STATE(4162)] = 214827,
  [SMALL_STATE(4163)] = 214918,
  [SMALL_STATE(4164)] = 215025,
  [SMALL_STATE(4165)] = 215132,
  [SMALL_STATE(4166)] = 215239,
  [SMALL_STATE(4167)] = 215330,
  [SMALL_STATE(4168)] = 215437,
  [SMALL_STATE(4169)] = 215528,
  [SMALL_STATE(4170)] = 215635,
  [SMALL_STATE(4171)] = 215742,
  [SMALL_STATE(4172)] = 215849,
  [SMALL_STATE(4173)] = 215940,
  [SMALL_STATE(4174)] = 216031,
  [SMALL_STATE(4175)] = 216138,
  [SMALL_STATE(4176)] = 216193,
  [SMALL_STATE(4177)] = 216284,
  [SMALL_STATE(4178)] = 216391,
  [SMALL_STATE(4179)] = 216482,
  [SMALL_STATE(4180)] = 216534,
  [SMALL_STATE(4181)] = 216625,
  [SMALL_STATE(4182)] = 216716,
  [SMALL_STATE(4183)] = 216807,
  [SMALL_STATE(4184)] = 216898,
  [SMALL_STATE(4185)] = 216989,
  [SMALL_STATE(4186)] = 217080,
  [SMALL_STATE(4187)] = 217171,
  [SMALL_STATE(4188)] = 217262,
  [SMALL_STATE(4189)] = 217353,
  [SMALL_STATE(4190)] = 217444,
  [SMALL_STATE(4191)] = 217535,
  [SMALL_STATE(4192)] = 217626,
  [SMALL_STATE(4193)] = 217717,
  [SMALL_STATE(4194)] = 217808,
  [SMALL_STATE(4195)] = 217899,
  [SMALL_STATE(4196)] = 217990,
  [SMALL_STATE(4197)] = 218081,
  [SMALL_STATE(4198)] = 218172,
  [SMALL_STATE(4199)] = 218263,
  [SMALL_STATE(4200)] = 218354,
  [SMALL_STATE(4201)] = 218445,
  [SMALL_STATE(4202)] = 218536,
  [SMALL_STATE(4203)] = 218627,
  [SMALL_STATE(4204)] = 218718,
  [SMALL_STATE(4205)] = 218809,
  [SMALL_STATE(4206)] = 218900,
  [SMALL_STATE(4207)] = 218991,
  [SMALL_STATE(4208)] = 219082,
  [SMALL_STATE(4209)] = 219173,
  [SMALL_STATE(4210)] = 219264,
  [SMALL_STATE(4211)] = 219355,
  [SMALL_STATE(4212)] = 219446,
  [SMALL_STATE(4213)] = 219537,
  [SMALL_STATE(4214)] = 219628,
  [SMALL_STATE(4215)] = 219719,
  [SMALL_STATE(4216)] = 219810,
  [SMALL_STATE(4217)] = 219901,
  [SMALL_STATE(4218)] = 219992,
  [SMALL_STATE(4219)] = 220083,
  [SMALL_STATE(4220)] = 220174,
  [SMALL_STATE(4221)] = 220265,
  [SMALL_STATE(4222)] = 220356,
  [SMALL_STATE(4223)] = 220447,
  [SMALL_STATE(4224)] = 220538,
  [SMALL_STATE(4225)] = 220629,
  [SMALL_STATE(4226)] = 220720,
  [SMALL_STATE(4227)] = 220811,
  [SMALL_STATE(4228)] = 220902,
  [SMALL_STATE(4229)] = 220993,
  [SMALL_STATE(4230)] = 221084,
  [SMALL_STATE(4231)] = 221175,
  [SMALL_STATE(4232)] = 221266,
  [SMALL_STATE(4233)] = 221357,
  [SMALL_STATE(4234)] = 221448,
  [SMALL_STATE(4235)] = 221539,
  [SMALL_STATE(4236)] = 221630,
  [SMALL_STATE(4237)] = 221721,
  [SMALL_STATE(4238)] = 221812,
  [SMALL_STATE(4239)] = 221903,
  [SMALL_STATE(4240)] = 221994,
  [SMALL_STATE(4241)] = 222085,
  [SMALL_STATE(4242)] = 222176,
  [SMALL_STATE(4243)] = 222267,
  [SMALL_STATE(4244)] = 222358,
  [SMALL_STATE(4245)] = 222410,
  [SMALL_STATE(4246)] = 222461,
  [SMALL_STATE(4247)] = 222553,
  [SMALL_STATE(4248)] = 222645,
  [SMALL_STATE(4249)] = 222737,
  [SMALL_STATE(4250)] = 222801,
  [SMALL_STATE(4251)] = 222849,
  [SMALL_STATE(4252)] = 222941,
  [SMALL_STATE(4253)] = 223005,
  [SMALL_STATE(4254)] = 223097,
  [SMALL_STATE(4255)] = 223190,
  [SMALL_STATE(4256)] = 223251,
  [SMALL_STATE(4257)] = 223342,
  [SMALL_STATE(4258)] = 223435,
  [SMALL_STATE(4259)] = 223526,
  [SMALL_STATE(4260)] = 223591,
  [SMALL_STATE(4261)] = 223640,
  [SMALL_STATE(4262)] = 223731,
  [SMALL_STATE(4263)] = 223822,
  [SMALL_STATE(4264)] = 223883,
  [SMALL_STATE(4265)] = 223946,
  [SMALL_STATE(4266)] = 224037,
  [SMALL_STATE(4267)] = 224098,
  [SMALL_STATE(4268)] = 224189,
  [SMALL_STATE(4269)] = 224280,
  [SMALL_STATE(4270)] = 224373,
  [SMALL_STATE(4271)] = 224466,
  [SMALL_STATE(4272)] = 224559,
  [SMALL_STATE(4273)] = 224650,
  [SMALL_STATE(4274)] = 224741,
  [SMALL_STATE(4275)] = 224834,
  [SMALL_STATE(4276)] = 224927,
  [SMALL_STATE(4277)] = 225018,
  [SMALL_STATE(4278)] = 225078,
  [SMALL_STATE(4279)] = 225124,
  [SMALL_STATE(4280)] = 225170,
  [SMALL_STATE(4281)] = 225256,
  [SMALL_STATE(4282)] = 225316,
  [SMALL_STATE(4283)] = 225362,
  [SMALL_STATE(4284)] = 225448,
  [SMALL_STATE(4285)] = 225534,
  [SMALL_STATE(4286)] = 225620,
  [SMALL_STATE(4287)] = 225666,
  [SMALL_STATE(4288)] = 225728,
  [SMALL_STATE(4289)] = 225814,
  [SMALL_STATE(4290)] = 225872,
  [SMALL_STATE(4291)] = 225936,
  [SMALL_STATE(4292)] = 226022,
  [SMALL_STATE(4293)] = 226108,
  [SMALL_STATE(4294)] = 226194,
  [SMALL_STATE(4295)] = 226280,
  [SMALL_STATE(4296)] = 226366,
  [SMALL_STATE(4297)] = 226412,
  [SMALL_STATE(4298)] = 226472,
  [SMALL_STATE(4299)] = 226558,
  [SMALL_STATE(4300)] = 226644,
  [SMALL_STATE(4301)] = 226730,
  [SMALL_STATE(4302)] = 226816,
  [SMALL_STATE(4303)] = 226902,
  [SMALL_STATE(4304)] = 226970,
  [SMALL_STATE(4305)] = 227056,
  [SMALL_STATE(4306)] = 227142,
  [SMALL_STATE(4307)] = 227228,
  [SMALL_STATE(4308)] = 227274,
  [SMALL_STATE(4309)] = 227360,
  [SMALL_STATE(4310)] = 227406,
  [SMALL_STATE(4311)] = 227452,
  [SMALL_STATE(4312)] = 227538,
  [SMALL_STATE(4313)] = 227624,
  [SMALL_STATE(4314)] = 227710,
  [SMALL_STATE(4315)] = 227756,
  [SMALL_STATE(4316)] = 227842,
  [SMALL_STATE(4317)] = 227888,
  [SMALL_STATE(4318)] = 227974,
  [SMALL_STATE(4319)] = 228060,
  [SMALL_STATE(4320)] = 228120,
  [SMALL_STATE(4321)] = 228206,
  [SMALL_STATE(4322)] = 228266,
  [SMALL_STATE(4323)] = 228352,
  [SMALL_STATE(4324)] = 228412,
  [SMALL_STATE(4325)] = 228498,
  [SMALL_STATE(4326)] = 228584,
  [SMALL_STATE(4327)] = 228670,
  [SMALL_STATE(4328)] = 228756,
  [SMALL_STATE(4329)] = 228842,
  [SMALL_STATE(4330)] = 228928,
  [SMALL_STATE(4331)] = 229014,
  [SMALL_STATE(4332)] = 229100,
  [SMALL_STATE(4333)] = 229186,
  [SMALL_STATE(4334)] = 229272,
  [SMALL_STATE(4335)] = 229358,
  [SMALL_STATE(4336)] = 229444,
  [SMALL_STATE(4337)] = 229530,
  [SMALL_STATE(4338)] = 229616,
  [SMALL_STATE(4339)] = 229702,
  [SMALL_STATE(4340)] = 229788,
  [SMALL_STATE(4341)] = 229874,
  [SMALL_STATE(4342)] = 229960,
  [SMALL_STATE(4343)] = 230046,
  [SMALL_STATE(4344)] = 230132,
  [SMALL_STATE(4345)] = 230218,
  [SMALL_STATE(4346)] = 230278,
  [SMALL_STATE(4347)] = 230364,
  [SMALL_STATE(4348)] = 230450,
  [SMALL_STATE(4349)] = 230536,
  [SMALL_STATE(4350)] = 230622,
  [SMALL_STATE(4351)] = 230684,
  [SMALL_STATE(4352)] = 230770,
  [SMALL_STATE(4353)] = 230856,
  [SMALL_STATE(4354)] = 230942,
  [SMALL_STATE(4355)] = 231028,
  [SMALL_STATE(4356)] = 231114,
  [SMALL_STATE(4357)] = 231200,
  [SMALL_STATE(4358)] = 231286,
  [SMALL_STATE(4359)] = 231372,
  [SMALL_STATE(4360)] = 231458,
  [SMALL_STATE(4361)] = 231544,
  [SMALL_STATE(4362)] = 231630,
  [SMALL_STATE(4363)] = 231716,
  [SMALL_STATE(4364)] = 231802,
  [SMALL_STATE(4365)] = 231888,
  [SMALL_STATE(4366)] = 231974,
  [SMALL_STATE(4367)] = 232060,
  [SMALL_STATE(4368)] = 232146,
  [SMALL_STATE(4369)] = 232206,
  [SMALL_STATE(4370)] = 232292,
  [SMALL_STATE(4371)] = 232378,
  [SMALL_STATE(4372)] = 232464,
  [SMALL_STATE(4373)] = 232528,
  [SMALL_STATE(4374)] = 232574,
  [SMALL_STATE(4375)] = 232660,
  [SMALL_STATE(4376)] = 232746,
  [SMALL_STATE(4377)] = 232832,
  [SMALL_STATE(4378)] = 232918,
  [SMALL_STATE(4379)] = 233004,
  [SMALL_STATE(4380)] = 233064,
  [SMALL_STATE(4381)] = 233124,
  [SMALL_STATE(4382)] = 233210,
  [SMALL_STATE(4383)] = 233296,
  [SMALL_STATE(4384)] = 233355,
  [SMALL_STATE(4385)] = 233438,
  [SMALL_STATE(4386)] = 233485,
  [SMALL_STATE(4387)] = 233568,
  [SMALL_STATE(4388)] = 233651,
  [SMALL_STATE(4389)] = 233734,
  [SMALL_STATE(4390)] = 233817,
  [SMALL_STATE(4391)] = 233900,
  [SMALL_STATE(4392)] = 233959,
  [SMALL_STATE(4393)] = 234042,
  [SMALL_STATE(4394)] = 234089,
  [SMALL_STATE(4395)] = 234172,
  [SMALL_STATE(4396)] = 234219,
  [SMALL_STATE(4397)] = 234280,
  [SMALL_STATE(4398)] = 234329,
  [SMALL_STATE(4399)] = 234390,
  [SMALL_STATE(4400)] = 234473,
  [SMALL_STATE(4401)] = 234556,
  [SMALL_STATE(4402)] = 234639,
  [SMALL_STATE(4403)] = 234698,
  [SMALL_STATE(4404)] = 234781,
  [SMALL_STATE(4405)] = 234842,
  [SMALL_STATE(4406)] = 234891,
  [SMALL_STATE(4407)] = 234948,
  [SMALL_STATE(4408)] = 235009,
  [SMALL_STATE(4409)] = 235092,
  [SMALL_STATE(4410)] = 235175,
  [SMALL_STATE(4411)] = 235258,
  [SMALL_STATE(4412)] = 235341,
  [SMALL_STATE(4413)] = 235400,
  [SMALL_STATE(4414)] = 235447,
  [SMALL_STATE(4415)] = 235506,
  [SMALL_STATE(4416)] = 235565,
  [SMALL_STATE(4417)] = 235648,
  [SMALL_STATE(4418)] = 235731,
  [SMALL_STATE(4419)] = 235790,
  [SMALL_STATE(4420)] = 235849,
  [SMALL_STATE(4421)] = 235932,
  [SMALL_STATE(4422)] = 236015,
  [SMALL_STATE(4423)] = 236078,
  [SMALL_STATE(4424)] = 236139,
  [SMALL_STATE(4425)] = 236206,
  [SMALL_STATE(4426)] = 236253,
  [SMALL_STATE(4427)] = 236312,
  [SMALL_STATE(4428)] = 236371,
  [SMALL_STATE(4429)] = 236430,
  [SMALL_STATE(4430)] = 236513,
  [SMALL_STATE(4431)] = 236574,
  [SMALL_STATE(4432)] = 236657,
  [SMALL_STATE(4433)] = 236720,
  [SMALL_STATE(4434)] = 236767,
  [SMALL_STATE(4435)] = 236850,
  [SMALL_STATE(4436)] = 236909,
  [SMALL_STATE(4437)] = 236992,
  [SMALL_STATE(4438)] = 237075,
  [SMALL_STATE(4439)] = 237134,
  [SMALL_STATE(4440)] = 237217,
  [SMALL_STATE(4441)] = 237276,
  [SMALL_STATE(4442)] = 237343,
  [SMALL_STATE(4443)] = 237390,
  [SMALL_STATE(4444)] = 237443,
  [SMALL_STATE(4445)] = 237514,
  [SMALL_STATE(4446)] = 237597,
  [SMALL_STATE(4447)] = 237648,
  [SMALL_STATE(4448)] = 237731,
  [SMALL_STATE(4449)] = 237814,
  [SMALL_STATE(4450)] = 237875,
  [SMALL_STATE(4451)] = 237958,
  [SMALL_STATE(4452)] = 238003,
  [SMALL_STATE(4453)] = 238062,
  [SMALL_STATE(4454)] = 238145,
  [SMALL_STATE(4455)] = 238204,
  [SMALL_STATE(4456)] = 238263,
  [SMALL_STATE(4457)] = 238346,
  [SMALL_STATE(4458)] = 238405,
  [SMALL_STATE(4459)] = 238462,
  [SMALL_STATE(4460)] = 238545,
  [SMALL_STATE(4461)] = 238628,
  [SMALL_STATE(4462)] = 238689,
  [SMALL_STATE(4463)] = 238772,
  [SMALL_STATE(4464)] = 238835,
  [SMALL_STATE(4465)] = 238894,
  [SMALL_STATE(4466)] = 238961,
  [SMALL_STATE(4467)] = 239044,
  [SMALL_STATE(4468)] = 239102,
  [SMALL_STATE(4469)] = 239152,
  [SMALL_STATE(4470)] = 239208,
  [SMALL_STATE(4471)] = 239254,
  [SMALL_STATE(4472)] = 239324,
  [SMALL_STATE(4473)] = 239370,
  [SMALL_STATE(4474)] = 239428,
  [SMALL_STATE(4475)] = 239494,
  [SMALL_STATE(4476)] = 239574,
  [SMALL_STATE(4477)] = 239632,
  [SMALL_STATE(4478)] = 239680,
  [SMALL_STATE(4479)] = 239738,
  [SMALL_STATE(4480)] = 239798,
  [SMALL_STATE(4481)] = 239844,
  [SMALL_STATE(4482)] = 239904,
  [SMALL_STATE(4483)] = 239966,
  [SMALL_STATE(4484)] = 240024,
  [SMALL_STATE(4485)] = 240090,
  [SMALL_STATE(4486)] = 240136,
  [SMALL_STATE(4487)] = 240186,
  [SMALL_STATE(4488)] = 240244,
  [SMALL_STATE(4489)] = 240302,
  [SMALL_STATE(4490)] = 240350,
  [SMALL_STATE(4491)] = 240396,
  [SMALL_STATE(4492)] = 240448,
  [SMALL_STATE(4493)] = 240496,
  [SMALL_STATE(4494)] = 240552,
  [SMALL_STATE(4495)] = 240610,
  [SMALL_STATE(4496)] = 240668,
  [SMALL_STATE(4497)] = 240714,
  [SMALL_STATE(4498)] = 240772,
  [SMALL_STATE(4499)] = 240818,
  [SMALL_STATE(4500)] = 240876,
  [SMALL_STATE(4501)] = 240934,
  [SMALL_STATE(4502)] = 240980,
  [SMALL_STATE(4503)] = 241038,
  [SMALL_STATE(4504)] = 241098,
  [SMALL_STATE(4505)] = 241148,
  [SMALL_STATE(4506)] = 241200,
  [SMALL_STATE(4507)] = 241256,
  [SMALL_STATE(4508)] = 241314,
  [SMALL_STATE(4509)] = 241374,
  [SMALL_STATE(4510)] = 241434,
  [SMALL_STATE(4511)] = 241492,
  [SMALL_STATE(4512)] = 241558,
  [SMALL_STATE(4513)] = 241606,
  [SMALL_STATE(4514)] = 241664,
  [SMALL_STATE(4515)] = 241716,
  [SMALL_STATE(4516)] = 241766,
  [SMALL_STATE(4517)] = 241824,
  [SMALL_STATE(4518)] = 241876,
  [SMALL_STATE(4519)] = 241922,
  [SMALL_STATE(4520)] = 241988,
  [SMALL_STATE(4521)] = 242034,
  [SMALL_STATE(4522)] = 242092,
  [SMALL_STATE(4523)] = 242150,
  [SMALL_STATE(4524)] = 242208,
  [SMALL_STATE(4525)] = 242268,
  [SMALL_STATE(4526)] = 242326,
  [SMALL_STATE(4527)] = 242386,
  [SMALL_STATE(4528)] = 242446,
  [SMALL_STATE(4529)] = 242504,
  [SMALL_STATE(4530)] = 242552,
  [SMALL_STATE(4531)] = 242612,
  [SMALL_STATE(4532)] = 242670,
  [SMALL_STATE(4533)] = 242720,
  [SMALL_STATE(4534)] = 242786,
  [SMALL_STATE(4535)] = 242836,
  [SMALL_STATE(4536)] = 242882,
  [SMALL_STATE(4537)] = 242928,
  [SMALL_STATE(4538)] = 242990,
  [SMALL_STATE(4539)] = 243042,
  [SMALL_STATE(4540)] = 243102,
  [SMALL_STATE(4541)] = 243160,
  [SMALL_STATE(4542)] = 243220,
  [SMALL_STATE(4543)] = 243266,
  [SMALL_STATE(4544)] = 243312,
  [SMALL_STATE(4545)] = 243374,
  [SMALL_STATE(4546)] = 243420,
  [SMALL_STATE(4547)] = 243478,
  [SMALL_STATE(4548)] = 243524,
  [SMALL_STATE(4549)] = 243570,
  [SMALL_STATE(4550)] = 243616,
  [SMALL_STATE(4551)] = 243662,
  [SMALL_STATE(4552)] = 243708,
  [SMALL_STATE(4553)] = 243766,
  [SMALL_STATE(4554)] = 243812,
  [SMALL_STATE(4555)] = 243858,
  [SMALL_STATE(4556)] = 243904,
  [SMALL_STATE(4557)] = 243950,
  [SMALL_STATE(4558)] = 244008,
  [SMALL_STATE(4559)] = 244066,
  [SMALL_STATE(4560)] = 244112,
  [SMALL_STATE(4561)] = 244164,
  [SMALL_STATE(4562)] = 244224,
  [SMALL_STATE(4563)] = 244270,
  [SMALL_STATE(4564)] = 244320,
  [SMALL_STATE(4565)] = 244390,
  [SMALL_STATE(4566)] = 244438,
  [SMALL_STATE(4567)] = 244483,
  [SMALL_STATE(4568)] = 244528,
  [SMALL_STATE(4569)] = 244573,
  [SMALL_STATE(4570)] = 244630,
  [SMALL_STATE(4571)] = 244699,
  [SMALL_STATE(4572)] = 244752,
  [SMALL_STATE(4573)] = 244809,
  [SMALL_STATE(4574)] = 244870,
  [SMALL_STATE(4575)] = 244915,
  [SMALL_STATE(4576)] = 244972,
  [SMALL_STATE(4577)] = 245017,
  [SMALL_STATE(4578)] = 245062,
  [SMALL_STATE(4579)] = 245107,
  [SMALL_STATE(4580)] = 245152,
  [SMALL_STATE(4581)] = 245203,
  [SMALL_STATE(4582)] = 245248,
  [SMALL_STATE(4583)] = 245307,
  [SMALL_STATE(4584)] = 245352,
  [SMALL_STATE(4585)] = 245409,
  [SMALL_STATE(4586)] = 245454,
  [SMALL_STATE(4587)] = 245511,
  [SMALL_STATE(4588)] = 245556,
  [SMALL_STATE(4589)] = 245613,
  [SMALL_STATE(4590)] = 245658,
  [SMALL_STATE(4591)] = 245703,
  [SMALL_STATE(4592)] = 245748,
  [SMALL_STATE(4593)] = 245805,
  [SMALL_STATE(4594)] = 245862,
  [SMALL_STATE(4595)] = 245913,
  [SMALL_STATE(4596)] = 245960,
  [SMALL_STATE(4597)] = 246009,
  [SMALL_STATE(4598)] = 246058,
  [SMALL_STATE(4599)] = 246115,
  [SMALL_STATE(4600)] = 246160,
  [SMALL_STATE(4601)] = 246205,
  [SMALL_STATE(4602)] = 246250,
  [SMALL_STATE(4603)] = 246295,
  [SMALL_STATE(4604)] = 246350,
  [SMALL_STATE(4605)] = 246407,
  [SMALL_STATE(4606)] = 246462,
  [SMALL_STATE(4607)] = 246507,
  [SMALL_STATE(4608)] = 246564,
  [SMALL_STATE(4609)] = 246633,
  [SMALL_STATE(4610)] = 246698,
  [SMALL_STATE(4611)] = 246755,
  [SMALL_STATE(4612)] = 246800,
  [SMALL_STATE(4613)] = 246847,
  [SMALL_STATE(4614)] = 246904,
  [SMALL_STATE(4615)] = 246963,
  [SMALL_STATE(4616)] = 247008,
  [SMALL_STATE(4617)] = 247053,
  [SMALL_STATE(4618)] = 247098,
  [SMALL_STATE(4619)] = 247147,
  [SMALL_STATE(4620)] = 247194,
  [SMALL_STATE(4621)] = 247245,
  [SMALL_STATE(4622)] = 247294,
  [SMALL_STATE(4623)] = 247339,
  [SMALL_STATE(4624)] = 247398,
  [SMALL_STATE(4625)] = 247443,
  [SMALL_STATE(4626)] = 247488,
  [SMALL_STATE(4627)] = 247553,
  [SMALL_STATE(4628)] = 247610,
  [SMALL_STATE(4629)] = 247675,
  [SMALL_STATE(4630)] = 247720,
  [SMALL_STATE(4631)] = 247777,
  [SMALL_STATE(4632)] = 247838,
  [SMALL_STATE(4633)] = 247883,
  [SMALL_STATE(4634)] = 247940,
  [SMALL_STATE(4635)] = 247985,
  [SMALL_STATE(4636)] = 248032,
  [SMALL_STATE(4637)] = 248077,
  [SMALL_STATE(4638)] = 248124,
  [SMALL_STATE(4639)] = 248169,
  [SMALL_STATE(4640)] = 248226,
  [SMALL_STATE(4641)] = 248271,
  [SMALL_STATE(4642)] = 248328,
  [SMALL_STATE(4643)] = 248387,
  [SMALL_STATE(4644)] = 248432,
  [SMALL_STATE(4645)] = 248477,
  [SMALL_STATE(4646)] = 248522,
  [SMALL_STATE(4647)] = 248567,
  [SMALL_STATE(4648)] = 248626,
  [SMALL_STATE(4649)] = 248671,
  [SMALL_STATE(4650)] = 248716,
  [SMALL_STATE(4651)] = 248767,
  [SMALL_STATE(4652)] = 248812,
  [SMALL_STATE(4653)] = 248871,
  [SMALL_STATE(4654)] = 248916,
  [SMALL_STATE(4655)] = 248961,
  [SMALL_STATE(4656)] = 249006,
  [SMALL_STATE(4657)] = 249051,
  [SMALL_STATE(4658)] = 249096,
  [SMALL_STATE(4659)] = 249141,
  [SMALL_STATE(4660)] = 249186,
  [SMALL_STATE(4661)] = 249245,
  [SMALL_STATE(4662)] = 249292,
  [SMALL_STATE(4663)] = 249337,
  [SMALL_STATE(4664)] = 249388,
  [SMALL_STATE(4665)] = 249433,
  [SMALL_STATE(4666)] = 249478,
  [SMALL_STATE(4667)] = 249543,
  [SMALL_STATE(4668)] = 249600,
  [SMALL_STATE(4669)] = 249657,
  [SMALL_STATE(4670)] = 249702,
  [SMALL_STATE(4671)] = 249749,
  [SMALL_STATE(4672)] = 249806,
  [SMALL_STATE(4673)] = 249863,
  [SMALL_STATE(4674)] = 249912,
  [SMALL_STATE(4675)] = 249971,
  [SMALL_STATE(4676)] = 250032,
  [SMALL_STATE(4677)] = 250083,
  [SMALL_STATE(4678)] = 250132,
  [SMALL_STATE(4679)] = 250179,
  [SMALL_STATE(4680)] = 250236,
  [SMALL_STATE(4681)] = 250283,
  [SMALL_STATE(4682)] = 250330,
  [SMALL_STATE(4683)] = 250395,
  [SMALL_STATE(4684)] = 250452,
  [SMALL_STATE(4685)] = 250509,
  [SMALL_STATE(4686)] = 250578,
  [SMALL_STATE(4687)] = 250637,
  [SMALL_STATE(4688)] = 250686,
  [SMALL_STATE(4689)] = 250731,
  [SMALL_STATE(4690)] = 250788,
  [SMALL_STATE(4691)] = 250845,
  [SMALL_STATE(4692)] = 250910,
  [SMALL_STATE(4693)] = 250955,
  [SMALL_STATE(4694)] = 251000,
  [SMALL_STATE(4695)] = 251057,
  [SMALL_STATE(4696)] = 251114,
  [SMALL_STATE(4697)] = 251171,
  [SMALL_STATE(4698)] = 251228,
  [SMALL_STATE(4699)] = 251289,
  [SMALL_STATE(4700)] = 251338,
  [SMALL_STATE(4701)] = 251389,
  [SMALL_STATE(4702)] = 251440,
  [SMALL_STATE(4703)] = 251487,
  [SMALL_STATE(4704)] = 251546,
  [SMALL_STATE(4705)] = 251605,
  [SMALL_STATE(4706)] = 251662,
  [SMALL_STATE(4707)] = 251709,
  [SMALL_STATE(4708)] = 251766,
  [SMALL_STATE(4709)] = 251823,
  [SMALL_STATE(4710)] = 251878,
  [SMALL_STATE(4711)] = 251929,
  [SMALL_STATE(4712)] = 251986,
  [SMALL_STATE(4713)] = 252033,
  [SMALL_STATE(4714)] = 252082,
  [SMALL_STATE(4715)] = 252131,
  [SMALL_STATE(4716)] = 252176,
  [SMALL_STATE(4717)] = 252225,
  [SMALL_STATE(4718)] = 252282,
  [SMALL_STATE(4719)] = 252339,
  [SMALL_STATE(4720)] = 252384,
  [SMALL_STATE(4721)] = 252435,
  [SMALL_STATE(4722)] = 252492,
  [SMALL_STATE(4723)] = 252541,
  [SMALL_STATE(4724)] = 252586,
  [SMALL_STATE(4725)] = 252631,
  [SMALL_STATE(4726)] = 252676,
  [SMALL_STATE(4727)] = 252741,
  [SMALL_STATE(4728)] = 252786,
  [SMALL_STATE(4729)] = 252831,
  [SMALL_STATE(4730)] = 252890,
  [SMALL_STATE(4731)] = 252935,
  [SMALL_STATE(4732)] = 252980,
  [SMALL_STATE(4733)] = 253025,
  [SMALL_STATE(4734)] = 253070,
  [SMALL_STATE(4735)] = 253115,
  [SMALL_STATE(4736)] = 253174,
  [SMALL_STATE(4737)] = 253219,
  [SMALL_STATE(4738)] = 253276,
  [SMALL_STATE(4739)] = 253321,
  [SMALL_STATE(4740)] = 253366,
  [SMALL_STATE(4741)] = 253421,
  [SMALL_STATE(4742)] = 253480,
  [SMALL_STATE(4743)] = 253525,
  [SMALL_STATE(4744)] = 253570,
  [SMALL_STATE(4745)] = 253615,
  [SMALL_STATE(4746)] = 253674,
  [SMALL_STATE(4747)] = 253725,
  [SMALL_STATE(4748)] = 253774,
  [SMALL_STATE(4749)] = 253833,
  [SMALL_STATE(4750)] = 253878,
  [SMALL_STATE(4751)] = 253923,
  [SMALL_STATE(4752)] = 253982,
  [SMALL_STATE(4753)] = 254033,
  [SMALL_STATE(4754)] = 254078,
  [SMALL_STATE(4755)] = 254123,
  [SMALL_STATE(4756)] = 254168,
  [SMALL_STATE(4757)] = 254217,
  [SMALL_STATE(4758)] = 254262,
  [SMALL_STATE(4759)] = 254306,
  [SMALL_STATE(4760)] = 254362,
  [SMALL_STATE(4761)] = 254420,
  [SMALL_STATE(4762)] = 254476,
  [SMALL_STATE(4763)] = 254540,
  [SMALL_STATE(4764)] = 254584,
  [SMALL_STATE(4765)] = 254632,
  [SMALL_STATE(4766)] = 254680,
  [SMALL_STATE(4767)] = 254738,
  [SMALL_STATE(4768)] = 254796,
  [SMALL_STATE(4769)] = 254840,
  [SMALL_STATE(4770)] = 254898,
  [SMALL_STATE(4771)] = 254954,
  [SMALL_STATE(4772)] = 255012,
  [SMALL_STATE(4773)] = 255062,
  [SMALL_STATE(4774)] = 255110,
  [SMALL_STATE(4775)] = 255154,
  [SMALL_STATE(4776)] = 255198,
  [SMALL_STATE(4777)] = 255254,
  [SMALL_STATE(4778)] = 255298,
  [SMALL_STATE(4779)] = 255344,
  [SMALL_STATE(4780)] = 255388,
  [SMALL_STATE(4781)] = 255432,
  [SMALL_STATE(4782)] = 255488,
  [SMALL_STATE(4783)] = 255532,
  [SMALL_STATE(4784)] = 255582,
  [SMALL_STATE(4785)] = 255646,
  [SMALL_STATE(4786)] = 255690,
  [SMALL_STATE(4787)] = 255738,
  [SMALL_STATE(4788)] = 255788,
  [SMALL_STATE(4789)] = 255834,
  [SMALL_STATE(4790)] = 255878,
  [SMALL_STATE(4791)] = 255922,
  [SMALL_STATE(4792)] = 255980,
  [SMALL_STATE(4793)] = 256024,
  [SMALL_STATE(4794)] = 256070,
  [SMALL_STATE(4795)] = 256114,
  [SMALL_STATE(4796)] = 256158,
  [SMALL_STATE(4797)] = 256202,
  [SMALL_STATE(4798)] = 256246,
  [SMALL_STATE(4799)] = 256290,
  [SMALL_STATE(4800)] = 256334,
  [SMALL_STATE(4801)] = 256378,
  [SMALL_STATE(4802)] = 256422,
  [SMALL_STATE(4803)] = 256480,
  [SMALL_STATE(4804)] = 256538,
  [SMALL_STATE(4805)] = 256582,
  [SMALL_STATE(4806)] = 256642,
  [SMALL_STATE(4807)] = 256690,
  [SMALL_STATE(4808)] = 256734,
  [SMALL_STATE(4809)] = 256798,
  [SMALL_STATE(4810)] = 256842,
  [SMALL_STATE(4811)] = 256890,
  [SMALL_STATE(4812)] = 256934,
  [SMALL_STATE(4813)] = 256978,
  [SMALL_STATE(4814)] = 257034,
  [SMALL_STATE(4815)] = 257090,
  [SMALL_STATE(4816)] = 257134,
  [SMALL_STATE(4817)] = 257178,
  [SMALL_STATE(4818)] = 257222,
  [SMALL_STATE(4819)] = 257266,
  [SMALL_STATE(4820)] = 257330,
  [SMALL_STATE(4821)] = 257386,
  [SMALL_STATE(4822)] = 257432,
  [SMALL_STATE(4823)] = 257482,
  [SMALL_STATE(4824)] = 257526,
  [SMALL_STATE(4825)] = 257582,
  [SMALL_STATE(4826)] = 257626,
  [SMALL_STATE(4827)] = 257684,
  [SMALL_STATE(4828)] = 257740,
  [SMALL_STATE(4829)] = 257808,
  [SMALL_STATE(4830)] = 257864,
  [SMALL_STATE(4831)] = 257910,
  [SMALL_STATE(4832)] = 257974,
  [SMALL_STATE(4833)] = 258018,
  [SMALL_STATE(4834)] = 258082,
  [SMALL_STATE(4835)] = 258126,
  [SMALL_STATE(4836)] = 258182,
  [SMALL_STATE(4837)] = 258226,
  [SMALL_STATE(4838)] = 258282,
  [SMALL_STATE(4839)] = 258338,
  [SMALL_STATE(4840)] = 258394,
  [SMALL_STATE(4841)] = 258438,
  [SMALL_STATE(4842)] = 258494,
  [SMALL_STATE(4843)] = 258550,
  [SMALL_STATE(4844)] = 258596,
  [SMALL_STATE(4845)] = 258664,
  [SMALL_STATE(4846)] = 258710,
  [SMALL_STATE(4847)] = 258754,
  [SMALL_STATE(4848)] = 258810,
  [SMALL_STATE(4849)] = 258858,
  [SMALL_STATE(4850)] = 258918,
  [SMALL_STATE(4851)] = 258962,
  [SMALL_STATE(4852)] = 259018,
  [SMALL_STATE(4853)] = 259074,
  [SMALL_STATE(4854)] = 259142,
  [SMALL_STATE(4855)] = 259196,
  [SMALL_STATE(4856)] = 259252,
  [SMALL_STATE(4857)] = 259298,
  [SMALL_STATE(4858)] = 259354,
  [SMALL_STATE(4859)] = 259398,
  [SMALL_STATE(4860)] = 259444,
  [SMALL_STATE(4861)] = 259494,
  [SMALL_STATE(4862)] = 259540,
  [SMALL_STATE(4863)] = 259596,
  [SMALL_STATE(4864)] = 259652,
  [SMALL_STATE(4865)] = 259704,
  [SMALL_STATE(4866)] = 259760,
  [SMALL_STATE(4867)] = 259816,
  [SMALL_STATE(4868)] = 259862,
  [SMALL_STATE(4869)] = 259918,
  [SMALL_STATE(4870)] = 259962,
  [SMALL_STATE(4871)] = 260018,
  [SMALL_STATE(4872)] = 260062,
  [SMALL_STATE(4873)] = 260106,
  [SMALL_STATE(4874)] = 260150,
  [SMALL_STATE(4875)] = 260196,
  [SMALL_STATE(4876)] = 260252,
  [SMALL_STATE(4877)] = 260296,
  [SMALL_STATE(4878)] = 260340,
  [SMALL_STATE(4879)] = 260398,
  [SMALL_STATE(4880)] = 260442,
  [SMALL_STATE(4881)] = 260490,
  [SMALL_STATE(4882)] = 260536,
  [SMALL_STATE(4883)] = 260592,
  [SMALL_STATE(4884)] = 260656,
  [SMALL_STATE(4885)] = 260700,
  [SMALL_STATE(4886)] = 260748,
  [SMALL_STATE(4887)] = 260804,
  [SMALL_STATE(4888)] = 260858,
  [SMALL_STATE(4889)] = 260902,
  [SMALL_STATE(4890)] = 260946,
  [SMALL_STATE(4891)] = 260994,
  [SMALL_STATE(4892)] = 261038,
  [SMALL_STATE(4893)] = 261082,
  [SMALL_STATE(4894)] = 261126,
  [SMALL_STATE(4895)] = 261182,
  [SMALL_STATE(4896)] = 261226,
  [SMALL_STATE(4897)] = 261270,
  [SMALL_STATE(4898)] = 261314,
  [SMALL_STATE(4899)] = 261370,
  [SMALL_STATE(4900)] = 261428,
  [SMALL_STATE(4901)] = 261472,
  [SMALL_STATE(4902)] = 261516,
  [SMALL_STATE(4903)] = 261572,
  [SMALL_STATE(4904)] = 261616,
  [SMALL_STATE(4905)] = 261664,
  [SMALL_STATE(4906)] = 261708,
  [SMALL_STATE(4907)] = 261762,
  [SMALL_STATE(4908)] = 261806,
  [SMALL_STATE(4909)] = 261850,
  [SMALL_STATE(4910)] = 261904,
  [SMALL_STATE(4911)] = 261948,
  [SMALL_STATE(4912)] = 261992,
  [SMALL_STATE(4913)] = 262042,
  [SMALL_STATE(4914)] = 262086,
  [SMALL_STATE(4915)] = 262130,
  [SMALL_STATE(4916)] = 262180,
  [SMALL_STATE(4917)] = 262228,
  [SMALL_STATE(4918)] = 262274,
  [SMALL_STATE(4919)] = 262318,
  [SMALL_STATE(4920)] = 262364,
  [SMALL_STATE(4921)] = 262408,
  [SMALL_STATE(4922)] = 262456,
  [SMALL_STATE(4923)] = 262512,
  [SMALL_STATE(4924)] = 262558,
  [SMALL_STATE(4925)] = 262606,
  [SMALL_STATE(4926)] = 262650,
  [SMALL_STATE(4927)] = 262694,
  [SMALL_STATE(4928)] = 262738,
  [SMALL_STATE(4929)] = 262782,
  [SMALL_STATE(4930)] = 262826,
  [SMALL_STATE(4931)] = 262870,
  [SMALL_STATE(4932)] = 262914,
  [SMALL_STATE(4933)] = 262958,
  [SMALL_STATE(4934)] = 263002,
  [SMALL_STATE(4935)] = 263046,
  [SMALL_STATE(4936)] = 263090,
  [SMALL_STATE(4937)] = 263134,
  [SMALL_STATE(4938)] = 263184,
  [SMALL_STATE(4939)] = 263234,
  [SMALL_STATE(4940)] = 263286,
  [SMALL_STATE(4941)] = 263344,
  [SMALL_STATE(4942)] = 263388,
  [SMALL_STATE(4943)] = 263448,
  [SMALL_STATE(4944)] = 263492,
  [SMALL_STATE(4945)] = 263560,
  [SMALL_STATE(4946)] = 263608,
  [SMALL_STATE(4947)] = 263652,
  [SMALL_STATE(4948)] = 263702,
  [SMALL_STATE(4949)] = 263752,
  [SMALL_STATE(4950)] = 263796,
  [SMALL_STATE(4951)] = 263844,
  [SMALL_STATE(4952)] = 263900,
  [SMALL_STATE(4953)] = 263944,
  [SMALL_STATE(4954)] = 263990,
  [SMALL_STATE(4955)] = 264038,
  [SMALL_STATE(4956)] = 264082,
  [SMALL_STATE(4957)] = 264126,
  [SMALL_STATE(4958)] = 264170,
  [SMALL_STATE(4959)] = 264214,
  [SMALL_STATE(4960)] = 264258,
  [SMALL_STATE(4961)] = 264308,
  [SMALL_STATE(4962)] = 264354,
  [SMALL_STATE(4963)] = 264398,
  [SMALL_STATE(4964)] = 264442,
  [SMALL_STATE(4965)] = 264486,
  [SMALL_STATE(4966)] = 264530,
  [SMALL_STATE(4967)] = 264574,
  [SMALL_STATE(4968)] = 264618,
  [SMALL_STATE(4969)] = 264662,
  [SMALL_STATE(4970)] = 264706,
  [SMALL_STATE(4971)] = 264750,
  [SMALL_STATE(4972)] = 264794,
  [SMALL_STATE(4973)] = 264838,
  [SMALL_STATE(4974)] = 264894,
  [SMALL_STATE(4975)] = 264938,
  [SMALL_STATE(4976)] = 264994,
  [SMALL_STATE(4977)] = 265038,
  [SMALL_STATE(4978)] = 265084,
  [SMALL_STATE(4979)] = 265128,
  [SMALL_STATE(4980)] = 265172,
  [SMALL_STATE(4981)] = 265216,
  [SMALL_STATE(4982)] = 265272,
  [SMALL_STATE(4983)] = 265330,
  [SMALL_STATE(4984)] = 265380,
  [SMALL_STATE(4985)] = 265424,
  [SMALL_STATE(4986)] = 265468,
  [SMALL_STATE(4987)] = 265514,
  [SMALL_STATE(4988)] = 265560,
  [SMALL_STATE(4989)] = 265610,
  [SMALL_STATE(4990)] = 265654,
  [SMALL_STATE(4991)] = 265698,
  [SMALL_STATE(4992)] = 265742,
  [SMALL_STATE(4993)] = 265790,
  [SMALL_STATE(4994)] = 265834,
  [SMALL_STATE(4995)] = 265878,
  [SMALL_STATE(4996)] = 265924,
  [SMALL_STATE(4997)] = 265968,
  [SMALL_STATE(4998)] = 266012,
  [SMALL_STATE(4999)] = 266056,
  [SMALL_STATE(5000)] = 266106,
  [SMALL_STATE(5001)] = 266150,
  [SMALL_STATE(5002)] = 266206,
  [SMALL_STATE(5003)] = 266262,
  [SMALL_STATE(5004)] = 266310,
  [SMALL_STATE(5005)] = 266354,
  [SMALL_STATE(5006)] = 266412,
  [SMALL_STATE(5007)] = 266456,
  [SMALL_STATE(5008)] = 266512,
  [SMALL_STATE(5009)] = 266556,
  [SMALL_STATE(5010)] = 266606,
  [SMALL_STATE(5011)] = 266650,
  [SMALL_STATE(5012)] = 266694,
  [SMALL_STATE(5013)] = 266738,
  [SMALL_STATE(5014)] = 266782,
  [SMALL_STATE(5015)] = 266830,
  [SMALL_STATE(5016)] = 266874,
  [SMALL_STATE(5017)] = 266924,
  [SMALL_STATE(5018)] = 266968,
  [SMALL_STATE(5019)] = 267014,
  [SMALL_STATE(5020)] = 267058,
  [SMALL_STATE(5021)] = 267116,
  [SMALL_STATE(5022)] = 267174,
  [SMALL_STATE(5023)] = 267218,
  [SMALL_STATE(5024)] = 267262,
  [SMALL_STATE(5025)] = 267306,
  [SMALL_STATE(5026)] = 267362,
  [SMALL_STATE(5027)] = 267406,
  [SMALL_STATE(5028)] = 267450,
  [SMALL_STATE(5029)] = 267506,
  [SMALL_STATE(5030)] = 267562,
  [SMALL_STATE(5031)] = 267618,
  [SMALL_STATE(5032)] = 267662,
  [SMALL_STATE(5033)] = 267706,
  [SMALL_STATE(5034)] = 267750,
  [SMALL_STATE(5035)] = 267800,
  [SMALL_STATE(5036)] = 267844,
  [SMALL_STATE(5037)] = 267904,
  [SMALL_STATE(5038)] = 267960,
  [SMALL_STATE(5039)] = 268008,
  [SMALL_STATE(5040)] = 268052,
  [SMALL_STATE(5041)] = 268096,
  [SMALL_STATE(5042)] = 268152,
  [SMALL_STATE(5043)] = 268198,
  [SMALL_STATE(5044)] = 268242,
  [SMALL_STATE(5045)] = 268300,
  [SMALL_STATE(5046)] = 268356,
  [SMALL_STATE(5047)] = 268400,
  [SMALL_STATE(5048)] = 268444,
  [SMALL_STATE(5049)] = 268501,
  [SMALL_STATE(5050)] = 268544,
  [SMALL_STATE(5051)] = 268587,
  [SMALL_STATE(5052)] = 268630,
  [SMALL_STATE(5053)] = 268673,
  [SMALL_STATE(5054)] = 268730,
  [SMALL_STATE(5055)] = 268773,
  [SMALL_STATE(5056)] = 268816,
  [SMALL_STATE(5057)] = 268859,
  [SMALL_STATE(5058)] = 268926,
  [SMALL_STATE(5059)] = 268969,
  [SMALL_STATE(5060)] = 269026,
  [SMALL_STATE(5061)] = 269069,
  [SMALL_STATE(5062)] = 269124,
  [SMALL_STATE(5063)] = 269169,
  [SMALL_STATE(5064)] = 269214,
  [SMALL_STATE(5065)] = 269267,
  [SMALL_STATE(5066)] = 269320,
  [SMALL_STATE(5067)] = 269363,
  [SMALL_STATE(5068)] = 269406,
  [SMALL_STATE(5069)] = 269449,
  [SMALL_STATE(5070)] = 269492,
  [SMALL_STATE(5071)] = 269535,
  [SMALL_STATE(5072)] = 269580,
  [SMALL_STATE(5073)] = 269623,
  [SMALL_STATE(5074)] = 269690,
  [SMALL_STATE(5075)] = 269745,
  [SMALL_STATE(5076)] = 269788,
  [SMALL_STATE(5077)] = 269833,
  [SMALL_STATE(5078)] = 269876,
  [SMALL_STATE(5079)] = 269919,
  [SMALL_STATE(5080)] = 269962,
  [SMALL_STATE(5081)] = 270017,
  [SMALL_STATE(5082)] = 270072,
  [SMALL_STATE(5083)] = 270117,
  [SMALL_STATE(5084)] = 270160,
  [SMALL_STATE(5085)] = 270203,
  [SMALL_STATE(5086)] = 270246,
  [SMALL_STATE(5087)] = 270289,
  [SMALL_STATE(5088)] = 270346,
  [SMALL_STATE(5089)] = 270391,
  [SMALL_STATE(5090)] = 270440,
  [SMALL_STATE(5091)] = 270487,
  [SMALL_STATE(5092)] = 270544,
  [SMALL_STATE(5093)] = 270587,
  [SMALL_STATE(5094)] = 270630,
  [SMALL_STATE(5095)] = 270673,
  [SMALL_STATE(5096)] = 270728,
  [SMALL_STATE(5097)] = 270781,
  [SMALL_STATE(5098)] = 270824,
  [SMALL_STATE(5099)] = 270879,
  [SMALL_STATE(5100)] = 270934,
  [SMALL_STATE(5101)] = 270989,
  [SMALL_STATE(5102)] = 271044,
  [SMALL_STATE(5103)] = 271089,
  [SMALL_STATE(5104)] = 271132,
  [SMALL_STATE(5105)] = 271189,
  [SMALL_STATE(5106)] = 271252,
  [SMALL_STATE(5107)] = 271295,
  [SMALL_STATE(5108)] = 271362,
  [SMALL_STATE(5109)] = 271405,
  [SMALL_STATE(5110)] = 271460,
  [SMALL_STATE(5111)] = 271507,
  [SMALL_STATE(5112)] = 271552,
  [SMALL_STATE(5113)] = 271595,
  [SMALL_STATE(5114)] = 271638,
  [SMALL_STATE(5115)] = 271683,
  [SMALL_STATE(5116)] = 271740,
  [SMALL_STATE(5117)] = 271783,
  [SMALL_STATE(5118)] = 271826,
  [SMALL_STATE(5119)] = 271881,
  [SMALL_STATE(5120)] = 271924,
  [SMALL_STATE(5121)] = 271967,
  [SMALL_STATE(5122)] = 272010,
  [SMALL_STATE(5123)] = 272059,
  [SMALL_STATE(5124)] = 272104,
  [SMALL_STATE(5125)] = 272147,
  [SMALL_STATE(5126)] = 272194,
  [SMALL_STATE(5127)] = 272237,
  [SMALL_STATE(5128)] = 272294,
  [SMALL_STATE(5129)] = 272343,
  [SMALL_STATE(5130)] = 272386,
  [SMALL_STATE(5131)] = 272433,
  [SMALL_STATE(5132)] = 272476,
  [SMALL_STATE(5133)] = 272519,
  [SMALL_STATE(5134)] = 272562,
  [SMALL_STATE(5135)] = 272611,
  [SMALL_STATE(5136)] = 272654,
  [SMALL_STATE(5137)] = 272697,
  [SMALL_STATE(5138)] = 272752,
  [SMALL_STATE(5139)] = 272801,
  [SMALL_STATE(5140)] = 272844,
  [SMALL_STATE(5141)] = 272899,
  [SMALL_STATE(5142)] = 272942,
  [SMALL_STATE(5143)] = 272989,
  [SMALL_STATE(5144)] = 273032,
  [SMALL_STATE(5145)] = 273077,
  [SMALL_STATE(5146)] = 273124,
  [SMALL_STATE(5147)] = 273167,
  [SMALL_STATE(5148)] = 273210,
  [SMALL_STATE(5149)] = 273253,
  [SMALL_STATE(5150)] = 273296,
  [SMALL_STATE(5151)] = 273339,
  [SMALL_STATE(5152)] = 273390,
  [SMALL_STATE(5153)] = 273435,
  [SMALL_STATE(5154)] = 273486,
  [SMALL_STATE(5155)] = 273549,
  [SMALL_STATE(5156)] = 273592,
  [SMALL_STATE(5157)] = 273635,
  [SMALL_STATE(5158)] = 273678,
  [SMALL_STATE(5159)] = 273721,
  [SMALL_STATE(5160)] = 273764,
  [SMALL_STATE(5161)] = 273809,
  [SMALL_STATE(5162)] = 273852,
  [SMALL_STATE(5163)] = 273905,
  [SMALL_STATE(5164)] = 273950,
  [SMALL_STATE(5165)] = 273993,
  [SMALL_STATE(5166)] = 274036,
  [SMALL_STATE(5167)] = 274085,
  [SMALL_STATE(5168)] = 274128,
  [SMALL_STATE(5169)] = 274171,
  [SMALL_STATE(5170)] = 274214,
  [SMALL_STATE(5171)] = 274267,
  [SMALL_STATE(5172)] = 274310,
  [SMALL_STATE(5173)] = 274365,
  [SMALL_STATE(5174)] = 274408,
  [SMALL_STATE(5175)] = 274451,
  [SMALL_STATE(5176)] = 274494,
  [SMALL_STATE(5177)] = 274549,
  [SMALL_STATE(5178)] = 274592,
  [SMALL_STATE(5179)] = 274635,
  [SMALL_STATE(5180)] = 274678,
  [SMALL_STATE(5181)] = 274721,
  [SMALL_STATE(5182)] = 274776,
  [SMALL_STATE(5183)] = 274819,
  [SMALL_STATE(5184)] = 274862,
  [SMALL_STATE(5185)] = 274905,
  [SMALL_STATE(5186)] = 274948,
  [SMALL_STATE(5187)] = 274991,
  [SMALL_STATE(5188)] = 275034,
  [SMALL_STATE(5189)] = 275079,
  [SMALL_STATE(5190)] = 275134,
  [SMALL_STATE(5191)] = 275181,
  [SMALL_STATE(5192)] = 275224,
  [SMALL_STATE(5193)] = 275267,
  [SMALL_STATE(5194)] = 275312,
  [SMALL_STATE(5195)] = 275355,
  [SMALL_STATE(5196)] = 275398,
  [SMALL_STATE(5197)] = 275461,
  [SMALL_STATE(5198)] = 275504,
  [SMALL_STATE(5199)] = 275547,
  [SMALL_STATE(5200)] = 275590,
  [SMALL_STATE(5201)] = 275633,
  [SMALL_STATE(5202)] = 275676,
  [SMALL_STATE(5203)] = 275719,
  [SMALL_STATE(5204)] = 275762,
  [SMALL_STATE(5205)] = 275805,
  [SMALL_STATE(5206)] = 275848,
  [SMALL_STATE(5207)] = 275891,
  [SMALL_STATE(5208)] = 275934,
  [SMALL_STATE(5209)] = 275977,
  [SMALL_STATE(5210)] = 276020,
  [SMALL_STATE(5211)] = 276063,
  [SMALL_STATE(5212)] = 276106,
  [SMALL_STATE(5213)] = 276153,
  [SMALL_STATE(5214)] = 276208,
  [SMALL_STATE(5215)] = 276251,
  [SMALL_STATE(5216)] = 276294,
  [SMALL_STATE(5217)] = 276339,
  [SMALL_STATE(5218)] = 276394,
  [SMALL_STATE(5219)] = 276437,
  [SMALL_STATE(5220)] = 276480,
  [SMALL_STATE(5221)] = 276523,
  [SMALL_STATE(5222)] = 276566,
  [SMALL_STATE(5223)] = 276619,
  [SMALL_STATE(5224)] = 276668,
  [SMALL_STATE(5225)] = 276725,
  [SMALL_STATE(5226)] = 276788,
  [SMALL_STATE(5227)] = 276831,
  [SMALL_STATE(5228)] = 276888,
  [SMALL_STATE(5229)] = 276943,
  [SMALL_STATE(5230)] = 276986,
  [SMALL_STATE(5231)] = 277035,
  [SMALL_STATE(5232)] = 277098,
  [SMALL_STATE(5233)] = 277145,
  [SMALL_STATE(5234)] = 277200,
  [SMALL_STATE(5235)] = 277243,
  [SMALL_STATE(5236)] = 277300,
  [SMALL_STATE(5237)] = 277343,
  [SMALL_STATE(5238)] = 277386,
  [SMALL_STATE(5239)] = 277429,
  [SMALL_STATE(5240)] = 277472,
  [SMALL_STATE(5241)] = 277515,
  [SMALL_STATE(5242)] = 277562,
  [SMALL_STATE(5243)] = 277605,
  [SMALL_STATE(5244)] = 277650,
  [SMALL_STATE(5245)] = 277693,
  [SMALL_STATE(5246)] = 277736,
  [SMALL_STATE(5247)] = 277779,
  [SMALL_STATE(5248)] = 277826,
  [SMALL_STATE(5249)] = 277869,
  [SMALL_STATE(5250)] = 277912,
  [SMALL_STATE(5251)] = 277969,
  [SMALL_STATE(5252)] = 278012,
  [SMALL_STATE(5253)] = 278055,
  [SMALL_STATE(5254)] = 278100,
  [SMALL_STATE(5255)] = 278143,
  [SMALL_STATE(5256)] = 278196,
  [SMALL_STATE(5257)] = 278251,
  [SMALL_STATE(5258)] = 278296,
  [SMALL_STATE(5259)] = 278363,
  [SMALL_STATE(5260)] = 278410,
  [SMALL_STATE(5261)] = 278453,
  [SMALL_STATE(5262)] = 278512,
  [SMALL_STATE(5263)] = 278561,
  [SMALL_STATE(5264)] = 278616,
  [SMALL_STATE(5265)] = 278679,
  [SMALL_STATE(5266)] = 278722,
  [SMALL_STATE(5267)] = 278765,
  [SMALL_STATE(5268)] = 278808,
  [SMALL_STATE(5269)] = 278863,
  [SMALL_STATE(5270)] = 278920,
  [SMALL_STATE(5271)] = 278963,
  [SMALL_STATE(5272)] = 279022,
  [SMALL_STATE(5273)] = 279069,
  [SMALL_STATE(5274)] = 279112,
  [SMALL_STATE(5275)] = 279155,
  [SMALL_STATE(5276)] = 279198,
  [SMALL_STATE(5277)] = 279241,
  [SMALL_STATE(5278)] = 279284,
  [SMALL_STATE(5279)] = 279327,
  [SMALL_STATE(5280)] = 279372,
  [SMALL_STATE(5281)] = 279415,
  [SMALL_STATE(5282)] = 279458,
  [SMALL_STATE(5283)] = 279503,
  [SMALL_STATE(5284)] = 279546,
  [SMALL_STATE(5285)] = 279601,
  [SMALL_STATE(5286)] = 279644,
  [SMALL_STATE(5287)] = 279689,
  [SMALL_STATE(5288)] = 279732,
  [SMALL_STATE(5289)] = 279799,
  [SMALL_STATE(5290)] = 279842,
  [SMALL_STATE(5291)] = 279885,
  [SMALL_STATE(5292)] = 279940,
  [SMALL_STATE(5293)] = 279983,
  [SMALL_STATE(5294)] = 280026,
  [SMALL_STATE(5295)] = 280073,
  [SMALL_STATE(5296)] = 280116,
  [SMALL_STATE(5297)] = 280171,
  [SMALL_STATE(5298)] = 280226,
  [SMALL_STATE(5299)] = 280293,
  [SMALL_STATE(5300)] = 280336,
  [SMALL_STATE(5301)] = 280391,
  [SMALL_STATE(5302)] = 280446,
  [SMALL_STATE(5303)] = 280489,
  [SMALL_STATE(5304)] = 280556,
  [SMALL_STATE(5305)] = 280611,
  [SMALL_STATE(5306)] = 280654,
  [SMALL_STATE(5307)] = 280707,
  [SMALL_STATE(5308)] = 280762,
  [SMALL_STATE(5309)] = 280805,
  [SMALL_STATE(5310)] = 280848,
  [SMALL_STATE(5311)] = 280891,
  [SMALL_STATE(5312)] = 280934,
  [SMALL_STATE(5313)] = 280977,
  [SMALL_STATE(5314)] = 281020,
  [SMALL_STATE(5315)] = 281063,
  [SMALL_STATE(5316)] = 281106,
  [SMALL_STATE(5317)] = 281161,
  [SMALL_STATE(5318)] = 281224,
  [SMALL_STATE(5319)] = 281279,
  [SMALL_STATE(5320)] = 281322,
  [SMALL_STATE(5321)] = 281377,
  [SMALL_STATE(5322)] = 281420,
  [SMALL_STATE(5323)] = 281465,
  [SMALL_STATE(5324)] = 281508,
  [SMALL_STATE(5325)] = 281551,
  [SMALL_STATE(5326)] = 281594,
  [SMALL_STATE(5327)] = 281637,
  [SMALL_STATE(5328)] = 281680,
  [SMALL_STATE(5329)] = 281723,
  [SMALL_STATE(5330)] = 281780,
  [SMALL_STATE(5331)] = 281823,
  [SMALL_STATE(5332)] = 281866,
  [SMALL_STATE(5333)] = 281909,
  [SMALL_STATE(5334)] = 281962,
  [SMALL_STATE(5335)] = 282011,
  [SMALL_STATE(5336)] = 282056,
  [SMALL_STATE(5337)] = 282099,
  [SMALL_STATE(5338)] = 282148,
  [SMALL_STATE(5339)] = 282203,
  [SMALL_STATE(5340)] = 282246,
  [SMALL_STATE(5341)] = 282295,
  [SMALL_STATE(5342)] = 282362,
  [SMALL_STATE(5343)] = 282405,
  [SMALL_STATE(5344)] = 282448,
  [SMALL_STATE(5345)] = 282491,
  [SMALL_STATE(5346)] = 282534,
  [SMALL_STATE(5347)] = 282577,
  [SMALL_STATE(5348)] = 282634,
  [SMALL_STATE(5349)] = 282677,
  [SMALL_STATE(5350)] = 282734,
  [SMALL_STATE(5351)] = 282789,
  [SMALL_STATE(5352)] = 282832,
  [SMALL_STATE(5353)] = 282875,
  [SMALL_STATE(5354)] = 282922,
  [SMALL_STATE(5355)] = 282977,
  [SMALL_STATE(5356)] = 283044,
  [SMALL_STATE(5357)] = 283093,
  [SMALL_STATE(5358)] = 283136,
  [SMALL_STATE(5359)] = 283183,
  [SMALL_STATE(5360)] = 283226,
  [SMALL_STATE(5361)] = 283281,
  [SMALL_STATE(5362)] = 283324,
  [SMALL_STATE(5363)] = 283381,
  [SMALL_STATE(5364)] = 283424,
  [SMALL_STATE(5365)] = 283467,
  [SMALL_STATE(5366)] = 283522,
  [SMALL_STATE(5367)] = 283565,
  [SMALL_STATE(5368)] = 283608,
  [SMALL_STATE(5369)] = 283663,
  [SMALL_STATE(5370)] = 283718,
  [SMALL_STATE(5371)] = 283773,
  [SMALL_STATE(5372)] = 283816,
  [SMALL_STATE(5373)] = 283883,
  [SMALL_STATE(5374)] = 283938,
  [SMALL_STATE(5375)] = 283981,
  [SMALL_STATE(5376)] = 284036,
  [SMALL_STATE(5377)] = 284079,
  [SMALL_STATE(5378)] = 284126,
  [SMALL_STATE(5379)] = 284169,
  [SMALL_STATE(5380)] = 284212,
  [SMALL_STATE(5381)] = 284255,
  [SMALL_STATE(5382)] = 284310,
  [SMALL_STATE(5383)] = 284365,
  [SMALL_STATE(5384)] = 284422,
  [SMALL_STATE(5385)] = 284489,
  [SMALL_STATE(5386)] = 284532,
  [SMALL_STATE(5387)] = 284575,
  [SMALL_STATE(5388)] = 284618,
  [SMALL_STATE(5389)] = 284675,
  [SMALL_STATE(5390)] = 284718,
  [SMALL_STATE(5391)] = 284761,
  [SMALL_STATE(5392)] = 284818,
  [SMALL_STATE(5393)] = 284861,
  [SMALL_STATE(5394)] = 284924,
  [SMALL_STATE(5395)] = 284973,
  [SMALL_STATE(5396)] = 285022,
  [SMALL_STATE(5397)] = 285065,
  [SMALL_STATE(5398)] = 285108,
  [SMALL_STATE(5399)] = 285151,
  [SMALL_STATE(5400)] = 285206,
  [SMALL_STATE(5401)] = 285249,
  [SMALL_STATE(5402)] = 285294,
  [SMALL_STATE(5403)] = 285337,
  [SMALL_STATE(5404)] = 285380,
  [SMALL_STATE(5405)] = 285439,
  [SMALL_STATE(5406)] = 285482,
  [SMALL_STATE(5407)] = 285525,
  [SMALL_STATE(5408)] = 285568,
  [SMALL_STATE(5409)] = 285617,
  [SMALL_STATE(5410)] = 285680,
  [SMALL_STATE(5411)] = 285723,
  [SMALL_STATE(5412)] = 285770,
  [SMALL_STATE(5413)] = 285813,
  [SMALL_STATE(5414)] = 285862,
  [SMALL_STATE(5415)] = 285907,
  [SMALL_STATE(5416)] = 285962,
  [SMALL_STATE(5417)] = 286009,
  [SMALL_STATE(5418)] = 286052,
  [SMALL_STATE(5419)] = 286095,
  [SMALL_STATE(5420)] = 286164,
  [SMALL_STATE(5421)] = 286207,
  [SMALL_STATE(5422)] = 286262,
  [SMALL_STATE(5423)] = 286309,
  [SMALL_STATE(5424)] = 286358,
  [SMALL_STATE(5425)] = 286413,
  [SMALL_STATE(5426)] = 286458,
  [SMALL_STATE(5427)] = 286505,
  [SMALL_STATE(5428)] = 286560,
  [SMALL_STATE(5429)] = 286603,
  [SMALL_STATE(5430)] = 286650,
  [SMALL_STATE(5431)] = 286701,
  [SMALL_STATE(5432)] = 286756,
  [SMALL_STATE(5433)] = 286799,
  [SMALL_STATE(5434)] = 286856,
  [SMALL_STATE(5435)] = 286901,
  [SMALL_STATE(5436)] = 286944,
  [SMALL_STATE(5437)] = 286993,
  [SMALL_STATE(5438)] = 287038,
  [SMALL_STATE(5439)] = 287085,
  [SMALL_STATE(5440)] = 287130,
  [SMALL_STATE(5441)] = 287175,
  [SMALL_STATE(5442)] = 287218,
  [SMALL_STATE(5443)] = 287275,
  [SMALL_STATE(5444)] = 287318,
  [SMALL_STATE(5445)] = 287365,
  [SMALL_STATE(5446)] = 287408,
  [SMALL_STATE(5447)] = 287451,
  [SMALL_STATE(5448)] = 287496,
  [SMALL_STATE(5449)] = 287539,
  [SMALL_STATE(5450)] = 287606,
  [SMALL_STATE(5451)] = 287661,
  [SMALL_STATE(5452)] = 287716,
  [SMALL_STATE(5453)] = 287771,
  [SMALL_STATE(5454)] = 287830,
  [SMALL_STATE(5455)] = 287873,
  [SMALL_STATE(5456)] = 287922,
  [SMALL_STATE(5457)] = 287977,
  [SMALL_STATE(5458)] = 288020,
  [SMALL_STATE(5459)] = 288063,
  [SMALL_STATE(5460)] = 288106,
  [SMALL_STATE(5461)] = 288173,
  [SMALL_STATE(5462)] = 288228,
  [SMALL_STATE(5463)] = 288285,
  [SMALL_STATE(5464)] = 288330,
  [SMALL_STATE(5465)] = 288373,
  [SMALL_STATE(5466)] = 288429,
  [SMALL_STATE(5467)] = 288473,
  [SMALL_STATE(5468)] = 288515,
  [SMALL_STATE(5469)] = 288557,
  [SMALL_STATE(5470)] = 288599,
  [SMALL_STATE(5471)] = 288655,
  [SMALL_STATE(5472)] = 288697,
  [SMALL_STATE(5473)] = 288739,
  [SMALL_STATE(5474)] = 288785,
  [SMALL_STATE(5475)] = 288827,
  [SMALL_STATE(5476)] = 288869,
  [SMALL_STATE(5477)] = 288911,
  [SMALL_STATE(5478)] = 288953,
  [SMALL_STATE(5479)] = 289001,
  [SMALL_STATE(5480)] = 289043,
  [SMALL_STATE(5481)] = 289085,
  [SMALL_STATE(5482)] = 289127,
  [SMALL_STATE(5483)] = 289169,
  [SMALL_STATE(5484)] = 289211,
  [SMALL_STATE(5485)] = 289253,
  [SMALL_STATE(5486)] = 289299,
  [SMALL_STATE(5487)] = 289341,
  [SMALL_STATE(5488)] = 289389,
  [SMALL_STATE(5489)] = 289435,
  [SMALL_STATE(5490)] = 289479,
  [SMALL_STATE(5491)] = 289541,
  [SMALL_STATE(5492)] = 289585,
  [SMALL_STATE(5493)] = 289639,
  [SMALL_STATE(5494)] = 289693,
  [SMALL_STATE(5495)] = 289735,
  [SMALL_STATE(5496)] = 289779,
  [SMALL_STATE(5497)] = 289821,
  [SMALL_STATE(5498)] = 289863,
  [SMALL_STATE(5499)] = 289909,
  [SMALL_STATE(5500)] = 289951,
  [SMALL_STATE(5501)] = 289995,
  [SMALL_STATE(5502)] = 290043,
  [SMALL_STATE(5503)] = 290085,
  [SMALL_STATE(5504)] = 290147,
  [SMALL_STATE(5505)] = 290189,
  [SMALL_STATE(5506)] = 290231,
  [SMALL_STATE(5507)] = 290285,
  [SMALL_STATE(5508)] = 290327,
  [SMALL_STATE(5509)] = 290369,
  [SMALL_STATE(5510)] = 290411,
  [SMALL_STATE(5511)] = 290453,
  [SMALL_STATE(5512)] = 290497,
  [SMALL_STATE(5513)] = 290539,
  [SMALL_STATE(5514)] = 290581,
  [SMALL_STATE(5515)] = 290635,
  [SMALL_STATE(5516)] = 290681,
  [SMALL_STATE(5517)] = 290723,
  [SMALL_STATE(5518)] = 290779,
  [SMALL_STATE(5519)] = 290833,
  [SMALL_STATE(5520)] = 290899,
  [SMALL_STATE(5521)] = 290955,
  [SMALL_STATE(5522)] = 290997,
  [SMALL_STATE(5523)] = 291041,
  [SMALL_STATE(5524)] = 291097,
  [SMALL_STATE(5525)] = 291151,
  [SMALL_STATE(5526)] = 291193,
  [SMALL_STATE(5527)] = 291237,
  [SMALL_STATE(5528)] = 291295,
  [SMALL_STATE(5529)] = 291337,
  [SMALL_STATE(5530)] = 291385,
  [SMALL_STATE(5531)] = 291427,
  [SMALL_STATE(5532)] = 291481,
  [SMALL_STATE(5533)] = 291523,
  [SMALL_STATE(5534)] = 291577,
  [SMALL_STATE(5535)] = 291631,
  [SMALL_STATE(5536)] = 291685,
  [SMALL_STATE(5537)] = 291747,
  [SMALL_STATE(5538)] = 291813,
  [SMALL_STATE(5539)] = 291855,
  [SMALL_STATE(5540)] = 291897,
  [SMALL_STATE(5541)] = 291939,
  [SMALL_STATE(5542)] = 292001,
  [SMALL_STATE(5543)] = 292043,
  [SMALL_STATE(5544)] = 292097,
  [SMALL_STATE(5545)] = 292139,
  [SMALL_STATE(5546)] = 292181,
  [SMALL_STATE(5547)] = 292223,
  [SMALL_STATE(5548)] = 292279,
  [SMALL_STATE(5549)] = 292321,
  [SMALL_STATE(5550)] = 292375,
  [SMALL_STATE(5551)] = 292417,
  [SMALL_STATE(5552)] = 292473,
  [SMALL_STATE(5553)] = 292527,
  [SMALL_STATE(5554)] = 292583,
  [SMALL_STATE(5555)] = 292627,
  [SMALL_STATE(5556)] = 292669,
  [SMALL_STATE(5557)] = 292711,
  [SMALL_STATE(5558)] = 292753,
  [SMALL_STATE(5559)] = 292799,
  [SMALL_STATE(5560)] = 292851,
  [SMALL_STATE(5561)] = 292893,
  [SMALL_STATE(5562)] = 292935,
  [SMALL_STATE(5563)] = 292977,
  [SMALL_STATE(5564)] = 293019,
  [SMALL_STATE(5565)] = 293065,
  [SMALL_STATE(5566)] = 293107,
  [SMALL_STATE(5567)] = 293149,
  [SMALL_STATE(5568)] = 293193,
  [SMALL_STATE(5569)] = 293235,
  [SMALL_STATE(5570)] = 293289,
  [SMALL_STATE(5571)] = 293333,
  [SMALL_STATE(5572)] = 293379,
  [SMALL_STATE(5573)] = 293441,
  [SMALL_STATE(5574)] = 293483,
  [SMALL_STATE(5575)] = 293525,
  [SMALL_STATE(5576)] = 293571,
  [SMALL_STATE(5577)] = 293617,
  [SMALL_STATE(5578)] = 293661,
  [SMALL_STATE(5579)] = 293705,
  [SMALL_STATE(5580)] = 293747,
  [SMALL_STATE(5581)] = 293813,
  [SMALL_STATE(5582)] = 293855,
  [SMALL_STATE(5583)] = 293911,
  [SMALL_STATE(5584)] = 293953,
  [SMALL_STATE(5585)] = 294001,
  [SMALL_STATE(5586)] = 294049,
  [SMALL_STATE(5587)] = 294091,
  [SMALL_STATE(5588)] = 294147,
  [SMALL_STATE(5589)] = 294189,
  [SMALL_STATE(5590)] = 294231,
  [SMALL_STATE(5591)] = 294273,
  [SMALL_STATE(5592)] = 294315,
  [SMALL_STATE(5593)] = 294357,
  [SMALL_STATE(5594)] = 294423,
  [SMALL_STATE(5595)] = 294465,
  [SMALL_STATE(5596)] = 294515,
  [SMALL_STATE(5597)] = 294557,
  [SMALL_STATE(5598)] = 294599,
  [SMALL_STATE(5599)] = 294641,
  [SMALL_STATE(5600)] = 294683,
  [SMALL_STATE(5601)] = 294725,
  [SMALL_STATE(5602)] = 294767,
  [SMALL_STATE(5603)] = 294829,
  [SMALL_STATE(5604)] = 294871,
  [SMALL_STATE(5605)] = 294913,
  [SMALL_STATE(5606)] = 294955,
  [SMALL_STATE(5607)] = 294997,
  [SMALL_STATE(5608)] = 295051,
  [SMALL_STATE(5609)] = 295093,
  [SMALL_STATE(5610)] = 295135,
  [SMALL_STATE(5611)] = 295177,
  [SMALL_STATE(5612)] = 295219,
  [SMALL_STATE(5613)] = 295261,
  [SMALL_STATE(5614)] = 295303,
  [SMALL_STATE(5615)] = 295355,
  [SMALL_STATE(5616)] = 295397,
  [SMALL_STATE(5617)] = 295439,
  [SMALL_STATE(5618)] = 295481,
  [SMALL_STATE(5619)] = 295547,
  [SMALL_STATE(5620)] = 295591,
  [SMALL_STATE(5621)] = 295633,
  [SMALL_STATE(5622)] = 295675,
  [SMALL_STATE(5623)] = 295719,
  [SMALL_STATE(5624)] = 295761,
  [SMALL_STATE(5625)] = 295803,
  [SMALL_STATE(5626)] = 295859,
  [SMALL_STATE(5627)] = 295901,
  [SMALL_STATE(5628)] = 295943,
  [SMALL_STATE(5629)] = 295985,
  [SMALL_STATE(5630)] = 296051,
  [SMALL_STATE(5631)] = 296093,
  [SMALL_STATE(5632)] = 296135,
  [SMALL_STATE(5633)] = 296189,
  [SMALL_STATE(5634)] = 296231,
  [SMALL_STATE(5635)] = 296273,
  [SMALL_STATE(5636)] = 296315,
  [SMALL_STATE(5637)] = 296357,
  [SMALL_STATE(5638)] = 296399,
  [SMALL_STATE(5639)] = 296441,
  [SMALL_STATE(5640)] = 296483,
  [SMALL_STATE(5641)] = 296525,
  [SMALL_STATE(5642)] = 296567,
  [SMALL_STATE(5643)] = 296615,
  [SMALL_STATE(5644)] = 296657,
  [SMALL_STATE(5645)] = 296699,
  [SMALL_STATE(5646)] = 296741,
  [SMALL_STATE(5647)] = 296783,
  [SMALL_STATE(5648)] = 296837,
  [SMALL_STATE(5649)] = 296879,
  [SMALL_STATE(5650)] = 296923,
  [SMALL_STATE(5651)] = 296965,
  [SMALL_STATE(5652)] = 297031,
  [SMALL_STATE(5653)] = 297073,
  [SMALL_STATE(5654)] = 297115,
  [SMALL_STATE(5655)] = 297157,
  [SMALL_STATE(5656)] = 297199,
  [SMALL_STATE(5657)] = 297241,
  [SMALL_STATE(5658)] = 297307,
  [SMALL_STATE(5659)] = 297361,
  [SMALL_STATE(5660)] = 297405,
  [SMALL_STATE(5661)] = 297447,
  [SMALL_STATE(5662)] = 297501,
  [SMALL_STATE(5663)] = 297543,
  [SMALL_STATE(5664)] = 297599,
  [SMALL_STATE(5665)] = 297641,
  [SMALL_STATE(5666)] = 297683,
  [SMALL_STATE(5667)] = 297727,
  [SMALL_STATE(5668)] = 297769,
  [SMALL_STATE(5669)] = 297813,
  [SMALL_STATE(5670)] = 297857,
  [SMALL_STATE(5671)] = 297911,
  [SMALL_STATE(5672)] = 297977,
  [SMALL_STATE(5673)] = 298039,
  [SMALL_STATE(5674)] = 298083,
  [SMALL_STATE(5675)] = 298125,
  [SMALL_STATE(5676)] = 298175,
  [SMALL_STATE(5677)] = 298241,
  [SMALL_STATE(5678)] = 298283,
  [SMALL_STATE(5679)] = 298349,
  [SMALL_STATE(5680)] = 298393,
  [SMALL_STATE(5681)] = 298459,
  [SMALL_STATE(5682)] = 298513,
  [SMALL_STATE(5683)] = 298561,
  [SMALL_STATE(5684)] = 298607,
  [SMALL_STATE(5685)] = 298651,
  [SMALL_STATE(5686)] = 298693,
  [SMALL_STATE(5687)] = 298739,
  [SMALL_STATE(5688)] = 298781,
  [SMALL_STATE(5689)] = 298841,
  [SMALL_STATE(5690)] = 298885,
  [SMALL_STATE(5691)] = 298939,
  [SMALL_STATE(5692)] = 298981,
  [SMALL_STATE(5693)] = 299023,
  [SMALL_STATE(5694)] = 299065,
  [SMALL_STATE(5695)] = 299109,
  [SMALL_STATE(5696)] = 299151,
  [SMALL_STATE(5697)] = 299193,
  [SMALL_STATE(5698)] = 299235,
  [SMALL_STATE(5699)] = 299277,
  [SMALL_STATE(5700)] = 299321,
  [SMALL_STATE(5701)] = 299363,
  [SMALL_STATE(5702)] = 299417,
  [SMALL_STATE(5703)] = 299459,
  [SMALL_STATE(5704)] = 299513,
  [SMALL_STATE(5705)] = 299555,
  [SMALL_STATE(5706)] = 299597,
  [SMALL_STATE(5707)] = 299639,
  [SMALL_STATE(5708)] = 299681,
  [SMALL_STATE(5709)] = 299723,
  [SMALL_STATE(5710)] = 299765,
  [SMALL_STATE(5711)] = 299807,
  [SMALL_STATE(5712)] = 299849,
  [SMALL_STATE(5713)] = 299903,
  [SMALL_STATE(5714)] = 299945,
  [SMALL_STATE(5715)] = 299987,
  [SMALL_STATE(5716)] = 300029,
  [SMALL_STATE(5717)] = 300073,
  [SMALL_STATE(5718)] = 300115,
  [SMALL_STATE(5719)] = 300157,
  [SMALL_STATE(5720)] = 300201,
  [SMALL_STATE(5721)] = 300243,
  [SMALL_STATE(5722)] = 300285,
  [SMALL_STATE(5723)] = 300327,
  [SMALL_STATE(5724)] = 300369,
  [SMALL_STATE(5725)] = 300423,
  [SMALL_STATE(5726)] = 300465,
  [SMALL_STATE(5727)] = 300507,
  [SMALL_STATE(5728)] = 300549,
  [SMALL_STATE(5729)] = 300591,
  [SMALL_STATE(5730)] = 300633,
  [SMALL_STATE(5731)] = 300677,
  [SMALL_STATE(5732)] = 300719,
  [SMALL_STATE(5733)] = 300761,
  [SMALL_STATE(5734)] = 300803,
  [SMALL_STATE(5735)] = 300845,
  [SMALL_STATE(5736)] = 300887,
  [SMALL_STATE(5737)] = 300947,
  [SMALL_STATE(5738)] = 300989,
  [SMALL_STATE(5739)] = 301031,
  [SMALL_STATE(5740)] = 301073,
  [SMALL_STATE(5741)] = 301127,
  [SMALL_STATE(5742)] = 301169,
  [SMALL_STATE(5743)] = 301211,
  [SMALL_STATE(5744)] = 301273,
  [SMALL_STATE(5745)] = 301315,
  [SMALL_STATE(5746)] = 301357,
  [SMALL_STATE(5747)] = 301399,
  [SMALL_STATE(5748)] = 301441,
  [SMALL_STATE(5749)] = 301483,
  [SMALL_STATE(5750)] = 301525,
  [SMALL_STATE(5751)] = 301567,
  [SMALL_STATE(5752)] = 301609,
  [SMALL_STATE(5753)] = 301651,
  [SMALL_STATE(5754)] = 301699,
  [SMALL_STATE(5755)] = 301741,
  [SMALL_STATE(5756)] = 301783,
  [SMALL_STATE(5757)] = 301825,
  [SMALL_STATE(5758)] = 301867,
  [SMALL_STATE(5759)] = 301923,
  [SMALL_STATE(5760)] = 301971,
  [SMALL_STATE(5761)] = 302017,
  [SMALL_STATE(5762)] = 302059,
  [SMALL_STATE(5763)] = 302101,
  [SMALL_STATE(5764)] = 302143,
  [SMALL_STATE(5765)] = 302185,
  [SMALL_STATE(5766)] = 302231,
  [SMALL_STATE(5767)] = 302273,
  [SMALL_STATE(5768)] = 302315,
  [SMALL_STATE(5769)] = 302357,
  [SMALL_STATE(5770)] = 302399,
  [SMALL_STATE(5771)] = 302441,
  [SMALL_STATE(5772)] = 302483,
  [SMALL_STATE(5773)] = 302525,
  [SMALL_STATE(5774)] = 302567,
  [SMALL_STATE(5775)] = 302609,
  [SMALL_STATE(5776)] = 302651,
  [SMALL_STATE(5777)] = 302693,
  [SMALL_STATE(5778)] = 302735,
  [SMALL_STATE(5779)] = 302789,
  [SMALL_STATE(5780)] = 302841,
  [SMALL_STATE(5781)] = 302883,
  [SMALL_STATE(5782)] = 302925,
  [SMALL_STATE(5783)] = 302967,
  [SMALL_STATE(5784)] = 303009,
  [SMALL_STATE(5785)] = 303089,
  [SMALL_STATE(5786)] = 303131,
  [SMALL_STATE(5787)] = 303173,
  [SMALL_STATE(5788)] = 303215,
  [SMALL_STATE(5789)] = 303257,
  [SMALL_STATE(5790)] = 303299,
  [SMALL_STATE(5791)] = 303353,
  [SMALL_STATE(5792)] = 303397,
  [SMALL_STATE(5793)] = 303439,
  [SMALL_STATE(5794)] = 303481,
  [SMALL_STATE(5795)] = 303523,
  [SMALL_STATE(5796)] = 303565,
  [SMALL_STATE(5797)] = 303609,
  [SMALL_STATE(5798)] = 303651,
  [SMALL_STATE(5799)] = 303693,
  [SMALL_STATE(5800)] = 303735,
  [SMALL_STATE(5801)] = 303777,
  [SMALL_STATE(5802)] = 303819,
  [SMALL_STATE(5803)] = 303861,
  [SMALL_STATE(5804)] = 303903,
  [SMALL_STATE(5805)] = 303945,
  [SMALL_STATE(5806)] = 303999,
  [SMALL_STATE(5807)] = 304055,
  [SMALL_STATE(5808)] = 304097,
  [SMALL_STATE(5809)] = 304139,
  [SMALL_STATE(5810)] = 304181,
  [SMALL_STATE(5811)] = 304223,
  [SMALL_STATE(5812)] = 304269,
  [SMALL_STATE(5813)] = 304311,
  [SMALL_STATE(5814)] = 304365,
  [SMALL_STATE(5815)] = 304407,
  [SMALL_STATE(5816)] = 304449,
  [SMALL_STATE(5817)] = 304491,
  [SMALL_STATE(5818)] = 304533,
  [SMALL_STATE(5819)] = 304589,
  [SMALL_STATE(5820)] = 304631,
  [SMALL_STATE(5821)] = 304673,
  [SMALL_STATE(5822)] = 304739,
  [SMALL_STATE(5823)] = 304793,
  [SMALL_STATE(5824)] = 304835,
  [SMALL_STATE(5825)] = 304889,
  [SMALL_STATE(5826)] = 304933,
  [SMALL_STATE(5827)] = 304993,
  [SMALL_STATE(5828)] = 305035,
  [SMALL_STATE(5829)] = 305077,
  [SMALL_STATE(5830)] = 305121,
  [SMALL_STATE(5831)] = 305169,
  [SMALL_STATE(5832)] = 305211,
  [SMALL_STATE(5833)] = 305253,
  [SMALL_STATE(5834)] = 305295,
  [SMALL_STATE(5835)] = 305337,
  [SMALL_STATE(5836)] = 305379,
  [SMALL_STATE(5837)] = 305421,
  [SMALL_STATE(5838)] = 305475,
  [SMALL_STATE(5839)] = 305517,
  [SMALL_STATE(5840)] = 305563,
  [SMALL_STATE(5841)] = 305605,
  [SMALL_STATE(5842)] = 305649,
  [SMALL_STATE(5843)] = 305697,
  [SMALL_STATE(5844)] = 305741,
  [SMALL_STATE(5845)] = 305783,
  [SMALL_STATE(5846)] = 305849,
  [SMALL_STATE(5847)] = 305893,
  [SMALL_STATE(5848)] = 305935,
  [SMALL_STATE(5849)] = 305979,
  [SMALL_STATE(5850)] = 306023,
  [SMALL_STATE(5851)] = 306065,
  [SMALL_STATE(5852)] = 306113,
  [SMALL_STATE(5853)] = 306157,
  [SMALL_STATE(5854)] = 306199,
  [SMALL_STATE(5855)] = 306245,
  [SMALL_STATE(5856)] = 306299,
  [SMALL_STATE(5857)] = 306347,
  [SMALL_STATE(5858)] = 306401,
  [SMALL_STATE(5859)] = 306447,
  [SMALL_STATE(5860)] = 306493,
  [SMALL_STATE(5861)] = 306535,
  [SMALL_STATE(5862)] = 306577,
  [SMALL_STATE(5863)] = 306619,
  [SMALL_STATE(5864)] = 306661,
  [SMALL_STATE(5865)] = 306703,
  [SMALL_STATE(5866)] = 306745,
  [SMALL_STATE(5867)] = 306787,
  [SMALL_STATE(5868)] = 306829,
  [SMALL_STATE(5869)] = 306871,
  [SMALL_STATE(5870)] = 306913,
  [SMALL_STATE(5871)] = 306967,
  [SMALL_STATE(5872)] = 307009,
  [SMALL_STATE(5873)] = 307053,
  [SMALL_STATE(5874)] = 307095,
  [SMALL_STATE(5875)] = 307149,
  [SMALL_STATE(5876)] = 307193,
  [SMALL_STATE(5877)] = 307245,
  [SMALL_STATE(5878)] = 307287,
  [SMALL_STATE(5879)] = 307337,
  [SMALL_STATE(5880)] = 307385,
  [SMALL_STATE(5881)] = 307427,
  [SMALL_STATE(5882)] = 307481,
  [SMALL_STATE(5883)] = 307523,
  [SMALL_STATE(5884)] = 307567,
  [SMALL_STATE(5885)] = 307609,
  [SMALL_STATE(5886)] = 307651,
  [SMALL_STATE(5887)] = 307693,
  [SMALL_STATE(5888)] = 307735,
  [SMALL_STATE(5889)] = 307777,
  [SMALL_STATE(5890)] = 307819,
  [SMALL_STATE(5891)] = 307861,
  [SMALL_STATE(5892)] = 307903,
  [SMALL_STATE(5893)] = 307957,
  [SMALL_STATE(5894)] = 307999,
  [SMALL_STATE(5895)] = 308053,
  [SMALL_STATE(5896)] = 308109,
  [SMALL_STATE(5897)] = 308157,
  [SMALL_STATE(5898)] = 308199,
  [SMALL_STATE(5899)] = 308241,
  [SMALL_STATE(5900)] = 308283,
  [SMALL_STATE(5901)] = 308325,
  [SMALL_STATE(5902)] = 308371,
  [SMALL_STATE(5903)] = 308413,
  [SMALL_STATE(5904)] = 308455,
  [SMALL_STATE(5905)] = 308509,
  [SMALL_STATE(5906)] = 308551,
  [SMALL_STATE(5907)] = 308597,
  [SMALL_STATE(5908)] = 308645,
  [SMALL_STATE(5909)] = 308687,
  [SMALL_STATE(5910)] = 308731,
  [SMALL_STATE(5911)] = 308779,
  [SMALL_STATE(5912)] = 308825,
  [SMALL_STATE(5913)] = 308873,
  [SMALL_STATE(5914)] = 308939,
  [SMALL_STATE(5915)] = 308981,
  [SMALL_STATE(5916)] = 309037,
  [SMALL_STATE(5917)] = 309079,
  [SMALL_STATE(5918)] = 309127,
  [SMALL_STATE(5919)] = 309181,
  [SMALL_STATE(5920)] = 309225,
  [SMALL_STATE(5921)] = 309273,
  [SMALL_STATE(5922)] = 309315,
  [SMALL_STATE(5923)] = 309357,
  [SMALL_STATE(5924)] = 309399,
  [SMALL_STATE(5925)] = 309445,
  [SMALL_STATE(5926)] = 309499,
  [SMALL_STATE(5927)] = 309541,
  [SMALL_STATE(5928)] = 309583,
  [SMALL_STATE(5929)] = 309625,
  [SMALL_STATE(5930)] = 309667,
  [SMALL_STATE(5931)] = 309709,
  [SMALL_STATE(5932)] = 309751,
  [SMALL_STATE(5933)] = 309793,
  [SMALL_STATE(5934)] = 309839,
  [SMALL_STATE(5935)] = 309881,
  [SMALL_STATE(5936)] = 309937,
  [SMALL_STATE(5937)] = 309979,
  [SMALL_STATE(5938)] = 310023,
  [SMALL_STATE(5939)] = 310065,
  [SMALL_STATE(5940)] = 310107,
  [SMALL_STATE(5941)] = 310149,
  [SMALL_STATE(5942)] = 310191,
  [SMALL_STATE(5943)] = 310237,
  [SMALL_STATE(5944)] = 310279,
  [SMALL_STATE(5945)] = 310321,
  [SMALL_STATE(5946)] = 310363,
  [SMALL_STATE(5947)] = 310405,
  [SMALL_STATE(5948)] = 310447,
  [SMALL_STATE(5949)] = 310489,
  [SMALL_STATE(5950)] = 310531,
  [SMALL_STATE(5951)] = 310573,
  [SMALL_STATE(5952)] = 310629,
  [SMALL_STATE(5953)] = 310671,
  [SMALL_STATE(5954)] = 310719,
  [SMALL_STATE(5955)] = 310773,
  [SMALL_STATE(5956)] = 310827,
  [SMALL_STATE(5957)] = 310875,
  [SMALL_STATE(5958)] = 310921,
  [SMALL_STATE(5959)] = 310963,
  [SMALL_STATE(5960)] = 311009,
  [SMALL_STATE(5961)] = 311057,
  [SMALL_STATE(5962)] = 311099,
  [SMALL_STATE(5963)] = 311141,
  [SMALL_STATE(5964)] = 311183,
  [SMALL_STATE(5965)] = 311227,
  [SMALL_STATE(5966)] = 311269,
  [SMALL_STATE(5967)] = 311311,
  [SMALL_STATE(5968)] = 311353,
  [SMALL_STATE(5969)] = 311395,
  [SMALL_STATE(5970)] = 311437,
  [SMALL_STATE(5971)] = 311483,
  [SMALL_STATE(5972)] = 311525,
  [SMALL_STATE(5973)] = 311571,
  [SMALL_STATE(5974)] = 311633,
  [SMALL_STATE(5975)] = 311695,
  [SMALL_STATE(5976)] = 311739,
  [SMALL_STATE(5977)] = 311781,
  [SMALL_STATE(5978)] = 311827,
  [SMALL_STATE(5979)] = 311869,
  [SMALL_STATE(5980)] = 311935,
  [SMALL_STATE(5981)] = 311979,
  [SMALL_STATE(5982)] = 312023,
  [SMALL_STATE(5983)] = 312079,
  [SMALL_STATE(5984)] = 312121,
  [SMALL_STATE(5985)] = 312179,
  [SMALL_STATE(5986)] = 312221,
  [SMALL_STATE(5987)] = 312263,
  [SMALL_STATE(5988)] = 312307,
  [SMALL_STATE(5989)] = 312349,
  [SMALL_STATE(5990)] = 312391,
  [SMALL_STATE(5991)] = 312433,
  [SMALL_STATE(5992)] = 312475,
  [SMALL_STATE(5993)] = 312517,
  [SMALL_STATE(5994)] = 312559,
  [SMALL_STATE(5995)] = 312602,
  [SMALL_STATE(5996)] = 312647,
  [SMALL_STATE(5997)] = 312694,
  [SMALL_STATE(5998)] = 312735,
  [SMALL_STATE(5999)] = 312776,
  [SMALL_STATE(6000)] = 312817,
  [SMALL_STATE(6001)] = 312858,
  [SMALL_STATE(6002)] = 312899,
  [SMALL_STATE(6003)] = 312942,
  [SMALL_STATE(6004)] = 312983,
  [SMALL_STATE(6005)] = 313024,
  [SMALL_STATE(6006)] = 313065,
  [SMALL_STATE(6007)] = 313106,
  [SMALL_STATE(6008)] = 313147,
  [SMALL_STATE(6009)] = 313188,
  [SMALL_STATE(6010)] = 313229,
  [SMALL_STATE(6011)] = 313270,
  [SMALL_STATE(6012)] = 313311,
  [SMALL_STATE(6013)] = 313352,
  [SMALL_STATE(6014)] = 313393,
  [SMALL_STATE(6015)] = 313434,
  [SMALL_STATE(6016)] = 313487,
  [SMALL_STATE(6017)] = 313548,
  [SMALL_STATE(6018)] = 313603,
  [SMALL_STATE(6019)] = 313644,
  [SMALL_STATE(6020)] = 313687,
  [SMALL_STATE(6021)] = 313728,
  [SMALL_STATE(6022)] = 313769,
  [SMALL_STATE(6023)] = 313812,
  [SMALL_STATE(6024)] = 313853,
  [SMALL_STATE(6025)] = 313894,
  [SMALL_STATE(6026)] = 313939,
  [SMALL_STATE(6027)] = 313980,
  [SMALL_STATE(6028)] = 314021,
  [SMALL_STATE(6029)] = 314062,
  [SMALL_STATE(6030)] = 314103,
  [SMALL_STATE(6031)] = 314146,
  [SMALL_STATE(6032)] = 314193,
  [SMALL_STATE(6033)] = 314238,
  [SMALL_STATE(6034)] = 314279,
  [SMALL_STATE(6035)] = 314320,
  [SMALL_STATE(6036)] = 314371,
  [SMALL_STATE(6037)] = 314416,
  [SMALL_STATE(6038)] = 314457,
  [SMALL_STATE(6039)] = 314498,
  [SMALL_STATE(6040)] = 314539,
  [SMALL_STATE(6041)] = 314586,
  [SMALL_STATE(6042)] = 314631,
  [SMALL_STATE(6043)] = 314672,
  [SMALL_STATE(6044)] = 314713,
  [SMALL_STATE(6045)] = 314754,
  [SMALL_STATE(6046)] = 314795,
  [SMALL_STATE(6047)] = 314836,
  [SMALL_STATE(6048)] = 314879,
  [SMALL_STATE(6049)] = 314920,
  [SMALL_STATE(6050)] = 314973,
  [SMALL_STATE(6051)] = 315014,
  [SMALL_STATE(6052)] = 315059,
  [SMALL_STATE(6053)] = 315100,
  [SMALL_STATE(6054)] = 315147,
  [SMALL_STATE(6055)] = 315188,
  [SMALL_STATE(6056)] = 315229,
  [SMALL_STATE(6057)] = 315270,
  [SMALL_STATE(6058)] = 315311,
  [SMALL_STATE(6059)] = 315358,
  [SMALL_STATE(6060)] = 315399,
  [SMALL_STATE(6061)] = 315440,
  [SMALL_STATE(6062)] = 315481,
  [SMALL_STATE(6063)] = 315528,
  [SMALL_STATE(6064)] = 315569,
  [SMALL_STATE(6065)] = 315610,
  [SMALL_STATE(6066)] = 315651,
  [SMALL_STATE(6067)] = 315692,
  [SMALL_STATE(6068)] = 315733,
  [SMALL_STATE(6069)] = 315774,
  [SMALL_STATE(6070)] = 315815,
  [SMALL_STATE(6071)] = 315858,
  [SMALL_STATE(6072)] = 315903,
  [SMALL_STATE(6073)] = 315944,
  [SMALL_STATE(6074)] = 315993,
  [SMALL_STATE(6075)] = 316034,
  [SMALL_STATE(6076)] = 316075,
  [SMALL_STATE(6077)] = 316116,
  [SMALL_STATE(6078)] = 316157,
  [SMALL_STATE(6079)] = 316198,
  [SMALL_STATE(6080)] = 316239,
  [SMALL_STATE(6081)] = 316280,
  [SMALL_STATE(6082)] = 316321,
  [SMALL_STATE(6083)] = 316362,
  [SMALL_STATE(6084)] = 316403,
  [SMALL_STATE(6085)] = 316444,
  [SMALL_STATE(6086)] = 316499,
  [SMALL_STATE(6087)] = 316540,
  [SMALL_STATE(6088)] = 316581,
  [SMALL_STATE(6089)] = 316622,
  [SMALL_STATE(6090)] = 316663,
  [SMALL_STATE(6091)] = 316704,
  [SMALL_STATE(6092)] = 316745,
  [SMALL_STATE(6093)] = 316786,
  [SMALL_STATE(6094)] = 316827,
  [SMALL_STATE(6095)] = 316868,
  [SMALL_STATE(6096)] = 316909,
  [SMALL_STATE(6097)] = 316950,
  [SMALL_STATE(6098)] = 316991,
  [SMALL_STATE(6099)] = 317052,
  [SMALL_STATE(6100)] = 317093,
  [SMALL_STATE(6101)] = 317134,
  [SMALL_STATE(6102)] = 317187,
  [SMALL_STATE(6103)] = 317228,
  [SMALL_STATE(6104)] = 317271,
  [SMALL_STATE(6105)] = 317312,
  [SMALL_STATE(6106)] = 317355,
  [SMALL_STATE(6107)] = 317396,
  [SMALL_STATE(6108)] = 317469,
  [SMALL_STATE(6109)] = 317514,
  [SMALL_STATE(6110)] = 317557,
  [SMALL_STATE(6111)] = 317598,
  [SMALL_STATE(6112)] = 317639,
  [SMALL_STATE(6113)] = 317686,
  [SMALL_STATE(6114)] = 317727,
  [SMALL_STATE(6115)] = 317788,
  [SMALL_STATE(6116)] = 317829,
  [SMALL_STATE(6117)] = 317870,
  [SMALL_STATE(6118)] = 317911,
  [SMALL_STATE(6119)] = 317952,
  [SMALL_STATE(6120)] = 317993,
  [SMALL_STATE(6121)] = 318034,
  [SMALL_STATE(6122)] = 318075,
  [SMALL_STATE(6123)] = 318116,
  [SMALL_STATE(6124)] = 318159,
  [SMALL_STATE(6125)] = 318202,
  [SMALL_STATE(6126)] = 318245,
  [SMALL_STATE(6127)] = 318302,
  [SMALL_STATE(6128)] = 318355,
  [SMALL_STATE(6129)] = 318398,
  [SMALL_STATE(6130)] = 318439,
  [SMALL_STATE(6131)] = 318480,
  [SMALL_STATE(6132)] = 318527,
  [SMALL_STATE(6133)] = 318572,
  [SMALL_STATE(6134)] = 318617,
  [SMALL_STATE(6135)] = 318682,
  [SMALL_STATE(6136)] = 318723,
  [SMALL_STATE(6137)] = 318764,
  [SMALL_STATE(6138)] = 318807,
  [SMALL_STATE(6139)] = 318848,
  [SMALL_STATE(6140)] = 318889,
  [SMALL_STATE(6141)] = 318930,
  [SMALL_STATE(6142)] = 318971,
  [SMALL_STATE(6143)] = 319012,
  [SMALL_STATE(6144)] = 319053,
  [SMALL_STATE(6145)] = 319094,
  [SMALL_STATE(6146)] = 319137,
  [SMALL_STATE(6147)] = 319178,
  [SMALL_STATE(6148)] = 319219,
  [SMALL_STATE(6149)] = 319260,
  [SMALL_STATE(6150)] = 319301,
  [SMALL_STATE(6151)] = 319342,
  [SMALL_STATE(6152)] = 319383,
  [SMALL_STATE(6153)] = 319424,
  [SMALL_STATE(6154)] = 319465,
  [SMALL_STATE(6155)] = 319506,
  [SMALL_STATE(6156)] = 319547,
  [SMALL_STATE(6157)] = 319588,
  [SMALL_STATE(6158)] = 319629,
  [SMALL_STATE(6159)] = 319670,
  [SMALL_STATE(6160)] = 319711,
  [SMALL_STATE(6161)] = 319752,
  [SMALL_STATE(6162)] = 319793,
  [SMALL_STATE(6163)] = 319834,
  [SMALL_STATE(6164)] = 319881,
  [SMALL_STATE(6165)] = 319924,
  [SMALL_STATE(6166)] = 319965,
  [SMALL_STATE(6167)] = 320006,
  [SMALL_STATE(6168)] = 320047,
  [SMALL_STATE(6169)] = 320088,
  [SMALL_STATE(6170)] = 320129,
  [SMALL_STATE(6171)] = 320170,
  [SMALL_STATE(6172)] = 320211,
  [SMALL_STATE(6173)] = 320252,
  [SMALL_STATE(6174)] = 320295,
  [SMALL_STATE(6175)] = 320336,
  [SMALL_STATE(6176)] = 320377,
  [SMALL_STATE(6177)] = 320418,
  [SMALL_STATE(6178)] = 320459,
  [SMALL_STATE(6179)] = 320500,
  [SMALL_STATE(6180)] = 320541,
  [SMALL_STATE(6181)] = 320582,
  [SMALL_STATE(6182)] = 320625,
  [SMALL_STATE(6183)] = 320666,
  [SMALL_STATE(6184)] = 320707,
  [SMALL_STATE(6185)] = 320748,
  [SMALL_STATE(6186)] = 320789,
  [SMALL_STATE(6187)] = 320830,
  [SMALL_STATE(6188)] = 320871,
  [SMALL_STATE(6189)] = 320912,
  [SMALL_STATE(6190)] = 320953,
  [SMALL_STATE(6191)] = 320994,
  [SMALL_STATE(6192)] = 321035,
  [SMALL_STATE(6193)] = 321076,
  [SMALL_STATE(6194)] = 321137,
  [SMALL_STATE(6195)] = 321178,
  [SMALL_STATE(6196)] = 321219,
  [SMALL_STATE(6197)] = 321260,
  [SMALL_STATE(6198)] = 321301,
  [SMALL_STATE(6199)] = 321342,
  [SMALL_STATE(6200)] = 321383,
  [SMALL_STATE(6201)] = 321438,
  [SMALL_STATE(6202)] = 321479,
  [SMALL_STATE(6203)] = 321520,
  [SMALL_STATE(6204)] = 321561,
  [SMALL_STATE(6205)] = 321602,
  [SMALL_STATE(6206)] = 321643,
  [SMALL_STATE(6207)] = 321684,
  [SMALL_STATE(6208)] = 321725,
  [SMALL_STATE(6209)] = 321766,
  [SMALL_STATE(6210)] = 321809,
  [SMALL_STATE(6211)] = 321870,
  [SMALL_STATE(6212)] = 321931,
  [SMALL_STATE(6213)] = 321972,
  [SMALL_STATE(6214)] = 322013,
  [SMALL_STATE(6215)] = 322054,
  [SMALL_STATE(6216)] = 322095,
  [SMALL_STATE(6217)] = 322136,
  [SMALL_STATE(6218)] = 322177,
  [SMALL_STATE(6219)] = 322218,
  [SMALL_STATE(6220)] = 322259,
  [SMALL_STATE(6221)] = 322300,
  [SMALL_STATE(6222)] = 322341,
  [SMALL_STATE(6223)] = 322382,
  [SMALL_STATE(6224)] = 322423,
  [SMALL_STATE(6225)] = 322464,
  [SMALL_STATE(6226)] = 322505,
  [SMALL_STATE(6227)] = 322546,
  [SMALL_STATE(6228)] = 322589,
  [SMALL_STATE(6229)] = 322630,
  [SMALL_STATE(6230)] = 322671,
  [SMALL_STATE(6231)] = 322712,
  [SMALL_STATE(6232)] = 322753,
  [SMALL_STATE(6233)] = 322796,
  [SMALL_STATE(6234)] = 322837,
  [SMALL_STATE(6235)] = 322878,
  [SMALL_STATE(6236)] = 322919,
  [SMALL_STATE(6237)] = 322960,
  [SMALL_STATE(6238)] = 323001,
  [SMALL_STATE(6239)] = 323042,
  [SMALL_STATE(6240)] = 323083,
  [SMALL_STATE(6241)] = 323124,
  [SMALL_STATE(6242)] = 323165,
  [SMALL_STATE(6243)] = 323206,
  [SMALL_STATE(6244)] = 323247,
  [SMALL_STATE(6245)] = 323290,
  [SMALL_STATE(6246)] = 323333,
  [SMALL_STATE(6247)] = 323374,
  [SMALL_STATE(6248)] = 323415,
  [SMALL_STATE(6249)] = 323456,
  [SMALL_STATE(6250)] = 323497,
  [SMALL_STATE(6251)] = 323538,
  [SMALL_STATE(6252)] = 323579,
  [SMALL_STATE(6253)] = 323620,
  [SMALL_STATE(6254)] = 323673,
  [SMALL_STATE(6255)] = 323714,
  [SMALL_STATE(6256)] = 323755,
  [SMALL_STATE(6257)] = 323796,
  [SMALL_STATE(6258)] = 323837,
  [SMALL_STATE(6259)] = 323878,
  [SMALL_STATE(6260)] = 323919,
  [SMALL_STATE(6261)] = 323962,
  [SMALL_STATE(6262)] = 324005,
  [SMALL_STATE(6263)] = 324046,
  [SMALL_STATE(6264)] = 324091,
  [SMALL_STATE(6265)] = 324132,
  [SMALL_STATE(6266)] = 324173,
  [SMALL_STATE(6267)] = 324214,
  [SMALL_STATE(6268)] = 324255,
  [SMALL_STATE(6269)] = 324296,
  [SMALL_STATE(6270)] = 324337,
  [SMALL_STATE(6271)] = 324378,
  [SMALL_STATE(6272)] = 324423,
  [SMALL_STATE(6273)] = 324474,
  [SMALL_STATE(6274)] = 324515,
  [SMALL_STATE(6275)] = 324556,
  [SMALL_STATE(6276)] = 324597,
  [SMALL_STATE(6277)] = 324638,
  [SMALL_STATE(6278)] = 324679,
  [SMALL_STATE(6279)] = 324734,
  [SMALL_STATE(6280)] = 324775,
  [SMALL_STATE(6281)] = 324822,
  [SMALL_STATE(6282)] = 324863,
  [SMALL_STATE(6283)] = 324904,
  [SMALL_STATE(6284)] = 324945,
  [SMALL_STATE(6285)] = 324986,
  [SMALL_STATE(6286)] = 325027,
  [SMALL_STATE(6287)] = 325072,
  [SMALL_STATE(6288)] = 325113,
  [SMALL_STATE(6289)] = 325154,
  [SMALL_STATE(6290)] = 325195,
  [SMALL_STATE(6291)] = 325236,
  [SMALL_STATE(6292)] = 325277,
  [SMALL_STATE(6293)] = 325324,
  [SMALL_STATE(6294)] = 325365,
  [SMALL_STATE(6295)] = 325406,
  [SMALL_STATE(6296)] = 325451,
  [SMALL_STATE(6297)] = 325492,
  [SMALL_STATE(6298)] = 325533,
  [SMALL_STATE(6299)] = 325574,
  [SMALL_STATE(6300)] = 325615,
  [SMALL_STATE(6301)] = 325656,
  [SMALL_STATE(6302)] = 325697,
  [SMALL_STATE(6303)] = 325738,
  [SMALL_STATE(6304)] = 325779,
  [SMALL_STATE(6305)] = 325820,
  [SMALL_STATE(6306)] = 325861,
  [SMALL_STATE(6307)] = 325902,
  [SMALL_STATE(6308)] = 325947,
  [SMALL_STATE(6309)] = 326000,
  [SMALL_STATE(6310)] = 326043,
  [SMALL_STATE(6311)] = 326086,
  [SMALL_STATE(6312)] = 326127,
  [SMALL_STATE(6313)] = 326168,
  [SMALL_STATE(6314)] = 326209,
  [SMALL_STATE(6315)] = 326254,
  [SMALL_STATE(6316)] = 326295,
  [SMALL_STATE(6317)] = 326336,
  [SMALL_STATE(6318)] = 326377,
  [SMALL_STATE(6319)] = 326424,
  [SMALL_STATE(6320)] = 326469,
  [SMALL_STATE(6321)] = 326510,
  [SMALL_STATE(6322)] = 326553,
  [SMALL_STATE(6323)] = 326594,
  [SMALL_STATE(6324)] = 326647,
  [SMALL_STATE(6325)] = 326692,
  [SMALL_STATE(6326)] = 326735,
  [SMALL_STATE(6327)] = 326782,
  [SMALL_STATE(6328)] = 326823,
  [SMALL_STATE(6329)] = 326884,
  [SMALL_STATE(6330)] = 326925,
  [SMALL_STATE(6331)] = 326966,
  [SMALL_STATE(6332)] = 327007,
  [SMALL_STATE(6333)] = 327048,
  [SMALL_STATE(6334)] = 327095,
  [SMALL_STATE(6335)] = 327148,
  [SMALL_STATE(6336)] = 327189,
  [SMALL_STATE(6337)] = 327250,
  [SMALL_STATE(6338)] = 327291,
  [SMALL_STATE(6339)] = 327332,
  [SMALL_STATE(6340)] = 327387,
  [SMALL_STATE(6341)] = 327440,
  [SMALL_STATE(6342)] = 327485,
  [SMALL_STATE(6343)] = 327526,
  [SMALL_STATE(6344)] = 327571,
  [SMALL_STATE(6345)] = 327626,
  [SMALL_STATE(6346)] = 327691,
  [SMALL_STATE(6347)] = 327744,
  [SMALL_STATE(6348)] = 327785,
  [SMALL_STATE(6349)] = 327832,
  [SMALL_STATE(6350)] = 327879,
  [SMALL_STATE(6351)] = 327920,
  [SMALL_STATE(6352)] = 327965,
  [SMALL_STATE(6353)] = 328008,
  [SMALL_STATE(6354)] = 328049,
  [SMALL_STATE(6355)] = 328092,
  [SMALL_STATE(6356)] = 328139,
  [SMALL_STATE(6357)] = 328194,
  [SMALL_STATE(6358)] = 328239,
  [SMALL_STATE(6359)] = 328282,
  [SMALL_STATE(6360)] = 328323,
  [SMALL_STATE(6361)] = 328364,
  [SMALL_STATE(6362)] = 328419,
  [SMALL_STATE(6363)] = 328472,
  [SMALL_STATE(6364)] = 328513,
  [SMALL_STATE(6365)] = 328554,
  [SMALL_STATE(6366)] = 328595,
  [SMALL_STATE(6367)] = 328638,
  [SMALL_STATE(6368)] = 328679,
  [SMALL_STATE(6369)] = 328726,
  [SMALL_STATE(6370)] = 328767,
  [SMALL_STATE(6371)] = 328808,
  [SMALL_STATE(6372)] = 328851,
  [SMALL_STATE(6373)] = 328892,
  [SMALL_STATE(6374)] = 328935,
  [SMALL_STATE(6375)] = 328988,
  [SMALL_STATE(6376)] = 329029,
  [SMALL_STATE(6377)] = 329072,
  [SMALL_STATE(6378)] = 329119,
  [SMALL_STATE(6379)] = 329184,
  [SMALL_STATE(6380)] = 329225,
  [SMALL_STATE(6381)] = 329268,
  [SMALL_STATE(6382)] = 329309,
  [SMALL_STATE(6383)] = 329350,
  [SMALL_STATE(6384)] = 329391,
  [SMALL_STATE(6385)] = 329436,
  [SMALL_STATE(6386)] = 329477,
  [SMALL_STATE(6387)] = 329518,
  [SMALL_STATE(6388)] = 329559,
  [SMALL_STATE(6389)] = 329606,
  [SMALL_STATE(6390)] = 329649,
  [SMALL_STATE(6391)] = 329696,
  [SMALL_STATE(6392)] = 329737,
  [SMALL_STATE(6393)] = 329798,
  [SMALL_STATE(6394)] = 329839,
  [SMALL_STATE(6395)] = 329880,
  [SMALL_STATE(6396)] = 329921,
  [SMALL_STATE(6397)] = 329962,
  [SMALL_STATE(6398)] = 330003,
  [SMALL_STATE(6399)] = 330044,
  [SMALL_STATE(6400)] = 330085,
  [SMALL_STATE(6401)] = 330140,
  [SMALL_STATE(6402)] = 330205,
  [SMALL_STATE(6403)] = 330258,
  [SMALL_STATE(6404)] = 330323,
  [SMALL_STATE(6405)] = 330364,
  [SMALL_STATE(6406)] = 330405,
  [SMALL_STATE(6407)] = 330446,
  [SMALL_STATE(6408)] = 330487,
  [SMALL_STATE(6409)] = 330528,
  [SMALL_STATE(6410)] = 330583,
  [SMALL_STATE(6411)] = 330636,
  [SMALL_STATE(6412)] = 330677,
  [SMALL_STATE(6413)] = 330718,
  [SMALL_STATE(6414)] = 330759,
  [SMALL_STATE(6415)] = 330800,
  [SMALL_STATE(6416)] = 330841,
  [SMALL_STATE(6417)] = 330888,
  [SMALL_STATE(6418)] = 330929,
  [SMALL_STATE(6419)] = 330970,
  [SMALL_STATE(6420)] = 331011,
  [SMALL_STATE(6421)] = 331076,
  [SMALL_STATE(6422)] = 331129,
  [SMALL_STATE(6423)] = 331170,
  [SMALL_STATE(6424)] = 331227,
  [SMALL_STATE(6425)] = 331292,
  [SMALL_STATE(6426)] = 331333,
  [SMALL_STATE(6427)] = 331398,
  [SMALL_STATE(6428)] = 331451,
  [SMALL_STATE(6429)] = 331492,
  [SMALL_STATE(6430)] = 331545,
  [SMALL_STATE(6431)] = 331598,
  [SMALL_STATE(6432)] = 331639,
  [SMALL_STATE(6433)] = 331680,
  [SMALL_STATE(6434)] = 331745,
  [SMALL_STATE(6435)] = 331788,
  [SMALL_STATE(6436)] = 331841,
  [SMALL_STATE(6437)] = 331882,
  [SMALL_STATE(6438)] = 331935,
  [SMALL_STATE(6439)] = 332000,
  [SMALL_STATE(6440)] = 332055,
  [SMALL_STATE(6441)] = 332096,
  [SMALL_STATE(6442)] = 332137,
  [SMALL_STATE(6443)] = 332178,
  [SMALL_STATE(6444)] = 332219,
  [SMALL_STATE(6445)] = 332260,
  [SMALL_STATE(6446)] = 332301,
  [SMALL_STATE(6447)] = 332342,
  [SMALL_STATE(6448)] = 332383,
  [SMALL_STATE(6449)] = 332424,
  [SMALL_STATE(6450)] = 332489,
  [SMALL_STATE(6451)] = 332532,
  [SMALL_STATE(6452)] = 332573,
  [SMALL_STATE(6453)] = 332614,
  [SMALL_STATE(6454)] = 332655,
  [SMALL_STATE(6455)] = 332700,
  [SMALL_STATE(6456)] = 332743,
  [SMALL_STATE(6457)] = 332784,
  [SMALL_STATE(6458)] = 332825,
  [SMALL_STATE(6459)] = 332866,
  [SMALL_STATE(6460)] = 332907,
  [SMALL_STATE(6461)] = 332948,
  [SMALL_STATE(6462)] = 332989,
  [SMALL_STATE(6463)] = 333030,
  [SMALL_STATE(6464)] = 333083,
  [SMALL_STATE(6465)] = 333124,
  [SMALL_STATE(6466)] = 333165,
  [SMALL_STATE(6467)] = 333206,
  [SMALL_STATE(6468)] = 333247,
  [SMALL_STATE(6469)] = 333288,
  [SMALL_STATE(6470)] = 333329,
  [SMALL_STATE(6471)] = 333370,
  [SMALL_STATE(6472)] = 333411,
  [SMALL_STATE(6473)] = 333454,
  [SMALL_STATE(6474)] = 333495,
  [SMALL_STATE(6475)] = 333536,
  [SMALL_STATE(6476)] = 333577,
  [SMALL_STATE(6477)] = 333632,
  [SMALL_STATE(6478)] = 333673,
  [SMALL_STATE(6479)] = 333714,
  [SMALL_STATE(6480)] = 333755,
  [SMALL_STATE(6481)] = 333796,
  [SMALL_STATE(6482)] = 333837,
  [SMALL_STATE(6483)] = 333878,
  [SMALL_STATE(6484)] = 333919,
  [SMALL_STATE(6485)] = 333960,
  [SMALL_STATE(6486)] = 334003,
  [SMALL_STATE(6487)] = 334044,
  [SMALL_STATE(6488)] = 334087,
  [SMALL_STATE(6489)] = 334134,
  [SMALL_STATE(6490)] = 334199,
  [SMALL_STATE(6491)] = 334240,
  [SMALL_STATE(6492)] = 334281,
  [SMALL_STATE(6493)] = 334336,
  [SMALL_STATE(6494)] = 334377,
  [SMALL_STATE(6495)] = 334418,
  [SMALL_STATE(6496)] = 334459,
  [SMALL_STATE(6497)] = 334500,
  [SMALL_STATE(6498)] = 334541,
  [SMALL_STATE(6499)] = 334582,
  [SMALL_STATE(6500)] = 334625,
  [SMALL_STATE(6501)] = 334674,
  [SMALL_STATE(6502)] = 334715,
  [SMALL_STATE(6503)] = 334758,
  [SMALL_STATE(6504)] = 334799,
  [SMALL_STATE(6505)] = 334840,
  [SMALL_STATE(6506)] = 334881,
  [SMALL_STATE(6507)] = 334922,
  [SMALL_STATE(6508)] = 334963,
  [SMALL_STATE(6509)] = 335016,
  [SMALL_STATE(6510)] = 335057,
  [SMALL_STATE(6511)] = 335098,
  [SMALL_STATE(6512)] = 335141,
  [SMALL_STATE(6513)] = 335182,
  [SMALL_STATE(6514)] = 335227,
  [SMALL_STATE(6515)] = 335268,
  [SMALL_STATE(6516)] = 335309,
  [SMALL_STATE(6517)] = 335362,
  [SMALL_STATE(6518)] = 335403,
  [SMALL_STATE(6519)] = 335444,
  [SMALL_STATE(6520)] = 335485,
  [SMALL_STATE(6521)] = 335526,
  [SMALL_STATE(6522)] = 335579,
  [SMALL_STATE(6523)] = 335620,
  [SMALL_STATE(6524)] = 335663,
  [SMALL_STATE(6525)] = 335704,
  [SMALL_STATE(6526)] = 335747,
  [SMALL_STATE(6527)] = 335788,
  [SMALL_STATE(6528)] = 335829,
  [SMALL_STATE(6529)] = 335870,
  [SMALL_STATE(6530)] = 335911,
  [SMALL_STATE(6531)] = 335952,
  [SMALL_STATE(6532)] = 335997,
  [SMALL_STATE(6533)] = 336052,
  [SMALL_STATE(6534)] = 336093,
  [SMALL_STATE(6535)] = 336138,
  [SMALL_STATE(6536)] = 336179,
  [SMALL_STATE(6537)] = 336222,
  [SMALL_STATE(6538)] = 336263,
  [SMALL_STATE(6539)] = 336304,
  [SMALL_STATE(6540)] = 336365,
  [SMALL_STATE(6541)] = 336406,
  [SMALL_STATE(6542)] = 336447,
  [SMALL_STATE(6543)] = 336488,
  [SMALL_STATE(6544)] = 336529,
  [SMALL_STATE(6545)] = 336570,
  [SMALL_STATE(6546)] = 336623,
  [SMALL_STATE(6547)] = 336664,
  [SMALL_STATE(6548)] = 336705,
  [SMALL_STATE(6549)] = 336746,
  [SMALL_STATE(6550)] = 336789,
  [SMALL_STATE(6551)] = 336830,
  [SMALL_STATE(6552)] = 336895,
  [SMALL_STATE(6553)] = 336936,
  [SMALL_STATE(6554)] = 336977,
  [SMALL_STATE(6555)] = 337030,
  [SMALL_STATE(6556)] = 337075,
  [SMALL_STATE(6557)] = 337116,
  [SMALL_STATE(6558)] = 337157,
  [SMALL_STATE(6559)] = 337198,
  [SMALL_STATE(6560)] = 337263,
  [SMALL_STATE(6561)] = 337306,
  [SMALL_STATE(6562)] = 337351,
  [SMALL_STATE(6563)] = 337404,
  [SMALL_STATE(6564)] = 337447,
  [SMALL_STATE(6565)] = 337488,
  [SMALL_STATE(6566)] = 337529,
  [SMALL_STATE(6567)] = 337570,
  [SMALL_STATE(6568)] = 337611,
  [SMALL_STATE(6569)] = 337652,
  [SMALL_STATE(6570)] = 337693,
  [SMALL_STATE(6571)] = 337734,
  [SMALL_STATE(6572)] = 337775,
  [SMALL_STATE(6573)] = 337816,
  [SMALL_STATE(6574)] = 337857,
  [SMALL_STATE(6575)] = 337900,
  [SMALL_STATE(6576)] = 337941,
  [SMALL_STATE(6577)] = 337982,
  [SMALL_STATE(6578)] = 338023,
  [SMALL_STATE(6579)] = 338064,
  [SMALL_STATE(6580)] = 338105,
  [SMALL_STATE(6581)] = 338146,
  [SMALL_STATE(6582)] = 338187,
  [SMALL_STATE(6583)] = 338234,
  [SMALL_STATE(6584)] = 338275,
  [SMALL_STATE(6585)] = 338320,
  [SMALL_STATE(6586)] = 338361,
  [SMALL_STATE(6587)] = 338402,
  [SMALL_STATE(6588)] = 338443,
  [SMALL_STATE(6589)] = 338496,
  [SMALL_STATE(6590)] = 338537,
  [SMALL_STATE(6591)] = 338578,
  [SMALL_STATE(6592)] = 338623,
  [SMALL_STATE(6593)] = 338664,
  [SMALL_STATE(6594)] = 338709,
  [SMALL_STATE(6595)] = 338750,
  [SMALL_STATE(6596)] = 338797,
  [SMALL_STATE(6597)] = 338844,
  [SMALL_STATE(6598)] = 338887,
  [SMALL_STATE(6599)] = 338940,
  [SMALL_STATE(6600)] = 338981,
  [SMALL_STATE(6601)] = 339022,
  [SMALL_STATE(6602)] = 339067,
  [SMALL_STATE(6603)] = 339120,
  [SMALL_STATE(6604)] = 339161,
  [SMALL_STATE(6605)] = 339204,
  [SMALL_STATE(6606)] = 339245,
  [SMALL_STATE(6607)] = 339290,
  [SMALL_STATE(6608)] = 339343,
  [SMALL_STATE(6609)] = 339390,
  [SMALL_STATE(6610)] = 339437,
  [SMALL_STATE(6611)] = 339478,
  [SMALL_STATE(6612)] = 339531,
  [SMALL_STATE(6613)] = 339574,
  [SMALL_STATE(6614)] = 339615,
  [SMALL_STATE(6615)] = 339656,
  [SMALL_STATE(6616)] = 339711,
  [SMALL_STATE(6617)] = 339776,
  [SMALL_STATE(6618)] = 339825,
  [SMALL_STATE(6619)] = 339866,
  [SMALL_STATE(6620)] = 339907,
  [SMALL_STATE(6621)] = 339960,
  [SMALL_STATE(6622)] = 340001,
  [SMALL_STATE(6623)] = 340042,
  [SMALL_STATE(6624)] = 340083,
  [SMALL_STATE(6625)] = 340136,
  [SMALL_STATE(6626)] = 340179,
  [SMALL_STATE(6627)] = 340220,
  [SMALL_STATE(6628)] = 340261,
  [SMALL_STATE(6629)] = 340302,
  [SMALL_STATE(6630)] = 340357,
  [SMALL_STATE(6631)] = 340398,
  [SMALL_STATE(6632)] = 340439,
  [SMALL_STATE(6633)] = 340480,
  [SMALL_STATE(6634)] = 340523,
  [SMALL_STATE(6635)] = 340564,
  [SMALL_STATE(6636)] = 340629,
  [SMALL_STATE(6637)] = 340670,
  [SMALL_STATE(6638)] = 340713,
  [SMALL_STATE(6639)] = 340754,
  [SMALL_STATE(6640)] = 340795,
  [SMALL_STATE(6641)] = 340836,
  [SMALL_STATE(6642)] = 340885,
  [SMALL_STATE(6643)] = 340926,
  [SMALL_STATE(6644)] = 340967,
  [SMALL_STATE(6645)] = 341010,
  [SMALL_STATE(6646)] = 341051,
  [SMALL_STATE(6647)] = 341092,
  [SMALL_STATE(6648)] = 341133,
  [SMALL_STATE(6649)] = 341174,
  [SMALL_STATE(6650)] = 341215,
  [SMALL_STATE(6651)] = 341256,
  [SMALL_STATE(6652)] = 341297,
  [SMALL_STATE(6653)] = 341338,
  [SMALL_STATE(6654)] = 341381,
  [SMALL_STATE(6655)] = 341422,
  [SMALL_STATE(6656)] = 341463,
  [SMALL_STATE(6657)] = 341504,
  [SMALL_STATE(6658)] = 341569,
  [SMALL_STATE(6659)] = 341610,
  [SMALL_STATE(6660)] = 341651,
  [SMALL_STATE(6661)] = 341691,
  [SMALL_STATE(6662)] = 341731,
  [SMALL_STATE(6663)] = 341771,
  [SMALL_STATE(6664)] = 341811,
  [SMALL_STATE(6665)] = 341851,
  [SMALL_STATE(6666)] = 341891,
  [SMALL_STATE(6667)] = 341931,
  [SMALL_STATE(6668)] = 341977,
  [SMALL_STATE(6669)] = 342017,
  [SMALL_STATE(6670)] = 342057,
  [SMALL_STATE(6671)] = 342099,
  [SMALL_STATE(6672)] = 342139,
  [SMALL_STATE(6673)] = 342179,
  [SMALL_STATE(6674)] = 342219,
  [SMALL_STATE(6675)] = 342261,
  [SMALL_STATE(6676)] = 342301,
  [SMALL_STATE(6677)] = 342347,
  [SMALL_STATE(6678)] = 342401,
  [SMALL_STATE(6679)] = 342441,
  [SMALL_STATE(6680)] = 342483,
  [SMALL_STATE(6681)] = 342523,
  [SMALL_STATE(6682)] = 342577,
  [SMALL_STATE(6683)] = 342617,
  [SMALL_STATE(6684)] = 342657,
  [SMALL_STATE(6685)] = 342697,
  [SMALL_STATE(6686)] = 342741,
  [SMALL_STATE(6687)] = 342781,
  [SMALL_STATE(6688)] = 342821,
  [SMALL_STATE(6689)] = 342861,
  [SMALL_STATE(6690)] = 342901,
  [SMALL_STATE(6691)] = 342943,
  [SMALL_STATE(6692)] = 342983,
  [SMALL_STATE(6693)] = 343023,
  [SMALL_STATE(6694)] = 343063,
  [SMALL_STATE(6695)] = 343103,
  [SMALL_STATE(6696)] = 343143,
  [SMALL_STATE(6697)] = 343183,
  [SMALL_STATE(6698)] = 343223,
  [SMALL_STATE(6699)] = 343263,
  [SMALL_STATE(6700)] = 343303,
  [SMALL_STATE(6701)] = 343343,
  [SMALL_STATE(6702)] = 343383,
  [SMALL_STATE(6703)] = 343425,
  [SMALL_STATE(6704)] = 343465,
  [SMALL_STATE(6705)] = 343505,
  [SMALL_STATE(6706)] = 343549,
  [SMALL_STATE(6707)] = 343589,
  [SMALL_STATE(6708)] = 343629,
  [SMALL_STATE(6709)] = 343669,
  [SMALL_STATE(6710)] = 343709,
  [SMALL_STATE(6711)] = 343749,
  [SMALL_STATE(6712)] = 343793,
  [SMALL_STATE(6713)] = 343833,
  [SMALL_STATE(6714)] = 343875,
  [SMALL_STATE(6715)] = 343915,
  [SMALL_STATE(6716)] = 343955,
  [SMALL_STATE(6717)] = 343995,
  [SMALL_STATE(6718)] = 344035,
  [SMALL_STATE(6719)] = 344075,
  [SMALL_STATE(6720)] = 344115,
  [SMALL_STATE(6721)] = 344155,
  [SMALL_STATE(6722)] = 344195,
  [SMALL_STATE(6723)] = 344235,
  [SMALL_STATE(6724)] = 344275,
  [SMALL_STATE(6725)] = 344317,
  [SMALL_STATE(6726)] = 344359,
  [SMALL_STATE(6727)] = 344399,
  [SMALL_STATE(6728)] = 344439,
  [SMALL_STATE(6729)] = 344479,
  [SMALL_STATE(6730)] = 344519,
  [SMALL_STATE(6731)] = 344559,
  [SMALL_STATE(6732)] = 344599,
  [SMALL_STATE(6733)] = 344639,
  [SMALL_STATE(6734)] = 344679,
  [SMALL_STATE(6735)] = 344719,
  [SMALL_STATE(6736)] = 344759,
  [SMALL_STATE(6737)] = 344799,
  [SMALL_STATE(6738)] = 344839,
  [SMALL_STATE(6739)] = 344879,
  [SMALL_STATE(6740)] = 344919,
  [SMALL_STATE(6741)] = 344961,
  [SMALL_STATE(6742)] = 345001,
  [SMALL_STATE(6743)] = 345071,
  [SMALL_STATE(6744)] = 345111,
  [SMALL_STATE(6745)] = 345151,
  [SMALL_STATE(6746)] = 345191,
  [SMALL_STATE(6747)] = 345231,
  [SMALL_STATE(6748)] = 345275,
  [SMALL_STATE(6749)] = 345315,
  [SMALL_STATE(6750)] = 345355,
  [SMALL_STATE(6751)] = 345395,
  [SMALL_STATE(6752)] = 345439,
  [SMALL_STATE(6753)] = 345479,
  [SMALL_STATE(6754)] = 345519,
  [SMALL_STATE(6755)] = 345559,
  [SMALL_STATE(6756)] = 345599,
  [SMALL_STATE(6757)] = 345639,
  [SMALL_STATE(6758)] = 345679,
  [SMALL_STATE(6759)] = 345719,
  [SMALL_STATE(6760)] = 345759,
  [SMALL_STATE(6761)] = 345801,
  [SMALL_STATE(6762)] = 345841,
  [SMALL_STATE(6763)] = 345881,
  [SMALL_STATE(6764)] = 345921,
  [SMALL_STATE(6765)] = 345967,
  [SMALL_STATE(6766)] = 346007,
  [SMALL_STATE(6767)] = 346049,
  [SMALL_STATE(6768)] = 346089,
  [SMALL_STATE(6769)] = 346131,
  [SMALL_STATE(6770)] = 346179,
  [SMALL_STATE(6771)] = 346219,
  [SMALL_STATE(6772)] = 346265,
  [SMALL_STATE(6773)] = 346305,
  [SMALL_STATE(6774)] = 346345,
  [SMALL_STATE(6775)] = 346397,
  [SMALL_STATE(6776)] = 346457,
  [SMALL_STATE(6777)] = 346497,
  [SMALL_STATE(6778)] = 346537,
  [SMALL_STATE(6779)] = 346577,
  [SMALL_STATE(6780)] = 346617,
  [SMALL_STATE(6781)] = 346659,
  [SMALL_STATE(6782)] = 346703,
  [SMALL_STATE(6783)] = 346743,
  [SMALL_STATE(6784)] = 346783,
  [SMALL_STATE(6785)] = 346823,
  [SMALL_STATE(6786)] = 346865,
  [SMALL_STATE(6787)] = 346905,
  [SMALL_STATE(6788)] = 346945,
  [SMALL_STATE(6789)] = 346985,
  [SMALL_STATE(6790)] = 347025,
  [SMALL_STATE(6791)] = 347065,
  [SMALL_STATE(6792)] = 347109,
  [SMALL_STATE(6793)] = 347151,
  [SMALL_STATE(6794)] = 347211,
  [SMALL_STATE(6795)] = 347251,
  [SMALL_STATE(6796)] = 347291,
  [SMALL_STATE(6797)] = 347331,
  [SMALL_STATE(6798)] = 347371,
  [SMALL_STATE(6799)] = 347411,
  [SMALL_STATE(6800)] = 347471,
  [SMALL_STATE(6801)] = 347511,
  [SMALL_STATE(6802)] = 347551,
  [SMALL_STATE(6803)] = 347591,
  [SMALL_STATE(6804)] = 347645,
  [SMALL_STATE(6805)] = 347685,
  [SMALL_STATE(6806)] = 347725,
  [SMALL_STATE(6807)] = 347765,
  [SMALL_STATE(6808)] = 347805,
  [SMALL_STATE(6809)] = 347845,
  [SMALL_STATE(6810)] = 347885,
  [SMALL_STATE(6811)] = 347925,
  [SMALL_STATE(6812)] = 347971,
  [SMALL_STATE(6813)] = 348011,
  [SMALL_STATE(6814)] = 348053,
  [SMALL_STATE(6815)] = 348095,
  [SMALL_STATE(6816)] = 348135,
  [SMALL_STATE(6817)] = 348179,
  [SMALL_STATE(6818)] = 348219,
  [SMALL_STATE(6819)] = 348259,
  [SMALL_STATE(6820)] = 348301,
  [SMALL_STATE(6821)] = 348341,
  [SMALL_STATE(6822)] = 348385,
  [SMALL_STATE(6823)] = 348425,
  [SMALL_STATE(6824)] = 348465,
  [SMALL_STATE(6825)] = 348505,
  [SMALL_STATE(6826)] = 348545,
  [SMALL_STATE(6827)] = 348591,
  [SMALL_STATE(6828)] = 348631,
  [SMALL_STATE(6829)] = 348671,
  [SMALL_STATE(6830)] = 348711,
  [SMALL_STATE(6831)] = 348751,
  [SMALL_STATE(6832)] = 348791,
  [SMALL_STATE(6833)] = 348831,
  [SMALL_STATE(6834)] = 348871,
  [SMALL_STATE(6835)] = 348915,
  [SMALL_STATE(6836)] = 348961,
  [SMALL_STATE(6837)] = 349001,
  [SMALL_STATE(6838)] = 349041,
  [SMALL_STATE(6839)] = 349081,
  [SMALL_STATE(6840)] = 349121,
  [SMALL_STATE(6841)] = 349161,
  [SMALL_STATE(6842)] = 349207,
  [SMALL_STATE(6843)] = 349247,
  [SMALL_STATE(6844)] = 349287,
  [SMALL_STATE(6845)] = 349327,
  [SMALL_STATE(6846)] = 349403,
  [SMALL_STATE(6847)] = 349443,
  [SMALL_STATE(6848)] = 349483,
  [SMALL_STATE(6849)] = 349523,
  [SMALL_STATE(6850)] = 349563,
  [SMALL_STATE(6851)] = 349603,
  [SMALL_STATE(6852)] = 349643,
  [SMALL_STATE(6853)] = 349685,
  [SMALL_STATE(6854)] = 349725,
  [SMALL_STATE(6855)] = 349765,
  [SMALL_STATE(6856)] = 349805,
  [SMALL_STATE(6857)] = 349845,
  [SMALL_STATE(6858)] = 349885,
  [SMALL_STATE(6859)] = 349925,
  [SMALL_STATE(6860)] = 349965,
  [SMALL_STATE(6861)] = 350007,
  [SMALL_STATE(6862)] = 350047,
  [SMALL_STATE(6863)] = 350087,
  [SMALL_STATE(6864)] = 350127,
  [SMALL_STATE(6865)] = 350167,
  [SMALL_STATE(6866)] = 350207,
  [SMALL_STATE(6867)] = 350247,
  [SMALL_STATE(6868)] = 350287,
  [SMALL_STATE(6869)] = 350327,
  [SMALL_STATE(6870)] = 350367,
  [SMALL_STATE(6871)] = 350407,
  [SMALL_STATE(6872)] = 350447,
  [SMALL_STATE(6873)] = 350487,
  [SMALL_STATE(6874)] = 350529,
  [SMALL_STATE(6875)] = 350569,
  [SMALL_STATE(6876)] = 350609,
  [SMALL_STATE(6877)] = 350651,
  [SMALL_STATE(6878)] = 350691,
  [SMALL_STATE(6879)] = 350731,
  [SMALL_STATE(6880)] = 350771,
  [SMALL_STATE(6881)] = 350811,
  [SMALL_STATE(6882)] = 350851,
  [SMALL_STATE(6883)] = 350891,
  [SMALL_STATE(6884)] = 350931,
  [SMALL_STATE(6885)] = 350985,
  [SMALL_STATE(6886)] = 351025,
  [SMALL_STATE(6887)] = 351065,
  [SMALL_STATE(6888)] = 351105,
  [SMALL_STATE(6889)] = 351145,
  [SMALL_STATE(6890)] = 351185,
  [SMALL_STATE(6891)] = 351225,
  [SMALL_STATE(6892)] = 351265,
  [SMALL_STATE(6893)] = 351321,
  [SMALL_STATE(6894)] = 351381,
  [SMALL_STATE(6895)] = 351421,
  [SMALL_STATE(6896)] = 351461,
  [SMALL_STATE(6897)] = 351501,
  [SMALL_STATE(6898)] = 351541,
  [SMALL_STATE(6899)] = 351585,
  [SMALL_STATE(6900)] = 351625,
  [SMALL_STATE(6901)] = 351665,
  [SMALL_STATE(6902)] = 351705,
  [SMALL_STATE(6903)] = 351745,
  [SMALL_STATE(6904)] = 351787,
  [SMALL_STATE(6905)] = 351827,
  [SMALL_STATE(6906)] = 351867,
  [SMALL_STATE(6907)] = 351907,
  [SMALL_STATE(6908)] = 351947,
  [SMALL_STATE(6909)] = 352007,
  [SMALL_STATE(6910)] = 352047,
  [SMALL_STATE(6911)] = 352087,
  [SMALL_STATE(6912)] = 352127,
  [SMALL_STATE(6913)] = 352167,
  [SMALL_STATE(6914)] = 352207,
  [SMALL_STATE(6915)] = 352247,
  [SMALL_STATE(6916)] = 352287,
  [SMALL_STATE(6917)] = 352327,
  [SMALL_STATE(6918)] = 352367,
  [SMALL_STATE(6919)] = 352407,
  [SMALL_STATE(6920)] = 352447,
  [SMALL_STATE(6921)] = 352487,
  [SMALL_STATE(6922)] = 352527,
  [SMALL_STATE(6923)] = 352567,
  [SMALL_STATE(6924)] = 352607,
  [SMALL_STATE(6925)] = 352647,
  [SMALL_STATE(6926)] = 352687,
  [SMALL_STATE(6927)] = 352727,
  [SMALL_STATE(6928)] = 352767,
  [SMALL_STATE(6929)] = 352807,
  [SMALL_STATE(6930)] = 352847,
  [SMALL_STATE(6931)] = 352897,
  [SMALL_STATE(6932)] = 352937,
  [SMALL_STATE(6933)] = 352977,
  [SMALL_STATE(6934)] = 353017,
  [SMALL_STATE(6935)] = 353059,
  [SMALL_STATE(6936)] = 353099,
  [SMALL_STATE(6937)] = 353139,
  [SMALL_STATE(6938)] = 353179,
  [SMALL_STATE(6939)] = 353219,
  [SMALL_STATE(6940)] = 353259,
  [SMALL_STATE(6941)] = 353299,
  [SMALL_STATE(6942)] = 353339,
  [SMALL_STATE(6943)] = 353379,
  [SMALL_STATE(6944)] = 353423,
  [SMALL_STATE(6945)] = 353463,
  [SMALL_STATE(6946)] = 353503,
  [SMALL_STATE(6947)] = 353543,
  [SMALL_STATE(6948)] = 353583,
  [SMALL_STATE(6949)] = 353623,
  [SMALL_STATE(6950)] = 353677,
  [SMALL_STATE(6951)] = 353717,
  [SMALL_STATE(6952)] = 353757,
  [SMALL_STATE(6953)] = 353797,
  [SMALL_STATE(6954)] = 353837,
  [SMALL_STATE(6955)] = 353877,
  [SMALL_STATE(6956)] = 353917,
  [SMALL_STATE(6957)] = 353957,
  [SMALL_STATE(6958)] = 353997,
  [SMALL_STATE(6959)] = 354049,
  [SMALL_STATE(6960)] = 354109,
  [SMALL_STATE(6961)] = 354149,
  [SMALL_STATE(6962)] = 354193,
  [SMALL_STATE(6963)] = 354233,
  [SMALL_STATE(6964)] = 354273,
  [SMALL_STATE(6965)] = 354313,
  [SMALL_STATE(6966)] = 354353,
  [SMALL_STATE(6967)] = 354393,
  [SMALL_STATE(6968)] = 354433,
  [SMALL_STATE(6969)] = 354473,
  [SMALL_STATE(6970)] = 354513,
  [SMALL_STATE(6971)] = 354553,
  [SMALL_STATE(6972)] = 354593,
  [SMALL_STATE(6973)] = 354633,
  [SMALL_STATE(6974)] = 354673,
  [SMALL_STATE(6975)] = 354717,
  [SMALL_STATE(6976)] = 354759,
  [SMALL_STATE(6977)] = 354799,
  [SMALL_STATE(6978)] = 354839,
  [SMALL_STATE(6979)] = 354879,
  [SMALL_STATE(6980)] = 354925,
  [SMALL_STATE(6981)] = 354977,
  [SMALL_STATE(6982)] = 355017,
  [SMALL_STATE(6983)] = 355057,
  [SMALL_STATE(6984)] = 355097,
  [SMALL_STATE(6985)] = 355167,
  [SMALL_STATE(6986)] = 355207,
  [SMALL_STATE(6987)] = 355249,
  [SMALL_STATE(6988)] = 355289,
  [SMALL_STATE(6989)] = 355329,
  [SMALL_STATE(6990)] = 355369,
  [SMALL_STATE(6991)] = 355409,
  [SMALL_STATE(6992)] = 355449,
  [SMALL_STATE(6993)] = 355489,
  [SMALL_STATE(6994)] = 355529,
  [SMALL_STATE(6995)] = 355569,
  [SMALL_STATE(6996)] = 355609,
  [SMALL_STATE(6997)] = 355649,
  [SMALL_STATE(6998)] = 355689,
  [SMALL_STATE(6999)] = 355741,
  [SMALL_STATE(7000)] = 355785,
  [SMALL_STATE(7001)] = 355825,
  [SMALL_STATE(7002)] = 355865,
  [SMALL_STATE(7003)] = 355907,
  [SMALL_STATE(7004)] = 355947,
  [SMALL_STATE(7005)] = 356001,
  [SMALL_STATE(7006)] = 356041,
  [SMALL_STATE(7007)] = 356081,
  [SMALL_STATE(7008)] = 356121,
  [SMALL_STATE(7009)] = 356161,
  [SMALL_STATE(7010)] = 356209,
  [SMALL_STATE(7011)] = 356249,
  [SMALL_STATE(7012)] = 356289,
  [SMALL_STATE(7013)] = 356335,
  [SMALL_STATE(7014)] = 356379,
  [SMALL_STATE(7015)] = 356425,
  [SMALL_STATE(7016)] = 356465,
  [SMALL_STATE(7017)] = 356505,
  [SMALL_STATE(7018)] = 356545,
  [SMALL_STATE(7019)] = 356585,
  [SMALL_STATE(7020)] = 356625,
  [SMALL_STATE(7021)] = 356665,
  [SMALL_STATE(7022)] = 356705,
  [SMALL_STATE(7023)] = 356745,
  [SMALL_STATE(7024)] = 356785,
  [SMALL_STATE(7025)] = 356825,
  [SMALL_STATE(7026)] = 356865,
  [SMALL_STATE(7027)] = 356925,
  [SMALL_STATE(7028)] = 356965,
  [SMALL_STATE(7029)] = 357007,
  [SMALL_STATE(7030)] = 357047,
  [SMALL_STATE(7031)] = 357119,
  [SMALL_STATE(7032)] = 357159,
  [SMALL_STATE(7033)] = 357219,
  [SMALL_STATE(7034)] = 357259,
  [SMALL_STATE(7035)] = 357299,
  [SMALL_STATE(7036)] = 357339,
  [SMALL_STATE(7037)] = 357379,
  [SMALL_STATE(7038)] = 357423,
  [SMALL_STATE(7039)] = 357499,
  [SMALL_STATE(7040)] = 357575,
  [SMALL_STATE(7041)] = 357621,
  [SMALL_STATE(7042)] = 357697,
  [SMALL_STATE(7043)] = 357773,
  [SMALL_STATE(7044)] = 357817,
  [SMALL_STATE(7045)] = 357857,
  [SMALL_STATE(7046)] = 357903,
  [SMALL_STATE(7047)] = 357943,
  [SMALL_STATE(7048)] = 357989,
  [SMALL_STATE(7049)] = 358029,
  [SMALL_STATE(7050)] = 358069,
  [SMALL_STATE(7051)] = 358109,
  [SMALL_STATE(7052)] = 358185,
  [SMALL_STATE(7053)] = 358239,
  [SMALL_STATE(7054)] = 358285,
  [SMALL_STATE(7055)] = 358325,
  [SMALL_STATE(7056)] = 358371,
  [SMALL_STATE(7057)] = 358411,
  [SMALL_STATE(7058)] = 358451,
  [SMALL_STATE(7059)] = 358521,
  [SMALL_STATE(7060)] = 358565,
  [SMALL_STATE(7061)] = 358605,
  [SMALL_STATE(7062)] = 358651,
  [SMALL_STATE(7063)] = 358691,
  [SMALL_STATE(7064)] = 358735,
  [SMALL_STATE(7065)] = 358775,
  [SMALL_STATE(7066)] = 358815,
  [SMALL_STATE(7067)] = 358855,
  [SMALL_STATE(7068)] = 358895,
  [SMALL_STATE(7069)] = 358937,
  [SMALL_STATE(7070)] = 359013,
  [SMALL_STATE(7071)] = 359053,
  [SMALL_STATE(7072)] = 359099,
  [SMALL_STATE(7073)] = 359139,
  [SMALL_STATE(7074)] = 359179,
  [SMALL_STATE(7075)] = 359221,
  [SMALL_STATE(7076)] = 359265,
  [SMALL_STATE(7077)] = 359305,
  [SMALL_STATE(7078)] = 359345,
  [SMALL_STATE(7079)] = 359385,
  [SMALL_STATE(7080)] = 359425,
  [SMALL_STATE(7081)] = 359465,
  [SMALL_STATE(7082)] = 359507,
  [SMALL_STATE(7083)] = 359547,
  [SMALL_STATE(7084)] = 359587,
  [SMALL_STATE(7085)] = 359657,
  [SMALL_STATE(7086)] = 359697,
  [SMALL_STATE(7087)] = 359737,
  [SMALL_STATE(7088)] = 359777,
  [SMALL_STATE(7089)] = 359817,
  [SMALL_STATE(7090)] = 359861,
  [SMALL_STATE(7091)] = 359901,
  [SMALL_STATE(7092)] = 359941,
  [SMALL_STATE(7093)] = 359981,
  [SMALL_STATE(7094)] = 360021,
  [SMALL_STATE(7095)] = 360061,
  [SMALL_STATE(7096)] = 360101,
  [SMALL_STATE(7097)] = 360141,
  [SMALL_STATE(7098)] = 360181,
  [SMALL_STATE(7099)] = 360221,
  [SMALL_STATE(7100)] = 360261,
  [SMALL_STATE(7101)] = 360325,
  [SMALL_STATE(7102)] = 360385,
  [SMALL_STATE(7103)] = 360425,
  [SMALL_STATE(7104)] = 360465,
  [SMALL_STATE(7105)] = 360507,
  [SMALL_STATE(7106)] = 360547,
  [SMALL_STATE(7107)] = 360611,
  [SMALL_STATE(7108)] = 360653,
  [SMALL_STATE(7109)] = 360717,
  [SMALL_STATE(7110)] = 360761,
  [SMALL_STATE(7111)] = 360801,
  [SMALL_STATE(7112)] = 360845,
  [SMALL_STATE(7113)] = 360887,
  [SMALL_STATE(7114)] = 360927,
  [SMALL_STATE(7115)] = 360967,
  [SMALL_STATE(7116)] = 361007,
  [SMALL_STATE(7117)] = 361047,
  [SMALL_STATE(7118)] = 361101,
  [SMALL_STATE(7119)] = 361143,
  [SMALL_STATE(7120)] = 361187,
  [SMALL_STATE(7121)] = 361227,
  [SMALL_STATE(7122)] = 361267,
  [SMALL_STATE(7123)] = 361307,
  [SMALL_STATE(7124)] = 361349,
  [SMALL_STATE(7125)] = 361391,
  [SMALL_STATE(7126)] = 361431,
  [SMALL_STATE(7127)] = 361473,
  [SMALL_STATE(7128)] = 361513,
  [SMALL_STATE(7129)] = 361553,
  [SMALL_STATE(7130)] = 361597,
  [SMALL_STATE(7131)] = 361637,
  [SMALL_STATE(7132)] = 361677,
  [SMALL_STATE(7133)] = 361717,
  [SMALL_STATE(7134)] = 361781,
  [SMALL_STATE(7135)] = 361845,
  [SMALL_STATE(7136)] = 361893,
  [SMALL_STATE(7137)] = 361937,
  [SMALL_STATE(7138)] = 361977,
  [SMALL_STATE(7139)] = 362025,
  [SMALL_STATE(7140)] = 362065,
  [SMALL_STATE(7141)] = 362107,
  [SMALL_STATE(7142)] = 362153,
  [SMALL_STATE(7143)] = 362193,
  [SMALL_STATE(7144)] = 362233,
  [SMALL_STATE(7145)] = 362273,
  [SMALL_STATE(7146)] = 362313,
  [SMALL_STATE(7147)] = 362353,
  [SMALL_STATE(7148)] = 362393,
  [SMALL_STATE(7149)] = 362445,
  [SMALL_STATE(7150)] = 362509,
  [SMALL_STATE(7151)] = 362551,
  [SMALL_STATE(7152)] = 362593,
  [SMALL_STATE(7153)] = 362637,
  [SMALL_STATE(7154)] = 362683,
  [SMALL_STATE(7155)] = 362759,
  [SMALL_STATE(7156)] = 362835,
  [SMALL_STATE(7157)] = 362911,
  [SMALL_STATE(7158)] = 362951,
  [SMALL_STATE(7159)] = 362995,
  [SMALL_STATE(7160)] = 363035,
  [SMALL_STATE(7161)] = 363075,
  [SMALL_STATE(7162)] = 363115,
  [SMALL_STATE(7163)] = 363191,
  [SMALL_STATE(7164)] = 363237,
  [SMALL_STATE(7165)] = 363283,
  [SMALL_STATE(7166)] = 363353,
  [SMALL_STATE(7167)] = 363429,
  [SMALL_STATE(7168)] = 363493,
  [SMALL_STATE(7169)] = 363533,
  [SMALL_STATE(7170)] = 363573,
  [SMALL_STATE(7171)] = 363613,
  [SMALL_STATE(7172)] = 363683,
  [SMALL_STATE(7173)] = 363735,
  [SMALL_STATE(7174)] = 363811,
  [SMALL_STATE(7175)] = 363865,
  [SMALL_STATE(7176)] = 363905,
  [SMALL_STATE(7177)] = 363947,
  [SMALL_STATE(7178)] = 363999,
  [SMALL_STATE(7179)] = 364039,
  [SMALL_STATE(7180)] = 364103,
  [SMALL_STATE(7181)] = 364143,
  [SMALL_STATE(7182)] = 364185,
  [SMALL_STATE(7183)] = 364225,
  [SMALL_STATE(7184)] = 364265,
  [SMALL_STATE(7185)] = 364305,
  [SMALL_STATE(7186)] = 364345,
  [SMALL_STATE(7187)] = 364387,
  [SMALL_STATE(7188)] = 364427,
  [SMALL_STATE(7189)] = 364479,
  [SMALL_STATE(7190)] = 364543,
  [SMALL_STATE(7191)] = 364607,
  [SMALL_STATE(7192)] = 364683,
  [SMALL_STATE(7193)] = 364725,
  [SMALL_STATE(7194)] = 364771,
  [SMALL_STATE(7195)] = 364837,
  [SMALL_STATE(7196)] = 364877,
  [SMALL_STATE(7197)] = 364917,
  [SMALL_STATE(7198)] = 364969,
  [SMALL_STATE(7199)] = 365045,
  [SMALL_STATE(7200)] = 365121,
  [SMALL_STATE(7201)] = 365161,
  [SMALL_STATE(7202)] = 365201,
  [SMALL_STATE(7203)] = 365241,
  [SMALL_STATE(7204)] = 365301,
  [SMALL_STATE(7205)] = 365353,
  [SMALL_STATE(7206)] = 365423,
  [SMALL_STATE(7207)] = 365463,
  [SMALL_STATE(7208)] = 365511,
  [SMALL_STATE(7209)] = 365565,
  [SMALL_STATE(7210)] = 365609,
  [SMALL_STATE(7211)] = 365665,
  [SMALL_STATE(7212)] = 365735,
  [SMALL_STATE(7213)] = 365775,
  [SMALL_STATE(7214)] = 365815,
  [SMALL_STATE(7215)] = 365855,
  [SMALL_STATE(7216)] = 365895,
  [SMALL_STATE(7217)] = 365935,
  [SMALL_STATE(7218)] = 365975,
  [SMALL_STATE(7219)] = 366015,
  [SMALL_STATE(7220)] = 366055,
  [SMALL_STATE(7221)] = 366097,
  [SMALL_STATE(7222)] = 366139,
  [SMALL_STATE(7223)] = 366185,
  [SMALL_STATE(7224)] = 366225,
  [SMALL_STATE(7225)] = 366265,
  [SMALL_STATE(7226)] = 366305,
  [SMALL_STATE(7227)] = 366345,
  [SMALL_STATE(7228)] = 366385,
  [SMALL_STATE(7229)] = 366425,
  [SMALL_STATE(7230)] = 366465,
  [SMALL_STATE(7231)] = 366505,
  [SMALL_STATE(7232)] = 366545,
  [SMALL_STATE(7233)] = 366585,
  [SMALL_STATE(7234)] = 366625,
  [SMALL_STATE(7235)] = 366665,
  [SMALL_STATE(7236)] = 366705,
  [SMALL_STATE(7237)] = 366759,
  [SMALL_STATE(7238)] = 366799,
  [SMALL_STATE(7239)] = 366839,
  [SMALL_STATE(7240)] = 366879,
  [SMALL_STATE(7241)] = 366921,
  [SMALL_STATE(7242)] = 366961,
  [SMALL_STATE(7243)] = 367001,
  [SMALL_STATE(7244)] = 367041,
  [SMALL_STATE(7245)] = 367081,
  [SMALL_STATE(7246)] = 367121,
  [SMALL_STATE(7247)] = 367161,
  [SMALL_STATE(7248)] = 367201,
  [SMALL_STATE(7249)] = 367241,
  [SMALL_STATE(7250)] = 367281,
  [SMALL_STATE(7251)] = 367357,
  [SMALL_STATE(7252)] = 367397,
  [SMALL_STATE(7253)] = 367473,
  [SMALL_STATE(7254)] = 367513,
  [SMALL_STATE(7255)] = 367553,
  [SMALL_STATE(7256)] = 367593,
  [SMALL_STATE(7257)] = 367633,
  [SMALL_STATE(7258)] = 367673,
  [SMALL_STATE(7259)] = 367713,
  [SMALL_STATE(7260)] = 367753,
  [SMALL_STATE(7261)] = 367793,
  [SMALL_STATE(7262)] = 367833,
  [SMALL_STATE(7263)] = 367873,
  [SMALL_STATE(7264)] = 367915,
  [SMALL_STATE(7265)] = 367955,
  [SMALL_STATE(7266)] = 367995,
  [SMALL_STATE(7267)] = 368049,
  [SMALL_STATE(7268)] = 368089,
  [SMALL_STATE(7269)] = 368135,
  [SMALL_STATE(7270)] = 368175,
  [SMALL_STATE(7271)] = 368245,
  [SMALL_STATE(7272)] = 368285,
  [SMALL_STATE(7273)] = 368329,
  [SMALL_STATE(7274)] = 368369,
  [SMALL_STATE(7275)] = 368409,
  [SMALL_STATE(7276)] = 368461,
  [SMALL_STATE(7277)] = 368501,
  [SMALL_STATE(7278)] = 368541,
  [SMALL_STATE(7279)] = 368597,
  [SMALL_STATE(7280)] = 368637,
  [SMALL_STATE(7281)] = 368677,
  [SMALL_STATE(7282)] = 368717,
  [SMALL_STATE(7283)] = 368761,
  [SMALL_STATE(7284)] = 368801,
  [SMALL_STATE(7285)] = 368871,
  [SMALL_STATE(7286)] = 368911,
  [SMALL_STATE(7287)] = 368951,
  [SMALL_STATE(7288)] = 368991,
  [SMALL_STATE(7289)] = 369031,
  [SMALL_STATE(7290)] = 369085,
  [SMALL_STATE(7291)] = 369125,
  [SMALL_STATE(7292)] = 369165,
  [SMALL_STATE(7293)] = 369211,
  [SMALL_STATE(7294)] = 369251,
  [SMALL_STATE(7295)] = 369291,
  [SMALL_STATE(7296)] = 369333,
  [SMALL_STATE(7297)] = 369373,
  [SMALL_STATE(7298)] = 369413,
  [SMALL_STATE(7299)] = 369453,
  [SMALL_STATE(7300)] = 369493,
  [SMALL_STATE(7301)] = 369533,
  [SMALL_STATE(7302)] = 369573,
  [SMALL_STATE(7303)] = 369613,
  [SMALL_STATE(7304)] = 369653,
  [SMALL_STATE(7305)] = 369695,
  [SMALL_STATE(7306)] = 369735,
  [SMALL_STATE(7307)] = 369775,
  [SMALL_STATE(7308)] = 369815,
  [SMALL_STATE(7309)] = 369855,
  [SMALL_STATE(7310)] = 369895,
  [SMALL_STATE(7311)] = 369935,
  [SMALL_STATE(7312)] = 369975,
  [SMALL_STATE(7313)] = 370015,
  [SMALL_STATE(7314)] = 370055,
  [SMALL_STATE(7315)] = 370095,
  [SMALL_STATE(7316)] = 370135,
  [SMALL_STATE(7317)] = 370175,
  [SMALL_STATE(7318)] = 370215,
  [SMALL_STATE(7319)] = 370255,
  [SMALL_STATE(7320)] = 370297,
  [SMALL_STATE(7321)] = 370343,
  [SMALL_STATE(7322)] = 370383,
  [SMALL_STATE(7323)] = 370423,
  [SMALL_STATE(7324)] = 370487,
  [SMALL_STATE(7325)] = 370527,
  [SMALL_STATE(7326)] = 370579,
  [SMALL_STATE(7327)] = 370623,
  [SMALL_STATE(7328)] = 370663,
  [SMALL_STATE(7329)] = 370705,
  [SMALL_STATE(7330)] = 370751,
  [SMALL_STATE(7331)] = 370797,
  [SMALL_STATE(7332)] = 370837,
  [SMALL_STATE(7333)] = 370877,
  [SMALL_STATE(7334)] = 370917,
  [SMALL_STATE(7335)] = 370957,
  [SMALL_STATE(7336)] = 371027,
  [SMALL_STATE(7337)] = 371071,
  [SMALL_STATE(7338)] = 371113,
  [SMALL_STATE(7339)] = 371153,
  [SMALL_STATE(7340)] = 371193,
  [SMALL_STATE(7341)] = 371233,
  [SMALL_STATE(7342)] = 371273,
  [SMALL_STATE(7343)] = 371313,
  [SMALL_STATE(7344)] = 371383,
  [SMALL_STATE(7345)] = 371423,
  [SMALL_STATE(7346)] = 371463,
  [SMALL_STATE(7347)] = 371503,
  [SMALL_STATE(7348)] = 371567,
  [SMALL_STATE(7349)] = 371607,
  [SMALL_STATE(7350)] = 371659,
  [SMALL_STATE(7351)] = 371699,
  [SMALL_STATE(7352)] = 371743,
  [SMALL_STATE(7353)] = 371783,
  [SMALL_STATE(7354)] = 371823,
  [SMALL_STATE(7355)] = 371863,
  [SMALL_STATE(7356)] = 371915,
  [SMALL_STATE(7357)] = 371979,
  [SMALL_STATE(7358)] = 372031,
  [SMALL_STATE(7359)] = 372071,
  [SMALL_STATE(7360)] = 372113,
  [SMALL_STATE(7361)] = 372153,
  [SMALL_STATE(7362)] = 372193,
  [SMALL_STATE(7363)] = 372233,
  [SMALL_STATE(7364)] = 372275,
  [SMALL_STATE(7365)] = 372315,
  [SMALL_STATE(7366)] = 372355,
  [SMALL_STATE(7367)] = 372397,
  [SMALL_STATE(7368)] = 372437,
  [SMALL_STATE(7369)] = 372477,
  [SMALL_STATE(7370)] = 372517,
  [SMALL_STATE(7371)] = 372557,
  [SMALL_STATE(7372)] = 372603,
  [SMALL_STATE(7373)] = 372655,
  [SMALL_STATE(7374)] = 372693,
  [SMALL_STATE(7375)] = 372733,
  [SMALL_STATE(7376)] = 372787,
  [SMALL_STATE(7377)] = 372827,
  [SMALL_STATE(7378)] = 372867,
  [SMALL_STATE(7379)] = 372907,
  [SMALL_STATE(7380)] = 372947,
  [SMALL_STATE(7381)] = 372987,
  [SMALL_STATE(7382)] = 373027,
  [SMALL_STATE(7383)] = 373067,
  [SMALL_STATE(7384)] = 373105,
  [SMALL_STATE(7385)] = 373145,
  [SMALL_STATE(7386)] = 373185,
  [SMALL_STATE(7387)] = 373223,
  [SMALL_STATE(7388)] = 373267,
  [SMALL_STATE(7389)] = 373308,
  [SMALL_STATE(7390)] = 373347,
  [SMALL_STATE(7391)] = 373386,
  [SMALL_STATE(7392)] = 373425,
  [SMALL_STATE(7393)] = 373464,
  [SMALL_STATE(7394)] = 373525,
  [SMALL_STATE(7395)] = 373564,
  [SMALL_STATE(7396)] = 373603,
  [SMALL_STATE(7397)] = 373642,
  [SMALL_STATE(7398)] = 373681,
  [SMALL_STATE(7399)] = 373720,
  [SMALL_STATE(7400)] = 373761,
  [SMALL_STATE(7401)] = 373800,
  [SMALL_STATE(7402)] = 373839,
  [SMALL_STATE(7403)] = 373882,
  [SMALL_STATE(7404)] = 373921,
  [SMALL_STATE(7405)] = 373960,
  [SMALL_STATE(7406)] = 374021,
  [SMALL_STATE(7407)] = 374060,
  [SMALL_STATE(7408)] = 374099,
  [SMALL_STATE(7409)] = 374138,
  [SMALL_STATE(7410)] = 374199,
  [SMALL_STATE(7411)] = 374238,
  [SMALL_STATE(7412)] = 374305,
  [SMALL_STATE(7413)] = 374344,
  [SMALL_STATE(7414)] = 374383,
  [SMALL_STATE(7415)] = 374424,
  [SMALL_STATE(7416)] = 374463,
  [SMALL_STATE(7417)] = 374502,
  [SMALL_STATE(7418)] = 374541,
  [SMALL_STATE(7419)] = 374580,
  [SMALL_STATE(7420)] = 374619,
  [SMALL_STATE(7421)] = 374658,
  [SMALL_STATE(7422)] = 374697,
  [SMALL_STATE(7423)] = 374736,
  [SMALL_STATE(7424)] = 374779,
  [SMALL_STATE(7425)] = 374818,
  [SMALL_STATE(7426)] = 374857,
  [SMALL_STATE(7427)] = 374898,
  [SMALL_STATE(7428)] = 374937,
  [SMALL_STATE(7429)] = 374976,
  [SMALL_STATE(7430)] = 375043,
  [SMALL_STATE(7431)] = 375082,
  [SMALL_STATE(7432)] = 375121,
  [SMALL_STATE(7433)] = 375160,
  [SMALL_STATE(7434)] = 375199,
  [SMALL_STATE(7435)] = 375238,
  [SMALL_STATE(7436)] = 375279,
  [SMALL_STATE(7437)] = 375318,
  [SMALL_STATE(7438)] = 375379,
  [SMALL_STATE(7439)] = 375418,
  [SMALL_STATE(7440)] = 375479,
  [SMALL_STATE(7441)] = 375518,
  [SMALL_STATE(7442)] = 375579,
  [SMALL_STATE(7443)] = 375640,
  [SMALL_STATE(7444)] = 375679,
  [SMALL_STATE(7445)] = 375720,
  [SMALL_STATE(7446)] = 375759,
  [SMALL_STATE(7447)] = 375798,
  [SMALL_STATE(7448)] = 375837,
  [SMALL_STATE(7449)] = 375898,
  [SMALL_STATE(7450)] = 375937,
  [SMALL_STATE(7451)] = 375978,
  [SMALL_STATE(7452)] = 376017,
  [SMALL_STATE(7453)] = 376056,
  [SMALL_STATE(7454)] = 376095,
  [SMALL_STATE(7455)] = 376134,
  [SMALL_STATE(7456)] = 376177,
  [SMALL_STATE(7457)] = 376222,
  [SMALL_STATE(7458)] = 376261,
  [SMALL_STATE(7459)] = 376304,
  [SMALL_STATE(7460)] = 376343,
  [SMALL_STATE(7461)] = 376382,
  [SMALL_STATE(7462)] = 376443,
  [SMALL_STATE(7463)] = 376482,
  [SMALL_STATE(7464)] = 376533,
  [SMALL_STATE(7465)] = 376572,
  [SMALL_STATE(7466)] = 376611,
  [SMALL_STATE(7467)] = 376650,
  [SMALL_STATE(7468)] = 376689,
  [SMALL_STATE(7469)] = 376734,
  [SMALL_STATE(7470)] = 376777,
  [SMALL_STATE(7471)] = 376816,
  [SMALL_STATE(7472)] = 376887,
  [SMALL_STATE(7473)] = 376938,
  [SMALL_STATE(7474)] = 376977,
  [SMALL_STATE(7475)] = 377016,
  [SMALL_STATE(7476)] = 377055,
  [SMALL_STATE(7477)] = 377094,
  [SMALL_STATE(7478)] = 377133,
  [SMALL_STATE(7479)] = 377172,
  [SMALL_STATE(7480)] = 377211,
  [SMALL_STATE(7481)] = 377250,
  [SMALL_STATE(7482)] = 377313,
  [SMALL_STATE(7483)] = 377352,
  [SMALL_STATE(7484)] = 377391,
  [SMALL_STATE(7485)] = 377430,
  [SMALL_STATE(7486)] = 377471,
  [SMALL_STATE(7487)] = 377532,
  [SMALL_STATE(7488)] = 377571,
  [SMALL_STATE(7489)] = 377610,
  [SMALL_STATE(7490)] = 377649,
  [SMALL_STATE(7491)] = 377688,
  [SMALL_STATE(7492)] = 377727,
  [SMALL_STATE(7493)] = 377766,
  [SMALL_STATE(7494)] = 377805,
  [SMALL_STATE(7495)] = 377866,
  [SMALL_STATE(7496)] = 377905,
  [SMALL_STATE(7497)] = 377966,
  [SMALL_STATE(7498)] = 378005,
  [SMALL_STATE(7499)] = 378044,
  [SMALL_STATE(7500)] = 378083,
  [SMALL_STATE(7501)] = 378122,
  [SMALL_STATE(7502)] = 378161,
  [SMALL_STATE(7503)] = 378200,
  [SMALL_STATE(7504)] = 378251,
  [SMALL_STATE(7505)] = 378312,
  [SMALL_STATE(7506)] = 378351,
  [SMALL_STATE(7507)] = 378390,
  [SMALL_STATE(7508)] = 378429,
  [SMALL_STATE(7509)] = 378490,
  [SMALL_STATE(7510)] = 378529,
  [SMALL_STATE(7511)] = 378568,
  [SMALL_STATE(7512)] = 378609,
  [SMALL_STATE(7513)] = 378672,
  [SMALL_STATE(7514)] = 378713,
  [SMALL_STATE(7515)] = 378754,
  [SMALL_STATE(7516)] = 378793,
  [SMALL_STATE(7517)] = 378854,
  [SMALL_STATE(7518)] = 378897,
  [SMALL_STATE(7519)] = 378936,
  [SMALL_STATE(7520)] = 378975,
  [SMALL_STATE(7521)] = 379014,
  [SMALL_STATE(7522)] = 379053,
  [SMALL_STATE(7523)] = 379094,
  [SMALL_STATE(7524)] = 379133,
  [SMALL_STATE(7525)] = 379174,
  [SMALL_STATE(7526)] = 379213,
  [SMALL_STATE(7527)] = 379252,
  [SMALL_STATE(7528)] = 379291,
  [SMALL_STATE(7529)] = 379352,
  [SMALL_STATE(7530)] = 379391,
  [SMALL_STATE(7531)] = 379452,
  [SMALL_STATE(7532)] = 379491,
  [SMALL_STATE(7533)] = 379530,
  [SMALL_STATE(7534)] = 379569,
  [SMALL_STATE(7535)] = 379614,
  [SMALL_STATE(7536)] = 379653,
  [SMALL_STATE(7537)] = 379696,
  [SMALL_STATE(7538)] = 379741,
  [SMALL_STATE(7539)] = 379780,
  [SMALL_STATE(7540)] = 379819,
  [SMALL_STATE(7541)] = 379858,
  [SMALL_STATE(7542)] = 379897,
  [SMALL_STATE(7543)] = 379936,
  [SMALL_STATE(7544)] = 379987,
  [SMALL_STATE(7545)] = 380026,
  [SMALL_STATE(7546)] = 380065,
  [SMALL_STATE(7547)] = 380110,
  [SMALL_STATE(7548)] = 380149,
  [SMALL_STATE(7549)] = 380188,
  [SMALL_STATE(7550)] = 380227,
  [SMALL_STATE(7551)] = 380270,
  [SMALL_STATE(7552)] = 380331,
  [SMALL_STATE(7553)] = 380392,
  [SMALL_STATE(7554)] = 380431,
  [SMALL_STATE(7555)] = 380470,
  [SMALL_STATE(7556)] = 380509,
  [SMALL_STATE(7557)] = 380548,
  [SMALL_STATE(7558)] = 380593,
  [SMALL_STATE(7559)] = 380654,
  [SMALL_STATE(7560)] = 380697,
  [SMALL_STATE(7561)] = 380736,
  [SMALL_STATE(7562)] = 380775,
  [SMALL_STATE(7563)] = 380814,
  [SMALL_STATE(7564)] = 380853,
  [SMALL_STATE(7565)] = 380892,
  [SMALL_STATE(7566)] = 380953,
  [SMALL_STATE(7567)] = 380992,
  [SMALL_STATE(7568)] = 381033,
  [SMALL_STATE(7569)] = 381094,
  [SMALL_STATE(7570)] = 381133,
  [SMALL_STATE(7571)] = 381172,
  [SMALL_STATE(7572)] = 381223,
  [SMALL_STATE(7573)] = 381262,
  [SMALL_STATE(7574)] = 381301,
  [SMALL_STATE(7575)] = 381340,
  [SMALL_STATE(7576)] = 381379,
  [SMALL_STATE(7577)] = 381418,
  [SMALL_STATE(7578)] = 381457,
  [SMALL_STATE(7579)] = 381496,
  [SMALL_STATE(7580)] = 381535,
  [SMALL_STATE(7581)] = 381596,
  [SMALL_STATE(7582)] = 381635,
  [SMALL_STATE(7583)] = 381674,
  [SMALL_STATE(7584)] = 381735,
  [SMALL_STATE(7585)] = 381774,
  [SMALL_STATE(7586)] = 381813,
  [SMALL_STATE(7587)] = 381860,
  [SMALL_STATE(7588)] = 381901,
  [SMALL_STATE(7589)] = 381940,
  [SMALL_STATE(7590)] = 381979,
  [SMALL_STATE(7591)] = 382018,
  [SMALL_STATE(7592)] = 382057,
  [SMALL_STATE(7593)] = 382118,
  [SMALL_STATE(7594)] = 382157,
  [SMALL_STATE(7595)] = 382196,
  [SMALL_STATE(7596)] = 382235,
  [SMALL_STATE(7597)] = 382274,
  [SMALL_STATE(7598)] = 382313,
  [SMALL_STATE(7599)] = 382352,
  [SMALL_STATE(7600)] = 382413,
  [SMALL_STATE(7601)] = 382452,
  [SMALL_STATE(7602)] = 382493,
  [SMALL_STATE(7603)] = 382536,
  [SMALL_STATE(7604)] = 382581,
  [SMALL_STATE(7605)] = 382620,
  [SMALL_STATE(7606)] = 382659,
  [SMALL_STATE(7607)] = 382720,
  [SMALL_STATE(7608)] = 382759,
  [SMALL_STATE(7609)] = 382798,
  [SMALL_STATE(7610)] = 382839,
  [SMALL_STATE(7611)] = 382878,
  [SMALL_STATE(7612)] = 382939,
  [SMALL_STATE(7613)] = 382978,
  [SMALL_STATE(7614)] = 383037,
  [SMALL_STATE(7615)] = 383076,
  [SMALL_STATE(7616)] = 383117,
  [SMALL_STATE(7617)] = 383156,
  [SMALL_STATE(7618)] = 383195,
  [SMALL_STATE(7619)] = 383234,
  [SMALL_STATE(7620)] = 383273,
  [SMALL_STATE(7621)] = 383312,
  [SMALL_STATE(7622)] = 383351,
  [SMALL_STATE(7623)] = 383390,
  [SMALL_STATE(7624)] = 383429,
  [SMALL_STATE(7625)] = 383468,
  [SMALL_STATE(7626)] = 383507,
  [SMALL_STATE(7627)] = 383546,
  [SMALL_STATE(7628)] = 383585,
  [SMALL_STATE(7629)] = 383630,
  [SMALL_STATE(7630)] = 383673,
  [SMALL_STATE(7631)] = 383712,
  [SMALL_STATE(7632)] = 383751,
  [SMALL_STATE(7633)] = 383790,
  [SMALL_STATE(7634)] = 383829,
  [SMALL_STATE(7635)] = 383868,
  [SMALL_STATE(7636)] = 383907,
  [SMALL_STATE(7637)] = 383946,
  [SMALL_STATE(7638)] = 383985,
  [SMALL_STATE(7639)] = 384024,
  [SMALL_STATE(7640)] = 384063,
  [SMALL_STATE(7641)] = 384102,
  [SMALL_STATE(7642)] = 384143,
  [SMALL_STATE(7643)] = 384184,
  [SMALL_STATE(7644)] = 384223,
  [SMALL_STATE(7645)] = 384284,
  [SMALL_STATE(7646)] = 384323,
  [SMALL_STATE(7647)] = 384362,
  [SMALL_STATE(7648)] = 384423,
  [SMALL_STATE(7649)] = 384462,
  [SMALL_STATE(7650)] = 384501,
  [SMALL_STATE(7651)] = 384540,
  [SMALL_STATE(7652)] = 384579,
  [SMALL_STATE(7653)] = 384622,
  [SMALL_STATE(7654)] = 384661,
  [SMALL_STATE(7655)] = 384700,
  [SMALL_STATE(7656)] = 384739,
  [SMALL_STATE(7657)] = 384778,
  [SMALL_STATE(7658)] = 384817,
  [SMALL_STATE(7659)] = 384856,
  [SMALL_STATE(7660)] = 384895,
  [SMALL_STATE(7661)] = 384934,
  [SMALL_STATE(7662)] = 384973,
  [SMALL_STATE(7663)] = 385016,
  [SMALL_STATE(7664)] = 385077,
  [SMALL_STATE(7665)] = 385116,
  [SMALL_STATE(7666)] = 385155,
  [SMALL_STATE(7667)] = 385194,
  [SMALL_STATE(7668)] = 385233,
  [SMALL_STATE(7669)] = 385288,
  [SMALL_STATE(7670)] = 385329,
  [SMALL_STATE(7671)] = 385368,
  [SMALL_STATE(7672)] = 385421,
  [SMALL_STATE(7673)] = 385460,
  [SMALL_STATE(7674)] = 385499,
  [SMALL_STATE(7675)] = 385552,
  [SMALL_STATE(7676)] = 385591,
  [SMALL_STATE(7677)] = 385630,
  [SMALL_STATE(7678)] = 385671,
  [SMALL_STATE(7679)] = 385732,
  [SMALL_STATE(7680)] = 385793,
  [SMALL_STATE(7681)] = 385832,
  [SMALL_STATE(7682)] = 385871,
  [SMALL_STATE(7683)] = 385910,
  [SMALL_STATE(7684)] = 385949,
  [SMALL_STATE(7685)] = 385988,
  [SMALL_STATE(7686)] = 386027,
  [SMALL_STATE(7687)] = 386066,
  [SMALL_STATE(7688)] = 386111,
  [SMALL_STATE(7689)] = 386154,
  [SMALL_STATE(7690)] = 386193,
  [SMALL_STATE(7691)] = 386236,
  [SMALL_STATE(7692)] = 386275,
  [SMALL_STATE(7693)] = 386336,
  [SMALL_STATE(7694)] = 386375,
  [SMALL_STATE(7695)] = 386414,
  [SMALL_STATE(7696)] = 386475,
  [SMALL_STATE(7697)] = 386528,
  [SMALL_STATE(7698)] = 386567,
  [SMALL_STATE(7699)] = 386610,
  [SMALL_STATE(7700)] = 386649,
  [SMALL_STATE(7701)] = 386690,
  [SMALL_STATE(7702)] = 386729,
  [SMALL_STATE(7703)] = 386782,
  [SMALL_STATE(7704)] = 386823,
  [SMALL_STATE(7705)] = 386862,
  [SMALL_STATE(7706)] = 386901,
  [SMALL_STATE(7707)] = 386962,
  [SMALL_STATE(7708)] = 387007,
  [SMALL_STATE(7709)] = 387068,
  [SMALL_STATE(7710)] = 387129,
  [SMALL_STATE(7711)] = 387170,
  [SMALL_STATE(7712)] = 387209,
  [SMALL_STATE(7713)] = 387248,
  [SMALL_STATE(7714)] = 387309,
  [SMALL_STATE(7715)] = 387370,
  [SMALL_STATE(7716)] = 387411,
  [SMALL_STATE(7717)] = 387450,
  [SMALL_STATE(7718)] = 387495,
  [SMALL_STATE(7719)] = 387540,
  [SMALL_STATE(7720)] = 387581,
  [SMALL_STATE(7721)] = 387620,
  [SMALL_STATE(7722)] = 387667,
  [SMALL_STATE(7723)] = 387706,
  [SMALL_STATE(7724)] = 387745,
  [SMALL_STATE(7725)] = 387784,
  [SMALL_STATE(7726)] = 387823,
  [SMALL_STATE(7727)] = 387862,
  [SMALL_STATE(7728)] = 387923,
  [SMALL_STATE(7729)] = 387964,
  [SMALL_STATE(7730)] = 388003,
  [SMALL_STATE(7731)] = 388064,
  [SMALL_STATE(7732)] = 388103,
  [SMALL_STATE(7733)] = 388142,
  [SMALL_STATE(7734)] = 388181,
  [SMALL_STATE(7735)] = 388220,
  [SMALL_STATE(7736)] = 388259,
  [SMALL_STATE(7737)] = 388300,
  [SMALL_STATE(7738)] = 388343,
  [SMALL_STATE(7739)] = 388382,
  [SMALL_STATE(7740)] = 388421,
  [SMALL_STATE(7741)] = 388466,
  [SMALL_STATE(7742)] = 388505,
  [SMALL_STATE(7743)] = 388566,
  [SMALL_STATE(7744)] = 388605,
  [SMALL_STATE(7745)] = 388644,
  [SMALL_STATE(7746)] = 388705,
  [SMALL_STATE(7747)] = 388766,
  [SMALL_STATE(7748)] = 388827,
  [SMALL_STATE(7749)] = 388866,
  [SMALL_STATE(7750)] = 388905,
  [SMALL_STATE(7751)] = 388944,
  [SMALL_STATE(7752)] = 388983,
  [SMALL_STATE(7753)] = 389022,
  [SMALL_STATE(7754)] = 389083,
  [SMALL_STATE(7755)] = 389122,
  [SMALL_STATE(7756)] = 389161,
  [SMALL_STATE(7757)] = 389200,
  [SMALL_STATE(7758)] = 389239,
  [SMALL_STATE(7759)] = 389278,
  [SMALL_STATE(7760)] = 389317,
  [SMALL_STATE(7761)] = 389356,
  [SMALL_STATE(7762)] = 389395,
  [SMALL_STATE(7763)] = 389434,
  [SMALL_STATE(7764)] = 389473,
  [SMALL_STATE(7765)] = 389514,
  [SMALL_STATE(7766)] = 389551,
  [SMALL_STATE(7767)] = 389590,
  [SMALL_STATE(7768)] = 389629,
  [SMALL_STATE(7769)] = 389668,
  [SMALL_STATE(7770)] = 389707,
  [SMALL_STATE(7771)] = 389748,
  [SMALL_STATE(7772)] = 389787,
  [SMALL_STATE(7773)] = 389826,
  [SMALL_STATE(7774)] = 389865,
  [SMALL_STATE(7775)] = 389908,
  [SMALL_STATE(7776)] = 389947,
  [SMALL_STATE(7777)] = 389986,
  [SMALL_STATE(7778)] = 390025,
  [SMALL_STATE(7779)] = 390086,
  [SMALL_STATE(7780)] = 390125,
  [SMALL_STATE(7781)] = 390164,
  [SMALL_STATE(7782)] = 390203,
  [SMALL_STATE(7783)] = 390242,
  [SMALL_STATE(7784)] = 390281,
  [SMALL_STATE(7785)] = 390320,
  [SMALL_STATE(7786)] = 390359,
  [SMALL_STATE(7787)] = 390398,
  [SMALL_STATE(7788)] = 390437,
  [SMALL_STATE(7789)] = 390476,
  [SMALL_STATE(7790)] = 390515,
  [SMALL_STATE(7791)] = 390554,
  [SMALL_STATE(7792)] = 390615,
  [SMALL_STATE(7793)] = 390670,
  [SMALL_STATE(7794)] = 390713,
  [SMALL_STATE(7795)] = 390752,
  [SMALL_STATE(7796)] = 390813,
  [SMALL_STATE(7797)] = 390852,
  [SMALL_STATE(7798)] = 390897,
  [SMALL_STATE(7799)] = 390936,
  [SMALL_STATE(7800)] = 390979,
  [SMALL_STATE(7801)] = 391040,
  [SMALL_STATE(7802)] = 391079,
  [SMALL_STATE(7803)] = 391118,
  [SMALL_STATE(7804)] = 391173,
  [SMALL_STATE(7805)] = 391212,
  [SMALL_STATE(7806)] = 391251,
  [SMALL_STATE(7807)] = 391292,
  [SMALL_STATE(7808)] = 391353,
  [SMALL_STATE(7809)] = 391392,
  [SMALL_STATE(7810)] = 391431,
  [SMALL_STATE(7811)] = 391470,
  [SMALL_STATE(7812)] = 391509,
  [SMALL_STATE(7813)] = 391550,
  [SMALL_STATE(7814)] = 391589,
  [SMALL_STATE(7815)] = 391628,
  [SMALL_STATE(7816)] = 391667,
  [SMALL_STATE(7817)] = 391706,
  [SMALL_STATE(7818)] = 391745,
  [SMALL_STATE(7819)] = 391790,
  [SMALL_STATE(7820)] = 391829,
  [SMALL_STATE(7821)] = 391882,
  [SMALL_STATE(7822)] = 391921,
  [SMALL_STATE(7823)] = 391960,
  [SMALL_STATE(7824)] = 391999,
  [SMALL_STATE(7825)] = 392038,
  [SMALL_STATE(7826)] = 392099,
  [SMALL_STATE(7827)] = 392138,
  [SMALL_STATE(7828)] = 392177,
  [SMALL_STATE(7829)] = 392216,
  [SMALL_STATE(7830)] = 392255,
  [SMALL_STATE(7831)] = 392306,
  [SMALL_STATE(7832)] = 392345,
  [SMALL_STATE(7833)] = 392406,
  [SMALL_STATE(7834)] = 392445,
  [SMALL_STATE(7835)] = 392484,
  [SMALL_STATE(7836)] = 392525,
  [SMALL_STATE(7837)] = 392566,
  [SMALL_STATE(7838)] = 392605,
  [SMALL_STATE(7839)] = 392646,
  [SMALL_STATE(7840)] = 392707,
  [SMALL_STATE(7841)] = 392752,
  [SMALL_STATE(7842)] = 392791,
  [SMALL_STATE(7843)] = 392834,
  [SMALL_STATE(7844)] = 392873,
  [SMALL_STATE(7845)] = 392912,
  [SMALL_STATE(7846)] = 392973,
  [SMALL_STATE(7847)] = 393036,
  [SMALL_STATE(7848)] = 393075,
  [SMALL_STATE(7849)] = 393116,
  [SMALL_STATE(7850)] = 393177,
  [SMALL_STATE(7851)] = 393216,
  [SMALL_STATE(7852)] = 393255,
  [SMALL_STATE(7853)] = 393294,
  [SMALL_STATE(7854)] = 393333,
  [SMALL_STATE(7855)] = 393372,
  [SMALL_STATE(7856)] = 393433,
  [SMALL_STATE(7857)] = 393472,
  [SMALL_STATE(7858)] = 393511,
  [SMALL_STATE(7859)] = 393578,
  [SMALL_STATE(7860)] = 393639,
  [SMALL_STATE(7861)] = 393678,
  [SMALL_STATE(7862)] = 393717,
  [SMALL_STATE(7863)] = 393756,
  [SMALL_STATE(7864)] = 393817,
  [SMALL_STATE(7865)] = 393856,
  [SMALL_STATE(7866)] = 393895,
  [SMALL_STATE(7867)] = 393934,
  [SMALL_STATE(7868)] = 394001,
  [SMALL_STATE(7869)] = 394040,
  [SMALL_STATE(7870)] = 394079,
  [SMALL_STATE(7871)] = 394118,
  [SMALL_STATE(7872)] = 394157,
  [SMALL_STATE(7873)] = 394196,
  [SMALL_STATE(7874)] = 394235,
  [SMALL_STATE(7875)] = 394296,
  [SMALL_STATE(7876)] = 394335,
  [SMALL_STATE(7877)] = 394374,
  [SMALL_STATE(7878)] = 394413,
  [SMALL_STATE(7879)] = 394452,
  [SMALL_STATE(7880)] = 394519,
  [SMALL_STATE(7881)] = 394570,
  [SMALL_STATE(7882)] = 394615,
  [SMALL_STATE(7883)] = 394654,
  [SMALL_STATE(7884)] = 394693,
  [SMALL_STATE(7885)] = 394732,
  [SMALL_STATE(7886)] = 394793,
  [SMALL_STATE(7887)] = 394854,
  [SMALL_STATE(7888)] = 394893,
  [SMALL_STATE(7889)] = 394954,
  [SMALL_STATE(7890)] = 394995,
  [SMALL_STATE(7891)] = 395056,
  [SMALL_STATE(7892)] = 395095,
  [SMALL_STATE(7893)] = 395140,
  [SMALL_STATE(7894)] = 395179,
  [SMALL_STATE(7895)] = 395218,
  [SMALL_STATE(7896)] = 395289,
  [SMALL_STATE(7897)] = 395330,
  [SMALL_STATE(7898)] = 395375,
  [SMALL_STATE(7899)] = 395414,
  [SMALL_STATE(7900)] = 395453,
  [SMALL_STATE(7901)] = 395492,
  [SMALL_STATE(7902)] = 395553,
  [SMALL_STATE(7903)] = 395614,
  [SMALL_STATE(7904)] = 395653,
  [SMALL_STATE(7905)] = 395694,
  [SMALL_STATE(7906)] = 395733,
  [SMALL_STATE(7907)] = 395804,
  [SMALL_STATE(7908)] = 395851,
  [SMALL_STATE(7909)] = 395890,
  [SMALL_STATE(7910)] = 395957,
  [SMALL_STATE(7911)] = 395996,
  [SMALL_STATE(7912)] = 396035,
  [SMALL_STATE(7913)] = 396074,
  [SMALL_STATE(7914)] = 396113,
  [SMALL_STATE(7915)] = 396152,
  [SMALL_STATE(7916)] = 396213,
  [SMALL_STATE(7917)] = 396284,
  [SMALL_STATE(7918)] = 396323,
  [SMALL_STATE(7919)] = 396362,
  [SMALL_STATE(7920)] = 396401,
  [SMALL_STATE(7921)] = 396440,
  [SMALL_STATE(7922)] = 396511,
  [SMALL_STATE(7923)] = 396550,
  [SMALL_STATE(7924)] = 396589,
  [SMALL_STATE(7925)] = 396656,
  [SMALL_STATE(7926)] = 396719,
  [SMALL_STATE(7927)] = 396758,
  [SMALL_STATE(7928)] = 396797,
  [SMALL_STATE(7929)] = 396836,
  [SMALL_STATE(7930)] = 396875,
  [SMALL_STATE(7931)] = 396914,
  [SMALL_STATE(7932)] = 396955,
  [SMALL_STATE(7933)] = 396994,
  [SMALL_STATE(7934)] = 397033,
  [SMALL_STATE(7935)] = 397072,
  [SMALL_STATE(7936)] = 397111,
  [SMALL_STATE(7937)] = 397150,
  [SMALL_STATE(7938)] = 397189,
  [SMALL_STATE(7939)] = 397240,
  [SMALL_STATE(7940)] = 397301,
  [SMALL_STATE(7941)] = 397340,
  [SMALL_STATE(7942)] = 397401,
  [SMALL_STATE(7943)] = 397440,
  [SMALL_STATE(7944)] = 397479,
  [SMALL_STATE(7945)] = 397540,
  [SMALL_STATE(7946)] = 397603,
  [SMALL_STATE(7947)] = 397658,
  [SMALL_STATE(7948)] = 397697,
  [SMALL_STATE(7949)] = 397736,
  [SMALL_STATE(7950)] = 397775,
  [SMALL_STATE(7951)] = 397816,
  [SMALL_STATE(7952)] = 397855,
  [SMALL_STATE(7953)] = 397896,
  [SMALL_STATE(7954)] = 397935,
  [SMALL_STATE(7955)] = 397978,
  [SMALL_STATE(7956)] = 398017,
  [SMALL_STATE(7957)] = 398058,
  [SMALL_STATE(7958)] = 398119,
  [SMALL_STATE(7959)] = 398164,
  [SMALL_STATE(7960)] = 398205,
  [SMALL_STATE(7961)] = 398266,
  [SMALL_STATE(7962)] = 398329,
  [SMALL_STATE(7963)] = 398368,
  [SMALL_STATE(7964)] = 398407,
  [SMALL_STATE(7965)] = 398446,
  [SMALL_STATE(7966)] = 398487,
  [SMALL_STATE(7967)] = 398526,
  [SMALL_STATE(7968)] = 398565,
  [SMALL_STATE(7969)] = 398604,
  [SMALL_STATE(7970)] = 398649,
  [SMALL_STATE(7971)] = 398688,
  [SMALL_STATE(7972)] = 398735,
  [SMALL_STATE(7973)] = 398774,
  [SMALL_STATE(7974)] = 398815,
  [SMALL_STATE(7975)] = 398854,
  [SMALL_STATE(7976)] = 398895,
  [SMALL_STATE(7977)] = 398934,
  [SMALL_STATE(7978)] = 398975,
  [SMALL_STATE(7979)] = 399036,
  [SMALL_STATE(7980)] = 399077,
  [SMALL_STATE(7981)] = 399116,
  [SMALL_STATE(7982)] = 399155,
  [SMALL_STATE(7983)] = 399218,
  [SMALL_STATE(7984)] = 399257,
  [SMALL_STATE(7985)] = 399296,
  [SMALL_STATE(7986)] = 399335,
  [SMALL_STATE(7987)] = 399396,
  [SMALL_STATE(7988)] = 399457,
  [SMALL_STATE(7989)] = 399496,
  [SMALL_STATE(7990)] = 399537,
  [SMALL_STATE(7991)] = 399578,
  [SMALL_STATE(7992)] = 399617,
  [SMALL_STATE(7993)] = 399656,
  [SMALL_STATE(7994)] = 399715,
  [SMALL_STATE(7995)] = 399786,
  [SMALL_STATE(7996)] = 399827,
  [SMALL_STATE(7997)] = 399866,
  [SMALL_STATE(7998)] = 399905,
  [SMALL_STATE(7999)] = 399944,
  [SMALL_STATE(8000)] = 400005,
  [SMALL_STATE(8001)] = 400046,
  [SMALL_STATE(8002)] = 400085,
  [SMALL_STATE(8003)] = 400136,
  [SMALL_STATE(8004)] = 400175,
  [SMALL_STATE(8005)] = 400214,
  [SMALL_STATE(8006)] = 400259,
  [SMALL_STATE(8007)] = 400298,
  [SMALL_STATE(8008)] = 400337,
  [SMALL_STATE(8009)] = 400376,
  [SMALL_STATE(8010)] = 400415,
  [SMALL_STATE(8011)] = 400454,
  [SMALL_STATE(8012)] = 400493,
  [SMALL_STATE(8013)] = 400554,
  [SMALL_STATE(8014)] = 400597,
  [SMALL_STATE(8015)] = 400636,
  [SMALL_STATE(8016)] = 400675,
  [SMALL_STATE(8017)] = 400714,
  [SMALL_STATE(8018)] = 400765,
  [SMALL_STATE(8019)] = 400804,
  [SMALL_STATE(8020)] = 400843,
  [SMALL_STATE(8021)] = 400882,
  [SMALL_STATE(8022)] = 400921,
  [SMALL_STATE(8023)] = 400964,
  [SMALL_STATE(8024)] = 401005,
  [SMALL_STATE(8025)] = 401046,
  [SMALL_STATE(8026)] = 401107,
  [SMALL_STATE(8027)] = 401146,
  [SMALL_STATE(8028)] = 401185,
  [SMALL_STATE(8029)] = 401228,
  [SMALL_STATE(8030)] = 401289,
  [SMALL_STATE(8031)] = 401328,
  [SMALL_STATE(8032)] = 401367,
  [SMALL_STATE(8033)] = 401428,
  [SMALL_STATE(8034)] = 401467,
  [SMALL_STATE(8035)] = 401506,
  [SMALL_STATE(8036)] = 401551,
  [SMALL_STATE(8037)] = 401592,
  [SMALL_STATE(8038)] = 401631,
  [SMALL_STATE(8039)] = 401694,
  [SMALL_STATE(8040)] = 401739,
  [SMALL_STATE(8041)] = 401778,
  [SMALL_STATE(8042)] = 401817,
  [SMALL_STATE(8043)] = 401878,
  [SMALL_STATE(8044)] = 401917,
  [SMALL_STATE(8045)] = 401958,
  [SMALL_STATE(8046)] = 401997,
  [SMALL_STATE(8047)] = 402036,
  [SMALL_STATE(8048)] = 402075,
  [SMALL_STATE(8049)] = 402136,
  [SMALL_STATE(8050)] = 402175,
  [SMALL_STATE(8051)] = 402214,
  [SMALL_STATE(8052)] = 402277,
  [SMALL_STATE(8053)] = 402318,
  [SMALL_STATE(8054)] = 402359,
  [SMALL_STATE(8055)] = 402398,
  [SMALL_STATE(8056)] = 402437,
  [SMALL_STATE(8057)] = 402476,
  [SMALL_STATE(8058)] = 402537,
  [SMALL_STATE(8059)] = 402576,
  [SMALL_STATE(8060)] = 402617,
  [SMALL_STATE(8061)] = 402686,
  [SMALL_STATE(8062)] = 402725,
  [SMALL_STATE(8063)] = 402786,
  [SMALL_STATE(8064)] = 402825,
  [SMALL_STATE(8065)] = 402868,
  [SMALL_STATE(8066)] = 402929,
  [SMALL_STATE(8067)] = 402988,
  [SMALL_STATE(8068)] = 403031,
  [SMALL_STATE(8069)] = 403070,
  [SMALL_STATE(8070)] = 403109,
  [SMALL_STATE(8071)] = 403148,
  [SMALL_STATE(8072)] = 403209,
  [SMALL_STATE(8073)] = 403248,
  [SMALL_STATE(8074)] = 403309,
  [SMALL_STATE(8075)] = 403348,
  [SMALL_STATE(8076)] = 403389,
  [SMALL_STATE(8077)] = 403448,
  [SMALL_STATE(8078)] = 403509,
  [SMALL_STATE(8079)] = 403548,
  [SMALL_STATE(8080)] = 403589,
  [SMALL_STATE(8081)] = 403630,
  [SMALL_STATE(8082)] = 403671,
  [SMALL_STATE(8083)] = 403710,
  [SMALL_STATE(8084)] = 403749,
  [SMALL_STATE(8085)] = 403810,
  [SMALL_STATE(8086)] = 403851,
  [SMALL_STATE(8087)] = 403890,
  [SMALL_STATE(8088)] = 403961,
  [SMALL_STATE(8089)] = 403999,
  [SMALL_STATE(8090)] = 404037,
  [SMALL_STATE(8091)] = 404091,
  [SMALL_STATE(8092)] = 404129,
  [SMALL_STATE(8093)] = 404167,
  [SMALL_STATE(8094)] = 404205,
  [SMALL_STATE(8095)] = 404243,
  [SMALL_STATE(8096)] = 404281,
  [SMALL_STATE(8097)] = 404319,
  [SMALL_STATE(8098)] = 404357,
  [SMALL_STATE(8099)] = 404395,
  [SMALL_STATE(8100)] = 404433,
  [SMALL_STATE(8101)] = 404471,
  [SMALL_STATE(8102)] = 404513,
  [SMALL_STATE(8103)] = 404551,
  [SMALL_STATE(8104)] = 404589,
  [SMALL_STATE(8105)] = 404627,
  [SMALL_STATE(8106)] = 404665,
  [SMALL_STATE(8107)] = 404705,
  [SMALL_STATE(8108)] = 404743,
  [SMALL_STATE(8109)] = 404781,
  [SMALL_STATE(8110)] = 404839,
  [SMALL_STATE(8111)] = 404883,
  [SMALL_STATE(8112)] = 404921,
  [SMALL_STATE(8113)] = 404959,
  [SMALL_STATE(8114)] = 404997,
  [SMALL_STATE(8115)] = 405035,
  [SMALL_STATE(8116)] = 405073,
  [SMALL_STATE(8117)] = 405111,
  [SMALL_STATE(8118)] = 405149,
  [SMALL_STATE(8119)] = 405197,
  [SMALL_STATE(8120)] = 405235,
  [SMALL_STATE(8121)] = 405273,
  [SMALL_STATE(8122)] = 405311,
  [SMALL_STATE(8123)] = 405349,
  [SMALL_STATE(8124)] = 405391,
  [SMALL_STATE(8125)] = 405429,
  [SMALL_STATE(8126)] = 405467,
  [SMALL_STATE(8127)] = 405509,
  [SMALL_STATE(8128)] = 405547,
  [SMALL_STATE(8129)] = 405585,
  [SMALL_STATE(8130)] = 405623,
  [SMALL_STATE(8131)] = 405661,
  [SMALL_STATE(8132)] = 405699,
  [SMALL_STATE(8133)] = 405737,
  [SMALL_STATE(8134)] = 405787,
  [SMALL_STATE(8135)] = 405825,
  [SMALL_STATE(8136)] = 405863,
  [SMALL_STATE(8137)] = 405903,
  [SMALL_STATE(8138)] = 405941,
  [SMALL_STATE(8139)] = 405981,
  [SMALL_STATE(8140)] = 406019,
  [SMALL_STATE(8141)] = 406057,
  [SMALL_STATE(8142)] = 406095,
  [SMALL_STATE(8143)] = 406133,
  [SMALL_STATE(8144)] = 406173,
  [SMALL_STATE(8145)] = 406211,
  [SMALL_STATE(8146)] = 406249,
  [SMALL_STATE(8147)] = 406287,
  [SMALL_STATE(8148)] = 406337,
  [SMALL_STATE(8149)] = 406399,
  [SMALL_STATE(8150)] = 406437,
  [SMALL_STATE(8151)] = 406475,
  [SMALL_STATE(8152)] = 406513,
  [SMALL_STATE(8153)] = 406551,
  [SMALL_STATE(8154)] = 406589,
  [SMALL_STATE(8155)] = 406643,
  [SMALL_STATE(8156)] = 406681,
  [SMALL_STATE(8157)] = 406719,
  [SMALL_STATE(8158)] = 406757,
  [SMALL_STATE(8159)] = 406795,
  [SMALL_STATE(8160)] = 406833,
  [SMALL_STATE(8161)] = 406877,
  [SMALL_STATE(8162)] = 406915,
  [SMALL_STATE(8163)] = 406961,
  [SMALL_STATE(8164)] = 406999,
  [SMALL_STATE(8165)] = 407037,
  [SMALL_STATE(8166)] = 407075,
  [SMALL_STATE(8167)] = 407113,
  [SMALL_STATE(8168)] = 407151,
  [SMALL_STATE(8169)] = 407189,
  [SMALL_STATE(8170)] = 407253,
  [SMALL_STATE(8171)] = 407293,
  [SMALL_STATE(8172)] = 407331,
  [SMALL_STATE(8173)] = 407369,
  [SMALL_STATE(8174)] = 407407,
  [SMALL_STATE(8175)] = 407445,
  [SMALL_STATE(8176)] = 407483,
  [SMALL_STATE(8177)] = 407521,
  [SMALL_STATE(8178)] = 407559,
  [SMALL_STATE(8179)] = 407611,
  [SMALL_STATE(8180)] = 407649,
  [SMALL_STATE(8181)] = 407687,
  [SMALL_STATE(8182)] = 407725,
  [SMALL_STATE(8183)] = 407765,
  [SMALL_STATE(8184)] = 407809,
  [SMALL_STATE(8185)] = 407847,
  [SMALL_STATE(8186)] = 407887,
  [SMALL_STATE(8187)] = 407925,
  [SMALL_STATE(8188)] = 407963,
  [SMALL_STATE(8189)] = 408001,
  [SMALL_STATE(8190)] = 408039,
  [SMALL_STATE(8191)] = 408077,
  [SMALL_STATE(8192)] = 408115,
  [SMALL_STATE(8193)] = 408155,
  [SMALL_STATE(8194)] = 408193,
  [SMALL_STATE(8195)] = 408233,
  [SMALL_STATE(8196)] = 408271,
  [SMALL_STATE(8197)] = 408315,
  [SMALL_STATE(8198)] = 408353,
  [SMALL_STATE(8199)] = 408391,
  [SMALL_STATE(8200)] = 408429,
  [SMALL_STATE(8201)] = 408467,
  [SMALL_STATE(8202)] = 408505,
  [SMALL_STATE(8203)] = 408543,
  [SMALL_STATE(8204)] = 408581,
  [SMALL_STATE(8205)] = 408619,
  [SMALL_STATE(8206)] = 408657,
  [SMALL_STATE(8207)] = 408695,
  [SMALL_STATE(8208)] = 408733,
  [SMALL_STATE(8209)] = 408771,
  [SMALL_STATE(8210)] = 408809,
  [SMALL_STATE(8211)] = 408847,
  [SMALL_STATE(8212)] = 408885,
  [SMALL_STATE(8213)] = 408937,
  [SMALL_STATE(8214)] = 408979,
  [SMALL_STATE(8215)] = 409017,
  [SMALL_STATE(8216)] = 409055,
  [SMALL_STATE(8217)] = 409093,
  [SMALL_STATE(8218)] = 409131,
  [SMALL_STATE(8219)] = 409169,
  [SMALL_STATE(8220)] = 409207,
  [SMALL_STATE(8221)] = 409245,
  [SMALL_STATE(8222)] = 409283,
  [SMALL_STATE(8223)] = 409321,
  [SMALL_STATE(8224)] = 409359,
  [SMALL_STATE(8225)] = 409401,
  [SMALL_STATE(8226)] = 409439,
  [SMALL_STATE(8227)] = 409477,
  [SMALL_STATE(8228)] = 409515,
  [SMALL_STATE(8229)] = 409553,
  [SMALL_STATE(8230)] = 409591,
  [SMALL_STATE(8231)] = 409629,
  [SMALL_STATE(8232)] = 409671,
  [SMALL_STATE(8233)] = 409709,
  [SMALL_STATE(8234)] = 409747,
  [SMALL_STATE(8235)] = 409785,
  [SMALL_STATE(8236)] = 409827,
  [SMALL_STATE(8237)] = 409865,
  [SMALL_STATE(8238)] = 409903,
  [SMALL_STATE(8239)] = 409943,
  [SMALL_STATE(8240)] = 409981,
  [SMALL_STATE(8241)] = 410019,
  [SMALL_STATE(8242)] = 410057,
  [SMALL_STATE(8243)] = 410095,
  [SMALL_STATE(8244)] = 410133,
  [SMALL_STATE(8245)] = 410171,
  [SMALL_STATE(8246)] = 410209,
  [SMALL_STATE(8247)] = 410251,
  [SMALL_STATE(8248)] = 410289,
  [SMALL_STATE(8249)] = 410327,
  [SMALL_STATE(8250)] = 410387,
  [SMALL_STATE(8251)] = 410425,
  [SMALL_STATE(8252)] = 410465,
  [SMALL_STATE(8253)] = 410503,
  [SMALL_STATE(8254)] = 410541,
  [SMALL_STATE(8255)] = 410579,
  [SMALL_STATE(8256)] = 410617,
  [SMALL_STATE(8257)] = 410655,
  [SMALL_STATE(8258)] = 410699,
  [SMALL_STATE(8259)] = 410737,
  [SMALL_STATE(8260)] = 410775,
  [SMALL_STATE(8261)] = 410813,
  [SMALL_STATE(8262)] = 410851,
  [SMALL_STATE(8263)] = 410889,
  [SMALL_STATE(8264)] = 410929,
  [SMALL_STATE(8265)] = 410967,
  [SMALL_STATE(8266)] = 411005,
  [SMALL_STATE(8267)] = 411043,
  [SMALL_STATE(8268)] = 411081,
  [SMALL_STATE(8269)] = 411119,
  [SMALL_STATE(8270)] = 411157,
  [SMALL_STATE(8271)] = 411195,
  [SMALL_STATE(8272)] = 411233,
  [SMALL_STATE(8273)] = 411271,
  [SMALL_STATE(8274)] = 411309,
  [SMALL_STATE(8275)] = 411347,
  [SMALL_STATE(8276)] = 411389,
  [SMALL_STATE(8277)] = 411427,
  [SMALL_STATE(8278)] = 411465,
  [SMALL_STATE(8279)] = 411503,
  [SMALL_STATE(8280)] = 411541,
  [SMALL_STATE(8281)] = 411581,
  [SMALL_STATE(8282)] = 411619,
  [SMALL_STATE(8283)] = 411659,
  [SMALL_STATE(8284)] = 411697,
  [SMALL_STATE(8285)] = 411739,
  [SMALL_STATE(8286)] = 411777,
  [SMALL_STATE(8287)] = 411815,
  [SMALL_STATE(8288)] = 411853,
  [SMALL_STATE(8289)] = 411891,
  [SMALL_STATE(8290)] = 411929,
  [SMALL_STATE(8291)] = 411967,
  [SMALL_STATE(8292)] = 412005,
  [SMALL_STATE(8293)] = 412043,
  [SMALL_STATE(8294)] = 412081,
  [SMALL_STATE(8295)] = 412119,
  [SMALL_STATE(8296)] = 412157,
  [SMALL_STATE(8297)] = 412195,
  [SMALL_STATE(8298)] = 412233,
  [SMALL_STATE(8299)] = 412271,
  [SMALL_STATE(8300)] = 412309,
  [SMALL_STATE(8301)] = 412347,
  [SMALL_STATE(8302)] = 412385,
  [SMALL_STATE(8303)] = 412423,
  [SMALL_STATE(8304)] = 412461,
  [SMALL_STATE(8305)] = 412515,
  [SMALL_STATE(8306)] = 412553,
  [SMALL_STATE(8307)] = 412591,
  [SMALL_STATE(8308)] = 412629,
  [SMALL_STATE(8309)] = 412667,
  [SMALL_STATE(8310)] = 412705,
  [SMALL_STATE(8311)] = 412743,
  [SMALL_STATE(8312)] = 412781,
  [SMALL_STATE(8313)] = 412821,
  [SMALL_STATE(8314)] = 412859,
  [SMALL_STATE(8315)] = 412899,
  [SMALL_STATE(8316)] = 412937,
  [SMALL_STATE(8317)] = 412975,
  [SMALL_STATE(8318)] = 413027,
  [SMALL_STATE(8319)] = 413065,
  [SMALL_STATE(8320)] = 413111,
  [SMALL_STATE(8321)] = 413149,
  [SMALL_STATE(8322)] = 413187,
  [SMALL_STATE(8323)] = 413225,
  [SMALL_STATE(8324)] = 413263,
  [SMALL_STATE(8325)] = 413301,
  [SMALL_STATE(8326)] = 413339,
  [SMALL_STATE(8327)] = 413379,
  [SMALL_STATE(8328)] = 413419,
  [SMALL_STATE(8329)] = 413457,
  [SMALL_STATE(8330)] = 413495,
  [SMALL_STATE(8331)] = 413533,
  [SMALL_STATE(8332)] = 413571,
  [SMALL_STATE(8333)] = 413625,
  [SMALL_STATE(8334)] = 413663,
  [SMALL_STATE(8335)] = 413701,
  [SMALL_STATE(8336)] = 413763,
  [SMALL_STATE(8337)] = 413801,
  [SMALL_STATE(8338)] = 413839,
  [SMALL_STATE(8339)] = 413879,
  [SMALL_STATE(8340)] = 413917,
  [SMALL_STATE(8341)] = 413955,
  [SMALL_STATE(8342)] = 413993,
  [SMALL_STATE(8343)] = 414031,
  [SMALL_STATE(8344)] = 414069,
  [SMALL_STATE(8345)] = 414107,
  [SMALL_STATE(8346)] = 414145,
  [SMALL_STATE(8347)] = 414183,
  [SMALL_STATE(8348)] = 414227,
  [SMALL_STATE(8349)] = 414265,
  [SMALL_STATE(8350)] = 414305,
  [SMALL_STATE(8351)] = 414345,
  [SMALL_STATE(8352)] = 414383,
  [SMALL_STATE(8353)] = 414421,
  [SMALL_STATE(8354)] = 414459,
  [SMALL_STATE(8355)] = 414497,
  [SMALL_STATE(8356)] = 414537,
  [SMALL_STATE(8357)] = 414575,
  [SMALL_STATE(8358)] = 414613,
  [SMALL_STATE(8359)] = 414651,
  [SMALL_STATE(8360)] = 414689,
  [SMALL_STATE(8361)] = 414727,
  [SMALL_STATE(8362)] = 414765,
  [SMALL_STATE(8363)] = 414803,
  [SMALL_STATE(8364)] = 414841,
  [SMALL_STATE(8365)] = 414879,
  [SMALL_STATE(8366)] = 414917,
  [SMALL_STATE(8367)] = 414955,
  [SMALL_STATE(8368)] = 414993,
  [SMALL_STATE(8369)] = 415031,
  [SMALL_STATE(8370)] = 415069,
  [SMALL_STATE(8371)] = 415107,
  [SMALL_STATE(8372)] = 415149,
  [SMALL_STATE(8373)] = 415187,
  [SMALL_STATE(8374)] = 415225,
  [SMALL_STATE(8375)] = 415263,
  [SMALL_STATE(8376)] = 415301,
  [SMALL_STATE(8377)] = 415339,
  [SMALL_STATE(8378)] = 415377,
  [SMALL_STATE(8379)] = 415415,
  [SMALL_STATE(8380)] = 415459,
  [SMALL_STATE(8381)] = 415497,
  [SMALL_STATE(8382)] = 415535,
  [SMALL_STATE(8383)] = 415575,
  [SMALL_STATE(8384)] = 415615,
  [SMALL_STATE(8385)] = 415653,
  [SMALL_STATE(8386)] = 415691,
  [SMALL_STATE(8387)] = 415729,
  [SMALL_STATE(8388)] = 415767,
  [SMALL_STATE(8389)] = 415805,
  [SMALL_STATE(8390)] = 415843,
  [SMALL_STATE(8391)] = 415881,
  [SMALL_STATE(8392)] = 415919,
  [SMALL_STATE(8393)] = 415959,
  [SMALL_STATE(8394)] = 415997,
  [SMALL_STATE(8395)] = 416037,
  [SMALL_STATE(8396)] = 416077,
  [SMALL_STATE(8397)] = 416115,
  [SMALL_STATE(8398)] = 416153,
  [SMALL_STATE(8399)] = 416191,
  [SMALL_STATE(8400)] = 416229,
  [SMALL_STATE(8401)] = 416273,
  [SMALL_STATE(8402)] = 416311,
  [SMALL_STATE(8403)] = 416353,
  [SMALL_STATE(8404)] = 416391,
  [SMALL_STATE(8405)] = 416429,
  [SMALL_STATE(8406)] = 416467,
  [SMALL_STATE(8407)] = 416505,
  [SMALL_STATE(8408)] = 416543,
  [SMALL_STATE(8409)] = 416581,
  [SMALL_STATE(8410)] = 416619,
  [SMALL_STATE(8411)] = 416657,
  [SMALL_STATE(8412)] = 416695,
  [SMALL_STATE(8413)] = 416733,
  [SMALL_STATE(8414)] = 416773,
  [SMALL_STATE(8415)] = 416811,
  [SMALL_STATE(8416)] = 416849,
  [SMALL_STATE(8417)] = 416887,
  [SMALL_STATE(8418)] = 416925,
  [SMALL_STATE(8419)] = 416975,
  [SMALL_STATE(8420)] = 417015,
  [SMALL_STATE(8421)] = 417053,
  [SMALL_STATE(8422)] = 417091,
  [SMALL_STATE(8423)] = 417129,
  [SMALL_STATE(8424)] = 417167,
  [SMALL_STATE(8425)] = 417205,
  [SMALL_STATE(8426)] = 417243,
  [SMALL_STATE(8427)] = 417281,
  [SMALL_STATE(8428)] = 417319,
  [SMALL_STATE(8429)] = 417357,
  [SMALL_STATE(8430)] = 417395,
  [SMALL_STATE(8431)] = 417439,
  [SMALL_STATE(8432)] = 417477,
  [SMALL_STATE(8433)] = 417515,
  [SMALL_STATE(8434)] = 417553,
  [SMALL_STATE(8435)] = 417603,
  [SMALL_STATE(8436)] = 417643,
  [SMALL_STATE(8437)] = 417681,
  [SMALL_STATE(8438)] = 417719,
  [SMALL_STATE(8439)] = 417757,
  [SMALL_STATE(8440)] = 417795,
  [SMALL_STATE(8441)] = 417833,
  [SMALL_STATE(8442)] = 417871,
  [SMALL_STATE(8443)] = 417909,
  [SMALL_STATE(8444)] = 417947,
  [SMALL_STATE(8445)] = 417985,
  [SMALL_STATE(8446)] = 418045,
  [SMALL_STATE(8447)] = 418083,
  [SMALL_STATE(8448)] = 418121,
  [SMALL_STATE(8449)] = 418159,
  [SMALL_STATE(8450)] = 418197,
  [SMALL_STATE(8451)] = 418239,
  [SMALL_STATE(8452)] = 418277,
  [SMALL_STATE(8453)] = 418315,
  [SMALL_STATE(8454)] = 418353,
  [SMALL_STATE(8455)] = 418391,
  [SMALL_STATE(8456)] = 418429,
  [SMALL_STATE(8457)] = 418467,
  [SMALL_STATE(8458)] = 418507,
  [SMALL_STATE(8459)] = 418545,
  [SMALL_STATE(8460)] = 418583,
  [SMALL_STATE(8461)] = 418621,
  [SMALL_STATE(8462)] = 418663,
  [SMALL_STATE(8463)] = 418701,
  [SMALL_STATE(8464)] = 418743,
  [SMALL_STATE(8465)] = 418781,
  [SMALL_STATE(8466)] = 418819,
  [SMALL_STATE(8467)] = 418859,
  [SMALL_STATE(8468)] = 418897,
  [SMALL_STATE(8469)] = 418935,
  [SMALL_STATE(8470)] = 418973,
  [SMALL_STATE(8471)] = 419011,
  [SMALL_STATE(8472)] = 419049,
  [SMALL_STATE(8473)] = 419087,
  [SMALL_STATE(8474)] = 419131,
  [SMALL_STATE(8475)] = 419169,
  [SMALL_STATE(8476)] = 419207,
  [SMALL_STATE(8477)] = 419245,
  [SMALL_STATE(8478)] = 419283,
  [SMALL_STATE(8479)] = 419321,
  [SMALL_STATE(8480)] = 419359,
  [SMALL_STATE(8481)] = 419397,
  [SMALL_STATE(8482)] = 419435,
  [SMALL_STATE(8483)] = 419473,
  [SMALL_STATE(8484)] = 419511,
  [SMALL_STATE(8485)] = 419551,
  [SMALL_STATE(8486)] = 419589,
  [SMALL_STATE(8487)] = 419633,
  [SMALL_STATE(8488)] = 419671,
  [SMALL_STATE(8489)] = 419709,
  [SMALL_STATE(8490)] = 419747,
  [SMALL_STATE(8491)] = 419785,
  [SMALL_STATE(8492)] = 419823,
  [SMALL_STATE(8493)] = 419861,
  [SMALL_STATE(8494)] = 419899,
  [SMALL_STATE(8495)] = 419937,
  [SMALL_STATE(8496)] = 419975,
  [SMALL_STATE(8497)] = 420013,
  [SMALL_STATE(8498)] = 420053,
  [SMALL_STATE(8499)] = 420093,
  [SMALL_STATE(8500)] = 420131,
  [SMALL_STATE(8501)] = 420169,
  [SMALL_STATE(8502)] = 420207,
  [SMALL_STATE(8503)] = 420245,
  [SMALL_STATE(8504)] = 420283,
  [SMALL_STATE(8505)] = 420321,
  [SMALL_STATE(8506)] = 420359,
  [SMALL_STATE(8507)] = 420397,
  [SMALL_STATE(8508)] = 420435,
  [SMALL_STATE(8509)] = 420473,
  [SMALL_STATE(8510)] = 420511,
  [SMALL_STATE(8511)] = 420551,
  [SMALL_STATE(8512)] = 420589,
  [SMALL_STATE(8513)] = 420629,
  [SMALL_STATE(8514)] = 420671,
  [SMALL_STATE(8515)] = 420709,
  [SMALL_STATE(8516)] = 420747,
  [SMALL_STATE(8517)] = 420785,
  [SMALL_STATE(8518)] = 420823,
  [SMALL_STATE(8519)] = 420861,
  [SMALL_STATE(8520)] = 420899,
  [SMALL_STATE(8521)] = 420937,
  [SMALL_STATE(8522)] = 420975,
  [SMALL_STATE(8523)] = 421013,
  [SMALL_STATE(8524)] = 421053,
  [SMALL_STATE(8525)] = 421093,
  [SMALL_STATE(8526)] = 421131,
  [SMALL_STATE(8527)] = 421169,
  [SMALL_STATE(8528)] = 421207,
  [SMALL_STATE(8529)] = 421245,
  [SMALL_STATE(8530)] = 421295,
  [SMALL_STATE(8531)] = 421339,
  [SMALL_STATE(8532)] = 421377,
  [SMALL_STATE(8533)] = 421415,
  [SMALL_STATE(8534)] = 421455,
  [SMALL_STATE(8535)] = 421493,
  [SMALL_STATE(8536)] = 421531,
  [SMALL_STATE(8537)] = 421569,
  [SMALL_STATE(8538)] = 421607,
  [SMALL_STATE(8539)] = 421645,
  [SMALL_STATE(8540)] = 421683,
  [SMALL_STATE(8541)] = 421721,
  [SMALL_STATE(8542)] = 421759,
  [SMALL_STATE(8543)] = 421797,
  [SMALL_STATE(8544)] = 421835,
  [SMALL_STATE(8545)] = 421873,
  [SMALL_STATE(8546)] = 421911,
  [SMALL_STATE(8547)] = 421967,
  [SMALL_STATE(8548)] = 422005,
  [SMALL_STATE(8549)] = 422043,
  [SMALL_STATE(8550)] = 422081,
  [SMALL_STATE(8551)] = 422123,
  [SMALL_STATE(8552)] = 422161,
  [SMALL_STATE(8553)] = 422199,
  [SMALL_STATE(8554)] = 422237,
  [SMALL_STATE(8555)] = 422275,
  [SMALL_STATE(8556)] = 422313,
  [SMALL_STATE(8557)] = 422351,
  [SMALL_STATE(8558)] = 422389,
  [SMALL_STATE(8559)] = 422427,
  [SMALL_STATE(8560)] = 422465,
  [SMALL_STATE(8561)] = 422503,
  [SMALL_STATE(8562)] = 422541,
  [SMALL_STATE(8563)] = 422593,
  [SMALL_STATE(8564)] = 422631,
  [SMALL_STATE(8565)] = 422669,
  [SMALL_STATE(8566)] = 422707,
  [SMALL_STATE(8567)] = 422745,
  [SMALL_STATE(8568)] = 422787,
  [SMALL_STATE(8569)] = 422825,
  [SMALL_STATE(8570)] = 422863,
  [SMALL_STATE(8571)] = 422901,
  [SMALL_STATE(8572)] = 422939,
  [SMALL_STATE(8573)] = 422977,
  [SMALL_STATE(8574)] = 423015,
  [SMALL_STATE(8575)] = 423057,
  [SMALL_STATE(8576)] = 423095,
  [SMALL_STATE(8577)] = 423133,
  [SMALL_STATE(8578)] = 423185,
  [SMALL_STATE(8579)] = 423223,
  [SMALL_STATE(8580)] = 423261,
  [SMALL_STATE(8581)] = 423299,
  [SMALL_STATE(8582)] = 423343,
  [SMALL_STATE(8583)] = 423381,
  [SMALL_STATE(8584)] = 423421,
  [SMALL_STATE(8585)] = 423459,
  [SMALL_STATE(8586)] = 423497,
  [SMALL_STATE(8587)] = 423535,
  [SMALL_STATE(8588)] = 423573,
  [SMALL_STATE(8589)] = 423611,
  [SMALL_STATE(8590)] = 423649,
  [SMALL_STATE(8591)] = 423687,
  [SMALL_STATE(8592)] = 423729,
  [SMALL_STATE(8593)] = 423767,
  [SMALL_STATE(8594)] = 423805,
  [SMALL_STATE(8595)] = 423849,
  [SMALL_STATE(8596)] = 423887,
  [SMALL_STATE(8597)] = 423927,
  [SMALL_STATE(8598)] = 423967,
  [SMALL_STATE(8599)] = 424005,
  [SMALL_STATE(8600)] = 424043,
  [SMALL_STATE(8601)] = 424081,
  [SMALL_STATE(8602)] = 424119,
  [SMALL_STATE(8603)] = 424157,
  [SMALL_STATE(8604)] = 424209,
  [SMALL_STATE(8605)] = 424247,
  [SMALL_STATE(8606)] = 424289,
  [SMALL_STATE(8607)] = 424327,
  [SMALL_STATE(8608)] = 424367,
  [SMALL_STATE(8609)] = 424405,
  [SMALL_STATE(8610)] = 424443,
  [SMALL_STATE(8611)] = 424481,
  [SMALL_STATE(8612)] = 424521,
  [SMALL_STATE(8613)] = 424561,
  [SMALL_STATE(8614)] = 424599,
  [SMALL_STATE(8615)] = 424637,
  [SMALL_STATE(8616)] = 424677,
  [SMALL_STATE(8617)] = 424715,
  [SMALL_STATE(8618)] = 424753,
  [SMALL_STATE(8619)] = 424791,
  [SMALL_STATE(8620)] = 424829,
  [SMALL_STATE(8621)] = 424867,
  [SMALL_STATE(8622)] = 424905,
  [SMALL_STATE(8623)] = 424943,
  [SMALL_STATE(8624)] = 424987,
  [SMALL_STATE(8625)] = 425025,
  [SMALL_STATE(8626)] = 425063,
  [SMALL_STATE(8627)] = 425101,
  [SMALL_STATE(8628)] = 425139,
  [SMALL_STATE(8629)] = 425177,
  [SMALL_STATE(8630)] = 425215,
  [SMALL_STATE(8631)] = 425253,
  [SMALL_STATE(8632)] = 425293,
  [SMALL_STATE(8633)] = 425331,
  [SMALL_STATE(8634)] = 425369,
  [SMALL_STATE(8635)] = 425407,
  [SMALL_STATE(8636)] = 425445,
  [SMALL_STATE(8637)] = 425483,
  [SMALL_STATE(8638)] = 425521,
  [SMALL_STATE(8639)] = 425559,
  [SMALL_STATE(8640)] = 425597,
  [SMALL_STATE(8641)] = 425635,
  [SMALL_STATE(8642)] = 425673,
  [SMALL_STATE(8643)] = 425713,
  [SMALL_STATE(8644)] = 425751,
  [SMALL_STATE(8645)] = 425789,
  [SMALL_STATE(8646)] = 425827,
  [SMALL_STATE(8647)] = 425865,
  [SMALL_STATE(8648)] = 425903,
  [SMALL_STATE(8649)] = 425941,
  [SMALL_STATE(8650)] = 425979,
  [SMALL_STATE(8651)] = 426017,
  [SMALL_STATE(8652)] = 426055,
  [SMALL_STATE(8653)] = 426093,
  [SMALL_STATE(8654)] = 426131,
  [SMALL_STATE(8655)] = 426169,
  [SMALL_STATE(8656)] = 426207,
  [SMALL_STATE(8657)] = 426245,
  [SMALL_STATE(8658)] = 426297,
  [SMALL_STATE(8659)] = 426341,
  [SMALL_STATE(8660)] = 426379,
  [SMALL_STATE(8661)] = 426417,
  [SMALL_STATE(8662)] = 426455,
  [SMALL_STATE(8663)] = 426495,
  [SMALL_STATE(8664)] = 426533,
  [SMALL_STATE(8665)] = 426571,
  [SMALL_STATE(8666)] = 426609,
  [SMALL_STATE(8667)] = 426647,
  [SMALL_STATE(8668)] = 426691,
  [SMALL_STATE(8669)] = 426729,
  [SMALL_STATE(8670)] = 426767,
  [SMALL_STATE(8671)] = 426805,
  [SMALL_STATE(8672)] = 426849,
  [SMALL_STATE(8673)] = 426887,
  [SMALL_STATE(8674)] = 426925,
  [SMALL_STATE(8675)] = 426963,
  [SMALL_STATE(8676)] = 427001,
  [SMALL_STATE(8677)] = 427039,
  [SMALL_STATE(8678)] = 427099,
  [SMALL_STATE(8679)] = 427137,
  [SMALL_STATE(8680)] = 427175,
  [SMALL_STATE(8681)] = 427213,
  [SMALL_STATE(8682)] = 427251,
  [SMALL_STATE(8683)] = 427289,
  [SMALL_STATE(8684)] = 427327,
  [SMALL_STATE(8685)] = 427365,
  [SMALL_STATE(8686)] = 427403,
  [SMALL_STATE(8687)] = 427441,
  [SMALL_STATE(8688)] = 427483,
  [SMALL_STATE(8689)] = 427521,
  [SMALL_STATE(8690)] = 427559,
  [SMALL_STATE(8691)] = 427597,
  [SMALL_STATE(8692)] = 427635,
  [SMALL_STATE(8693)] = 427675,
  [SMALL_STATE(8694)] = 427713,
  [SMALL_STATE(8695)] = 427751,
  [SMALL_STATE(8696)] = 427789,
  [SMALL_STATE(8697)] = 427827,
  [SMALL_STATE(8698)] = 427867,
  [SMALL_STATE(8699)] = 427905,
  [SMALL_STATE(8700)] = 427943,
  [SMALL_STATE(8701)] = 427981,
  [SMALL_STATE(8702)] = 428019,
  [SMALL_STATE(8703)] = 428057,
  [SMALL_STATE(8704)] = 428095,
  [SMALL_STATE(8705)] = 428133,
  [SMALL_STATE(8706)] = 428171,
  [SMALL_STATE(8707)] = 428209,
  [SMALL_STATE(8708)] = 428247,
  [SMALL_STATE(8709)] = 428285,
  [SMALL_STATE(8710)] = 428323,
  [SMALL_STATE(8711)] = 428363,
  [SMALL_STATE(8712)] = 428401,
  [SMALL_STATE(8713)] = 428456,
  [SMALL_STATE(8714)] = 428493,
  [SMALL_STATE(8715)] = 428530,
  [SMALL_STATE(8716)] = 428567,
  [SMALL_STATE(8717)] = 428604,
  [SMALL_STATE(8718)] = 428641,
  [SMALL_STATE(8719)] = 428678,
  [SMALL_STATE(8720)] = 428733,
  [SMALL_STATE(8721)] = 428770,
  [SMALL_STATE(8722)] = 428825,
  [SMALL_STATE(8723)] = 428864,
  [SMALL_STATE(8724)] = 428903,
  [SMALL_STATE(8725)] = 428946,
  [SMALL_STATE(8726)] = 428983,
  [SMALL_STATE(8727)] = 429020,
  [SMALL_STATE(8728)] = 429061,
  [SMALL_STATE(8729)] = 429098,
  [SMALL_STATE(8730)] = 429135,
  [SMALL_STATE(8731)] = 429186,
  [SMALL_STATE(8732)] = 429223,
  [SMALL_STATE(8733)] = 429276,
  [SMALL_STATE(8734)] = 429313,
  [SMALL_STATE(8735)] = 429374,
  [SMALL_STATE(8736)] = 429429,
  [SMALL_STATE(8737)] = 429480,
  [SMALL_STATE(8738)] = 429517,
  [SMALL_STATE(8739)] = 429556,
  [SMALL_STATE(8740)] = 429593,
  [SMALL_STATE(8741)] = 429630,
  [SMALL_STATE(8742)] = 429667,
  [SMALL_STATE(8743)] = 429708,
  [SMALL_STATE(8744)] = 429763,
  [SMALL_STATE(8745)] = 429800,
  [SMALL_STATE(8746)] = 429837,
  [SMALL_STATE(8747)] = 429874,
  [SMALL_STATE(8748)] = 429929,
  [SMALL_STATE(8749)] = 429966,
  [SMALL_STATE(8750)] = 430021,
  [SMALL_STATE(8751)] = 430066,
  [SMALL_STATE(8752)] = 430121,
  [SMALL_STATE(8753)] = 430158,
  [SMALL_STATE(8754)] = 430195,
  [SMALL_STATE(8755)] = 430232,
  [SMALL_STATE(8756)] = 430271,
  [SMALL_STATE(8757)] = 430326,
  [SMALL_STATE(8758)] = 430365,
  [SMALL_STATE(8759)] = 430420,
  [SMALL_STATE(8760)] = 430475,
  [SMALL_STATE(8761)] = 430512,
  [SMALL_STATE(8762)] = 430549,
  [SMALL_STATE(8763)] = 430586,
  [SMALL_STATE(8764)] = 430623,
  [SMALL_STATE(8765)] = 430660,
  [SMALL_STATE(8766)] = 430697,
  [SMALL_STATE(8767)] = 430734,
  [SMALL_STATE(8768)] = 430789,
  [SMALL_STATE(8769)] = 430826,
  [SMALL_STATE(8770)] = 430863,
  [SMALL_STATE(8771)] = 430900,
  [SMALL_STATE(8772)] = 430937,
  [SMALL_STATE(8773)] = 430974,
  [SMALL_STATE(8774)] = 431029,
  [SMALL_STATE(8775)] = 431066,
  [SMALL_STATE(8776)] = 431103,
  [SMALL_STATE(8777)] = 431144,
  [SMALL_STATE(8778)] = 431181,
  [SMALL_STATE(8779)] = 431218,
  [SMALL_STATE(8780)] = 431255,
  [SMALL_STATE(8781)] = 431292,
  [SMALL_STATE(8782)] = 431329,
  [SMALL_STATE(8783)] = 431366,
  [SMALL_STATE(8784)] = 431403,
  [SMALL_STATE(8785)] = 431440,
  [SMALL_STATE(8786)] = 431479,
  [SMALL_STATE(8787)] = 431516,
  [SMALL_STATE(8788)] = 431555,
  [SMALL_STATE(8789)] = 431592,
  [SMALL_STATE(8790)] = 431629,
  [SMALL_STATE(8791)] = 431666,
  [SMALL_STATE(8792)] = 431703,
  [SMALL_STATE(8793)] = 431740,
  [SMALL_STATE(8794)] = 431777,
  [SMALL_STATE(8795)] = 431814,
  [SMALL_STATE(8796)] = 431851,
  [SMALL_STATE(8797)] = 431888,
  [SMALL_STATE(8798)] = 431925,
  [SMALL_STATE(8799)] = 431980,
  [SMALL_STATE(8800)] = 432017,
  [SMALL_STATE(8801)] = 432054,
  [SMALL_STATE(8802)] = 432109,
  [SMALL_STATE(8803)] = 432146,
  [SMALL_STATE(8804)] = 432183,
  [SMALL_STATE(8805)] = 432238,
  [SMALL_STATE(8806)] = 432275,
  [SMALL_STATE(8807)] = 432312,
  [SMALL_STATE(8808)] = 432349,
  [SMALL_STATE(8809)] = 432386,
  [SMALL_STATE(8810)] = 432423,
  [SMALL_STATE(8811)] = 432478,
  [SMALL_STATE(8812)] = 432515,
  [SMALL_STATE(8813)] = 432552,
  [SMALL_STATE(8814)] = 432589,
  [SMALL_STATE(8815)] = 432626,
  [SMALL_STATE(8816)] = 432663,
  [SMALL_STATE(8817)] = 432700,
  [SMALL_STATE(8818)] = 432737,
  [SMALL_STATE(8819)] = 432780,
  [SMALL_STATE(8820)] = 432817,
  [SMALL_STATE(8821)] = 432854,
  [SMALL_STATE(8822)] = 432891,
  [SMALL_STATE(8823)] = 432946,
  [SMALL_STATE(8824)] = 432983,
  [SMALL_STATE(8825)] = 433020,
  [SMALL_STATE(8826)] = 433057,
  [SMALL_STATE(8827)] = 433094,
  [SMALL_STATE(8828)] = 433131,
  [SMALL_STATE(8829)] = 433168,
  [SMALL_STATE(8830)] = 433223,
  [SMALL_STATE(8831)] = 433260,
  [SMALL_STATE(8832)] = 433297,
  [SMALL_STATE(8833)] = 433334,
  [SMALL_STATE(8834)] = 433373,
  [SMALL_STATE(8835)] = 433410,
  [SMALL_STATE(8836)] = 433447,
  [SMALL_STATE(8837)] = 433484,
  [SMALL_STATE(8838)] = 433521,
  [SMALL_STATE(8839)] = 433562,
  [SMALL_STATE(8840)] = 433599,
  [SMALL_STATE(8841)] = 433636,
  [SMALL_STATE(8842)] = 433673,
  [SMALL_STATE(8843)] = 433710,
  [SMALL_STATE(8844)] = 433765,
  [SMALL_STATE(8845)] = 433802,
  [SMALL_STATE(8846)] = 433839,
  [SMALL_STATE(8847)] = 433878,
  [SMALL_STATE(8848)] = 433915,
  [SMALL_STATE(8849)] = 433952,
  [SMALL_STATE(8850)] = 433989,
  [SMALL_STATE(8851)] = 434026,
  [SMALL_STATE(8852)] = 434063,
  [SMALL_STATE(8853)] = 434112,
  [SMALL_STATE(8854)] = 434149,
  [SMALL_STATE(8855)] = 434186,
  [SMALL_STATE(8856)] = 434223,
  [SMALL_STATE(8857)] = 434260,
  [SMALL_STATE(8858)] = 434297,
  [SMALL_STATE(8859)] = 434334,
  [SMALL_STATE(8860)] = 434371,
  [SMALL_STATE(8861)] = 434408,
  [SMALL_STATE(8862)] = 434445,
  [SMALL_STATE(8863)] = 434500,
  [SMALL_STATE(8864)] = 434537,
  [SMALL_STATE(8865)] = 434580,
  [SMALL_STATE(8866)] = 434619,
  [SMALL_STATE(8867)] = 434674,
  [SMALL_STATE(8868)] = 434711,
  [SMALL_STATE(8869)] = 434748,
  [SMALL_STATE(8870)] = 434785,
  [SMALL_STATE(8871)] = 434822,
  [SMALL_STATE(8872)] = 434859,
  [SMALL_STATE(8873)] = 434896,
  [SMALL_STATE(8874)] = 434933,
  [SMALL_STATE(8875)] = 434970,
  [SMALL_STATE(8876)] = 435025,
  [SMALL_STATE(8877)] = 435062,
  [SMALL_STATE(8878)] = 435099,
  [SMALL_STATE(8879)] = 435140,
  [SMALL_STATE(8880)] = 435177,
  [SMALL_STATE(8881)] = 435214,
  [SMALL_STATE(8882)] = 435251,
  [SMALL_STATE(8883)] = 435288,
  [SMALL_STATE(8884)] = 435325,
  [SMALL_STATE(8885)] = 435380,
  [SMALL_STATE(8886)] = 435433,
  [SMALL_STATE(8887)] = 435470,
  [SMALL_STATE(8888)] = 435507,
  [SMALL_STATE(8889)] = 435562,
  [SMALL_STATE(8890)] = 435599,
  [SMALL_STATE(8891)] = 435636,
  [SMALL_STATE(8892)] = 435673,
  [SMALL_STATE(8893)] = 435728,
  [SMALL_STATE(8894)] = 435765,
  [SMALL_STATE(8895)] = 435802,
  [SMALL_STATE(8896)] = 435839,
  [SMALL_STATE(8897)] = 435876,
  [SMALL_STATE(8898)] = 435913,
  [SMALL_STATE(8899)] = 435950,
  [SMALL_STATE(8900)] = 435987,
  [SMALL_STATE(8901)] = 436024,
  [SMALL_STATE(8902)] = 436065,
  [SMALL_STATE(8903)] = 436106,
  [SMALL_STATE(8904)] = 436143,
  [SMALL_STATE(8905)] = 436182,
  [SMALL_STATE(8906)] = 436219,
  [SMALL_STATE(8907)] = 436256,
  [SMALL_STATE(8908)] = 436311,
  [SMALL_STATE(8909)] = 436348,
  [SMALL_STATE(8910)] = 436403,
  [SMALL_STATE(8911)] = 436440,
  [SMALL_STATE(8912)] = 436477,
  [SMALL_STATE(8913)] = 436514,
  [SMALL_STATE(8914)] = 436569,
  [SMALL_STATE(8915)] = 436624,
  [SMALL_STATE(8916)] = 436661,
  [SMALL_STATE(8917)] = 436698,
  [SMALL_STATE(8918)] = 436735,
  [SMALL_STATE(8919)] = 436772,
  [SMALL_STATE(8920)] = 436811,
  [SMALL_STATE(8921)] = 436848,
  [SMALL_STATE(8922)] = 436885,
  [SMALL_STATE(8923)] = 436940,
  [SMALL_STATE(8924)] = 436977,
  [SMALL_STATE(8925)] = 437018,
  [SMALL_STATE(8926)] = 437055,
  [SMALL_STATE(8927)] = 437092,
  [SMALL_STATE(8928)] = 437147,
  [SMALL_STATE(8929)] = 437184,
  [SMALL_STATE(8930)] = 437221,
  [SMALL_STATE(8931)] = 437258,
  [SMALL_STATE(8932)] = 437313,
  [SMALL_STATE(8933)] = 437350,
  [SMALL_STATE(8934)] = 437387,
  [SMALL_STATE(8935)] = 437424,
  [SMALL_STATE(8936)] = 437461,
  [SMALL_STATE(8937)] = 437498,
  [SMALL_STATE(8938)] = 437535,
  [SMALL_STATE(8939)] = 437572,
  [SMALL_STATE(8940)] = 437609,
  [SMALL_STATE(8941)] = 437646,
  [SMALL_STATE(8942)] = 437683,
  [SMALL_STATE(8943)] = 437720,
  [SMALL_STATE(8944)] = 437757,
  [SMALL_STATE(8945)] = 437794,
  [SMALL_STATE(8946)] = 437831,
  [SMALL_STATE(8947)] = 437868,
  [SMALL_STATE(8948)] = 437905,
  [SMALL_STATE(8949)] = 437946,
  [SMALL_STATE(8950)] = 437983,
  [SMALL_STATE(8951)] = 438020,
  [SMALL_STATE(8952)] = 438057,
  [SMALL_STATE(8953)] = 438112,
  [SMALL_STATE(8954)] = 438151,
  [SMALL_STATE(8955)] = 438206,
  [SMALL_STATE(8956)] = 438247,
  [SMALL_STATE(8957)] = 438284,
  [SMALL_STATE(8958)] = 438321,
  [SMALL_STATE(8959)] = 438376,
  [SMALL_STATE(8960)] = 438413,
  [SMALL_STATE(8961)] = 438450,
  [SMALL_STATE(8962)] = 438505,
  [SMALL_STATE(8963)] = 438544,
  [SMALL_STATE(8964)] = 438589,
  [SMALL_STATE(8965)] = 438644,
  [SMALL_STATE(8966)] = 438681,
  [SMALL_STATE(8967)] = 438736,
  [SMALL_STATE(8968)] = 438773,
  [SMALL_STATE(8969)] = 438810,
  [SMALL_STATE(8970)] = 438865,
  [SMALL_STATE(8971)] = 438902,
  [SMALL_STATE(8972)] = 438939,
  [SMALL_STATE(8973)] = 438976,
  [SMALL_STATE(8974)] = 439013,
  [SMALL_STATE(8975)] = 439050,
  [SMALL_STATE(8976)] = 439087,
  [SMALL_STATE(8977)] = 439142,
  [SMALL_STATE(8978)] = 439179,
  [SMALL_STATE(8979)] = 439216,
  [SMALL_STATE(8980)] = 439253,
  [SMALL_STATE(8981)] = 439308,
  [SMALL_STATE(8982)] = 439361,
  [SMALL_STATE(8983)] = 439398,
  [SMALL_STATE(8984)] = 439435,
  [SMALL_STATE(8985)] = 439490,
  [SMALL_STATE(8986)] = 439527,
  [SMALL_STATE(8987)] = 439566,
  [SMALL_STATE(8988)] = 439603,
  [SMALL_STATE(8989)] = 439640,
  [SMALL_STATE(8990)] = 439677,
  [SMALL_STATE(8991)] = 439714,
  [SMALL_STATE(8992)] = 439753,
  [SMALL_STATE(8993)] = 439790,
  [SMALL_STATE(8994)] = 439827,
  [SMALL_STATE(8995)] = 439864,
  [SMALL_STATE(8996)] = 439905,
  [SMALL_STATE(8997)] = 439942,
  [SMALL_STATE(8998)] = 439981,
  [SMALL_STATE(8999)] = 440036,
  [SMALL_STATE(9000)] = 440073,
  [SMALL_STATE(9001)] = 440128,
  [SMALL_STATE(9002)] = 440185,
  [SMALL_STATE(9003)] = 440222,
  [SMALL_STATE(9004)] = 440263,
  [SMALL_STATE(9005)] = 440300,
  [SMALL_STATE(9006)] = 440337,
  [SMALL_STATE(9007)] = 440374,
  [SMALL_STATE(9008)] = 440411,
  [SMALL_STATE(9009)] = 440464,
  [SMALL_STATE(9010)] = 440519,
  [SMALL_STATE(9011)] = 440556,
  [SMALL_STATE(9012)] = 440593,
  [SMALL_STATE(9013)] = 440630,
  [SMALL_STATE(9014)] = 440685,
  [SMALL_STATE(9015)] = 440722,
  [SMALL_STATE(9016)] = 440777,
  [SMALL_STATE(9017)] = 440832,
  [SMALL_STATE(9018)] = 440869,
  [SMALL_STATE(9019)] = 440906,
  [SMALL_STATE(9020)] = 440945,
  [SMALL_STATE(9021)] = 440984,
  [SMALL_STATE(9022)] = 441021,
  [SMALL_STATE(9023)] = 441058,
  [SMALL_STATE(9024)] = 441095,
  [SMALL_STATE(9025)] = 441132,
  [SMALL_STATE(9026)] = 441169,
  [SMALL_STATE(9027)] = 441206,
  [SMALL_STATE(9028)] = 441261,
  [SMALL_STATE(9029)] = 441316,
  [SMALL_STATE(9030)] = 441359,
  [SMALL_STATE(9031)] = 441402,
  [SMALL_STATE(9032)] = 441457,
  [SMALL_STATE(9033)] = 441494,
  [SMALL_STATE(9034)] = 441533,
  [SMALL_STATE(9035)] = 441570,
  [SMALL_STATE(9036)] = 441607,
  [SMALL_STATE(9037)] = 441644,
  [SMALL_STATE(9038)] = 441681,
  [SMALL_STATE(9039)] = 441732,
  [SMALL_STATE(9040)] = 441769,
  [SMALL_STATE(9041)] = 441812,
  [SMALL_STATE(9042)] = 441849,
  [SMALL_STATE(9043)] = 441886,
  [SMALL_STATE(9044)] = 441923,
  [SMALL_STATE(9045)] = 441960,
  [SMALL_STATE(9046)] = 441997,
  [SMALL_STATE(9047)] = 442034,
  [SMALL_STATE(9048)] = 442071,
  [SMALL_STATE(9049)] = 442108,
  [SMALL_STATE(9050)] = 442145,
  [SMALL_STATE(9051)] = 442182,
  [SMALL_STATE(9052)] = 442219,
  [SMALL_STATE(9053)] = 442256,
  [SMALL_STATE(9054)] = 442293,
  [SMALL_STATE(9055)] = 442330,
  [SMALL_STATE(9056)] = 442383,
  [SMALL_STATE(9057)] = 442420,
  [SMALL_STATE(9058)] = 442461,
  [SMALL_STATE(9059)] = 442498,
  [SMALL_STATE(9060)] = 442535,
  [SMALL_STATE(9061)] = 442590,
  [SMALL_STATE(9062)] = 442627,
  [SMALL_STATE(9063)] = 442664,
  [SMALL_STATE(9064)] = 442701,
  [SMALL_STATE(9065)] = 442756,
  [SMALL_STATE(9066)] = 442793,
  [SMALL_STATE(9067)] = 442848,
  [SMALL_STATE(9068)] = 442885,
  [SMALL_STATE(9069)] = 442922,
  [SMALL_STATE(9070)] = 442959,
  [SMALL_STATE(9071)] = 442996,
  [SMALL_STATE(9072)] = 443033,
  [SMALL_STATE(9073)] = 443076,
  [SMALL_STATE(9074)] = 443113,
  [SMALL_STATE(9075)] = 443152,
  [SMALL_STATE(9076)] = 443189,
  [SMALL_STATE(9077)] = 443238,
  [SMALL_STATE(9078)] = 443275,
  [SMALL_STATE(9079)] = 443312,
  [SMALL_STATE(9080)] = 443349,
  [SMALL_STATE(9081)] = 443390,
  [SMALL_STATE(9082)] = 443427,
  [SMALL_STATE(9083)] = 443464,
  [SMALL_STATE(9084)] = 443501,
  [SMALL_STATE(9085)] = 443538,
  [SMALL_STATE(9086)] = 443575,
  [SMALL_STATE(9087)] = 443612,
  [SMALL_STATE(9088)] = 443667,
  [SMALL_STATE(9089)] = 443704,
  [SMALL_STATE(9090)] = 443759,
  [SMALL_STATE(9091)] = 443796,
  [SMALL_STATE(9092)] = 443833,
  [SMALL_STATE(9093)] = 443870,
  [SMALL_STATE(9094)] = 443907,
  [SMALL_STATE(9095)] = 443962,
  [SMALL_STATE(9096)] = 444017,
  [SMALL_STATE(9097)] = 444072,
  [SMALL_STATE(9098)] = 444111,
  [SMALL_STATE(9099)] = 444162,
  [SMALL_STATE(9100)] = 444217,
  [SMALL_STATE(9101)] = 444254,
  [SMALL_STATE(9102)] = 444291,
  [SMALL_STATE(9103)] = 444344,
  [SMALL_STATE(9104)] = 444381,
  [SMALL_STATE(9105)] = 444418,
  [SMALL_STATE(9106)] = 444455,
  [SMALL_STATE(9107)] = 444492,
  [SMALL_STATE(9108)] = 444529,
  [SMALL_STATE(9109)] = 444566,
  [SMALL_STATE(9110)] = 444603,
  [SMALL_STATE(9111)] = 444640,
  [SMALL_STATE(9112)] = 444677,
  [SMALL_STATE(9113)] = 444714,
  [SMALL_STATE(9114)] = 444751,
  [SMALL_STATE(9115)] = 444788,
  [SMALL_STATE(9116)] = 444853,
  [SMALL_STATE(9117)] = 444892,
  [SMALL_STATE(9118)] = 444929,
  [SMALL_STATE(9119)] = 444984,
  [SMALL_STATE(9120)] = 445021,
  [SMALL_STATE(9121)] = 445064,
  [SMALL_STATE(9122)] = 445101,
  [SMALL_STATE(9123)] = 445138,
  [SMALL_STATE(9124)] = 445175,
  [SMALL_STATE(9125)] = 445212,
  [SMALL_STATE(9126)] = 445249,
  [SMALL_STATE(9127)] = 445286,
  [SMALL_STATE(9128)] = 445325,
  [SMALL_STATE(9129)] = 445362,
  [SMALL_STATE(9130)] = 445399,
  [SMALL_STATE(9131)] = 445436,
  [SMALL_STATE(9132)] = 445491,
  [SMALL_STATE(9133)] = 445532,
  [SMALL_STATE(9134)] = 445571,
  [SMALL_STATE(9135)] = 445608,
  [SMALL_STATE(9136)] = 445645,
  [SMALL_STATE(9137)] = 445700,
  [SMALL_STATE(9138)] = 445755,
  [SMALL_STATE(9139)] = 445792,
  [SMALL_STATE(9140)] = 445829,
  [SMALL_STATE(9141)] = 445882,
  [SMALL_STATE(9142)] = 445937,
  [SMALL_STATE(9143)] = 445992,
  [SMALL_STATE(9144)] = 446041,
  [SMALL_STATE(9145)] = 446078,
  [SMALL_STATE(9146)] = 446115,
  [SMALL_STATE(9147)] = 446170,
  [SMALL_STATE(9148)] = 446225,
  [SMALL_STATE(9149)] = 446262,
  [SMALL_STATE(9150)] = 446299,
  [SMALL_STATE(9151)] = 446360,
  [SMALL_STATE(9152)] = 446415,
  [SMALL_STATE(9153)] = 446452,
  [SMALL_STATE(9154)] = 446489,
  [SMALL_STATE(9155)] = 446526,
  [SMALL_STATE(9156)] = 446577,
  [SMALL_STATE(9157)] = 446614,
  [SMALL_STATE(9158)] = 446651,
  [SMALL_STATE(9159)] = 446696,
  [SMALL_STATE(9160)] = 446733,
  [SMALL_STATE(9161)] = 446772,
  [SMALL_STATE(9162)] = 446827,
  [SMALL_STATE(9163)] = 446864,
  [SMALL_STATE(9164)] = 446901,
  [SMALL_STATE(9165)] = 446956,
  [SMALL_STATE(9166)] = 447017,
  [SMALL_STATE(9167)] = 447072,
  [SMALL_STATE(9168)] = 447127,
  [SMALL_STATE(9169)] = 447182,
  [SMALL_STATE(9170)] = 447219,
  [SMALL_STATE(9171)] = 447256,
  [SMALL_STATE(9172)] = 447293,
  [SMALL_STATE(9173)] = 447348,
  [SMALL_STATE(9174)] = 447387,
  [SMALL_STATE(9175)] = 447424,
  [SMALL_STATE(9176)] = 447465,
  [SMALL_STATE(9177)] = 447520,
  [SMALL_STATE(9178)] = 447573,
  [SMALL_STATE(9179)] = 447628,
  [SMALL_STATE(9180)] = 447665,
  [SMALL_STATE(9181)] = 447702,
  [SMALL_STATE(9182)] = 447739,
  [SMALL_STATE(9183)] = 447776,
  [SMALL_STATE(9184)] = 447831,
  [SMALL_STATE(9185)] = 447868,
  [SMALL_STATE(9186)] = 447905,
  [SMALL_STATE(9187)] = 447942,
  [SMALL_STATE(9188)] = 447983,
  [SMALL_STATE(9189)] = 448020,
  [SMALL_STATE(9190)] = 448057,
  [SMALL_STATE(9191)] = 448094,
  [SMALL_STATE(9192)] = 448149,
  [SMALL_STATE(9193)] = 448186,
  [SMALL_STATE(9194)] = 448223,
  [SMALL_STATE(9195)] = 448260,
  [SMALL_STATE(9196)] = 448313,
  [SMALL_STATE(9197)] = 448350,
  [SMALL_STATE(9198)] = 448387,
  [SMALL_STATE(9199)] = 448424,
  [SMALL_STATE(9200)] = 448479,
  [SMALL_STATE(9201)] = 448532,
  [SMALL_STATE(9202)] = 448571,
  [SMALL_STATE(9203)] = 448626,
  [SMALL_STATE(9204)] = 448681,
  [SMALL_STATE(9205)] = 448718,
  [SMALL_STATE(9206)] = 448755,
  [SMALL_STATE(9207)] = 448792,
  [SMALL_STATE(9208)] = 448829,
  [SMALL_STATE(9209)] = 448866,
  [SMALL_STATE(9210)] = 448921,
  [SMALL_STATE(9211)] = 448958,
  [SMALL_STATE(9212)] = 449013,
  [SMALL_STATE(9213)] = 449068,
  [SMALL_STATE(9214)] = 449107,
  [SMALL_STATE(9215)] = 449144,
  [SMALL_STATE(9216)] = 449199,
  [SMALL_STATE(9217)] = 449236,
  [SMALL_STATE(9218)] = 449273,
  [SMALL_STATE(9219)] = 449316,
  [SMALL_STATE(9220)] = 449371,
  [SMALL_STATE(9221)] = 449408,
  [SMALL_STATE(9222)] = 449445,
  [SMALL_STATE(9223)] = 449482,
  [SMALL_STATE(9224)] = 449519,
  [SMALL_STATE(9225)] = 449574,
  [SMALL_STATE(9226)] = 449629,
  [SMALL_STATE(9227)] = 449666,
  [SMALL_STATE(9228)] = 449703,
  [SMALL_STATE(9229)] = 449758,
  [SMALL_STATE(9230)] = 449813,
  [SMALL_STATE(9231)] = 449850,
  [SMALL_STATE(9232)] = 449887,
  [SMALL_STATE(9233)] = 449924,
  [SMALL_STATE(9234)] = 449963,
  [SMALL_STATE(9235)] = 450006,
  [SMALL_STATE(9236)] = 450043,
  [SMALL_STATE(9237)] = 450084,
  [SMALL_STATE(9238)] = 450121,
  [SMALL_STATE(9239)] = 450158,
  [SMALL_STATE(9240)] = 450201,
  [SMALL_STATE(9241)] = 450238,
  [SMALL_STATE(9242)] = 450293,
  [SMALL_STATE(9243)] = 450330,
  [SMALL_STATE(9244)] = 450369,
  [SMALL_STATE(9245)] = 450406,
  [SMALL_STATE(9246)] = 450443,
  [SMALL_STATE(9247)] = 450480,
  [SMALL_STATE(9248)] = 450517,
  [SMALL_STATE(9249)] = 450554,
  [SMALL_STATE(9250)] = 450593,
  [SMALL_STATE(9251)] = 450630,
  [SMALL_STATE(9252)] = 450667,
  [SMALL_STATE(9253)] = 450722,
  [SMALL_STATE(9254)] = 450777,
  [SMALL_STATE(9255)] = 450814,
  [SMALL_STATE(9256)] = 450869,
  [SMALL_STATE(9257)] = 450914,
  [SMALL_STATE(9258)] = 450951,
  [SMALL_STATE(9259)] = 451006,
  [SMALL_STATE(9260)] = 451049,
  [SMALL_STATE(9261)] = 451102,
  [SMALL_STATE(9262)] = 451155,
  [SMALL_STATE(9263)] = 451192,
  [SMALL_STATE(9264)] = 451229,
  [SMALL_STATE(9265)] = 451268,
  [SMALL_STATE(9266)] = 451305,
  [SMALL_STATE(9267)] = 451342,
  [SMALL_STATE(9268)] = 451379,
  [SMALL_STATE(9269)] = 451416,
  [SMALL_STATE(9270)] = 451453,
  [SMALL_STATE(9271)] = 451490,
  [SMALL_STATE(9272)] = 451527,
  [SMALL_STATE(9273)] = 451566,
  [SMALL_STATE(9274)] = 451621,
  [SMALL_STATE(9275)] = 451676,
  [SMALL_STATE(9276)] = 451729,
  [SMALL_STATE(9277)] = 451766,
  [SMALL_STATE(9278)] = 451821,
  [SMALL_STATE(9279)] = 451858,
  [SMALL_STATE(9280)] = 451901,
  [SMALL_STATE(9281)] = 451956,
  [SMALL_STATE(9282)] = 452011,
  [SMALL_STATE(9283)] = 452048,
  [SMALL_STATE(9284)] = 452085,
  [SMALL_STATE(9285)] = 452124,
  [SMALL_STATE(9286)] = 452179,
  [SMALL_STATE(9287)] = 452216,
  [SMALL_STATE(9288)] = 452253,
  [SMALL_STATE(9289)] = 452290,
  [SMALL_STATE(9290)] = 452327,
  [SMALL_STATE(9291)] = 452366,
  [SMALL_STATE(9292)] = 452403,
  [SMALL_STATE(9293)] = 452440,
  [SMALL_STATE(9294)] = 452495,
  [SMALL_STATE(9295)] = 452532,
  [SMALL_STATE(9296)] = 452569,
  [SMALL_STATE(9297)] = 452624,
  [SMALL_STATE(9298)] = 452661,
  [SMALL_STATE(9299)] = 452698,
  [SMALL_STATE(9300)] = 452753,
  [SMALL_STATE(9301)] = 452808,
  [SMALL_STATE(9302)] = 452845,
  [SMALL_STATE(9303)] = 452882,
  [SMALL_STATE(9304)] = 452933,
  [SMALL_STATE(9305)] = 452970,
  [SMALL_STATE(9306)] = 453007,
  [SMALL_STATE(9307)] = 453062,
  [SMALL_STATE(9308)] = 453099,
  [SMALL_STATE(9309)] = 453136,
  [SMALL_STATE(9310)] = 453191,
  [SMALL_STATE(9311)] = 453228,
  [SMALL_STATE(9312)] = 453283,
  [SMALL_STATE(9313)] = 453320,
  [SMALL_STATE(9314)] = 453357,
  [SMALL_STATE(9315)] = 453394,
  [SMALL_STATE(9316)] = 453445,
  [SMALL_STATE(9317)] = 453482,
  [SMALL_STATE(9318)] = 453537,
  [SMALL_STATE(9319)] = 453592,
  [SMALL_STATE(9320)] = 453629,
  [SMALL_STATE(9321)] = 453670,
  [SMALL_STATE(9322)] = 453713,
  [SMALL_STATE(9323)] = 453768,
  [SMALL_STATE(9324)] = 453805,
  [SMALL_STATE(9325)] = 453860,
  [SMALL_STATE(9326)] = 453915,
  [SMALL_STATE(9327)] = 453951,
  [SMALL_STATE(9328)] = 453987,
  [SMALL_STATE(9329)] = 454023,
  [SMALL_STATE(9330)] = 454059,
  [SMALL_STATE(9331)] = 454095,
  [SMALL_STATE(9332)] = 454133,
  [SMALL_STATE(9333)] = 454185,
  [SMALL_STATE(9334)] = 454221,
  [SMALL_STATE(9335)] = 454257,
  [SMALL_STATE(9336)] = 454293,
  [SMALL_STATE(9337)] = 454329,
  [SMALL_STATE(9338)] = 454365,
  [SMALL_STATE(9339)] = 454417,
  [SMALL_STATE(9340)] = 454453,
  [SMALL_STATE(9341)] = 454489,
  [SMALL_STATE(9342)] = 454529,
  [SMALL_STATE(9343)] = 454565,
  [SMALL_STATE(9344)] = 454617,
  [SMALL_STATE(9345)] = 454655,
  [SMALL_STATE(9346)] = 454695,
  [SMALL_STATE(9347)] = 454735,
  [SMALL_STATE(9348)] = 454771,
  [SMALL_STATE(9349)] = 454807,
  [SMALL_STATE(9350)] = 454847,
  [SMALL_STATE(9351)] = 454883,
  [SMALL_STATE(9352)] = 454935,
  [SMALL_STATE(9353)] = 454971,
  [SMALL_STATE(9354)] = 455007,
  [SMALL_STATE(9355)] = 455053,
  [SMALL_STATE(9356)] = 455089,
  [SMALL_STATE(9357)] = 455125,
  [SMALL_STATE(9358)] = 455161,
  [SMALL_STATE(9359)] = 455201,
  [SMALL_STATE(9360)] = 455239,
  [SMALL_STATE(9361)] = 455275,
  [SMALL_STATE(9362)] = 455311,
  [SMALL_STATE(9363)] = 455347,
  [SMALL_STATE(9364)] = 455383,
  [SMALL_STATE(9365)] = 455419,
  [SMALL_STATE(9366)] = 455455,
  [SMALL_STATE(9367)] = 455491,
  [SMALL_STATE(9368)] = 455527,
  [SMALL_STATE(9369)] = 455563,
  [SMALL_STATE(9370)] = 455599,
  [SMALL_STATE(9371)] = 455635,
  [SMALL_STATE(9372)] = 455671,
  [SMALL_STATE(9373)] = 455717,
  [SMALL_STATE(9374)] = 455753,
  [SMALL_STATE(9375)] = 455789,
  [SMALL_STATE(9376)] = 455825,
  [SMALL_STATE(9377)] = 455861,
  [SMALL_STATE(9378)] = 455901,
  [SMALL_STATE(9379)] = 455937,
  [SMALL_STATE(9380)] = 455973,
  [SMALL_STATE(9381)] = 456009,
  [SMALL_STATE(9382)] = 456051,
  [SMALL_STATE(9383)] = 456089,
  [SMALL_STATE(9384)] = 456125,
  [SMALL_STATE(9385)] = 456167,
  [SMALL_STATE(9386)] = 456203,
  [SMALL_STATE(9387)] = 456239,
  [SMALL_STATE(9388)] = 456289,
  [SMALL_STATE(9389)] = 456325,
  [SMALL_STATE(9390)] = 456377,
  [SMALL_STATE(9391)] = 456413,
  [SMALL_STATE(9392)] = 456449,
  [SMALL_STATE(9393)] = 456485,
  [SMALL_STATE(9394)] = 456521,
  [SMALL_STATE(9395)] = 456557,
  [SMALL_STATE(9396)] = 456593,
  [SMALL_STATE(9397)] = 456631,
  [SMALL_STATE(9398)] = 456667,
  [SMALL_STATE(9399)] = 456703,
  [SMALL_STATE(9400)] = 456739,
  [SMALL_STATE(9401)] = 456775,
  [SMALL_STATE(9402)] = 456811,
  [SMALL_STATE(9403)] = 456847,
  [SMALL_STATE(9404)] = 456883,
  [SMALL_STATE(9405)] = 456919,
  [SMALL_STATE(9406)] = 456965,
  [SMALL_STATE(9407)] = 457001,
  [SMALL_STATE(9408)] = 457053,
  [SMALL_STATE(9409)] = 457091,
  [SMALL_STATE(9410)] = 457127,
  [SMALL_STATE(9411)] = 457163,
  [SMALL_STATE(9412)] = 457205,
  [SMALL_STATE(9413)] = 457241,
  [SMALL_STATE(9414)] = 457277,
  [SMALL_STATE(9415)] = 457313,
  [SMALL_STATE(9416)] = 457363,
  [SMALL_STATE(9417)] = 457409,
  [SMALL_STATE(9418)] = 457445,
  [SMALL_STATE(9419)] = 457481,
  [SMALL_STATE(9420)] = 457517,
  [SMALL_STATE(9421)] = 457553,
  [SMALL_STATE(9422)] = 457589,
  [SMALL_STATE(9423)] = 457639,
  [SMALL_STATE(9424)] = 457675,
  [SMALL_STATE(9425)] = 457711,
  [SMALL_STATE(9426)] = 457753,
  [SMALL_STATE(9427)] = 457789,
  [SMALL_STATE(9428)] = 457825,
  [SMALL_STATE(9429)] = 457861,
  [SMALL_STATE(9430)] = 457897,
  [SMALL_STATE(9431)] = 457933,
  [SMALL_STATE(9432)] = 457969,
  [SMALL_STATE(9433)] = 458005,
  [SMALL_STATE(9434)] = 458041,
  [SMALL_STATE(9435)] = 458077,
  [SMALL_STATE(9436)] = 458115,
  [SMALL_STATE(9437)] = 458161,
  [SMALL_STATE(9438)] = 458197,
  [SMALL_STATE(9439)] = 458233,
  [SMALL_STATE(9440)] = 458269,
  [SMALL_STATE(9441)] = 458305,
  [SMALL_STATE(9442)] = 458341,
  [SMALL_STATE(9443)] = 458377,
  [SMALL_STATE(9444)] = 458413,
  [SMALL_STATE(9445)] = 458459,
  [SMALL_STATE(9446)] = 458495,
  [SMALL_STATE(9447)] = 458531,
  [SMALL_STATE(9448)] = 458571,
  [SMALL_STATE(9449)] = 458607,
  [SMALL_STATE(9450)] = 458649,
  [SMALL_STATE(9451)] = 458685,
  [SMALL_STATE(9452)] = 458721,
  [SMALL_STATE(9453)] = 458757,
  [SMALL_STATE(9454)] = 458793,
  [SMALL_STATE(9455)] = 458829,
  [SMALL_STATE(9456)] = 458871,
  [SMALL_STATE(9457)] = 458907,
  [SMALL_STATE(9458)] = 458943,
  [SMALL_STATE(9459)] = 458979,
  [SMALL_STATE(9460)] = 459015,
  [SMALL_STATE(9461)] = 459051,
  [SMALL_STATE(9462)] = 459087,
  [SMALL_STATE(9463)] = 459127,
  [SMALL_STATE(9464)] = 459163,
  [SMALL_STATE(9465)] = 459199,
  [SMALL_STATE(9466)] = 459235,
  [SMALL_STATE(9467)] = 459271,
  [SMALL_STATE(9468)] = 459307,
  [SMALL_STATE(9469)] = 459343,
  [SMALL_STATE(9470)] = 459379,
  [SMALL_STATE(9471)] = 459431,
  [SMALL_STATE(9472)] = 459473,
  [SMALL_STATE(9473)] = 459509,
  [SMALL_STATE(9474)] = 459545,
  [SMALL_STATE(9475)] = 459595,
  [SMALL_STATE(9476)] = 459631,
  [SMALL_STATE(9477)] = 459667,
  [SMALL_STATE(9478)] = 459703,
  [SMALL_STATE(9479)] = 459739,
  [SMALL_STATE(9480)] = 459791,
  [SMALL_STATE(9481)] = 459827,
  [SMALL_STATE(9482)] = 459863,
  [SMALL_STATE(9483)] = 459899,
  [SMALL_STATE(9484)] = 459935,
  [SMALL_STATE(9485)] = 459975,
  [SMALL_STATE(9486)] = 460011,
  [SMALL_STATE(9487)] = 460047,
  [SMALL_STATE(9488)] = 460083,
  [SMALL_STATE(9489)] = 460121,
  [SMALL_STATE(9490)] = 460167,
  [SMALL_STATE(9491)] = 460203,
  [SMALL_STATE(9492)] = 460239,
  [SMALL_STATE(9493)] = 460279,
  [SMALL_STATE(9494)] = 460315,
  [SMALL_STATE(9495)] = 460351,
  [SMALL_STATE(9496)] = 460387,
  [SMALL_STATE(9497)] = 460423,
  [SMALL_STATE(9498)] = 460459,
  [SMALL_STATE(9499)] = 460495,
  [SMALL_STATE(9500)] = 460531,
  [SMALL_STATE(9501)] = 460581,
  [SMALL_STATE(9502)] = 460617,
  [SMALL_STATE(9503)] = 460653,
  [SMALL_STATE(9504)] = 460691,
  [SMALL_STATE(9505)] = 460729,
  [SMALL_STATE(9506)] = 460765,
  [SMALL_STATE(9507)] = 460803,
  [SMALL_STATE(9508)] = 460839,
  [SMALL_STATE(9509)] = 460879,
  [SMALL_STATE(9510)] = 460921,
  [SMALL_STATE(9511)] = 460957,
  [SMALL_STATE(9512)] = 461009,
  [SMALL_STATE(9513)] = 461045,
  [SMALL_STATE(9514)] = 461081,
  [SMALL_STATE(9515)] = 461121,
  [SMALL_STATE(9516)] = 461157,
  [SMALL_STATE(9517)] = 461193,
  [SMALL_STATE(9518)] = 461233,
  [SMALL_STATE(9519)] = 461269,
  [SMALL_STATE(9520)] = 461305,
  [SMALL_STATE(9521)] = 461341,
  [SMALL_STATE(9522)] = 461377,
  [SMALL_STATE(9523)] = 461417,
  [SMALL_STATE(9524)] = 461453,
  [SMALL_STATE(9525)] = 461489,
  [SMALL_STATE(9526)] = 461539,
  [SMALL_STATE(9527)] = 461591,
  [SMALL_STATE(9528)] = 461627,
  [SMALL_STATE(9529)] = 461663,
  [SMALL_STATE(9530)] = 461699,
  [SMALL_STATE(9531)] = 461735,
  [SMALL_STATE(9532)] = 461771,
  [SMALL_STATE(9533)] = 461807,
  [SMALL_STATE(9534)] = 461845,
  [SMALL_STATE(9535)] = 461881,
  [SMALL_STATE(9536)] = 461917,
  [SMALL_STATE(9537)] = 461953,
  [SMALL_STATE(9538)] = 461989,
  [SMALL_STATE(9539)] = 462031,
  [SMALL_STATE(9540)] = 462077,
  [SMALL_STATE(9541)] = 462113,
  [SMALL_STATE(9542)] = 462149,
  [SMALL_STATE(9543)] = 462185,
  [SMALL_STATE(9544)] = 462221,
  [SMALL_STATE(9545)] = 462257,
  [SMALL_STATE(9546)] = 462293,
  [SMALL_STATE(9547)] = 462329,
  [SMALL_STATE(9548)] = 462365,
  [SMALL_STATE(9549)] = 462401,
  [SMALL_STATE(9550)] = 462437,
  [SMALL_STATE(9551)] = 462473,
  [SMALL_STATE(9552)] = 462519,
  [SMALL_STATE(9553)] = 462555,
  [SMALL_STATE(9554)] = 462591,
  [SMALL_STATE(9555)] = 462627,
  [SMALL_STATE(9556)] = 462663,
  [SMALL_STATE(9557)] = 462699,
  [SMALL_STATE(9558)] = 462735,
  [SMALL_STATE(9559)] = 462771,
  [SMALL_STATE(9560)] = 462807,
  [SMALL_STATE(9561)] = 462847,
  [SMALL_STATE(9562)] = 462897,
  [SMALL_STATE(9563)] = 462933,
  [SMALL_STATE(9564)] = 462969,
  [SMALL_STATE(9565)] = 463005,
  [SMALL_STATE(9566)] = 463051,
  [SMALL_STATE(9567)] = 463087,
  [SMALL_STATE(9568)] = 463121,
  [SMALL_STATE(9569)] = 463157,
  [SMALL_STATE(9570)] = 463193,
  [SMALL_STATE(9571)] = 463229,
  [SMALL_STATE(9572)] = 463265,
  [SMALL_STATE(9573)] = 463317,
  [SMALL_STATE(9574)] = 463353,
  [SMALL_STATE(9575)] = 463389,
  [SMALL_STATE(9576)] = 463439,
  [SMALL_STATE(9577)] = 463485,
  [SMALL_STATE(9578)] = 463521,
  [SMALL_STATE(9579)] = 463557,
  [SMALL_STATE(9580)] = 463593,
  [SMALL_STATE(9581)] = 463629,
  [SMALL_STATE(9582)] = 463665,
  [SMALL_STATE(9583)] = 463707,
  [SMALL_STATE(9584)] = 463743,
  [SMALL_STATE(9585)] = 463779,
  [SMALL_STATE(9586)] = 463819,
  [SMALL_STATE(9587)] = 463855,
  [SMALL_STATE(9588)] = 463891,
  [SMALL_STATE(9589)] = 463937,
  [SMALL_STATE(9590)] = 463973,
  [SMALL_STATE(9591)] = 464009,
  [SMALL_STATE(9592)] = 464045,
  [SMALL_STATE(9593)] = 464081,
  [SMALL_STATE(9594)] = 464117,
  [SMALL_STATE(9595)] = 464153,
  [SMALL_STATE(9596)] = 464195,
  [SMALL_STATE(9597)] = 464231,
  [SMALL_STATE(9598)] = 464267,
  [SMALL_STATE(9599)] = 464303,
  [SMALL_STATE(9600)] = 464339,
  [SMALL_STATE(9601)] = 464377,
  [SMALL_STATE(9602)] = 464415,
  [SMALL_STATE(9603)] = 464467,
  [SMALL_STATE(9604)] = 464503,
  [SMALL_STATE(9605)] = 464539,
  [SMALL_STATE(9606)] = 464575,
  [SMALL_STATE(9607)] = 464615,
  [SMALL_STATE(9608)] = 464651,
  [SMALL_STATE(9609)] = 464687,
  [SMALL_STATE(9610)] = 464723,
  [SMALL_STATE(9611)] = 464759,
  [SMALL_STATE(9612)] = 464795,
  [SMALL_STATE(9613)] = 464831,
  [SMALL_STATE(9614)] = 464867,
  [SMALL_STATE(9615)] = 464913,
  [SMALL_STATE(9616)] = 464949,
  [SMALL_STATE(9617)] = 464985,
  [SMALL_STATE(9618)] = 465025,
  [SMALL_STATE(9619)] = 465061,
  [SMALL_STATE(9620)] = 465097,
  [SMALL_STATE(9621)] = 465143,
  [SMALL_STATE(9622)] = 465179,
  [SMALL_STATE(9623)] = 465215,
  [SMALL_STATE(9624)] = 465251,
  [SMALL_STATE(9625)] = 465287,
  [SMALL_STATE(9626)] = 465323,
  [SMALL_STATE(9627)] = 465359,
  [SMALL_STATE(9628)] = 465399,
  [SMALL_STATE(9629)] = 465435,
  [SMALL_STATE(9630)] = 465471,
  [SMALL_STATE(9631)] = 465507,
  [SMALL_STATE(9632)] = 465545,
  [SMALL_STATE(9633)] = 465581,
  [SMALL_STATE(9634)] = 465617,
  [SMALL_STATE(9635)] = 465653,
  [SMALL_STATE(9636)] = 465689,
  [SMALL_STATE(9637)] = 465725,
  [SMALL_STATE(9638)] = 465761,
  [SMALL_STATE(9639)] = 465797,
  [SMALL_STATE(9640)] = 465837,
  [SMALL_STATE(9641)] = 465873,
  [SMALL_STATE(9642)] = 465909,
  [SMALL_STATE(9643)] = 465955,
  [SMALL_STATE(9644)] = 465991,
  [SMALL_STATE(9645)] = 466027,
  [SMALL_STATE(9646)] = 466063,
  [SMALL_STATE(9647)] = 466101,
  [SMALL_STATE(9648)] = 466137,
  [SMALL_STATE(9649)] = 466173,
  [SMALL_STATE(9650)] = 466209,
  [SMALL_STATE(9651)] = 466245,
  [SMALL_STATE(9652)] = 466287,
  [SMALL_STATE(9653)] = 466323,
  [SMALL_STATE(9654)] = 466359,
  [SMALL_STATE(9655)] = 466395,
  [SMALL_STATE(9656)] = 466431,
  [SMALL_STATE(9657)] = 466467,
  [SMALL_STATE(9658)] = 466503,
  [SMALL_STATE(9659)] = 466543,
  [SMALL_STATE(9660)] = 466579,
  [SMALL_STATE(9661)] = 466615,
  [SMALL_STATE(9662)] = 466651,
  [SMALL_STATE(9663)] = 466687,
  [SMALL_STATE(9664)] = 466725,
  [SMALL_STATE(9665)] = 466761,
  [SMALL_STATE(9666)] = 466807,
  [SMALL_STATE(9667)] = 466859,
  [SMALL_STATE(9668)] = 466895,
  [SMALL_STATE(9669)] = 466931,
  [SMALL_STATE(9670)] = 466967,
  [SMALL_STATE(9671)] = 467025,
  [SMALL_STATE(9672)] = 467061,
  [SMALL_STATE(9673)] = 467097,
  [SMALL_STATE(9674)] = 467133,
  [SMALL_STATE(9675)] = 467169,
  [SMALL_STATE(9676)] = 467211,
  [SMALL_STATE(9677)] = 467247,
  [SMALL_STATE(9678)] = 467283,
  [SMALL_STATE(9679)] = 467319,
  [SMALL_STATE(9680)] = 467355,
  [SMALL_STATE(9681)] = 467391,
  [SMALL_STATE(9682)] = 467429,
  [SMALL_STATE(9683)] = 467465,
  [SMALL_STATE(9684)] = 467501,
  [SMALL_STATE(9685)] = 467537,
  [SMALL_STATE(9686)] = 467589,
  [SMALL_STATE(9687)] = 467625,
  [SMALL_STATE(9688)] = 467661,
  [SMALL_STATE(9689)] = 467697,
  [SMALL_STATE(9690)] = 467733,
  [SMALL_STATE(9691)] = 467769,
  [SMALL_STATE(9692)] = 467805,
  [SMALL_STATE(9693)] = 467841,
  [SMALL_STATE(9694)] = 467891,
  [SMALL_STATE(9695)] = 467937,
  [SMALL_STATE(9696)] = 467979,
  [SMALL_STATE(9697)] = 468015,
  [SMALL_STATE(9698)] = 468051,
  [SMALL_STATE(9699)] = 468091,
  [SMALL_STATE(9700)] = 468127,
  [SMALL_STATE(9701)] = 468163,
  [SMALL_STATE(9702)] = 468199,
  [SMALL_STATE(9703)] = 468235,
  [SMALL_STATE(9704)] = 468281,
  [SMALL_STATE(9705)] = 468321,
  [SMALL_STATE(9706)] = 468357,
  [SMALL_STATE(9707)] = 468393,
  [SMALL_STATE(9708)] = 468439,
  [SMALL_STATE(9709)] = 468475,
  [SMALL_STATE(9710)] = 468511,
  [SMALL_STATE(9711)] = 468547,
  [SMALL_STATE(9712)] = 468583,
  [SMALL_STATE(9713)] = 468635,
  [SMALL_STATE(9714)] = 468671,
  [SMALL_STATE(9715)] = 468707,
  [SMALL_STATE(9716)] = 468743,
  [SMALL_STATE(9717)] = 468779,
  [SMALL_STATE(9718)] = 468819,
  [SMALL_STATE(9719)] = 468865,
  [SMALL_STATE(9720)] = 468903,
  [SMALL_STATE(9721)] = 468939,
  [SMALL_STATE(9722)] = 468991,
  [SMALL_STATE(9723)] = 469043,
  [SMALL_STATE(9724)] = 469093,
  [SMALL_STATE(9725)] = 469129,
  [SMALL_STATE(9726)] = 469165,
  [SMALL_STATE(9727)] = 469201,
  [SMALL_STATE(9728)] = 469237,
  [SMALL_STATE(9729)] = 469273,
  [SMALL_STATE(9730)] = 469309,
  [SMALL_STATE(9731)] = 469345,
  [SMALL_STATE(9732)] = 469381,
  [SMALL_STATE(9733)] = 469430,
  [SMALL_STATE(9734)] = 469465,
  [SMALL_STATE(9735)] = 469500,
  [SMALL_STATE(9736)] = 469535,
  [SMALL_STATE(9737)] = 469570,
  [SMALL_STATE(9738)] = 469621,
  [SMALL_STATE(9739)] = 469656,
  [SMALL_STATE(9740)] = 469691,
  [SMALL_STATE(9741)] = 469728,
  [SMALL_STATE(9742)] = 469787,
  [SMALL_STATE(9743)] = 469824,
  [SMALL_STATE(9744)] = 469859,
  [SMALL_STATE(9745)] = 469918,
  [SMALL_STATE(9746)] = 469953,
  [SMALL_STATE(9747)] = 469988,
  [SMALL_STATE(9748)] = 470023,
  [SMALL_STATE(9749)] = 470058,
  [SMALL_STATE(9750)] = 470093,
  [SMALL_STATE(9751)] = 470128,
  [SMALL_STATE(9752)] = 470163,
  [SMALL_STATE(9753)] = 470202,
  [SMALL_STATE(9754)] = 470241,
  [SMALL_STATE(9755)] = 470276,
  [SMALL_STATE(9756)] = 470311,
  [SMALL_STATE(9757)] = 470346,
  [SMALL_STATE(9758)] = 470381,
  [SMALL_STATE(9759)] = 470416,
  [SMALL_STATE(9760)] = 470451,
  [SMALL_STATE(9761)] = 470486,
  [SMALL_STATE(9762)] = 470537,
  [SMALL_STATE(9763)] = 470598,
  [SMALL_STATE(9764)] = 470647,
  [SMALL_STATE(9765)] = 470682,
  [SMALL_STATE(9766)] = 470717,
  [SMALL_STATE(9767)] = 470752,
  [SMALL_STATE(9768)] = 470813,
  [SMALL_STATE(9769)] = 470848,
  [SMALL_STATE(9770)] = 470899,
  [SMALL_STATE(9771)] = 470934,
  [SMALL_STATE(9772)] = 470969,
  [SMALL_STATE(9773)] = 471008,
  [SMALL_STATE(9774)] = 471043,
  [SMALL_STATE(9775)] = 471078,
  [SMALL_STATE(9776)] = 471139,
  [SMALL_STATE(9777)] = 471174,
  [SMALL_STATE(9778)] = 471225,
  [SMALL_STATE(9779)] = 471264,
  [SMALL_STATE(9780)] = 471299,
  [SMALL_STATE(9781)] = 471334,
  [SMALL_STATE(9782)] = 471369,
  [SMALL_STATE(9783)] = 471404,
  [SMALL_STATE(9784)] = 471453,
  [SMALL_STATE(9785)] = 471488,
  [SMALL_STATE(9786)] = 471529,
  [SMALL_STATE(9787)] = 471566,
  [SMALL_STATE(9788)] = 471601,
  [SMALL_STATE(9789)] = 471636,
  [SMALL_STATE(9790)] = 471671,
  [SMALL_STATE(9791)] = 471706,
  [SMALL_STATE(9792)] = 471757,
  [SMALL_STATE(9793)] = 471792,
  [SMALL_STATE(9794)] = 471827,
  [SMALL_STATE(9795)] = 471862,
  [SMALL_STATE(9796)] = 471897,
  [SMALL_STATE(9797)] = 471932,
  [SMALL_STATE(9798)] = 471993,
  [SMALL_STATE(9799)] = 472028,
  [SMALL_STATE(9800)] = 472063,
  [SMALL_STATE(9801)] = 472098,
  [SMALL_STATE(9802)] = 472149,
  [SMALL_STATE(9803)] = 472200,
  [SMALL_STATE(9804)] = 472235,
  [SMALL_STATE(9805)] = 472296,
  [SMALL_STATE(9806)] = 472331,
  [SMALL_STATE(9807)] = 472382,
  [SMALL_STATE(9808)] = 472417,
  [SMALL_STATE(9809)] = 472452,
  [SMALL_STATE(9810)] = 472487,
  [SMALL_STATE(9811)] = 472522,
  [SMALL_STATE(9812)] = 472557,
  [SMALL_STATE(9813)] = 472592,
  [SMALL_STATE(9814)] = 472627,
  [SMALL_STATE(9815)] = 472662,
  [SMALL_STATE(9816)] = 472697,
  [SMALL_STATE(9817)] = 472732,
  [SMALL_STATE(9818)] = 472767,
  [SMALL_STATE(9819)] = 472802,
  [SMALL_STATE(9820)] = 472837,
  [SMALL_STATE(9821)] = 472872,
  [SMALL_STATE(9822)] = 472933,
  [SMALL_STATE(9823)] = 472972,
  [SMALL_STATE(9824)] = 473007,
  [SMALL_STATE(9825)] = 473042,
  [SMALL_STATE(9826)] = 473081,
  [SMALL_STATE(9827)] = 473120,
  [SMALL_STATE(9828)] = 473159,
  [SMALL_STATE(9829)] = 473198,
  [SMALL_STATE(9830)] = 473233,
  [SMALL_STATE(9831)] = 473268,
  [SMALL_STATE(9832)] = 473303,
  [SMALL_STATE(9833)] = 473338,
  [SMALL_STATE(9834)] = 473373,
  [SMALL_STATE(9835)] = 473408,
  [SMALL_STATE(9836)] = 473449,
  [SMALL_STATE(9837)] = 473484,
  [SMALL_STATE(9838)] = 473519,
  [SMALL_STATE(9839)] = 473554,
  [SMALL_STATE(9840)] = 473589,
  [SMALL_STATE(9841)] = 473630,
  [SMALL_STATE(9842)] = 473671,
  [SMALL_STATE(9843)] = 473710,
  [SMALL_STATE(9844)] = 473749,
  [SMALL_STATE(9845)] = 473784,
  [SMALL_STATE(9846)] = 473825,
  [SMALL_STATE(9847)] = 473860,
  [SMALL_STATE(9848)] = 473895,
  [SMALL_STATE(9849)] = 473930,
  [SMALL_STATE(9850)] = 473965,
  [SMALL_STATE(9851)] = 474026,
  [SMALL_STATE(9852)] = 474061,
  [SMALL_STATE(9853)] = 474100,
  [SMALL_STATE(9854)] = 474139,
  [SMALL_STATE(9855)] = 474178,
  [SMALL_STATE(9856)] = 474213,
  [SMALL_STATE(9857)] = 474248,
  [SMALL_STATE(9858)] = 474289,
  [SMALL_STATE(9859)] = 474324,
  [SMALL_STATE(9860)] = 474359,
  [SMALL_STATE(9861)] = 474410,
  [SMALL_STATE(9862)] = 474445,
  [SMALL_STATE(9863)] = 474480,
  [SMALL_STATE(9864)] = 474515,
  [SMALL_STATE(9865)] = 474550,
  [SMALL_STATE(9866)] = 474589,
  [SMALL_STATE(9867)] = 474624,
  [SMALL_STATE(9868)] = 474659,
  [SMALL_STATE(9869)] = 474694,
  [SMALL_STATE(9870)] = 474729,
  [SMALL_STATE(9871)] = 474764,
  [SMALL_STATE(9872)] = 474805,
  [SMALL_STATE(9873)] = 474840,
  [SMALL_STATE(9874)] = 474875,
  [SMALL_STATE(9875)] = 474910,
  [SMALL_STATE(9876)] = 474945,
  [SMALL_STATE(9877)] = 474984,
  [SMALL_STATE(9878)] = 475019,
  [SMALL_STATE(9879)] = 475054,
  [SMALL_STATE(9880)] = 475095,
  [SMALL_STATE(9881)] = 475134,
  [SMALL_STATE(9882)] = 475169,
  [SMALL_STATE(9883)] = 475204,
  [SMALL_STATE(9884)] = 475239,
  [SMALL_STATE(9885)] = 475274,
  [SMALL_STATE(9886)] = 475335,
  [SMALL_STATE(9887)] = 475370,
  [SMALL_STATE(9888)] = 475405,
  [SMALL_STATE(9889)] = 475466,
  [SMALL_STATE(9890)] = 475527,
  [SMALL_STATE(9891)] = 475562,
  [SMALL_STATE(9892)] = 475597,
  [SMALL_STATE(9893)] = 475638,
  [SMALL_STATE(9894)] = 475673,
  [SMALL_STATE(9895)] = 475708,
  [SMALL_STATE(9896)] = 475743,
  [SMALL_STATE(9897)] = 475778,
  [SMALL_STATE(9898)] = 475813,
  [SMALL_STATE(9899)] = 475848,
  [SMALL_STATE(9900)] = 475883,
  [SMALL_STATE(9901)] = 475918,
  [SMALL_STATE(9902)] = 475953,
  [SMALL_STATE(9903)] = 475988,
  [SMALL_STATE(9904)] = 476023,
  [SMALL_STATE(9905)] = 476084,
  [SMALL_STATE(9906)] = 476125,
  [SMALL_STATE(9907)] = 476164,
  [SMALL_STATE(9908)] = 476203,
  [SMALL_STATE(9909)] = 476238,
  [SMALL_STATE(9910)] = 476287,
  [SMALL_STATE(9911)] = 476324,
  [SMALL_STATE(9912)] = 476359,
  [SMALL_STATE(9913)] = 476394,
  [SMALL_STATE(9914)] = 476429,
  [SMALL_STATE(9915)] = 476464,
  [SMALL_STATE(9916)] = 476499,
  [SMALL_STATE(9917)] = 476538,
  [SMALL_STATE(9918)] = 476599,
  [SMALL_STATE(9919)] = 476634,
  [SMALL_STATE(9920)] = 476669,
  [SMALL_STATE(9921)] = 476704,
  [SMALL_STATE(9922)] = 476739,
  [SMALL_STATE(9923)] = 476780,
  [SMALL_STATE(9924)] = 476841,
  [SMALL_STATE(9925)] = 476876,
  [SMALL_STATE(9926)] = 476927,
  [SMALL_STATE(9927)] = 476962,
  [SMALL_STATE(9928)] = 477023,
  [SMALL_STATE(9929)] = 477058,
  [SMALL_STATE(9930)] = 477093,
  [SMALL_STATE(9931)] = 477128,
  [SMALL_STATE(9932)] = 477163,
  [SMALL_STATE(9933)] = 477224,
  [SMALL_STATE(9934)] = 477259,
  [SMALL_STATE(9935)] = 477294,
  [SMALL_STATE(9936)] = 477329,
  [SMALL_STATE(9937)] = 477390,
  [SMALL_STATE(9938)] = 477425,
  [SMALL_STATE(9939)] = 477474,
  [SMALL_STATE(9940)] = 477509,
  [SMALL_STATE(9941)] = 477544,
  [SMALL_STATE(9942)] = 477579,
  [SMALL_STATE(9943)] = 477614,
  [SMALL_STATE(9944)] = 477649,
  [SMALL_STATE(9945)] = 477684,
  [SMALL_STATE(9946)] = 477723,
  [SMALL_STATE(9947)] = 477776,
  [SMALL_STATE(9948)] = 477811,
  [SMALL_STATE(9949)] = 477846,
  [SMALL_STATE(9950)] = 477881,
  [SMALL_STATE(9951)] = 477916,
  [SMALL_STATE(9952)] = 477951,
  [SMALL_STATE(9953)] = 477986,
  [SMALL_STATE(9954)] = 478025,
  [SMALL_STATE(9955)] = 478060,
  [SMALL_STATE(9956)] = 478095,
  [SMALL_STATE(9957)] = 478130,
  [SMALL_STATE(9958)] = 478165,
  [SMALL_STATE(9959)] = 478200,
  [SMALL_STATE(9960)] = 478235,
  [SMALL_STATE(9961)] = 478274,
  [SMALL_STATE(9962)] = 478309,
  [SMALL_STATE(9963)] = 478344,
  [SMALL_STATE(9964)] = 478379,
  [SMALL_STATE(9965)] = 478440,
  [SMALL_STATE(9966)] = 478475,
  [SMALL_STATE(9967)] = 478510,
  [SMALL_STATE(9968)] = 478545,
  [SMALL_STATE(9969)] = 478580,
  [SMALL_STATE(9970)] = 478615,
  [SMALL_STATE(9971)] = 478654,
  [SMALL_STATE(9972)] = 478689,
  [SMALL_STATE(9973)] = 478740,
  [SMALL_STATE(9974)] = 478775,
  [SMALL_STATE(9975)] = 478810,
  [SMALL_STATE(9976)] = 478851,
  [SMALL_STATE(9977)] = 478886,
  [SMALL_STATE(9978)] = 478921,
  [SMALL_STATE(9979)] = 478960,
  [SMALL_STATE(9980)] = 479005,
  [SMALL_STATE(9981)] = 479040,
  [SMALL_STATE(9982)] = 479075,
  [SMALL_STATE(9983)] = 479110,
  [SMALL_STATE(9984)] = 479145,
  [SMALL_STATE(9985)] = 479180,
  [SMALL_STATE(9986)] = 479215,
  [SMALL_STATE(9987)] = 479250,
  [SMALL_STATE(9988)] = 479285,
  [SMALL_STATE(9989)] = 479320,
  [SMALL_STATE(9990)] = 479355,
  [SMALL_STATE(9991)] = 479390,
  [SMALL_STATE(9992)] = 479425,
  [SMALL_STATE(9993)] = 479460,
  [SMALL_STATE(9994)] = 479499,
  [SMALL_STATE(9995)] = 479556,
  [SMALL_STATE(9996)] = 479591,
  [SMALL_STATE(9997)] = 479626,
  [SMALL_STATE(9998)] = 479661,
  [SMALL_STATE(9999)] = 479696,
  [SMALL_STATE(10000)] = 479731,
  [SMALL_STATE(10001)] = 479772,
  [SMALL_STATE(10002)] = 479807,
  [SMALL_STATE(10003)] = 479842,
  [SMALL_STATE(10004)] = 479877,
  [SMALL_STATE(10005)] = 479912,
  [SMALL_STATE(10006)] = 479947,
  [SMALL_STATE(10007)] = 479986,
  [SMALL_STATE(10008)] = 480025,
  [SMALL_STATE(10009)] = 480066,
  [SMALL_STATE(10010)] = 480107,
  [SMALL_STATE(10011)] = 480142,
  [SMALL_STATE(10012)] = 480177,
  [SMALL_STATE(10013)] = 480212,
  [SMALL_STATE(10014)] = 480247,
  [SMALL_STATE(10015)] = 480282,
  [SMALL_STATE(10016)] = 480317,
  [SMALL_STATE(10017)] = 480352,
  [SMALL_STATE(10018)] = 480397,
  [SMALL_STATE(10019)] = 480432,
  [SMALL_STATE(10020)] = 480467,
  [SMALL_STATE(10021)] = 480502,
  [SMALL_STATE(10022)] = 480541,
  [SMALL_STATE(10023)] = 480578,
  [SMALL_STATE(10024)] = 480613,
  [SMALL_STATE(10025)] = 480648,
  [SMALL_STATE(10026)] = 480683,
  [SMALL_STATE(10027)] = 480718,
  [SMALL_STATE(10028)] = 480753,
  [SMALL_STATE(10029)] = 480802,
  [SMALL_STATE(10030)] = 480837,
  [SMALL_STATE(10031)] = 480872,
  [SMALL_STATE(10032)] = 480907,
  [SMALL_STATE(10033)] = 480946,
  [SMALL_STATE(10034)] = 480981,
  [SMALL_STATE(10035)] = 481020,
  [SMALL_STATE(10036)] = 481055,
  [SMALL_STATE(10037)] = 481096,
  [SMALL_STATE(10038)] = 481131,
  [SMALL_STATE(10039)] = 481166,
  [SMALL_STATE(10040)] = 481215,
  [SMALL_STATE(10041)] = 481250,
  [SMALL_STATE(10042)] = 481285,
  [SMALL_STATE(10043)] = 481320,
  [SMALL_STATE(10044)] = 481355,
  [SMALL_STATE(10045)] = 481390,
  [SMALL_STATE(10046)] = 481425,
  [SMALL_STATE(10047)] = 481466,
  [SMALL_STATE(10048)] = 481501,
  [SMALL_STATE(10049)] = 481536,
  [SMALL_STATE(10050)] = 481571,
  [SMALL_STATE(10051)] = 481606,
  [SMALL_STATE(10052)] = 481645,
  [SMALL_STATE(10053)] = 481680,
  [SMALL_STATE(10054)] = 481731,
  [SMALL_STATE(10055)] = 481766,
  [SMALL_STATE(10056)] = 481801,
  [SMALL_STATE(10057)] = 481842,
  [SMALL_STATE(10058)] = 481877,
  [SMALL_STATE(10059)] = 481938,
  [SMALL_STATE(10060)] = 481973,
  [SMALL_STATE(10061)] = 482006,
  [SMALL_STATE(10062)] = 482041,
  [SMALL_STATE(10063)] = 482076,
  [SMALL_STATE(10064)] = 482111,
  [SMALL_STATE(10065)] = 482150,
  [SMALL_STATE(10066)] = 482185,
  [SMALL_STATE(10067)] = 482220,
  [SMALL_STATE(10068)] = 482259,
  [SMALL_STATE(10069)] = 482294,
  [SMALL_STATE(10070)] = 482333,
  [SMALL_STATE(10071)] = 482368,
  [SMALL_STATE(10072)] = 482403,
  [SMALL_STATE(10073)] = 482438,
  [SMALL_STATE(10074)] = 482473,
  [SMALL_STATE(10075)] = 482508,
  [SMALL_STATE(10076)] = 482543,
  [SMALL_STATE(10077)] = 482578,
  [SMALL_STATE(10078)] = 482613,
  [SMALL_STATE(10079)] = 482648,
  [SMALL_STATE(10080)] = 482683,
  [SMALL_STATE(10081)] = 482718,
  [SMALL_STATE(10082)] = 482753,
  [SMALL_STATE(10083)] = 482788,
  [SMALL_STATE(10084)] = 482837,
  [SMALL_STATE(10085)] = 482872,
  [SMALL_STATE(10086)] = 482907,
  [SMALL_STATE(10087)] = 482942,
  [SMALL_STATE(10088)] = 482981,
  [SMALL_STATE(10089)] = 483032,
  [SMALL_STATE(10090)] = 483067,
  [SMALL_STATE(10091)] = 483118,
  [SMALL_STATE(10092)] = 483157,
  [SMALL_STATE(10093)] = 483196,
  [SMALL_STATE(10094)] = 483231,
  [SMALL_STATE(10095)] = 483266,
  [SMALL_STATE(10096)] = 483301,
  [SMALL_STATE(10097)] = 483336,
  [SMALL_STATE(10098)] = 483371,
  [SMALL_STATE(10099)] = 483406,
  [SMALL_STATE(10100)] = 483441,
  [SMALL_STATE(10101)] = 483480,
  [SMALL_STATE(10102)] = 483515,
  [SMALL_STATE(10103)] = 483566,
  [SMALL_STATE(10104)] = 483601,
  [SMALL_STATE(10105)] = 483636,
  [SMALL_STATE(10106)] = 483687,
  [SMALL_STATE(10107)] = 483722,
  [SMALL_STATE(10108)] = 483757,
  [SMALL_STATE(10109)] = 483800,
  [SMALL_STATE(10110)] = 483835,
  [SMALL_STATE(10111)] = 483870,
  [SMALL_STATE(10112)] = 483911,
  [SMALL_STATE(10113)] = 483946,
  [SMALL_STATE(10114)] = 483981,
  [SMALL_STATE(10115)] = 484020,
  [SMALL_STATE(10116)] = 484055,
  [SMALL_STATE(10117)] = 484090,
  [SMALL_STATE(10118)] = 484127,
  [SMALL_STATE(10119)] = 484178,
  [SMALL_STATE(10120)] = 484213,
  [SMALL_STATE(10121)] = 484248,
  [SMALL_STATE(10122)] = 484283,
  [SMALL_STATE(10123)] = 484318,
  [SMALL_STATE(10124)] = 484353,
  [SMALL_STATE(10125)] = 484388,
  [SMALL_STATE(10126)] = 484423,
  [SMALL_STATE(10127)] = 484462,
  [SMALL_STATE(10128)] = 484496,
  [SMALL_STATE(10129)] = 484530,
  [SMALL_STATE(10130)] = 484570,
  [SMALL_STATE(10131)] = 484604,
  [SMALL_STATE(10132)] = 484638,
  [SMALL_STATE(10133)] = 484672,
  [SMALL_STATE(10134)] = 484706,
  [SMALL_STATE(10135)] = 484740,
  [SMALL_STATE(10136)] = 484774,
  [SMALL_STATE(10137)] = 484808,
  [SMALL_STATE(10138)] = 484844,
  [SMALL_STATE(10139)] = 484878,
  [SMALL_STATE(10140)] = 484930,
  [SMALL_STATE(10141)] = 484982,
  [SMALL_STATE(10142)] = 485016,
  [SMALL_STATE(10143)] = 485050,
  [SMALL_STATE(10144)] = 485084,
  [SMALL_STATE(10145)] = 485122,
  [SMALL_STATE(10146)] = 485156,
  [SMALL_STATE(10147)] = 485190,
  [SMALL_STATE(10148)] = 485240,
  [SMALL_STATE(10149)] = 485292,
  [SMALL_STATE(10150)] = 485326,
  [SMALL_STATE(10151)] = 485378,
  [SMALL_STATE(10152)] = 485430,
  [SMALL_STATE(10153)] = 485464,
  [SMALL_STATE(10154)] = 485498,
  [SMALL_STATE(10155)] = 485550,
  [SMALL_STATE(10156)] = 485586,
  [SMALL_STATE(10157)] = 485622,
  [SMALL_STATE(10158)] = 485674,
  [SMALL_STATE(10159)] = 485708,
  [SMALL_STATE(10160)] = 485758,
  [SMALL_STATE(10161)] = 485792,
  [SMALL_STATE(10162)] = 485826,
  [SMALL_STATE(10163)] = 485862,
  [SMALL_STATE(10164)] = 485898,
  [SMALL_STATE(10165)] = 485936,
  [SMALL_STATE(10166)] = 485970,
  [SMALL_STATE(10167)] = 486004,
  [SMALL_STATE(10168)] = 486040,
  [SMALL_STATE(10169)] = 486074,
  [SMALL_STATE(10170)] = 486108,
  [SMALL_STATE(10171)] = 486142,
  [SMALL_STATE(10172)] = 486176,
  [SMALL_STATE(10173)] = 486210,
  [SMALL_STATE(10174)] = 486244,
  [SMALL_STATE(10175)] = 486278,
  [SMALL_STATE(10176)] = 486314,
  [SMALL_STATE(10177)] = 486348,
  [SMALL_STATE(10178)] = 486382,
  [SMALL_STATE(10179)] = 486418,
  [SMALL_STATE(10180)] = 486452,
  [SMALL_STATE(10181)] = 486488,
  [SMALL_STATE(10182)] = 486522,
  [SMALL_STATE(10183)] = 486578,
  [SMALL_STATE(10184)] = 486618,
  [SMALL_STATE(10185)] = 486652,
  [SMALL_STATE(10186)] = 486686,
  [SMALL_STATE(10187)] = 486738,
  [SMALL_STATE(10188)] = 486772,
  [SMALL_STATE(10189)] = 486806,
  [SMALL_STATE(10190)] = 486840,
  [SMALL_STATE(10191)] = 486876,
  [SMALL_STATE(10192)] = 486910,
  [SMALL_STATE(10193)] = 486962,
  [SMALL_STATE(10194)] = 487014,
  [SMALL_STATE(10195)] = 487048,
  [SMALL_STATE(10196)] = 487082,
  [SMALL_STATE(10197)] = 487116,
  [SMALL_STATE(10198)] = 487150,
  [SMALL_STATE(10199)] = 487184,
  [SMALL_STATE(10200)] = 487218,
  [SMALL_STATE(10201)] = 487270,
  [SMALL_STATE(10202)] = 487304,
  [SMALL_STATE(10203)] = 487340,
  [SMALL_STATE(10204)] = 487374,
  [SMALL_STATE(10205)] = 487408,
  [SMALL_STATE(10206)] = 487442,
  [SMALL_STATE(10207)] = 487476,
  [SMALL_STATE(10208)] = 487510,
  [SMALL_STATE(10209)] = 487544,
  [SMALL_STATE(10210)] = 487584,
  [SMALL_STATE(10211)] = 487618,
  [SMALL_STATE(10212)] = 487652,
  [SMALL_STATE(10213)] = 487686,
  [SMALL_STATE(10214)] = 487738,
  [SMALL_STATE(10215)] = 487772,
  [SMALL_STATE(10216)] = 487808,
  [SMALL_STATE(10217)] = 487842,
  [SMALL_STATE(10218)] = 487876,
  [SMALL_STATE(10219)] = 487910,
  [SMALL_STATE(10220)] = 487944,
  [SMALL_STATE(10221)] = 487978,
  [SMALL_STATE(10222)] = 488014,
  [SMALL_STATE(10223)] = 488064,
  [SMALL_STATE(10224)] = 488098,
  [SMALL_STATE(10225)] = 488132,
  [SMALL_STATE(10226)] = 488180,
  [SMALL_STATE(10227)] = 488232,
  [SMALL_STATE(10228)] = 488266,
  [SMALL_STATE(10229)] = 488300,
  [SMALL_STATE(10230)] = 488352,
  [SMALL_STATE(10231)] = 488386,
  [SMALL_STATE(10232)] = 488422,
  [SMALL_STATE(10233)] = 488456,
  [SMALL_STATE(10234)] = 488490,
  [SMALL_STATE(10235)] = 488524,
  [SMALL_STATE(10236)] = 488562,
  [SMALL_STATE(10237)] = 488596,
  [SMALL_STATE(10238)] = 488630,
  [SMALL_STATE(10239)] = 488664,
  [SMALL_STATE(10240)] = 488698,
  [SMALL_STATE(10241)] = 488734,
  [SMALL_STATE(10242)] = 488770,
  [SMALL_STATE(10243)] = 488804,
  [SMALL_STATE(10244)] = 488838,
  [SMALL_STATE(10245)] = 488878,
  [SMALL_STATE(10246)] = 488912,
  [SMALL_STATE(10247)] = 488956,
  [SMALL_STATE(10248)] = 489006,
  [SMALL_STATE(10249)] = 489040,
  [SMALL_STATE(10250)] = 489074,
  [SMALL_STATE(10251)] = 489108,
  [SMALL_STATE(10252)] = 489142,
  [SMALL_STATE(10253)] = 489182,
  [SMALL_STATE(10254)] = 489216,
  [SMALL_STATE(10255)] = 489254,
  [SMALL_STATE(10256)] = 489288,
  [SMALL_STATE(10257)] = 489326,
  [SMALL_STATE(10258)] = 489362,
  [SMALL_STATE(10259)] = 489396,
  [SMALL_STATE(10260)] = 489430,
  [SMALL_STATE(10261)] = 489490,
  [SMALL_STATE(10262)] = 489524,
  [SMALL_STATE(10263)] = 489558,
  [SMALL_STATE(10264)] = 489598,
  [SMALL_STATE(10265)] = 489654,
  [SMALL_STATE(10266)] = 489688,
  [SMALL_STATE(10267)] = 489722,
  [SMALL_STATE(10268)] = 489756,
  [SMALL_STATE(10269)] = 489808,
  [SMALL_STATE(10270)] = 489842,
  [SMALL_STATE(10271)] = 489892,
  [SMALL_STATE(10272)] = 489926,
  [SMALL_STATE(10273)] = 489960,
  [SMALL_STATE(10274)] = 490010,
  [SMALL_STATE(10275)] = 490062,
  [SMALL_STATE(10276)] = 490110,
  [SMALL_STATE(10277)] = 490162,
  [SMALL_STATE(10278)] = 490212,
  [SMALL_STATE(10279)] = 490246,
  [SMALL_STATE(10280)] = 490298,
  [SMALL_STATE(10281)] = 490332,
  [SMALL_STATE(10282)] = 490366,
  [SMALL_STATE(10283)] = 490402,
  [SMALL_STATE(10284)] = 490436,
  [SMALL_STATE(10285)] = 490470,
  [SMALL_STATE(10286)] = 490522,
  [SMALL_STATE(10287)] = 490556,
  [SMALL_STATE(10288)] = 490590,
  [SMALL_STATE(10289)] = 490624,
  [SMALL_STATE(10290)] = 490662,
  [SMALL_STATE(10291)] = 490722,
  [SMALL_STATE(10292)] = 490756,
  [SMALL_STATE(10293)] = 490790,
  [SMALL_STATE(10294)] = 490824,
  [SMALL_STATE(10295)] = 490858,
  [SMALL_STATE(10296)] = 490914,
  [SMALL_STATE(10297)] = 490964,
  [SMALL_STATE(10298)] = 490998,
  [SMALL_STATE(10299)] = 491032,
  [SMALL_STATE(10300)] = 491066,
  [SMALL_STATE(10301)] = 491100,
  [SMALL_STATE(10302)] = 491134,
  [SMALL_STATE(10303)] = 491168,
  [SMALL_STATE(10304)] = 491208,
  [SMALL_STATE(10305)] = 491258,
  [SMALL_STATE(10306)] = 491318,
  [SMALL_STATE(10307)] = 491368,
  [SMALL_STATE(10308)] = 491402,
  [SMALL_STATE(10309)] = 491438,
  [SMALL_STATE(10310)] = 491472,
  [SMALL_STATE(10311)] = 491506,
  [SMALL_STATE(10312)] = 491562,
  [SMALL_STATE(10313)] = 491600,
  [SMALL_STATE(10314)] = 491634,
  [SMALL_STATE(10315)] = 491668,
  [SMALL_STATE(10316)] = 491706,
  [SMALL_STATE(10317)] = 491740,
  [SMALL_STATE(10318)] = 491774,
  [SMALL_STATE(10319)] = 491808,
  [SMALL_STATE(10320)] = 491842,
  [SMALL_STATE(10321)] = 491876,
  [SMALL_STATE(10322)] = 491910,
  [SMALL_STATE(10323)] = 491962,
  [SMALL_STATE(10324)] = 491996,
  [SMALL_STATE(10325)] = 492034,
  [SMALL_STATE(10326)] = 492070,
  [SMALL_STATE(10327)] = 492104,
  [SMALL_STATE(10328)] = 492138,
  [SMALL_STATE(10329)] = 492194,
  [SMALL_STATE(10330)] = 492238,
  [SMALL_STATE(10331)] = 492272,
  [SMALL_STATE(10332)] = 492306,
  [SMALL_STATE(10333)] = 492346,
  [SMALL_STATE(10334)] = 492380,
  [SMALL_STATE(10335)] = 492414,
  [SMALL_STATE(10336)] = 492448,
  [SMALL_STATE(10337)] = 492482,
  [SMALL_STATE(10338)] = 492516,
  [SMALL_STATE(10339)] = 492568,
  [SMALL_STATE(10340)] = 492602,
  [SMALL_STATE(10341)] = 492638,
  [SMALL_STATE(10342)] = 492672,
  [SMALL_STATE(10343)] = 492706,
  [SMALL_STATE(10344)] = 492740,
  [SMALL_STATE(10345)] = 492774,
  [SMALL_STATE(10346)] = 492812,
  [SMALL_STATE(10347)] = 492862,
  [SMALL_STATE(10348)] = 492896,
  [SMALL_STATE(10349)] = 492930,
  [SMALL_STATE(10350)] = 492964,
  [SMALL_STATE(10351)] = 492998,
  [SMALL_STATE(10352)] = 493032,
  [SMALL_STATE(10353)] = 493066,
  [SMALL_STATE(10354)] = 493116,
  [SMALL_STATE(10355)] = 493168,
  [SMALL_STATE(10356)] = 493202,
  [SMALL_STATE(10357)] = 493236,
  [SMALL_STATE(10358)] = 493272,
  [SMALL_STATE(10359)] = 493306,
  [SMALL_STATE(10360)] = 493340,
  [SMALL_STATE(10361)] = 493392,
  [SMALL_STATE(10362)] = 493426,
  [SMALL_STATE(10363)] = 493460,
  [SMALL_STATE(10364)] = 493496,
  [SMALL_STATE(10365)] = 493530,
  [SMALL_STATE(10366)] = 493584,
  [SMALL_STATE(10367)] = 493620,
  [SMALL_STATE(10368)] = 493654,
  [SMALL_STATE(10369)] = 493688,
  [SMALL_STATE(10370)] = 493740,
  [SMALL_STATE(10371)] = 493774,
  [SMALL_STATE(10372)] = 493808,
  [SMALL_STATE(10373)] = 493860,
  [SMALL_STATE(10374)] = 493916,
  [SMALL_STATE(10375)] = 493950,
  [SMALL_STATE(10376)] = 493984,
  [SMALL_STATE(10377)] = 494018,
  [SMALL_STATE(10378)] = 494052,
  [SMALL_STATE(10379)] = 494086,
  [SMALL_STATE(10380)] = 494122,
  [SMALL_STATE(10381)] = 494156,
  [SMALL_STATE(10382)] = 494196,
  [SMALL_STATE(10383)] = 494230,
  [SMALL_STATE(10384)] = 494264,
  [SMALL_STATE(10385)] = 494304,
  [SMALL_STATE(10386)] = 494356,
  [SMALL_STATE(10387)] = 494406,
  [SMALL_STATE(10388)] = 494440,
  [SMALL_STATE(10389)] = 494496,
  [SMALL_STATE(10390)] = 494530,
  [SMALL_STATE(10391)] = 494564,
  [SMALL_STATE(10392)] = 494604,
  [SMALL_STATE(10393)] = 494638,
  [SMALL_STATE(10394)] = 494672,
  [SMALL_STATE(10395)] = 494706,
  [SMALL_STATE(10396)] = 494754,
  [SMALL_STATE(10397)] = 494806,
  [SMALL_STATE(10398)] = 494844,
  [SMALL_STATE(10399)] = 494880,
  [SMALL_STATE(10400)] = 494920,
  [SMALL_STATE(10401)] = 494958,
  [SMALL_STATE(10402)] = 494992,
  [SMALL_STATE(10403)] = 495028,
  [SMALL_STATE(10404)] = 495078,
  [SMALL_STATE(10405)] = 495128,
  [SMALL_STATE(10406)] = 495178,
  [SMALL_STATE(10407)] = 495222,
  [SMALL_STATE(10408)] = 495256,
  [SMALL_STATE(10409)] = 495290,
  [SMALL_STATE(10410)] = 495324,
  [SMALL_STATE(10411)] = 495364,
  [SMALL_STATE(10412)] = 495398,
  [SMALL_STATE(10413)] = 495432,
  [SMALL_STATE(10414)] = 495466,
  [SMALL_STATE(10415)] = 495514,
  [SMALL_STATE(10416)] = 495548,
  [SMALL_STATE(10417)] = 495582,
  [SMALL_STATE(10418)] = 495634,
  [SMALL_STATE(10419)] = 495668,
  [SMALL_STATE(10420)] = 495702,
  [SMALL_STATE(10421)] = 495738,
  [SMALL_STATE(10422)] = 495786,
  [SMALL_STATE(10423)] = 495826,
  [SMALL_STATE(10424)] = 495860,
  [SMALL_STATE(10425)] = 495898,
  [SMALL_STATE(10426)] = 495948,
  [SMALL_STATE(10427)] = 495982,
  [SMALL_STATE(10428)] = 496022,
  [SMALL_STATE(10429)] = 496056,
  [SMALL_STATE(10430)] = 496090,
  [SMALL_STATE(10431)] = 496124,
  [SMALL_STATE(10432)] = 496158,
  [SMALL_STATE(10433)] = 496192,
  [SMALL_STATE(10434)] = 496226,
  [SMALL_STATE(10435)] = 496260,
  [SMALL_STATE(10436)] = 496316,
  [SMALL_STATE(10437)] = 496350,
  [SMALL_STATE(10438)] = 496402,
  [SMALL_STATE(10439)] = 496436,
  [SMALL_STATE(10440)] = 496470,
  [SMALL_STATE(10441)] = 496504,
  [SMALL_STATE(10442)] = 496552,
  [SMALL_STATE(10443)] = 496586,
  [SMALL_STATE(10444)] = 496632,
  [SMALL_STATE(10445)] = 496665,
  [SMALL_STATE(10446)] = 496698,
  [SMALL_STATE(10447)] = 496747,
  [SMALL_STATE(10448)] = 496802,
  [SMALL_STATE(10449)] = 496835,
  [SMALL_STATE(10450)] = 496886,
  [SMALL_STATE(10451)] = 496919,
  [SMALL_STATE(10452)] = 496952,
  [SMALL_STATE(10453)] = 497001,
  [SMALL_STATE(10454)] = 497034,
  [SMALL_STATE(10455)] = 497067,
  [SMALL_STATE(10456)] = 497100,
  [SMALL_STATE(10457)] = 497147,
  [SMALL_STATE(10458)] = 497202,
  [SMALL_STATE(10459)] = 497235,
  [SMALL_STATE(10460)] = 497268,
  [SMALL_STATE(10461)] = 497301,
  [SMALL_STATE(10462)] = 497334,
  [SMALL_STATE(10463)] = 497367,
  [SMALL_STATE(10464)] = 497400,
  [SMALL_STATE(10465)] = 497433,
  [SMALL_STATE(10466)] = 497466,
  [SMALL_STATE(10467)] = 497499,
  [SMALL_STATE(10468)] = 497546,
  [SMALL_STATE(10469)] = 497595,
  [SMALL_STATE(10470)] = 497628,
  [SMALL_STATE(10471)] = 497661,
  [SMALL_STATE(10472)] = 497694,
  [SMALL_STATE(10473)] = 497749,
  [SMALL_STATE(10474)] = 497804,
  [SMALL_STATE(10475)] = 497837,
  [SMALL_STATE(10476)] = 497870,
  [SMALL_STATE(10477)] = 497903,
  [SMALL_STATE(10478)] = 497940,
  [SMALL_STATE(10479)] = 497973,
  [SMALL_STATE(10480)] = 498006,
  [SMALL_STATE(10481)] = 498055,
  [SMALL_STATE(10482)] = 498088,
  [SMALL_STATE(10483)] = 498135,
  [SMALL_STATE(10484)] = 498168,
  [SMALL_STATE(10485)] = 498201,
  [SMALL_STATE(10486)] = 498238,
  [SMALL_STATE(10487)] = 498271,
  [SMALL_STATE(10488)] = 498326,
  [SMALL_STATE(10489)] = 498359,
  [SMALL_STATE(10490)] = 498414,
  [SMALL_STATE(10491)] = 498449,
  [SMALL_STATE(10492)] = 498504,
  [SMALL_STATE(10493)] = 498541,
  [SMALL_STATE(10494)] = 498574,
  [SMALL_STATE(10495)] = 498607,
  [SMALL_STATE(10496)] = 498646,
  [SMALL_STATE(10497)] = 498679,
  [SMALL_STATE(10498)] = 498716,
  [SMALL_STATE(10499)] = 498771,
  [SMALL_STATE(10500)] = 498804,
  [SMALL_STATE(10501)] = 498837,
  [SMALL_STATE(10502)] = 498874,
  [SMALL_STATE(10503)] = 498921,
  [SMALL_STATE(10504)] = 498954,
  [SMALL_STATE(10505)] = 498987,
  [SMALL_STATE(10506)] = 499020,
  [SMALL_STATE(10507)] = 499069,
  [SMALL_STATE(10508)] = 499102,
  [SMALL_STATE(10509)] = 499141,
  [SMALL_STATE(10510)] = 499180,
  [SMALL_STATE(10511)] = 499227,
  [SMALL_STATE(10512)] = 499260,
  [SMALL_STATE(10513)] = 499293,
  [SMALL_STATE(10514)] = 499344,
  [SMALL_STATE(10515)] = 499395,
  [SMALL_STATE(10516)] = 499428,
  [SMALL_STATE(10517)] = 499465,
  [SMALL_STATE(10518)] = 499504,
  [SMALL_STATE(10519)] = 499537,
  [SMALL_STATE(10520)] = 499576,
  [SMALL_STATE(10521)] = 499615,
  [SMALL_STATE(10522)] = 499648,
  [SMALL_STATE(10523)] = 499681,
  [SMALL_STATE(10524)] = 499730,
  [SMALL_STATE(10525)] = 499763,
  [SMALL_STATE(10526)] = 499796,
  [SMALL_STATE(10527)] = 499833,
  [SMALL_STATE(10528)] = 499868,
  [SMALL_STATE(10529)] = 499901,
  [SMALL_STATE(10530)] = 499948,
  [SMALL_STATE(10531)] = 499987,
  [SMALL_STATE(10532)] = 500020,
  [SMALL_STATE(10533)] = 500063,
  [SMALL_STATE(10534)] = 500096,
  [SMALL_STATE(10535)] = 500129,
  [SMALL_STATE(10536)] = 500168,
  [SMALL_STATE(10537)] = 500203,
  [SMALL_STATE(10538)] = 500236,
  [SMALL_STATE(10539)] = 500273,
  [SMALL_STATE(10540)] = 500306,
  [SMALL_STATE(10541)] = 500353,
  [SMALL_STATE(10542)] = 500392,
  [SMALL_STATE(10543)] = 500425,
  [SMALL_STATE(10544)] = 500464,
  [SMALL_STATE(10545)] = 500511,
  [SMALL_STATE(10546)] = 500558,
  [SMALL_STATE(10547)] = 500593,
  [SMALL_STATE(10548)] = 500626,
  [SMALL_STATE(10549)] = 500659,
  [SMALL_STATE(10550)] = 500692,
  [SMALL_STATE(10551)] = 500725,
  [SMALL_STATE(10552)] = 500758,
  [SMALL_STATE(10553)] = 500813,
  [SMALL_STATE(10554)] = 500846,
  [SMALL_STATE(10555)] = 500895,
  [SMALL_STATE(10556)] = 500950,
  [SMALL_STATE(10557)] = 500983,
  [SMALL_STATE(10558)] = 501016,
  [SMALL_STATE(10559)] = 501049,
  [SMALL_STATE(10560)] = 501082,
  [SMALL_STATE(10561)] = 501115,
  [SMALL_STATE(10562)] = 501152,
  [SMALL_STATE(10563)] = 501185,
  [SMALL_STATE(10564)] = 501218,
  [SMALL_STATE(10565)] = 501255,
  [SMALL_STATE(10566)] = 501288,
  [SMALL_STATE(10567)] = 501321,
  [SMALL_STATE(10568)] = 501360,
  [SMALL_STATE(10569)] = 501409,
  [SMALL_STATE(10570)] = 501442,
  [SMALL_STATE(10571)] = 501475,
  [SMALL_STATE(10572)] = 501508,
  [SMALL_STATE(10573)] = 501557,
  [SMALL_STATE(10574)] = 501590,
  [SMALL_STATE(10575)] = 501623,
  [SMALL_STATE(10576)] = 501656,
  [SMALL_STATE(10577)] = 501691,
  [SMALL_STATE(10578)] = 501738,
  [SMALL_STATE(10579)] = 501787,
  [SMALL_STATE(10580)] = 501820,
  [SMALL_STATE(10581)] = 501875,
  [SMALL_STATE(10582)] = 501908,
  [SMALL_STATE(10583)] = 501963,
  [SMALL_STATE(10584)] = 502000,
  [SMALL_STATE(10585)] = 502033,
  [SMALL_STATE(10586)] = 502066,
  [SMALL_STATE(10587)] = 502113,
  [SMALL_STATE(10588)] = 502146,
  [SMALL_STATE(10589)] = 502179,
  [SMALL_STATE(10590)] = 502212,
  [SMALL_STATE(10591)] = 502259,
  [SMALL_STATE(10592)] = 502292,
  [SMALL_STATE(10593)] = 502325,
  [SMALL_STATE(10594)] = 502358,
  [SMALL_STATE(10595)] = 502405,
  [SMALL_STATE(10596)] = 502438,
  [SMALL_STATE(10597)] = 502471,
  [SMALL_STATE(10598)] = 502504,
  [SMALL_STATE(10599)] = 502543,
  [SMALL_STATE(10600)] = 502576,
  [SMALL_STATE(10601)] = 502609,
  [SMALL_STATE(10602)] = 502642,
  [SMALL_STATE(10603)] = 502689,
  [SMALL_STATE(10604)] = 502722,
  [SMALL_STATE(10605)] = 502777,
  [SMALL_STATE(10606)] = 502810,
  [SMALL_STATE(10607)] = 502843,
  [SMALL_STATE(10608)] = 502876,
  [SMALL_STATE(10609)] = 502909,
  [SMALL_STATE(10610)] = 502942,
  [SMALL_STATE(10611)] = 502975,
  [SMALL_STATE(10612)] = 503008,
  [SMALL_STATE(10613)] = 503041,
  [SMALL_STATE(10614)] = 503074,
  [SMALL_STATE(10615)] = 503107,
  [SMALL_STATE(10616)] = 503140,
  [SMALL_STATE(10617)] = 503173,
  [SMALL_STATE(10618)] = 503206,
  [SMALL_STATE(10619)] = 503243,
  [SMALL_STATE(10620)] = 503276,
  [SMALL_STATE(10621)] = 503325,
  [SMALL_STATE(10622)] = 503362,
  [SMALL_STATE(10623)] = 503395,
  [SMALL_STATE(10624)] = 503428,
  [SMALL_STATE(10625)] = 503461,
  [SMALL_STATE(10626)] = 503494,
  [SMALL_STATE(10627)] = 503527,
  [SMALL_STATE(10628)] = 503564,
  [SMALL_STATE(10629)] = 503597,
  [SMALL_STATE(10630)] = 503630,
  [SMALL_STATE(10631)] = 503663,
  [SMALL_STATE(10632)] = 503696,
  [SMALL_STATE(10633)] = 503729,
  [SMALL_STATE(10634)] = 503776,
  [SMALL_STATE(10635)] = 503809,
  [SMALL_STATE(10636)] = 503842,
  [SMALL_STATE(10637)] = 503875,
  [SMALL_STATE(10638)] = 503912,
  [SMALL_STATE(10639)] = 503945,
  [SMALL_STATE(10640)] = 503978,
  [SMALL_STATE(10641)] = 504021,
  [SMALL_STATE(10642)] = 504068,
  [SMALL_STATE(10643)] = 504117,
  [SMALL_STATE(10644)] = 504164,
  [SMALL_STATE(10645)] = 504203,
  [SMALL_STATE(10646)] = 504236,
  [SMALL_STATE(10647)] = 504269,
  [SMALL_STATE(10648)] = 504316,
  [SMALL_STATE(10649)] = 504371,
  [SMALL_STATE(10650)] = 504404,
  [SMALL_STATE(10651)] = 504451,
  [SMALL_STATE(10652)] = 504484,
  [SMALL_STATE(10653)] = 504517,
  [SMALL_STATE(10654)] = 504572,
  [SMALL_STATE(10655)] = 504605,
  [SMALL_STATE(10656)] = 504638,
  [SMALL_STATE(10657)] = 504671,
  [SMALL_STATE(10658)] = 504704,
  [SMALL_STATE(10659)] = 504737,
  [SMALL_STATE(10660)] = 504774,
  [SMALL_STATE(10661)] = 504807,
  [SMALL_STATE(10662)] = 504840,
  [SMALL_STATE(10663)] = 504895,
  [SMALL_STATE(10664)] = 504927,
  [SMALL_STATE(10665)] = 504965,
  [SMALL_STATE(10666)] = 504997,
  [SMALL_STATE(10667)] = 505051,
  [SMALL_STATE(10668)] = 505097,
  [SMALL_STATE(10669)] = 505129,
  [SMALL_STATE(10670)] = 505161,
  [SMALL_STATE(10671)] = 505209,
  [SMALL_STATE(10672)] = 505251,
  [SMALL_STATE(10673)] = 505297,
  [SMALL_STATE(10674)] = 505329,
  [SMALL_STATE(10675)] = 505359,
  [SMALL_STATE(10676)] = 505391,
  [SMALL_STATE(10677)] = 505423,
  [SMALL_STATE(10678)] = 505461,
  [SMALL_STATE(10679)] = 505499,
  [SMALL_STATE(10680)] = 505547,
  [SMALL_STATE(10681)] = 505601,
  [SMALL_STATE(10682)] = 505637,
  [SMALL_STATE(10683)] = 505689,
  [SMALL_STATE(10684)] = 505727,
  [SMALL_STATE(10685)] = 505759,
  [SMALL_STATE(10686)] = 505791,
  [SMALL_STATE(10687)] = 505839,
  [SMALL_STATE(10688)] = 505869,
  [SMALL_STATE(10689)] = 505901,
  [SMALL_STATE(10690)] = 505933,
  [SMALL_STATE(10691)] = 505965,
  [SMALL_STATE(10692)] = 505997,
  [SMALL_STATE(10693)] = 506051,
  [SMALL_STATE(10694)] = 506081,
  [SMALL_STATE(10695)] = 506131,
  [SMALL_STATE(10696)] = 506169,
  [SMALL_STATE(10697)] = 506201,
  [SMALL_STATE(10698)] = 506233,
  [SMALL_STATE(10699)] = 506271,
  [SMALL_STATE(10700)] = 506303,
  [SMALL_STATE(10701)] = 506335,
  [SMALL_STATE(10702)] = 506385,
  [SMALL_STATE(10703)] = 506415,
  [SMALL_STATE(10704)] = 506447,
  [SMALL_STATE(10705)] = 506479,
  [SMALL_STATE(10706)] = 506509,
  [SMALL_STATE(10707)] = 506559,
  [SMALL_STATE(10708)] = 506595,
  [SMALL_STATE(10709)] = 506645,
  [SMALL_STATE(10710)] = 506677,
  [SMALL_STATE(10711)] = 506715,
  [SMALL_STATE(10712)] = 506747,
  [SMALL_STATE(10713)] = 506779,
  [SMALL_STATE(10714)] = 506811,
  [SMALL_STATE(10715)] = 506849,
  [SMALL_STATE(10716)] = 506881,
  [SMALL_STATE(10717)] = 506913,
  [SMALL_STATE(10718)] = 506963,
  [SMALL_STATE(10719)] = 506995,
  [SMALL_STATE(10720)] = 507027,
  [SMALL_STATE(10721)] = 507081,
  [SMALL_STATE(10722)] = 507113,
  [SMALL_STATE(10723)] = 507145,
  [SMALL_STATE(10724)] = 507177,
  [SMALL_STATE(10725)] = 507209,
  [SMALL_STATE(10726)] = 507251,
  [SMALL_STATE(10727)] = 507283,
  [SMALL_STATE(10728)] = 507315,
  [SMALL_STATE(10729)] = 507347,
  [SMALL_STATE(10730)] = 507379,
  [SMALL_STATE(10731)] = 507411,
  [SMALL_STATE(10732)] = 507443,
  [SMALL_STATE(10733)] = 507479,
  [SMALL_STATE(10734)] = 507517,
  [SMALL_STATE(10735)] = 507555,
  [SMALL_STATE(10736)] = 507607,
  [SMALL_STATE(10737)] = 507659,
  [SMALL_STATE(10738)] = 507711,
  [SMALL_STATE(10739)] = 507743,
  [SMALL_STATE(10740)] = 507793,
  [SMALL_STATE(10741)] = 507825,
  [SMALL_STATE(10742)] = 507879,
  [SMALL_STATE(10743)] = 507911,
  [SMALL_STATE(10744)] = 507965,
  [SMALL_STATE(10745)] = 508019,
  [SMALL_STATE(10746)] = 508051,
  [SMALL_STATE(10747)] = 508101,
  [SMALL_STATE(10748)] = 508149,
  [SMALL_STATE(10749)] = 508199,
  [SMALL_STATE(10750)] = 508231,
  [SMALL_STATE(10751)] = 508263,
  [SMALL_STATE(10752)] = 508299,
  [SMALL_STATE(10753)] = 508331,
  [SMALL_STATE(10754)] = 508365,
  [SMALL_STATE(10755)] = 508397,
  [SMALL_STATE(10756)] = 508445,
  [SMALL_STATE(10757)] = 508477,
  [SMALL_STATE(10758)] = 508509,
  [SMALL_STATE(10759)] = 508541,
  [SMALL_STATE(10760)] = 508577,
  [SMALL_STATE(10761)] = 508609,
  [SMALL_STATE(10762)] = 508641,
  [SMALL_STATE(10763)] = 508673,
  [SMALL_STATE(10764)] = 508719,
  [SMALL_STATE(10765)] = 508751,
  [SMALL_STATE(10766)] = 508783,
  [SMALL_STATE(10767)] = 508833,
  [SMALL_STATE(10768)] = 508883,
  [SMALL_STATE(10769)] = 508913,
  [SMALL_STATE(10770)] = 508945,
  [SMALL_STATE(10771)] = 508977,
  [SMALL_STATE(10772)] = 509009,
  [SMALL_STATE(10773)] = 509061,
  [SMALL_STATE(10774)] = 509093,
  [SMALL_STATE(10775)] = 509125,
  [SMALL_STATE(10776)] = 509155,
  [SMALL_STATE(10777)] = 509187,
  [SMALL_STATE(10778)] = 509217,
  [SMALL_STATE(10779)] = 509249,
  [SMALL_STATE(10780)] = 509281,
  [SMALL_STATE(10781)] = 509313,
  [SMALL_STATE(10782)] = 509345,
  [SMALL_STATE(10783)] = 509375,
  [SMALL_STATE(10784)] = 509405,
  [SMALL_STATE(10785)] = 509455,
  [SMALL_STATE(10786)] = 509505,
  [SMALL_STATE(10787)] = 509537,
  [SMALL_STATE(10788)] = 509569,
  [SMALL_STATE(10789)] = 509601,
  [SMALL_STATE(10790)] = 509633,
  [SMALL_STATE(10791)] = 509665,
  [SMALL_STATE(10792)] = 509697,
  [SMALL_STATE(10793)] = 509729,
  [SMALL_STATE(10794)] = 509761,
  [SMALL_STATE(10795)] = 509797,
  [SMALL_STATE(10796)] = 509829,
  [SMALL_STATE(10797)] = 509859,
  [SMALL_STATE(10798)] = 509893,
  [SMALL_STATE(10799)] = 509923,
  [SMALL_STATE(10800)] = 509959,
  [SMALL_STATE(10801)] = 509991,
  [SMALL_STATE(10802)] = 510021,
  [SMALL_STATE(10803)] = 510053,
  [SMALL_STATE(10804)] = 510107,
  [SMALL_STATE(10805)] = 510139,
  [SMALL_STATE(10806)] = 510171,
  [SMALL_STATE(10807)] = 510203,
  [SMALL_STATE(10808)] = 510235,
  [SMALL_STATE(10809)] = 510267,
  [SMALL_STATE(10810)] = 510321,
  [SMALL_STATE(10811)] = 510351,
  [SMALL_STATE(10812)] = 510389,
  [SMALL_STATE(10813)] = 510421,
  [SMALL_STATE(10814)] = 510453,
  [SMALL_STATE(10815)] = 510505,
  [SMALL_STATE(10816)] = 510541,
  [SMALL_STATE(10817)] = 510573,
  [SMALL_STATE(10818)] = 510605,
  [SMALL_STATE(10819)] = 510637,
  [SMALL_STATE(10820)] = 510669,
  [SMALL_STATE(10821)] = 510701,
  [SMALL_STATE(10822)] = 510733,
  [SMALL_STATE(10823)] = 510765,
  [SMALL_STATE(10824)] = 510797,
  [SMALL_STATE(10825)] = 510827,
  [SMALL_STATE(10826)] = 510859,
  [SMALL_STATE(10827)] = 510891,
  [SMALL_STATE(10828)] = 510923,
  [SMALL_STATE(10829)] = 510955,
  [SMALL_STATE(10830)] = 510987,
  [SMALL_STATE(10831)] = 511019,
  [SMALL_STATE(10832)] = 511051,
  [SMALL_STATE(10833)] = 511083,
  [SMALL_STATE(10834)] = 511115,
  [SMALL_STATE(10835)] = 511147,
  [SMALL_STATE(10836)] = 511179,
  [SMALL_STATE(10837)] = 511211,
  [SMALL_STATE(10838)] = 511243,
  [SMALL_STATE(10839)] = 511275,
  [SMALL_STATE(10840)] = 511307,
  [SMALL_STATE(10841)] = 511361,
  [SMALL_STATE(10842)] = 511393,
  [SMALL_STATE(10843)] = 511435,
  [SMALL_STATE(10844)] = 511489,
  [SMALL_STATE(10845)] = 511535,
  [SMALL_STATE(10846)] = 511567,
  [SMALL_STATE(10847)] = 511599,
  [SMALL_STATE(10848)] = 511641,
  [SMALL_STATE(10849)] = 511673,
  [SMALL_STATE(10850)] = 511705,
  [SMALL_STATE(10851)] = 511737,
  [SMALL_STATE(10852)] = 511769,
  [SMALL_STATE(10853)] = 511821,
  [SMALL_STATE(10854)] = 511857,
  [SMALL_STATE(10855)] = 511889,
  [SMALL_STATE(10856)] = 511921,
  [SMALL_STATE(10857)] = 511953,
  [SMALL_STATE(10858)] = 511985,
  [SMALL_STATE(10859)] = 512021,
  [SMALL_STATE(10860)] = 512053,
  [SMALL_STATE(10861)] = 512085,
  [SMALL_STATE(10862)] = 512117,
  [SMALL_STATE(10863)] = 512171,
  [SMALL_STATE(10864)] = 512225,
  [SMALL_STATE(10865)] = 512257,
  [SMALL_STATE(10866)] = 512289,
  [SMALL_STATE(10867)] = 512321,
  [SMALL_STATE(10868)] = 512353,
  [SMALL_STATE(10869)] = 512385,
  [SMALL_STATE(10870)] = 512417,
  [SMALL_STATE(10871)] = 512455,
  [SMALL_STATE(10872)] = 512487,
  [SMALL_STATE(10873)] = 512519,
  [SMALL_STATE(10874)] = 512551,
  [SMALL_STATE(10875)] = 512583,
  [SMALL_STATE(10876)] = 512629,
  [SMALL_STATE(10877)] = 512661,
  [SMALL_STATE(10878)] = 512693,
  [SMALL_STATE(10879)] = 512735,
  [SMALL_STATE(10880)] = 512787,
  [SMALL_STATE(10881)] = 512819,
  [SMALL_STATE(10882)] = 512851,
  [SMALL_STATE(10883)] = 512883,
  [SMALL_STATE(10884)] = 512915,
  [SMALL_STATE(10885)] = 512949,
  [SMALL_STATE(10886)] = 512981,
  [SMALL_STATE(10887)] = 513013,
  [SMALL_STATE(10888)] = 513049,
  [SMALL_STATE(10889)] = 513091,
  [SMALL_STATE(10890)] = 513123,
  [SMALL_STATE(10891)] = 513155,
  [SMALL_STATE(10892)] = 513187,
  [SMALL_STATE(10893)] = 513219,
  [SMALL_STATE(10894)] = 513251,
  [SMALL_STATE(10895)] = 513283,
  [SMALL_STATE(10896)] = 513315,
  [SMALL_STATE(10897)] = 513347,
  [SMALL_STATE(10898)] = 513379,
  [SMALL_STATE(10899)] = 513411,
  [SMALL_STATE(10900)] = 513443,
  [SMALL_STATE(10901)] = 513497,
  [SMALL_STATE(10902)] = 513535,
  [SMALL_STATE(10903)] = 513573,
  [SMALL_STATE(10904)] = 513609,
  [SMALL_STATE(10905)] = 513641,
  [SMALL_STATE(10906)] = 513673,
  [SMALL_STATE(10907)] = 513705,
  [SMALL_STATE(10908)] = 513737,
  [SMALL_STATE(10909)] = 513783,
  [SMALL_STATE(10910)] = 513815,
  [SMALL_STATE(10911)] = 513847,
  [SMALL_STATE(10912)] = 513879,
  [SMALL_STATE(10913)] = 513911,
  [SMALL_STATE(10914)] = 513943,
  [SMALL_STATE(10915)] = 513975,
  [SMALL_STATE(10916)] = 514011,
  [SMALL_STATE(10917)] = 514043,
  [SMALL_STATE(10918)] = 514085,
  [SMALL_STATE(10919)] = 514117,
  [SMALL_STATE(10920)] = 514151,
  [SMALL_STATE(10921)] = 514183,
  [SMALL_STATE(10922)] = 514215,
  [SMALL_STATE(10923)] = 514247,
  [SMALL_STATE(10924)] = 514279,
  [SMALL_STATE(10925)] = 514311,
  [SMALL_STATE(10926)] = 514343,
  [SMALL_STATE(10927)] = 514375,
  [SMALL_STATE(10928)] = 514425,
  [SMALL_STATE(10929)] = 514457,
  [SMALL_STATE(10930)] = 514489,
  [SMALL_STATE(10931)] = 514519,
  [SMALL_STATE(10932)] = 514551,
  [SMALL_STATE(10933)] = 514583,
  [SMALL_STATE(10934)] = 514637,
  [SMALL_STATE(10935)] = 514691,
  [SMALL_STATE(10936)] = 514723,
  [SMALL_STATE(10937)] = 514753,
  [SMALL_STATE(10938)] = 514807,
  [SMALL_STATE(10939)] = 514861,
  [SMALL_STATE(10940)] = 514893,
  [SMALL_STATE(10941)] = 514925,
  [SMALL_STATE(10942)] = 514957,
  [SMALL_STATE(10943)] = 514989,
  [SMALL_STATE(10944)] = 515039,
  [SMALL_STATE(10945)] = 515087,
  [SMALL_STATE(10946)] = 515119,
  [SMALL_STATE(10947)] = 515159,
  [SMALL_STATE(10948)] = 515191,
  [SMALL_STATE(10949)] = 515227,
  [SMALL_STATE(10950)] = 515259,
  [SMALL_STATE(10951)] = 515300,
  [SMALL_STATE(10952)] = 515331,
  [SMALL_STATE(10953)] = 515362,
  [SMALL_STATE(10954)] = 515393,
  [SMALL_STATE(10955)] = 515442,
  [SMALL_STATE(10956)] = 515473,
  [SMALL_STATE(10957)] = 515504,
  [SMALL_STATE(10958)] = 515533,
  [SMALL_STATE(10959)] = 515564,
  [SMALL_STATE(10960)] = 515595,
  [SMALL_STATE(10961)] = 515636,
  [SMALL_STATE(10962)] = 515681,
  [SMALL_STATE(10963)] = 515712,
  [SMALL_STATE(10964)] = 515743,
  [SMALL_STATE(10965)] = 515774,
  [SMALL_STATE(10966)] = 515805,
  [SMALL_STATE(10967)] = 515836,
  [SMALL_STATE(10968)] = 515867,
  [SMALL_STATE(10969)] = 515896,
  [SMALL_STATE(10970)] = 515927,
  [SMALL_STATE(10971)] = 515956,
  [SMALL_STATE(10972)] = 515987,
  [SMALL_STATE(10973)] = 516034,
  [SMALL_STATE(10974)] = 516065,
  [SMALL_STATE(10975)] = 516096,
  [SMALL_STATE(10976)] = 516125,
  [SMALL_STATE(10977)] = 516160,
  [SMALL_STATE(10978)] = 516195,
  [SMALL_STATE(10979)] = 516226,
  [SMALL_STATE(10980)] = 516257,
  [SMALL_STATE(10981)] = 516304,
  [SMALL_STATE(10982)] = 516335,
  [SMALL_STATE(10983)] = 516364,
  [SMALL_STATE(10984)] = 516395,
  [SMALL_STATE(10985)] = 516436,
  [SMALL_STATE(10986)] = 516467,
  [SMALL_STATE(10987)] = 516496,
  [SMALL_STATE(10988)] = 516525,
  [SMALL_STATE(10989)] = 516554,
  [SMALL_STATE(10990)] = 516585,
  [SMALL_STATE(10991)] = 516618,
  [SMALL_STATE(10992)] = 516667,
  [SMALL_STATE(10993)] = 516702,
  [SMALL_STATE(10994)] = 516733,
  [SMALL_STATE(10995)] = 516782,
  [SMALL_STATE(10996)] = 516829,
  [SMALL_STATE(10997)] = 516860,
  [SMALL_STATE(10998)] = 516909,
  [SMALL_STATE(10999)] = 516940,
  [SMALL_STATE(11000)] = 516971,
  [SMALL_STATE(11001)] = 517020,
  [SMALL_STATE(11002)] = 517067,
  [SMALL_STATE(11003)] = 517098,
  [SMALL_STATE(11004)] = 517147,
  [SMALL_STATE(11005)] = 517196,
  [SMALL_STATE(11006)] = 517227,
  [SMALL_STATE(11007)] = 517258,
  [SMALL_STATE(11008)] = 517289,
  [SMALL_STATE(11009)] = 517318,
  [SMALL_STATE(11010)] = 517349,
  [SMALL_STATE(11011)] = 517380,
  [SMALL_STATE(11012)] = 517415,
  [SMALL_STATE(11013)] = 517450,
  [SMALL_STATE(11014)] = 517481,
  [SMALL_STATE(11015)] = 517512,
  [SMALL_STATE(11016)] = 517543,
  [SMALL_STATE(11017)] = 517578,
  [SMALL_STATE(11018)] = 517609,
  [SMALL_STATE(11019)] = 517640,
  [SMALL_STATE(11020)] = 517671,
  [SMALL_STATE(11021)] = 517716,
  [SMALL_STATE(11022)] = 517747,
  [SMALL_STATE(11023)] = 517782,
  [SMALL_STATE(11024)] = 517813,
  [SMALL_STATE(11025)] = 517844,
  [SMALL_STATE(11026)] = 517875,
  [SMALL_STATE(11027)] = 517910,
  [SMALL_STATE(11028)] = 517941,
  [SMALL_STATE(11029)] = 517972,
  [SMALL_STATE(11030)] = 518007,
  [SMALL_STATE(11031)] = 518048,
  [SMALL_STATE(11032)] = 518097,
  [SMALL_STATE(11033)] = 518130,
  [SMALL_STATE(11034)] = 518161,
  [SMALL_STATE(11035)] = 518192,
  [SMALL_STATE(11036)] = 518221,
  [SMALL_STATE(11037)] = 518256,
  [SMALL_STATE(11038)] = 518287,
  [SMALL_STATE(11039)] = 518318,
  [SMALL_STATE(11040)] = 518365,
  [SMALL_STATE(11041)] = 518396,
  [SMALL_STATE(11042)] = 518427,
  [SMALL_STATE(11043)] = 518462,
  [SMALL_STATE(11044)] = 518491,
  [SMALL_STATE(11045)] = 518522,
  [SMALL_STATE(11046)] = 518551,
  [SMALL_STATE(11047)] = 518580,
  [SMALL_STATE(11048)] = 518621,
  [SMALL_STATE(11049)] = 518650,
  [SMALL_STATE(11050)] = 518681,
  [SMALL_STATE(11051)] = 518728,
  [SMALL_STATE(11052)] = 518759,
  [SMALL_STATE(11053)] = 518790,
  [SMALL_STATE(11054)] = 518821,
  [SMALL_STATE(11055)] = 518852,
  [SMALL_STATE(11056)] = 518881,
  [SMALL_STATE(11057)] = 518912,
  [SMALL_STATE(11058)] = 518949,
  [SMALL_STATE(11059)] = 518996,
  [SMALL_STATE(11060)] = 519031,
  [SMALL_STATE(11061)] = 519060,
  [SMALL_STATE(11062)] = 519089,
  [SMALL_STATE(11063)] = 519120,
  [SMALL_STATE(11064)] = 519151,
  [SMALL_STATE(11065)] = 519192,
  [SMALL_STATE(11066)] = 519223,
  [SMALL_STATE(11067)] = 519252,
  [SMALL_STATE(11068)] = 519287,
  [SMALL_STATE(11069)] = 519322,
  [SMALL_STATE(11070)] = 519353,
  [SMALL_STATE(11071)] = 519384,
  [SMALL_STATE(11072)] = 519421,
  [SMALL_STATE(11073)] = 519452,
  [SMALL_STATE(11074)] = 519491,
  [SMALL_STATE(11075)] = 519536,
  [SMALL_STATE(11076)] = 519571,
  [SMALL_STATE(11077)] = 519600,
  [SMALL_STATE(11078)] = 519637,
  [SMALL_STATE(11079)] = 519672,
  [SMALL_STATE(11080)] = 519703,
  [SMALL_STATE(11081)] = 519738,
  [SMALL_STATE(11082)] = 519769,
  [SMALL_STATE(11083)] = 519800,
  [SMALL_STATE(11084)] = 519831,
  [SMALL_STATE(11085)] = 519862,
  [SMALL_STATE(11086)] = 519897,
  [SMALL_STATE(11087)] = 519932,
  [SMALL_STATE(11088)] = 519981,
  [SMALL_STATE(11089)] = 520012,
  [SMALL_STATE(11090)] = 520061,
  [SMALL_STATE(11091)] = 520110,
  [SMALL_STATE(11092)] = 520159,
  [SMALL_STATE(11093)] = 520208,
  [SMALL_STATE(11094)] = 520257,
  [SMALL_STATE(11095)] = 520306,
  [SMALL_STATE(11096)] = 520355,
  [SMALL_STATE(11097)] = 520402,
  [SMALL_STATE(11098)] = 520433,
  [SMALL_STATE(11099)] = 520464,
  [SMALL_STATE(11100)] = 520495,
  [SMALL_STATE(11101)] = 520542,
  [SMALL_STATE(11102)] = 520571,
  [SMALL_STATE(11103)] = 520602,
  [SMALL_STATE(11104)] = 520637,
  [SMALL_STATE(11105)] = 520668,
  [SMALL_STATE(11106)] = 520699,
  [SMALL_STATE(11107)] = 520730,
  [SMALL_STATE(11108)] = 520779,
  [SMALL_STATE(11109)] = 520812,
  [SMALL_STATE(11110)] = 520843,
  [SMALL_STATE(11111)] = 520874,
  [SMALL_STATE(11112)] = 520921,
  [SMALL_STATE(11113)] = 520952,
  [SMALL_STATE(11114)] = 520981,
  [SMALL_STATE(11115)] = 521012,
  [SMALL_STATE(11116)] = 521061,
  [SMALL_STATE(11117)] = 521092,
  [SMALL_STATE(11118)] = 521123,
  [SMALL_STATE(11119)] = 521156,
  [SMALL_STATE(11120)] = 521185,
  [SMALL_STATE(11121)] = 521234,
  [SMALL_STATE(11122)] = 521265,
  [SMALL_STATE(11123)] = 521300,
  [SMALL_STATE(11124)] = 521349,
  [SMALL_STATE(11125)] = 521400,
  [SMALL_STATE(11126)] = 521441,
  [SMALL_STATE(11127)] = 521472,
  [SMALL_STATE(11128)] = 521503,
  [SMALL_STATE(11129)] = 521534,
  [SMALL_STATE(11130)] = 521563,
  [SMALL_STATE(11131)] = 521594,
  [SMALL_STATE(11132)] = 521625,
  [SMALL_STATE(11133)] = 521656,
  [SMALL_STATE(11134)] = 521695,
  [SMALL_STATE(11135)] = 521739,
  [SMALL_STATE(11136)] = 521787,
  [SMALL_STATE(11137)] = 521831,
  [SMALL_STATE(11138)] = 521863,
  [SMALL_STATE(11139)] = 521907,
  [SMALL_STATE(11140)] = 521935,
  [SMALL_STATE(11141)] = 521979,
  [SMALL_STATE(11142)] = 522009,
  [SMALL_STATE(11143)] = 522039,
  [SMALL_STATE(11144)] = 522067,
  [SMALL_STATE(11145)] = 522111,
  [SMALL_STATE(11146)] = 522139,
  [SMALL_STATE(11147)] = 522183,
  [SMALL_STATE(11148)] = 522227,
  [SMALL_STATE(11149)] = 522257,
  [SMALL_STATE(11150)] = 522285,
  [SMALL_STATE(11151)] = 522313,
  [SMALL_STATE(11152)] = 522357,
  [SMALL_STATE(11153)] = 522401,
  [SMALL_STATE(11154)] = 522445,
  [SMALL_STATE(11155)] = 522489,
  [SMALL_STATE(11156)] = 522523,
  [SMALL_STATE(11157)] = 522551,
  [SMALL_STATE(11158)] = 522579,
  [SMALL_STATE(11159)] = 522609,
  [SMALL_STATE(11160)] = 522653,
  [SMALL_STATE(11161)] = 522697,
  [SMALL_STATE(11162)] = 522743,
  [SMALL_STATE(11163)] = 522787,
  [SMALL_STATE(11164)] = 522831,
  [SMALL_STATE(11165)] = 522877,
  [SMALL_STATE(11166)] = 522905,
  [SMALL_STATE(11167)] = 522949,
  [SMALL_STATE(11168)] = 522993,
  [SMALL_STATE(11169)] = 523021,
  [SMALL_STATE(11170)] = 523065,
  [SMALL_STATE(11171)] = 523105,
  [SMALL_STATE(11172)] = 523149,
  [SMALL_STATE(11173)] = 523177,
  [SMALL_STATE(11174)] = 523211,
  [SMALL_STATE(11175)] = 523259,
  [SMALL_STATE(11176)] = 523287,
  [SMALL_STATE(11177)] = 523331,
  [SMALL_STATE(11178)] = 523375,
  [SMALL_STATE(11179)] = 523409,
  [SMALL_STATE(11180)] = 523453,
  [SMALL_STATE(11181)] = 523497,
  [SMALL_STATE(11182)] = 523527,
  [SMALL_STATE(11183)] = 523561,
  [SMALL_STATE(11184)] = 523591,
  [SMALL_STATE(11185)] = 523635,
  [SMALL_STATE(11186)] = 523679,
  [SMALL_STATE(11187)] = 523723,
  [SMALL_STATE(11188)] = 523767,
  [SMALL_STATE(11189)] = 523811,
  [SMALL_STATE(11190)] = 523855,
  [SMALL_STATE(11191)] = 523901,
  [SMALL_STATE(11192)] = 523947,
  [SMALL_STATE(11193)] = 523993,
  [SMALL_STATE(11194)] = 524037,
  [SMALL_STATE(11195)] = 524081,
  [SMALL_STATE(11196)] = 524127,
  [SMALL_STATE(11197)] = 524173,
  [SMALL_STATE(11198)] = 524217,
  [SMALL_STATE(11199)] = 524265,
  [SMALL_STATE(11200)] = 524295,
  [SMALL_STATE(11201)] = 524339,
  [SMALL_STATE(11202)] = 524369,
  [SMALL_STATE(11203)] = 524399,
  [SMALL_STATE(11204)] = 524429,
  [SMALL_STATE(11205)] = 524473,
  [SMALL_STATE(11206)] = 524521,
  [SMALL_STATE(11207)] = 524549,
  [SMALL_STATE(11208)] = 524593,
  [SMALL_STATE(11209)] = 524623,
  [SMALL_STATE(11210)] = 524667,
  [SMALL_STATE(11211)] = 524711,
  [SMALL_STATE(11212)] = 524755,
  [SMALL_STATE(11213)] = 524799,
  [SMALL_STATE(11214)] = 524843,
  [SMALL_STATE(11215)] = 524873,
  [SMALL_STATE(11216)] = 524919,
  [SMALL_STATE(11217)] = 524949,
  [SMALL_STATE(11218)] = 524993,
  [SMALL_STATE(11219)] = 525041,
  [SMALL_STATE(11220)] = 525085,
  [SMALL_STATE(11221)] = 525115,
  [SMALL_STATE(11222)] = 525159,
  [SMALL_STATE(11223)] = 525203,
  [SMALL_STATE(11224)] = 525231,
  [SMALL_STATE(11225)] = 525259,
  [SMALL_STATE(11226)] = 525291,
  [SMALL_STATE(11227)] = 525319,
  [SMALL_STATE(11228)] = 525347,
  [SMALL_STATE(11229)] = 525377,
  [SMALL_STATE(11230)] = 525405,
  [SMALL_STATE(11231)] = 525453,
  [SMALL_STATE(11232)] = 525483,
  [SMALL_STATE(11233)] = 525515,
  [SMALL_STATE(11234)] = 525559,
  [SMALL_STATE(11235)] = 525603,
  [SMALL_STATE(11236)] = 525651,
  [SMALL_STATE(11237)] = 525681,
  [SMALL_STATE(11238)] = 525725,
  [SMALL_STATE(11239)] = 525769,
  [SMALL_STATE(11240)] = 525797,
  [SMALL_STATE(11241)] = 525843,
  [SMALL_STATE(11242)] = 525887,
  [SMALL_STATE(11243)] = 525917,
  [SMALL_STATE(11244)] = 525947,
  [SMALL_STATE(11245)] = 525991,
  [SMALL_STATE(11246)] = 526035,
  [SMALL_STATE(11247)] = 526079,
  [SMALL_STATE(11248)] = 526123,
  [SMALL_STATE(11249)] = 526151,
  [SMALL_STATE(11250)] = 526195,
  [SMALL_STATE(11251)] = 526243,
  [SMALL_STATE(11252)] = 526287,
  [SMALL_STATE(11253)] = 526331,
  [SMALL_STATE(11254)] = 526379,
  [SMALL_STATE(11255)] = 526427,
  [SMALL_STATE(11256)] = 526471,
  [SMALL_STATE(11257)] = 526499,
  [SMALL_STATE(11258)] = 526527,
  [SMALL_STATE(11259)] = 526555,
  [SMALL_STATE(11260)] = 526583,
  [SMALL_STATE(11261)] = 526611,
  [SMALL_STATE(11262)] = 526655,
  [SMALL_STATE(11263)] = 526683,
  [SMALL_STATE(11264)] = 526711,
  [SMALL_STATE(11265)] = 526741,
  [SMALL_STATE(11266)] = 526785,
  [SMALL_STATE(11267)] = 526829,
  [SMALL_STATE(11268)] = 526873,
  [SMALL_STATE(11269)] = 526917,
  [SMALL_STATE(11270)] = 526961,
  [SMALL_STATE(11271)] = 526989,
  [SMALL_STATE(11272)] = 527033,
  [SMALL_STATE(11273)] = 527063,
  [SMALL_STATE(11274)] = 527091,
  [SMALL_STATE(11275)] = 527135,
  [SMALL_STATE(11276)] = 527179,
  [SMALL_STATE(11277)] = 527225,
  [SMALL_STATE(11278)] = 527269,
  [SMALL_STATE(11279)] = 527299,
  [SMALL_STATE(11280)] = 527343,
  [SMALL_STATE(11281)] = 527387,
  [SMALL_STATE(11282)] = 527431,
  [SMALL_STATE(11283)] = 527475,
  [SMALL_STATE(11284)] = 527503,
  [SMALL_STATE(11285)] = 527547,
  [SMALL_STATE(11286)] = 527591,
  [SMALL_STATE(11287)] = 527621,
  [SMALL_STATE(11288)] = 527665,
  [SMALL_STATE(11289)] = 527695,
  [SMALL_STATE(11290)] = 527743,
  [SMALL_STATE(11291)] = 527773,
  [SMALL_STATE(11292)] = 527805,
  [SMALL_STATE(11293)] = 527833,
  [SMALL_STATE(11294)] = 527877,
  [SMALL_STATE(11295)] = 527907,
  [SMALL_STATE(11296)] = 527937,
  [SMALL_STATE(11297)] = 527967,
  [SMALL_STATE(11298)] = 528011,
  [SMALL_STATE(11299)] = 528041,
  [SMALL_STATE(11300)] = 528085,
  [SMALL_STATE(11301)] = 528129,
  [SMALL_STATE(11302)] = 528173,
  [SMALL_STATE(11303)] = 528217,
  [SMALL_STATE(11304)] = 528245,
  [SMALL_STATE(11305)] = 528289,
  [SMALL_STATE(11306)] = 528333,
  [SMALL_STATE(11307)] = 528363,
  [SMALL_STATE(11308)] = 528393,
  [SMALL_STATE(11309)] = 528423,
  [SMALL_STATE(11310)] = 528467,
  [SMALL_STATE(11311)] = 528497,
  [SMALL_STATE(11312)] = 528527,
  [SMALL_STATE(11313)] = 528571,
  [SMALL_STATE(11314)] = 528615,
  [SMALL_STATE(11315)] = 528663,
  [SMALL_STATE(11316)] = 528711,
  [SMALL_STATE(11317)] = 528755,
  [SMALL_STATE(11318)] = 528799,
  [SMALL_STATE(11319)] = 528829,
  [SMALL_STATE(11320)] = 528875,
  [SMALL_STATE(11321)] = 528919,
  [SMALL_STATE(11322)] = 528949,
  [SMALL_STATE(11323)] = 528977,
  [SMALL_STATE(11324)] = 529021,
  [SMALL_STATE(11325)] = 529051,
  [SMALL_STATE(11326)] = 529079,
  [SMALL_STATE(11327)] = 529123,
  [SMALL_STATE(11328)] = 529153,
  [SMALL_STATE(11329)] = 529199,
  [SMALL_STATE(11330)] = 529243,
  [SMALL_STATE(11331)] = 529287,
  [SMALL_STATE(11332)] = 529317,
  [SMALL_STATE(11333)] = 529347,
  [SMALL_STATE(11334)] = 529391,
  [SMALL_STATE(11335)] = 529419,
  [SMALL_STATE(11336)] = 529449,
  [SMALL_STATE(11337)] = 529479,
  [SMALL_STATE(11338)] = 529513,
  [SMALL_STATE(11339)] = 529543,
  [SMALL_STATE(11340)] = 529587,
  [SMALL_STATE(11341)] = 529617,
  [SMALL_STATE(11342)] = 529661,
  [SMALL_STATE(11343)] = 529697,
  [SMALL_STATE(11344)] = 529745,
  [SMALL_STATE(11345)] = 529775,
  [SMALL_STATE(11346)] = 529819,
  [SMALL_STATE(11347)] = 529847,
  [SMALL_STATE(11348)] = 529891,
  [SMALL_STATE(11349)] = 529935,
  [SMALL_STATE(11350)] = 529969,
  [SMALL_STATE(11351)] = 529999,
  [SMALL_STATE(11352)] = 530043,
  [SMALL_STATE(11353)] = 530087,
  [SMALL_STATE(11354)] = 530131,
  [SMALL_STATE(11355)] = 530159,
  [SMALL_STATE(11356)] = 530203,
  [SMALL_STATE(11357)] = 530249,
  [SMALL_STATE(11358)] = 530279,
  [SMALL_STATE(11359)] = 530323,
  [SMALL_STATE(11360)] = 530355,
  [SMALL_STATE(11361)] = 530399,
  [SMALL_STATE(11362)] = 530443,
  [SMALL_STATE(11363)] = 530487,
  [SMALL_STATE(11364)] = 530531,
  [SMALL_STATE(11365)] = 530579,
  [SMALL_STATE(11366)] = 530607,
  [SMALL_STATE(11367)] = 530637,
  [SMALL_STATE(11368)] = 530681,
  [SMALL_STATE(11369)] = 530725,
  [SMALL_STATE(11370)] = 530753,
  [SMALL_STATE(11371)] = 530799,
  [SMALL_STATE(11372)] = 530839,
  [SMALL_STATE(11373)] = 530883,
  [SMALL_STATE(11374)] = 530927,
  [SMALL_STATE(11375)] = 530955,
  [SMALL_STATE(11376)] = 530999,
  [SMALL_STATE(11377)] = 531039,
  [SMALL_STATE(11378)] = 531083,
  [SMALL_STATE(11379)] = 531127,
  [SMALL_STATE(11380)] = 531171,
  [SMALL_STATE(11381)] = 531201,
  [SMALL_STATE(11382)] = 531247,
  [SMALL_STATE(11383)] = 531275,
  [SMALL_STATE(11384)] = 531319,
  [SMALL_STATE(11385)] = 531363,
  [SMALL_STATE(11386)] = 531407,
  [SMALL_STATE(11387)] = 531451,
  [SMALL_STATE(11388)] = 531479,
  [SMALL_STATE(11389)] = 531523,
  [SMALL_STATE(11390)] = 531551,
  [SMALL_STATE(11391)] = 531595,
  [SMALL_STATE(11392)] = 531639,
  [SMALL_STATE(11393)] = 531677,
  [SMALL_STATE(11394)] = 531705,
  [SMALL_STATE(11395)] = 531749,
  [SMALL_STATE(11396)] = 531777,
  [SMALL_STATE(11397)] = 531807,
  [SMALL_STATE(11398)] = 531837,
  [SMALL_STATE(11399)] = 531865,
  [SMALL_STATE(11400)] = 531893,
  [SMALL_STATE(11401)] = 531923,
  [SMALL_STATE(11402)] = 531951,
  [SMALL_STATE(11403)] = 531979,
  [SMALL_STATE(11404)] = 532007,
  [SMALL_STATE(11405)] = 532037,
  [SMALL_STATE(11406)] = 532065,
  [SMALL_STATE(11407)] = 532109,
  [SMALL_STATE(11408)] = 532137,
  [SMALL_STATE(11409)] = 532171,
  [SMALL_STATE(11410)] = 532199,
  [SMALL_STATE(11411)] = 532227,
  [SMALL_STATE(11412)] = 532271,
  [SMALL_STATE(11413)] = 532301,
  [SMALL_STATE(11414)] = 532329,
  [SMALL_STATE(11415)] = 532359,
  [SMALL_STATE(11416)] = 532389,
  [SMALL_STATE(11417)] = 532419,
  [SMALL_STATE(11418)] = 532463,
  [SMALL_STATE(11419)] = 532507,
  [SMALL_STATE(11420)] = 532535,
  [SMALL_STATE(11421)] = 532563,
  [SMALL_STATE(11422)] = 532591,
  [SMALL_STATE(11423)] = 532619,
  [SMALL_STATE(11424)] = 532663,
  [SMALL_STATE(11425)] = 532691,
  [SMALL_STATE(11426)] = 532719,
  [SMALL_STATE(11427)] = 532747,
  [SMALL_STATE(11428)] = 532793,
  [SMALL_STATE(11429)] = 532823,
  [SMALL_STATE(11430)] = 532851,
  [SMALL_STATE(11431)] = 532895,
  [SMALL_STATE(11432)] = 532925,
  [SMALL_STATE(11433)] = 532969,
  [SMALL_STATE(11434)] = 532999,
  [SMALL_STATE(11435)] = 533029,
  [SMALL_STATE(11436)] = 533073,
  [SMALL_STATE(11437)] = 533117,
  [SMALL_STATE(11438)] = 533161,
  [SMALL_STATE(11439)] = 533189,
  [SMALL_STATE(11440)] = 533219,
  [SMALL_STATE(11441)] = 533263,
  [SMALL_STATE(11442)] = 533309,
  [SMALL_STATE(11443)] = 533337,
  [SMALL_STATE(11444)] = 533381,
  [SMALL_STATE(11445)] = 533411,
  [SMALL_STATE(11446)] = 533439,
  [SMALL_STATE(11447)] = 533483,
  [SMALL_STATE(11448)] = 533513,
  [SMALL_STATE(11449)] = 533557,
  [SMALL_STATE(11450)] = 533585,
  [SMALL_STATE(11451)] = 533629,
  [SMALL_STATE(11452)] = 533673,
  [SMALL_STATE(11453)] = 533717,
  [SMALL_STATE(11454)] = 533747,
  [SMALL_STATE(11455)] = 533793,
  [SMALL_STATE(11456)] = 533837,
  [SMALL_STATE(11457)] = 533881,
  [SMALL_STATE(11458)] = 533921,
  [SMALL_STATE(11459)] = 533965,
  [SMALL_STATE(11460)] = 534012,
  [SMALL_STATE(11461)] = 534053,
  [SMALL_STATE(11462)] = 534094,
  [SMALL_STATE(11463)] = 534135,
  [SMALL_STATE(11464)] = 534176,
  [SMALL_STATE(11465)] = 534205,
  [SMALL_STATE(11466)] = 534252,
  [SMALL_STATE(11467)] = 534279,
  [SMALL_STATE(11468)] = 534320,
  [SMALL_STATE(11469)] = 534349,
  [SMALL_STATE(11470)] = 534388,
  [SMALL_STATE(11471)] = 534419,
  [SMALL_STATE(11472)] = 534460,
  [SMALL_STATE(11473)] = 534501,
  [SMALL_STATE(11474)] = 534530,
  [SMALL_STATE(11475)] = 534557,
  [SMALL_STATE(11476)] = 534598,
  [SMALL_STATE(11477)] = 534639,
  [SMALL_STATE(11478)] = 534680,
  [SMALL_STATE(11479)] = 534707,
  [SMALL_STATE(11480)] = 534748,
  [SMALL_STATE(11481)] = 534781,
  [SMALL_STATE(11482)] = 534822,
  [SMALL_STATE(11483)] = 534851,
  [SMALL_STATE(11484)] = 534898,
  [SMALL_STATE(11485)] = 534939,
  [SMALL_STATE(11486)] = 534966,
  [SMALL_STATE(11487)] = 534993,
  [SMALL_STATE(11488)] = 535034,
  [SMALL_STATE(11489)] = 535075,
  [SMALL_STATE(11490)] = 535104,
  [SMALL_STATE(11491)] = 535145,
  [SMALL_STATE(11492)] = 535186,
  [SMALL_STATE(11493)] = 535213,
  [SMALL_STATE(11494)] = 535242,
  [SMALL_STATE(11495)] = 535283,
  [SMALL_STATE(11496)] = 535324,
  [SMALL_STATE(11497)] = 535351,
  [SMALL_STATE(11498)] = 535380,
  [SMALL_STATE(11499)] = 535427,
  [SMALL_STATE(11500)] = 535474,
  [SMALL_STATE(11501)] = 535515,
  [SMALL_STATE(11502)] = 535562,
  [SMALL_STATE(11503)] = 535595,
  [SMALL_STATE(11504)] = 535636,
  [SMALL_STATE(11505)] = 535677,
  [SMALL_STATE(11506)] = 535706,
  [SMALL_STATE(11507)] = 535753,
  [SMALL_STATE(11508)] = 535780,
  [SMALL_STATE(11509)] = 535813,
  [SMALL_STATE(11510)] = 535854,
  [SMALL_STATE(11511)] = 535893,
  [SMALL_STATE(11512)] = 535940,
  [SMALL_STATE(11513)] = 535983,
  [SMALL_STATE(11514)] = 536024,
  [SMALL_STATE(11515)] = 536051,
  [SMALL_STATE(11516)] = 536080,
  [SMALL_STATE(11517)] = 536127,
  [SMALL_STATE(11518)] = 536168,
  [SMALL_STATE(11519)] = 536197,
  [SMALL_STATE(11520)] = 536238,
  [SMALL_STATE(11521)] = 536265,
  [SMALL_STATE(11522)] = 536294,
  [SMALL_STATE(11523)] = 536345,
  [SMALL_STATE(11524)] = 536372,
  [SMALL_STATE(11525)] = 536413,
  [SMALL_STATE(11526)] = 536440,
  [SMALL_STATE(11527)] = 536467,
  [SMALL_STATE(11528)] = 536508,
  [SMALL_STATE(11529)] = 536537,
  [SMALL_STATE(11530)] = 536584,
  [SMALL_STATE(11531)] = 536625,
  [SMALL_STATE(11532)] = 536666,
  [SMALL_STATE(11533)] = 536707,
  [SMALL_STATE(11534)] = 536748,
  [SMALL_STATE(11535)] = 536789,
  [SMALL_STATE(11536)] = 536816,
  [SMALL_STATE(11537)] = 536845,
  [SMALL_STATE(11538)] = 536886,
  [SMALL_STATE(11539)] = 536917,
  [SMALL_STATE(11540)] = 536944,
  [SMALL_STATE(11541)] = 536971,
  [SMALL_STATE(11542)] = 537000,
  [SMALL_STATE(11543)] = 537029,
  [SMALL_STATE(11544)] = 537056,
  [SMALL_STATE(11545)] = 537083,
  [SMALL_STATE(11546)] = 537124,
  [SMALL_STATE(11547)] = 537151,
  [SMALL_STATE(11548)] = 537180,
  [SMALL_STATE(11549)] = 537221,
  [SMALL_STATE(11550)] = 537262,
  [SMALL_STATE(11551)] = 537309,
  [SMALL_STATE(11552)] = 537350,
  [SMALL_STATE(11553)] = 537381,
  [SMALL_STATE(11554)] = 537410,
  [SMALL_STATE(11555)] = 537441,
  [SMALL_STATE(11556)] = 537482,
  [SMALL_STATE(11557)] = 537511,
  [SMALL_STATE(11558)] = 537546,
  [SMALL_STATE(11559)] = 537577,
  [SMALL_STATE(11560)] = 537606,
  [SMALL_STATE(11561)] = 537633,
  [SMALL_STATE(11562)] = 537662,
  [SMALL_STATE(11563)] = 537689,
  [SMALL_STATE(11564)] = 537716,
  [SMALL_STATE(11565)] = 537743,
  [SMALL_STATE(11566)] = 537772,
  [SMALL_STATE(11567)] = 537799,
  [SMALL_STATE(11568)] = 537826,
  [SMALL_STATE(11569)] = 537867,
  [SMALL_STATE(11570)] = 537914,
  [SMALL_STATE(11571)] = 537941,
  [SMALL_STATE(11572)] = 537968,
  [SMALL_STATE(11573)] = 537997,
  [SMALL_STATE(11574)] = 538024,
  [SMALL_STATE(11575)] = 538053,
  [SMALL_STATE(11576)] = 538086,
  [SMALL_STATE(11577)] = 538113,
  [SMALL_STATE(11578)] = 538140,
  [SMALL_STATE(11579)] = 538167,
  [SMALL_STATE(11580)] = 538194,
  [SMALL_STATE(11581)] = 538235,
  [SMALL_STATE(11582)] = 538266,
  [SMALL_STATE(11583)] = 538293,
  [SMALL_STATE(11584)] = 538324,
  [SMALL_STATE(11585)] = 538351,
  [SMALL_STATE(11586)] = 538392,
  [SMALL_STATE(11587)] = 538421,
  [SMALL_STATE(11588)] = 538454,
  [SMALL_STATE(11589)] = 538497,
  [SMALL_STATE(11590)] = 538530,
  [SMALL_STATE(11591)] = 538559,
  [SMALL_STATE(11592)] = 538588,
  [SMALL_STATE(11593)] = 538615,
  [SMALL_STATE(11594)] = 538656,
  [SMALL_STATE(11595)] = 538683,
  [SMALL_STATE(11596)] = 538730,
  [SMALL_STATE(11597)] = 538757,
  [SMALL_STATE(11598)] = 538786,
  [SMALL_STATE(11599)] = 538813,
  [SMALL_STATE(11600)] = 538854,
  [SMALL_STATE(11601)] = 538881,
  [SMALL_STATE(11602)] = 538912,
  [SMALL_STATE(11603)] = 538953,
  [SMALL_STATE(11604)] = 538982,
  [SMALL_STATE(11605)] = 539009,
  [SMALL_STATE(11606)] = 539036,
  [SMALL_STATE(11607)] = 539063,
  [SMALL_STATE(11608)] = 539090,
  [SMALL_STATE(11609)] = 539121,
  [SMALL_STATE(11610)] = 539148,
  [SMALL_STATE(11611)] = 539175,
  [SMALL_STATE(11612)] = 539206,
  [SMALL_STATE(11613)] = 539233,
  [SMALL_STATE(11614)] = 539260,
  [SMALL_STATE(11615)] = 539307,
  [SMALL_STATE(11616)] = 539334,
  [SMALL_STATE(11617)] = 539361,
  [SMALL_STATE(11618)] = 539388,
  [SMALL_STATE(11619)] = 539415,
  [SMALL_STATE(11620)] = 539446,
  [SMALL_STATE(11621)] = 539475,
  [SMALL_STATE(11622)] = 539506,
  [SMALL_STATE(11623)] = 539533,
  [SMALL_STATE(11624)] = 539560,
  [SMALL_STATE(11625)] = 539589,
  [SMALL_STATE(11626)] = 539636,
  [SMALL_STATE(11627)] = 539665,
  [SMALL_STATE(11628)] = 539692,
  [SMALL_STATE(11629)] = 539725,
  [SMALL_STATE(11630)] = 539752,
  [SMALL_STATE(11631)] = 539779,
  [SMALL_STATE(11632)] = 539808,
  [SMALL_STATE(11633)] = 539849,
  [SMALL_STATE(11634)] = 539876,
  [SMALL_STATE(11635)] = 539905,
  [SMALL_STATE(11636)] = 539946,
  [SMALL_STATE(11637)] = 539987,
  [SMALL_STATE(11638)] = 540014,
  [SMALL_STATE(11639)] = 540041,
  [SMALL_STATE(11640)] = 540068,
  [SMALL_STATE(11641)] = 540109,
  [SMALL_STATE(11642)] = 540138,
  [SMALL_STATE(11643)] = 540171,
  [SMALL_STATE(11644)] = 540198,
  [SMALL_STATE(11645)] = 540227,
  [SMALL_STATE(11646)] = 540254,
  [SMALL_STATE(11647)] = 540283,
  [SMALL_STATE(11648)] = 540324,
  [SMALL_STATE(11649)] = 540353,
  [SMALL_STATE(11650)] = 540394,
  [SMALL_STATE(11651)] = 540435,
  [SMALL_STATE(11652)] = 540462,
  [SMALL_STATE(11653)] = 540489,
  [SMALL_STATE(11654)] = 540530,
  [SMALL_STATE(11655)] = 540557,
  [SMALL_STATE(11656)] = 540604,
  [SMALL_STATE(11657)] = 540631,
  [SMALL_STATE(11658)] = 540658,
  [SMALL_STATE(11659)] = 540687,
  [SMALL_STATE(11660)] = 540720,
  [SMALL_STATE(11661)] = 540747,
  [SMALL_STATE(11662)] = 540788,
  [SMALL_STATE(11663)] = 540815,
  [SMALL_STATE(11664)] = 540856,
  [SMALL_STATE(11665)] = 540883,
  [SMALL_STATE(11666)] = 540922,
  [SMALL_STATE(11667)] = 540963,
  [SMALL_STATE(11668)] = 541004,
  [SMALL_STATE(11669)] = 541031,
  [SMALL_STATE(11670)] = 541072,
  [SMALL_STATE(11671)] = 541101,
  [SMALL_STATE(11672)] = 541128,
  [SMALL_STATE(11673)] = 541155,
  [SMALL_STATE(11674)] = 541184,
  [SMALL_STATE(11675)] = 541213,
  [SMALL_STATE(11676)] = 541242,
  [SMALL_STATE(11677)] = 541269,
  [SMALL_STATE(11678)] = 541298,
  [SMALL_STATE(11679)] = 541325,
  [SMALL_STATE(11680)] = 541352,
  [SMALL_STATE(11681)] = 541391,
  [SMALL_STATE(11682)] = 541422,
  [SMALL_STATE(11683)] = 541463,
  [SMALL_STATE(11684)] = 541508,
  [SMALL_STATE(11685)] = 541535,
  [SMALL_STATE(11686)] = 541574,
  [SMALL_STATE(11687)] = 541601,
  [SMALL_STATE(11688)] = 541628,
  [SMALL_STATE(11689)] = 541655,
  [SMALL_STATE(11690)] = 541682,
  [SMALL_STATE(11691)] = 541709,
  [SMALL_STATE(11692)] = 541736,
  [SMALL_STATE(11693)] = 541777,
  [SMALL_STATE(11694)] = 541804,
  [SMALL_STATE(11695)] = 541831,
  [SMALL_STATE(11696)] = 541858,
  [SMALL_STATE(11697)] = 541899,
  [SMALL_STATE(11698)] = 541946,
  [SMALL_STATE(11699)] = 541975,
  [SMALL_STATE(11700)] = 542002,
  [SMALL_STATE(11701)] = 542029,
  [SMALL_STATE(11702)] = 542068,
  [SMALL_STATE(11703)] = 542101,
  [SMALL_STATE(11704)] = 542128,
  [SMALL_STATE(11705)] = 542155,
  [SMALL_STATE(11706)] = 542196,
  [SMALL_STATE(11707)] = 542237,
  [SMALL_STATE(11708)] = 542268,
  [SMALL_STATE(11709)] = 542297,
  [SMALL_STATE(11710)] = 542324,
  [SMALL_STATE(11711)] = 542365,
  [SMALL_STATE(11712)] = 542392,
  [SMALL_STATE(11713)] = 542421,
  [SMALL_STATE(11714)] = 542462,
  [SMALL_STATE(11715)] = 542503,
  [SMALL_STATE(11716)] = 542532,
  [SMALL_STATE(11717)] = 542573,
  [SMALL_STATE(11718)] = 542600,
  [SMALL_STATE(11719)] = 542627,
  [SMALL_STATE(11720)] = 542656,
  [SMALL_STATE(11721)] = 542683,
  [SMALL_STATE(11722)] = 542724,
  [SMALL_STATE(11723)] = 542765,
  [SMALL_STATE(11724)] = 542794,
  [SMALL_STATE(11725)] = 542821,
  [SMALL_STATE(11726)] = 542848,
  [SMALL_STATE(11727)] = 542877,
  [SMALL_STATE(11728)] = 542906,
  [SMALL_STATE(11729)] = 542945,
  [SMALL_STATE(11730)] = 542992,
  [SMALL_STATE(11731)] = 543019,
  [SMALL_STATE(11732)] = 543046,
  [SMALL_STATE(11733)] = 543075,
  [SMALL_STATE(11734)] = 543102,
  [SMALL_STATE(11735)] = 543143,
  [SMALL_STATE(11736)] = 543172,
  [SMALL_STATE(11737)] = 543201,
  [SMALL_STATE(11738)] = 543228,
  [SMALL_STATE(11739)] = 543257,
  [SMALL_STATE(11740)] = 543284,
  [SMALL_STATE(11741)] = 543325,
  [SMALL_STATE(11742)] = 543352,
  [SMALL_STATE(11743)] = 543379,
  [SMALL_STATE(11744)] = 543418,
  [SMALL_STATE(11745)] = 543459,
  [SMALL_STATE(11746)] = 543500,
  [SMALL_STATE(11747)] = 543529,
  [SMALL_STATE(11748)] = 543558,
  [SMALL_STATE(11749)] = 543585,
  [SMALL_STATE(11750)] = 543626,
  [SMALL_STATE(11751)] = 543667,
  [SMALL_STATE(11752)] = 543696,
  [SMALL_STATE(11753)] = 543723,
  [SMALL_STATE(11754)] = 543752,
  [SMALL_STATE(11755)] = 543779,
  [SMALL_STATE(11756)] = 543806,
  [SMALL_STATE(11757)] = 543833,
  [SMALL_STATE(11758)] = 543860,
  [SMALL_STATE(11759)] = 543887,
  [SMALL_STATE(11760)] = 543928,
  [SMALL_STATE(11761)] = 543957,
  [SMALL_STATE(11762)] = 543984,
  [SMALL_STATE(11763)] = 544011,
  [SMALL_STATE(11764)] = 544038,
  [SMALL_STATE(11765)] = 544065,
  [SMALL_STATE(11766)] = 544092,
  [SMALL_STATE(11767)] = 544121,
  [SMALL_STATE(11768)] = 544162,
  [SMALL_STATE(11769)] = 544209,
  [SMALL_STATE(11770)] = 544236,
  [SMALL_STATE(11771)] = 544277,
  [SMALL_STATE(11772)] = 544320,
  [SMALL_STATE(11773)] = 544351,
  [SMALL_STATE(11774)] = 544378,
  [SMALL_STATE(11775)] = 544405,
  [SMALL_STATE(11776)] = 544432,
  [SMALL_STATE(11777)] = 544473,
  [SMALL_STATE(11778)] = 544514,
  [SMALL_STATE(11779)] = 544543,
  [SMALL_STATE(11780)] = 544584,
  [SMALL_STATE(11781)] = 544611,
  [SMALL_STATE(11782)] = 544638,
  [SMALL_STATE(11783)] = 544667,
  [SMALL_STATE(11784)] = 544708,
  [SMALL_STATE(11785)] = 544735,
  [SMALL_STATE(11786)] = 544761,
  [SMALL_STATE(11787)] = 544787,
  [SMALL_STATE(11788)] = 544817,
  [SMALL_STATE(11789)] = 544845,
  [SMALL_STATE(11790)] = 544871,
  [SMALL_STATE(11791)] = 544897,
  [SMALL_STATE(11792)] = 544925,
  [SMALL_STATE(11793)] = 544951,
  [SMALL_STATE(11794)] = 544991,
  [SMALL_STATE(11795)] = 545017,
  [SMALL_STATE(11796)] = 545043,
  [SMALL_STATE(11797)] = 545069,
  [SMALL_STATE(11798)] = 545095,
  [SMALL_STATE(11799)] = 545125,
  [SMALL_STATE(11800)] = 545151,
  [SMALL_STATE(11801)] = 545177,
  [SMALL_STATE(11802)] = 545205,
  [SMALL_STATE(11803)] = 545231,
  [SMALL_STATE(11804)] = 545257,
  [SMALL_STATE(11805)] = 545283,
  [SMALL_STATE(11806)] = 545309,
  [SMALL_STATE(11807)] = 545335,
  [SMALL_STATE(11808)] = 545365,
  [SMALL_STATE(11809)] = 545391,
  [SMALL_STATE(11810)] = 545417,
  [SMALL_STATE(11811)] = 545447,
  [SMALL_STATE(11812)] = 545473,
  [SMALL_STATE(11813)] = 545503,
  [SMALL_STATE(11814)] = 545543,
  [SMALL_STATE(11815)] = 545573,
  [SMALL_STATE(11816)] = 545599,
  [SMALL_STATE(11817)] = 545639,
  [SMALL_STATE(11818)] = 545679,
  [SMALL_STATE(11819)] = 545705,
  [SMALL_STATE(11820)] = 545745,
  [SMALL_STATE(11821)] = 545785,
  [SMALL_STATE(11822)] = 545825,
  [SMALL_STATE(11823)] = 545865,
  [SMALL_STATE(11824)] = 545891,
  [SMALL_STATE(11825)] = 545917,
  [SMALL_STATE(11826)] = 545947,
  [SMALL_STATE(11827)] = 545973,
  [SMALL_STATE(11828)] = 546013,
  [SMALL_STATE(11829)] = 546039,
  [SMALL_STATE(11830)] = 546065,
  [SMALL_STATE(11831)] = 546091,
  [SMALL_STATE(11832)] = 546117,
  [SMALL_STATE(11833)] = 546143,
  [SMALL_STATE(11834)] = 546169,
  [SMALL_STATE(11835)] = 546195,
  [SMALL_STATE(11836)] = 546221,
  [SMALL_STATE(11837)] = 546261,
  [SMALL_STATE(11838)] = 546287,
  [SMALL_STATE(11839)] = 546327,
  [SMALL_STATE(11840)] = 546357,
  [SMALL_STATE(11841)] = 546397,
  [SMALL_STATE(11842)] = 546423,
  [SMALL_STATE(11843)] = 546463,
  [SMALL_STATE(11844)] = 546491,
  [SMALL_STATE(11845)] = 546531,
  [SMALL_STATE(11846)] = 546557,
  [SMALL_STATE(11847)] = 546597,
  [SMALL_STATE(11848)] = 546623,
  [SMALL_STATE(11849)] = 546653,
  [SMALL_STATE(11850)] = 546679,
  [SMALL_STATE(11851)] = 546705,
  [SMALL_STATE(11852)] = 546731,
  [SMALL_STATE(11853)] = 546757,
  [SMALL_STATE(11854)] = 546797,
  [SMALL_STATE(11855)] = 546837,
  [SMALL_STATE(11856)] = 546863,
  [SMALL_STATE(11857)] = 546889,
  [SMALL_STATE(11858)] = 546915,
  [SMALL_STATE(11859)] = 546941,
  [SMALL_STATE(11860)] = 546967,
  [SMALL_STATE(11861)] = 547007,
  [SMALL_STATE(11862)] = 547047,
  [SMALL_STATE(11863)] = 547077,
  [SMALL_STATE(11864)] = 547105,
  [SMALL_STATE(11865)] = 547131,
  [SMALL_STATE(11866)] = 547157,
  [SMALL_STATE(11867)] = 547189,
  [SMALL_STATE(11868)] = 547229,
  [SMALL_STATE(11869)] = 547255,
  [SMALL_STATE(11870)] = 547295,
  [SMALL_STATE(11871)] = 547335,
  [SMALL_STATE(11872)] = 547375,
  [SMALL_STATE(11873)] = 547415,
  [SMALL_STATE(11874)] = 547455,
  [SMALL_STATE(11875)] = 547481,
  [SMALL_STATE(11876)] = 547521,
  [SMALL_STATE(11877)] = 547561,
  [SMALL_STATE(11878)] = 547587,
  [SMALL_STATE(11879)] = 547613,
  [SMALL_STATE(11880)] = 547653,
  [SMALL_STATE(11881)] = 547683,
  [SMALL_STATE(11882)] = 547713,
  [SMALL_STATE(11883)] = 547739,
  [SMALL_STATE(11884)] = 547765,
  [SMALL_STATE(11885)] = 547805,
  [SMALL_STATE(11886)] = 547845,
  [SMALL_STATE(11887)] = 547871,
  [SMALL_STATE(11888)] = 547897,
  [SMALL_STATE(11889)] = 547937,
  [SMALL_STATE(11890)] = 547979,
  [SMALL_STATE(11891)] = 548019,
  [SMALL_STATE(11892)] = 548045,
  [SMALL_STATE(11893)] = 548085,
  [SMALL_STATE(11894)] = 548117,
  [SMALL_STATE(11895)] = 548143,
  [SMALL_STATE(11896)] = 548169,
  [SMALL_STATE(11897)] = 548195,
  [SMALL_STATE(11898)] = 548227,
  [SMALL_STATE(11899)] = 548267,
  [SMALL_STATE(11900)] = 548307,
  [SMALL_STATE(11901)] = 548347,
  [SMALL_STATE(11902)] = 548387,
  [SMALL_STATE(11903)] = 548413,
  [SMALL_STATE(11904)] = 548453,
  [SMALL_STATE(11905)] = 548479,
  [SMALL_STATE(11906)] = 548519,
  [SMALL_STATE(11907)] = 548557,
  [SMALL_STATE(11908)] = 548587,
  [SMALL_STATE(11909)] = 548613,
  [SMALL_STATE(11910)] = 548643,
  [SMALL_STATE(11911)] = 548669,
  [SMALL_STATE(11912)] = 548695,
  [SMALL_STATE(11913)] = 548735,
  [SMALL_STATE(11914)] = 548775,
  [SMALL_STATE(11915)] = 548801,
  [SMALL_STATE(11916)] = 548827,
  [SMALL_STATE(11917)] = 548853,
  [SMALL_STATE(11918)] = 548879,
  [SMALL_STATE(11919)] = 548919,
  [SMALL_STATE(11920)] = 548959,
  [SMALL_STATE(11921)] = 548999,
  [SMALL_STATE(11922)] = 549039,
  [SMALL_STATE(11923)] = 549069,
  [SMALL_STATE(11924)] = 549109,
  [SMALL_STATE(11925)] = 549149,
  [SMALL_STATE(11926)] = 549175,
  [SMALL_STATE(11927)] = 549215,
  [SMALL_STATE(11928)] = 549255,
  [SMALL_STATE(11929)] = 549295,
  [SMALL_STATE(11930)] = 549333,
  [SMALL_STATE(11931)] = 549359,
  [SMALL_STATE(11932)] = 549399,
  [SMALL_STATE(11933)] = 549439,
  [SMALL_STATE(11934)] = 549477,
  [SMALL_STATE(11935)] = 549503,
  [SMALL_STATE(11936)] = 549543,
  [SMALL_STATE(11937)] = 549569,
  [SMALL_STATE(11938)] = 549609,
  [SMALL_STATE(11939)] = 549649,
  [SMALL_STATE(11940)] = 549689,
  [SMALL_STATE(11941)] = 549729,
  [SMALL_STATE(11942)] = 549755,
  [SMALL_STATE(11943)] = 549781,
  [SMALL_STATE(11944)] = 549821,
  [SMALL_STATE(11945)] = 549847,
  [SMALL_STATE(11946)] = 549887,
  [SMALL_STATE(11947)] = 549925,
  [SMALL_STATE(11948)] = 549965,
  [SMALL_STATE(11949)] = 550005,
  [SMALL_STATE(11950)] = 550045,
  [SMALL_STATE(11951)] = 550085,
  [SMALL_STATE(11952)] = 550125,
  [SMALL_STATE(11953)] = 550151,
  [SMALL_STATE(11954)] = 550191,
  [SMALL_STATE(11955)] = 550225,
  [SMALL_STATE(11956)] = 550251,
  [SMALL_STATE(11957)] = 550291,
  [SMALL_STATE(11958)] = 550331,
  [SMALL_STATE(11959)] = 550357,
  [SMALL_STATE(11960)] = 550397,
  [SMALL_STATE(11961)] = 550423,
  [SMALL_STATE(11962)] = 550449,
  [SMALL_STATE(11963)] = 550489,
  [SMALL_STATE(11964)] = 550517,
  [SMALL_STATE(11965)] = 550543,
  [SMALL_STATE(11966)] = 550569,
  [SMALL_STATE(11967)] = 550595,
  [SMALL_STATE(11968)] = 550621,
  [SMALL_STATE(11969)] = 550661,
  [SMALL_STATE(11970)] = 550701,
  [SMALL_STATE(11971)] = 550731,
  [SMALL_STATE(11972)] = 550771,
  [SMALL_STATE(11973)] = 550811,
  [SMALL_STATE(11974)] = 550851,
  [SMALL_STATE(11975)] = 550889,
  [SMALL_STATE(11976)] = 550929,
  [SMALL_STATE(11977)] = 550971,
  [SMALL_STATE(11978)] = 550997,
  [SMALL_STATE(11979)] = 551023,
  [SMALL_STATE(11980)] = 551049,
  [SMALL_STATE(11981)] = 551075,
  [SMALL_STATE(11982)] = 551103,
  [SMALL_STATE(11983)] = 551129,
  [SMALL_STATE(11984)] = 551155,
  [SMALL_STATE(11985)] = 551181,
  [SMALL_STATE(11986)] = 551221,
  [SMALL_STATE(11987)] = 551247,
  [SMALL_STATE(11988)] = 551273,
  [SMALL_STATE(11989)] = 551315,
  [SMALL_STATE(11990)] = 551341,
  [SMALL_STATE(11991)] = 551381,
  [SMALL_STATE(11992)] = 551413,
  [SMALL_STATE(11993)] = 551453,
  [SMALL_STATE(11994)] = 551493,
  [SMALL_STATE(11995)] = 551533,
  [SMALL_STATE(11996)] = 551559,
  [SMALL_STATE(11997)] = 551597,
  [SMALL_STATE(11998)] = 551623,
  [SMALL_STATE(11999)] = 551663,
  [SMALL_STATE(12000)] = 551691,
  [SMALL_STATE(12001)] = 551731,
  [SMALL_STATE(12002)] = 551771,
  [SMALL_STATE(12003)] = 551797,
  [SMALL_STATE(12004)] = 551837,
  [SMALL_STATE(12005)] = 551863,
  [SMALL_STATE(12006)] = 551889,
  [SMALL_STATE(12007)] = 551929,
  [SMALL_STATE(12008)] = 551969,
  [SMALL_STATE(12009)] = 551995,
  [SMALL_STATE(12010)] = 552021,
  [SMALL_STATE(12011)] = 552047,
  [SMALL_STATE(12012)] = 552073,
  [SMALL_STATE(12013)] = 552099,
  [SMALL_STATE(12014)] = 552137,
  [SMALL_STATE(12015)] = 552163,
  [SMALL_STATE(12016)] = 552189,
  [SMALL_STATE(12017)] = 552229,
  [SMALL_STATE(12018)] = 552255,
  [SMALL_STATE(12019)] = 552281,
  [SMALL_STATE(12020)] = 552321,
  [SMALL_STATE(12021)] = 552347,
  [SMALL_STATE(12022)] = 552379,
  [SMALL_STATE(12023)] = 552405,
  [SMALL_STATE(12024)] = 552431,
  [SMALL_STATE(12025)] = 552457,
  [SMALL_STATE(12026)] = 552485,
  [SMALL_STATE(12027)] = 552511,
  [SMALL_STATE(12028)] = 552537,
  [SMALL_STATE(12029)] = 552577,
  [SMALL_STATE(12030)] = 552603,
  [SMALL_STATE(12031)] = 552631,
  [SMALL_STATE(12032)] = 552671,
  [SMALL_STATE(12033)] = 552711,
  [SMALL_STATE(12034)] = 552737,
  [SMALL_STATE(12035)] = 552765,
  [SMALL_STATE(12036)] = 552793,
  [SMALL_STATE(12037)] = 552821,
  [SMALL_STATE(12038)] = 552847,
  [SMALL_STATE(12039)] = 552873,
  [SMALL_STATE(12040)] = 552913,
  [SMALL_STATE(12041)] = 552939,
  [SMALL_STATE(12042)] = 552967,
  [SMALL_STATE(12043)] = 552993,
  [SMALL_STATE(12044)] = 553023,
  [SMALL_STATE(12045)] = 553051,
  [SMALL_STATE(12046)] = 553079,
  [SMALL_STATE(12047)] = 553119,
  [SMALL_STATE(12048)] = 553159,
  [SMALL_STATE(12049)] = 553185,
  [SMALL_STATE(12050)] = 553213,
  [SMALL_STATE(12051)] = 553253,
  [SMALL_STATE(12052)] = 553283,
  [SMALL_STATE(12053)] = 553323,
  [SMALL_STATE(12054)] = 553349,
  [SMALL_STATE(12055)] = 553375,
  [SMALL_STATE(12056)] = 553415,
  [SMALL_STATE(12057)] = 553455,
  [SMALL_STATE(12058)] = 553495,
  [SMALL_STATE(12059)] = 553525,
  [SMALL_STATE(12060)] = 553551,
  [SMALL_STATE(12061)] = 553577,
  [SMALL_STATE(12062)] = 553617,
  [SMALL_STATE(12063)] = 553657,
  [SMALL_STATE(12064)] = 553697,
  [SMALL_STATE(12065)] = 553729,
  [SMALL_STATE(12066)] = 553755,
  [SMALL_STATE(12067)] = 553781,
  [SMALL_STATE(12068)] = 553821,
  [SMALL_STATE(12069)] = 553847,
  [SMALL_STATE(12070)] = 553877,
  [SMALL_STATE(12071)] = 553917,
  [SMALL_STATE(12072)] = 553957,
  [SMALL_STATE(12073)] = 553997,
  [SMALL_STATE(12074)] = 554023,
  [SMALL_STATE(12075)] = 554063,
  [SMALL_STATE(12076)] = 554089,
  [SMALL_STATE(12077)] = 554129,
  [SMALL_STATE(12078)] = 554155,
  [SMALL_STATE(12079)] = 554195,
  [SMALL_STATE(12080)] = 554235,
  [SMALL_STATE(12081)] = 554261,
  [SMALL_STATE(12082)] = 554291,
  [SMALL_STATE(12083)] = 554331,
  [SMALL_STATE(12084)] = 554371,
  [SMALL_STATE(12085)] = 554399,
  [SMALL_STATE(12086)] = 554425,
  [SMALL_STATE(12087)] = 554465,
  [SMALL_STATE(12088)] = 554505,
  [SMALL_STATE(12089)] = 554531,
  [SMALL_STATE(12090)] = 554571,
  [SMALL_STATE(12091)] = 554609,
  [SMALL_STATE(12092)] = 554635,
  [SMALL_STATE(12093)] = 554675,
  [SMALL_STATE(12094)] = 554715,
  [SMALL_STATE(12095)] = 554743,
  [SMALL_STATE(12096)] = 554783,
  [SMALL_STATE(12097)] = 554809,
  [SMALL_STATE(12098)] = 554837,
  [SMALL_STATE(12099)] = 554877,
  [SMALL_STATE(12100)] = 554905,
  [SMALL_STATE(12101)] = 554931,
  [SMALL_STATE(12102)] = 554971,
  [SMALL_STATE(12103)] = 554997,
  [SMALL_STATE(12104)] = 555037,
  [SMALL_STATE(12105)] = 555069,
  [SMALL_STATE(12106)] = 555109,
  [SMALL_STATE(12107)] = 555149,
  [SMALL_STATE(12108)] = 555175,
  [SMALL_STATE(12109)] = 555201,
  [SMALL_STATE(12110)] = 555227,
  [SMALL_STATE(12111)] = 555267,
  [SMALL_STATE(12112)] = 555307,
  [SMALL_STATE(12113)] = 555345,
  [SMALL_STATE(12114)] = 555383,
  [SMALL_STATE(12115)] = 555409,
  [SMALL_STATE(12116)] = 555435,
  [SMALL_STATE(12117)] = 555461,
  [SMALL_STATE(12118)] = 555489,
  [SMALL_STATE(12119)] = 555529,
  [SMALL_STATE(12120)] = 555561,
  [SMALL_STATE(12121)] = 555601,
  [SMALL_STATE(12122)] = 555631,
  [SMALL_STATE(12123)] = 555671,
  [SMALL_STATE(12124)] = 555711,
  [SMALL_STATE(12125)] = 555751,
  [SMALL_STATE(12126)] = 555791,
  [SMALL_STATE(12127)] = 555831,
  [SMALL_STATE(12128)] = 555857,
  [SMALL_STATE(12129)] = 555897,
  [SMALL_STATE(12130)] = 555923,
  [SMALL_STATE(12131)] = 555949,
  [SMALL_STATE(12132)] = 555989,
  [SMALL_STATE(12133)] = 556029,
  [SMALL_STATE(12134)] = 556057,
  [SMALL_STATE(12135)] = 556087,
  [SMALL_STATE(12136)] = 556113,
  [SMALL_STATE(12137)] = 556143,
  [SMALL_STATE(12138)] = 556175,
  [SMALL_STATE(12139)] = 556203,
  [SMALL_STATE(12140)] = 556233,
  [SMALL_STATE(12141)] = 556273,
  [SMALL_STATE(12142)] = 556299,
  [SMALL_STATE(12143)] = 556339,
  [SMALL_STATE(12144)] = 556379,
  [SMALL_STATE(12145)] = 556405,
  [SMALL_STATE(12146)] = 556433,
  [SMALL_STATE(12147)] = 556465,
  [SMALL_STATE(12148)] = 556491,
  [SMALL_STATE(12149)] = 556519,
  [SMALL_STATE(12150)] = 556557,
  [SMALL_STATE(12151)] = 556587,
  [SMALL_STATE(12152)] = 556617,
  [SMALL_STATE(12153)] = 556647,
  [SMALL_STATE(12154)] = 556677,
  [SMALL_STATE(12155)] = 556703,
  [SMALL_STATE(12156)] = 556743,
  [SMALL_STATE(12157)] = 556783,
  [SMALL_STATE(12158)] = 556823,
  [SMALL_STATE(12159)] = 556849,
  [SMALL_STATE(12160)] = 556875,
  [SMALL_STATE(12161)] = 556903,
  [SMALL_STATE(12162)] = 556935,
  [SMALL_STATE(12163)] = 556977,
  [SMALL_STATE(12164)] = 557003,
  [SMALL_STATE(12165)] = 557031,
  [SMALL_STATE(12166)] = 557059,
  [SMALL_STATE(12167)] = 557099,
  [SMALL_STATE(12168)] = 557139,
  [SMALL_STATE(12169)] = 557167,
  [SMALL_STATE(12170)] = 557195,
  [SMALL_STATE(12171)] = 557221,
  [SMALL_STATE(12172)] = 557247,
  [SMALL_STATE(12173)] = 557273,
  [SMALL_STATE(12174)] = 557299,
  [SMALL_STATE(12175)] = 557336,
  [SMALL_STATE(12176)] = 557361,
  [SMALL_STATE(12177)] = 557398,
  [SMALL_STATE(12178)] = 557435,
  [SMALL_STATE(12179)] = 557472,
  [SMALL_STATE(12180)] = 557509,
  [SMALL_STATE(12181)] = 557546,
  [SMALL_STATE(12182)] = 557583,
  [SMALL_STATE(12183)] = 557620,
  [SMALL_STATE(12184)] = 557655,
  [SMALL_STATE(12185)] = 557692,
  [SMALL_STATE(12186)] = 557719,
  [SMALL_STATE(12187)] = 557756,
  [SMALL_STATE(12188)] = 557793,
  [SMALL_STATE(12189)] = 557830,
  [SMALL_STATE(12190)] = 557867,
  [SMALL_STATE(12191)] = 557904,
  [SMALL_STATE(12192)] = 557941,
  [SMALL_STATE(12193)] = 557978,
  [SMALL_STATE(12194)] = 558015,
  [SMALL_STATE(12195)] = 558052,
  [SMALL_STATE(12196)] = 558077,
  [SMALL_STATE(12197)] = 558114,
  [SMALL_STATE(12198)] = 558151,
  [SMALL_STATE(12199)] = 558188,
  [SMALL_STATE(12200)] = 558225,
  [SMALL_STATE(12201)] = 558262,
  [SMALL_STATE(12202)] = 558299,
  [SMALL_STATE(12203)] = 558336,
  [SMALL_STATE(12204)] = 558373,
  [SMALL_STATE(12205)] = 558398,
  [SMALL_STATE(12206)] = 558435,
  [SMALL_STATE(12207)] = 558472,
  [SMALL_STATE(12208)] = 558509,
  [SMALL_STATE(12209)] = 558546,
  [SMALL_STATE(12210)] = 558573,
  [SMALL_STATE(12211)] = 558610,
  [SMALL_STATE(12212)] = 558647,
  [SMALL_STATE(12213)] = 558684,
  [SMALL_STATE(12214)] = 558711,
  [SMALL_STATE(12215)] = 558740,
  [SMALL_STATE(12216)] = 558769,
  [SMALL_STATE(12217)] = 558794,
  [SMALL_STATE(12218)] = 558819,
  [SMALL_STATE(12219)] = 558856,
  [SMALL_STATE(12220)] = 558893,
  [SMALL_STATE(12221)] = 558930,
  [SMALL_STATE(12222)] = 558967,
  [SMALL_STATE(12223)] = 559004,
  [SMALL_STATE(12224)] = 559041,
  [SMALL_STATE(12225)] = 559078,
  [SMALL_STATE(12226)] = 559103,
  [SMALL_STATE(12227)] = 559128,
  [SMALL_STATE(12228)] = 559165,
  [SMALL_STATE(12229)] = 559202,
  [SMALL_STATE(12230)] = 559239,
  [SMALL_STATE(12231)] = 559276,
  [SMALL_STATE(12232)] = 559301,
  [SMALL_STATE(12233)] = 559338,
  [SMALL_STATE(12234)] = 559375,
  [SMALL_STATE(12235)] = 559412,
  [SMALL_STATE(12236)] = 559449,
  [SMALL_STATE(12237)] = 559474,
  [SMALL_STATE(12238)] = 559499,
  [SMALL_STATE(12239)] = 559524,
  [SMALL_STATE(12240)] = 559561,
  [SMALL_STATE(12241)] = 559598,
  [SMALL_STATE(12242)] = 559635,
  [SMALL_STATE(12243)] = 559664,
  [SMALL_STATE(12244)] = 559697,
  [SMALL_STATE(12245)] = 559734,
  [SMALL_STATE(12246)] = 559771,
  [SMALL_STATE(12247)] = 559808,
  [SMALL_STATE(12248)] = 559845,
  [SMALL_STATE(12249)] = 559882,
  [SMALL_STATE(12250)] = 559919,
  [SMALL_STATE(12251)] = 559956,
  [SMALL_STATE(12252)] = 559993,
  [SMALL_STATE(12253)] = 560018,
  [SMALL_STATE(12254)] = 560055,
  [SMALL_STATE(12255)] = 560092,
  [SMALL_STATE(12256)] = 560129,
  [SMALL_STATE(12257)] = 560166,
  [SMALL_STATE(12258)] = 560203,
  [SMALL_STATE(12259)] = 560228,
  [SMALL_STATE(12260)] = 560265,
  [SMALL_STATE(12261)] = 560302,
  [SMALL_STATE(12262)] = 560339,
  [SMALL_STATE(12263)] = 560376,
  [SMALL_STATE(12264)] = 560413,
  [SMALL_STATE(12265)] = 560450,
  [SMALL_STATE(12266)] = 560487,
  [SMALL_STATE(12267)] = 560512,
  [SMALL_STATE(12268)] = 560549,
  [SMALL_STATE(12269)] = 560574,
  [SMALL_STATE(12270)] = 560611,
  [SMALL_STATE(12271)] = 560648,
  [SMALL_STATE(12272)] = 560685,
  [SMALL_STATE(12273)] = 560714,
  [SMALL_STATE(12274)] = 560739,
  [SMALL_STATE(12275)] = 560776,
  [SMALL_STATE(12276)] = 560805,
  [SMALL_STATE(12277)] = 560836,
  [SMALL_STATE(12278)] = 560861,
  [SMALL_STATE(12279)] = 560890,
  [SMALL_STATE(12280)] = 560919,
  [SMALL_STATE(12281)] = 560946,
  [SMALL_STATE(12282)] = 560983,
  [SMALL_STATE(12283)] = 561014,
  [SMALL_STATE(12284)] = 561051,
  [SMALL_STATE(12285)] = 561088,
  [SMALL_STATE(12286)] = 561125,
  [SMALL_STATE(12287)] = 561150,
  [SMALL_STATE(12288)] = 561187,
  [SMALL_STATE(12289)] = 561212,
  [SMALL_STATE(12290)] = 561237,
  [SMALL_STATE(12291)] = 561274,
  [SMALL_STATE(12292)] = 561307,
  [SMALL_STATE(12293)] = 561344,
  [SMALL_STATE(12294)] = 561381,
  [SMALL_STATE(12295)] = 561410,
  [SMALL_STATE(12296)] = 561447,
  [SMALL_STATE(12297)] = 561484,
  [SMALL_STATE(12298)] = 561513,
  [SMALL_STATE(12299)] = 561544,
  [SMALL_STATE(12300)] = 561569,
  [SMALL_STATE(12301)] = 561598,
  [SMALL_STATE(12302)] = 561635,
  [SMALL_STATE(12303)] = 561666,
  [SMALL_STATE(12304)] = 561695,
  [SMALL_STATE(12305)] = 561732,
  [SMALL_STATE(12306)] = 561757,
  [SMALL_STATE(12307)] = 561782,
  [SMALL_STATE(12308)] = 561811,
  [SMALL_STATE(12309)] = 561848,
  [SMALL_STATE(12310)] = 561879,
  [SMALL_STATE(12311)] = 561916,
  [SMALL_STATE(12312)] = 561953,
  [SMALL_STATE(12313)] = 561990,
  [SMALL_STATE(12314)] = 562021,
  [SMALL_STATE(12315)] = 562058,
  [SMALL_STATE(12316)] = 562087,
  [SMALL_STATE(12317)] = 562124,
  [SMALL_STATE(12318)] = 562161,
  [SMALL_STATE(12319)] = 562186,
  [SMALL_STATE(12320)] = 562211,
  [SMALL_STATE(12321)] = 562236,
  [SMALL_STATE(12322)] = 562273,
  [SMALL_STATE(12323)] = 562310,
  [SMALL_STATE(12324)] = 562335,
  [SMALL_STATE(12325)] = 562360,
  [SMALL_STATE(12326)] = 562397,
  [SMALL_STATE(12327)] = 562434,
  [SMALL_STATE(12328)] = 562459,
  [SMALL_STATE(12329)] = 562488,
  [SMALL_STATE(12330)] = 562525,
  [SMALL_STATE(12331)] = 562550,
  [SMALL_STATE(12332)] = 562587,
  [SMALL_STATE(12333)] = 562612,
  [SMALL_STATE(12334)] = 562649,
  [SMALL_STATE(12335)] = 562686,
  [SMALL_STATE(12336)] = 562711,
  [SMALL_STATE(12337)] = 562736,
  [SMALL_STATE(12338)] = 562773,
  [SMALL_STATE(12339)] = 562810,
  [SMALL_STATE(12340)] = 562847,
  [SMALL_STATE(12341)] = 562874,
  [SMALL_STATE(12342)] = 562911,
  [SMALL_STATE(12343)] = 562936,
  [SMALL_STATE(12344)] = 562973,
  [SMALL_STATE(12345)] = 562998,
  [SMALL_STATE(12346)] = 563029,
  [SMALL_STATE(12347)] = 563066,
  [SMALL_STATE(12348)] = 563103,
  [SMALL_STATE(12349)] = 563132,
  [SMALL_STATE(12350)] = 563169,
  [SMALL_STATE(12351)] = 563194,
  [SMALL_STATE(12352)] = 563219,
  [SMALL_STATE(12353)] = 563244,
  [SMALL_STATE(12354)] = 563281,
  [SMALL_STATE(12355)] = 563318,
  [SMALL_STATE(12356)] = 563355,
  [SMALL_STATE(12357)] = 563380,
  [SMALL_STATE(12358)] = 563413,
  [SMALL_STATE(12359)] = 563438,
  [SMALL_STATE(12360)] = 563465,
  [SMALL_STATE(12361)] = 563490,
  [SMALL_STATE(12362)] = 563515,
  [SMALL_STATE(12363)] = 563540,
  [SMALL_STATE(12364)] = 563565,
  [SMALL_STATE(12365)] = 563602,
  [SMALL_STATE(12366)] = 563639,
  [SMALL_STATE(12367)] = 563676,
  [SMALL_STATE(12368)] = 563713,
  [SMALL_STATE(12369)] = 563750,
  [SMALL_STATE(12370)] = 563775,
  [SMALL_STATE(12371)] = 563812,
  [SMALL_STATE(12372)] = 563849,
  [SMALL_STATE(12373)] = 563874,
  [SMALL_STATE(12374)] = 563911,
  [SMALL_STATE(12375)] = 563952,
  [SMALL_STATE(12376)] = 563985,
  [SMALL_STATE(12377)] = 564018,
  [SMALL_STATE(12378)] = 564051,
  [SMALL_STATE(12379)] = 564076,
  [SMALL_STATE(12380)] = 564101,
  [SMALL_STATE(12381)] = 564138,
  [SMALL_STATE(12382)] = 564175,
  [SMALL_STATE(12383)] = 564212,
  [SMALL_STATE(12384)] = 564239,
  [SMALL_STATE(12385)] = 564266,
  [SMALL_STATE(12386)] = 564293,
  [SMALL_STATE(12387)] = 564330,
  [SMALL_STATE(12388)] = 564363,
  [SMALL_STATE(12389)] = 564400,
  [SMALL_STATE(12390)] = 564437,
  [SMALL_STATE(12391)] = 564474,
  [SMALL_STATE(12392)] = 564511,
  [SMALL_STATE(12393)] = 564548,
  [SMALL_STATE(12394)] = 564585,
  [SMALL_STATE(12395)] = 564622,
  [SMALL_STATE(12396)] = 564659,
  [SMALL_STATE(12397)] = 564696,
  [SMALL_STATE(12398)] = 564721,
  [SMALL_STATE(12399)] = 564758,
  [SMALL_STATE(12400)] = 564783,
  [SMALL_STATE(12401)] = 564808,
  [SMALL_STATE(12402)] = 564835,
  [SMALL_STATE(12403)] = 564860,
  [SMALL_STATE(12404)] = 564885,
  [SMALL_STATE(12405)] = 564910,
  [SMALL_STATE(12406)] = 564947,
  [SMALL_STATE(12407)] = 564984,
  [SMALL_STATE(12408)] = 565021,
  [SMALL_STATE(12409)] = 565046,
  [SMALL_STATE(12410)] = 565071,
  [SMALL_STATE(12411)] = 565096,
  [SMALL_STATE(12412)] = 565133,
  [SMALL_STATE(12413)] = 565158,
  [SMALL_STATE(12414)] = 565191,
  [SMALL_STATE(12415)] = 565224,
  [SMALL_STATE(12416)] = 565257,
  [SMALL_STATE(12417)] = 565290,
  [SMALL_STATE(12418)] = 565327,
  [SMALL_STATE(12419)] = 565364,
  [SMALL_STATE(12420)] = 565401,
  [SMALL_STATE(12421)] = 565434,
  [SMALL_STATE(12422)] = 565459,
  [SMALL_STATE(12423)] = 565496,
  [SMALL_STATE(12424)] = 565533,
  [SMALL_STATE(12425)] = 565558,
  [SMALL_STATE(12426)] = 565583,
  [SMALL_STATE(12427)] = 565620,
  [SMALL_STATE(12428)] = 565645,
  [SMALL_STATE(12429)] = 565670,
  [SMALL_STATE(12430)] = 565701,
  [SMALL_STATE(12431)] = 565738,
  [SMALL_STATE(12432)] = 565775,
  [SMALL_STATE(12433)] = 565804,
  [SMALL_STATE(12434)] = 565841,
  [SMALL_STATE(12435)] = 565878,
  [SMALL_STATE(12436)] = 565903,
  [SMALL_STATE(12437)] = 565940,
  [SMALL_STATE(12438)] = 565977,
  [SMALL_STATE(12439)] = 566002,
  [SMALL_STATE(12440)] = 566039,
  [SMALL_STATE(12441)] = 566076,
  [SMALL_STATE(12442)] = 566113,
  [SMALL_STATE(12443)] = 566138,
  [SMALL_STATE(12444)] = 566163,
  [SMALL_STATE(12445)] = 566188,
  [SMALL_STATE(12446)] = 566229,
  [SMALL_STATE(12447)] = 566254,
  [SMALL_STATE(12448)] = 566279,
  [SMALL_STATE(12449)] = 566316,
  [SMALL_STATE(12450)] = 566353,
  [SMALL_STATE(12451)] = 566390,
  [SMALL_STATE(12452)] = 566415,
  [SMALL_STATE(12453)] = 566440,
  [SMALL_STATE(12454)] = 566477,
  [SMALL_STATE(12455)] = 566514,
  [SMALL_STATE(12456)] = 566539,
  [SMALL_STATE(12457)] = 566566,
  [SMALL_STATE(12458)] = 566591,
  [SMALL_STATE(12459)] = 566628,
  [SMALL_STATE(12460)] = 566653,
  [SMALL_STATE(12461)] = 566678,
  [SMALL_STATE(12462)] = 566717,
  [SMALL_STATE(12463)] = 566742,
  [SMALL_STATE(12464)] = 566779,
  [SMALL_STATE(12465)] = 566816,
  [SMALL_STATE(12466)] = 566849,
  [SMALL_STATE(12467)] = 566886,
  [SMALL_STATE(12468)] = 566919,
  [SMALL_STATE(12469)] = 566956,
  [SMALL_STATE(12470)] = 566993,
  [SMALL_STATE(12471)] = 567020,
  [SMALL_STATE(12472)] = 567051,
  [SMALL_STATE(12473)] = 567088,
  [SMALL_STATE(12474)] = 567113,
  [SMALL_STATE(12475)] = 567138,
  [SMALL_STATE(12476)] = 567175,
  [SMALL_STATE(12477)] = 567200,
  [SMALL_STATE(12478)] = 567237,
  [SMALL_STATE(12479)] = 567262,
  [SMALL_STATE(12480)] = 567287,
  [SMALL_STATE(12481)] = 567324,
  [SMALL_STATE(12482)] = 567349,
  [SMALL_STATE(12483)] = 567374,
  [SMALL_STATE(12484)] = 567407,
  [SMALL_STATE(12485)] = 567444,
  [SMALL_STATE(12486)] = 567481,
  [SMALL_STATE(12487)] = 567518,
  [SMALL_STATE(12488)] = 567543,
  [SMALL_STATE(12489)] = 567568,
  [SMALL_STATE(12490)] = 567597,
  [SMALL_STATE(12491)] = 567628,
  [SMALL_STATE(12492)] = 567665,
  [SMALL_STATE(12493)] = 567696,
  [SMALL_STATE(12494)] = 567727,
  [SMALL_STATE(12495)] = 567764,
  [SMALL_STATE(12496)] = 567801,
  [SMALL_STATE(12497)] = 567826,
  [SMALL_STATE(12498)] = 567851,
  [SMALL_STATE(12499)] = 567888,
  [SMALL_STATE(12500)] = 567925,
  [SMALL_STATE(12501)] = 567950,
  [SMALL_STATE(12502)] = 567975,
  [SMALL_STATE(12503)] = 568002,
  [SMALL_STATE(12504)] = 568027,
  [SMALL_STATE(12505)] = 568052,
  [SMALL_STATE(12506)] = 568089,
  [SMALL_STATE(12507)] = 568114,
  [SMALL_STATE(12508)] = 568151,
  [SMALL_STATE(12509)] = 568188,
  [SMALL_STATE(12510)] = 568217,
  [SMALL_STATE(12511)] = 568244,
  [SMALL_STATE(12512)] = 568269,
  [SMALL_STATE(12513)] = 568294,
  [SMALL_STATE(12514)] = 568331,
  [SMALL_STATE(12515)] = 568368,
  [SMALL_STATE(12516)] = 568393,
  [SMALL_STATE(12517)] = 568430,
  [SMALL_STATE(12518)] = 568455,
  [SMALL_STATE(12519)] = 568492,
  [SMALL_STATE(12520)] = 568529,
  [SMALL_STATE(12521)] = 568554,
  [SMALL_STATE(12522)] = 568587,
  [SMALL_STATE(12523)] = 568624,
  [SMALL_STATE(12524)] = 568661,
  [SMALL_STATE(12525)] = 568698,
  [SMALL_STATE(12526)] = 568735,
  [SMALL_STATE(12527)] = 568760,
  [SMALL_STATE(12528)] = 568785,
  [SMALL_STATE(12529)] = 568822,
  [SMALL_STATE(12530)] = 568859,
  [SMALL_STATE(12531)] = 568896,
  [SMALL_STATE(12532)] = 568933,
  [SMALL_STATE(12533)] = 568970,
  [SMALL_STATE(12534)] = 569007,
  [SMALL_STATE(12535)] = 569044,
  [SMALL_STATE(12536)] = 569081,
  [SMALL_STATE(12537)] = 569108,
  [SMALL_STATE(12538)] = 569145,
  [SMALL_STATE(12539)] = 569182,
  [SMALL_STATE(12540)] = 569219,
  [SMALL_STATE(12541)] = 569246,
  [SMALL_STATE(12542)] = 569273,
  [SMALL_STATE(12543)] = 569310,
  [SMALL_STATE(12544)] = 569347,
  [SMALL_STATE(12545)] = 569384,
  [SMALL_STATE(12546)] = 569421,
  [SMALL_STATE(12547)] = 569448,
  [SMALL_STATE(12548)] = 569485,
  [SMALL_STATE(12549)] = 569522,
  [SMALL_STATE(12550)] = 569555,
  [SMALL_STATE(12551)] = 569582,
  [SMALL_STATE(12552)] = 569619,
  [SMALL_STATE(12553)] = 569656,
  [SMALL_STATE(12554)] = 569697,
  [SMALL_STATE(12555)] = 569734,
  [SMALL_STATE(12556)] = 569771,
  [SMALL_STATE(12557)] = 569808,
  [SMALL_STATE(12558)] = 569845,
  [SMALL_STATE(12559)] = 569882,
  [SMALL_STATE(12560)] = 569919,
  [SMALL_STATE(12561)] = 569956,
  [SMALL_STATE(12562)] = 569993,
  [SMALL_STATE(12563)] = 570030,
  [SMALL_STATE(12564)] = 570057,
  [SMALL_STATE(12565)] = 570094,
  [SMALL_STATE(12566)] = 570131,
  [SMALL_STATE(12567)] = 570156,
  [SMALL_STATE(12568)] = 570193,
  [SMALL_STATE(12569)] = 570230,
  [SMALL_STATE(12570)] = 570267,
  [SMALL_STATE(12571)] = 570304,
  [SMALL_STATE(12572)] = 570341,
  [SMALL_STATE(12573)] = 570376,
  [SMALL_STATE(12574)] = 570413,
  [SMALL_STATE(12575)] = 570450,
  [SMALL_STATE(12576)] = 570475,
  [SMALL_STATE(12577)] = 570500,
  [SMALL_STATE(12578)] = 570537,
  [SMALL_STATE(12579)] = 570574,
  [SMALL_STATE(12580)] = 570611,
  [SMALL_STATE(12581)] = 570636,
  [SMALL_STATE(12582)] = 570673,
  [SMALL_STATE(12583)] = 570698,
  [SMALL_STATE(12584)] = 570735,
  [SMALL_STATE(12585)] = 570772,
  [SMALL_STATE(12586)] = 570801,
  [SMALL_STATE(12587)] = 570826,
  [SMALL_STATE(12588)] = 570863,
  [SMALL_STATE(12589)] = 570900,
  [SMALL_STATE(12590)] = 570927,
  [SMALL_STATE(12591)] = 570964,
  [SMALL_STATE(12592)] = 570993,
  [SMALL_STATE(12593)] = 571030,
  [SMALL_STATE(12594)] = 571067,
  [SMALL_STATE(12595)] = 571092,
  [SMALL_STATE(12596)] = 571117,
  [SMALL_STATE(12597)] = 571154,
  [SMALL_STATE(12598)] = 571191,
  [SMALL_STATE(12599)] = 571228,
  [SMALL_STATE(12600)] = 571265,
  [SMALL_STATE(12601)] = 571302,
  [SMALL_STATE(12602)] = 571339,
  [SMALL_STATE(12603)] = 571376,
  [SMALL_STATE(12604)] = 571421,
  [SMALL_STATE(12605)] = 571458,
  [SMALL_STATE(12606)] = 571495,
  [SMALL_STATE(12607)] = 571532,
  [SMALL_STATE(12608)] = 571569,
  [SMALL_STATE(12609)] = 571606,
  [SMALL_STATE(12610)] = 571637,
  [SMALL_STATE(12611)] = 571674,
  [SMALL_STATE(12612)] = 571711,
  [SMALL_STATE(12613)] = 571748,
  [SMALL_STATE(12614)] = 571785,
  [SMALL_STATE(12615)] = 571822,
  [SMALL_STATE(12616)] = 571859,
  [SMALL_STATE(12617)] = 571896,
  [SMALL_STATE(12618)] = 571933,
  [SMALL_STATE(12619)] = 571970,
  [SMALL_STATE(12620)] = 571997,
  [SMALL_STATE(12621)] = 572034,
  [SMALL_STATE(12622)] = 572071,
  [SMALL_STATE(12623)] = 572108,
  [SMALL_STATE(12624)] = 572133,
  [SMALL_STATE(12625)] = 572170,
  [SMALL_STATE(12626)] = 572207,
  [SMALL_STATE(12627)] = 572236,
  [SMALL_STATE(12628)] = 572263,
  [SMALL_STATE(12629)] = 572298,
  [SMALL_STATE(12630)] = 572325,
  [SMALL_STATE(12631)] = 572358,
  [SMALL_STATE(12632)] = 572395,
  [SMALL_STATE(12633)] = 572432,
  [SMALL_STATE(12634)] = 572469,
  [SMALL_STATE(12635)] = 572506,
  [SMALL_STATE(12636)] = 572541,
  [SMALL_STATE(12637)] = 572578,
  [SMALL_STATE(12638)] = 572615,
  [SMALL_STATE(12639)] = 572652,
  [SMALL_STATE(12640)] = 572689,
  [SMALL_STATE(12641)] = 572713,
  [SMALL_STATE(12642)] = 572737,
  [SMALL_STATE(12643)] = 572761,
  [SMALL_STATE(12644)] = 572785,
  [SMALL_STATE(12645)] = 572809,
  [SMALL_STATE(12646)] = 572833,
  [SMALL_STATE(12647)] = 572867,
  [SMALL_STATE(12648)] = 572899,
  [SMALL_STATE(12649)] = 572933,
  [SMALL_STATE(12650)] = 572957,
  [SMALL_STATE(12651)] = 572981,
  [SMALL_STATE(12652)] = 573007,
  [SMALL_STATE(12653)] = 573031,
  [SMALL_STATE(12654)] = 573065,
  [SMALL_STATE(12655)] = 573089,
  [SMALL_STATE(12656)] = 573123,
  [SMALL_STATE(12657)] = 573147,
  [SMALL_STATE(12658)] = 573171,
  [SMALL_STATE(12659)] = 573207,
  [SMALL_STATE(12660)] = 573231,
  [SMALL_STATE(12661)] = 573263,
  [SMALL_STATE(12662)] = 573287,
  [SMALL_STATE(12663)] = 573311,
  [SMALL_STATE(12664)] = 573335,
  [SMALL_STATE(12665)] = 573369,
  [SMALL_STATE(12666)] = 573393,
  [SMALL_STATE(12667)] = 573417,
  [SMALL_STATE(12668)] = 573441,
  [SMALL_STATE(12669)] = 573475,
  [SMALL_STATE(12670)] = 573499,
  [SMALL_STATE(12671)] = 573523,
  [SMALL_STATE(12672)] = 573557,
  [SMALL_STATE(12673)] = 573581,
  [SMALL_STATE(12674)] = 573605,
  [SMALL_STATE(12675)] = 573629,
  [SMALL_STATE(12676)] = 573653,
  [SMALL_STATE(12677)] = 573677,
  [SMALL_STATE(12678)] = 573709,
  [SMALL_STATE(12679)] = 573741,
  [SMALL_STATE(12680)] = 573765,
  [SMALL_STATE(12681)] = 573789,
  [SMALL_STATE(12682)] = 573813,
  [SMALL_STATE(12683)] = 573837,
  [SMALL_STATE(12684)] = 573861,
  [SMALL_STATE(12685)] = 573885,
  [SMALL_STATE(12686)] = 573909,
  [SMALL_STATE(12687)] = 573933,
  [SMALL_STATE(12688)] = 573963,
  [SMALL_STATE(12689)] = 573995,
  [SMALL_STATE(12690)] = 574019,
  [SMALL_STATE(12691)] = 574043,
  [SMALL_STATE(12692)] = 574067,
  [SMALL_STATE(12693)] = 574091,
  [SMALL_STATE(12694)] = 574115,
  [SMALL_STATE(12695)] = 574139,
  [SMALL_STATE(12696)] = 574163,
  [SMALL_STATE(12697)] = 574197,
  [SMALL_STATE(12698)] = 574231,
  [SMALL_STATE(12699)] = 574265,
  [SMALL_STATE(12700)] = 574299,
  [SMALL_STATE(12701)] = 574323,
  [SMALL_STATE(12702)] = 574351,
  [SMALL_STATE(12703)] = 574375,
  [SMALL_STATE(12704)] = 574419,
  [SMALL_STATE(12705)] = 574443,
  [SMALL_STATE(12706)] = 574467,
  [SMALL_STATE(12707)] = 574491,
  [SMALL_STATE(12708)] = 574523,
  [SMALL_STATE(12709)] = 574557,
  [SMALL_STATE(12710)] = 574601,
  [SMALL_STATE(12711)] = 574625,
  [SMALL_STATE(12712)] = 574669,
  [SMALL_STATE(12713)] = 574693,
  [SMALL_STATE(12714)] = 574717,
  [SMALL_STATE(12715)] = 574751,
  [SMALL_STATE(12716)] = 574775,
  [SMALL_STATE(12717)] = 574799,
  [SMALL_STATE(12718)] = 574825,
  [SMALL_STATE(12719)] = 574859,
  [SMALL_STATE(12720)] = 574903,
  [SMALL_STATE(12721)] = 574927,
  [SMALL_STATE(12722)] = 574955,
  [SMALL_STATE(12723)] = 574979,
  [SMALL_STATE(12724)] = 575015,
  [SMALL_STATE(12725)] = 575049,
  [SMALL_STATE(12726)] = 575073,
  [SMALL_STATE(12727)] = 575107,
  [SMALL_STATE(12728)] = 575131,
  [SMALL_STATE(12729)] = 575165,
  [SMALL_STATE(12730)] = 575199,
  [SMALL_STATE(12731)] = 575233,
  [SMALL_STATE(12732)] = 575267,
  [SMALL_STATE(12733)] = 575299,
  [SMALL_STATE(12734)] = 575323,
  [SMALL_STATE(12735)] = 575347,
  [SMALL_STATE(12736)] = 575371,
  [SMALL_STATE(12737)] = 575395,
  [SMALL_STATE(12738)] = 575429,
  [SMALL_STATE(12739)] = 575453,
  [SMALL_STATE(12740)] = 575487,
  [SMALL_STATE(12741)] = 575511,
  [SMALL_STATE(12742)] = 575545,
  [SMALL_STATE(12743)] = 575569,
  [SMALL_STATE(12744)] = 575593,
  [SMALL_STATE(12745)] = 575621,
  [SMALL_STATE(12746)] = 575645,
  [SMALL_STATE(12747)] = 575681,
  [SMALL_STATE(12748)] = 575705,
  [SMALL_STATE(12749)] = 575737,
  [SMALL_STATE(12750)] = 575761,
  [SMALL_STATE(12751)] = 575795,
  [SMALL_STATE(12752)] = 575821,
  [SMALL_STATE(12753)] = 575855,
  [SMALL_STATE(12754)] = 575879,
  [SMALL_STATE(12755)] = 575907,
  [SMALL_STATE(12756)] = 575931,
  [SMALL_STATE(12757)] = 575963,
  [SMALL_STATE(12758)] = 575993,
  [SMALL_STATE(12759)] = 576023,
  [SMALL_STATE(12760)] = 576047,
  [SMALL_STATE(12761)] = 576075,
  [SMALL_STATE(12762)] = 576103,
  [SMALL_STATE(12763)] = 576137,
  [SMALL_STATE(12764)] = 576171,
  [SMALL_STATE(12765)] = 576205,
  [SMALL_STATE(12766)] = 576229,
  [SMALL_STATE(12767)] = 576253,
  [SMALL_STATE(12768)] = 576281,
  [SMALL_STATE(12769)] = 576305,
  [SMALL_STATE(12770)] = 576339,
  [SMALL_STATE(12771)] = 576373,
  [SMALL_STATE(12772)] = 576397,
  [SMALL_STATE(12773)] = 576421,
  [SMALL_STATE(12774)] = 576451,
  [SMALL_STATE(12775)] = 576477,
  [SMALL_STATE(12776)] = 576501,
  [SMALL_STATE(12777)] = 576525,
  [SMALL_STATE(12778)] = 576559,
  [SMALL_STATE(12779)] = 576593,
  [SMALL_STATE(12780)] = 576617,
  [SMALL_STATE(12781)] = 576641,
  [SMALL_STATE(12782)] = 576665,
  [SMALL_STATE(12783)] = 576689,
  [SMALL_STATE(12784)] = 576721,
  [SMALL_STATE(12785)] = 576745,
  [SMALL_STATE(12786)] = 576779,
  [SMALL_STATE(12787)] = 576803,
  [SMALL_STATE(12788)] = 576827,
  [SMALL_STATE(12789)] = 576851,
  [SMALL_STATE(12790)] = 576875,
  [SMALL_STATE(12791)] = 576899,
  [SMALL_STATE(12792)] = 576933,
  [SMALL_STATE(12793)] = 576957,
  [SMALL_STATE(12794)] = 576981,
  [SMALL_STATE(12795)] = 577007,
  [SMALL_STATE(12796)] = 577035,
  [SMALL_STATE(12797)] = 577059,
  [SMALL_STATE(12798)] = 577093,
  [SMALL_STATE(12799)] = 577117,
  [SMALL_STATE(12800)] = 577141,
  [SMALL_STATE(12801)] = 577165,
  [SMALL_STATE(12802)] = 577189,
  [SMALL_STATE(12803)] = 577223,
  [SMALL_STATE(12804)] = 577255,
  [SMALL_STATE(12805)] = 577279,
  [SMALL_STATE(12806)] = 577313,
  [SMALL_STATE(12807)] = 577337,
  [SMALL_STATE(12808)] = 577361,
  [SMALL_STATE(12809)] = 577395,
  [SMALL_STATE(12810)] = 577419,
  [SMALL_STATE(12811)] = 577443,
  [SMALL_STATE(12812)] = 577477,
  [SMALL_STATE(12813)] = 577509,
  [SMALL_STATE(12814)] = 577535,
  [SMALL_STATE(12815)] = 577569,
  [SMALL_STATE(12816)] = 577593,
  [SMALL_STATE(12817)] = 577617,
  [SMALL_STATE(12818)] = 577649,
  [SMALL_STATE(12819)] = 577683,
  [SMALL_STATE(12820)] = 577707,
  [SMALL_STATE(12821)] = 577741,
  [SMALL_STATE(12822)] = 577773,
  [SMALL_STATE(12823)] = 577807,
  [SMALL_STATE(12824)] = 577843,
  [SMALL_STATE(12825)] = 577877,
  [SMALL_STATE(12826)] = 577911,
  [SMALL_STATE(12827)] = 577945,
  [SMALL_STATE(12828)] = 577969,
  [SMALL_STATE(12829)] = 577993,
  [SMALL_STATE(12830)] = 578017,
  [SMALL_STATE(12831)] = 578041,
  [SMALL_STATE(12832)] = 578065,
  [SMALL_STATE(12833)] = 578089,
  [SMALL_STATE(12834)] = 578113,
  [SMALL_STATE(12835)] = 578147,
  [SMALL_STATE(12836)] = 578171,
  [SMALL_STATE(12837)] = 578205,
  [SMALL_STATE(12838)] = 578231,
  [SMALL_STATE(12839)] = 578255,
  [SMALL_STATE(12840)] = 578279,
  [SMALL_STATE(12841)] = 578303,
  [SMALL_STATE(12842)] = 578337,
  [SMALL_STATE(12843)] = 578371,
  [SMALL_STATE(12844)] = 578395,
  [SMALL_STATE(12845)] = 578419,
  [SMALL_STATE(12846)] = 578443,
  [SMALL_STATE(12847)] = 578477,
  [SMALL_STATE(12848)] = 578501,
  [SMALL_STATE(12849)] = 578525,
  [SMALL_STATE(12850)] = 578549,
  [SMALL_STATE(12851)] = 578573,
  [SMALL_STATE(12852)] = 578597,
  [SMALL_STATE(12853)] = 578621,
  [SMALL_STATE(12854)] = 578651,
  [SMALL_STATE(12855)] = 578679,
  [SMALL_STATE(12856)] = 578707,
  [SMALL_STATE(12857)] = 578741,
  [SMALL_STATE(12858)] = 578765,
  [SMALL_STATE(12859)] = 578799,
  [SMALL_STATE(12860)] = 578843,
  [SMALL_STATE(12861)] = 578877,
  [SMALL_STATE(12862)] = 578911,
  [SMALL_STATE(12863)] = 578937,
  [SMALL_STATE(12864)] = 578961,
  [SMALL_STATE(12865)] = 578985,
  [SMALL_STATE(12866)] = 579017,
  [SMALL_STATE(12867)] = 579041,
  [SMALL_STATE(12868)] = 579075,
  [SMALL_STATE(12869)] = 579099,
  [SMALL_STATE(12870)] = 579133,
  [SMALL_STATE(12871)] = 579167,
  [SMALL_STATE(12872)] = 579191,
  [SMALL_STATE(12873)] = 579215,
  [SMALL_STATE(12874)] = 579251,
  [SMALL_STATE(12875)] = 579277,
  [SMALL_STATE(12876)] = 579303,
  [SMALL_STATE(12877)] = 579329,
  [SMALL_STATE(12878)] = 579363,
  [SMALL_STATE(12879)] = 579397,
  [SMALL_STATE(12880)] = 579431,
  [SMALL_STATE(12881)] = 579463,
  [SMALL_STATE(12882)] = 579487,
  [SMALL_STATE(12883)] = 579523,
  [SMALL_STATE(12884)] = 579553,
  [SMALL_STATE(12885)] = 579577,
  [SMALL_STATE(12886)] = 579607,
  [SMALL_STATE(12887)] = 579651,
  [SMALL_STATE(12888)] = 579679,
  [SMALL_STATE(12889)] = 579703,
  [SMALL_STATE(12890)] = 579727,
  [SMALL_STATE(12891)] = 579753,
  [SMALL_STATE(12892)] = 579781,
  [SMALL_STATE(12893)] = 579805,
  [SMALL_STATE(12894)] = 579839,
  [SMALL_STATE(12895)] = 579863,
  [SMALL_STATE(12896)] = 579907,
  [SMALL_STATE(12897)] = 579931,
  [SMALL_STATE(12898)] = 579965,
  [SMALL_STATE(12899)] = 579999,
  [SMALL_STATE(12900)] = 580033,
  [SMALL_STATE(12901)] = 580067,
  [SMALL_STATE(12902)] = 580091,
  [SMALL_STATE(12903)] = 580125,
  [SMALL_STATE(12904)] = 580153,
  [SMALL_STATE(12905)] = 580181,
  [SMALL_STATE(12906)] = 580209,
  [SMALL_STATE(12907)] = 580233,
  [SMALL_STATE(12908)] = 580267,
  [SMALL_STATE(12909)] = 580291,
  [SMALL_STATE(12910)] = 580325,
  [SMALL_STATE(12911)] = 580349,
  [SMALL_STATE(12912)] = 580381,
  [SMALL_STATE(12913)] = 580407,
  [SMALL_STATE(12914)] = 580433,
  [SMALL_STATE(12915)] = 580457,
  [SMALL_STATE(12916)] = 580491,
  [SMALL_STATE(12917)] = 580525,
  [SMALL_STATE(12918)] = 580549,
  [SMALL_STATE(12919)] = 580573,
  [SMALL_STATE(12920)] = 580599,
  [SMALL_STATE(12921)] = 580623,
  [SMALL_STATE(12922)] = 580657,
  [SMALL_STATE(12923)] = 580681,
  [SMALL_STATE(12924)] = 580705,
  [SMALL_STATE(12925)] = 580739,
  [SMALL_STATE(12926)] = 580763,
  [SMALL_STATE(12927)] = 580787,
  [SMALL_STATE(12928)] = 580819,
  [SMALL_STATE(12929)] = 580863,
  [SMALL_STATE(12930)] = 580897,
  [SMALL_STATE(12931)] = 580921,
  [SMALL_STATE(12932)] = 580953,
  [SMALL_STATE(12933)] = 580987,
  [SMALL_STATE(12934)] = 581011,
  [SMALL_STATE(12935)] = 581035,
  [SMALL_STATE(12936)] = 581067,
  [SMALL_STATE(12937)] = 581091,
  [SMALL_STATE(12938)] = 581123,
  [SMALL_STATE(12939)] = 581147,
  [SMALL_STATE(12940)] = 581171,
  [SMALL_STATE(12941)] = 581203,
  [SMALL_STATE(12942)] = 581237,
  [SMALL_STATE(12943)] = 581261,
  [SMALL_STATE(12944)] = 581295,
  [SMALL_STATE(12945)] = 581325,
  [SMALL_STATE(12946)] = 581349,
  [SMALL_STATE(12947)] = 581373,
  [SMALL_STATE(12948)] = 581407,
  [SMALL_STATE(12949)] = 581435,
  [SMALL_STATE(12950)] = 581459,
  [SMALL_STATE(12951)] = 581483,
  [SMALL_STATE(12952)] = 581517,
  [SMALL_STATE(12953)] = 581549,
  [SMALL_STATE(12954)] = 581583,
  [SMALL_STATE(12955)] = 581609,
  [SMALL_STATE(12956)] = 581635,
  [SMALL_STATE(12957)] = 581667,
  [SMALL_STATE(12958)] = 581699,
  [SMALL_STATE(12959)] = 581725,
  [SMALL_STATE(12960)] = 581755,
  [SMALL_STATE(12961)] = 581779,
  [SMALL_STATE(12962)] = 581813,
  [SMALL_STATE(12963)] = 581837,
  [SMALL_STATE(12964)] = 581871,
  [SMALL_STATE(12965)] = 581895,
  [SMALL_STATE(12966)] = 581929,
  [SMALL_STATE(12967)] = 581955,
  [SMALL_STATE(12968)] = 581985,
  [SMALL_STATE(12969)] = 582019,
  [SMALL_STATE(12970)] = 582043,
  [SMALL_STATE(12971)] = 582075,
  [SMALL_STATE(12972)] = 582109,
  [SMALL_STATE(12973)] = 582137,
  [SMALL_STATE(12974)] = 582161,
  [SMALL_STATE(12975)] = 582189,
  [SMALL_STATE(12976)] = 582223,
  [SMALL_STATE(12977)] = 582251,
  [SMALL_STATE(12978)] = 582283,
  [SMALL_STATE(12979)] = 582311,
  [SMALL_STATE(12980)] = 582337,
  [SMALL_STATE(12981)] = 582371,
  [SMALL_STATE(12982)] = 582403,
  [SMALL_STATE(12983)] = 582437,
  [SMALL_STATE(12984)] = 582465,
  [SMALL_STATE(12985)] = 582491,
  [SMALL_STATE(12986)] = 582521,
  [SMALL_STATE(12987)] = 582545,
  [SMALL_STATE(12988)] = 582569,
  [SMALL_STATE(12989)] = 582603,
  [SMALL_STATE(12990)] = 582629,
  [SMALL_STATE(12991)] = 582663,
  [SMALL_STATE(12992)] = 582707,
  [SMALL_STATE(12993)] = 582731,
  [SMALL_STATE(12994)] = 582765,
  [SMALL_STATE(12995)] = 582799,
  [SMALL_STATE(12996)] = 582833,
  [SMALL_STATE(12997)] = 582867,
  [SMALL_STATE(12998)] = 582891,
  [SMALL_STATE(12999)] = 582925,
  [SMALL_STATE(13000)] = 582955,
  [SMALL_STATE(13001)] = 582979,
  [SMALL_STATE(13002)] = 583013,
  [SMALL_STATE(13003)] = 583047,
  [SMALL_STATE(13004)] = 583071,
  [SMALL_STATE(13005)] = 583095,
  [SMALL_STATE(13006)] = 583129,
  [SMALL_STATE(13007)] = 583173,
  [SMALL_STATE(13008)] = 583207,
  [SMALL_STATE(13009)] = 583231,
  [SMALL_STATE(13010)] = 583255,
  [SMALL_STATE(13011)] = 583283,
  [SMALL_STATE(13012)] = 583313,
  [SMALL_STATE(13013)] = 583347,
  [SMALL_STATE(13014)] = 583375,
  [SMALL_STATE(13015)] = 583405,
  [SMALL_STATE(13016)] = 583439,
  [SMALL_STATE(13017)] = 583463,
  [SMALL_STATE(13018)] = 583495,
  [SMALL_STATE(13019)] = 583527,
  [SMALL_STATE(13020)] = 583555,
  [SMALL_STATE(13021)] = 583579,
  [SMALL_STATE(13022)] = 583613,
  [SMALL_STATE(13023)] = 583641,
  [SMALL_STATE(13024)] = 583669,
  [SMALL_STATE(13025)] = 583697,
  [SMALL_STATE(13026)] = 583726,
  [SMALL_STATE(13027)] = 583749,
  [SMALL_STATE(13028)] = 583772,
  [SMALL_STATE(13029)] = 583795,
  [SMALL_STATE(13030)] = 583820,
  [SMALL_STATE(13031)] = 583843,
  [SMALL_STATE(13032)] = 583866,
  [SMALL_STATE(13033)] = 583889,
  [SMALL_STATE(13034)] = 583912,
  [SMALL_STATE(13035)] = 583935,
  [SMALL_STATE(13036)] = 583958,
  [SMALL_STATE(13037)] = 583981,
  [SMALL_STATE(13038)] = 584004,
  [SMALL_STATE(13039)] = 584027,
  [SMALL_STATE(13040)] = 584050,
  [SMALL_STATE(13041)] = 584081,
  [SMALL_STATE(13042)] = 584104,
  [SMALL_STATE(13043)] = 584127,
  [SMALL_STATE(13044)] = 584150,
  [SMALL_STATE(13045)] = 584173,
  [SMALL_STATE(13046)] = 584196,
  [SMALL_STATE(13047)] = 584223,
  [SMALL_STATE(13048)] = 584246,
  [SMALL_STATE(13049)] = 584269,
  [SMALL_STATE(13050)] = 584292,
  [SMALL_STATE(13051)] = 584315,
  [SMALL_STATE(13052)] = 584338,
  [SMALL_STATE(13053)] = 584361,
  [SMALL_STATE(13054)] = 584384,
  [SMALL_STATE(13055)] = 584407,
  [SMALL_STATE(13056)] = 584430,
  [SMALL_STATE(13057)] = 584453,
  [SMALL_STATE(13058)] = 584478,
  [SMALL_STATE(13059)] = 584501,
  [SMALL_STATE(13060)] = 584524,
  [SMALL_STATE(13061)] = 584547,
  [SMALL_STATE(13062)] = 584570,
  [SMALL_STATE(13063)] = 584595,
  [SMALL_STATE(13064)] = 584618,
  [SMALL_STATE(13065)] = 584645,
  [SMALL_STATE(13066)] = 584668,
  [SMALL_STATE(13067)] = 584699,
  [SMALL_STATE(13068)] = 584730,
  [SMALL_STATE(13069)] = 584753,
  [SMALL_STATE(13070)] = 584780,
  [SMALL_STATE(13071)] = 584803,
  [SMALL_STATE(13072)] = 584828,
  [SMALL_STATE(13073)] = 584851,
  [SMALL_STATE(13074)] = 584874,
  [SMALL_STATE(13075)] = 584897,
  [SMALL_STATE(13076)] = 584920,
  [SMALL_STATE(13077)] = 584959,
  [SMALL_STATE(13078)] = 584988,
  [SMALL_STATE(13079)] = 585011,
  [SMALL_STATE(13080)] = 585034,
  [SMALL_STATE(13081)] = 585057,
  [SMALL_STATE(13082)] = 585084,
  [SMALL_STATE(13083)] = 585107,
  [SMALL_STATE(13084)] = 585130,
  [SMALL_STATE(13085)] = 585153,
  [SMALL_STATE(13086)] = 585176,
  [SMALL_STATE(13087)] = 585199,
  [SMALL_STATE(13088)] = 585228,
  [SMALL_STATE(13089)] = 585251,
  [SMALL_STATE(13090)] = 585274,
  [SMALL_STATE(13091)] = 585297,
  [SMALL_STATE(13092)] = 585326,
  [SMALL_STATE(13093)] = 585349,
  [SMALL_STATE(13094)] = 585372,
  [SMALL_STATE(13095)] = 585399,
  [SMALL_STATE(13096)] = 585422,
  [SMALL_STATE(13097)] = 585445,
  [SMALL_STATE(13098)] = 585468,
  [SMALL_STATE(13099)] = 585495,
  [SMALL_STATE(13100)] = 585518,
  [SMALL_STATE(13101)] = 585549,
  [SMALL_STATE(13102)] = 585584,
  [SMALL_STATE(13103)] = 585607,
  [SMALL_STATE(13104)] = 585630,
  [SMALL_STATE(13105)] = 585653,
  [SMALL_STATE(13106)] = 585676,
  [SMALL_STATE(13107)] = 585699,
  [SMALL_STATE(13108)] = 585726,
  [SMALL_STATE(13109)] = 585749,
  [SMALL_STATE(13110)] = 585772,
  [SMALL_STATE(13111)] = 585795,
  [SMALL_STATE(13112)] = 585818,
  [SMALL_STATE(13113)] = 585841,
  [SMALL_STATE(13114)] = 585864,
  [SMALL_STATE(13115)] = 585887,
  [SMALL_STATE(13116)] = 585910,
  [SMALL_STATE(13117)] = 585933,
  [SMALL_STATE(13118)] = 585962,
  [SMALL_STATE(13119)] = 585985,
  [SMALL_STATE(13120)] = 586008,
  [SMALL_STATE(13121)] = 586031,
  [SMALL_STATE(13122)] = 586054,
  [SMALL_STATE(13123)] = 586077,
  [SMALL_STATE(13124)] = 586100,
  [SMALL_STATE(13125)] = 586123,
  [SMALL_STATE(13126)] = 586146,
  [SMALL_STATE(13127)] = 586169,
  [SMALL_STATE(13128)] = 586192,
  [SMALL_STATE(13129)] = 586215,
  [SMALL_STATE(13130)] = 586238,
  [SMALL_STATE(13131)] = 586261,
  [SMALL_STATE(13132)] = 586284,
  [SMALL_STATE(13133)] = 586307,
  [SMALL_STATE(13134)] = 586330,
  [SMALL_STATE(13135)] = 586355,
  [SMALL_STATE(13136)] = 586378,
  [SMALL_STATE(13137)] = 586401,
  [SMALL_STATE(13138)] = 586428,
  [SMALL_STATE(13139)] = 586453,
  [SMALL_STATE(13140)] = 586480,
  [SMALL_STATE(13141)] = 586503,
  [SMALL_STATE(13142)] = 586530,
  [SMALL_STATE(13143)] = 586553,
  [SMALL_STATE(13144)] = 586576,
  [SMALL_STATE(13145)] = 586599,
  [SMALL_STATE(13146)] = 586622,
  [SMALL_STATE(13147)] = 586645,
  [SMALL_STATE(13148)] = 586668,
  [SMALL_STATE(13149)] = 586691,
  [SMALL_STATE(13150)] = 586714,
  [SMALL_STATE(13151)] = 586737,
  [SMALL_STATE(13152)] = 586760,
  [SMALL_STATE(13153)] = 586783,
  [SMALL_STATE(13154)] = 586808,
  [SMALL_STATE(13155)] = 586831,
  [SMALL_STATE(13156)] = 586854,
  [SMALL_STATE(13157)] = 586877,
  [SMALL_STATE(13158)] = 586900,
  [SMALL_STATE(13159)] = 586923,
  [SMALL_STATE(13160)] = 586946,
  [SMALL_STATE(13161)] = 586969,
  [SMALL_STATE(13162)] = 586992,
  [SMALL_STATE(13163)] = 587015,
  [SMALL_STATE(13164)] = 587038,
  [SMALL_STATE(13165)] = 587061,
  [SMALL_STATE(13166)] = 587084,
  [SMALL_STATE(13167)] = 587113,
  [SMALL_STATE(13168)] = 587136,
  [SMALL_STATE(13169)] = 587159,
  [SMALL_STATE(13170)] = 587188,
  [SMALL_STATE(13171)] = 587211,
  [SMALL_STATE(13172)] = 587234,
  [SMALL_STATE(13173)] = 587257,
  [SMALL_STATE(13174)] = 587280,
  [SMALL_STATE(13175)] = 587303,
  [SMALL_STATE(13176)] = 587326,
  [SMALL_STATE(13177)] = 587353,
  [SMALL_STATE(13178)] = 587376,
  [SMALL_STATE(13179)] = 587401,
  [SMALL_STATE(13180)] = 587424,
  [SMALL_STATE(13181)] = 587447,
  [SMALL_STATE(13182)] = 587470,
  [SMALL_STATE(13183)] = 587505,
  [SMALL_STATE(13184)] = 587532,
  [SMALL_STATE(13185)] = 587557,
  [SMALL_STATE(13186)] = 587582,
  [SMALL_STATE(13187)] = 587605,
  [SMALL_STATE(13188)] = 587628,
  [SMALL_STATE(13189)] = 587653,
  [SMALL_STATE(13190)] = 587676,
  [SMALL_STATE(13191)] = 587699,
  [SMALL_STATE(13192)] = 587726,
  [SMALL_STATE(13193)] = 587749,
  [SMALL_STATE(13194)] = 587772,
  [SMALL_STATE(13195)] = 587795,
  [SMALL_STATE(13196)] = 587820,
  [SMALL_STATE(13197)] = 587843,
  [SMALL_STATE(13198)] = 587872,
  [SMALL_STATE(13199)] = 587895,
  [SMALL_STATE(13200)] = 587922,
  [SMALL_STATE(13201)] = 587957,
  [SMALL_STATE(13202)] = 587984,
  [SMALL_STATE(13203)] = 588007,
  [SMALL_STATE(13204)] = 588030,
  [SMALL_STATE(13205)] = 588053,
  [SMALL_STATE(13206)] = 588076,
  [SMALL_STATE(13207)] = 588099,
  [SMALL_STATE(13208)] = 588122,
  [SMALL_STATE(13209)] = 588145,
  [SMALL_STATE(13210)] = 588168,
  [SMALL_STATE(13211)] = 588191,
  [SMALL_STATE(13212)] = 588214,
  [SMALL_STATE(13213)] = 588241,
  [SMALL_STATE(13214)] = 588280,
  [SMALL_STATE(13215)] = 588305,
  [SMALL_STATE(13216)] = 588338,
  [SMALL_STATE(13217)] = 588361,
  [SMALL_STATE(13218)] = 588384,
  [SMALL_STATE(13219)] = 588411,
  [SMALL_STATE(13220)] = 588436,
  [SMALL_STATE(13221)] = 588459,
  [SMALL_STATE(13222)] = 588486,
  [SMALL_STATE(13223)] = 588509,
  [SMALL_STATE(13224)] = 588532,
  [SMALL_STATE(13225)] = 588563,
  [SMALL_STATE(13226)] = 588590,
  [SMALL_STATE(13227)] = 588617,
  [SMALL_STATE(13228)] = 588640,
  [SMALL_STATE(13229)] = 588663,
  [SMALL_STATE(13230)] = 588686,
  [SMALL_STATE(13231)] = 588709,
  [SMALL_STATE(13232)] = 588732,
  [SMALL_STATE(13233)] = 588755,
  [SMALL_STATE(13234)] = 588786,
  [SMALL_STATE(13235)] = 588813,
  [SMALL_STATE(13236)] = 588836,
  [SMALL_STATE(13237)] = 588865,
  [SMALL_STATE(13238)] = 588900,
  [SMALL_STATE(13239)] = 588931,
  [SMALL_STATE(13240)] = 588956,
  [SMALL_STATE(13241)] = 588983,
  [SMALL_STATE(13242)] = 589010,
  [SMALL_STATE(13243)] = 589033,
  [SMALL_STATE(13244)] = 589056,
  [SMALL_STATE(13245)] = 589085,
  [SMALL_STATE(13246)] = 589112,
  [SMALL_STATE(13247)] = 589135,
  [SMALL_STATE(13248)] = 589158,
  [SMALL_STATE(13249)] = 589181,
  [SMALL_STATE(13250)] = 589204,
  [SMALL_STATE(13251)] = 589227,
  [SMALL_STATE(13252)] = 589258,
  [SMALL_STATE(13253)] = 589287,
  [SMALL_STATE(13254)] = 589310,
  [SMALL_STATE(13255)] = 589333,
  [SMALL_STATE(13256)] = 589360,
  [SMALL_STATE(13257)] = 589385,
  [SMALL_STATE(13258)] = 589416,
  [SMALL_STATE(13259)] = 589443,
  [SMALL_STATE(13260)] = 589466,
  [SMALL_STATE(13261)] = 589493,
  [SMALL_STATE(13262)] = 589520,
  [SMALL_STATE(13263)] = 589543,
  [SMALL_STATE(13264)] = 589566,
  [SMALL_STATE(13265)] = 589589,
  [SMALL_STATE(13266)] = 589614,
  [SMALL_STATE(13267)] = 589637,
  [SMALL_STATE(13268)] = 589666,
  [SMALL_STATE(13269)] = 589695,
  [SMALL_STATE(13270)] = 589724,
  [SMALL_STATE(13271)] = 589747,
  [SMALL_STATE(13272)] = 589770,
  [SMALL_STATE(13273)] = 589793,
  [SMALL_STATE(13274)] = 589816,
  [SMALL_STATE(13275)] = 589843,
  [SMALL_STATE(13276)] = 589870,
  [SMALL_STATE(13277)] = 589893,
  [SMALL_STATE(13278)] = 589920,
  [SMALL_STATE(13279)] = 589945,
  [SMALL_STATE(13280)] = 589968,
  [SMALL_STATE(13281)] = 589991,
  [SMALL_STATE(13282)] = 590014,
  [SMALL_STATE(13283)] = 590041,
  [SMALL_STATE(13284)] = 590068,
  [SMALL_STATE(13285)] = 590093,
  [SMALL_STATE(13286)] = 590120,
  [SMALL_STATE(13287)] = 590149,
  [SMALL_STATE(13288)] = 590172,
  [SMALL_STATE(13289)] = 590199,
  [SMALL_STATE(13290)] = 590228,
  [SMALL_STATE(13291)] = 590259,
  [SMALL_STATE(13292)] = 590286,
  [SMALL_STATE(13293)] = 590315,
  [SMALL_STATE(13294)] = 590346,
  [SMALL_STATE(13295)] = 590379,
  [SMALL_STATE(13296)] = 590410,
  [SMALL_STATE(13297)] = 590437,
  [SMALL_STATE(13298)] = 590460,
  [SMALL_STATE(13299)] = 590483,
  [SMALL_STATE(13300)] = 590510,
  [SMALL_STATE(13301)] = 590533,
  [SMALL_STATE(13302)] = 590560,
  [SMALL_STATE(13303)] = 590583,
  [SMALL_STATE(13304)] = 590606,
  [SMALL_STATE(13305)] = 590629,
  [SMALL_STATE(13306)] = 590652,
  [SMALL_STATE(13307)] = 590675,
  [SMALL_STATE(13308)] = 590698,
  [SMALL_STATE(13309)] = 590729,
  [SMALL_STATE(13310)] = 590752,
  [SMALL_STATE(13311)] = 590775,
  [SMALL_STATE(13312)] = 590798,
  [SMALL_STATE(13313)] = 590825,
  [SMALL_STATE(13314)] = 590850,
  [SMALL_STATE(13315)] = 590877,
  [SMALL_STATE(13316)] = 590900,
  [SMALL_STATE(13317)] = 590923,
  [SMALL_STATE(13318)] = 590952,
  [SMALL_STATE(13319)] = 590975,
  [SMALL_STATE(13320)] = 591010,
  [SMALL_STATE(13321)] = 591035,
  [SMALL_STATE(13322)] = 591057,
  [SMALL_STATE(13323)] = 591081,
  [SMALL_STATE(13324)] = 591109,
  [SMALL_STATE(13325)] = 591131,
  [SMALL_STATE(13326)] = 591153,
  [SMALL_STATE(13327)] = 591179,
  [SMALL_STATE(13328)] = 591205,
  [SMALL_STATE(13329)] = 591227,
  [SMALL_STATE(13330)] = 591255,
  [SMALL_STATE(13331)] = 591277,
  [SMALL_STATE(13332)] = 591299,
  [SMALL_STATE(13333)] = 591321,
  [SMALL_STATE(13334)] = 591343,
  [SMALL_STATE(13335)] = 591365,
  [SMALL_STATE(13336)] = 591389,
  [SMALL_STATE(13337)] = 591411,
  [SMALL_STATE(13338)] = 591435,
  [SMALL_STATE(13339)] = 591457,
  [SMALL_STATE(13340)] = 591479,
  [SMALL_STATE(13341)] = 591507,
  [SMALL_STATE(13342)] = 591531,
  [SMALL_STATE(13343)] = 591553,
  [SMALL_STATE(13344)] = 591587,
  [SMALL_STATE(13345)] = 591609,
  [SMALL_STATE(13346)] = 591631,
  [SMALL_STATE(13347)] = 591653,
  [SMALL_STATE(13348)] = 591675,
  [SMALL_STATE(13349)] = 591697,
  [SMALL_STATE(13350)] = 591719,
  [SMALL_STATE(13351)] = 591741,
  [SMALL_STATE(13352)] = 591767,
  [SMALL_STATE(13353)] = 591793,
  [SMALL_STATE(13354)] = 591815,
  [SMALL_STATE(13355)] = 591837,
  [SMALL_STATE(13356)] = 591859,
  [SMALL_STATE(13357)] = 591881,
  [SMALL_STATE(13358)] = 591903,
  [SMALL_STATE(13359)] = 591925,
  [SMALL_STATE(13360)] = 591949,
  [SMALL_STATE(13361)] = 591971,
  [SMALL_STATE(13362)] = 592001,
  [SMALL_STATE(13363)] = 592023,
  [SMALL_STATE(13364)] = 592045,
  [SMALL_STATE(13365)] = 592067,
  [SMALL_STATE(13366)] = 592089,
  [SMALL_STATE(13367)] = 592113,
  [SMALL_STATE(13368)] = 592143,
  [SMALL_STATE(13369)] = 592169,
  [SMALL_STATE(13370)] = 592191,
  [SMALL_STATE(13371)] = 592217,
  [SMALL_STATE(13372)] = 592239,
  [SMALL_STATE(13373)] = 592261,
  [SMALL_STATE(13374)] = 592283,
  [SMALL_STATE(13375)] = 592305,
  [SMALL_STATE(13376)] = 592327,
  [SMALL_STATE(13377)] = 592349,
  [SMALL_STATE(13378)] = 592371,
  [SMALL_STATE(13379)] = 592397,
  [SMALL_STATE(13380)] = 592425,
  [SMALL_STATE(13381)] = 592451,
  [SMALL_STATE(13382)] = 592473,
  [SMALL_STATE(13383)] = 592497,
  [SMALL_STATE(13384)] = 592519,
  [SMALL_STATE(13385)] = 592549,
  [SMALL_STATE(13386)] = 592575,
  [SMALL_STATE(13387)] = 592597,
  [SMALL_STATE(13388)] = 592625,
  [SMALL_STATE(13389)] = 592651,
  [SMALL_STATE(13390)] = 592673,
  [SMALL_STATE(13391)] = 592699,
  [SMALL_STATE(13392)] = 592721,
  [SMALL_STATE(13393)] = 592747,
  [SMALL_STATE(13394)] = 592769,
  [SMALL_STATE(13395)] = 592793,
  [SMALL_STATE(13396)] = 592815,
  [SMALL_STATE(13397)] = 592841,
  [SMALL_STATE(13398)] = 592867,
  [SMALL_STATE(13399)] = 592895,
  [SMALL_STATE(13400)] = 592921,
  [SMALL_STATE(13401)] = 592947,
  [SMALL_STATE(13402)] = 592971,
  [SMALL_STATE(13403)] = 592999,
  [SMALL_STATE(13404)] = 593021,
  [SMALL_STATE(13405)] = 593051,
  [SMALL_STATE(13406)] = 593075,
  [SMALL_STATE(13407)] = 593097,
  [SMALL_STATE(13408)] = 593119,
  [SMALL_STATE(13409)] = 593141,
  [SMALL_STATE(13410)] = 593163,
  [SMALL_STATE(13411)] = 593185,
  [SMALL_STATE(13412)] = 593215,
  [SMALL_STATE(13413)] = 593237,
  [SMALL_STATE(13414)] = 593265,
  [SMALL_STATE(13415)] = 593287,
  [SMALL_STATE(13416)] = 593309,
  [SMALL_STATE(13417)] = 593331,
  [SMALL_STATE(13418)] = 593353,
  [SMALL_STATE(13419)] = 593377,
  [SMALL_STATE(13420)] = 593399,
  [SMALL_STATE(13421)] = 593429,
  [SMALL_STATE(13422)] = 593451,
  [SMALL_STATE(13423)] = 593473,
  [SMALL_STATE(13424)] = 593495,
  [SMALL_STATE(13425)] = 593521,
  [SMALL_STATE(13426)] = 593543,
  [SMALL_STATE(13427)] = 593565,
  [SMALL_STATE(13428)] = 593591,
  [SMALL_STATE(13429)] = 593613,
  [SMALL_STATE(13430)] = 593635,
  [SMALL_STATE(13431)] = 593657,
  [SMALL_STATE(13432)] = 593679,
  [SMALL_STATE(13433)] = 593705,
  [SMALL_STATE(13434)] = 593731,
  [SMALL_STATE(13435)] = 593759,
  [SMALL_STATE(13436)] = 593783,
  [SMALL_STATE(13437)] = 593805,
  [SMALL_STATE(13438)] = 593827,
  [SMALL_STATE(13439)] = 593849,
  [SMALL_STATE(13440)] = 593879,
  [SMALL_STATE(13441)] = 593901,
  [SMALL_STATE(13442)] = 593927,
  [SMALL_STATE(13443)] = 593949,
  [SMALL_STATE(13444)] = 593975,
  [SMALL_STATE(13445)] = 593999,
  [SMALL_STATE(13446)] = 594021,
  [SMALL_STATE(13447)] = 594043,
  [SMALL_STATE(13448)] = 594067,
  [SMALL_STATE(13449)] = 594095,
  [SMALL_STATE(13450)] = 594117,
  [SMALL_STATE(13451)] = 594139,
  [SMALL_STATE(13452)] = 594165,
  [SMALL_STATE(13453)] = 594187,
  [SMALL_STATE(13454)] = 594209,
  [SMALL_STATE(13455)] = 594235,
  [SMALL_STATE(13456)] = 594265,
  [SMALL_STATE(13457)] = 594287,
  [SMALL_STATE(13458)] = 594309,
  [SMALL_STATE(13459)] = 594337,
  [SMALL_STATE(13460)] = 594359,
  [SMALL_STATE(13461)] = 594381,
  [SMALL_STATE(13462)] = 594403,
  [SMALL_STATE(13463)] = 594425,
  [SMALL_STATE(13464)] = 594453,
  [SMALL_STATE(13465)] = 594475,
  [SMALL_STATE(13466)] = 594501,
  [SMALL_STATE(13467)] = 594529,
  [SMALL_STATE(13468)] = 594555,
  [SMALL_STATE(13469)] = 594577,
  [SMALL_STATE(13470)] = 594607,
  [SMALL_STATE(13471)] = 594633,
  [SMALL_STATE(13472)] = 594655,
  [SMALL_STATE(13473)] = 594677,
  [SMALL_STATE(13474)] = 594699,
  [SMALL_STATE(13475)] = 594721,
  [SMALL_STATE(13476)] = 594743,
  [SMALL_STATE(13477)] = 594765,
  [SMALL_STATE(13478)] = 594787,
  [SMALL_STATE(13479)] = 594809,
  [SMALL_STATE(13480)] = 594831,
  [SMALL_STATE(13481)] = 594857,
  [SMALL_STATE(13482)] = 594879,
  [SMALL_STATE(13483)] = 594901,
  [SMALL_STATE(13484)] = 594923,
  [SMALL_STATE(13485)] = 594945,
  [SMALL_STATE(13486)] = 594967,
  [SMALL_STATE(13487)] = 594991,
  [SMALL_STATE(13488)] = 595019,
  [SMALL_STATE(13489)] = 595041,
  [SMALL_STATE(13490)] = 595067,
  [SMALL_STATE(13491)] = 595089,
  [SMALL_STATE(13492)] = 595115,
  [SMALL_STATE(13493)] = 595137,
  [SMALL_STATE(13494)] = 595159,
  [SMALL_STATE(13495)] = 595181,
  [SMALL_STATE(13496)] = 595207,
  [SMALL_STATE(13497)] = 595231,
  [SMALL_STATE(13498)] = 595253,
  [SMALL_STATE(13499)] = 595275,
  [SMALL_STATE(13500)] = 595305,
  [SMALL_STATE(13501)] = 595327,
  [SMALL_STATE(13502)] = 595349,
  [SMALL_STATE(13503)] = 595371,
  [SMALL_STATE(13504)] = 595399,
  [SMALL_STATE(13505)] = 595421,
  [SMALL_STATE(13506)] = 595443,
  [SMALL_STATE(13507)] = 595467,
  [SMALL_STATE(13508)] = 595489,
  [SMALL_STATE(13509)] = 595511,
  [SMALL_STATE(13510)] = 595541,
  [SMALL_STATE(13511)] = 595563,
  [SMALL_STATE(13512)] = 595585,
  [SMALL_STATE(13513)] = 595607,
  [SMALL_STATE(13514)] = 595631,
  [SMALL_STATE(13515)] = 595653,
  [SMALL_STATE(13516)] = 595675,
  [SMALL_STATE(13517)] = 595703,
  [SMALL_STATE(13518)] = 595733,
  [SMALL_STATE(13519)] = 595755,
  [SMALL_STATE(13520)] = 595777,
  [SMALL_STATE(13521)] = 595805,
  [SMALL_STATE(13522)] = 595827,
  [SMALL_STATE(13523)] = 595849,
  [SMALL_STATE(13524)] = 595875,
  [SMALL_STATE(13525)] = 595901,
  [SMALL_STATE(13526)] = 595923,
  [SMALL_STATE(13527)] = 595945,
  [SMALL_STATE(13528)] = 595967,
  [SMALL_STATE(13529)] = 595993,
  [SMALL_STATE(13530)] = 596015,
  [SMALL_STATE(13531)] = 596045,
  [SMALL_STATE(13532)] = 596067,
  [SMALL_STATE(13533)] = 596089,
  [SMALL_STATE(13534)] = 596117,
  [SMALL_STATE(13535)] = 596139,
  [SMALL_STATE(13536)] = 596163,
  [SMALL_STATE(13537)] = 596185,
  [SMALL_STATE(13538)] = 596207,
  [SMALL_STATE(13539)] = 596229,
  [SMALL_STATE(13540)] = 596251,
  [SMALL_STATE(13541)] = 596273,
  [SMALL_STATE(13542)] = 596295,
  [SMALL_STATE(13543)] = 596317,
  [SMALL_STATE(13544)] = 596339,
  [SMALL_STATE(13545)] = 596365,
  [SMALL_STATE(13546)] = 596395,
  [SMALL_STATE(13547)] = 596417,
  [SMALL_STATE(13548)] = 596439,
  [SMALL_STATE(13549)] = 596461,
  [SMALL_STATE(13550)] = 596489,
  [SMALL_STATE(13551)] = 596511,
  [SMALL_STATE(13552)] = 596537,
  [SMALL_STATE(13553)] = 596563,
  [SMALL_STATE(13554)] = 596585,
  [SMALL_STATE(13555)] = 596607,
  [SMALL_STATE(13556)] = 596629,
  [SMALL_STATE(13557)] = 596655,
  [SMALL_STATE(13558)] = 596677,
  [SMALL_STATE(13559)] = 596699,
  [SMALL_STATE(13560)] = 596721,
  [SMALL_STATE(13561)] = 596747,
  [SMALL_STATE(13562)] = 596769,
  [SMALL_STATE(13563)] = 596791,
  [SMALL_STATE(13564)] = 596813,
  [SMALL_STATE(13565)] = 596835,
  [SMALL_STATE(13566)] = 596857,
  [SMALL_STATE(13567)] = 596883,
  [SMALL_STATE(13568)] = 596905,
  [SMALL_STATE(13569)] = 596927,
  [SMALL_STATE(13570)] = 596953,
  [SMALL_STATE(13571)] = 596979,
  [SMALL_STATE(13572)] = 597001,
  [SMALL_STATE(13573)] = 597023,
  [SMALL_STATE(13574)] = 597045,
  [SMALL_STATE(13575)] = 597067,
  [SMALL_STATE(13576)] = 597089,
  [SMALL_STATE(13577)] = 597111,
  [SMALL_STATE(13578)] = 597133,
  [SMALL_STATE(13579)] = 597155,
  [SMALL_STATE(13580)] = 597177,
  [SMALL_STATE(13581)] = 597203,
  [SMALL_STATE(13582)] = 597231,
  [SMALL_STATE(13583)] = 597253,
  [SMALL_STATE(13584)] = 597283,
  [SMALL_STATE(13585)] = 597305,
  [SMALL_STATE(13586)] = 597327,
  [SMALL_STATE(13587)] = 597351,
  [SMALL_STATE(13588)] = 597373,
  [SMALL_STATE(13589)] = 597395,
  [SMALL_STATE(13590)] = 597421,
  [SMALL_STATE(13591)] = 597445,
  [SMALL_STATE(13592)] = 597471,
  [SMALL_STATE(13593)] = 597497,
  [SMALL_STATE(13594)] = 597521,
  [SMALL_STATE(13595)] = 597549,
  [SMALL_STATE(13596)] = 597571,
  [SMALL_STATE(13597)] = 597597,
  [SMALL_STATE(13598)] = 597619,
  [SMALL_STATE(13599)] = 597641,
  [SMALL_STATE(13600)] = 597663,
  [SMALL_STATE(13601)] = 597691,
  [SMALL_STATE(13602)] = 597717,
  [SMALL_STATE(13603)] = 597739,
  [SMALL_STATE(13604)] = 597765,
  [SMALL_STATE(13605)] = 597787,
  [SMALL_STATE(13606)] = 597815,
  [SMALL_STATE(13607)] = 597837,
  [SMALL_STATE(13608)] = 597863,
  [SMALL_STATE(13609)] = 597885,
  [SMALL_STATE(13610)] = 597907,
  [SMALL_STATE(13611)] = 597929,
  [SMALL_STATE(13612)] = 597951,
  [SMALL_STATE(13613)] = 597977,
  [SMALL_STATE(13614)] = 597999,
  [SMALL_STATE(13615)] = 598021,
  [SMALL_STATE(13616)] = 598047,
  [SMALL_STATE(13617)] = 598073,
  [SMALL_STATE(13618)] = 598095,
  [SMALL_STATE(13619)] = 598121,
  [SMALL_STATE(13620)] = 598151,
  [SMALL_STATE(13621)] = 598173,
  [SMALL_STATE(13622)] = 598195,
  [SMALL_STATE(13623)] = 598219,
  [SMALL_STATE(13624)] = 598241,
  [SMALL_STATE(13625)] = 598263,
  [SMALL_STATE(13626)] = 598285,
  [SMALL_STATE(13627)] = 598307,
  [SMALL_STATE(13628)] = 598329,
  [SMALL_STATE(13629)] = 598351,
  [SMALL_STATE(13630)] = 598377,
  [SMALL_STATE(13631)] = 598399,
  [SMALL_STATE(13632)] = 598421,
  [SMALL_STATE(13633)] = 598444,
  [SMALL_STATE(13634)] = 598465,
  [SMALL_STATE(13635)] = 598490,
  [SMALL_STATE(13636)] = 598511,
  [SMALL_STATE(13637)] = 598544,
  [SMALL_STATE(13638)] = 598569,
  [SMALL_STATE(13639)] = 598598,
  [SMALL_STATE(13640)] = 598619,
  [SMALL_STATE(13641)] = 598640,
  [SMALL_STATE(13642)] = 598671,
  [SMALL_STATE(13643)] = 598692,
  [SMALL_STATE(13644)] = 598713,
  [SMALL_STATE(13645)] = 598734,
  [SMALL_STATE(13646)] = 598755,
  [SMALL_STATE(13647)] = 598776,
  [SMALL_STATE(13648)] = 598797,
  [SMALL_STATE(13649)] = 598830,
  [SMALL_STATE(13650)] = 598859,
  [SMALL_STATE(13651)] = 598888,
  [SMALL_STATE(13652)] = 598917,
  [SMALL_STATE(13653)] = 598950,
  [SMALL_STATE(13654)] = 598975,
  [SMALL_STATE(13655)] = 599004,
  [SMALL_STATE(13656)] = 599025,
  [SMALL_STATE(13657)] = 599050,
  [SMALL_STATE(13658)] = 599083,
  [SMALL_STATE(13659)] = 599112,
  [SMALL_STATE(13660)] = 599145,
  [SMALL_STATE(13661)] = 599172,
  [SMALL_STATE(13662)] = 599193,
  [SMALL_STATE(13663)] = 599214,
  [SMALL_STATE(13664)] = 599235,
  [SMALL_STATE(13665)] = 599258,
  [SMALL_STATE(13666)] = 599291,
  [SMALL_STATE(13667)] = 599324,
  [SMALL_STATE(13668)] = 599347,
  [SMALL_STATE(13669)] = 599374,
  [SMALL_STATE(13670)] = 599399,
  [SMALL_STATE(13671)] = 599420,
  [SMALL_STATE(13672)] = 599445,
  [SMALL_STATE(13673)] = 599470,
  [SMALL_STATE(13674)] = 599491,
  [SMALL_STATE(13675)] = 599514,
  [SMALL_STATE(13676)] = 599535,
  [SMALL_STATE(13677)] = 599568,
  [SMALL_STATE(13678)] = 599589,
  [SMALL_STATE(13679)] = 599614,
  [SMALL_STATE(13680)] = 599637,
  [SMALL_STATE(13681)] = 599658,
  [SMALL_STATE(13682)] = 599681,
  [SMALL_STATE(13683)] = 599710,
  [SMALL_STATE(13684)] = 599731,
  [SMALL_STATE(13685)] = 599752,
  [SMALL_STATE(13686)] = 599773,
  [SMALL_STATE(13687)] = 599794,
  [SMALL_STATE(13688)] = 599819,
  [SMALL_STATE(13689)] = 599840,
  [SMALL_STATE(13690)] = 599865,
  [SMALL_STATE(13691)] = 599892,
  [SMALL_STATE(13692)] = 599917,
  [SMALL_STATE(13693)] = 599948,
  [SMALL_STATE(13694)] = 599969,
  [SMALL_STATE(13695)] = 599990,
  [SMALL_STATE(13696)] = 600015,
  [SMALL_STATE(13697)] = 600040,
  [SMALL_STATE(13698)] = 600067,
  [SMALL_STATE(13699)] = 600088,
  [SMALL_STATE(13700)] = 600111,
  [SMALL_STATE(13701)] = 600136,
  [SMALL_STATE(13702)] = 600157,
  [SMALL_STATE(13703)] = 600178,
  [SMALL_STATE(13704)] = 600199,
  [SMALL_STATE(13705)] = 600226,
  [SMALL_STATE(13706)] = 600247,
  [SMALL_STATE(13707)] = 600268,
  [SMALL_STATE(13708)] = 600289,
  [SMALL_STATE(13709)] = 600314,
  [SMALL_STATE(13710)] = 600335,
  [SMALL_STATE(13711)] = 600358,
  [SMALL_STATE(13712)] = 600389,
  [SMALL_STATE(13713)] = 600410,
  [SMALL_STATE(13714)] = 600435,
  [SMALL_STATE(13715)] = 600466,
  [SMALL_STATE(13716)] = 600491,
  [SMALL_STATE(13717)] = 600512,
  [SMALL_STATE(13718)] = 600533,
  [SMALL_STATE(13719)] = 600554,
  [SMALL_STATE(13720)] = 600575,
  [SMALL_STATE(13721)] = 600600,
  [SMALL_STATE(13722)] = 600627,
  [SMALL_STATE(13723)] = 600652,
  [SMALL_STATE(13724)] = 600673,
  [SMALL_STATE(13725)] = 600698,
  [SMALL_STATE(13726)] = 600719,
  [SMALL_STATE(13727)] = 600740,
  [SMALL_STATE(13728)] = 600765,
  [SMALL_STATE(13729)] = 600786,
  [SMALL_STATE(13730)] = 600809,
  [SMALL_STATE(13731)] = 600830,
  [SMALL_STATE(13732)] = 600851,
  [SMALL_STATE(13733)] = 600878,
  [SMALL_STATE(13734)] = 600905,
  [SMALL_STATE(13735)] = 600932,
  [SMALL_STATE(13736)] = 600957,
  [SMALL_STATE(13737)] = 600978,
  [SMALL_STATE(13738)] = 601001,
  [SMALL_STATE(13739)] = 601034,
  [SMALL_STATE(13740)] = 601067,
  [SMALL_STATE(13741)] = 601094,
  [SMALL_STATE(13742)] = 601127,
  [SMALL_STATE(13743)] = 601148,
  [SMALL_STATE(13744)] = 601169,
  [SMALL_STATE(13745)] = 601202,
  [SMALL_STATE(13746)] = 601235,
  [SMALL_STATE(13747)] = 601268,
  [SMALL_STATE(13748)] = 601293,
  [SMALL_STATE(13749)] = 601314,
  [SMALL_STATE(13750)] = 601339,
  [SMALL_STATE(13751)] = 601360,
  [SMALL_STATE(13752)] = 601385,
  [SMALL_STATE(13753)] = 601414,
  [SMALL_STATE(13754)] = 601435,
  [SMALL_STATE(13755)] = 601456,
  [SMALL_STATE(13756)] = 601477,
  [SMALL_STATE(13757)] = 601498,
  [SMALL_STATE(13758)] = 601521,
  [SMALL_STATE(13759)] = 601542,
  [SMALL_STATE(13760)] = 601565,
  [SMALL_STATE(13761)] = 601586,
  [SMALL_STATE(13762)] = 601609,
  [SMALL_STATE(13763)] = 601638,
  [SMALL_STATE(13764)] = 601663,
  [SMALL_STATE(13765)] = 601684,
  [SMALL_STATE(13766)] = 601713,
  [SMALL_STATE(13767)] = 601742,
  [SMALL_STATE(13768)] = 601771,
  [SMALL_STATE(13769)] = 601796,
  [SMALL_STATE(13770)] = 601821,
  [SMALL_STATE(13771)] = 601842,
  [SMALL_STATE(13772)] = 601867,
  [SMALL_STATE(13773)] = 601888,
  [SMALL_STATE(13774)] = 601915,
  [SMALL_STATE(13775)] = 601940,
  [SMALL_STATE(13776)] = 601965,
  [SMALL_STATE(13777)] = 601992,
  [SMALL_STATE(13778)] = 602017,
  [SMALL_STATE(13779)] = 602038,
  [SMALL_STATE(13780)] = 602061,
  [SMALL_STATE(13781)] = 602086,
  [SMALL_STATE(13782)] = 602113,
  [SMALL_STATE(13783)] = 602134,
  [SMALL_STATE(13784)] = 602155,
  [SMALL_STATE(13785)] = 602178,
  [SMALL_STATE(13786)] = 602201,
  [SMALL_STATE(13787)] = 602222,
  [SMALL_STATE(13788)] = 602245,
  [SMALL_STATE(13789)] = 602266,
  [SMALL_STATE(13790)] = 602291,
  [SMALL_STATE(13791)] = 602316,
  [SMALL_STATE(13792)] = 602337,
  [SMALL_STATE(13793)] = 602360,
  [SMALL_STATE(13794)] = 602381,
  [SMALL_STATE(13795)] = 602402,
  [SMALL_STATE(13796)] = 602423,
  [SMALL_STATE(13797)] = 602444,
  [SMALL_STATE(13798)] = 602469,
  [SMALL_STATE(13799)] = 602496,
  [SMALL_STATE(13800)] = 602521,
  [SMALL_STATE(13801)] = 602544,
  [SMALL_STATE(13802)] = 602565,
  [SMALL_STATE(13803)] = 602586,
  [SMALL_STATE(13804)] = 602607,
  [SMALL_STATE(13805)] = 602632,
  [SMALL_STATE(13806)] = 602653,
  [SMALL_STATE(13807)] = 602678,
  [SMALL_STATE(13808)] = 602705,
  [SMALL_STATE(13809)] = 602732,
  [SMALL_STATE(13810)] = 602757,
  [SMALL_STATE(13811)] = 602784,
  [SMALL_STATE(13812)] = 602805,
  [SMALL_STATE(13813)] = 602830,
  [SMALL_STATE(13814)] = 602857,
  [SMALL_STATE(13815)] = 602878,
  [SMALL_STATE(13816)] = 602903,
  [SMALL_STATE(13817)] = 602930,
  [SMALL_STATE(13818)] = 602951,
  [SMALL_STATE(13819)] = 602980,
  [SMALL_STATE(13820)] = 603009,
  [SMALL_STATE(13821)] = 603036,
  [SMALL_STATE(13822)] = 603063,
  [SMALL_STATE(13823)] = 603088,
  [SMALL_STATE(13824)] = 603115,
  [SMALL_STATE(13825)] = 603140,
  [SMALL_STATE(13826)] = 603167,
  [SMALL_STATE(13827)] = 603192,
  [SMALL_STATE(13828)] = 603213,
  [SMALL_STATE(13829)] = 603238,
  [SMALL_STATE(13830)] = 603267,
  [SMALL_STATE(13831)] = 603292,
  [SMALL_STATE(13832)] = 603317,
  [SMALL_STATE(13833)] = 603344,
  [SMALL_STATE(13834)] = 603365,
  [SMALL_STATE(13835)] = 603389,
  [SMALL_STATE(13836)] = 603413,
  [SMALL_STATE(13837)] = 603433,
  [SMALL_STATE(13838)] = 603457,
  [SMALL_STATE(13839)] = 603477,
  [SMALL_STATE(13840)] = 603497,
  [SMALL_STATE(13841)] = 603521,
  [SMALL_STATE(13842)] = 603547,
  [SMALL_STATE(13843)] = 603567,
  [SMALL_STATE(13844)] = 603591,
  [SMALL_STATE(13845)] = 603615,
  [SMALL_STATE(13846)] = 603641,
  [SMALL_STATE(13847)] = 603665,
  [SMALL_STATE(13848)] = 603691,
  [SMALL_STATE(13849)] = 603717,
  [SMALL_STATE(13850)] = 603741,
  [SMALL_STATE(13851)] = 603765,
  [SMALL_STATE(13852)] = 603789,
  [SMALL_STATE(13853)] = 603813,
  [SMALL_STATE(13854)] = 603835,
  [SMALL_STATE(13855)] = 603855,
  [SMALL_STATE(13856)] = 603881,
  [SMALL_STATE(13857)] = 603905,
  [SMALL_STATE(13858)] = 603927,
  [SMALL_STATE(13859)] = 603951,
  [SMALL_STATE(13860)] = 603971,
  [SMALL_STATE(13861)] = 603993,
  [SMALL_STATE(13862)] = 604013,
  [SMALL_STATE(13863)] = 604037,
  [SMALL_STATE(13864)] = 604059,
  [SMALL_STATE(13865)] = 604085,
  [SMALL_STATE(13866)] = 604107,
  [SMALL_STATE(13867)] = 604129,
  [SMALL_STATE(13868)] = 604151,
  [SMALL_STATE(13869)] = 604173,
  [SMALL_STATE(13870)] = 604193,
  [SMALL_STATE(13871)] = 604217,
  [SMALL_STATE(13872)] = 604237,
  [SMALL_STATE(13873)] = 604257,
  [SMALL_STATE(13874)] = 604281,
  [SMALL_STATE(13875)] = 604303,
  [SMALL_STATE(13876)] = 604323,
  [SMALL_STATE(13877)] = 604345,
  [SMALL_STATE(13878)] = 604371,
  [SMALL_STATE(13879)] = 604391,
  [SMALL_STATE(13880)] = 604411,
  [SMALL_STATE(13881)] = 604435,
  [SMALL_STATE(13882)] = 604455,
  [SMALL_STATE(13883)] = 604475,
  [SMALL_STATE(13884)] = 604495,
  [SMALL_STATE(13885)] = 604519,
  [SMALL_STATE(13886)] = 604543,
  [SMALL_STATE(13887)] = 604567,
  [SMALL_STATE(13888)] = 604593,
  [SMALL_STATE(13889)] = 604617,
  [SMALL_STATE(13890)] = 604639,
  [SMALL_STATE(13891)] = 604659,
  [SMALL_STATE(13892)] = 604683,
  [SMALL_STATE(13893)] = 604703,
  [SMALL_STATE(13894)] = 604727,
  [SMALL_STATE(13895)] = 604751,
  [SMALL_STATE(13896)] = 604777,
  [SMALL_STATE(13897)] = 604801,
  [SMALL_STATE(13898)] = 604831,
  [SMALL_STATE(13899)] = 604855,
  [SMALL_STATE(13900)] = 604877,
  [SMALL_STATE(13901)] = 604905,
  [SMALL_STATE(13902)] = 604925,
  [SMALL_STATE(13903)] = 604949,
  [SMALL_STATE(13904)] = 604969,
  [SMALL_STATE(13905)] = 604993,
  [SMALL_STATE(13906)] = 605021,
  [SMALL_STATE(13907)] = 605045,
  [SMALL_STATE(13908)] = 605073,
  [SMALL_STATE(13909)] = 605105,
  [SMALL_STATE(13910)] = 605125,
  [SMALL_STATE(13911)] = 605155,
  [SMALL_STATE(13912)] = 605179,
  [SMALL_STATE(13913)] = 605209,
  [SMALL_STATE(13914)] = 605235,
  [SMALL_STATE(13915)] = 605259,
  [SMALL_STATE(13916)] = 605279,
  [SMALL_STATE(13917)] = 605299,
  [SMALL_STATE(13918)] = 605319,
  [SMALL_STATE(13919)] = 605343,
  [SMALL_STATE(13920)] = 605367,
  [SMALL_STATE(13921)] = 605387,
  [SMALL_STATE(13922)] = 605407,
  [SMALL_STATE(13923)] = 605427,
  [SMALL_STATE(13924)] = 605453,
  [SMALL_STATE(13925)] = 605479,
  [SMALL_STATE(13926)] = 605507,
  [SMALL_STATE(13927)] = 605527,
  [SMALL_STATE(13928)] = 605549,
  [SMALL_STATE(13929)] = 605573,
  [SMALL_STATE(13930)] = 605595,
  [SMALL_STATE(13931)] = 605621,
  [SMALL_STATE(13932)] = 605645,
  [SMALL_STATE(13933)] = 605665,
  [SMALL_STATE(13934)] = 605685,
  [SMALL_STATE(13935)] = 605707,
  [SMALL_STATE(13936)] = 605727,
  [SMALL_STATE(13937)] = 605751,
  [SMALL_STATE(13938)] = 605775,
  [SMALL_STATE(13939)] = 605795,
  [SMALL_STATE(13940)] = 605817,
  [SMALL_STATE(13941)] = 605843,
  [SMALL_STATE(13942)] = 605863,
  [SMALL_STATE(13943)] = 605883,
  [SMALL_STATE(13944)] = 605905,
  [SMALL_STATE(13945)] = 605933,
  [SMALL_STATE(13946)] = 605959,
  [SMALL_STATE(13947)] = 605985,
  [SMALL_STATE(13948)] = 606005,
  [SMALL_STATE(13949)] = 606027,
  [SMALL_STATE(13950)] = 606047,
  [SMALL_STATE(13951)] = 606077,
  [SMALL_STATE(13952)] = 606097,
  [SMALL_STATE(13953)] = 606117,
  [SMALL_STATE(13954)] = 606137,
  [SMALL_STATE(13955)] = 606157,
  [SMALL_STATE(13956)] = 606189,
  [SMALL_STATE(13957)] = 606213,
  [SMALL_STATE(13958)] = 606233,
  [SMALL_STATE(13959)] = 606259,
  [SMALL_STATE(13960)] = 606279,
  [SMALL_STATE(13961)] = 606299,
  [SMALL_STATE(13962)] = 606319,
  [SMALL_STATE(13963)] = 606339,
  [SMALL_STATE(13964)] = 606361,
  [SMALL_STATE(13965)] = 606381,
  [SMALL_STATE(13966)] = 606401,
  [SMALL_STATE(13967)] = 606425,
  [SMALL_STATE(13968)] = 606451,
  [SMALL_STATE(13969)] = 606475,
  [SMALL_STATE(13970)] = 606495,
  [SMALL_STATE(13971)] = 606515,
  [SMALL_STATE(13972)] = 606535,
  [SMALL_STATE(13973)] = 606555,
  [SMALL_STATE(13974)] = 606575,
  [SMALL_STATE(13975)] = 606607,
  [SMALL_STATE(13976)] = 606631,
  [SMALL_STATE(13977)] = 606657,
  [SMALL_STATE(13978)] = 606679,
  [SMALL_STATE(13979)] = 606705,
  [SMALL_STATE(13980)] = 606729,
  [SMALL_STATE(13981)] = 606749,
  [SMALL_STATE(13982)] = 606769,
  [SMALL_STATE(13983)] = 606789,
  [SMALL_STATE(13984)] = 606809,
  [SMALL_STATE(13985)] = 606829,
  [SMALL_STATE(13986)] = 606855,
  [SMALL_STATE(13987)] = 606881,
  [SMALL_STATE(13988)] = 606905,
  [SMALL_STATE(13989)] = 606925,
  [SMALL_STATE(13990)] = 606945,
  [SMALL_STATE(13991)] = 606967,
  [SMALL_STATE(13992)] = 606995,
  [SMALL_STATE(13993)] = 607021,
  [SMALL_STATE(13994)] = 607041,
  [SMALL_STATE(13995)] = 607067,
  [SMALL_STATE(13996)] = 607087,
  [SMALL_STATE(13997)] = 607107,
  [SMALL_STATE(13998)] = 607129,
  [SMALL_STATE(13999)] = 607149,
  [SMALL_STATE(14000)] = 607173,
  [SMALL_STATE(14001)] = 607197,
  [SMALL_STATE(14002)] = 607223,
  [SMALL_STATE(14003)] = 607247,
  [SMALL_STATE(14004)] = 607269,
  [SMALL_STATE(14005)] = 607293,
  [SMALL_STATE(14006)] = 607325,
  [SMALL_STATE(14007)] = 607349,
  [SMALL_STATE(14008)] = 607373,
  [SMALL_STATE(14009)] = 607399,
  [SMALL_STATE(14010)] = 607428,
  [SMALL_STATE(14011)] = 607447,
  [SMALL_STATE(14012)] = 607470,
  [SMALL_STATE(14013)] = 607499,
  [SMALL_STATE(14014)] = 607518,
  [SMALL_STATE(14015)] = 607543,
  [SMALL_STATE(14016)] = 607572,
  [SMALL_STATE(14017)] = 607601,
  [SMALL_STATE(14018)] = 607620,
  [SMALL_STATE(14019)] = 607649,
  [SMALL_STATE(14020)] = 607672,
  [SMALL_STATE(14021)] = 607697,
  [SMALL_STATE(14022)] = 607716,
  [SMALL_STATE(14023)] = 607735,
  [SMALL_STATE(14024)] = 607758,
  [SMALL_STATE(14025)] = 607779,
  [SMALL_STATE(14026)] = 607802,
  [SMALL_STATE(14027)] = 607821,
  [SMALL_STATE(14028)] = 607840,
  [SMALL_STATE(14029)] = 607869,
  [SMALL_STATE(14030)] = 607892,
  [SMALL_STATE(14031)] = 607911,
  [SMALL_STATE(14032)] = 607936,
  [SMALL_STATE(14033)] = 607965,
  [SMALL_STATE(14034)] = 607990,
  [SMALL_STATE(14035)] = 608013,
  [SMALL_STATE(14036)] = 608038,
  [SMALL_STATE(14037)] = 608059,
  [SMALL_STATE(14038)] = 608078,
  [SMALL_STATE(14039)] = 608103,
  [SMALL_STATE(14040)] = 608122,
  [SMALL_STATE(14041)] = 608151,
  [SMALL_STATE(14042)] = 608180,
  [SMALL_STATE(14043)] = 608199,
  [SMALL_STATE(14044)] = 608218,
  [SMALL_STATE(14045)] = 608239,
  [SMALL_STATE(14046)] = 608258,
  [SMALL_STATE(14047)] = 608287,
  [SMALL_STATE(14048)] = 608308,
  [SMALL_STATE(14049)] = 608333,
  [SMALL_STATE(14050)] = 608356,
  [SMALL_STATE(14051)] = 608377,
  [SMALL_STATE(14052)] = 608402,
  [SMALL_STATE(14053)] = 608431,
  [SMALL_STATE(14054)] = 608450,
  [SMALL_STATE(14055)] = 608479,
  [SMALL_STATE(14056)] = 608504,
  [SMALL_STATE(14057)] = 608527,
  [SMALL_STATE(14058)] = 608546,
  [SMALL_STATE(14059)] = 608565,
  [SMALL_STATE(14060)] = 608586,
  [SMALL_STATE(14061)] = 608611,
  [SMALL_STATE(14062)] = 608630,
  [SMALL_STATE(14063)] = 608649,
  [SMALL_STATE(14064)] = 608672,
  [SMALL_STATE(14065)] = 608695,
  [SMALL_STATE(14066)] = 608714,
  [SMALL_STATE(14067)] = 608743,
  [SMALL_STATE(14068)] = 608762,
  [SMALL_STATE(14069)] = 608781,
  [SMALL_STATE(14070)] = 608800,
  [SMALL_STATE(14071)] = 608819,
  [SMALL_STATE(14072)] = 608842,
  [SMALL_STATE(14073)] = 608861,
  [SMALL_STATE(14074)] = 608890,
  [SMALL_STATE(14075)] = 608915,
  [SMALL_STATE(14076)] = 608938,
  [SMALL_STATE(14077)] = 608961,
  [SMALL_STATE(14078)] = 608984,
  [SMALL_STATE(14079)] = 609003,
  [SMALL_STATE(14080)] = 609026,
  [SMALL_STATE(14081)] = 609045,
  [SMALL_STATE(14082)] = 609070,
  [SMALL_STATE(14083)] = 609093,
  [SMALL_STATE(14084)] = 609114,
  [SMALL_STATE(14085)] = 609133,
  [SMALL_STATE(14086)] = 609152,
  [SMALL_STATE(14087)] = 609171,
  [SMALL_STATE(14088)] = 609194,
  [SMALL_STATE(14089)] = 609213,
  [SMALL_STATE(14090)] = 609232,
  [SMALL_STATE(14091)] = 609251,
  [SMALL_STATE(14092)] = 609270,
  [SMALL_STATE(14093)] = 609293,
  [SMALL_STATE(14094)] = 609312,
  [SMALL_STATE(14095)] = 609335,
  [SMALL_STATE(14096)] = 609354,
  [SMALL_STATE(14097)] = 609377,
  [SMALL_STATE(14098)] = 609406,
  [SMALL_STATE(14099)] = 609425,
  [SMALL_STATE(14100)] = 609444,
  [SMALL_STATE(14101)] = 609467,
  [SMALL_STATE(14102)] = 609486,
  [SMALL_STATE(14103)] = 609505,
  [SMALL_STATE(14104)] = 609534,
  [SMALL_STATE(14105)] = 609553,
  [SMALL_STATE(14106)] = 609572,
  [SMALL_STATE(14107)] = 609591,
  [SMALL_STATE(14108)] = 609620,
  [SMALL_STATE(14109)] = 609645,
  [SMALL_STATE(14110)] = 609664,
  [SMALL_STATE(14111)] = 609685,
  [SMALL_STATE(14112)] = 609708,
  [SMALL_STATE(14113)] = 609737,
  [SMALL_STATE(14114)] = 609756,
  [SMALL_STATE(14115)] = 609775,
  [SMALL_STATE(14116)] = 609794,
  [SMALL_STATE(14117)] = 609813,
  [SMALL_STATE(14118)] = 609834,
  [SMALL_STATE(14119)] = 609863,
  [SMALL_STATE(14120)] = 609892,
  [SMALL_STATE(14121)] = 609913,
  [SMALL_STATE(14122)] = 609936,
  [SMALL_STATE(14123)] = 609965,
  [SMALL_STATE(14124)] = 609984,
  [SMALL_STATE(14125)] = 610013,
  [SMALL_STATE(14126)] = 610038,
  [SMALL_STATE(14127)] = 610067,
  [SMALL_STATE(14128)] = 610086,
  [SMALL_STATE(14129)] = 610115,
  [SMALL_STATE(14130)] = 610140,
  [SMALL_STATE(14131)] = 610169,
  [SMALL_STATE(14132)] = 610188,
  [SMALL_STATE(14133)] = 610207,
  [SMALL_STATE(14134)] = 610230,
  [SMALL_STATE(14135)] = 610249,
  [SMALL_STATE(14136)] = 610274,
  [SMALL_STATE(14137)] = 610299,
  [SMALL_STATE(14138)] = 610328,
  [SMALL_STATE(14139)] = 610351,
  [SMALL_STATE(14140)] = 610380,
  [SMALL_STATE(14141)] = 610403,
  [SMALL_STATE(14142)] = 610422,
  [SMALL_STATE(14143)] = 610441,
  [SMALL_STATE(14144)] = 610462,
  [SMALL_STATE(14145)] = 610487,
  [SMALL_STATE(14146)] = 610516,
  [SMALL_STATE(14147)] = 610545,
  [SMALL_STATE(14148)] = 610564,
  [SMALL_STATE(14149)] = 610587,
  [SMALL_STATE(14150)] = 610610,
  [SMALL_STATE(14151)] = 610629,
  [SMALL_STATE(14152)] = 610648,
  [SMALL_STATE(14153)] = 610667,
  [SMALL_STATE(14154)] = 610696,
  [SMALL_STATE(14155)] = 610725,
  [SMALL_STATE(14156)] = 610748,
  [SMALL_STATE(14157)] = 610767,
  [SMALL_STATE(14158)] = 610796,
  [SMALL_STATE(14159)] = 610819,
  [SMALL_STATE(14160)] = 610848,
  [SMALL_STATE(14161)] = 610867,
  [SMALL_STATE(14162)] = 610892,
  [SMALL_STATE(14163)] = 610911,
  [SMALL_STATE(14164)] = 610930,
  [SMALL_STATE(14165)] = 610959,
  [SMALL_STATE(14166)] = 610977,
  [SMALL_STATE(14167)] = 610995,
  [SMALL_STATE(14168)] = 611021,
  [SMALL_STATE(14169)] = 611045,
  [SMALL_STATE(14170)] = 611069,
  [SMALL_STATE(14171)] = 611095,
  [SMALL_STATE(14172)] = 611119,
  [SMALL_STATE(14173)] = 611145,
  [SMALL_STATE(14174)] = 611163,
  [SMALL_STATE(14175)] = 611187,
  [SMALL_STATE(14176)] = 611205,
  [SMALL_STATE(14177)] = 611223,
  [SMALL_STATE(14178)] = 611241,
  [SMALL_STATE(14179)] = 611259,
  [SMALL_STATE(14180)] = 611277,
  [SMALL_STATE(14181)] = 611301,
  [SMALL_STATE(14182)] = 611319,
  [SMALL_STATE(14183)] = 611337,
  [SMALL_STATE(14184)] = 611355,
  [SMALL_STATE(14185)] = 611379,
  [SMALL_STATE(14186)] = 611397,
  [SMALL_STATE(14187)] = 611423,
  [SMALL_STATE(14188)] = 611441,
  [SMALL_STATE(14189)] = 611459,
  [SMALL_STATE(14190)] = 611477,
  [SMALL_STATE(14191)] = 611495,
  [SMALL_STATE(14192)] = 611513,
  [SMALL_STATE(14193)] = 611537,
  [SMALL_STATE(14194)] = 611561,
  [SMALL_STATE(14195)] = 611587,
  [SMALL_STATE(14196)] = 611609,
  [SMALL_STATE(14197)] = 611633,
  [SMALL_STATE(14198)] = 611651,
  [SMALL_STATE(14199)] = 611675,
  [SMALL_STATE(14200)] = 611699,
  [SMALL_STATE(14201)] = 611717,
  [SMALL_STATE(14202)] = 611741,
  [SMALL_STATE(14203)] = 611765,
  [SMALL_STATE(14204)] = 611791,
  [SMALL_STATE(14205)] = 611817,
  [SMALL_STATE(14206)] = 611843,
  [SMALL_STATE(14207)] = 611867,
  [SMALL_STATE(14208)] = 611885,
  [SMALL_STATE(14209)] = 611903,
  [SMALL_STATE(14210)] = 611921,
  [SMALL_STATE(14211)] = 611947,
  [SMALL_STATE(14212)] = 611973,
  [SMALL_STATE(14213)] = 611995,
  [SMALL_STATE(14214)] = 612015,
  [SMALL_STATE(14215)] = 612033,
  [SMALL_STATE(14216)] = 612051,
  [SMALL_STATE(14217)] = 612077,
  [SMALL_STATE(14218)] = 612095,
  [SMALL_STATE(14219)] = 612121,
  [SMALL_STATE(14220)] = 612139,
  [SMALL_STATE(14221)] = 612165,
  [SMALL_STATE(14222)] = 612187,
  [SMALL_STATE(14223)] = 612205,
  [SMALL_STATE(14224)] = 612229,
  [SMALL_STATE(14225)] = 612255,
  [SMALL_STATE(14226)] = 612273,
  [SMALL_STATE(14227)] = 612291,
  [SMALL_STATE(14228)] = 612317,
  [SMALL_STATE(14229)] = 612339,
  [SMALL_STATE(14230)] = 612363,
  [SMALL_STATE(14231)] = 612381,
  [SMALL_STATE(14232)] = 612407,
  [SMALL_STATE(14233)] = 612425,
  [SMALL_STATE(14234)] = 612443,
  [SMALL_STATE(14235)] = 612461,
  [SMALL_STATE(14236)] = 612479,
  [SMALL_STATE(14237)] = 612497,
  [SMALL_STATE(14238)] = 612523,
  [SMALL_STATE(14239)] = 612541,
  [SMALL_STATE(14240)] = 612559,
  [SMALL_STATE(14241)] = 612583,
  [SMALL_STATE(14242)] = 612609,
  [SMALL_STATE(14243)] = 612627,
  [SMALL_STATE(14244)] = 612645,
  [SMALL_STATE(14245)] = 612663,
  [SMALL_STATE(14246)] = 612683,
  [SMALL_STATE(14247)] = 612701,
  [SMALL_STATE(14248)] = 612727,
  [SMALL_STATE(14249)] = 612745,
  [SMALL_STATE(14250)] = 612763,
  [SMALL_STATE(14251)] = 612781,
  [SMALL_STATE(14252)] = 612799,
  [SMALL_STATE(14253)] = 612817,
  [SMALL_STATE(14254)] = 612835,
  [SMALL_STATE(14255)] = 612853,
  [SMALL_STATE(14256)] = 612879,
  [SMALL_STATE(14257)] = 612905,
  [SMALL_STATE(14258)] = 612927,
  [SMALL_STATE(14259)] = 612945,
  [SMALL_STATE(14260)] = 612969,
  [SMALL_STATE(14261)] = 612995,
  [SMALL_STATE(14262)] = 613021,
  [SMALL_STATE(14263)] = 613045,
  [SMALL_STATE(14264)] = 613063,
  [SMALL_STATE(14265)] = 613085,
  [SMALL_STATE(14266)] = 613109,
  [SMALL_STATE(14267)] = 613127,
  [SMALL_STATE(14268)] = 613153,
  [SMALL_STATE(14269)] = 613179,
  [SMALL_STATE(14270)] = 613203,
  [SMALL_STATE(14271)] = 613225,
  [SMALL_STATE(14272)] = 613247,
  [SMALL_STATE(14273)] = 613265,
  [SMALL_STATE(14274)] = 613283,
  [SMALL_STATE(14275)] = 613301,
  [SMALL_STATE(14276)] = 613319,
  [SMALL_STATE(14277)] = 613341,
  [SMALL_STATE(14278)] = 613359,
  [SMALL_STATE(14279)] = 613383,
  [SMALL_STATE(14280)] = 613401,
  [SMALL_STATE(14281)] = 613419,
  [SMALL_STATE(14282)] = 613445,
  [SMALL_STATE(14283)] = 613465,
  [SMALL_STATE(14284)] = 613491,
  [SMALL_STATE(14285)] = 613517,
  [SMALL_STATE(14286)] = 613543,
  [SMALL_STATE(14287)] = 613561,
  [SMALL_STATE(14288)] = 613579,
  [SMALL_STATE(14289)] = 613597,
  [SMALL_STATE(14290)] = 613619,
  [SMALL_STATE(14291)] = 613637,
  [SMALL_STATE(14292)] = 613663,
  [SMALL_STATE(14293)] = 613685,
  [SMALL_STATE(14294)] = 613703,
  [SMALL_STATE(14295)] = 613721,
  [SMALL_STATE(14296)] = 613747,
  [SMALL_STATE(14297)] = 613769,
  [SMALL_STATE(14298)] = 613787,
  [SMALL_STATE(14299)] = 613805,
  [SMALL_STATE(14300)] = 613831,
  [SMALL_STATE(14301)] = 613849,
  [SMALL_STATE(14302)] = 613867,
  [SMALL_STATE(14303)] = 613885,
  [SMALL_STATE(14304)] = 613903,
  [SMALL_STATE(14305)] = 613929,
  [SMALL_STATE(14306)] = 613947,
  [SMALL_STATE(14307)] = 613965,
  [SMALL_STATE(14308)] = 613991,
  [SMALL_STATE(14309)] = 614015,
  [SMALL_STATE(14310)] = 614039,
  [SMALL_STATE(14311)] = 614059,
  [SMALL_STATE(14312)] = 614085,
  [SMALL_STATE(14313)] = 614103,
  [SMALL_STATE(14314)] = 614121,
  [SMALL_STATE(14315)] = 614147,
  [SMALL_STATE(14316)] = 614167,
  [SMALL_STATE(14317)] = 614193,
  [SMALL_STATE(14318)] = 614211,
  [SMALL_STATE(14319)] = 614229,
  [SMALL_STATE(14320)] = 614247,
  [SMALL_STATE(14321)] = 614265,
  [SMALL_STATE(14322)] = 614283,
  [SMALL_STATE(14323)] = 614301,
  [SMALL_STATE(14324)] = 614323,
  [SMALL_STATE(14325)] = 614341,
  [SMALL_STATE(14326)] = 614365,
  [SMALL_STATE(14327)] = 614387,
  [SMALL_STATE(14328)] = 614407,
  [SMALL_STATE(14329)] = 614433,
  [SMALL_STATE(14330)] = 614459,
  [SMALL_STATE(14331)] = 614485,
  [SMALL_STATE(14332)] = 614503,
  [SMALL_STATE(14333)] = 614521,
  [SMALL_STATE(14334)] = 614539,
  [SMALL_STATE(14335)] = 614557,
  [SMALL_STATE(14336)] = 614575,
  [SMALL_STATE(14337)] = 614601,
  [SMALL_STATE(14338)] = 614627,
  [SMALL_STATE(14339)] = 614645,
  [SMALL_STATE(14340)] = 614671,
  [SMALL_STATE(14341)] = 614689,
  [SMALL_STATE(14342)] = 614707,
  [SMALL_STATE(14343)] = 614727,
  [SMALL_STATE(14344)] = 614753,
  [SMALL_STATE(14345)] = 614771,
  [SMALL_STATE(14346)] = 614797,
  [SMALL_STATE(14347)] = 614823,
  [SMALL_STATE(14348)] = 614841,
  [SMALL_STATE(14349)] = 614859,
  [SMALL_STATE(14350)] = 614883,
  [SMALL_STATE(14351)] = 614901,
  [SMALL_STATE(14352)] = 614923,
  [SMALL_STATE(14353)] = 614945,
  [SMALL_STATE(14354)] = 614963,
  [SMALL_STATE(14355)] = 614981,
  [SMALL_STATE(14356)] = 615001,
  [SMALL_STATE(14357)] = 615027,
  [SMALL_STATE(14358)] = 615047,
  [SMALL_STATE(14359)] = 615065,
  [SMALL_STATE(14360)] = 615085,
  [SMALL_STATE(14361)] = 615103,
  [SMALL_STATE(14362)] = 615129,
  [SMALL_STATE(14363)] = 615149,
  [SMALL_STATE(14364)] = 615169,
  [SMALL_STATE(14365)] = 615187,
  [SMALL_STATE(14366)] = 615207,
  [SMALL_STATE(14367)] = 615233,
  [SMALL_STATE(14368)] = 615251,
  [SMALL_STATE(14369)] = 615271,
  [SMALL_STATE(14370)] = 615297,
  [SMALL_STATE(14371)] = 615323,
  [SMALL_STATE(14372)] = 615349,
  [SMALL_STATE(14373)] = 615375,
  [SMALL_STATE(14374)] = 615393,
  [SMALL_STATE(14375)] = 615411,
  [SMALL_STATE(14376)] = 615435,
  [SMALL_STATE(14377)] = 615457,
  [SMALL_STATE(14378)] = 615475,
  [SMALL_STATE(14379)] = 615497,
  [SMALL_STATE(14380)] = 615515,
  [SMALL_STATE(14381)] = 615539,
  [SMALL_STATE(14382)] = 615563,
  [SMALL_STATE(14383)] = 615589,
  [SMALL_STATE(14384)] = 615615,
  [SMALL_STATE(14385)] = 615633,
  [SMALL_STATE(14386)] = 615651,
  [SMALL_STATE(14387)] = 615669,
  [SMALL_STATE(14388)] = 615687,
  [SMALL_STATE(14389)] = 615711,
  [SMALL_STATE(14390)] = 615737,
  [SMALL_STATE(14391)] = 615759,
  [SMALL_STATE(14392)] = 615785,
  [SMALL_STATE(14393)] = 615803,
  [SMALL_STATE(14394)] = 615821,
  [SMALL_STATE(14395)] = 615847,
  [SMALL_STATE(14396)] = 615865,
  [SMALL_STATE(14397)] = 615891,
  [SMALL_STATE(14398)] = 615909,
  [SMALL_STATE(14399)] = 615929,
  [SMALL_STATE(14400)] = 615947,
  [SMALL_STATE(14401)] = 615967,
  [SMALL_STATE(14402)] = 615985,
  [SMALL_STATE(14403)] = 616007,
  [SMALL_STATE(14404)] = 616033,
  [SMALL_STATE(14405)] = 616051,
  [SMALL_STATE(14406)] = 616069,
  [SMALL_STATE(14407)] = 616087,
  [SMALL_STATE(14408)] = 616113,
  [SMALL_STATE(14409)] = 616131,
  [SMALL_STATE(14410)] = 616157,
  [SMALL_STATE(14411)] = 616175,
  [SMALL_STATE(14412)] = 616197,
  [SMALL_STATE(14413)] = 616215,
  [SMALL_STATE(14414)] = 616241,
  [SMALL_STATE(14415)] = 616259,
  [SMALL_STATE(14416)] = 616285,
  [SMALL_STATE(14417)] = 616307,
  [SMALL_STATE(14418)] = 616333,
  [SMALL_STATE(14419)] = 616354,
  [SMALL_STATE(14420)] = 616371,
  [SMALL_STATE(14421)] = 616394,
  [SMALL_STATE(14422)] = 616413,
  [SMALL_STATE(14423)] = 616436,
  [SMALL_STATE(14424)] = 616453,
  [SMALL_STATE(14425)] = 616470,
  [SMALL_STATE(14426)] = 616487,
  [SMALL_STATE(14427)] = 616504,
  [SMALL_STATE(14428)] = 616525,
  [SMALL_STATE(14429)] = 616542,
  [SMALL_STATE(14430)] = 616565,
  [SMALL_STATE(14431)] = 616586,
  [SMALL_STATE(14432)] = 616609,
  [SMALL_STATE(14433)] = 616632,
  [SMALL_STATE(14434)] = 616655,
  [SMALL_STATE(14435)] = 616672,
  [SMALL_STATE(14436)] = 616689,
  [SMALL_STATE(14437)] = 616706,
  [SMALL_STATE(14438)] = 616723,
  [SMALL_STATE(14439)] = 616740,
  [SMALL_STATE(14440)] = 616759,
  [SMALL_STATE(14441)] = 616780,
  [SMALL_STATE(14442)] = 616801,
  [SMALL_STATE(14443)] = 616818,
  [SMALL_STATE(14444)] = 616841,
  [SMALL_STATE(14445)] = 616864,
  [SMALL_STATE(14446)] = 616885,
  [SMALL_STATE(14447)] = 616908,
  [SMALL_STATE(14448)] = 616931,
  [SMALL_STATE(14449)] = 616954,
  [SMALL_STATE(14450)] = 616975,
  [SMALL_STATE(14451)] = 616992,
  [SMALL_STATE(14452)] = 617009,
  [SMALL_STATE(14453)] = 617030,
  [SMALL_STATE(14454)] = 617047,
  [SMALL_STATE(14455)] = 617064,
  [SMALL_STATE(14456)] = 617087,
  [SMALL_STATE(14457)] = 617110,
  [SMALL_STATE(14458)] = 617133,
  [SMALL_STATE(14459)] = 617150,
  [SMALL_STATE(14460)] = 617171,
  [SMALL_STATE(14461)] = 617188,
  [SMALL_STATE(14462)] = 617205,
  [SMALL_STATE(14463)] = 617226,
  [SMALL_STATE(14464)] = 617249,
  [SMALL_STATE(14465)] = 617272,
  [SMALL_STATE(14466)] = 617289,
  [SMALL_STATE(14467)] = 617306,
  [SMALL_STATE(14468)] = 617329,
  [SMALL_STATE(14469)] = 617346,
  [SMALL_STATE(14470)] = 617363,
  [SMALL_STATE(14471)] = 617386,
  [SMALL_STATE(14472)] = 617409,
  [SMALL_STATE(14473)] = 617432,
  [SMALL_STATE(14474)] = 617449,
  [SMALL_STATE(14475)] = 617466,
  [SMALL_STATE(14476)] = 617483,
  [SMALL_STATE(14477)] = 617506,
  [SMALL_STATE(14478)] = 617527,
  [SMALL_STATE(14479)] = 617544,
  [SMALL_STATE(14480)] = 617567,
  [SMALL_STATE(14481)] = 617590,
  [SMALL_STATE(14482)] = 617607,
  [SMALL_STATE(14483)] = 617630,
  [SMALL_STATE(14484)] = 617649,
  [SMALL_STATE(14485)] = 617666,
  [SMALL_STATE(14486)] = 617683,
  [SMALL_STATE(14487)] = 617706,
  [SMALL_STATE(14488)] = 617729,
  [SMALL_STATE(14489)] = 617752,
  [SMALL_STATE(14490)] = 617769,
  [SMALL_STATE(14491)] = 617792,
  [SMALL_STATE(14492)] = 617809,
  [SMALL_STATE(14493)] = 617826,
  [SMALL_STATE(14494)] = 617843,
  [SMALL_STATE(14495)] = 617860,
  [SMALL_STATE(14496)] = 617877,
  [SMALL_STATE(14497)] = 617894,
  [SMALL_STATE(14498)] = 617915,
  [SMALL_STATE(14499)] = 617938,
  [SMALL_STATE(14500)] = 617961,
  [SMALL_STATE(14501)] = 617978,
  [SMALL_STATE(14502)] = 617995,
  [SMALL_STATE(14503)] = 618012,
  [SMALL_STATE(14504)] = 618029,
  [SMALL_STATE(14505)] = 618046,
  [SMALL_STATE(14506)] = 618067,
  [SMALL_STATE(14507)] = 618084,
  [SMALL_STATE(14508)] = 618107,
  [SMALL_STATE(14509)] = 618128,
  [SMALL_STATE(14510)] = 618149,
  [SMALL_STATE(14511)] = 618172,
  [SMALL_STATE(14512)] = 618195,
  [SMALL_STATE(14513)] = 618212,
  [SMALL_STATE(14514)] = 618235,
  [SMALL_STATE(14515)] = 618256,
  [SMALL_STATE(14516)] = 618279,
  [SMALL_STATE(14517)] = 618302,
  [SMALL_STATE(14518)] = 618319,
  [SMALL_STATE(14519)] = 618342,
  [SMALL_STATE(14520)] = 618363,
  [SMALL_STATE(14521)] = 618382,
  [SMALL_STATE(14522)] = 618399,
  [SMALL_STATE(14523)] = 618422,
  [SMALL_STATE(14524)] = 618443,
  [SMALL_STATE(14525)] = 618466,
  [SMALL_STATE(14526)] = 618489,
  [SMALL_STATE(14527)] = 618512,
  [SMALL_STATE(14528)] = 618529,
  [SMALL_STATE(14529)] = 618552,
  [SMALL_STATE(14530)] = 618575,
  [SMALL_STATE(14531)] = 618594,
  [SMALL_STATE(14532)] = 618617,
  [SMALL_STATE(14533)] = 618638,
  [SMALL_STATE(14534)] = 618661,
  [SMALL_STATE(14535)] = 618678,
  [SMALL_STATE(14536)] = 618701,
  [SMALL_STATE(14537)] = 618722,
  [SMALL_STATE(14538)] = 618745,
  [SMALL_STATE(14539)] = 618768,
  [SMALL_STATE(14540)] = 618785,
  [SMALL_STATE(14541)] = 618802,
  [SMALL_STATE(14542)] = 618825,
  [SMALL_STATE(14543)] = 618848,
  [SMALL_STATE(14544)] = 618869,
  [SMALL_STATE(14545)] = 618892,
  [SMALL_STATE(14546)] = 618915,
  [SMALL_STATE(14547)] = 618932,
  [SMALL_STATE(14548)] = 618955,
  [SMALL_STATE(14549)] = 618972,
  [SMALL_STATE(14550)] = 618995,
  [SMALL_STATE(14551)] = 619018,
  [SMALL_STATE(14552)] = 619041,
  [SMALL_STATE(14553)] = 619058,
  [SMALL_STATE(14554)] = 619075,
  [SMALL_STATE(14555)] = 619092,
  [SMALL_STATE(14556)] = 619109,
  [SMALL_STATE(14557)] = 619132,
  [SMALL_STATE(14558)] = 619149,
  [SMALL_STATE(14559)] = 619166,
  [SMALL_STATE(14560)] = 619183,
  [SMALL_STATE(14561)] = 619204,
  [SMALL_STATE(14562)] = 619225,
  [SMALL_STATE(14563)] = 619242,
  [SMALL_STATE(14564)] = 619265,
  [SMALL_STATE(14565)] = 619288,
  [SMALL_STATE(14566)] = 619305,
  [SMALL_STATE(14567)] = 619322,
  [SMALL_STATE(14568)] = 619339,
  [SMALL_STATE(14569)] = 619356,
  [SMALL_STATE(14570)] = 619379,
  [SMALL_STATE(14571)] = 619400,
  [SMALL_STATE(14572)] = 619417,
  [SMALL_STATE(14573)] = 619434,
  [SMALL_STATE(14574)] = 619453,
  [SMALL_STATE(14575)] = 619470,
  [SMALL_STATE(14576)] = 619493,
  [SMALL_STATE(14577)] = 619516,
  [SMALL_STATE(14578)] = 619539,
  [SMALL_STATE(14579)] = 619556,
  [SMALL_STATE(14580)] = 619579,
  [SMALL_STATE(14581)] = 619602,
  [SMALL_STATE(14582)] = 619623,
  [SMALL_STATE(14583)] = 619646,
  [SMALL_STATE(14584)] = 619669,
  [SMALL_STATE(14585)] = 619692,
  [SMALL_STATE(14586)] = 619713,
  [SMALL_STATE(14587)] = 619730,
  [SMALL_STATE(14588)] = 619753,
  [SMALL_STATE(14589)] = 619772,
  [SMALL_STATE(14590)] = 619789,
  [SMALL_STATE(14591)] = 619806,
  [SMALL_STATE(14592)] = 619825,
  [SMALL_STATE(14593)] = 619846,
  [SMALL_STATE(14594)] = 619865,
  [SMALL_STATE(14595)] = 619888,
  [SMALL_STATE(14596)] = 619911,
  [SMALL_STATE(14597)] = 619934,
  [SMALL_STATE(14598)] = 619955,
  [SMALL_STATE(14599)] = 619976,
  [SMALL_STATE(14600)] = 619999,
  [SMALL_STATE(14601)] = 620020,
  [SMALL_STATE(14602)] = 620043,
  [SMALL_STATE(14603)] = 620066,
  [SMALL_STATE(14604)] = 620087,
  [SMALL_STATE(14605)] = 620110,
  [SMALL_STATE(14606)] = 620127,
  [SMALL_STATE(14607)] = 620148,
  [SMALL_STATE(14608)] = 620171,
  [SMALL_STATE(14609)] = 620192,
  [SMALL_STATE(14610)] = 620211,
  [SMALL_STATE(14611)] = 620234,
  [SMALL_STATE(14612)] = 620251,
  [SMALL_STATE(14613)] = 620274,
  [SMALL_STATE(14614)] = 620297,
  [SMALL_STATE(14615)] = 620320,
  [SMALL_STATE(14616)] = 620337,
  [SMALL_STATE(14617)] = 620358,
  [SMALL_STATE(14618)] = 620381,
  [SMALL_STATE(14619)] = 620398,
  [SMALL_STATE(14620)] = 620419,
  [SMALL_STATE(14621)] = 620436,
  [SMALL_STATE(14622)] = 620455,
  [SMALL_STATE(14623)] = 620472,
  [SMALL_STATE(14624)] = 620495,
  [SMALL_STATE(14625)] = 620516,
  [SMALL_STATE(14626)] = 620539,
  [SMALL_STATE(14627)] = 620562,
  [SMALL_STATE(14628)] = 620581,
  [SMALL_STATE(14629)] = 620602,
  [SMALL_STATE(14630)] = 620619,
  [SMALL_STATE(14631)] = 620642,
  [SMALL_STATE(14632)] = 620659,
  [SMALL_STATE(14633)] = 620682,
  [SMALL_STATE(14634)] = 620703,
  [SMALL_STATE(14635)] = 620726,
  [SMALL_STATE(14636)] = 620747,
  [SMALL_STATE(14637)] = 620768,
  [SMALL_STATE(14638)] = 620791,
  [SMALL_STATE(14639)] = 620814,
  [SMALL_STATE(14640)] = 620837,
  [SMALL_STATE(14641)] = 620860,
  [SMALL_STATE(14642)] = 620883,
  [SMALL_STATE(14643)] = 620906,
  [SMALL_STATE(14644)] = 620929,
  [SMALL_STATE(14645)] = 620950,
  [SMALL_STATE(14646)] = 620973,
  [SMALL_STATE(14647)] = 620996,
  [SMALL_STATE(14648)] = 621013,
  [SMALL_STATE(14649)] = 621036,
  [SMALL_STATE(14650)] = 621059,
  [SMALL_STATE(14651)] = 621082,
  [SMALL_STATE(14652)] = 621105,
  [SMALL_STATE(14653)] = 621128,
  [SMALL_STATE(14654)] = 621151,
  [SMALL_STATE(14655)] = 621168,
  [SMALL_STATE(14656)] = 621191,
  [SMALL_STATE(14657)] = 621214,
  [SMALL_STATE(14658)] = 621231,
  [SMALL_STATE(14659)] = 621254,
  [SMALL_STATE(14660)] = 621273,
  [SMALL_STATE(14661)] = 621296,
  [SMALL_STATE(14662)] = 621317,
  [SMALL_STATE(14663)] = 621334,
  [SMALL_STATE(14664)] = 621357,
  [SMALL_STATE(14665)] = 621380,
  [SMALL_STATE(14666)] = 621401,
  [SMALL_STATE(14667)] = 621424,
  [SMALL_STATE(14668)] = 621447,
  [SMALL_STATE(14669)] = 621464,
  [SMALL_STATE(14670)] = 621487,
  [SMALL_STATE(14671)] = 621510,
  [SMALL_STATE(14672)] = 621531,
  [SMALL_STATE(14673)] = 621548,
  [SMALL_STATE(14674)] = 621569,
  [SMALL_STATE(14675)] = 621590,
  [SMALL_STATE(14676)] = 621613,
  [SMALL_STATE(14677)] = 621634,
  [SMALL_STATE(14678)] = 621657,
  [SMALL_STATE(14679)] = 621678,
  [SMALL_STATE(14680)] = 621699,
  [SMALL_STATE(14681)] = 621716,
  [SMALL_STATE(14682)] = 621739,
  [SMALL_STATE(14683)] = 621762,
  [SMALL_STATE(14684)] = 621785,
  [SMALL_STATE(14685)] = 621808,
  [SMALL_STATE(14686)] = 621831,
  [SMALL_STATE(14687)] = 621852,
  [SMALL_STATE(14688)] = 621875,
  [SMALL_STATE(14689)] = 621898,
  [SMALL_STATE(14690)] = 621919,
  [SMALL_STATE(14691)] = 621942,
  [SMALL_STATE(14692)] = 621965,
  [SMALL_STATE(14693)] = 621988,
  [SMALL_STATE(14694)] = 622011,
  [SMALL_STATE(14695)] = 622032,
  [SMALL_STATE(14696)] = 622053,
  [SMALL_STATE(14697)] = 622076,
  [SMALL_STATE(14698)] = 622099,
  [SMALL_STATE(14699)] = 622116,
  [SMALL_STATE(14700)] = 622137,
  [SMALL_STATE(14701)] = 622158,
  [SMALL_STATE(14702)] = 622181,
  [SMALL_STATE(14703)] = 622204,
  [SMALL_STATE(14704)] = 622225,
  [SMALL_STATE(14705)] = 622242,
  [SMALL_STATE(14706)] = 622261,
  [SMALL_STATE(14707)] = 622282,
  [SMALL_STATE(14708)] = 622305,
  [SMALL_STATE(14709)] = 622328,
  [SMALL_STATE(14710)] = 622349,
  [SMALL_STATE(14711)] = 622370,
  [SMALL_STATE(14712)] = 622393,
  [SMALL_STATE(14713)] = 622416,
  [SMALL_STATE(14714)] = 622437,
  [SMALL_STATE(14715)] = 622460,
  [SMALL_STATE(14716)] = 622481,
  [SMALL_STATE(14717)] = 622504,
  [SMALL_STATE(14718)] = 622527,
  [SMALL_STATE(14719)] = 622550,
  [SMALL_STATE(14720)] = 622573,
  [SMALL_STATE(14721)] = 622594,
  [SMALL_STATE(14722)] = 622615,
  [SMALL_STATE(14723)] = 622638,
  [SMALL_STATE(14724)] = 622661,
  [SMALL_STATE(14725)] = 622682,
  [SMALL_STATE(14726)] = 622703,
  [SMALL_STATE(14727)] = 622726,
  [SMALL_STATE(14728)] = 622749,
  [SMALL_STATE(14729)] = 622772,
  [SMALL_STATE(14730)] = 622795,
  [SMALL_STATE(14731)] = 622818,
  [SMALL_STATE(14732)] = 622839,
  [SMALL_STATE(14733)] = 622859,
  [SMALL_STATE(14734)] = 622879,
  [SMALL_STATE(14735)] = 622899,
  [SMALL_STATE(14736)] = 622919,
  [SMALL_STATE(14737)] = 622939,
  [SMALL_STATE(14738)] = 622959,
  [SMALL_STATE(14739)] = 622979,
  [SMALL_STATE(14740)] = 622999,
  [SMALL_STATE(14741)] = 623019,
  [SMALL_STATE(14742)] = 623039,
  [SMALL_STATE(14743)] = 623059,
  [SMALL_STATE(14744)] = 623079,
  [SMALL_STATE(14745)] = 623099,
  [SMALL_STATE(14746)] = 623119,
  [SMALL_STATE(14747)] = 623139,
  [SMALL_STATE(14748)] = 623159,
  [SMALL_STATE(14749)] = 623179,
  [SMALL_STATE(14750)] = 623199,
  [SMALL_STATE(14751)] = 623219,
  [SMALL_STATE(14752)] = 623239,
  [SMALL_STATE(14753)] = 623259,
  [SMALL_STATE(14754)] = 623277,
  [SMALL_STATE(14755)] = 623297,
  [SMALL_STATE(14756)] = 623315,
  [SMALL_STATE(14757)] = 623335,
  [SMALL_STATE(14758)] = 623355,
  [SMALL_STATE(14759)] = 623375,
  [SMALL_STATE(14760)] = 623395,
  [SMALL_STATE(14761)] = 623415,
  [SMALL_STATE(14762)] = 623435,
  [SMALL_STATE(14763)] = 623455,
  [SMALL_STATE(14764)] = 623475,
  [SMALL_STATE(14765)] = 623495,
  [SMALL_STATE(14766)] = 623515,
  [SMALL_STATE(14767)] = 623535,
  [SMALL_STATE(14768)] = 623555,
  [SMALL_STATE(14769)] = 623575,
  [SMALL_STATE(14770)] = 623595,
  [SMALL_STATE(14771)] = 623615,
  [SMALL_STATE(14772)] = 623635,
  [SMALL_STATE(14773)] = 623655,
  [SMALL_STATE(14774)] = 623675,
  [SMALL_STATE(14775)] = 623695,
  [SMALL_STATE(14776)] = 623715,
  [SMALL_STATE(14777)] = 623735,
  [SMALL_STATE(14778)] = 623755,
  [SMALL_STATE(14779)] = 623775,
  [SMALL_STATE(14780)] = 623795,
  [SMALL_STATE(14781)] = 623813,
  [SMALL_STATE(14782)] = 623833,
  [SMALL_STATE(14783)] = 623853,
  [SMALL_STATE(14784)] = 623873,
  [SMALL_STATE(14785)] = 623893,
  [SMALL_STATE(14786)] = 623913,
  [SMALL_STATE(14787)] = 623933,
  [SMALL_STATE(14788)] = 623953,
  [SMALL_STATE(14789)] = 623973,
  [SMALL_STATE(14790)] = 623993,
  [SMALL_STATE(14791)] = 624013,
  [SMALL_STATE(14792)] = 624033,
  [SMALL_STATE(14793)] = 624053,
  [SMALL_STATE(14794)] = 624073,
  [SMALL_STATE(14795)] = 624093,
  [SMALL_STATE(14796)] = 624113,
  [SMALL_STATE(14797)] = 624133,
  [SMALL_STATE(14798)] = 624153,
  [SMALL_STATE(14799)] = 624173,
  [SMALL_STATE(14800)] = 624193,
  [SMALL_STATE(14801)] = 624213,
  [SMALL_STATE(14802)] = 624233,
  [SMALL_STATE(14803)] = 624253,
  [SMALL_STATE(14804)] = 624271,
  [SMALL_STATE(14805)] = 624291,
  [SMALL_STATE(14806)] = 624311,
  [SMALL_STATE(14807)] = 624331,
  [SMALL_STATE(14808)] = 624351,
  [SMALL_STATE(14809)] = 624371,
  [SMALL_STATE(14810)] = 624391,
  [SMALL_STATE(14811)] = 624411,
  [SMALL_STATE(14812)] = 624429,
  [SMALL_STATE(14813)] = 624449,
  [SMALL_STATE(14814)] = 624467,
  [SMALL_STATE(14815)] = 624487,
  [SMALL_STATE(14816)] = 624507,
  [SMALL_STATE(14817)] = 624527,
  [SMALL_STATE(14818)] = 624547,
  [SMALL_STATE(14819)] = 624567,
  [SMALL_STATE(14820)] = 624585,
  [SMALL_STATE(14821)] = 624605,
  [SMALL_STATE(14822)] = 624625,
  [SMALL_STATE(14823)] = 624645,
  [SMALL_STATE(14824)] = 624665,
  [SMALL_STATE(14825)] = 624685,
  [SMALL_STATE(14826)] = 624705,
  [SMALL_STATE(14827)] = 624725,
  [SMALL_STATE(14828)] = 624745,
  [SMALL_STATE(14829)] = 624763,
  [SMALL_STATE(14830)] = 624783,
  [SMALL_STATE(14831)] = 624803,
  [SMALL_STATE(14832)] = 624823,
  [SMALL_STATE(14833)] = 624843,
  [SMALL_STATE(14834)] = 624863,
  [SMALL_STATE(14835)] = 624883,
  [SMALL_STATE(14836)] = 624903,
  [SMALL_STATE(14837)] = 624923,
  [SMALL_STATE(14838)] = 624943,
  [SMALL_STATE(14839)] = 624963,
  [SMALL_STATE(14840)] = 624983,
  [SMALL_STATE(14841)] = 625003,
  [SMALL_STATE(14842)] = 625023,
  [SMALL_STATE(14843)] = 625043,
  [SMALL_STATE(14844)] = 625063,
  [SMALL_STATE(14845)] = 625083,
  [SMALL_STATE(14846)] = 625103,
  [SMALL_STATE(14847)] = 625123,
  [SMALL_STATE(14848)] = 625143,
  [SMALL_STATE(14849)] = 625163,
  [SMALL_STATE(14850)] = 625183,
  [SMALL_STATE(14851)] = 625203,
  [SMALL_STATE(14852)] = 625221,
  [SMALL_STATE(14853)] = 625241,
  [SMALL_STATE(14854)] = 625261,
  [SMALL_STATE(14855)] = 625281,
  [SMALL_STATE(14856)] = 625301,
  [SMALL_STATE(14857)] = 625321,
  [SMALL_STATE(14858)] = 625341,
  [SMALL_STATE(14859)] = 625361,
  [SMALL_STATE(14860)] = 625379,
  [SMALL_STATE(14861)] = 625399,
  [SMALL_STATE(14862)] = 625415,
  [SMALL_STATE(14863)] = 625435,
  [SMALL_STATE(14864)] = 625455,
  [SMALL_STATE(14865)] = 625475,
  [SMALL_STATE(14866)] = 625495,
  [SMALL_STATE(14867)] = 625515,
  [SMALL_STATE(14868)] = 625533,
  [SMALL_STATE(14869)] = 625553,
  [SMALL_STATE(14870)] = 625573,
  [SMALL_STATE(14871)] = 625593,
  [SMALL_STATE(14872)] = 625613,
  [SMALL_STATE(14873)] = 625633,
  [SMALL_STATE(14874)] = 625653,
  [SMALL_STATE(14875)] = 625673,
  [SMALL_STATE(14876)] = 625693,
  [SMALL_STATE(14877)] = 625713,
  [SMALL_STATE(14878)] = 625733,
  [SMALL_STATE(14879)] = 625753,
  [SMALL_STATE(14880)] = 625773,
  [SMALL_STATE(14881)] = 625793,
  [SMALL_STATE(14882)] = 625813,
  [SMALL_STATE(14883)] = 625833,
  [SMALL_STATE(14884)] = 625851,
  [SMALL_STATE(14885)] = 625871,
  [SMALL_STATE(14886)] = 625891,
  [SMALL_STATE(14887)] = 625911,
  [SMALL_STATE(14888)] = 625931,
  [SMALL_STATE(14889)] = 625951,
  [SMALL_STATE(14890)] = 625969,
  [SMALL_STATE(14891)] = 625989,
  [SMALL_STATE(14892)] = 626009,
  [SMALL_STATE(14893)] = 626029,
  [SMALL_STATE(14894)] = 626049,
  [SMALL_STATE(14895)] = 626069,
  [SMALL_STATE(14896)] = 626089,
  [SMALL_STATE(14897)] = 626109,
  [SMALL_STATE(14898)] = 626129,
  [SMALL_STATE(14899)] = 626149,
  [SMALL_STATE(14900)] = 626169,
  [SMALL_STATE(14901)] = 626189,
  [SMALL_STATE(14902)] = 626209,
  [SMALL_STATE(14903)] = 626229,
  [SMALL_STATE(14904)] = 626249,
  [SMALL_STATE(14905)] = 626267,
  [SMALL_STATE(14906)] = 626287,
  [SMALL_STATE(14907)] = 626307,
  [SMALL_STATE(14908)] = 626327,
  [SMALL_STATE(14909)] = 626347,
  [SMALL_STATE(14910)] = 626367,
  [SMALL_STATE(14911)] = 626387,
  [SMALL_STATE(14912)] = 626407,
  [SMALL_STATE(14913)] = 626427,
  [SMALL_STATE(14914)] = 626447,
  [SMALL_STATE(14915)] = 626467,
  [SMALL_STATE(14916)] = 626487,
  [SMALL_STATE(14917)] = 626507,
  [SMALL_STATE(14918)] = 626527,
  [SMALL_STATE(14919)] = 626547,
  [SMALL_STATE(14920)] = 626567,
  [SMALL_STATE(14921)] = 626587,
  [SMALL_STATE(14922)] = 626607,
  [SMALL_STATE(14923)] = 626627,
  [SMALL_STATE(14924)] = 626643,
  [SMALL_STATE(14925)] = 626663,
  [SMALL_STATE(14926)] = 626683,
  [SMALL_STATE(14927)] = 626703,
  [SMALL_STATE(14928)] = 626723,
  [SMALL_STATE(14929)] = 626743,
  [SMALL_STATE(14930)] = 626763,
  [SMALL_STATE(14931)] = 626783,
  [SMALL_STATE(14932)] = 626803,
  [SMALL_STATE(14933)] = 626823,
  [SMALL_STATE(14934)] = 626843,
  [SMALL_STATE(14935)] = 626863,
  [SMALL_STATE(14936)] = 626883,
  [SMALL_STATE(14937)] = 626903,
  [SMALL_STATE(14938)] = 626923,
  [SMALL_STATE(14939)] = 626943,
  [SMALL_STATE(14940)] = 626963,
  [SMALL_STATE(14941)] = 626983,
  [SMALL_STATE(14942)] = 627001,
  [SMALL_STATE(14943)] = 627021,
  [SMALL_STATE(14944)] = 627041,
  [SMALL_STATE(14945)] = 627061,
  [SMALL_STATE(14946)] = 627081,
  [SMALL_STATE(14947)] = 627101,
  [SMALL_STATE(14948)] = 627121,
  [SMALL_STATE(14949)] = 627141,
  [SMALL_STATE(14950)] = 627161,
  [SMALL_STATE(14951)] = 627181,
  [SMALL_STATE(14952)] = 627201,
  [SMALL_STATE(14953)] = 627221,
  [SMALL_STATE(14954)] = 627241,
  [SMALL_STATE(14955)] = 627261,
  [SMALL_STATE(14956)] = 627281,
  [SMALL_STATE(14957)] = 627301,
  [SMALL_STATE(14958)] = 627321,
  [SMALL_STATE(14959)] = 627341,
  [SMALL_STATE(14960)] = 627361,
  [SMALL_STATE(14961)] = 627381,
  [SMALL_STATE(14962)] = 627399,
  [SMALL_STATE(14963)] = 627419,
  [SMALL_STATE(14964)] = 627435,
  [SMALL_STATE(14965)] = 627455,
  [SMALL_STATE(14966)] = 627473,
  [SMALL_STATE(14967)] = 627493,
  [SMALL_STATE(14968)] = 627509,
  [SMALL_STATE(14969)] = 627529,
  [SMALL_STATE(14970)] = 627549,
  [SMALL_STATE(14971)] = 627567,
  [SMALL_STATE(14972)] = 627587,
  [SMALL_STATE(14973)] = 627607,
  [SMALL_STATE(14974)] = 627627,
  [SMALL_STATE(14975)] = 627647,
  [SMALL_STATE(14976)] = 627667,
  [SMALL_STATE(14977)] = 627687,
  [SMALL_STATE(14978)] = 627707,
  [SMALL_STATE(14979)] = 627727,
  [SMALL_STATE(14980)] = 627747,
  [SMALL_STATE(14981)] = 627767,
  [SMALL_STATE(14982)] = 627787,
  [SMALL_STATE(14983)] = 627807,
  [SMALL_STATE(14984)] = 627827,
  [SMALL_STATE(14985)] = 627847,
  [SMALL_STATE(14986)] = 627867,
  [SMALL_STATE(14987)] = 627887,
  [SMALL_STATE(14988)] = 627907,
  [SMALL_STATE(14989)] = 627927,
  [SMALL_STATE(14990)] = 627947,
  [SMALL_STATE(14991)] = 627967,
  [SMALL_STATE(14992)] = 627987,
  [SMALL_STATE(14993)] = 628007,
  [SMALL_STATE(14994)] = 628027,
  [SMALL_STATE(14995)] = 628047,
  [SMALL_STATE(14996)] = 628067,
  [SMALL_STATE(14997)] = 628087,
  [SMALL_STATE(14998)] = 628107,
  [SMALL_STATE(14999)] = 628127,
  [SMALL_STATE(15000)] = 628147,
  [SMALL_STATE(15001)] = 628167,
  [SMALL_STATE(15002)] = 628187,
  [SMALL_STATE(15003)] = 628207,
  [SMALL_STATE(15004)] = 628227,
  [SMALL_STATE(15005)] = 628247,
  [SMALL_STATE(15006)] = 628265,
  [SMALL_STATE(15007)] = 628285,
  [SMALL_STATE(15008)] = 628305,
  [SMALL_STATE(15009)] = 628325,
  [SMALL_STATE(15010)] = 628345,
  [SMALL_STATE(15011)] = 628365,
  [SMALL_STATE(15012)] = 628383,
  [SMALL_STATE(15013)] = 628403,
  [SMALL_STATE(15014)] = 628423,
  [SMALL_STATE(15015)] = 628443,
  [SMALL_STATE(15016)] = 628463,
  [SMALL_STATE(15017)] = 628483,
  [SMALL_STATE(15018)] = 628503,
  [SMALL_STATE(15019)] = 628521,
  [SMALL_STATE(15020)] = 628541,
  [SMALL_STATE(15021)] = 628559,
  [SMALL_STATE(15022)] = 628579,
  [SMALL_STATE(15023)] = 628599,
  [SMALL_STATE(15024)] = 628619,
  [SMALL_STATE(15025)] = 628639,
  [SMALL_STATE(15026)] = 628659,
  [SMALL_STATE(15027)] = 628677,
  [SMALL_STATE(15028)] = 628695,
  [SMALL_STATE(15029)] = 628715,
  [SMALL_STATE(15030)] = 628735,
  [SMALL_STATE(15031)] = 628755,
  [SMALL_STATE(15032)] = 628775,
  [SMALL_STATE(15033)] = 628795,
  [SMALL_STATE(15034)] = 628815,
  [SMALL_STATE(15035)] = 628835,
  [SMALL_STATE(15036)] = 628851,
  [SMALL_STATE(15037)] = 628869,
  [SMALL_STATE(15038)] = 628889,
  [SMALL_STATE(15039)] = 628909,
  [SMALL_STATE(15040)] = 628929,
  [SMALL_STATE(15041)] = 628949,
  [SMALL_STATE(15042)] = 628969,
  [SMALL_STATE(15043)] = 628989,
  [SMALL_STATE(15044)] = 629009,
  [SMALL_STATE(15045)] = 629029,
  [SMALL_STATE(15046)] = 629049,
  [SMALL_STATE(15047)] = 629069,
  [SMALL_STATE(15048)] = 629089,
  [SMALL_STATE(15049)] = 629109,
  [SMALL_STATE(15050)] = 629129,
  [SMALL_STATE(15051)] = 629149,
  [SMALL_STATE(15052)] = 629169,
  [SMALL_STATE(15053)] = 629189,
  [SMALL_STATE(15054)] = 629207,
  [SMALL_STATE(15055)] = 629227,
  [SMALL_STATE(15056)] = 629247,
  [SMALL_STATE(15057)] = 629267,
  [SMALL_STATE(15058)] = 629287,
  [SMALL_STATE(15059)] = 629307,
  [SMALL_STATE(15060)] = 629327,
  [SMALL_STATE(15061)] = 629347,
  [SMALL_STATE(15062)] = 629367,
  [SMALL_STATE(15063)] = 629387,
  [SMALL_STATE(15064)] = 629407,
  [SMALL_STATE(15065)] = 629427,
  [SMALL_STATE(15066)] = 629447,
  [SMALL_STATE(15067)] = 629467,
  [SMALL_STATE(15068)] = 629487,
  [SMALL_STATE(15069)] = 629507,
  [SMALL_STATE(15070)] = 629527,
  [SMALL_STATE(15071)] = 629547,
  [SMALL_STATE(15072)] = 629567,
  [SMALL_STATE(15073)] = 629587,
  [SMALL_STATE(15074)] = 629607,
  [SMALL_STATE(15075)] = 629627,
  [SMALL_STATE(15076)] = 629647,
  [SMALL_STATE(15077)] = 629665,
  [SMALL_STATE(15078)] = 629685,
  [SMALL_STATE(15079)] = 629705,
  [SMALL_STATE(15080)] = 629725,
  [SMALL_STATE(15081)] = 629745,
  [SMALL_STATE(15082)] = 629765,
  [SMALL_STATE(15083)] = 629785,
  [SMALL_STATE(15084)] = 629805,
  [SMALL_STATE(15085)] = 629825,
  [SMALL_STATE(15086)] = 629845,
  [SMALL_STATE(15087)] = 629865,
  [SMALL_STATE(15088)] = 629885,
  [SMALL_STATE(15089)] = 629905,
  [SMALL_STATE(15090)] = 629925,
  [SMALL_STATE(15091)] = 629943,
  [SMALL_STATE(15092)] = 629963,
  [SMALL_STATE(15093)] = 629983,
  [SMALL_STATE(15094)] = 630003,
  [SMALL_STATE(15095)] = 630023,
  [SMALL_STATE(15096)] = 630043,
  [SMALL_STATE(15097)] = 630063,
  [SMALL_STATE(15098)] = 630083,
  [SMALL_STATE(15099)] = 630103,
  [SMALL_STATE(15100)] = 630123,
  [SMALL_STATE(15101)] = 630143,
  [SMALL_STATE(15102)] = 630163,
  [SMALL_STATE(15103)] = 630183,
  [SMALL_STATE(15104)] = 630203,
  [SMALL_STATE(15105)] = 630223,
  [SMALL_STATE(15106)] = 630243,
  [SMALL_STATE(15107)] = 630263,
  [SMALL_STATE(15108)] = 630283,
  [SMALL_STATE(15109)] = 630303,
  [SMALL_STATE(15110)] = 630323,
  [SMALL_STATE(15111)] = 630339,
  [SMALL_STATE(15112)] = 630359,
  [SMALL_STATE(15113)] = 630379,
  [SMALL_STATE(15114)] = 630397,
  [SMALL_STATE(15115)] = 630417,
  [SMALL_STATE(15116)] = 630437,
  [SMALL_STATE(15117)] = 630457,
  [SMALL_STATE(15118)] = 630477,
  [SMALL_STATE(15119)] = 630497,
  [SMALL_STATE(15120)] = 630517,
  [SMALL_STATE(15121)] = 630535,
  [SMALL_STATE(15122)] = 630555,
  [SMALL_STATE(15123)] = 630575,
  [SMALL_STATE(15124)] = 630595,
  [SMALL_STATE(15125)] = 630615,
  [SMALL_STATE(15126)] = 630635,
  [SMALL_STATE(15127)] = 630655,
  [SMALL_STATE(15128)] = 630675,
  [SMALL_STATE(15129)] = 630695,
  [SMALL_STATE(15130)] = 630715,
  [SMALL_STATE(15131)] = 630735,
  [SMALL_STATE(15132)] = 630755,
  [SMALL_STATE(15133)] = 630771,
  [SMALL_STATE(15134)] = 630791,
  [SMALL_STATE(15135)] = 630811,
  [SMALL_STATE(15136)] = 630831,
  [SMALL_STATE(15137)] = 630851,
  [SMALL_STATE(15138)] = 630871,
  [SMALL_STATE(15139)] = 630891,
  [SMALL_STATE(15140)] = 630911,
  [SMALL_STATE(15141)] = 630931,
  [SMALL_STATE(15142)] = 630951,
  [SMALL_STATE(15143)] = 630971,
  [SMALL_STATE(15144)] = 630991,
  [SMALL_STATE(15145)] = 631011,
  [SMALL_STATE(15146)] = 631031,
  [SMALL_STATE(15147)] = 631051,
  [SMALL_STATE(15148)] = 631071,
  [SMALL_STATE(15149)] = 631091,
  [SMALL_STATE(15150)] = 631111,
  [SMALL_STATE(15151)] = 631131,
  [SMALL_STATE(15152)] = 631151,
  [SMALL_STATE(15153)] = 631171,
  [SMALL_STATE(15154)] = 631191,
  [SMALL_STATE(15155)] = 631211,
  [SMALL_STATE(15156)] = 631231,
  [SMALL_STATE(15157)] = 631251,
  [SMALL_STATE(15158)] = 631271,
  [SMALL_STATE(15159)] = 631291,
  [SMALL_STATE(15160)] = 631311,
  [SMALL_STATE(15161)] = 631331,
  [SMALL_STATE(15162)] = 631351,
  [SMALL_STATE(15163)] = 631371,
  [SMALL_STATE(15164)] = 631391,
  [SMALL_STATE(15165)] = 631411,
  [SMALL_STATE(15166)] = 631431,
  [SMALL_STATE(15167)] = 631451,
  [SMALL_STATE(15168)] = 631471,
  [SMALL_STATE(15169)] = 631491,
  [SMALL_STATE(15170)] = 631511,
  [SMALL_STATE(15171)] = 631529,
  [SMALL_STATE(15172)] = 631549,
  [SMALL_STATE(15173)] = 631569,
  [SMALL_STATE(15174)] = 631589,
  [SMALL_STATE(15175)] = 631607,
  [SMALL_STATE(15176)] = 631627,
  [SMALL_STATE(15177)] = 631645,
  [SMALL_STATE(15178)] = 631665,
  [SMALL_STATE(15179)] = 631685,
  [SMALL_STATE(15180)] = 631703,
  [SMALL_STATE(15181)] = 631723,
  [SMALL_STATE(15182)] = 631743,
  [SMALL_STATE(15183)] = 631763,
  [SMALL_STATE(15184)] = 631783,
  [SMALL_STATE(15185)] = 631803,
  [SMALL_STATE(15186)] = 631823,
  [SMALL_STATE(15187)] = 631843,
  [SMALL_STATE(15188)] = 631863,
  [SMALL_STATE(15189)] = 631883,
  [SMALL_STATE(15190)] = 631903,
  [SMALL_STATE(15191)] = 631921,
  [SMALL_STATE(15192)] = 631941,
  [SMALL_STATE(15193)] = 631961,
  [SMALL_STATE(15194)] = 631979,
  [SMALL_STATE(15195)] = 631999,
  [SMALL_STATE(15196)] = 632019,
  [SMALL_STATE(15197)] = 632039,
  [SMALL_STATE(15198)] = 632059,
  [SMALL_STATE(15199)] = 632079,
  [SMALL_STATE(15200)] = 632099,
  [SMALL_STATE(15201)] = 632119,
  [SMALL_STATE(15202)] = 632139,
  [SMALL_STATE(15203)] = 632159,
  [SMALL_STATE(15204)] = 632179,
  [SMALL_STATE(15205)] = 632199,
  [SMALL_STATE(15206)] = 632219,
  [SMALL_STATE(15207)] = 632239,
  [SMALL_STATE(15208)] = 632259,
  [SMALL_STATE(15209)] = 632279,
  [SMALL_STATE(15210)] = 632299,
  [SMALL_STATE(15211)] = 632319,
  [SMALL_STATE(15212)] = 632339,
  [SMALL_STATE(15213)] = 632359,
  [SMALL_STATE(15214)] = 632379,
  [SMALL_STATE(15215)] = 632399,
  [SMALL_STATE(15216)] = 632419,
  [SMALL_STATE(15217)] = 632439,
  [SMALL_STATE(15218)] = 632459,
  [SMALL_STATE(15219)] = 632479,
  [SMALL_STATE(15220)] = 632499,
  [SMALL_STATE(15221)] = 632519,
  [SMALL_STATE(15222)] = 632539,
  [SMALL_STATE(15223)] = 632559,
  [SMALL_STATE(15224)] = 632579,
  [SMALL_STATE(15225)] = 632599,
  [SMALL_STATE(15226)] = 632619,
  [SMALL_STATE(15227)] = 632639,
  [SMALL_STATE(15228)] = 632659,
  [SMALL_STATE(15229)] = 632679,
  [SMALL_STATE(15230)] = 632699,
  [SMALL_STATE(15231)] = 632719,
  [SMALL_STATE(15232)] = 632739,
  [SMALL_STATE(15233)] = 632759,
  [SMALL_STATE(15234)] = 632779,
  [SMALL_STATE(15235)] = 632799,
  [SMALL_STATE(15236)] = 632819,
  [SMALL_STATE(15237)] = 632839,
  [SMALL_STATE(15238)] = 632857,
  [SMALL_STATE(15239)] = 632877,
  [SMALL_STATE(15240)] = 632895,
  [SMALL_STATE(15241)] = 632915,
  [SMALL_STATE(15242)] = 632935,
  [SMALL_STATE(15243)] = 632955,
  [SMALL_STATE(15244)] = 632975,
  [SMALL_STATE(15245)] = 632995,
  [SMALL_STATE(15246)] = 633015,
  [SMALL_STATE(15247)] = 633035,
  [SMALL_STATE(15248)] = 633055,
  [SMALL_STATE(15249)] = 633075,
  [SMALL_STATE(15250)] = 633095,
  [SMALL_STATE(15251)] = 633115,
  [SMALL_STATE(15252)] = 633135,
  [SMALL_STATE(15253)] = 633155,
  [SMALL_STATE(15254)] = 633175,
  [SMALL_STATE(15255)] = 633195,
  [SMALL_STATE(15256)] = 633213,
  [SMALL_STATE(15257)] = 633233,
  [SMALL_STATE(15258)] = 633253,
  [SMALL_STATE(15259)] = 633273,
  [SMALL_STATE(15260)] = 633291,
  [SMALL_STATE(15261)] = 633311,
  [SMALL_STATE(15262)] = 633331,
  [SMALL_STATE(15263)] = 633351,
  [SMALL_STATE(15264)] = 633371,
  [SMALL_STATE(15265)] = 633391,
  [SMALL_STATE(15266)] = 633411,
  [SMALL_STATE(15267)] = 633427,
  [SMALL_STATE(15268)] = 633447,
  [SMALL_STATE(15269)] = 633467,
  [SMALL_STATE(15270)] = 633485,
  [SMALL_STATE(15271)] = 633505,
  [SMALL_STATE(15272)] = 633525,
  [SMALL_STATE(15273)] = 633545,
  [SMALL_STATE(15274)] = 633563,
  [SMALL_STATE(15275)] = 633583,
  [SMALL_STATE(15276)] = 633603,
  [SMALL_STATE(15277)] = 633623,
  [SMALL_STATE(15278)] = 633643,
  [SMALL_STATE(15279)] = 633663,
  [SMALL_STATE(15280)] = 633683,
  [SMALL_STATE(15281)] = 633703,
  [SMALL_STATE(15282)] = 633723,
  [SMALL_STATE(15283)] = 633743,
  [SMALL_STATE(15284)] = 633763,
  [SMALL_STATE(15285)] = 633783,
  [SMALL_STATE(15286)] = 633803,
  [SMALL_STATE(15287)] = 633823,
  [SMALL_STATE(15288)] = 633843,
  [SMALL_STATE(15289)] = 633863,
  [SMALL_STATE(15290)] = 633879,
  [SMALL_STATE(15291)] = 633899,
  [SMALL_STATE(15292)] = 633919,
  [SMALL_STATE(15293)] = 633939,
  [SMALL_STATE(15294)] = 633959,
  [SMALL_STATE(15295)] = 633979,
  [SMALL_STATE(15296)] = 633999,
  [SMALL_STATE(15297)] = 634019,
  [SMALL_STATE(15298)] = 634039,
  [SMALL_STATE(15299)] = 634059,
  [SMALL_STATE(15300)] = 634079,
  [SMALL_STATE(15301)] = 634099,
  [SMALL_STATE(15302)] = 634119,
  [SMALL_STATE(15303)] = 634139,
  [SMALL_STATE(15304)] = 634157,
  [SMALL_STATE(15305)] = 634177,
  [SMALL_STATE(15306)] = 634197,
  [SMALL_STATE(15307)] = 634217,
  [SMALL_STATE(15308)] = 634237,
  [SMALL_STATE(15309)] = 634257,
  [SMALL_STATE(15310)] = 634277,
  [SMALL_STATE(15311)] = 634297,
  [SMALL_STATE(15312)] = 634317,
  [SMALL_STATE(15313)] = 634337,
  [SMALL_STATE(15314)] = 634357,
  [SMALL_STATE(15315)] = 634377,
  [SMALL_STATE(15316)] = 634397,
  [SMALL_STATE(15317)] = 634417,
  [SMALL_STATE(15318)] = 634437,
  [SMALL_STATE(15319)] = 634457,
  [SMALL_STATE(15320)] = 634477,
  [SMALL_STATE(15321)] = 634497,
  [SMALL_STATE(15322)] = 634517,
  [SMALL_STATE(15323)] = 634537,
  [SMALL_STATE(15324)] = 634557,
  [SMALL_STATE(15325)] = 634577,
  [SMALL_STATE(15326)] = 634593,
  [SMALL_STATE(15327)] = 634613,
  [SMALL_STATE(15328)] = 634633,
  [SMALL_STATE(15329)] = 634653,
  [SMALL_STATE(15330)] = 634673,
  [SMALL_STATE(15331)] = 634693,
  [SMALL_STATE(15332)] = 634713,
  [SMALL_STATE(15333)] = 634733,
  [SMALL_STATE(15334)] = 634753,
  [SMALL_STATE(15335)] = 634773,
  [SMALL_STATE(15336)] = 634793,
  [SMALL_STATE(15337)] = 634813,
  [SMALL_STATE(15338)] = 634833,
  [SMALL_STATE(15339)] = 634853,
  [SMALL_STATE(15340)] = 634873,
  [SMALL_STATE(15341)] = 634891,
  [SMALL_STATE(15342)] = 634911,
  [SMALL_STATE(15343)] = 634931,
  [SMALL_STATE(15344)] = 634951,
  [SMALL_STATE(15345)] = 634971,
  [SMALL_STATE(15346)] = 634991,
  [SMALL_STATE(15347)] = 635011,
  [SMALL_STATE(15348)] = 635031,
  [SMALL_STATE(15349)] = 635051,
  [SMALL_STATE(15350)] = 635071,
  [SMALL_STATE(15351)] = 635091,
  [SMALL_STATE(15352)] = 635107,
  [SMALL_STATE(15353)] = 635127,
  [SMALL_STATE(15354)] = 635147,
  [SMALL_STATE(15355)] = 635165,
  [SMALL_STATE(15356)] = 635185,
  [SMALL_STATE(15357)] = 635205,
  [SMALL_STATE(15358)] = 635225,
  [SMALL_STATE(15359)] = 635245,
  [SMALL_STATE(15360)] = 635265,
  [SMALL_STATE(15361)] = 635285,
  [SMALL_STATE(15362)] = 635305,
  [SMALL_STATE(15363)] = 635325,
  [SMALL_STATE(15364)] = 635345,
  [SMALL_STATE(15365)] = 635365,
  [SMALL_STATE(15366)] = 635385,
  [SMALL_STATE(15367)] = 635405,
  [SMALL_STATE(15368)] = 635425,
  [SMALL_STATE(15369)] = 635445,
  [SMALL_STATE(15370)] = 635465,
  [SMALL_STATE(15371)] = 635485,
  [SMALL_STATE(15372)] = 635505,
  [SMALL_STATE(15373)] = 635525,
  [SMALL_STATE(15374)] = 635545,
  [SMALL_STATE(15375)] = 635565,
  [SMALL_STATE(15376)] = 635585,
  [SMALL_STATE(15377)] = 635605,
  [SMALL_STATE(15378)] = 635625,
  [SMALL_STATE(15379)] = 635645,
  [SMALL_STATE(15380)] = 635665,
  [SMALL_STATE(15381)] = 635685,
  [SMALL_STATE(15382)] = 635705,
  [SMALL_STATE(15383)] = 635725,
  [SMALL_STATE(15384)] = 635745,
  [SMALL_STATE(15385)] = 635765,
  [SMALL_STATE(15386)] = 635785,
  [SMALL_STATE(15387)] = 635803,
  [SMALL_STATE(15388)] = 635823,
  [SMALL_STATE(15389)] = 635843,
  [SMALL_STATE(15390)] = 635861,
  [SMALL_STATE(15391)] = 635881,
  [SMALL_STATE(15392)] = 635901,
  [SMALL_STATE(15393)] = 635921,
  [SMALL_STATE(15394)] = 635937,
  [SMALL_STATE(15395)] = 635957,
  [SMALL_STATE(15396)] = 635977,
  [SMALL_STATE(15397)] = 635997,
  [SMALL_STATE(15398)] = 636013,
  [SMALL_STATE(15399)] = 636033,
  [SMALL_STATE(15400)] = 636049,
  [SMALL_STATE(15401)] = 636069,
  [SMALL_STATE(15402)] = 636089,
  [SMALL_STATE(15403)] = 636109,
  [SMALL_STATE(15404)] = 636129,
  [SMALL_STATE(15405)] = 636149,
  [SMALL_STATE(15406)] = 636169,
  [SMALL_STATE(15407)] = 636189,
  [SMALL_STATE(15408)] = 636209,
  [SMALL_STATE(15409)] = 636229,
  [SMALL_STATE(15410)] = 636245,
  [SMALL_STATE(15411)] = 636265,
  [SMALL_STATE(15412)] = 636285,
  [SMALL_STATE(15413)] = 636305,
  [SMALL_STATE(15414)] = 636325,
  [SMALL_STATE(15415)] = 636345,
  [SMALL_STATE(15416)] = 636365,
  [SMALL_STATE(15417)] = 636385,
  [SMALL_STATE(15418)] = 636405,
  [SMALL_STATE(15419)] = 636425,
  [SMALL_STATE(15420)] = 636445,
  [SMALL_STATE(15421)] = 636465,
  [SMALL_STATE(15422)] = 636485,
  [SMALL_STATE(15423)] = 636503,
  [SMALL_STATE(15424)] = 636523,
  [SMALL_STATE(15425)] = 636543,
  [SMALL_STATE(15426)] = 636563,
  [SMALL_STATE(15427)] = 636583,
  [SMALL_STATE(15428)] = 636601,
  [SMALL_STATE(15429)] = 636621,
  [SMALL_STATE(15430)] = 636641,
  [SMALL_STATE(15431)] = 636661,
  [SMALL_STATE(15432)] = 636681,
  [SMALL_STATE(15433)] = 636701,
  [SMALL_STATE(15434)] = 636721,
  [SMALL_STATE(15435)] = 636741,
  [SMALL_STATE(15436)] = 636761,
  [SMALL_STATE(15437)] = 636781,
  [SMALL_STATE(15438)] = 636801,
  [SMALL_STATE(15439)] = 636821,
  [SMALL_STATE(15440)] = 636841,
  [SMALL_STATE(15441)] = 636861,
  [SMALL_STATE(15442)] = 636881,
  [SMALL_STATE(15443)] = 636901,
  [SMALL_STATE(15444)] = 636921,
  [SMALL_STATE(15445)] = 636941,
  [SMALL_STATE(15446)] = 636961,
  [SMALL_STATE(15447)] = 636981,
  [SMALL_STATE(15448)] = 637001,
  [SMALL_STATE(15449)] = 637021,
  [SMALL_STATE(15450)] = 637041,
  [SMALL_STATE(15451)] = 637061,
  [SMALL_STATE(15452)] = 637077,
  [SMALL_STATE(15453)] = 637097,
  [SMALL_STATE(15454)] = 637117,
  [SMALL_STATE(15455)] = 637137,
  [SMALL_STATE(15456)] = 637157,
  [SMALL_STATE(15457)] = 637175,
  [SMALL_STATE(15458)] = 637195,
  [SMALL_STATE(15459)] = 637215,
  [SMALL_STATE(15460)] = 637235,
  [SMALL_STATE(15461)] = 637253,
  [SMALL_STATE(15462)] = 637271,
  [SMALL_STATE(15463)] = 637289,
  [SMALL_STATE(15464)] = 637307,
  [SMALL_STATE(15465)] = 637325,
  [SMALL_STATE(15466)] = 637343,
  [SMALL_STATE(15467)] = 637361,
  [SMALL_STATE(15468)] = 637379,
  [SMALL_STATE(15469)] = 637397,
  [SMALL_STATE(15470)] = 637415,
  [SMALL_STATE(15471)] = 637433,
  [SMALL_STATE(15472)] = 637451,
  [SMALL_STATE(15473)] = 637469,
  [SMALL_STATE(15474)] = 637487,
  [SMALL_STATE(15475)] = 637505,
  [SMALL_STATE(15476)] = 637523,
  [SMALL_STATE(15477)] = 637541,
  [SMALL_STATE(15478)] = 637561,
  [SMALL_STATE(15479)] = 637581,
  [SMALL_STATE(15480)] = 637601,
  [SMALL_STATE(15481)] = 637621,
  [SMALL_STATE(15482)] = 637641,
  [SMALL_STATE(15483)] = 637661,
  [SMALL_STATE(15484)] = 637681,
  [SMALL_STATE(15485)] = 637701,
  [SMALL_STATE(15486)] = 637721,
  [SMALL_STATE(15487)] = 637741,
  [SMALL_STATE(15488)] = 637759,
  [SMALL_STATE(15489)] = 637779,
  [SMALL_STATE(15490)] = 637799,
  [SMALL_STATE(15491)] = 637815,
  [SMALL_STATE(15492)] = 637835,
  [SMALL_STATE(15493)] = 637855,
  [SMALL_STATE(15494)] = 637875,
  [SMALL_STATE(15495)] = 637895,
  [SMALL_STATE(15496)] = 637915,
  [SMALL_STATE(15497)] = 637935,
  [SMALL_STATE(15498)] = 637955,
  [SMALL_STATE(15499)] = 637975,
  [SMALL_STATE(15500)] = 637995,
  [SMALL_STATE(15501)] = 638015,
  [SMALL_STATE(15502)] = 638035,
  [SMALL_STATE(15503)] = 638055,
  [SMALL_STATE(15504)] = 638075,
  [SMALL_STATE(15505)] = 638095,
  [SMALL_STATE(15506)] = 638115,
  [SMALL_STATE(15507)] = 638135,
  [SMALL_STATE(15508)] = 638155,
  [SMALL_STATE(15509)] = 638175,
  [SMALL_STATE(15510)] = 638195,
  [SMALL_STATE(15511)] = 638215,
  [SMALL_STATE(15512)] = 638233,
  [SMALL_STATE(15513)] = 638253,
  [SMALL_STATE(15514)] = 638273,
  [SMALL_STATE(15515)] = 638293,
  [SMALL_STATE(15516)] = 638313,
  [SMALL_STATE(15517)] = 638331,
  [SMALL_STATE(15518)] = 638351,
  [SMALL_STATE(15519)] = 638371,
  [SMALL_STATE(15520)] = 638391,
  [SMALL_STATE(15521)] = 638411,
  [SMALL_STATE(15522)] = 638431,
  [SMALL_STATE(15523)] = 638451,
  [SMALL_STATE(15524)] = 638471,
  [SMALL_STATE(15525)] = 638491,
  [SMALL_STATE(15526)] = 638511,
  [SMALL_STATE(15527)] = 638531,
  [SMALL_STATE(15528)] = 638551,
  [SMALL_STATE(15529)] = 638571,
  [SMALL_STATE(15530)] = 638591,
  [SMALL_STATE(15531)] = 638611,
  [SMALL_STATE(15532)] = 638631,
  [SMALL_STATE(15533)] = 638651,
  [SMALL_STATE(15534)] = 638671,
  [SMALL_STATE(15535)] = 638691,
  [SMALL_STATE(15536)] = 638711,
  [SMALL_STATE(15537)] = 638731,
  [SMALL_STATE(15538)] = 638751,
  [SMALL_STATE(15539)] = 638771,
  [SMALL_STATE(15540)] = 638791,
  [SMALL_STATE(15541)] = 638811,
  [SMALL_STATE(15542)] = 638831,
  [SMALL_STATE(15543)] = 638851,
  [SMALL_STATE(15544)] = 638869,
  [SMALL_STATE(15545)] = 638889,
  [SMALL_STATE(15546)] = 638909,
  [SMALL_STATE(15547)] = 638925,
  [SMALL_STATE(15548)] = 638945,
  [SMALL_STATE(15549)] = 638963,
  [SMALL_STATE(15550)] = 638981,
  [SMALL_STATE(15551)] = 638999,
  [SMALL_STATE(15552)] = 639017,
  [SMALL_STATE(15553)] = 639035,
  [SMALL_STATE(15554)] = 639053,
  [SMALL_STATE(15555)] = 639071,
  [SMALL_STATE(15556)] = 639089,
  [SMALL_STATE(15557)] = 639109,
  [SMALL_STATE(15558)] = 639129,
  [SMALL_STATE(15559)] = 639149,
  [SMALL_STATE(15560)] = 639169,
  [SMALL_STATE(15561)] = 639189,
  [SMALL_STATE(15562)] = 639207,
  [SMALL_STATE(15563)] = 639227,
  [SMALL_STATE(15564)] = 639245,
  [SMALL_STATE(15565)] = 639263,
  [SMALL_STATE(15566)] = 639279,
  [SMALL_STATE(15567)] = 639297,
  [SMALL_STATE(15568)] = 639317,
  [SMALL_STATE(15569)] = 639333,
  [SMALL_STATE(15570)] = 639353,
  [SMALL_STATE(15571)] = 639371,
  [SMALL_STATE(15572)] = 639391,
  [SMALL_STATE(15573)] = 639411,
  [SMALL_STATE(15574)] = 639431,
  [SMALL_STATE(15575)] = 639451,
  [SMALL_STATE(15576)] = 639471,
  [SMALL_STATE(15577)] = 639489,
  [SMALL_STATE(15578)] = 639509,
  [SMALL_STATE(15579)] = 639529,
  [SMALL_STATE(15580)] = 639549,
  [SMALL_STATE(15581)] = 639569,
  [SMALL_STATE(15582)] = 639587,
  [SMALL_STATE(15583)] = 639607,
  [SMALL_STATE(15584)] = 639625,
  [SMALL_STATE(15585)] = 639645,
  [SMALL_STATE(15586)] = 639665,
  [SMALL_STATE(15587)] = 639685,
  [SMALL_STATE(15588)] = 639703,
  [SMALL_STATE(15589)] = 639723,
  [SMALL_STATE(15590)] = 639743,
  [SMALL_STATE(15591)] = 639763,
  [SMALL_STATE(15592)] = 639783,
  [SMALL_STATE(15593)] = 639803,
  [SMALL_STATE(15594)] = 639823,
  [SMALL_STATE(15595)] = 639843,
  [SMALL_STATE(15596)] = 639863,
  [SMALL_STATE(15597)] = 639883,
  [SMALL_STATE(15598)] = 639903,
  [SMALL_STATE(15599)] = 639921,
  [SMALL_STATE(15600)] = 639939,
  [SMALL_STATE(15601)] = 639959,
  [SMALL_STATE(15602)] = 639975,
  [SMALL_STATE(15603)] = 639995,
  [SMALL_STATE(15604)] = 640013,
  [SMALL_STATE(15605)] = 640031,
  [SMALL_STATE(15606)] = 640049,
  [SMALL_STATE(15607)] = 640067,
  [SMALL_STATE(15608)] = 640085,
  [SMALL_STATE(15609)] = 640103,
  [SMALL_STATE(15610)] = 640121,
  [SMALL_STATE(15611)] = 640139,
  [SMALL_STATE(15612)] = 640159,
  [SMALL_STATE(15613)] = 640179,
  [SMALL_STATE(15614)] = 640199,
  [SMALL_STATE(15615)] = 640219,
  [SMALL_STATE(15616)] = 640239,
  [SMALL_STATE(15617)] = 640259,
  [SMALL_STATE(15618)] = 640277,
  [SMALL_STATE(15619)] = 640297,
  [SMALL_STATE(15620)] = 640317,
  [SMALL_STATE(15621)] = 640337,
  [SMALL_STATE(15622)] = 640357,
  [SMALL_STATE(15623)] = 640377,
  [SMALL_STATE(15624)] = 640397,
  [SMALL_STATE(15625)] = 640417,
  [SMALL_STATE(15626)] = 640437,
  [SMALL_STATE(15627)] = 640457,
  [SMALL_STATE(15628)] = 640477,
  [SMALL_STATE(15629)] = 640497,
  [SMALL_STATE(15630)] = 640517,
  [SMALL_STATE(15631)] = 640537,
  [SMALL_STATE(15632)] = 640557,
  [SMALL_STATE(15633)] = 640577,
  [SMALL_STATE(15634)] = 640597,
  [SMALL_STATE(15635)] = 640617,
  [SMALL_STATE(15636)] = 640637,
  [SMALL_STATE(15637)] = 640657,
  [SMALL_STATE(15638)] = 640677,
  [SMALL_STATE(15639)] = 640697,
  [SMALL_STATE(15640)] = 640717,
  [SMALL_STATE(15641)] = 640737,
  [SMALL_STATE(15642)] = 640757,
  [SMALL_STATE(15643)] = 640777,
  [SMALL_STATE(15644)] = 640797,
  [SMALL_STATE(15645)] = 640817,
  [SMALL_STATE(15646)] = 640837,
  [SMALL_STATE(15647)] = 640857,
  [SMALL_STATE(15648)] = 640877,
  [SMALL_STATE(15649)] = 640897,
  [SMALL_STATE(15650)] = 640917,
  [SMALL_STATE(15651)] = 640935,
  [SMALL_STATE(15652)] = 640955,
  [SMALL_STATE(15653)] = 640973,
  [SMALL_STATE(15654)] = 640991,
  [SMALL_STATE(15655)] = 641009,
  [SMALL_STATE(15656)] = 641029,
  [SMALL_STATE(15657)] = 641049,
  [SMALL_STATE(15658)] = 641069,
  [SMALL_STATE(15659)] = 641089,
  [SMALL_STATE(15660)] = 641107,
  [SMALL_STATE(15661)] = 641125,
  [SMALL_STATE(15662)] = 641145,
  [SMALL_STATE(15663)] = 641165,
  [SMALL_STATE(15664)] = 641185,
  [SMALL_STATE(15665)] = 641205,
  [SMALL_STATE(15666)] = 641225,
  [SMALL_STATE(15667)] = 641245,
  [SMALL_STATE(15668)] = 641265,
  [SMALL_STATE(15669)] = 641283,
  [SMALL_STATE(15670)] = 641303,
  [SMALL_STATE(15671)] = 641323,
  [SMALL_STATE(15672)] = 641343,
  [SMALL_STATE(15673)] = 641363,
  [SMALL_STATE(15674)] = 641383,
  [SMALL_STATE(15675)] = 641399,
  [SMALL_STATE(15676)] = 641417,
  [SMALL_STATE(15677)] = 641437,
  [SMALL_STATE(15678)] = 641457,
  [SMALL_STATE(15679)] = 641477,
  [SMALL_STATE(15680)] = 641497,
  [SMALL_STATE(15681)] = 641517,
  [SMALL_STATE(15682)] = 641537,
  [SMALL_STATE(15683)] = 641557,
  [SMALL_STATE(15684)] = 641577,
  [SMALL_STATE(15685)] = 641597,
  [SMALL_STATE(15686)] = 641617,
  [SMALL_STATE(15687)] = 641637,
  [SMALL_STATE(15688)] = 641657,
  [SMALL_STATE(15689)] = 641677,
  [SMALL_STATE(15690)] = 641695,
  [SMALL_STATE(15691)] = 641715,
  [SMALL_STATE(15692)] = 641735,
  [SMALL_STATE(15693)] = 641755,
  [SMALL_STATE(15694)] = 641775,
  [SMALL_STATE(15695)] = 641795,
  [SMALL_STATE(15696)] = 641815,
  [SMALL_STATE(15697)] = 641835,
  [SMALL_STATE(15698)] = 641855,
  [SMALL_STATE(15699)] = 641875,
  [SMALL_STATE(15700)] = 641895,
  [SMALL_STATE(15701)] = 641913,
  [SMALL_STATE(15702)] = 641933,
  [SMALL_STATE(15703)] = 641953,
  [SMALL_STATE(15704)] = 641973,
  [SMALL_STATE(15705)] = 641993,
  [SMALL_STATE(15706)] = 642013,
  [SMALL_STATE(15707)] = 642031,
  [SMALL_STATE(15708)] = 642051,
  [SMALL_STATE(15709)] = 642071,
  [SMALL_STATE(15710)] = 642091,
  [SMALL_STATE(15711)] = 642111,
  [SMALL_STATE(15712)] = 642131,
  [SMALL_STATE(15713)] = 642151,
  [SMALL_STATE(15714)] = 642167,
  [SMALL_STATE(15715)] = 642187,
  [SMALL_STATE(15716)] = 642207,
  [SMALL_STATE(15717)] = 642225,
  [SMALL_STATE(15718)] = 642245,
  [SMALL_STATE(15719)] = 642265,
  [SMALL_STATE(15720)] = 642281,
  [SMALL_STATE(15721)] = 642301,
  [SMALL_STATE(15722)] = 642321,
  [SMALL_STATE(15723)] = 642341,
  [SMALL_STATE(15724)] = 642359,
  [SMALL_STATE(15725)] = 642379,
  [SMALL_STATE(15726)] = 642397,
  [SMALL_STATE(15727)] = 642417,
  [SMALL_STATE(15728)] = 642437,
  [SMALL_STATE(15729)] = 642457,
  [SMALL_STATE(15730)] = 642477,
  [SMALL_STATE(15731)] = 642497,
  [SMALL_STATE(15732)] = 642517,
  [SMALL_STATE(15733)] = 642537,
  [SMALL_STATE(15734)] = 642557,
  [SMALL_STATE(15735)] = 642577,
  [SMALL_STATE(15736)] = 642597,
  [SMALL_STATE(15737)] = 642617,
  [SMALL_STATE(15738)] = 642637,
  [SMALL_STATE(15739)] = 642657,
  [SMALL_STATE(15740)] = 642677,
  [SMALL_STATE(15741)] = 642697,
  [SMALL_STATE(15742)] = 642717,
  [SMALL_STATE(15743)] = 642737,
  [SMALL_STATE(15744)] = 642757,
  [SMALL_STATE(15745)] = 642777,
  [SMALL_STATE(15746)] = 642797,
  [SMALL_STATE(15747)] = 642817,
  [SMALL_STATE(15748)] = 642833,
  [SMALL_STATE(15749)] = 642853,
  [SMALL_STATE(15750)] = 642873,
  [SMALL_STATE(15751)] = 642891,
  [SMALL_STATE(15752)] = 642911,
  [SMALL_STATE(15753)] = 642931,
  [SMALL_STATE(15754)] = 642951,
  [SMALL_STATE(15755)] = 642971,
  [SMALL_STATE(15756)] = 642991,
  [SMALL_STATE(15757)] = 643011,
  [SMALL_STATE(15758)] = 643031,
  [SMALL_STATE(15759)] = 643051,
  [SMALL_STATE(15760)] = 643071,
  [SMALL_STATE(15761)] = 643091,
  [SMALL_STATE(15762)] = 643109,
  [SMALL_STATE(15763)] = 643129,
  [SMALL_STATE(15764)] = 643149,
  [SMALL_STATE(15765)] = 643169,
  [SMALL_STATE(15766)] = 643189,
  [SMALL_STATE(15767)] = 643207,
  [SMALL_STATE(15768)] = 643227,
  [SMALL_STATE(15769)] = 643245,
  [SMALL_STATE(15770)] = 643265,
  [SMALL_STATE(15771)] = 643285,
  [SMALL_STATE(15772)] = 643305,
  [SMALL_STATE(15773)] = 643325,
  [SMALL_STATE(15774)] = 643345,
  [SMALL_STATE(15775)] = 643365,
  [SMALL_STATE(15776)] = 643385,
  [SMALL_STATE(15777)] = 643403,
  [SMALL_STATE(15778)] = 643423,
  [SMALL_STATE(15779)] = 643443,
  [SMALL_STATE(15780)] = 643463,
  [SMALL_STATE(15781)] = 643483,
  [SMALL_STATE(15782)] = 643503,
  [SMALL_STATE(15783)] = 643521,
  [SMALL_STATE(15784)] = 643541,
  [SMALL_STATE(15785)] = 643561,
  [SMALL_STATE(15786)] = 643581,
  [SMALL_STATE(15787)] = 643601,
  [SMALL_STATE(15788)] = 643621,
  [SMALL_STATE(15789)] = 643641,
  [SMALL_STATE(15790)] = 643661,
  [SMALL_STATE(15791)] = 643681,
  [SMALL_STATE(15792)] = 643701,
  [SMALL_STATE(15793)] = 643721,
  [SMALL_STATE(15794)] = 643741,
  [SMALL_STATE(15795)] = 643759,
  [SMALL_STATE(15796)] = 643779,
  [SMALL_STATE(15797)] = 643799,
  [SMALL_STATE(15798)] = 643819,
  [SMALL_STATE(15799)] = 643839,
  [SMALL_STATE(15800)] = 643859,
  [SMALL_STATE(15801)] = 643879,
  [SMALL_STATE(15802)] = 643899,
  [SMALL_STATE(15803)] = 643917,
  [SMALL_STATE(15804)] = 643937,
  [SMALL_STATE(15805)] = 643957,
  [SMALL_STATE(15806)] = 643977,
  [SMALL_STATE(15807)] = 643993,
  [SMALL_STATE(15808)] = 644013,
  [SMALL_STATE(15809)] = 644033,
  [SMALL_STATE(15810)] = 644053,
  [SMALL_STATE(15811)] = 644073,
  [SMALL_STATE(15812)] = 644093,
  [SMALL_STATE(15813)] = 644113,
  [SMALL_STATE(15814)] = 644133,
  [SMALL_STATE(15815)] = 644153,
  [SMALL_STATE(15816)] = 644173,
  [SMALL_STATE(15817)] = 644193,
  [SMALL_STATE(15818)] = 644213,
  [SMALL_STATE(15819)] = 644233,
  [SMALL_STATE(15820)] = 644253,
  [SMALL_STATE(15821)] = 644273,
  [SMALL_STATE(15822)] = 644293,
  [SMALL_STATE(15823)] = 644313,
  [SMALL_STATE(15824)] = 644333,
  [SMALL_STATE(15825)] = 644353,
  [SMALL_STATE(15826)] = 644373,
  [SMALL_STATE(15827)] = 644393,
  [SMALL_STATE(15828)] = 644413,
  [SMALL_STATE(15829)] = 644433,
  [SMALL_STATE(15830)] = 644453,
  [SMALL_STATE(15831)] = 644473,
  [SMALL_STATE(15832)] = 644493,
  [SMALL_STATE(15833)] = 644511,
  [SMALL_STATE(15834)] = 644531,
  [SMALL_STATE(15835)] = 644551,
  [SMALL_STATE(15836)] = 644571,
  [SMALL_STATE(15837)] = 644591,
  [SMALL_STATE(15838)] = 644611,
  [SMALL_STATE(15839)] = 644631,
  [SMALL_STATE(15840)] = 644649,
  [SMALL_STATE(15841)] = 644669,
  [SMALL_STATE(15842)] = 644689,
  [SMALL_STATE(15843)] = 644709,
  [SMALL_STATE(15844)] = 644729,
  [SMALL_STATE(15845)] = 644749,
  [SMALL_STATE(15846)] = 644769,
  [SMALL_STATE(15847)] = 644789,
  [SMALL_STATE(15848)] = 644809,
  [SMALL_STATE(15849)] = 644829,
  [SMALL_STATE(15850)] = 644849,
  [SMALL_STATE(15851)] = 644864,
  [SMALL_STATE(15852)] = 644881,
  [SMALL_STATE(15853)] = 644896,
  [SMALL_STATE(15854)] = 644913,
  [SMALL_STATE(15855)] = 644928,
  [SMALL_STATE(15856)] = 644943,
  [SMALL_STATE(15857)] = 644960,
  [SMALL_STATE(15858)] = 644977,
  [SMALL_STATE(15859)] = 644992,
  [SMALL_STATE(15860)] = 645007,
  [SMALL_STATE(15861)] = 645022,
  [SMALL_STATE(15862)] = 645037,
  [SMALL_STATE(15863)] = 645052,
  [SMALL_STATE(15864)] = 645067,
  [SMALL_STATE(15865)] = 645082,
  [SMALL_STATE(15866)] = 645097,
  [SMALL_STATE(15867)] = 645112,
  [SMALL_STATE(15868)] = 645127,
  [SMALL_STATE(15869)] = 645142,
  [SMALL_STATE(15870)] = 645157,
  [SMALL_STATE(15871)] = 645172,
  [SMALL_STATE(15872)] = 645187,
  [SMALL_STATE(15873)] = 645202,
  [SMALL_STATE(15874)] = 645217,
  [SMALL_STATE(15875)] = 645232,
  [SMALL_STATE(15876)] = 645247,
  [SMALL_STATE(15877)] = 645262,
  [SMALL_STATE(15878)] = 645277,
  [SMALL_STATE(15879)] = 645292,
  [SMALL_STATE(15880)] = 645307,
  [SMALL_STATE(15881)] = 645322,
  [SMALL_STATE(15882)] = 645337,
  [SMALL_STATE(15883)] = 645352,
  [SMALL_STATE(15884)] = 645367,
  [SMALL_STATE(15885)] = 645382,
  [SMALL_STATE(15886)] = 645397,
  [SMALL_STATE(15887)] = 645412,
  [SMALL_STATE(15888)] = 645427,
  [SMALL_STATE(15889)] = 645442,
  [SMALL_STATE(15890)] = 645457,
  [SMALL_STATE(15891)] = 645474,
  [SMALL_STATE(15892)] = 645489,
  [SMALL_STATE(15893)] = 645504,
  [SMALL_STATE(15894)] = 645521,
  [SMALL_STATE(15895)] = 645536,
  [SMALL_STATE(15896)] = 645553,
  [SMALL_STATE(15897)] = 645570,
  [SMALL_STATE(15898)] = 645585,
  [SMALL_STATE(15899)] = 645600,
  [SMALL_STATE(15900)] = 645617,
  [SMALL_STATE(15901)] = 645632,
  [SMALL_STATE(15902)] = 645647,
  [SMALL_STATE(15903)] = 645664,
  [SMALL_STATE(15904)] = 645679,
  [SMALL_STATE(15905)] = 645694,
  [SMALL_STATE(15906)] = 645709,
  [SMALL_STATE(15907)] = 645724,
  [SMALL_STATE(15908)] = 645739,
  [SMALL_STATE(15909)] = 645754,
  [SMALL_STATE(15910)] = 645769,
  [SMALL_STATE(15911)] = 645784,
  [SMALL_STATE(15912)] = 645799,
  [SMALL_STATE(15913)] = 645814,
  [SMALL_STATE(15914)] = 645831,
  [SMALL_STATE(15915)] = 645846,
  [SMALL_STATE(15916)] = 645861,
  [SMALL_STATE(15917)] = 645876,
  [SMALL_STATE(15918)] = 645891,
  [SMALL_STATE(15919)] = 645906,
  [SMALL_STATE(15920)] = 645923,
  [SMALL_STATE(15921)] = 645938,
  [SMALL_STATE(15922)] = 645953,
  [SMALL_STATE(15923)] = 645968,
  [SMALL_STATE(15924)] = 645983,
  [SMALL_STATE(15925)] = 645998,
  [SMALL_STATE(15926)] = 646015,
  [SMALL_STATE(15927)] = 646030,
  [SMALL_STATE(15928)] = 646045,
  [SMALL_STATE(15929)] = 646060,
  [SMALL_STATE(15930)] = 646075,
  [SMALL_STATE(15931)] = 646090,
  [SMALL_STATE(15932)] = 646105,
  [SMALL_STATE(15933)] = 646122,
  [SMALL_STATE(15934)] = 646137,
  [SMALL_STATE(15935)] = 646152,
  [SMALL_STATE(15936)] = 646167,
  [SMALL_STATE(15937)] = 646182,
  [SMALL_STATE(15938)] = 646197,
  [SMALL_STATE(15939)] = 646214,
  [SMALL_STATE(15940)] = 646229,
  [SMALL_STATE(15941)] = 646244,
  [SMALL_STATE(15942)] = 646259,
  [SMALL_STATE(15943)] = 646276,
  [SMALL_STATE(15944)] = 646291,
  [SMALL_STATE(15945)] = 646308,
  [SMALL_STATE(15946)] = 646325,
  [SMALL_STATE(15947)] = 646340,
  [SMALL_STATE(15948)] = 646355,
  [SMALL_STATE(15949)] = 646370,
  [SMALL_STATE(15950)] = 646385,
  [SMALL_STATE(15951)] = 646400,
  [SMALL_STATE(15952)] = 646415,
  [SMALL_STATE(15953)] = 646432,
  [SMALL_STATE(15954)] = 646447,
  [SMALL_STATE(15955)] = 646462,
  [SMALL_STATE(15956)] = 646477,
  [SMALL_STATE(15957)] = 646492,
  [SMALL_STATE(15958)] = 646507,
  [SMALL_STATE(15959)] = 646524,
  [SMALL_STATE(15960)] = 646539,
  [SMALL_STATE(15961)] = 646554,
  [SMALL_STATE(15962)] = 646569,
  [SMALL_STATE(15963)] = 646584,
  [SMALL_STATE(15964)] = 646601,
  [SMALL_STATE(15965)] = 646616,
  [SMALL_STATE(15966)] = 646633,
  [SMALL_STATE(15967)] = 646650,
  [SMALL_STATE(15968)] = 646665,
  [SMALL_STATE(15969)] = 646680,
  [SMALL_STATE(15970)] = 646695,
  [SMALL_STATE(15971)] = 646712,
  [SMALL_STATE(15972)] = 646727,
  [SMALL_STATE(15973)] = 646742,
  [SMALL_STATE(15974)] = 646759,
  [SMALL_STATE(15975)] = 646774,
  [SMALL_STATE(15976)] = 646789,
  [SMALL_STATE(15977)] = 646804,
  [SMALL_STATE(15978)] = 646819,
  [SMALL_STATE(15979)] = 646836,
  [SMALL_STATE(15980)] = 646853,
  [SMALL_STATE(15981)] = 646868,
  [SMALL_STATE(15982)] = 646885,
  [SMALL_STATE(15983)] = 646902,
  [SMALL_STATE(15984)] = 646917,
  [SMALL_STATE(15985)] = 646932,
  [SMALL_STATE(15986)] = 646947,
  [SMALL_STATE(15987)] = 646964,
  [SMALL_STATE(15988)] = 646979,
  [SMALL_STATE(15989)] = 646994,
  [SMALL_STATE(15990)] = 647009,
  [SMALL_STATE(15991)] = 647024,
  [SMALL_STATE(15992)] = 647041,
  [SMALL_STATE(15993)] = 647056,
  [SMALL_STATE(15994)] = 647071,
  [SMALL_STATE(15995)] = 647086,
  [SMALL_STATE(15996)] = 647103,
  [SMALL_STATE(15997)] = 647118,
  [SMALL_STATE(15998)] = 647133,
  [SMALL_STATE(15999)] = 647148,
  [SMALL_STATE(16000)] = 647163,
  [SMALL_STATE(16001)] = 647178,
  [SMALL_STATE(16002)] = 647193,
  [SMALL_STATE(16003)] = 647208,
  [SMALL_STATE(16004)] = 647223,
  [SMALL_STATE(16005)] = 647238,
  [SMALL_STATE(16006)] = 647253,
  [SMALL_STATE(16007)] = 647270,
  [SMALL_STATE(16008)] = 647285,
  [SMALL_STATE(16009)] = 647300,
  [SMALL_STATE(16010)] = 647315,
  [SMALL_STATE(16011)] = 647330,
  [SMALL_STATE(16012)] = 647345,
  [SMALL_STATE(16013)] = 647360,
  [SMALL_STATE(16014)] = 647375,
  [SMALL_STATE(16015)] = 647392,
  [SMALL_STATE(16016)] = 647407,
  [SMALL_STATE(16017)] = 647422,
  [SMALL_STATE(16018)] = 647437,
  [SMALL_STATE(16019)] = 647454,
  [SMALL_STATE(16020)] = 647469,
  [SMALL_STATE(16021)] = 647484,
  [SMALL_STATE(16022)] = 647499,
  [SMALL_STATE(16023)] = 647516,
  [SMALL_STATE(16024)] = 647531,
  [SMALL_STATE(16025)] = 647546,
  [SMALL_STATE(16026)] = 647561,
  [SMALL_STATE(16027)] = 647578,
  [SMALL_STATE(16028)] = 647593,
  [SMALL_STATE(16029)] = 647608,
  [SMALL_STATE(16030)] = 647625,
  [SMALL_STATE(16031)] = 647640,
  [SMALL_STATE(16032)] = 647657,
  [SMALL_STATE(16033)] = 647672,
  [SMALL_STATE(16034)] = 647687,
  [SMALL_STATE(16035)] = 647702,
  [SMALL_STATE(16036)] = 647717,
  [SMALL_STATE(16037)] = 647732,
  [SMALL_STATE(16038)] = 647749,
  [SMALL_STATE(16039)] = 647764,
  [SMALL_STATE(16040)] = 647779,
  [SMALL_STATE(16041)] = 647794,
  [SMALL_STATE(16042)] = 647811,
  [SMALL_STATE(16043)] = 647826,
  [SMALL_STATE(16044)] = 647841,
  [SMALL_STATE(16045)] = 647856,
  [SMALL_STATE(16046)] = 647871,
  [SMALL_STATE(16047)] = 647886,
  [SMALL_STATE(16048)] = 647901,
  [SMALL_STATE(16049)] = 647914,
  [SMALL_STATE(16050)] = 647929,
  [SMALL_STATE(16051)] = 647944,
  [SMALL_STATE(16052)] = 647959,
  [SMALL_STATE(16053)] = 647976,
  [SMALL_STATE(16054)] = 647991,
  [SMALL_STATE(16055)] = 648006,
  [SMALL_STATE(16056)] = 648021,
  [SMALL_STATE(16057)] = 648036,
  [SMALL_STATE(16058)] = 648051,
  [SMALL_STATE(16059)] = 648068,
  [SMALL_STATE(16060)] = 648083,
  [SMALL_STATE(16061)] = 648098,
  [SMALL_STATE(16062)] = 648113,
  [SMALL_STATE(16063)] = 648130,
  [SMALL_STATE(16064)] = 648147,
  [SMALL_STATE(16065)] = 648162,
  [SMALL_STATE(16066)] = 648177,
  [SMALL_STATE(16067)] = 648192,
  [SMALL_STATE(16068)] = 648207,
  [SMALL_STATE(16069)] = 648224,
  [SMALL_STATE(16070)] = 648239,
  [SMALL_STATE(16071)] = 648254,
  [SMALL_STATE(16072)] = 648269,
  [SMALL_STATE(16073)] = 648284,
  [SMALL_STATE(16074)] = 648299,
  [SMALL_STATE(16075)] = 648314,
  [SMALL_STATE(16076)] = 648331,
  [SMALL_STATE(16077)] = 648346,
  [SMALL_STATE(16078)] = 648361,
  [SMALL_STATE(16079)] = 648376,
  [SMALL_STATE(16080)] = 648391,
  [SMALL_STATE(16081)] = 648406,
  [SMALL_STATE(16082)] = 648423,
  [SMALL_STATE(16083)] = 648438,
  [SMALL_STATE(16084)] = 648453,
  [SMALL_STATE(16085)] = 648470,
  [SMALL_STATE(16086)] = 648485,
  [SMALL_STATE(16087)] = 648500,
  [SMALL_STATE(16088)] = 648515,
  [SMALL_STATE(16089)] = 648532,
  [SMALL_STATE(16090)] = 648547,
  [SMALL_STATE(16091)] = 648562,
  [SMALL_STATE(16092)] = 648577,
  [SMALL_STATE(16093)] = 648592,
  [SMALL_STATE(16094)] = 648609,
  [SMALL_STATE(16095)] = 648624,
  [SMALL_STATE(16096)] = 648639,
  [SMALL_STATE(16097)] = 648654,
  [SMALL_STATE(16098)] = 648669,
  [SMALL_STATE(16099)] = 648684,
  [SMALL_STATE(16100)] = 648699,
  [SMALL_STATE(16101)] = 648714,
  [SMALL_STATE(16102)] = 648729,
  [SMALL_STATE(16103)] = 648744,
  [SMALL_STATE(16104)] = 648761,
  [SMALL_STATE(16105)] = 648778,
  [SMALL_STATE(16106)] = 648795,
  [SMALL_STATE(16107)] = 648810,
  [SMALL_STATE(16108)] = 648825,
  [SMALL_STATE(16109)] = 648842,
  [SMALL_STATE(16110)] = 648857,
  [SMALL_STATE(16111)] = 648872,
  [SMALL_STATE(16112)] = 648889,
  [SMALL_STATE(16113)] = 648904,
  [SMALL_STATE(16114)] = 648919,
  [SMALL_STATE(16115)] = 648936,
  [SMALL_STATE(16116)] = 648951,
  [SMALL_STATE(16117)] = 648966,
  [SMALL_STATE(16118)] = 648981,
  [SMALL_STATE(16119)] = 648998,
  [SMALL_STATE(16120)] = 649013,
  [SMALL_STATE(16121)] = 649028,
  [SMALL_STATE(16122)] = 649043,
  [SMALL_STATE(16123)] = 649058,
  [SMALL_STATE(16124)] = 649073,
  [SMALL_STATE(16125)] = 649090,
  [SMALL_STATE(16126)] = 649105,
  [SMALL_STATE(16127)] = 649120,
  [SMALL_STATE(16128)] = 649135,
  [SMALL_STATE(16129)] = 649152,
  [SMALL_STATE(16130)] = 649167,
  [SMALL_STATE(16131)] = 649182,
  [SMALL_STATE(16132)] = 649197,
  [SMALL_STATE(16133)] = 649212,
  [SMALL_STATE(16134)] = 649229,
  [SMALL_STATE(16135)] = 649244,
  [SMALL_STATE(16136)] = 649259,
  [SMALL_STATE(16137)] = 649276,
  [SMALL_STATE(16138)] = 649291,
  [SMALL_STATE(16139)] = 649308,
  [SMALL_STATE(16140)] = 649323,
  [SMALL_STATE(16141)] = 649338,
  [SMALL_STATE(16142)] = 649353,
  [SMALL_STATE(16143)] = 649370,
  [SMALL_STATE(16144)] = 649385,
  [SMALL_STATE(16145)] = 649400,
  [SMALL_STATE(16146)] = 649415,
  [SMALL_STATE(16147)] = 649430,
  [SMALL_STATE(16148)] = 649445,
  [SMALL_STATE(16149)] = 649459,
  [SMALL_STATE(16150)] = 649473,
  [SMALL_STATE(16151)] = 649487,
  [SMALL_STATE(16152)] = 649501,
  [SMALL_STATE(16153)] = 649515,
  [SMALL_STATE(16154)] = 649529,
  [SMALL_STATE(16155)] = 649543,
  [SMALL_STATE(16156)] = 649557,
  [SMALL_STATE(16157)] = 649571,
  [SMALL_STATE(16158)] = 649585,
  [SMALL_STATE(16159)] = 649599,
  [SMALL_STATE(16160)] = 649613,
  [SMALL_STATE(16161)] = 649627,
  [SMALL_STATE(16162)] = 649641,
  [SMALL_STATE(16163)] = 649655,
  [SMALL_STATE(16164)] = 649669,
  [SMALL_STATE(16165)] = 649683,
  [SMALL_STATE(16166)] = 649697,
  [SMALL_STATE(16167)] = 649711,
  [SMALL_STATE(16168)] = 649725,
  [SMALL_STATE(16169)] = 649739,
  [SMALL_STATE(16170)] = 649753,
  [SMALL_STATE(16171)] = 649767,
  [SMALL_STATE(16172)] = 649781,
  [SMALL_STATE(16173)] = 649795,
  [SMALL_STATE(16174)] = 649809,
  [SMALL_STATE(16175)] = 649823,
  [SMALL_STATE(16176)] = 649837,
  [SMALL_STATE(16177)] = 649851,
  [SMALL_STATE(16178)] = 649865,
  [SMALL_STATE(16179)] = 649879,
  [SMALL_STATE(16180)] = 649893,
  [SMALL_STATE(16181)] = 649907,
  [SMALL_STATE(16182)] = 649921,
  [SMALL_STATE(16183)] = 649935,
  [SMALL_STATE(16184)] = 649949,
  [SMALL_STATE(16185)] = 649963,
  [SMALL_STATE(16186)] = 649977,
  [SMALL_STATE(16187)] = 649991,
  [SMALL_STATE(16188)] = 650005,
  [SMALL_STATE(16189)] = 650019,
  [SMALL_STATE(16190)] = 650033,
  [SMALL_STATE(16191)] = 650047,
  [SMALL_STATE(16192)] = 650061,
  [SMALL_STATE(16193)] = 650075,
  [SMALL_STATE(16194)] = 650089,
  [SMALL_STATE(16195)] = 650103,
  [SMALL_STATE(16196)] = 650117,
  [SMALL_STATE(16197)] = 650131,
  [SMALL_STATE(16198)] = 650145,
  [SMALL_STATE(16199)] = 650159,
  [SMALL_STATE(16200)] = 650173,
  [SMALL_STATE(16201)] = 650187,
  [SMALL_STATE(16202)] = 650201,
  [SMALL_STATE(16203)] = 650215,
  [SMALL_STATE(16204)] = 650229,
  [SMALL_STATE(16205)] = 650243,
  [SMALL_STATE(16206)] = 650257,
  [SMALL_STATE(16207)] = 650271,
  [SMALL_STATE(16208)] = 650285,
  [SMALL_STATE(16209)] = 650299,
  [SMALL_STATE(16210)] = 650313,
  [SMALL_STATE(16211)] = 650327,
  [SMALL_STATE(16212)] = 650341,
  [SMALL_STATE(16213)] = 650355,
  [SMALL_STATE(16214)] = 650369,
  [SMALL_STATE(16215)] = 650383,
  [SMALL_STATE(16216)] = 650397,
  [SMALL_STATE(16217)] = 650411,
  [SMALL_STATE(16218)] = 650425,
  [SMALL_STATE(16219)] = 650439,
  [SMALL_STATE(16220)] = 650453,
  [SMALL_STATE(16221)] = 650467,
  [SMALL_STATE(16222)] = 650481,
  [SMALL_STATE(16223)] = 650495,
  [SMALL_STATE(16224)] = 650509,
  [SMALL_STATE(16225)] = 650523,
  [SMALL_STATE(16226)] = 650537,
  [SMALL_STATE(16227)] = 650551,
  [SMALL_STATE(16228)] = 650565,
  [SMALL_STATE(16229)] = 650579,
  [SMALL_STATE(16230)] = 650593,
  [SMALL_STATE(16231)] = 650607,
  [SMALL_STATE(16232)] = 650621,
  [SMALL_STATE(16233)] = 650635,
  [SMALL_STATE(16234)] = 650649,
  [SMALL_STATE(16235)] = 650663,
  [SMALL_STATE(16236)] = 650677,
  [SMALL_STATE(16237)] = 650691,
  [SMALL_STATE(16238)] = 650705,
  [SMALL_STATE(16239)] = 650719,
  [SMALL_STATE(16240)] = 650733,
  [SMALL_STATE(16241)] = 650747,
  [SMALL_STATE(16242)] = 650761,
  [SMALL_STATE(16243)] = 650775,
  [SMALL_STATE(16244)] = 650789,
  [SMALL_STATE(16245)] = 650803,
  [SMALL_STATE(16246)] = 650817,
  [SMALL_STATE(16247)] = 650831,
  [SMALL_STATE(16248)] = 650845,
  [SMALL_STATE(16249)] = 650859,
  [SMALL_STATE(16250)] = 650873,
  [SMALL_STATE(16251)] = 650887,
  [SMALL_STATE(16252)] = 650901,
  [SMALL_STATE(16253)] = 650915,
  [SMALL_STATE(16254)] = 650929,
  [SMALL_STATE(16255)] = 650943,
  [SMALL_STATE(16256)] = 650957,
  [SMALL_STATE(16257)] = 650971,
  [SMALL_STATE(16258)] = 650985,
  [SMALL_STATE(16259)] = 650999,
  [SMALL_STATE(16260)] = 651013,
  [SMALL_STATE(16261)] = 651027,
  [SMALL_STATE(16262)] = 651041,
  [SMALL_STATE(16263)] = 651055,
  [SMALL_STATE(16264)] = 651069,
  [SMALL_STATE(16265)] = 651083,
  [SMALL_STATE(16266)] = 651097,
  [SMALL_STATE(16267)] = 651111,
  [SMALL_STATE(16268)] = 651125,
  [SMALL_STATE(16269)] = 651139,
  [SMALL_STATE(16270)] = 651153,
  [SMALL_STATE(16271)] = 651167,
  [SMALL_STATE(16272)] = 651181,
  [SMALL_STATE(16273)] = 651195,
  [SMALL_STATE(16274)] = 651209,
  [SMALL_STATE(16275)] = 651223,
  [SMALL_STATE(16276)] = 651237,
  [SMALL_STATE(16277)] = 651251,
  [SMALL_STATE(16278)] = 651265,
  [SMALL_STATE(16279)] = 651279,
  [SMALL_STATE(16280)] = 651293,
  [SMALL_STATE(16281)] = 651307,
  [SMALL_STATE(16282)] = 651321,
  [SMALL_STATE(16283)] = 651335,
  [SMALL_STATE(16284)] = 651349,
  [SMALL_STATE(16285)] = 651363,
  [SMALL_STATE(16286)] = 651377,
  [SMALL_STATE(16287)] = 651391,
  [SMALL_STATE(16288)] = 651405,
  [SMALL_STATE(16289)] = 651419,
  [SMALL_STATE(16290)] = 651433,
  [SMALL_STATE(16291)] = 651447,
  [SMALL_STATE(16292)] = 651461,
  [SMALL_STATE(16293)] = 651475,
  [SMALL_STATE(16294)] = 651489,
  [SMALL_STATE(16295)] = 651503,
  [SMALL_STATE(16296)] = 651517,
  [SMALL_STATE(16297)] = 651531,
  [SMALL_STATE(16298)] = 651545,
  [SMALL_STATE(16299)] = 651559,
  [SMALL_STATE(16300)] = 651573,
  [SMALL_STATE(16301)] = 651587,
  [SMALL_STATE(16302)] = 651601,
  [SMALL_STATE(16303)] = 651615,
  [SMALL_STATE(16304)] = 651629,
  [SMALL_STATE(16305)] = 651643,
  [SMALL_STATE(16306)] = 651657,
  [SMALL_STATE(16307)] = 651671,
  [SMALL_STATE(16308)] = 651685,
  [SMALL_STATE(16309)] = 651699,
  [SMALL_STATE(16310)] = 651713,
  [SMALL_STATE(16311)] = 651727,
  [SMALL_STATE(16312)] = 651741,
  [SMALL_STATE(16313)] = 651755,
  [SMALL_STATE(16314)] = 651769,
  [SMALL_STATE(16315)] = 651783,
  [SMALL_STATE(16316)] = 651797,
  [SMALL_STATE(16317)] = 651811,
  [SMALL_STATE(16318)] = 651825,
  [SMALL_STATE(16319)] = 651839,
  [SMALL_STATE(16320)] = 651853,
  [SMALL_STATE(16321)] = 651867,
  [SMALL_STATE(16322)] = 651881,
  [SMALL_STATE(16323)] = 651895,
  [SMALL_STATE(16324)] = 651909,
  [SMALL_STATE(16325)] = 651923,
  [SMALL_STATE(16326)] = 651937,
  [SMALL_STATE(16327)] = 651951,
  [SMALL_STATE(16328)] = 651965,
  [SMALL_STATE(16329)] = 651979,
  [SMALL_STATE(16330)] = 651993,
  [SMALL_STATE(16331)] = 652007,
  [SMALL_STATE(16332)] = 652021,
  [SMALL_STATE(16333)] = 652035,
  [SMALL_STATE(16334)] = 652049,
  [SMALL_STATE(16335)] = 652063,
  [SMALL_STATE(16336)] = 652077,
  [SMALL_STATE(16337)] = 652091,
  [SMALL_STATE(16338)] = 652105,
  [SMALL_STATE(16339)] = 652119,
  [SMALL_STATE(16340)] = 652133,
  [SMALL_STATE(16341)] = 652147,
  [SMALL_STATE(16342)] = 652161,
  [SMALL_STATE(16343)] = 652175,
  [SMALL_STATE(16344)] = 652189,
  [SMALL_STATE(16345)] = 652203,
  [SMALL_STATE(16346)] = 652217,
  [SMALL_STATE(16347)] = 652231,
  [SMALL_STATE(16348)] = 652245,
  [SMALL_STATE(16349)] = 652259,
  [SMALL_STATE(16350)] = 652273,
  [SMALL_STATE(16351)] = 652287,
  [SMALL_STATE(16352)] = 652301,
  [SMALL_STATE(16353)] = 652315,
  [SMALL_STATE(16354)] = 652329,
  [SMALL_STATE(16355)] = 652343,
  [SMALL_STATE(16356)] = 652357,
  [SMALL_STATE(16357)] = 652371,
  [SMALL_STATE(16358)] = 652385,
  [SMALL_STATE(16359)] = 652399,
  [SMALL_STATE(16360)] = 652413,
  [SMALL_STATE(16361)] = 652427,
  [SMALL_STATE(16362)] = 652441,
  [SMALL_STATE(16363)] = 652455,
  [SMALL_STATE(16364)] = 652469,
  [SMALL_STATE(16365)] = 652483,
  [SMALL_STATE(16366)] = 652497,
  [SMALL_STATE(16367)] = 652511,
  [SMALL_STATE(16368)] = 652525,
  [SMALL_STATE(16369)] = 652539,
  [SMALL_STATE(16370)] = 652553,
  [SMALL_STATE(16371)] = 652567,
  [SMALL_STATE(16372)] = 652581,
  [SMALL_STATE(16373)] = 652595,
  [SMALL_STATE(16374)] = 652609,
  [SMALL_STATE(16375)] = 652623,
  [SMALL_STATE(16376)] = 652637,
  [SMALL_STATE(16377)] = 652651,
  [SMALL_STATE(16378)] = 652665,
  [SMALL_STATE(16379)] = 652679,
  [SMALL_STATE(16380)] = 652693,
  [SMALL_STATE(16381)] = 652707,
  [SMALL_STATE(16382)] = 652721,
  [SMALL_STATE(16383)] = 652735,
  [SMALL_STATE(16384)] = 652749,
  [SMALL_STATE(16385)] = 652763,
  [SMALL_STATE(16386)] = 652777,
  [SMALL_STATE(16387)] = 652791,
  [SMALL_STATE(16388)] = 652805,
  [SMALL_STATE(16389)] = 652819,
  [SMALL_STATE(16390)] = 652833,
  [SMALL_STATE(16391)] = 652847,
  [SMALL_STATE(16392)] = 652861,
  [SMALL_STATE(16393)] = 652875,
  [SMALL_STATE(16394)] = 652889,
  [SMALL_STATE(16395)] = 652903,
  [SMALL_STATE(16396)] = 652917,
  [SMALL_STATE(16397)] = 652931,
  [SMALL_STATE(16398)] = 652945,
  [SMALL_STATE(16399)] = 652959,
  [SMALL_STATE(16400)] = 652973,
  [SMALL_STATE(16401)] = 652987,
  [SMALL_STATE(16402)] = 653001,
  [SMALL_STATE(16403)] = 653015,
  [SMALL_STATE(16404)] = 653029,
  [SMALL_STATE(16405)] = 653043,
  [SMALL_STATE(16406)] = 653057,
  [SMALL_STATE(16407)] = 653071,
  [SMALL_STATE(16408)] = 653085,
  [SMALL_STATE(16409)] = 653099,
  [SMALL_STATE(16410)] = 653113,
  [SMALL_STATE(16411)] = 653127,
  [SMALL_STATE(16412)] = 653141,
  [SMALL_STATE(16413)] = 653155,
  [SMALL_STATE(16414)] = 653169,
  [SMALL_STATE(16415)] = 653183,
  [SMALL_STATE(16416)] = 653197,
  [SMALL_STATE(16417)] = 653211,
  [SMALL_STATE(16418)] = 653225,
  [SMALL_STATE(16419)] = 653239,
  [SMALL_STATE(16420)] = 653253,
  [SMALL_STATE(16421)] = 653267,
  [SMALL_STATE(16422)] = 653281,
  [SMALL_STATE(16423)] = 653295,
  [SMALL_STATE(16424)] = 653309,
  [SMALL_STATE(16425)] = 653323,
  [SMALL_STATE(16426)] = 653337,
  [SMALL_STATE(16427)] = 653351,
  [SMALL_STATE(16428)] = 653365,
  [SMALL_STATE(16429)] = 653379,
  [SMALL_STATE(16430)] = 653393,
  [SMALL_STATE(16431)] = 653407,
  [SMALL_STATE(16432)] = 653421,
  [SMALL_STATE(16433)] = 653435,
  [SMALL_STATE(16434)] = 653449,
  [SMALL_STATE(16435)] = 653463,
  [SMALL_STATE(16436)] = 653477,
  [SMALL_STATE(16437)] = 653491,
  [SMALL_STATE(16438)] = 653505,
  [SMALL_STATE(16439)] = 653519,
  [SMALL_STATE(16440)] = 653533,
  [SMALL_STATE(16441)] = 653547,
  [SMALL_STATE(16442)] = 653561,
  [SMALL_STATE(16443)] = 653575,
  [SMALL_STATE(16444)] = 653589,
  [SMALL_STATE(16445)] = 653603,
  [SMALL_STATE(16446)] = 653617,
  [SMALL_STATE(16447)] = 653631,
  [SMALL_STATE(16448)] = 653645,
  [SMALL_STATE(16449)] = 653659,
  [SMALL_STATE(16450)] = 653673,
  [SMALL_STATE(16451)] = 653687,
  [SMALL_STATE(16452)] = 653701,
  [SMALL_STATE(16453)] = 653715,
  [SMALL_STATE(16454)] = 653729,
  [SMALL_STATE(16455)] = 653743,
  [SMALL_STATE(16456)] = 653757,
  [SMALL_STATE(16457)] = 653771,
  [SMALL_STATE(16458)] = 653785,
  [SMALL_STATE(16459)] = 653799,
  [SMALL_STATE(16460)] = 653813,
  [SMALL_STATE(16461)] = 653827,
  [SMALL_STATE(16462)] = 653841,
  [SMALL_STATE(16463)] = 653855,
  [SMALL_STATE(16464)] = 653869,
  [SMALL_STATE(16465)] = 653883,
  [SMALL_STATE(16466)] = 653897,
  [SMALL_STATE(16467)] = 653911,
  [SMALL_STATE(16468)] = 653925,
  [SMALL_STATE(16469)] = 653939,
  [SMALL_STATE(16470)] = 653953,
  [SMALL_STATE(16471)] = 653967,
  [SMALL_STATE(16472)] = 653981,
  [SMALL_STATE(16473)] = 653995,
  [SMALL_STATE(16474)] = 654009,
  [SMALL_STATE(16475)] = 654023,
  [SMALL_STATE(16476)] = 654037,
  [SMALL_STATE(16477)] = 654051,
  [SMALL_STATE(16478)] = 654065,
  [SMALL_STATE(16479)] = 654079,
  [SMALL_STATE(16480)] = 654093,
  [SMALL_STATE(16481)] = 654107,
  [SMALL_STATE(16482)] = 654121,
  [SMALL_STATE(16483)] = 654135,
  [SMALL_STATE(16484)] = 654149,
  [SMALL_STATE(16485)] = 654163,
  [SMALL_STATE(16486)] = 654177,
  [SMALL_STATE(16487)] = 654191,
  [SMALL_STATE(16488)] = 654205,
  [SMALL_STATE(16489)] = 654219,
  [SMALL_STATE(16490)] = 654233,
  [SMALL_STATE(16491)] = 654247,
  [SMALL_STATE(16492)] = 654261,
  [SMALL_STATE(16493)] = 654275,
  [SMALL_STATE(16494)] = 654289,
  [SMALL_STATE(16495)] = 654303,
  [SMALL_STATE(16496)] = 654317,
  [SMALL_STATE(16497)] = 654331,
  [SMALL_STATE(16498)] = 654345,
  [SMALL_STATE(16499)] = 654359,
  [SMALL_STATE(16500)] = 654373,
  [SMALL_STATE(16501)] = 654387,
  [SMALL_STATE(16502)] = 654401,
  [SMALL_STATE(16503)] = 654415,
  [SMALL_STATE(16504)] = 654429,
  [SMALL_STATE(16505)] = 654443,
  [SMALL_STATE(16506)] = 654457,
  [SMALL_STATE(16507)] = 654471,
  [SMALL_STATE(16508)] = 654485,
  [SMALL_STATE(16509)] = 654499,
  [SMALL_STATE(16510)] = 654513,
  [SMALL_STATE(16511)] = 654527,
  [SMALL_STATE(16512)] = 654541,
  [SMALL_STATE(16513)] = 654555,
  [SMALL_STATE(16514)] = 654569,
  [SMALL_STATE(16515)] = 654583,
  [SMALL_STATE(16516)] = 654597,
  [SMALL_STATE(16517)] = 654611,
  [SMALL_STATE(16518)] = 654625,
  [SMALL_STATE(16519)] = 654639,
  [SMALL_STATE(16520)] = 654653,
  [SMALL_STATE(16521)] = 654667,
  [SMALL_STATE(16522)] = 654681,
  [SMALL_STATE(16523)] = 654695,
  [SMALL_STATE(16524)] = 654709,
  [SMALL_STATE(16525)] = 654723,
  [SMALL_STATE(16526)] = 654737,
  [SMALL_STATE(16527)] = 654751,
  [SMALL_STATE(16528)] = 654765,
  [SMALL_STATE(16529)] = 654779,
  [SMALL_STATE(16530)] = 654793,
  [SMALL_STATE(16531)] = 654807,
  [SMALL_STATE(16532)] = 654821,
  [SMALL_STATE(16533)] = 654835,
  [SMALL_STATE(16534)] = 654849,
  [SMALL_STATE(16535)] = 654863,
  [SMALL_STATE(16536)] = 654877,
  [SMALL_STATE(16537)] = 654891,
  [SMALL_STATE(16538)] = 654905,
  [SMALL_STATE(16539)] = 654919,
  [SMALL_STATE(16540)] = 654933,
  [SMALL_STATE(16541)] = 654947,
  [SMALL_STATE(16542)] = 654961,
  [SMALL_STATE(16543)] = 654975,
  [SMALL_STATE(16544)] = 654989,
  [SMALL_STATE(16545)] = 655003,
  [SMALL_STATE(16546)] = 655017,
  [SMALL_STATE(16547)] = 655031,
  [SMALL_STATE(16548)] = 655045,
  [SMALL_STATE(16549)] = 655059,
  [SMALL_STATE(16550)] = 655073,
  [SMALL_STATE(16551)] = 655087,
  [SMALL_STATE(16552)] = 655101,
  [SMALL_STATE(16553)] = 655115,
  [SMALL_STATE(16554)] = 655129,
  [SMALL_STATE(16555)] = 655143,
  [SMALL_STATE(16556)] = 655157,
  [SMALL_STATE(16557)] = 655171,
  [SMALL_STATE(16558)] = 655185,
  [SMALL_STATE(16559)] = 655199,
  [SMALL_STATE(16560)] = 655213,
  [SMALL_STATE(16561)] = 655227,
  [SMALL_STATE(16562)] = 655241,
  [SMALL_STATE(16563)] = 655255,
  [SMALL_STATE(16564)] = 655269,
  [SMALL_STATE(16565)] = 655283,
  [SMALL_STATE(16566)] = 655297,
  [SMALL_STATE(16567)] = 655311,
  [SMALL_STATE(16568)] = 655325,
  [SMALL_STATE(16569)] = 655339,
  [SMALL_STATE(16570)] = 655353,
  [SMALL_STATE(16571)] = 655367,
  [SMALL_STATE(16572)] = 655381,
  [SMALL_STATE(16573)] = 655395,
  [SMALL_STATE(16574)] = 655409,
  [SMALL_STATE(16575)] = 655423,
  [SMALL_STATE(16576)] = 655437,
  [SMALL_STATE(16577)] = 655451,
  [SMALL_STATE(16578)] = 655465,
  [SMALL_STATE(16579)] = 655479,
  [SMALL_STATE(16580)] = 655493,
  [SMALL_STATE(16581)] = 655507,
  [SMALL_STATE(16582)] = 655521,
  [SMALL_STATE(16583)] = 655535,
  [SMALL_STATE(16584)] = 655549,
  [SMALL_STATE(16585)] = 655563,
  [SMALL_STATE(16586)] = 655577,
  [SMALL_STATE(16587)] = 655591,
  [SMALL_STATE(16588)] = 655605,
  [SMALL_STATE(16589)] = 655619,
  [SMALL_STATE(16590)] = 655633,
  [SMALL_STATE(16591)] = 655647,
  [SMALL_STATE(16592)] = 655661,
  [SMALL_STATE(16593)] = 655675,
  [SMALL_STATE(16594)] = 655689,
  [SMALL_STATE(16595)] = 655703,
  [SMALL_STATE(16596)] = 655717,
  [SMALL_STATE(16597)] = 655731,
  [SMALL_STATE(16598)] = 655745,
  [SMALL_STATE(16599)] = 655759,
  [SMALL_STATE(16600)] = 655773,
  [SMALL_STATE(16601)] = 655787,
  [SMALL_STATE(16602)] = 655801,
  [SMALL_STATE(16603)] = 655815,
  [SMALL_STATE(16604)] = 655829,
  [SMALL_STATE(16605)] = 655843,
  [SMALL_STATE(16606)] = 655857,
  [SMALL_STATE(16607)] = 655871,
  [SMALL_STATE(16608)] = 655885,
  [SMALL_STATE(16609)] = 655899,
  [SMALL_STATE(16610)] = 655913,
  [SMALL_STATE(16611)] = 655927,
  [SMALL_STATE(16612)] = 655941,
  [SMALL_STATE(16613)] = 655955,
  [SMALL_STATE(16614)] = 655969,
  [SMALL_STATE(16615)] = 655983,
  [SMALL_STATE(16616)] = 655997,
  [SMALL_STATE(16617)] = 656011,
  [SMALL_STATE(16618)] = 656025,
  [SMALL_STATE(16619)] = 656039,
  [SMALL_STATE(16620)] = 656053,
  [SMALL_STATE(16621)] = 656067,
  [SMALL_STATE(16622)] = 656081,
  [SMALL_STATE(16623)] = 656095,
  [SMALL_STATE(16624)] = 656109,
  [SMALL_STATE(16625)] = 656123,
  [SMALL_STATE(16626)] = 656137,
  [SMALL_STATE(16627)] = 656151,
  [SMALL_STATE(16628)] = 656165,
  [SMALL_STATE(16629)] = 656179,
  [SMALL_STATE(16630)] = 656193,
  [SMALL_STATE(16631)] = 656207,
  [SMALL_STATE(16632)] = 656221,
  [SMALL_STATE(16633)] = 656235,
  [SMALL_STATE(16634)] = 656249,
  [SMALL_STATE(16635)] = 656263,
  [SMALL_STATE(16636)] = 656277,
  [SMALL_STATE(16637)] = 656291,
  [SMALL_STATE(16638)] = 656305,
  [SMALL_STATE(16639)] = 656319,
  [SMALL_STATE(16640)] = 656333,
  [SMALL_STATE(16641)] = 656347,
  [SMALL_STATE(16642)] = 656361,
  [SMALL_STATE(16643)] = 656375,
  [SMALL_STATE(16644)] = 656389,
  [SMALL_STATE(16645)] = 656403,
  [SMALL_STATE(16646)] = 656417,
  [SMALL_STATE(16647)] = 656431,
  [SMALL_STATE(16648)] = 656445,
  [SMALL_STATE(16649)] = 656459,
  [SMALL_STATE(16650)] = 656473,
  [SMALL_STATE(16651)] = 656487,
  [SMALL_STATE(16652)] = 656501,
  [SMALL_STATE(16653)] = 656515,
  [SMALL_STATE(16654)] = 656529,
  [SMALL_STATE(16655)] = 656543,
  [SMALL_STATE(16656)] = 656557,
  [SMALL_STATE(16657)] = 656571,
  [SMALL_STATE(16658)] = 656585,
  [SMALL_STATE(16659)] = 656599,
  [SMALL_STATE(16660)] = 656613,
  [SMALL_STATE(16661)] = 656627,
  [SMALL_STATE(16662)] = 656641,
  [SMALL_STATE(16663)] = 656655,
  [SMALL_STATE(16664)] = 656669,
  [SMALL_STATE(16665)] = 656683,
  [SMALL_STATE(16666)] = 656697,
  [SMALL_STATE(16667)] = 656711,
  [SMALL_STATE(16668)] = 656725,
  [SMALL_STATE(16669)] = 656739,
  [SMALL_STATE(16670)] = 656753,
  [SMALL_STATE(16671)] = 656767,
  [SMALL_STATE(16672)] = 656781,
  [SMALL_STATE(16673)] = 656795,
  [SMALL_STATE(16674)] = 656809,
  [SMALL_STATE(16675)] = 656823,
  [SMALL_STATE(16676)] = 656837,
  [SMALL_STATE(16677)] = 656851,
  [SMALL_STATE(16678)] = 656865,
  [SMALL_STATE(16679)] = 656879,
  [SMALL_STATE(16680)] = 656893,
  [SMALL_STATE(16681)] = 656907,
  [SMALL_STATE(16682)] = 656921,
  [SMALL_STATE(16683)] = 656935,
  [SMALL_STATE(16684)] = 656949,
  [SMALL_STATE(16685)] = 656963,
  [SMALL_STATE(16686)] = 656977,
  [SMALL_STATE(16687)] = 656991,
  [SMALL_STATE(16688)] = 657005,
  [SMALL_STATE(16689)] = 657019,
  [SMALL_STATE(16690)] = 657033,
  [SMALL_STATE(16691)] = 657047,
  [SMALL_STATE(16692)] = 657061,
  [SMALL_STATE(16693)] = 657075,
  [SMALL_STATE(16694)] = 657089,
  [SMALL_STATE(16695)] = 657103,
  [SMALL_STATE(16696)] = 657117,
  [SMALL_STATE(16697)] = 657131,
  [SMALL_STATE(16698)] = 657145,
  [SMALL_STATE(16699)] = 657159,
  [SMALL_STATE(16700)] = 657173,
  [SMALL_STATE(16701)] = 657187,
  [SMALL_STATE(16702)] = 657201,
  [SMALL_STATE(16703)] = 657215,
  [SMALL_STATE(16704)] = 657229,
  [SMALL_STATE(16705)] = 657243,
  [SMALL_STATE(16706)] = 657257,
  [SMALL_STATE(16707)] = 657271,
  [SMALL_STATE(16708)] = 657285,
  [SMALL_STATE(16709)] = 657299,
  [SMALL_STATE(16710)] = 657313,
  [SMALL_STATE(16711)] = 657327,
  [SMALL_STATE(16712)] = 657341,
  [SMALL_STATE(16713)] = 657355,
  [SMALL_STATE(16714)] = 657369,
  [SMALL_STATE(16715)] = 657383,
  [SMALL_STATE(16716)] = 657397,
  [SMALL_STATE(16717)] = 657411,
  [SMALL_STATE(16718)] = 657425,
  [SMALL_STATE(16719)] = 657439,
  [SMALL_STATE(16720)] = 657453,
  [SMALL_STATE(16721)] = 657467,
  [SMALL_STATE(16722)] = 657481,
  [SMALL_STATE(16723)] = 657495,
  [SMALL_STATE(16724)] = 657509,
  [SMALL_STATE(16725)] = 657523,
  [SMALL_STATE(16726)] = 657537,
  [SMALL_STATE(16727)] = 657551,
  [SMALL_STATE(16728)] = 657565,
  [SMALL_STATE(16729)] = 657579,
  [SMALL_STATE(16730)] = 657593,
  [SMALL_STATE(16731)] = 657607,
  [SMALL_STATE(16732)] = 657621,
  [SMALL_STATE(16733)] = 657635,
  [SMALL_STATE(16734)] = 657649,
  [SMALL_STATE(16735)] = 657663,
  [SMALL_STATE(16736)] = 657677,
  [SMALL_STATE(16737)] = 657691,
  [SMALL_STATE(16738)] = 657705,
  [SMALL_STATE(16739)] = 657719,
  [SMALL_STATE(16740)] = 657733,
  [SMALL_STATE(16741)] = 657747,
  [SMALL_STATE(16742)] = 657761,
  [SMALL_STATE(16743)] = 657775,
  [SMALL_STATE(16744)] = 657789,
  [SMALL_STATE(16745)] = 657803,
  [SMALL_STATE(16746)] = 657817,
  [SMALL_STATE(16747)] = 657831,
  [SMALL_STATE(16748)] = 657845,
  [SMALL_STATE(16749)] = 657859,
  [SMALL_STATE(16750)] = 657873,
  [SMALL_STATE(16751)] = 657887,
  [SMALL_STATE(16752)] = 657901,
  [SMALL_STATE(16753)] = 657915,
  [SMALL_STATE(16754)] = 657929,
  [SMALL_STATE(16755)] = 657943,
  [SMALL_STATE(16756)] = 657957,
  [SMALL_STATE(16757)] = 657971,
  [SMALL_STATE(16758)] = 657985,
  [SMALL_STATE(16759)] = 657999,
  [SMALL_STATE(16760)] = 658013,
  [SMALL_STATE(16761)] = 658027,
  [SMALL_STATE(16762)] = 658041,
  [SMALL_STATE(16763)] = 658055,
  [SMALL_STATE(16764)] = 658069,
  [SMALL_STATE(16765)] = 658083,
  [SMALL_STATE(16766)] = 658097,
  [SMALL_STATE(16767)] = 658111,
  [SMALL_STATE(16768)] = 658125,
  [SMALL_STATE(16769)] = 658139,
  [SMALL_STATE(16770)] = 658153,
  [SMALL_STATE(16771)] = 658167,
  [SMALL_STATE(16772)] = 658181,
  [SMALL_STATE(16773)] = 658195,
  [SMALL_STATE(16774)] = 658209,
  [SMALL_STATE(16775)] = 658223,
  [SMALL_STATE(16776)] = 658237,
  [SMALL_STATE(16777)] = 658251,
  [SMALL_STATE(16778)] = 658265,
  [SMALL_STATE(16779)] = 658279,
  [SMALL_STATE(16780)] = 658293,
  [SMALL_STATE(16781)] = 658307,
  [SMALL_STATE(16782)] = 658321,
  [SMALL_STATE(16783)] = 658335,
  [SMALL_STATE(16784)] = 658349,
  [SMALL_STATE(16785)] = 658363,
  [SMALL_STATE(16786)] = 658377,
  [SMALL_STATE(16787)] = 658391,
  [SMALL_STATE(16788)] = 658405,
  [SMALL_STATE(16789)] = 658419,
  [SMALL_STATE(16790)] = 658433,
  [SMALL_STATE(16791)] = 658447,
  [SMALL_STATE(16792)] = 658461,
  [SMALL_STATE(16793)] = 658475,
  [SMALL_STATE(16794)] = 658489,
  [SMALL_STATE(16795)] = 658503,
  [SMALL_STATE(16796)] = 658517,
  [SMALL_STATE(16797)] = 658531,
  [SMALL_STATE(16798)] = 658545,
  [SMALL_STATE(16799)] = 658559,
  [SMALL_STATE(16800)] = 658573,
  [SMALL_STATE(16801)] = 658587,
  [SMALL_STATE(16802)] = 658601,
  [SMALL_STATE(16803)] = 658615,
  [SMALL_STATE(16804)] = 658629,
  [SMALL_STATE(16805)] = 658643,
  [SMALL_STATE(16806)] = 658657,
  [SMALL_STATE(16807)] = 658671,
  [SMALL_STATE(16808)] = 658685,
  [SMALL_STATE(16809)] = 658699,
  [SMALL_STATE(16810)] = 658713,
  [SMALL_STATE(16811)] = 658727,
  [SMALL_STATE(16812)] = 658741,
  [SMALL_STATE(16813)] = 658755,
  [SMALL_STATE(16814)] = 658769,
  [SMALL_STATE(16815)] = 658783,
  [SMALL_STATE(16816)] = 658797,
  [SMALL_STATE(16817)] = 658811,
  [SMALL_STATE(16818)] = 658825,
  [SMALL_STATE(16819)] = 658839,
  [SMALL_STATE(16820)] = 658853,
  [SMALL_STATE(16821)] = 658867,
  [SMALL_STATE(16822)] = 658881,
  [SMALL_STATE(16823)] = 658895,
  [SMALL_STATE(16824)] = 658909,
  [SMALL_STATE(16825)] = 658923,
  [SMALL_STATE(16826)] = 658937,
  [SMALL_STATE(16827)] = 658951,
  [SMALL_STATE(16828)] = 658965,
  [SMALL_STATE(16829)] = 658979,
  [SMALL_STATE(16830)] = 658993,
  [SMALL_STATE(16831)] = 659007,
  [SMALL_STATE(16832)] = 659021,
  [SMALL_STATE(16833)] = 659035,
  [SMALL_STATE(16834)] = 659049,
  [SMALL_STATE(16835)] = 659063,
  [SMALL_STATE(16836)] = 659077,
  [SMALL_STATE(16837)] = 659091,
  [SMALL_STATE(16838)] = 659105,
  [SMALL_STATE(16839)] = 659119,
  [SMALL_STATE(16840)] = 659133,
  [SMALL_STATE(16841)] = 659147,
  [SMALL_STATE(16842)] = 659161,
  [SMALL_STATE(16843)] = 659175,
  [SMALL_STATE(16844)] = 659189,
  [SMALL_STATE(16845)] = 659203,
  [SMALL_STATE(16846)] = 659217,
  [SMALL_STATE(16847)] = 659231,
  [SMALL_STATE(16848)] = 659245,
  [SMALL_STATE(16849)] = 659259,
  [SMALL_STATE(16850)] = 659273,
  [SMALL_STATE(16851)] = 659287,
  [SMALL_STATE(16852)] = 659301,
  [SMALL_STATE(16853)] = 659315,
  [SMALL_STATE(16854)] = 659329,
  [SMALL_STATE(16855)] = 659343,
  [SMALL_STATE(16856)] = 659357,
  [SMALL_STATE(16857)] = 659371,
  [SMALL_STATE(16858)] = 659385,
  [SMALL_STATE(16859)] = 659399,
  [SMALL_STATE(16860)] = 659413,
  [SMALL_STATE(16861)] = 659427,
  [SMALL_STATE(16862)] = 659441,
  [SMALL_STATE(16863)] = 659455,
  [SMALL_STATE(16864)] = 659469,
  [SMALL_STATE(16865)] = 659483,
  [SMALL_STATE(16866)] = 659497,
  [SMALL_STATE(16867)] = 659511,
  [SMALL_STATE(16868)] = 659525,
  [SMALL_STATE(16869)] = 659539,
  [SMALL_STATE(16870)] = 659553,
  [SMALL_STATE(16871)] = 659567,
  [SMALL_STATE(16872)] = 659581,
  [SMALL_STATE(16873)] = 659595,
  [SMALL_STATE(16874)] = 659609,
  [SMALL_STATE(16875)] = 659623,
  [SMALL_STATE(16876)] = 659637,
  [SMALL_STATE(16877)] = 659651,
  [SMALL_STATE(16878)] = 659665,
  [SMALL_STATE(16879)] = 659679,
  [SMALL_STATE(16880)] = 659693,
  [SMALL_STATE(16881)] = 659707,
  [SMALL_STATE(16882)] = 659721,
  [SMALL_STATE(16883)] = 659735,
  [SMALL_STATE(16884)] = 659749,
  [SMALL_STATE(16885)] = 659763,
  [SMALL_STATE(16886)] = 659777,
  [SMALL_STATE(16887)] = 659791,
  [SMALL_STATE(16888)] = 659805,
  [SMALL_STATE(16889)] = 659819,
  [SMALL_STATE(16890)] = 659833,
  [SMALL_STATE(16891)] = 659847,
  [SMALL_STATE(16892)] = 659861,
  [SMALL_STATE(16893)] = 659875,
  [SMALL_STATE(16894)] = 659889,
  [SMALL_STATE(16895)] = 659903,
  [SMALL_STATE(16896)] = 659917,
  [SMALL_STATE(16897)] = 659931,
  [SMALL_STATE(16898)] = 659945,
  [SMALL_STATE(16899)] = 659959,
  [SMALL_STATE(16900)] = 659973,
  [SMALL_STATE(16901)] = 659987,
  [SMALL_STATE(16902)] = 660001,
  [SMALL_STATE(16903)] = 660015,
  [SMALL_STATE(16904)] = 660029,
  [SMALL_STATE(16905)] = 660043,
  [SMALL_STATE(16906)] = 660057,
  [SMALL_STATE(16907)] = 660071,
  [SMALL_STATE(16908)] = 660085,
  [SMALL_STATE(16909)] = 660099,
  [SMALL_STATE(16910)] = 660113,
  [SMALL_STATE(16911)] = 660127,
  [SMALL_STATE(16912)] = 660141,
  [SMALL_STATE(16913)] = 660155,
  [SMALL_STATE(16914)] = 660169,
  [SMALL_STATE(16915)] = 660183,
  [SMALL_STATE(16916)] = 660197,
  [SMALL_STATE(16917)] = 660211,
  [SMALL_STATE(16918)] = 660225,
  [SMALL_STATE(16919)] = 660239,
  [SMALL_STATE(16920)] = 660253,
  [SMALL_STATE(16921)] = 660267,
  [SMALL_STATE(16922)] = 660281,
  [SMALL_STATE(16923)] = 660295,
  [SMALL_STATE(16924)] = 660309,
  [SMALL_STATE(16925)] = 660323,
  [SMALL_STATE(16926)] = 660337,
  [SMALL_STATE(16927)] = 660351,
  [SMALL_STATE(16928)] = 660365,
  [SMALL_STATE(16929)] = 660379,
  [SMALL_STATE(16930)] = 660393,
  [SMALL_STATE(16931)] = 660407,
  [SMALL_STATE(16932)] = 660421,
  [SMALL_STATE(16933)] = 660435,
  [SMALL_STATE(16934)] = 660449,
  [SMALL_STATE(16935)] = 660463,
  [SMALL_STATE(16936)] = 660477,
  [SMALL_STATE(16937)] = 660491,
  [SMALL_STATE(16938)] = 660505,
  [SMALL_STATE(16939)] = 660519,
  [SMALL_STATE(16940)] = 660533,
  [SMALL_STATE(16941)] = 660547,
  [SMALL_STATE(16942)] = 660561,
  [SMALL_STATE(16943)] = 660575,
  [SMALL_STATE(16944)] = 660589,
  [SMALL_STATE(16945)] = 660603,
  [SMALL_STATE(16946)] = 660617,
  [SMALL_STATE(16947)] = 660631,
  [SMALL_STATE(16948)] = 660645,
  [SMALL_STATE(16949)] = 660659,
  [SMALL_STATE(16950)] = 660673,
  [SMALL_STATE(16951)] = 660687,
  [SMALL_STATE(16952)] = 660701,
  [SMALL_STATE(16953)] = 660715,
  [SMALL_STATE(16954)] = 660729,
  [SMALL_STATE(16955)] = 660743,
  [SMALL_STATE(16956)] = 660757,
  [SMALL_STATE(16957)] = 660771,
  [SMALL_STATE(16958)] = 660785,
  [SMALL_STATE(16959)] = 660799,
  [SMALL_STATE(16960)] = 660813,
  [SMALL_STATE(16961)] = 660827,
  [SMALL_STATE(16962)] = 660841,
  [SMALL_STATE(16963)] = 660855,
  [SMALL_STATE(16964)] = 660869,
  [SMALL_STATE(16965)] = 660883,
  [SMALL_STATE(16966)] = 660897,
  [SMALL_STATE(16967)] = 660911,
  [SMALL_STATE(16968)] = 660925,
  [SMALL_STATE(16969)] = 660939,
  [SMALL_STATE(16970)] = 660953,
  [SMALL_STATE(16971)] = 660967,
  [SMALL_STATE(16972)] = 660981,
  [SMALL_STATE(16973)] = 660995,
  [SMALL_STATE(16974)] = 661009,
  [SMALL_STATE(16975)] = 661023,
  [SMALL_STATE(16976)] = 661037,
  [SMALL_STATE(16977)] = 661051,
  [SMALL_STATE(16978)] = 661065,
  [SMALL_STATE(16979)] = 661079,
  [SMALL_STATE(16980)] = 661093,
  [SMALL_STATE(16981)] = 661107,
  [SMALL_STATE(16982)] = 661121,
  [SMALL_STATE(16983)] = 661135,
  [SMALL_STATE(16984)] = 661149,
  [SMALL_STATE(16985)] = 661163,
  [SMALL_STATE(16986)] = 661177,
  [SMALL_STATE(16987)] = 661191,
  [SMALL_STATE(16988)] = 661205,
  [SMALL_STATE(16989)] = 661219,
  [SMALL_STATE(16990)] = 661233,
  [SMALL_STATE(16991)] = 661247,
  [SMALL_STATE(16992)] = 661261,
  [SMALL_STATE(16993)] = 661275,
  [SMALL_STATE(16994)] = 661289,
  [SMALL_STATE(16995)] = 661303,
  [SMALL_STATE(16996)] = 661317,
  [SMALL_STATE(16997)] = 661331,
  [SMALL_STATE(16998)] = 661345,
  [SMALL_STATE(16999)] = 661359,
  [SMALL_STATE(17000)] = 661373,
  [SMALL_STATE(17001)] = 661387,
  [SMALL_STATE(17002)] = 661401,
  [SMALL_STATE(17003)] = 661415,
  [SMALL_STATE(17004)] = 661429,
  [SMALL_STATE(17005)] = 661443,
  [SMALL_STATE(17006)] = 661457,
  [SMALL_STATE(17007)] = 661471,
  [SMALL_STATE(17008)] = 661485,
  [SMALL_STATE(17009)] = 661499,
  [SMALL_STATE(17010)] = 661513,
  [SMALL_STATE(17011)] = 661527,
  [SMALL_STATE(17012)] = 661541,
  [SMALL_STATE(17013)] = 661555,
  [SMALL_STATE(17014)] = 661569,
  [SMALL_STATE(17015)] = 661583,
  [SMALL_STATE(17016)] = 661597,
  [SMALL_STATE(17017)] = 661611,
  [SMALL_STATE(17018)] = 661625,
  [SMALL_STATE(17019)] = 661639,
  [SMALL_STATE(17020)] = 661653,
  [SMALL_STATE(17021)] = 661667,
  [SMALL_STATE(17022)] = 661681,
  [SMALL_STATE(17023)] = 661695,
  [SMALL_STATE(17024)] = 661709,
  [SMALL_STATE(17025)] = 661723,
  [SMALL_STATE(17026)] = 661737,
  [SMALL_STATE(17027)] = 661751,
  [SMALL_STATE(17028)] = 661765,
  [SMALL_STATE(17029)] = 661779,
  [SMALL_STATE(17030)] = 661793,
  [SMALL_STATE(17031)] = 661807,
  [SMALL_STATE(17032)] = 661821,
  [SMALL_STATE(17033)] = 661835,
  [SMALL_STATE(17034)] = 661849,
  [SMALL_STATE(17035)] = 661863,
  [SMALL_STATE(17036)] = 661877,
  [SMALL_STATE(17037)] = 661891,
  [SMALL_STATE(17038)] = 661905,
  [SMALL_STATE(17039)] = 661919,
  [SMALL_STATE(17040)] = 661933,
  [SMALL_STATE(17041)] = 661947,
  [SMALL_STATE(17042)] = 661961,
  [SMALL_STATE(17043)] = 661975,
  [SMALL_STATE(17044)] = 661989,
  [SMALL_STATE(17045)] = 662003,
  [SMALL_STATE(17046)] = 662017,
  [SMALL_STATE(17047)] = 662031,
  [SMALL_STATE(17048)] = 662045,
  [SMALL_STATE(17049)] = 662059,
  [SMALL_STATE(17050)] = 662073,
  [SMALL_STATE(17051)] = 662087,
  [SMALL_STATE(17052)] = 662101,
  [SMALL_STATE(17053)] = 662115,
  [SMALL_STATE(17054)] = 662129,
  [SMALL_STATE(17055)] = 662143,
  [SMALL_STATE(17056)] = 662157,
  [SMALL_STATE(17057)] = 662171,
  [SMALL_STATE(17058)] = 662185,
  [SMALL_STATE(17059)] = 662199,
  [SMALL_STATE(17060)] = 662213,
  [SMALL_STATE(17061)] = 662227,
  [SMALL_STATE(17062)] = 662241,
  [SMALL_STATE(17063)] = 662255,
  [SMALL_STATE(17064)] = 662269,
  [SMALL_STATE(17065)] = 662283,
  [SMALL_STATE(17066)] = 662297,
  [SMALL_STATE(17067)] = 662311,
  [SMALL_STATE(17068)] = 662325,
  [SMALL_STATE(17069)] = 662339,
  [SMALL_STATE(17070)] = 662353,
  [SMALL_STATE(17071)] = 662367,
  [SMALL_STATE(17072)] = 662381,
  [SMALL_STATE(17073)] = 662395,
  [SMALL_STATE(17074)] = 662409,
  [SMALL_STATE(17075)] = 662423,
  [SMALL_STATE(17076)] = 662437,
  [SMALL_STATE(17077)] = 662451,
  [SMALL_STATE(17078)] = 662465,
  [SMALL_STATE(17079)] = 662479,
  [SMALL_STATE(17080)] = 662493,
  [SMALL_STATE(17081)] = 662507,
  [SMALL_STATE(17082)] = 662521,
  [SMALL_STATE(17083)] = 662535,
  [SMALL_STATE(17084)] = 662549,
  [SMALL_STATE(17085)] = 662563,
  [SMALL_STATE(17086)] = 662577,
  [SMALL_STATE(17087)] = 662591,
  [SMALL_STATE(17088)] = 662605,
  [SMALL_STATE(17089)] = 662619,
  [SMALL_STATE(17090)] = 662633,
  [SMALL_STATE(17091)] = 662647,
  [SMALL_STATE(17092)] = 662661,
  [SMALL_STATE(17093)] = 662675,
  [SMALL_STATE(17094)] = 662689,
  [SMALL_STATE(17095)] = 662703,
  [SMALL_STATE(17096)] = 662717,
  [SMALL_STATE(17097)] = 662731,
  [SMALL_STATE(17098)] = 662745,
  [SMALL_STATE(17099)] = 662759,
  [SMALL_STATE(17100)] = 662773,
  [SMALL_STATE(17101)] = 662787,
  [SMALL_STATE(17102)] = 662801,
  [SMALL_STATE(17103)] = 662815,
  [SMALL_STATE(17104)] = 662829,
  [SMALL_STATE(17105)] = 662843,
  [SMALL_STATE(17106)] = 662857,
  [SMALL_STATE(17107)] = 662871,
  [SMALL_STATE(17108)] = 662885,
  [SMALL_STATE(17109)] = 662899,
  [SMALL_STATE(17110)] = 662913,
  [SMALL_STATE(17111)] = 662927,
  [SMALL_STATE(17112)] = 662941,
  [SMALL_STATE(17113)] = 662955,
  [SMALL_STATE(17114)] = 662969,
  [SMALL_STATE(17115)] = 662983,
  [SMALL_STATE(17116)] = 662997,
  [SMALL_STATE(17117)] = 663011,
  [SMALL_STATE(17118)] = 663025,
  [SMALL_STATE(17119)] = 663039,
  [SMALL_STATE(17120)] = 663053,
  [SMALL_STATE(17121)] = 663067,
  [SMALL_STATE(17122)] = 663081,
  [SMALL_STATE(17123)] = 663095,
  [SMALL_STATE(17124)] = 663109,
  [SMALL_STATE(17125)] = 663123,
  [SMALL_STATE(17126)] = 663137,
  [SMALL_STATE(17127)] = 663151,
  [SMALL_STATE(17128)] = 663165,
  [SMALL_STATE(17129)] = 663179,
  [SMALL_STATE(17130)] = 663193,
  [SMALL_STATE(17131)] = 663207,
  [SMALL_STATE(17132)] = 663221,
  [SMALL_STATE(17133)] = 663235,
  [SMALL_STATE(17134)] = 663249,
  [SMALL_STATE(17135)] = 663263,
  [SMALL_STATE(17136)] = 663277,
  [SMALL_STATE(17137)] = 663291,
  [SMALL_STATE(17138)] = 663305,
  [SMALL_STATE(17139)] = 663319,
  [SMALL_STATE(17140)] = 663333,
  [SMALL_STATE(17141)] = 663347,
  [SMALL_STATE(17142)] = 663361,
  [SMALL_STATE(17143)] = 663375,
  [SMALL_STATE(17144)] = 663389,
  [SMALL_STATE(17145)] = 663403,
  [SMALL_STATE(17146)] = 663417,
  [SMALL_STATE(17147)] = 663431,
  [SMALL_STATE(17148)] = 663445,
  [SMALL_STATE(17149)] = 663459,
  [SMALL_STATE(17150)] = 663473,
  [SMALL_STATE(17151)] = 663487,
  [SMALL_STATE(17152)] = 663501,
  [SMALL_STATE(17153)] = 663515,
  [SMALL_STATE(17154)] = 663529,
  [SMALL_STATE(17155)] = 663543,
  [SMALL_STATE(17156)] = 663557,
  [SMALL_STATE(17157)] = 663571,
  [SMALL_STATE(17158)] = 663585,
  [SMALL_STATE(17159)] = 663599,
  [SMALL_STATE(17160)] = 663613,
  [SMALL_STATE(17161)] = 663627,
  [SMALL_STATE(17162)] = 663641,
  [SMALL_STATE(17163)] = 663655,
  [SMALL_STATE(17164)] = 663669,
  [SMALL_STATE(17165)] = 663683,
  [SMALL_STATE(17166)] = 663697,
  [SMALL_STATE(17167)] = 663711,
  [SMALL_STATE(17168)] = 663725,
  [SMALL_STATE(17169)] = 663739,
  [SMALL_STATE(17170)] = 663753,
  [SMALL_STATE(17171)] = 663767,
  [SMALL_STATE(17172)] = 663781,
  [SMALL_STATE(17173)] = 663795,
  [SMALL_STATE(17174)] = 663809,
  [SMALL_STATE(17175)] = 663823,
  [SMALL_STATE(17176)] = 663837,
  [SMALL_STATE(17177)] = 663851,
  [SMALL_STATE(17178)] = 663865,
  [SMALL_STATE(17179)] = 663879,
  [SMALL_STATE(17180)] = 663893,
  [SMALL_STATE(17181)] = 663907,
  [SMALL_STATE(17182)] = 663921,
  [SMALL_STATE(17183)] = 663935,
  [SMALL_STATE(17184)] = 663949,
  [SMALL_STATE(17185)] = 663963,
  [SMALL_STATE(17186)] = 663977,
  [SMALL_STATE(17187)] = 663991,
  [SMALL_STATE(17188)] = 664005,
  [SMALL_STATE(17189)] = 664019,
  [SMALL_STATE(17190)] = 664033,
  [SMALL_STATE(17191)] = 664047,
  [SMALL_STATE(17192)] = 664061,
  [SMALL_STATE(17193)] = 664075,
  [SMALL_STATE(17194)] = 664089,
  [SMALL_STATE(17195)] = 664103,
  [SMALL_STATE(17196)] = 664117,
  [SMALL_STATE(17197)] = 664131,
  [SMALL_STATE(17198)] = 664145,
  [SMALL_STATE(17199)] = 664159,
  [SMALL_STATE(17200)] = 664173,
  [SMALL_STATE(17201)] = 664187,
  [SMALL_STATE(17202)] = 664201,
  [SMALL_STATE(17203)] = 664215,
  [SMALL_STATE(17204)] = 664229,
  [SMALL_STATE(17205)] = 664243,
  [SMALL_STATE(17206)] = 664257,
  [SMALL_STATE(17207)] = 664271,
  [SMALL_STATE(17208)] = 664285,
  [SMALL_STATE(17209)] = 664299,
  [SMALL_STATE(17210)] = 664313,
  [SMALL_STATE(17211)] = 664327,
  [SMALL_STATE(17212)] = 664341,
  [SMALL_STATE(17213)] = 664355,
  [SMALL_STATE(17214)] = 664369,
  [SMALL_STATE(17215)] = 664383,
  [SMALL_STATE(17216)] = 664397,
  [SMALL_STATE(17217)] = 664411,
  [SMALL_STATE(17218)] = 664425,
  [SMALL_STATE(17219)] = 664439,
  [SMALL_STATE(17220)] = 664453,
  [SMALL_STATE(17221)] = 664467,
  [SMALL_STATE(17222)] = 664481,
  [SMALL_STATE(17223)] = 664495,
  [SMALL_STATE(17224)] = 664509,
  [SMALL_STATE(17225)] = 664523,
  [SMALL_STATE(17226)] = 664537,
  [SMALL_STATE(17227)] = 664551,
  [SMALL_STATE(17228)] = 664565,
  [SMALL_STATE(17229)] = 664579,
  [SMALL_STATE(17230)] = 664593,
  [SMALL_STATE(17231)] = 664607,
  [SMALL_STATE(17232)] = 664621,
  [SMALL_STATE(17233)] = 664635,
  [SMALL_STATE(17234)] = 664649,
  [SMALL_STATE(17235)] = 664663,
  [SMALL_STATE(17236)] = 664677,
  [SMALL_STATE(17237)] = 664691,
  [SMALL_STATE(17238)] = 664705,
  [SMALL_STATE(17239)] = 664719,
  [SMALL_STATE(17240)] = 664733,
  [SMALL_STATE(17241)] = 664747,
  [SMALL_STATE(17242)] = 664761,
  [SMALL_STATE(17243)] = 664775,
  [SMALL_STATE(17244)] = 664789,
  [SMALL_STATE(17245)] = 664803,
  [SMALL_STATE(17246)] = 664817,
  [SMALL_STATE(17247)] = 664831,
  [SMALL_STATE(17248)] = 664845,
  [SMALL_STATE(17249)] = 664859,
  [SMALL_STATE(17250)] = 664873,
  [SMALL_STATE(17251)] = 664887,
  [SMALL_STATE(17252)] = 664901,
  [SMALL_STATE(17253)] = 664915,
  [SMALL_STATE(17254)] = 664929,
  [SMALL_STATE(17255)] = 664943,
  [SMALL_STATE(17256)] = 664957,
  [SMALL_STATE(17257)] = 664971,
  [SMALL_STATE(17258)] = 664985,
  [SMALL_STATE(17259)] = 664999,
  [SMALL_STATE(17260)] = 665013,
  [SMALL_STATE(17261)] = 665027,
  [SMALL_STATE(17262)] = 665041,
  [SMALL_STATE(17263)] = 665055,
  [SMALL_STATE(17264)] = 665069,
  [SMALL_STATE(17265)] = 665083,
  [SMALL_STATE(17266)] = 665097,
  [SMALL_STATE(17267)] = 665111,
  [SMALL_STATE(17268)] = 665125,
  [SMALL_STATE(17269)] = 665139,
  [SMALL_STATE(17270)] = 665153,
  [SMALL_STATE(17271)] = 665167,
  [SMALL_STATE(17272)] = 665181,
  [SMALL_STATE(17273)] = 665195,
  [SMALL_STATE(17274)] = 665209,
  [SMALL_STATE(17275)] = 665223,
  [SMALL_STATE(17276)] = 665237,
  [SMALL_STATE(17277)] = 665251,
  [SMALL_STATE(17278)] = 665265,
  [SMALL_STATE(17279)] = 665279,
  [SMALL_STATE(17280)] = 665293,
  [SMALL_STATE(17281)] = 665307,
  [SMALL_STATE(17282)] = 665321,
  [SMALL_STATE(17283)] = 665335,
  [SMALL_STATE(17284)] = 665349,
  [SMALL_STATE(17285)] = 665363,
  [SMALL_STATE(17286)] = 665377,
  [SMALL_STATE(17287)] = 665391,
  [SMALL_STATE(17288)] = 665405,
  [SMALL_STATE(17289)] = 665419,
  [SMALL_STATE(17290)] = 665433,
  [SMALL_STATE(17291)] = 665447,
  [SMALL_STATE(17292)] = 665461,
  [SMALL_STATE(17293)] = 665475,
  [SMALL_STATE(17294)] = 665489,
  [SMALL_STATE(17295)] = 665503,
  [SMALL_STATE(17296)] = 665517,
  [SMALL_STATE(17297)] = 665531,
  [SMALL_STATE(17298)] = 665545,
  [SMALL_STATE(17299)] = 665559,
  [SMALL_STATE(17300)] = 665573,
  [SMALL_STATE(17301)] = 665587,
  [SMALL_STATE(17302)] = 665601,
  [SMALL_STATE(17303)] = 665615,
  [SMALL_STATE(17304)] = 665629,
  [SMALL_STATE(17305)] = 665643,
  [SMALL_STATE(17306)] = 665657,
  [SMALL_STATE(17307)] = 665671,
  [SMALL_STATE(17308)] = 665685,
  [SMALL_STATE(17309)] = 665699,
  [SMALL_STATE(17310)] = 665713,
  [SMALL_STATE(17311)] = 665727,
  [SMALL_STATE(17312)] = 665741,
  [SMALL_STATE(17313)] = 665755,
  [SMALL_STATE(17314)] = 665769,
  [SMALL_STATE(17315)] = 665783,
  [SMALL_STATE(17316)] = 665797,
  [SMALL_STATE(17317)] = 665811,
  [SMALL_STATE(17318)] = 665825,
  [SMALL_STATE(17319)] = 665839,
  [SMALL_STATE(17320)] = 665853,
  [SMALL_STATE(17321)] = 665867,
  [SMALL_STATE(17322)] = 665881,
  [SMALL_STATE(17323)] = 665895,
  [SMALL_STATE(17324)] = 665909,
  [SMALL_STATE(17325)] = 665923,
  [SMALL_STATE(17326)] = 665937,
  [SMALL_STATE(17327)] = 665951,
  [SMALL_STATE(17328)] = 665965,
  [SMALL_STATE(17329)] = 665979,
  [SMALL_STATE(17330)] = 665993,
  [SMALL_STATE(17331)] = 666007,
  [SMALL_STATE(17332)] = 666021,
  [SMALL_STATE(17333)] = 666035,
  [SMALL_STATE(17334)] = 666049,
  [SMALL_STATE(17335)] = 666063,
  [SMALL_STATE(17336)] = 666077,
  [SMALL_STATE(17337)] = 666091,
  [SMALL_STATE(17338)] = 666105,
  [SMALL_STATE(17339)] = 666119,
  [SMALL_STATE(17340)] = 666133,
  [SMALL_STATE(17341)] = 666147,
  [SMALL_STATE(17342)] = 666161,
  [SMALL_STATE(17343)] = 666175,
  [SMALL_STATE(17344)] = 666189,
  [SMALL_STATE(17345)] = 666203,
  [SMALL_STATE(17346)] = 666217,
  [SMALL_STATE(17347)] = 666231,
  [SMALL_STATE(17348)] = 666245,
  [SMALL_STATE(17349)] = 666259,
  [SMALL_STATE(17350)] = 666273,
  [SMALL_STATE(17351)] = 666287,
  [SMALL_STATE(17352)] = 666301,
  [SMALL_STATE(17353)] = 666315,
  [SMALL_STATE(17354)] = 666329,
  [SMALL_STATE(17355)] = 666343,
  [SMALL_STATE(17356)] = 666357,
  [SMALL_STATE(17357)] = 666371,
  [SMALL_STATE(17358)] = 666385,
  [SMALL_STATE(17359)] = 666399,
  [SMALL_STATE(17360)] = 666413,
  [SMALL_STATE(17361)] = 666427,
  [SMALL_STATE(17362)] = 666441,
  [SMALL_STATE(17363)] = 666455,
  [SMALL_STATE(17364)] = 666469,
  [SMALL_STATE(17365)] = 666483,
  [SMALL_STATE(17366)] = 666497,
  [SMALL_STATE(17367)] = 666511,
  [SMALL_STATE(17368)] = 666525,
  [SMALL_STATE(17369)] = 666539,
  [SMALL_STATE(17370)] = 666553,
  [SMALL_STATE(17371)] = 666567,
  [SMALL_STATE(17372)] = 666581,
  [SMALL_STATE(17373)] = 666595,
  [SMALL_STATE(17374)] = 666609,
  [SMALL_STATE(17375)] = 666623,
  [SMALL_STATE(17376)] = 666637,
  [SMALL_STATE(17377)] = 666651,
  [SMALL_STATE(17378)] = 666665,
  [SMALL_STATE(17379)] = 666679,
  [SMALL_STATE(17380)] = 666693,
  [SMALL_STATE(17381)] = 666707,
  [SMALL_STATE(17382)] = 666721,
  [SMALL_STATE(17383)] = 666735,
  [SMALL_STATE(17384)] = 666749,
  [SMALL_STATE(17385)] = 666763,
  [SMALL_STATE(17386)] = 666777,
  [SMALL_STATE(17387)] = 666791,
  [SMALL_STATE(17388)] = 666805,
  [SMALL_STATE(17389)] = 666819,
  [SMALL_STATE(17390)] = 666833,
  [SMALL_STATE(17391)] = 666847,
  [SMALL_STATE(17392)] = 666861,
  [SMALL_STATE(17393)] = 666875,
  [SMALL_STATE(17394)] = 666889,
  [SMALL_STATE(17395)] = 666903,
  [SMALL_STATE(17396)] = 666917,
  [SMALL_STATE(17397)] = 666931,
  [SMALL_STATE(17398)] = 666945,
  [SMALL_STATE(17399)] = 666959,
  [SMALL_STATE(17400)] = 666973,
  [SMALL_STATE(17401)] = 666987,
  [SMALL_STATE(17402)] = 667001,
  [SMALL_STATE(17403)] = 667015,
  [SMALL_STATE(17404)] = 667029,
  [SMALL_STATE(17405)] = 667043,
  [SMALL_STATE(17406)] = 667057,
  [SMALL_STATE(17407)] = 667071,
  [SMALL_STATE(17408)] = 667085,
  [SMALL_STATE(17409)] = 667099,
  [SMALL_STATE(17410)] = 667113,
  [SMALL_STATE(17411)] = 667127,
  [SMALL_STATE(17412)] = 667141,
  [SMALL_STATE(17413)] = 667155,
  [SMALL_STATE(17414)] = 667169,
  [SMALL_STATE(17415)] = 667183,
  [SMALL_STATE(17416)] = 667197,
  [SMALL_STATE(17417)] = 667211,
  [SMALL_STATE(17418)] = 667225,
  [SMALL_STATE(17419)] = 667239,
  [SMALL_STATE(17420)] = 667253,
  [SMALL_STATE(17421)] = 667267,
  [SMALL_STATE(17422)] = 667281,
  [SMALL_STATE(17423)] = 667295,
  [SMALL_STATE(17424)] = 667309,
  [SMALL_STATE(17425)] = 667323,
  [SMALL_STATE(17426)] = 667337,
  [SMALL_STATE(17427)] = 667351,
  [SMALL_STATE(17428)] = 667365,
  [SMALL_STATE(17429)] = 667379,
  [SMALL_STATE(17430)] = 667393,
  [SMALL_STATE(17431)] = 667407,
  [SMALL_STATE(17432)] = 667421,
  [SMALL_STATE(17433)] = 667435,
  [SMALL_STATE(17434)] = 667449,
  [SMALL_STATE(17435)] = 667463,
  [SMALL_STATE(17436)] = 667477,
  [SMALL_STATE(17437)] = 667491,
  [SMALL_STATE(17438)] = 667505,
  [SMALL_STATE(17439)] = 667519,
  [SMALL_STATE(17440)] = 667533,
  [SMALL_STATE(17441)] = 667547,
  [SMALL_STATE(17442)] = 667561,
  [SMALL_STATE(17443)] = 667575,
  [SMALL_STATE(17444)] = 667589,
  [SMALL_STATE(17445)] = 667603,
  [SMALL_STATE(17446)] = 667617,
  [SMALL_STATE(17447)] = 667631,
  [SMALL_STATE(17448)] = 667645,
  [SMALL_STATE(17449)] = 667659,
  [SMALL_STATE(17450)] = 667673,
  [SMALL_STATE(17451)] = 667687,
  [SMALL_STATE(17452)] = 667701,
  [SMALL_STATE(17453)] = 667715,
  [SMALL_STATE(17454)] = 667729,
  [SMALL_STATE(17455)] = 667743,
  [SMALL_STATE(17456)] = 667757,
  [SMALL_STATE(17457)] = 667771,
  [SMALL_STATE(17458)] = 667785,
  [SMALL_STATE(17459)] = 667799,
  [SMALL_STATE(17460)] = 667813,
  [SMALL_STATE(17461)] = 667827,
  [SMALL_STATE(17462)] = 667841,
  [SMALL_STATE(17463)] = 667855,
  [SMALL_STATE(17464)] = 667869,
  [SMALL_STATE(17465)] = 667883,
  [SMALL_STATE(17466)] = 667897,
  [SMALL_STATE(17467)] = 667911,
  [SMALL_STATE(17468)] = 667925,
  [SMALL_STATE(17469)] = 667939,
  [SMALL_STATE(17470)] = 667953,
  [SMALL_STATE(17471)] = 667967,
  [SMALL_STATE(17472)] = 667981,
  [SMALL_STATE(17473)] = 667995,
  [SMALL_STATE(17474)] = 668009,
  [SMALL_STATE(17475)] = 668023,
  [SMALL_STATE(17476)] = 668037,
  [SMALL_STATE(17477)] = 668051,
  [SMALL_STATE(17478)] = 668065,
  [SMALL_STATE(17479)] = 668079,
  [SMALL_STATE(17480)] = 668093,
  [SMALL_STATE(17481)] = 668107,
  [SMALL_STATE(17482)] = 668121,
  [SMALL_STATE(17483)] = 668135,
  [SMALL_STATE(17484)] = 668149,
  [SMALL_STATE(17485)] = 668163,
  [SMALL_STATE(17486)] = 668177,
  [SMALL_STATE(17487)] = 668191,
  [SMALL_STATE(17488)] = 668205,
  [SMALL_STATE(17489)] = 668219,
  [SMALL_STATE(17490)] = 668233,
  [SMALL_STATE(17491)] = 668247,
  [SMALL_STATE(17492)] = 668261,
  [SMALL_STATE(17493)] = 668275,
  [SMALL_STATE(17494)] = 668289,
  [SMALL_STATE(17495)] = 668303,
  [SMALL_STATE(17496)] = 668317,
  [SMALL_STATE(17497)] = 668331,
  [SMALL_STATE(17498)] = 668345,
  [SMALL_STATE(17499)] = 668359,
  [SMALL_STATE(17500)] = 668373,
  [SMALL_STATE(17501)] = 668387,
  [SMALL_STATE(17502)] = 668401,
  [SMALL_STATE(17503)] = 668415,
  [SMALL_STATE(17504)] = 668429,
  [SMALL_STATE(17505)] = 668443,
  [SMALL_STATE(17506)] = 668457,
  [SMALL_STATE(17507)] = 668471,
  [SMALL_STATE(17508)] = 668485,
  [SMALL_STATE(17509)] = 668499,
  [SMALL_STATE(17510)] = 668513,
  [SMALL_STATE(17511)] = 668527,
  [SMALL_STATE(17512)] = 668541,
  [SMALL_STATE(17513)] = 668555,
  [SMALL_STATE(17514)] = 668569,
  [SMALL_STATE(17515)] = 668583,
  [SMALL_STATE(17516)] = 668597,
  [SMALL_STATE(17517)] = 668611,
  [SMALL_STATE(17518)] = 668625,
  [SMALL_STATE(17519)] = 668639,
  [SMALL_STATE(17520)] = 668653,
  [SMALL_STATE(17521)] = 668667,
  [SMALL_STATE(17522)] = 668681,
  [SMALL_STATE(17523)] = 668695,
  [SMALL_STATE(17524)] = 668709,
  [SMALL_STATE(17525)] = 668723,
  [SMALL_STATE(17526)] = 668737,
  [SMALL_STATE(17527)] = 668751,
  [SMALL_STATE(17528)] = 668765,
  [SMALL_STATE(17529)] = 668779,
  [SMALL_STATE(17530)] = 668793,
  [SMALL_STATE(17531)] = 668807,
  [SMALL_STATE(17532)] = 668821,
  [SMALL_STATE(17533)] = 668835,
  [SMALL_STATE(17534)] = 668849,
  [SMALL_STATE(17535)] = 668863,
  [SMALL_STATE(17536)] = 668877,
  [SMALL_STATE(17537)] = 668891,
  [SMALL_STATE(17538)] = 668905,
  [SMALL_STATE(17539)] = 668919,
  [SMALL_STATE(17540)] = 668933,
  [SMALL_STATE(17541)] = 668947,
  [SMALL_STATE(17542)] = 668961,
  [SMALL_STATE(17543)] = 668975,
  [SMALL_STATE(17544)] = 668989,
  [SMALL_STATE(17545)] = 669003,
  [SMALL_STATE(17546)] = 669017,
  [SMALL_STATE(17547)] = 669031,
  [SMALL_STATE(17548)] = 669045,
  [SMALL_STATE(17549)] = 669059,
  [SMALL_STATE(17550)] = 669073,
  [SMALL_STATE(17551)] = 669087,
  [SMALL_STATE(17552)] = 669101,
  [SMALL_STATE(17553)] = 669115,
  [SMALL_STATE(17554)] = 669129,
  [SMALL_STATE(17555)] = 669143,
  [SMALL_STATE(17556)] = 669157,
  [SMALL_STATE(17557)] = 669171,
  [SMALL_STATE(17558)] = 669185,
  [SMALL_STATE(17559)] = 669199,
  [SMALL_STATE(17560)] = 669213,
  [SMALL_STATE(17561)] = 669227,
  [SMALL_STATE(17562)] = 669241,
  [SMALL_STATE(17563)] = 669255,
  [SMALL_STATE(17564)] = 669269,
  [SMALL_STATE(17565)] = 669283,
  [SMALL_STATE(17566)] = 669297,
  [SMALL_STATE(17567)] = 669311,
  [SMALL_STATE(17568)] = 669325,
  [SMALL_STATE(17569)] = 669339,
  [SMALL_STATE(17570)] = 669353,
  [SMALL_STATE(17571)] = 669367,
  [SMALL_STATE(17572)] = 669381,
  [SMALL_STATE(17573)] = 669395,
  [SMALL_STATE(17574)] = 669409,
  [SMALL_STATE(17575)] = 669423,
  [SMALL_STATE(17576)] = 669437,
  [SMALL_STATE(17577)] = 669451,
  [SMALL_STATE(17578)] = 669465,
  [SMALL_STATE(17579)] = 669479,
  [SMALL_STATE(17580)] = 669493,
  [SMALL_STATE(17581)] = 669507,
  [SMALL_STATE(17582)] = 669521,
  [SMALL_STATE(17583)] = 669535,
  [SMALL_STATE(17584)] = 669549,
  [SMALL_STATE(17585)] = 669563,
  [SMALL_STATE(17586)] = 669577,
  [SMALL_STATE(17587)] = 669591,
  [SMALL_STATE(17588)] = 669605,
  [SMALL_STATE(17589)] = 669619,
  [SMALL_STATE(17590)] = 669633,
  [SMALL_STATE(17591)] = 669647,
  [SMALL_STATE(17592)] = 669661,
  [SMALL_STATE(17593)] = 669675,
  [SMALL_STATE(17594)] = 669689,
  [SMALL_STATE(17595)] = 669703,
  [SMALL_STATE(17596)] = 669717,
  [SMALL_STATE(17597)] = 669731,
  [SMALL_STATE(17598)] = 669745,
  [SMALL_STATE(17599)] = 669759,
  [SMALL_STATE(17600)] = 669773,
  [SMALL_STATE(17601)] = 669787,
  [SMALL_STATE(17602)] = 669801,
  [SMALL_STATE(17603)] = 669815,
  [SMALL_STATE(17604)] = 669829,
  [SMALL_STATE(17605)] = 669843,
  [SMALL_STATE(17606)] = 669857,
  [SMALL_STATE(17607)] = 669871,
  [SMALL_STATE(17608)] = 669885,
  [SMALL_STATE(17609)] = 669899,
  [SMALL_STATE(17610)] = 669913,
  [SMALL_STATE(17611)] = 669927,
  [SMALL_STATE(17612)] = 669941,
  [SMALL_STATE(17613)] = 669955,
  [SMALL_STATE(17614)] = 669969,
  [SMALL_STATE(17615)] = 669983,
  [SMALL_STATE(17616)] = 669997,
  [SMALL_STATE(17617)] = 670011,
  [SMALL_STATE(17618)] = 670025,
  [SMALL_STATE(17619)] = 670039,
  [SMALL_STATE(17620)] = 670053,
  [SMALL_STATE(17621)] = 670067,
  [SMALL_STATE(17622)] = 670081,
  [SMALL_STATE(17623)] = 670095,
  [SMALL_STATE(17624)] = 670109,
  [SMALL_STATE(17625)] = 670123,
  [SMALL_STATE(17626)] = 670137,
  [SMALL_STATE(17627)] = 670151,
  [SMALL_STATE(17628)] = 670165,
  [SMALL_STATE(17629)] = 670179,
  [SMALL_STATE(17630)] = 670193,
  [SMALL_STATE(17631)] = 670207,
  [SMALL_STATE(17632)] = 670221,
  [SMALL_STATE(17633)] = 670235,
  [SMALL_STATE(17634)] = 670249,
  [SMALL_STATE(17635)] = 670263,
  [SMALL_STATE(17636)] = 670277,
  [SMALL_STATE(17637)] = 670291,
  [SMALL_STATE(17638)] = 670305,
  [SMALL_STATE(17639)] = 670319,
  [SMALL_STATE(17640)] = 670333,
  [SMALL_STATE(17641)] = 670347,
  [SMALL_STATE(17642)] = 670361,
  [SMALL_STATE(17643)] = 670375,
  [SMALL_STATE(17644)] = 670389,
  [SMALL_STATE(17645)] = 670403,
  [SMALL_STATE(17646)] = 670417,
  [SMALL_STATE(17647)] = 670431,
  [SMALL_STATE(17648)] = 670445,
  [SMALL_STATE(17649)] = 670459,
  [SMALL_STATE(17650)] = 670473,
  [SMALL_STATE(17651)] = 670487,
  [SMALL_STATE(17652)] = 670501,
  [SMALL_STATE(17653)] = 670515,
  [SMALL_STATE(17654)] = 670529,
  [SMALL_STATE(17655)] = 670543,
  [SMALL_STATE(17656)] = 670557,
  [SMALL_STATE(17657)] = 670571,
  [SMALL_STATE(17658)] = 670585,
  [SMALL_STATE(17659)] = 670599,
  [SMALL_STATE(17660)] = 670613,
  [SMALL_STATE(17661)] = 670627,
  [SMALL_STATE(17662)] = 670641,
  [SMALL_STATE(17663)] = 670655,
  [SMALL_STATE(17664)] = 670669,
  [SMALL_STATE(17665)] = 670683,
  [SMALL_STATE(17666)] = 670697,
  [SMALL_STATE(17667)] = 670711,
  [SMALL_STATE(17668)] = 670725,
  [SMALL_STATE(17669)] = 670739,
  [SMALL_STATE(17670)] = 670753,
  [SMALL_STATE(17671)] = 670767,
  [SMALL_STATE(17672)] = 670781,
  [SMALL_STATE(17673)] = 670795,
  [SMALL_STATE(17674)] = 670809,
  [SMALL_STATE(17675)] = 670823,
  [SMALL_STATE(17676)] = 670837,
  [SMALL_STATE(17677)] = 670851,
  [SMALL_STATE(17678)] = 670865,
  [SMALL_STATE(17679)] = 670879,
  [SMALL_STATE(17680)] = 670893,
  [SMALL_STATE(17681)] = 670907,
  [SMALL_STATE(17682)] = 670921,
  [SMALL_STATE(17683)] = 670935,
  [SMALL_STATE(17684)] = 670949,
  [SMALL_STATE(17685)] = 670963,
  [SMALL_STATE(17686)] = 670977,
  [SMALL_STATE(17687)] = 670991,
  [SMALL_STATE(17688)] = 671005,
  [SMALL_STATE(17689)] = 671019,
  [SMALL_STATE(17690)] = 671033,
  [SMALL_STATE(17691)] = 671047,
  [SMALL_STATE(17692)] = 671061,
  [SMALL_STATE(17693)] = 671075,
  [SMALL_STATE(17694)] = 671089,
  [SMALL_STATE(17695)] = 671103,
  [SMALL_STATE(17696)] = 671117,
  [SMALL_STATE(17697)] = 671131,
  [SMALL_STATE(17698)] = 671145,
  [SMALL_STATE(17699)] = 671159,
  [SMALL_STATE(17700)] = 671173,
  [SMALL_STATE(17701)] = 671187,
  [SMALL_STATE(17702)] = 671201,
  [SMALL_STATE(17703)] = 671215,
  [SMALL_STATE(17704)] = 671229,
  [SMALL_STATE(17705)] = 671243,
  [SMALL_STATE(17706)] = 671257,
  [SMALL_STATE(17707)] = 671271,
  [SMALL_STATE(17708)] = 671285,
  [SMALL_STATE(17709)] = 671299,
  [SMALL_STATE(17710)] = 671313,
  [SMALL_STATE(17711)] = 671327,
  [SMALL_STATE(17712)] = 671341,
  [SMALL_STATE(17713)] = 671355,
  [SMALL_STATE(17714)] = 671369,
  [SMALL_STATE(17715)] = 671383,
  [SMALL_STATE(17716)] = 671397,
  [SMALL_STATE(17717)] = 671411,
  [SMALL_STATE(17718)] = 671425,
  [SMALL_STATE(17719)] = 671439,
  [SMALL_STATE(17720)] = 671453,
  [SMALL_STATE(17721)] = 671467,
  [SMALL_STATE(17722)] = 671481,
  [SMALL_STATE(17723)] = 671495,
  [SMALL_STATE(17724)] = 671509,
  [SMALL_STATE(17725)] = 671523,
  [SMALL_STATE(17726)] = 671537,
  [SMALL_STATE(17727)] = 671551,
  [SMALL_STATE(17728)] = 671565,
  [SMALL_STATE(17729)] = 671579,
  [SMALL_STATE(17730)] = 671593,
  [SMALL_STATE(17731)] = 671607,
  [SMALL_STATE(17732)] = 671621,
  [SMALL_STATE(17733)] = 671635,
  [SMALL_STATE(17734)] = 671649,
  [SMALL_STATE(17735)] = 671663,
  [SMALL_STATE(17736)] = 671677,
  [SMALL_STATE(17737)] = 671691,
  [SMALL_STATE(17738)] = 671705,
  [SMALL_STATE(17739)] = 671719,
  [SMALL_STATE(17740)] = 671733,
  [SMALL_STATE(17741)] = 671747,
  [SMALL_STATE(17742)] = 671761,
  [SMALL_STATE(17743)] = 671775,
  [SMALL_STATE(17744)] = 671789,
  [SMALL_STATE(17745)] = 671803,
  [SMALL_STATE(17746)] = 671817,
  [SMALL_STATE(17747)] = 671831,
  [SMALL_STATE(17748)] = 671845,
  [SMALL_STATE(17749)] = 671859,
  [SMALL_STATE(17750)] = 671873,
  [SMALL_STATE(17751)] = 671887,
  [SMALL_STATE(17752)] = 671901,
  [SMALL_STATE(17753)] = 671915,
  [SMALL_STATE(17754)] = 671929,
  [SMALL_STATE(17755)] = 671943,
  [SMALL_STATE(17756)] = 671957,
  [SMALL_STATE(17757)] = 671971,
  [SMALL_STATE(17758)] = 671985,
  [SMALL_STATE(17759)] = 671999,
  [SMALL_STATE(17760)] = 672013,
  [SMALL_STATE(17761)] = 672027,
  [SMALL_STATE(17762)] = 672041,
  [SMALL_STATE(17763)] = 672055,
  [SMALL_STATE(17764)] = 672069,
  [SMALL_STATE(17765)] = 672083,
  [SMALL_STATE(17766)] = 672097,
  [SMALL_STATE(17767)] = 672111,
  [SMALL_STATE(17768)] = 672125,
  [SMALL_STATE(17769)] = 672139,
  [SMALL_STATE(17770)] = 672153,
  [SMALL_STATE(17771)] = 672167,
  [SMALL_STATE(17772)] = 672181,
  [SMALL_STATE(17773)] = 672195,
  [SMALL_STATE(17774)] = 672209,
  [SMALL_STATE(17775)] = 672223,
  [SMALL_STATE(17776)] = 672237,
  [SMALL_STATE(17777)] = 672251,
  [SMALL_STATE(17778)] = 672265,
  [SMALL_STATE(17779)] = 672279,
  [SMALL_STATE(17780)] = 672293,
  [SMALL_STATE(17781)] = 672307,
  [SMALL_STATE(17782)] = 672321,
  [SMALL_STATE(17783)] = 672335,
  [SMALL_STATE(17784)] = 672349,
  [SMALL_STATE(17785)] = 672363,
  [SMALL_STATE(17786)] = 672377,
  [SMALL_STATE(17787)] = 672391,
  [SMALL_STATE(17788)] = 672405,
  [SMALL_STATE(17789)] = 672419,
  [SMALL_STATE(17790)] = 672433,
  [SMALL_STATE(17791)] = 672447,
  [SMALL_STATE(17792)] = 672461,
  [SMALL_STATE(17793)] = 672475,
  [SMALL_STATE(17794)] = 672489,
  [SMALL_STATE(17795)] = 672503,
  [SMALL_STATE(17796)] = 672517,
  [SMALL_STATE(17797)] = 672531,
  [SMALL_STATE(17798)] = 672545,
  [SMALL_STATE(17799)] = 672559,
  [SMALL_STATE(17800)] = 672573,
  [SMALL_STATE(17801)] = 672587,
  [SMALL_STATE(17802)] = 672601,
  [SMALL_STATE(17803)] = 672615,
  [SMALL_STATE(17804)] = 672629,
  [SMALL_STATE(17805)] = 672643,
  [SMALL_STATE(17806)] = 672657,
  [SMALL_STATE(17807)] = 672671,
  [SMALL_STATE(17808)] = 672685,
  [SMALL_STATE(17809)] = 672699,
  [SMALL_STATE(17810)] = 672713,
  [SMALL_STATE(17811)] = 672727,
  [SMALL_STATE(17812)] = 672741,
  [SMALL_STATE(17813)] = 672755,
  [SMALL_STATE(17814)] = 672769,
  [SMALL_STATE(17815)] = 672783,
  [SMALL_STATE(17816)] = 672797,
  [SMALL_STATE(17817)] = 672811,
  [SMALL_STATE(17818)] = 672825,
  [SMALL_STATE(17819)] = 672839,
  [SMALL_STATE(17820)] = 672853,
  [SMALL_STATE(17821)] = 672867,
  [SMALL_STATE(17822)] = 672881,
  [SMALL_STATE(17823)] = 672895,
  [SMALL_STATE(17824)] = 672909,
  [SMALL_STATE(17825)] = 672923,
  [SMALL_STATE(17826)] = 672937,
  [SMALL_STATE(17827)] = 672951,
  [SMALL_STATE(17828)] = 672965,
  [SMALL_STATE(17829)] = 672979,
  [SMALL_STATE(17830)] = 672993,
  [SMALL_STATE(17831)] = 673007,
  [SMALL_STATE(17832)] = 673021,
  [SMALL_STATE(17833)] = 673035,
  [SMALL_STATE(17834)] = 673049,
  [SMALL_STATE(17835)] = 673063,
  [SMALL_STATE(17836)] = 673077,
  [SMALL_STATE(17837)] = 673091,
  [SMALL_STATE(17838)] = 673105,
  [SMALL_STATE(17839)] = 673119,
  [SMALL_STATE(17840)] = 673133,
  [SMALL_STATE(17841)] = 673147,
  [SMALL_STATE(17842)] = 673161,
  [SMALL_STATE(17843)] = 673175,
  [SMALL_STATE(17844)] = 673189,
  [SMALL_STATE(17845)] = 673203,
  [SMALL_STATE(17846)] = 673217,
  [SMALL_STATE(17847)] = 673231,
  [SMALL_STATE(17848)] = 673245,
  [SMALL_STATE(17849)] = 673259,
  [SMALL_STATE(17850)] = 673273,
  [SMALL_STATE(17851)] = 673287,
  [SMALL_STATE(17852)] = 673301,
  [SMALL_STATE(17853)] = 673315,
  [SMALL_STATE(17854)] = 673329,
  [SMALL_STATE(17855)] = 673343,
  [SMALL_STATE(17856)] = 673357,
  [SMALL_STATE(17857)] = 673371,
  [SMALL_STATE(17858)] = 673385,
  [SMALL_STATE(17859)] = 673399,
  [SMALL_STATE(17860)] = 673413,
  [SMALL_STATE(17861)] = 673427,
  [SMALL_STATE(17862)] = 673441,
  [SMALL_STATE(17863)] = 673455,
  [SMALL_STATE(17864)] = 673469,
  [SMALL_STATE(17865)] = 673483,
  [SMALL_STATE(17866)] = 673497,
  [SMALL_STATE(17867)] = 673511,
  [SMALL_STATE(17868)] = 673525,
  [SMALL_STATE(17869)] = 673539,
  [SMALL_STATE(17870)] = 673553,
  [SMALL_STATE(17871)] = 673567,
  [SMALL_STATE(17872)] = 673581,
  [SMALL_STATE(17873)] = 673595,
  [SMALL_STATE(17874)] = 673609,
  [SMALL_STATE(17875)] = 673623,
  [SMALL_STATE(17876)] = 673637,
  [SMALL_STATE(17877)] = 673641,
  [SMALL_STATE(17878)] = 673645,
  [SMALL_STATE(17879)] = 673649,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15503),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15766),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12271),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15853),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12093),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12285),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12296),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12301),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11885),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11950),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9429),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9212),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9403),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12128),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12331),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12343),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12347),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9600),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10382),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10131),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10174),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4246),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11913),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12339),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6725),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12393),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12392),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9256),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13058),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10949),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10969),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13228),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10922),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12444),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13522),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16320),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13537),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12798),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11757),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11824),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16090),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11746),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9504),
  [417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 3, 0, 0),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10941),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 4, 0, 0),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5512),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12338),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12398),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12396),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12395),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8001),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11903),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11905),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11931),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12394),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14709),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12247),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12423),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9631),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9547),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9546),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9635),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15899),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9158),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 2, 0, 25),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9213),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 2, 0, 25),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8750),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16536),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14272),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16053),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14567),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14416),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9160),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14589),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11356),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11370),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5513),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 3, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 2, 0, 0),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5512),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0),
  [670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(136),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8001),
  [676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2318),
  [679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5513),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(710),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1460),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(3863),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(819),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4466),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12668),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2349),
  [703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1803),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2186),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12247),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12423),
  [717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5512),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9631),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9547),
  [726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9547),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9546),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9635),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(756),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2101),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2043),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9550),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5285),
  [752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(146),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6079),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2327),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5348),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(673),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1234),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(3850),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1268),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4416),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12846),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2348),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1821),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2325),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12393),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12392),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5285),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9504),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7505),
  [806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7505),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7507),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7509),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(656),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2322),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2286),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(166),
  [827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7452),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5628),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12264),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12263),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8320),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9417),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10150),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12752),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12639),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12221),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10140),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12578),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12598),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10226),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12187),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12312),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5463),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10322),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12364),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12579),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10360),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12480),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12293),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5719),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6874),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10268),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12371),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12524),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5619),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7016),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10276),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12290),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12365),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6661),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12995),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6702),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10157),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7827),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12522),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12637),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8717),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9085),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10200),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6905),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5749),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12624),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12570),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8538),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8539),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12811),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6434),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12877),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10396),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6700),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12484),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12601),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7263),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12909),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5211),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10186),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12636),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12584),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6653),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8010),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8011),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7667),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12699),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12655),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8000),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12953),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12879),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6380),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10274),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7775),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12436),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12638),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8923),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8921),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9134),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12770),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12826),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10385),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12223),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12186),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9464),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9467),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9379),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10417),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12292),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12508),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9194),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9184),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12841),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7522),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10192),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12373),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8485),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10369),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12422),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12556),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8680),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8681),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12860),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7703),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10139),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12507),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12622),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9713),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9714),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9612),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10372),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12929),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12916),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12797),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13007),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12778),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8085),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12961),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10213),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7506),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12220),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12437),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8880),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8887),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12731),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8596),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12808),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8263),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12791),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12968),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12897),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8662),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10148),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12893),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12646),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8349),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10193),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9319),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12308),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12486),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9915),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9793),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9805),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10279),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9263),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12555),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12477),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10055),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10070),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10073),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12980),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8597),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12971),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12965),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7388),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12975),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12870),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13002),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13012),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12818),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12824),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12951),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4131),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10151),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8272),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9506),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12763),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9359),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12777),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8991),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12941),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8044),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12856),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9033),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12907),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9272),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10229),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12739),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9382),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13001),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8466),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12867),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13015),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9740),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12900),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12988),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9786),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5211),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [2513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(137),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5206),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3080),
  [2524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1806),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5211),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8080),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2217),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4577),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(128),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4574),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2573),
  [2548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1824),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4577),
  [2554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7176),
  [2557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2100),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4536),
  [2563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(135),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4470),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2545),
  [2572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1813),
  [2575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4536),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7181),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2135),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5285),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(146),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5348),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12846),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2348),
  [2602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1821),
  [2605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5285),
  [2608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9504),
  [2611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2286),
  [2614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4963),
  [2617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(132),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4816),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2575),
  [2626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1808),
  [2629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4963),
  [2632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8053),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2159),
  [2638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6380),
  [2641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5474),
  [2644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(147),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5499),
  [2650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3443),
  [2653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1816),
  [2656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5474),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8349),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2087),
  [2665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4892),
  [2668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(144),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4872),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2578),
  [2677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1825),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4892),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8596),
  [2686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2058),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [2691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7965),
  [2694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4520),
  [2697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(124),
  [2700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8272),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12902),
  [2705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2350),
  [2708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1820),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4520),
  [2714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9600),
  [2717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3844),
  [2720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9160),
  [2723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6130),
  [2726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(129),
  [2729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6148),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [2734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3477),
  [2737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1810),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6130),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8138),
  [2746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2189),
  [2749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8662),
  [2752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9272),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4501),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(125),
  [2761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4496),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3456),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1823),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4501),
  [2773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8238),
  [2776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4893),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(126),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4928),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2576),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1802),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4893),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8143),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2097),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5620),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(131),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5608),
  [2809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3452),
  [2812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1812),
  [2815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5620),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9382),
  [2821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2068),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5588),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(138),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5628),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3849),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1819),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5588),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8326),
  [2845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2151),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5525),
  [2851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(148),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5528),
  [2857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2996),
  [2860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1809),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5525),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8000),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2125),
  [2872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4590),
  [2875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(133),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4591),
  [2881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2571),
  [2884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1807),
  [2887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4590),
  [2890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7956),
  [2893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2209),
  [2896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9033),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9359),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4413),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(120),
  [2908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4395),
  [2911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2582),
  [2914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1822),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4413),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7399),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8044),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12724),
  [2938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9344),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [2945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7295),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4606),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(141),
  [2954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4638),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3841),
  [2960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1826),
  [2963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4606),
  [2966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8991),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [2983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5748),
  [2986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(140),
  [2989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5749),
  [2992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3070),
  [2995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1814),
  [2998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5748),
  [3001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7522),
  [3004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2228),
  [3007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7388),
  [3010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5173),
  [3013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(122),
  [3016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5164),
  [3019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2577),
  [3022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1800),
  [3025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5173),
  [3028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7150),
  [3031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2192),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [3036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8583),
  [3039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4545),
  [3042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(130),
  [3045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4542),
  [3048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3728),
  [3051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1811),
  [3054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4545),
  [3057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8524),
  [3060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6219),
  [3063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(123),
  [3066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6213),
  [3069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3778),
  [3072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1828),
  [3075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6219),
  [3078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8597),
  [3081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2202),
  [3084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7192),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6149),
  [3090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(139),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6168),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3842),
  [3099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1804),
  [3102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6149),
  [3105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8757),
  [3108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2183),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12858),
  [3121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9396),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6702),
  [3131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5512),
  [3134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(136),
  [3137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5513),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12668),
  [3142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2349),
  [3145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1803),
  [3148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5512),
  [3151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9631),
  [3154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2043),
  [3157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9740),
  [3160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8355),
  [3163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7126),
  [3166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4688),
  [3169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(143),
  [3172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4665),
  [3175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3845),
  [3178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1801),
  [3181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4688),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8722),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8085),
  [3190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3843),
  [3193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9213),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13005),
  [3206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10156),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [3213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8136),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [3218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8466),
  [3221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8263),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12996),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9127),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9127),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8642),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7931),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6434),
  [3252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7703),
  [3255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7151),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12869),
  [3268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10180),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9786),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10156),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10180),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9344),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10285),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12599),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12287),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10561),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10823),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10684),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10935),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13872),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12175),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9845),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10310),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [3972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 2, 0, 0),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [3988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 3, 0, 0),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [4130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17445),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5612),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9096),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10091),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10496),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10494),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9960),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9865),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10069),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9854),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6408),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17486),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9027),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7209),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10835),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10836),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17758),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8804),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9366),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10114),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9843),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17733),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11767),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9118),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10979),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10978),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17546),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5630),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8798),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10336),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10352),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9906),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17708),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9300),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10160),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10128),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9978),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9753),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9825),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6762),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17570),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7826),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11714),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6794),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9016),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11053),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11054),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9945),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10034),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10051),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9970),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17791),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9022),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9537),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10067),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9778),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17807),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9202),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5760),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10219),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10223),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17797),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11593),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9293),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9875),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9873),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4587),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4589),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9476),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9473),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17410),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8351),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7854),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9087),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8550),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11288),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11288),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11290),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6929),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7043),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10874),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10873),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17767),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8829),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6271),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10588),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10585),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10596),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9827),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9907),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17723),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9219),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10655),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10654),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9748),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9746),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10007),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17787),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5174),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11632),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9146),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10109),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10107),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5771),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17764),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6042),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8743),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10597),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10599),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17678),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9064),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10281),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10237),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17789),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9228),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10551),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10553),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9880),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17558),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8843),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7272),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10892),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10892),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10904),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10021),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10126),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10006),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 2, 0, 52),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 2, 0, 52),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 3, 0, 52),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 3, 0, 52),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 3, 1, 0),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 3, 1, 0),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shebang, 1, 0, 0),
  [4934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shebang, 1, 0, 0),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9028),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9057),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17371),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10720),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9560),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9349),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15913),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9029),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15987),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15850),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16140),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_wildcard, 1, 0, 0),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10968),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13500),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12038),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12018),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12772),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13354),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13494),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13861),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12847),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11775),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11765),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11737),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11657),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13310),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11128),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13504),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13597),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13431),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12010),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11754),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11781),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11944),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17800),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17528),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6228),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17466),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7023),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17773),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7020),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6690),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [6178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17768),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [6192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6030),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17516),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [6200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6552),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10504),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10504),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10565),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11722),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8778),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8314),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11561),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11559),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17782),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5245),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17318),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8399),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7685),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11335),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11332),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7900),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8506),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11710),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11296),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11296),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11311),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17766),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [6346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5004),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6692),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17396),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7918),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [6390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6876),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17702),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6254),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7095),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6299),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11099),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11099),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11098),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6325),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6375),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17498),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6396),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10773),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10770),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17403),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11494),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6604),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11014),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11013),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6279),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17684),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [6508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17672),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [6562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17713),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11705),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10624),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10624),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10625),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17576),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [6596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17459),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [6628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17389),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11476),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10886),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10893),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10867),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17564),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [6672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [6678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [6688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6536),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11038),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11037),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [6698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7816),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7815),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7975),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6789),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6265),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7750),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17473),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11513),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5763),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17552),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5764),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6455),
  [6778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4706),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5774),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17540),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6006),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9018),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17796),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9605),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11504),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9116),
  [6832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12541),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12540),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12536),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [6856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17424),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11414),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11412),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9630),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10665),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9562),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12205),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10182),
  [6920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11058),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [7066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10328),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11111),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9115),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10435),
  [7160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10388),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11039),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14647),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10416),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12431),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11214),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12062),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10149),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12249),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10416),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9927),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10735),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12495),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11969),
  [7206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9889),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10682),
  [7210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9862),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11025),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9736),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [7234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12191),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9762),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11454),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9767),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11441),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11747),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10264),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11096),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9888),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11164),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [7258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9797),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10879),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9885),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11161),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9917),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11196),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9775),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10852),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9904),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11191),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10058),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10814),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9932),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11195),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9821),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11319),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9964),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11381),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9923),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11190),
  [7312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11758),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11470),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12085),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11762),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11758),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10755),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9936),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10772),
  [7338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11172),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11478),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11398),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10554),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9804),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10736),
  [7354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [7356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10017),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10751),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10295),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10972),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10373),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11050),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9994),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10747),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11100),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9850),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10737),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9694),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10637),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9670),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10568),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9979),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10681),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10406),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11122),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9665),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10621),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10329),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11103),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10365),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11020),
  [7410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 0),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10573),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10571),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10134),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10132),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9594),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9596),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10608),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10607),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8694),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10964),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10962),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10966),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9944),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9943),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10455),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10450),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10615),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10619),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10614),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8621),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [7518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9747),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [7528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10024),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10188),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10189),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [7544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10926),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10926),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10925),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9336),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9337),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9648),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9647),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8975),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8957),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9123),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9122),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10145),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [7598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10185),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10029),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10033),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9836),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9833),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10258),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10302),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10474),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [7638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10469),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9634),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [7648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9633),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [7654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10476),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10475),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9754),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9750),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9491),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9498),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9046),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9045),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [7694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10297),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10294),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9673),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9672),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10121),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10123),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9792),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9789),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10430),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10431),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8775),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8406),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8407),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10712),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10713),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10832),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10830),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10377),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10370),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10356),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [7808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10362),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8973),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8970),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [7824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10412),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10411),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10716),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10716),
  [7838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10709),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [7844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7650),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9851),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9849),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8363),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11624),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11620),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10606),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10589),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10359),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10341),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10409),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9984),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9985),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9981),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9832),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9839),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [7934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10085),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10081),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9995),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10031),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8139),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8244),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10891),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10890),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9110),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9111),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6761),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [8002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 2, 4, 0),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 2, 4, 0),
  [8006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [8008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12331),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [8042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9724),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9730),
  [8046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9567),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7339),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12349),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15938),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17257),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16101),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16100),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14442),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14453),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12741),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8605),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8231),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14598),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16103),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [8128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8712),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12370),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [8154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [8156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [8158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13423),
  [8166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 2, 0, 3),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, 0, 3),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12192),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [8182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14280),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [8198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [8206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [8214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [8216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14364),
  [8220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [8222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [8224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13609),
  [8228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17777),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11468),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13054),
  [8242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_projected_type, 3, 0, 85),
  [8244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 42),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17779),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [8250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 42),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7580),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9309),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12234),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17743),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11396),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [8274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17380),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [8284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [8286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [8288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [8290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_types, 1, 0, 0),
  [8292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [8296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [8300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 43),
  [8302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13259),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17417),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [8312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13488),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13287),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13259),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13029),
  [8322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14290),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12564),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8961),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13555),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13608),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13563),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7839),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11543),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17696),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12014),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11573),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11719),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13571),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13574),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11143),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17438),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11523),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11395),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11324),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9164),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12534),
  [8402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12260),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12235),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [8418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6239),
  [8422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [8430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [8432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17618),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [8440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17654),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [8454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8130),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9803),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17612),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10052),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9831),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10117),
  [8488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [8490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [8493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5142),
  [8496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6431),
  [8499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [8502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6415),
  [8505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6413),
  [8508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [8510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17805),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7978),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [8522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [8524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5756),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [8530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [8534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17431),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [8538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [8540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [8546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [8548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17794),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [8552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6631),
  [8556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6146),
  [8558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6640),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6164),
  [8566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7540),
  [8568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7567),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17778),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [8586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [8592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [8594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [8596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7712),
  [8598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7735),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12199),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [8616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17349),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [8620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8293),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8446),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [8640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8312),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12354),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17624),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8998),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [8670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12337),
  [8672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [8674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [8676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7663),
  [8678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 66),
  [8680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 66),
  [8682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [8684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [8686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7566),
  [8688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7811),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [8694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [8698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8884),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [8702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12311),
  [8704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [8714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [8718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17786),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [8722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [8724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [8726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6846),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [8732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [8734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [8736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [8738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9193),
  [8740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9058),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [8746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8997),
  [8748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9241),
  [8750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [8752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [8754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 55),
  [8756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 55),
  [8758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [8760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [8762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_body, 2, 0, 0),
  [8764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_body, 2, 0, 0),
  [8766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [8770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [8782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [8784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [8786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [8788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6992),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [8795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [8801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [8803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17630),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [8807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [8809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17606),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [8813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [8815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9031),
  [8817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [8819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17510),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [8825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [8831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [8837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12197),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [8841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6419),
  [8845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [8851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [8857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12326),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5770),
  [8861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5772),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [8871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6864),
  [8873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [8875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6832),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6899),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7107),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9178),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12581),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [8907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12310),
  [8909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [8911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7664),
  [8913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8043),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [8919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7989),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12569),
  [8927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [8932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [8934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9151),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17811),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12947),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14441),
  [8948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8980),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17753),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [8956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [8960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9296),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12244),
  [8966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9009),
  [8968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [8970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [8972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [8974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8961),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12194),
  [8983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8964),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [8987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [8991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9013),
  [8993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard, 1, 0, 0),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [9001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12240),
  [9003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17748),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [9007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [9009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8712),
  [9012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [9014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [9020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12245),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12174),
  [9028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17783),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [9032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7644),
  [9034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7902),
  [9036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1685),
  [9039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17781),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7611),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [9049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12265),
  [9051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [9055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [9063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12554),
  [9065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14813),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9137),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12206),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [9082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9215),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12211),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [9094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_projected_type, 3, 0, 85),
  [9096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [9098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 43),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [9106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [9108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [9111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [9113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8866),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [9117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [9119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15),
  [9121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17618),
  [9124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(22),
  [9127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15),
  [9129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [9133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9325),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [9137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12475),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [9143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12198),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17636),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [9149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7692),
  [9151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [9155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [9157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [9159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [9161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15255),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9277),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [9170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12321),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12316),
  [9184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17780),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [9190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1743),
  [9193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9164),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17801),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7888),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12270),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9285),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9000),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12505),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11884),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17522),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7939),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17806),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [9238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12491),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [9252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9309),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9209),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12267),
  [9263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [9274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9306),
  [9277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17798),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7874),
  [9285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12284),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7855),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8862),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12314),
  [9307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1765),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9211),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8976),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [9324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15018),
  [9326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1774),
  [9329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12177),
  [9338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17795),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7859),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9299),
  [9349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9241),
  [9352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9031),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [9359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12181),
  [9361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17813),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17763),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [9373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8980),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15776),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17769),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17812),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17452),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [9396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9178),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [9403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12208),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11840),
  [9407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [9409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7747),
  [9413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17808),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [9417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [9419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [9426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8747),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12269),
  [9432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8884),
  [9435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1689),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12219),
  [9448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84),
  [9450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84),
  [9452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7580),
  [9455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12203),
  [9463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [9465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [9467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [9469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [9471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [9475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [9477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [9481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17690),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7915),
  [9487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9183),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12200),
  [9495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [9497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9199),
  [9499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8773),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12257),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [9515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8964),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [9520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [9524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12212),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [9528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11813),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9142),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [9538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17431),
  [9541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(110),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12180),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9141),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [9554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [9556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [9558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bindings, 2, 0, 0),
  [9560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8998),
  [9563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [9565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9151),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15583),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [9576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8969),
  [9578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1772),
  [9581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9009),
  [9584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9013),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [9591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [9594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17778),
  [9597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(60),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [9602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [9606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12448),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [9610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [9612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1753),
  [9615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1719),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [9622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12325),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [9626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1711),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11842),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [9637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12538),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12155),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [9643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [9646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7745),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [9653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12178),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15005),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [9659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1716),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12256),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8822),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12207),
  [9680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [9682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1674),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17790),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [9689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7791),
  [9691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [9693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17814),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8077),
  [9701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17784),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7679),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12259),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15915),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [9727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [9729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9166),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12253),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8914),
  [9739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7839),
  [9742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [9744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17785),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7695),
  [9752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17788),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12281),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9255),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12250),
  [9775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7647),
  [9778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 83),
  [9780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 83),
  [9782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [9784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [9786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [9790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15120),
  [9792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7849),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12189),
  [9803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1746),
  [9806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17803),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [9810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [9812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1656),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12544),
  [9821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [9823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [9827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [9831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [9833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [9836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17624),
  [9839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(21),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [9844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17672),
  [9847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(13),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16121),
  [9852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9324),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12193),
  [9862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17774),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [9871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [9873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_body, 1, 0, 0),
  [9875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_body, 1, 0, 0),
  [9877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1736),
  [9880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [9884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8721),
  [9886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15912),
  [9888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17765),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [9892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [9894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9099),
  [9896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9299),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15259),
  [9901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9296),
  [9904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9131),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [9908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [9910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [9916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [9918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9280),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [9923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8913),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [9927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12202),
  [9929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12593),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [9939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9203),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [9943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12334),
  [9945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9137),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [9952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12389),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [9956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [9968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12227),
  [9970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9285),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [9977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12466),
  [9979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [9981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [9983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [9987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [9989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [9991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [9993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [9995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [9997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [10001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [10003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [10005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15934),
  [10007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [10011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7885),
  [10013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 3, 0, 0),
  [10015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 3, 0, 0),
  [10017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17534),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [10021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [10023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15927),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [10027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9089),
  [10029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [10031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [10033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9277),
  [10036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [10040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9211),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [10045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [10047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [10051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12600),
  [10061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9215),
  [10064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [10066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [10068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9322),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [10080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12224),
  [10082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 3, 0, 0),
  [10084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_block, 3, 0, 0),
  [10086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8866),
  [10089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [10091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1785),
  [10094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [10096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [10106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15026),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [10110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1701),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [10115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8976),
  [10118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17510),
  [10121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(68),
  [10124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7678),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [10128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7709),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [10133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [10136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7978),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [10141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [10143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [10145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [10148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 4, 0, 0),
  [10150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 4, 0, 0),
  [10152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [10158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12261),
  [10160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [10164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12458),
  [10170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 0),
  [10172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 0),
  [10174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 13),
  [10176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 13),
  [10178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [10180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7795),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12993),
  [10184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8062),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17792),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7800),
  [10193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [10196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15170),
  [10198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1795),
  [10201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7599),
  [10204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17718),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [10208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11912),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15076),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [10222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7746),
  [10224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8773),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [10231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12434),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [10245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7568),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17799),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [10252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7886),
  [10254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9253),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [10258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12529),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9094),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17582),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [10274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [10276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [10278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [10280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17802),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [10284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7901),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9274),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [10292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12406),
  [10294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [10297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9199),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12089),
  [10302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8969),
  [10305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1764),
  [10308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15113),
  [10310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7606),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17804),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17770),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [10337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17766),
  [10340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(37),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9317),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [10361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [10363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [10365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [10367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [10369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [10371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7663),
  [10374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [10376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [10378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [10382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [10384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [10390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [10398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [10400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7611),
  [10403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [10405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17809),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [10409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8048),
  [10411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7644),
  [10414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 2, 0, 41),
  [10416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 2, 0, 41),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [10420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [10422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [10424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17782),
  [10427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(18),
  [10430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [10432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11937),
  [10436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [10440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [10443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7713),
  [10446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 3, 0, 42),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 3, 0, 42),
  [10450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8862),
  [10453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3584),
  [10456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [10458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8756),
  [10464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [10466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [10468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 40),
  [10470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 40),
  [10472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__refinement, 1, 0, 39),
  [10474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refinement, 1, 0, 39),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [10478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [10480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [10482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7944),
  [10484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 2, 0, 19),
  [10486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 2, 0, 19),
  [10488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 20),
  [10490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 20),
  [10492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [10494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9281),
  [10498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 3, 0, 15),
  [10500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 3, 0, 15),
  [10502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [10504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [10506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 64),
  [10508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 64),
  [10510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [10512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [10514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 67),
  [10516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 67),
  [10518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [10520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [10522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [10528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [10530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [10532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [10534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [10536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [10540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [10542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12750),
  [10546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15237),
  [10548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1752),
  [10551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9252),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9440),
  [10559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [10565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10963),
  [10567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9618),
  [10569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [10571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10965),
  [10575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [10579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [10581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 3, 0, 138),
  [10583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 3, 0, 138),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [10591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12188),
  [10593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12612),
  [10603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [10605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [10611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8966),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8888),
  [10619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 2, 0, 21),
  [10621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 2, 0, 21),
  [10623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [10628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [10632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1779),
  [10635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [10638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_type, 3, 0, 66),
  [10640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_type, 3, 0, 66),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8751),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9168),
  [10648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17349),
  [10651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(118),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12295),
  [10662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1791),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8875),
  [10667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9325),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [10672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [10675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [10679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [10682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [10687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9209),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12111),
  [10692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9183),
  [10695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1702),
  [10698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9224),
  [10701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9142),
  [10704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9000),
  [10707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17648),
  [10710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17772),
  [10713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9141),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9147),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12417),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [10730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1727),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9095),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17738),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [10739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7890),
  [10741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17810),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [10745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [10749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9131),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [10754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9066),
  [10757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15832),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [10766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12230),
  [10768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [10771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [10774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17800),
  [10777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(88),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17776),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [10786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [10788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [10790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_pattern, 3, 0, 66),
  [10792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_pattern, 3, 0, 66),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [10796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [10800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [10803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_pattern, 3, 0, 91),
  [10805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_pattern, 3, 0, 91),
  [10807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8012),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8952),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [10818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12367),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9161),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [10824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [10827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9255),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12122),
  [10836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7888),
  [10839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17728),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [10845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7874),
  [10848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17480),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [10853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [10855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17771),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [10861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7863),
  [10864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7692),
  [10867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7859),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12179),
  [10876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9229),
  [10879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15566),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17642),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [10887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1750),
  [10890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [10893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9324),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12633),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [10906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1740),
  [10909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9191),
  [10912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9212),
  [10915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9166),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [10924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12441),
  [10926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1729),
  [10929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1761),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [10936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9099),
  [10939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9089),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [10944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7902),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [10949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7708),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [10954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [10956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [10958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [10961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12518),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [10987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [10989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [10991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7508),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [11025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [11027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [11029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12426),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [11039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7592),
  [11042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8914),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11827),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [11061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17459),
  [11064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(94),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14803),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [11071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7939),
  [11074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8822),
  [11077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15750),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [11081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17600),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [11086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [11098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8749),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [11103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8747),
  [11106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1657),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [11111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1660),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [11118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17540),
  [11121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(51),
  [11124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9167),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9176),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [11130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [11132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [11134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17552),
  [11137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(47),
  [11140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [11144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [11150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7528),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11918),
  [11155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17775),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [11159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [11163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1734),
  [11166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [11169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11491),
  [11177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11519),
  [11179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [11181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11522),
  [11183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9094),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [11188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8071),
  [11191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [11193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9136),
  [11195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17594),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [11199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [11201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9203),
  [11204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8065),
  [11207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9168),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12142),
  [11212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19),
  [11215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(43),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17793),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [11224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [11227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12366),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11433),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [11246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8042),
  [11249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8032),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [11258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9252),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [11263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17504),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [11270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17588),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [11278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9258),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [11283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7960),
  [11286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9281),
  [11289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7448),
  [11292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17684),
  [11295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(62),
  [11298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8721),
  [11301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7742),
  [11304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9253),
  [11307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [11311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [11313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [11315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [11317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [11321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11677),
  [11323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [11325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [11327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [11329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [11331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [11335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14904),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [11341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [11344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1763),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [11351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [11356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [11359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12915),
  [11363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [11365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [11369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [11371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17492),
  [11374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7915),
  [11377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [11379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [11383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [11385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8759),
  [11388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9317),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12990),
  [11395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14970),
  [11397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9322),
  [11400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [11402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [11404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [11410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [11412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17768),
  [11415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(39),
  [11418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [11421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17564),
  [11424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(42),
  [11427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [11429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [11431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1667),
  [11434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [11436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [11438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [11440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [11442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [11444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8913),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [11453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11834),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [11461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12528),
  [11463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [11465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [11467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [11469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [11473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [11475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [11477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [11479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [11481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [11485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [11487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [11489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [11491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8931),
  [11493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [11495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [11497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [11499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [11501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [11505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17702),
  [11508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(8),
  [11511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15768),
  [11513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2563),
  [11516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 2),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [11521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8073),
  [11524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [11526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [11528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [11530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [11534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15020),
  [11536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [11541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7855),
  [11544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [11546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9311),
  [11548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [11555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [11557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8909),
  [11560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [11562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [11564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [11568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [11572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8927),
  [11574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8875),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [11579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8888),
  [11582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9095),
  [11585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0),
  [11587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7778),
  [11589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [11591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8029),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12262),
  [11600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7439),
  [11603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [11605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8077),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [11610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [11613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9161),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [11620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [11622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17466),
  [11625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(90),
  [11628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7393),
  [11631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8756),
  [11634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(30),
  [11637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1799),
  [11640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15422),
  [11642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7516),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [11647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8954),
  [11650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [11653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17773),
  [11656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(48),
  [11659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7437),
  [11662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9147),
  [11665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7679),
  [11668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8966),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [11673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9060),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12382),
  [11679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9274),
  [11682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1769),
  [11685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7941),
  [11688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7695),
  [11691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1704),
  [11694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [11696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8810),
  [11698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [11700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7714),
  [11703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17396),
  [11706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(117),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [11711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [11713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [11715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [11717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [11721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [11723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7747),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [11728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [11733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [11735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17371),
  [11738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(56),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [11745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12063),
  [11749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17666),
  [11752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [11754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7791),
  [11757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [11759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15427),
  [11761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [11763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9167),
  [11766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13748),
  [11768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13922),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13794),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [11776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13679),
  [11778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8751),
  [11781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [11783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [11787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7845),
  [11790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [11793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1666),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [11800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 5, 0, 168),
  [11802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 5, 0, 168),
  [11804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7800),
  [11807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17660),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [11812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [11814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [11823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 179),
  [11825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 179),
  [11827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 180),
  [11829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 180),
  [11831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17473),
  [11834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(86),
  [11837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 7, 0, 186),
  [11839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 7, 0, 186),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12016),
  [11843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7441),
  [11846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7795),
  [11849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1604),
  [11852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9176),
  [11855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9136),
  [11858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arrow_then_type, 2, 0, 10),
  [11860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_then_type, 2, 0, 10),
  [11862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_type, 3, 0, 0),
  [11864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_type, 3, 0, 0),
  [11866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9311),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12061),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11888),
  [11873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17576),
  [11876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(35),
  [11879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [11881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7461),
  [11884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7746),
  [11887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [11890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7678),
  [11893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7885),
  [11896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9225),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [11904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7886),
  [11907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8952),
  [11910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7504),
  [11913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8927),
  [11916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7901),
  [11919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 4, 0, 115),
  [11921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 4, 0, 115),
  [11923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8048),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15650),
  [11928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1731),
  [11931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1775),
  [11934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 79),
  [11936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 79),
  [11938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7986),
  [11941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7957),
  [11944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7583),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [11949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12762),
  [11953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [11959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11258),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11857),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11223),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11766),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12792),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13304),
  [11975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12789),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [11981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12837),
  [11983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7890),
  [11986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12452),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12693),
  [11990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12459),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12384),
  [11998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11774),
  [12000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12029),
  [12002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11761),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11774),
  [12008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11547),
  [12010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12796),
  [12012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13311),
  [12014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12793),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12796),
  [12020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12862),
  [12022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10986),
  [12024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13328),
  [12026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11066),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [12032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13320),
  [12034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7552),
  [12037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8057),
  [12040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11076),
  [12042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11700),
  [12044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11046),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [12050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11201),
  [12052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8931),
  [12055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17318),
  [12058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(105),
  [12061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17452),
  [12064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7558),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [12071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [12074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11424),
  [12076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11652),
  [12078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11429),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11338),
  [12086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7944),
  [12089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11119),
  [12091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11387),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11101),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11119),
  [12099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11070),
  [12101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [12103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [12105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7786),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [12111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [12113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(2563),
  [12116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym_binding, 1, 10, 2),
  [12119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12412),
  [12121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12888),
  [12123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12421),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [12129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12546),
  [12131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10060),
  [12133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12159),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [12139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11473),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [12143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [12147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11322),
  [12149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11752),
  [12151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11325),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [12157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11431),
  [12159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9028),
  [12162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7508),
  [12165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11806),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12442),
  [12169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11804),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11806),
  [12175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12160),
  [12177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [12179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [12181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7727),
  [12184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12402),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12759),
  [12188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12403),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [12194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12470),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10798),
  [12198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11035),
  [12200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10801),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [12206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10774),
  [12208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12832),
  [12210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13276),
  [12212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12829),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [12218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12875),
  [12220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7494),
  [12223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7706),
  [12226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10719),
  [12228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11109),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10769),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [12236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10884),
  [12238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7551),
  [12241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8084),
  [12244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11887),
  [12246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12424),
  [12248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11877),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11887),
  [12254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11981),
  [12256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12409),
  [12258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12831),
  [12260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12410),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12409),
  [12266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12550),
  [12268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11061),
  [12270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11374),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11060),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11061),
  [12278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11097),
  [12280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7825),
  [12283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 2, 0, 0),
  [12285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 2, 0, 0),
  [12287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 2, 0, 0),
  [12289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 2, 0, 0),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8639),
  [12293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [12295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 1, 0, 0),
  [12297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 1, 0, 0),
  [12299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [12301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5652),
  [12303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9117),
  [12305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9101),
  [12307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 1, 0, 0),
  [12309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 1, 0, 0),
  [12311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [12313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6496),
  [12315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7405),
  [12318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9412),
  [12320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9410),
  [12322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1679),
  [12325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7730),
  [12328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8259),
  [12330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [12332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [12334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7451),
  [12336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 3, 0, 0),
  [12338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 3, 0, 0),
  [12340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 3, 0, 0),
  [12342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 3, 0, 0),
  [12344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8837),
  [12346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8839),
  [12348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [12350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8559),
  [12352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(2564),
  [12355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0),
  [12358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9144),
  [12360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9152),
  [12362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7442),
  [12365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [12367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [12369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [12371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [12373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8810),
  [12376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [12379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [12381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [12383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7530),
  [12386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7496),
  [12389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [12391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6646),
  [12393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8152),
  [12395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8146),
  [12397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9060),
  [12400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [12402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [12404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7807),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [12409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0),
  [12411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(10290),
  [12414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9225),
  [12417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2564),
  [12420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0),
  [12423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15036),
  [12425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17612),
  [12428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(23),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12124),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [12435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16196),
  [12437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16226),
  [12439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16562),
  [12441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16306),
  [12443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17011),
  [12445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [12455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(14925),
  [12458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16394),
  [12460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7753),
  [12463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16256),
  [12465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16602),
  [12467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16524),
  [12469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16283),
  [12471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16216),
  [12473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16630),
  [12475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16719),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12229),
  [12481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17092),
  [12483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16501),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16166),
  [12487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16245),
  [12489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16366),
  [12491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16331),
  [12493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10666),
  [12495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14312),
  [12501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15887),
  [12503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [12505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14706),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14030),
  [12509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10741),
  [12511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13707),
  [12515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16182),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14317),
  [12519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16275),
  [12521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16436),
  [12523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16804),
  [12525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7778),
  [12528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16676),
  [12530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16425),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14013),
  [12534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16165),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [12540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12573),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [12550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(15522),
  [12553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14299),
  [12555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [12563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14239),
  [12565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13927),
  [12567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14391),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [12571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14084),
  [12573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13681),
  [12575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(12045),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [12580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(7411),
  [12583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(10260),
  [12586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(14658),
  [12589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7999),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12304),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [12606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 3, 0, 90),
  [12608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, 0, 105),
  [12610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, 0, 105),
  [12612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [12614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 3, 0, 90),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10783),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12233),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [12628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 4, 0, 0),
  [12630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 126),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13548),
  [12634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [12636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 1, 0, 0),
  [12638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 16),
  [12640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1794),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13450),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12632),
  [12651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [12653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_declaration, 4, 0, 105),
  [12655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [12657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 4, 0, 105),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13795),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13604),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [12665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 1, 0, 0),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [12669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 126),
  [12671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [12673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 5, 0, 0),
  [12675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [12677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 16),
  [12679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1651),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13760),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [12686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 6, 0, 0),
  [12688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 6, 0, 0),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12449),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12232),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13481),
  [12716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [12718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22),
  [12720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22), SHIFT(14925),
  [12723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12322),
  [12733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_given_pattern, 2, 0, 50),
  [12735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_pattern, 2, 0, 50),
  [12737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [12739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22), SHIFT(15522),
  [12742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_pattern, 2, 0, 52),
  [12744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_pattern, 2, 0, 52),
  [12746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [12748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [12750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9273),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [12755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [12757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 3, 0, 92),
  [12759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 3, 0, 92),
  [12761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [12763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [12765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [12767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [12769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12386),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12228),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [12788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [12790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [12792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [12794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [12796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [12798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [12800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [12802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [12806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 5, 0, 156),
  [12808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 5, 0, 156),
  [12810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [12812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [12814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [12816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [12819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 4, 0, 132),
  [12821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 4, 0, 132),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [12825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [12827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 6, 0, 173),
  [12829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 6, 0, 173),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12248),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17380),
  [12839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 118),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16941),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16668),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16648),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16194),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16871),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16869),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16628),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16853),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16588),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16586),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16704),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12317),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16568),
  [12885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 10),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16566),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17469),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17483),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17020),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16528),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16687),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17018),
  [12907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13995),
  [12909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12433),
  [12911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12106),
  [12913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13942),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [12917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12374),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16526),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [12923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16840),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [12931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 38),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17693),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17705),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16484),
  [12947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13892),
  [12949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12625),
  [12951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11971),
  [12953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13980),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [12957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12553),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16465),
  [12961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 144),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16463),
  [12967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ascription_expression, 3, 4, 0),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [12973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1749),
  [12976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 111),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16723),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16444),
  [12984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 61),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16423),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16744),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [12994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15564),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16943),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16421),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16381),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16360),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17049),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16337),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16314),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16312),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16290),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16931),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16742),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16263),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17034),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16203),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16761),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16763),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16779),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17009),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16201),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16965),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16171),
  [13082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17318),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [13090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12), SHIFT(14229),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16190),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16184),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16781),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15906),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16177),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16207),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16987),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16797),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16241),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16270),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16298),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [13139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16815),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16326),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14925),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16974),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [13156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22),
  [13158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22), SHIFT(14925),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16817),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16355),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16361),
  [13167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2),
  [13169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(14925),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16387),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16917),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16458),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16785),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16996),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16467),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16777),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16907),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16495),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16497),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16515),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16518),
  [13202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 1, 0, 2),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16701),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16555),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16976),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16985),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16593),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16596),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16620),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16697),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16889),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16622),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12246),
  [13246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [13248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [13252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [13254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [13258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 1, 0, 2),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [13266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13506),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12222),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [13286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12), SHIFT(14375),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [13293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 1, 0, 2),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17777),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [13309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 160),
  [13311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 130), REDUCE(sym_if_expression, 6, 0, 160),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [13318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_case_clause, 3, 0, 74),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [13322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 131),
  [13324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13787),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [13330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 65),
  [13332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [13335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14593),
  [13337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 49),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [13345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 7, 0, 174),
  [13347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 154), REDUCE(sym_if_expression, 7, 0, 174),
  [13350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [13352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, 0, 155),
  [13354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8767),
  [13357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 154),
  [13359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1676),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [13364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 130),
  [13366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeated_parameter_type, 2, 0, 92),
  [13368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [13370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [13373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_parameter_type, 2, 0, 50),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [13377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 2, 0, 0),
  [13379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 114),
  [13381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 63), REDUCE(sym_match_expression, 4, 0, 114),
  [13384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indentable_expression, 1, 0, 0),
  [13386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_expression, 4, 0, 104),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [13390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 101),
  [13392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 14),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12201),
  [13398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [13400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 94),
  [13402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [13404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 93),
  [13406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 89),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12329),
  [13412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [13415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 63),
  [13417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 44),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [13421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 3, 0, 14),
  [13423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(15522),
  [13426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9172),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [13431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22), SHIFT(15522),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17743),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [13448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1668),
  [13451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [13453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [13457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [13459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [13461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [13463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [13465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12068),
  [13467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11591),
  [13469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [13471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [13473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11260),
  [13475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11005),
  [13477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [13479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12510),
  [13481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6869),
  [13483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [13485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11113),
  [13487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [13489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [13493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [13495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [13497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [13499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [13501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 36),
  [13503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 36),
  [13505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [13507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [13509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [13511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [13513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12694),
  [13515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12627),
  [13517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [13519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [13521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11859),
  [13523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10718),
  [13525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [13527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [13529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11983),
  [13531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11515),
  [13533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10154),
  [13535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [13537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [13539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6267),
  [13541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [13543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11845),
  [13545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11489),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [13553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [13555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [13557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [13559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [13561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8801),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [13566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [13568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [13570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9313),
  [13572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [13582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11596),
  [13584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11308),
  [13586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7057),
  [13588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6261),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14703),
  [13592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [13594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [13596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [13598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [13600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [13602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6814),
  [13604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10449),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12254),
  [13610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [13612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [13616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [13618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7869),
  [13620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [13622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13202),
  [13624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12774),
  [13626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11686),
  [13628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11278),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [13632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [13634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8023),
  [13636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7273),
  [13638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [13640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5655),
  [13642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [13644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6752),
  [13646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [13648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13049),
  [13650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12954),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [13656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12336),
  [13658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13412),
  [13660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13184),
  [13662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14215),
  [13664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8679),
  [13666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7642),
  [13668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [13670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [13672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [13674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [13676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [13678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6358),
  [13680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [13682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7587),
  [13684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [13686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [13688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7258),
  [13690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [13692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5638),
  [13694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [13696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [13698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [13700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 1, 0, 70),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [13706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [13708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [13710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12478),
  [13712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11999),
  [13714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5185),
  [13716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [13718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [13720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [13722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12503),
  [13724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11791),
  [13726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1732),
  [13729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10975),
  [13731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10889),
  [13733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [13735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [13741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [13743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [13745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46),
  [13747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46), SHIFT(14229),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [13754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [13756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [13758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [13760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [13762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12994),
  [13764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14418),
  [13766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [13768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [13770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11049),
  [13772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10919),
  [13774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7185),
  [13776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [13778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8285),
  [13780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7710),
  [13782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5168),
  [13784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [13786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [13788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [13790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14043),
  [13792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8098),
  [13794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [13796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [13798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [13800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 22),
  [13802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 22),
  [13804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [13806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5188),
  [13808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 99),
  [13810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 99),
  [13812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13048),
  [13814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12890),
  [13816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 57),
  [13818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 57),
  [13820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [13822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [13824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 80),
  [13826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 80),
  [13828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [13830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [13832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [13834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [13836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6005),
  [13838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [13840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 57),
  [13842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 57),
  [13844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12689),
  [13846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12456),
  [13848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7788),
  [13850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [13852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [13854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [13856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11563),
  [13858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11397),
  [13860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12733),
  [13862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12589),
  [13864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [13867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8298),
  [13869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [13871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7618),
  [13873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [13875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [13877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [13879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [13882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [13884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [13886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [13888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [13890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6923),
  [13892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6525),
  [13894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [13896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [13898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [13900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [13902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1684),
  [13905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [13907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6105),
  [13909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 36),
  [13911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 36),
  [13913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7031),
  [13915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6975),
  [13917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11841),
  [13919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11505),
  [13921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [13923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [13925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15980),
  [13927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11633),
  [13929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11199),
  [13931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12440),
  [13933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13858),
  [13935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 44),
  [13937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 44),
  [13939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13628),
  [13941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12097),
  [13943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [13945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [13949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [13951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [13953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [13955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [13957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11150),
  [13959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11051),
  [13961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [13963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [13965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [13967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [13969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16083),
  [13971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 80),
  [13973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 80),
  [13975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [13977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8079),
  [13979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [13981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9233),
  [13983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1789),
  [13986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [13988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6244),
  [13990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [13992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [13994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9902),
  [13996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9910),
  [13998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 31),
  [14000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7984),
  [14002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7719),
  [14004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11627),
  [14006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11148),
  [14008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9380),
  [14010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12362),
  [14016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8034),
  [14018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7140),
  [14020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [14022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [14024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 5, 0, 99),
  [14026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 5, 0, 99),
  [14028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [14030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [14032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8719),
  [14035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [14037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [14039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [14041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [14043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [14045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [14049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 22),
  [14051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 22),
  [14053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [14055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [14057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13926),
  [14059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13785),
  [14061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 44),
  [14063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 44),
  [14065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [14067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [14069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [14071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [14073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [14075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6379),
  [14077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11571),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [14083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7987),
  [14086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9667),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [14092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9501),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [14096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [14102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [14106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8019),
  [14108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [14110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8469),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [14116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [14124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [14126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7239),
  [14128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [14130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [14132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [14134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [14136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [14138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12667),
  [14140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8050),
  [14142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6235),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [14148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [14150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [14152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [14154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [14156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7034),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [14162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6177),
  [14164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8782),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [14170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8835),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [14174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [14180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [14184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12713),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [14190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7794),
  [14192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [14194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11874),
  [14196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10987),
  [14198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8699),
  [14200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11579),
  [14202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11916),
  [14204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [14206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [14208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13954),
  [14210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [14212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10990),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [14216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 14),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [14222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [14224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [14226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12676),
  [14228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9669),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [14234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9513),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [14238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11964),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [14244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6757),
  [14246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13060),
  [14248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6703),
  [14250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13039),
  [14252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [14254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [14256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [14258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [14260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [14262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [14264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9370),
  [14266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9352),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [14272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9368),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [14280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [14282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [14284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [14286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5930),
  [14288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11364),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [14292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12506),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [14296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [14298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13192),
  [14300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [14302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11427),
  [14304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10673),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [14310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10675),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [14314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6823),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [14320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [14328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8729),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [14334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [14338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6783),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [14344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [14350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [14352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13826),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [14356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11257),
  [14358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1693),
  [14361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10026),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [14367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10038),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [14371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [14373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [14379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [14381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1766),
  [14384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [14386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12481),
  [14388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [14390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [14392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [14394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [14396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11481),
  [14398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14064),
  [14400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [14402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [14404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10358),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [14410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [14418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [14421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15982),
  [14423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [14425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [14427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148),
  [14429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148), SHIFT(14925),
  [14432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [14438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [14446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10753),
  [14448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9006),
  [14450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15991),
  [14452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [14454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [14456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [14462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [14470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 1, 0, 2),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [14476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121),
  [14478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121), SHIFT(14925),
  [14481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120),
  [14483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120), SHIFT(14925),
  [14486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22),
  [14488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22), SHIFT(14925),
  [14491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16114),
  [14493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [14495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11683),
  [14497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10014),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [14501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12173),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [14507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15895),
  [14509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [14511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [14513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11175),
  [14515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [14521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [14529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11875),
  [14531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13931),
  [14533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16058),
  [14535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [14537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [14539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16006),
  [14541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [14543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [14545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69),
  [14547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(14925),
  [14550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2),
  [14552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(14925),
  [14555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68),
  [14557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68), SHIFT(14925),
  [14560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [14562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [14568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8537),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [14574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8453),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8279),
  [14584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [14586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [14588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8857),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [14594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8848),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [14602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16088),
  [14604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [14606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8141),
  [14608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46), SHIFT(14375),
  [14611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [14613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11718),
  [14615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [14617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7873),
  [14619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [14621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23),
  [14623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23), SHIFT(14925),
  [14626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7237),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12050),
  [14632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [14634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [14636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9950),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [14642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10125),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [14654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [14660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8703),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [14664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [14670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1723),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [14675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [14677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15979),
  [14679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [14681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13630),
  [14683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15893),
  [14685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [14687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9549),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [14693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9552),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [14703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [14705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [14707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [14709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [14711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15995),
  [14713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [14717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8977),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [14723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8893),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [14727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16084),
  [14729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [14735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15890),
  [14737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [14739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9068),
  [14741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8368),
  [14743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [14745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [14747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14011),
  [14749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [14751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [14753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15963),
  [14755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [14757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [14759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [14761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16052),
  [14763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [14765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [14767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [14769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [14771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [14775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16133),
  [14777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [14779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15942),
  [14781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12057),
  [14787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [14789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16081),
  [14791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [14797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [14807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [14809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [14811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [14813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15902),
  [14815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [14817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4624),
  [14819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [14821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15925),
  [14823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [14825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [14827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [14833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [14837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16029),
  [14839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [14841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 99),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [14845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11056),
  [14847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [14849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [14851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [14857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [14865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [14867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [14869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [14875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [14879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [14881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [14883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [14885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [14887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [14889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16138),
  [14891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [14893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [14903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [14909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 22),
  [14911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16105),
  [14913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [14915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16075),
  [14917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [14919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [14921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16037),
  [14923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [14925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16014),
  [14927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [14929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0),
  [14931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4258),
  [14934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(14925),
  [14937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [14939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [14941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7711),
  [14943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [14945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [14947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11540),
  [14949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [14951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15978),
  [14953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12925),
  [14957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [14967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 57),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [14973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0),
  [14975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(10260),
  [14978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15410),
  [14981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10527),
  [14983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11733),
  [14985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [14987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 22),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [15007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16091),
  [15009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(10305),
  [15012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15305),
  [15015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9050),
  [15017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [15019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16119),
  [15021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47),
  [15023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47), SHIFT(14229),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [15030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8008),
  [15032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13577),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [15042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 2),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [15046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [15048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [15050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15926),
  [15052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15877),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12355),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [15078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15981),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12082),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [15094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [15098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 1, 0, 2),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [15104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16038),
  [15106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [15110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [15112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16011),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [15118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [15120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16071),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [15126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [15128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16120),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14585),
  [15136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4265),
  [15139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15522),
  [15142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10776),
  [15144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15960),
  [15146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 76),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [15150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15892),
  [15152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15860),
  [15154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15862),
  [15156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15943),
  [15158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148), SHIFT(15522),
  [15161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 32),
  [15163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15990),
  [15165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16060),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [15171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16461),
  [15173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16045),
  [15175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16146),
  [15177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121), SHIFT(15522),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [15182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [15184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120), SHIFT(15522),
  [15187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16123),
  [15189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6587),
  [15191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22), SHIFT(15522),
  [15194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [15196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87),
  [15198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87), SHIFT(14229),
  [15201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15975),
  [15203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8636),
  [15205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16102),
  [15207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9365),
  [15209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9687),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [15213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16077),
  [15215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 0),
  [15217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [15223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [15226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16097),
  [15228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16131),
  [15230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16125),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [15238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15874),
  [15240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16025),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [15244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16126),
  [15246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15985),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [15252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [15254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [15256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 22),
  [15258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 57),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [15262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15967),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [15270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16094),
  [15272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [15274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9519),
  [15276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15941),
  [15278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [15281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 2, 0, 122),
  [15283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15920),
  [15285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16057),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [15291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9949),
  [15293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15904),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [15297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10216),
  [15299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7763),
  [15301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(15522),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [15306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15891),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [15310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14088),
  [15312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(15522),
  [15315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68), SHIFT(15522),
  [15318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15867),
  [15320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17359),
  [15322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16019),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [15326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [15328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15863),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [15336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16043),
  [15338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17078),
  [15340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15914),
  [15342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15949),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [15346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15989),
  [15348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15929),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [15352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7409),
  [15355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16032),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [15359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8760),
  [15361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122),
  [15363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4387),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [15368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15901),
  [15370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122),
  [15372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4388),
  [15375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9749),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [15379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8811),
  [15381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14679),
  [15383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16073),
  [15385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15876),
  [15387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16769),
  [15389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15999),
  [15391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15959),
  [15393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15977),
  [15395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 4, 0, 99),
  [15397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16054),
  [15399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16107),
  [15401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23), SHIFT(15522),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [15406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 4, 0, 0),
  [15408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1768),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14497),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [15419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0), REDUCE(sym_class_parameters, 4, 0, 0),
  [15422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [15432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [15434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 15),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [15438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 15),
  [15440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 97),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14633),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [15454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0),
  [15456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0), REDUCE(sym_class_parameters, 3, 0, 0),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14700),
  [15463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0), REDUCE(sym_class_parameters, 5, 0, 0),
  [15466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0),
  [15468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0), REDUCE(sym_class_parameters, 6, 0, 0),
  [15471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0),
  [15473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 1, 0, 0),
  [15475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0), REDUCE(sym_class_parameters, 7, 0, 0),
  [15478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 7, 0, 0),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [15486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87), SHIFT(14375),
  [15489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 56),
  [15491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4436),
  [15494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4429),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [15501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 71),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [15509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48),
  [15511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16268),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [15516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), REDUCE(sym_if_expression, 4, 0, 113),
  [15519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113),
  [15521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16253),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [15532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16876),
  [15535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1375),
  [15538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16947),
  [15541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1380),
  [15544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14661),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13406),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [15564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16508),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [15569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16450),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [15576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17422),
  [15579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1544),
  [15582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17369),
  [15585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1549),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [15592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [15595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [15597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [15599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47), SHIFT(14375),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [15604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16246),
  [15607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1062),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [15612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17274),
  [15615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1494),
  [15618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 1, 0, 0),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [15628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 22),
  [15630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17259),
  [15633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1486),
  [15636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17251),
  [15639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1319),
  [15642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17269),
  [15645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1336),
  [15648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7565),
  [15651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [15653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [15655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16403),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [15660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16382),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [15667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17717),
  [15670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1369),
  [15673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17709),
  [15676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1412),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [15681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17513),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14600),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [15702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17499),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [15709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14427),
  [15711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [15713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 2, 0, 50),
  [15715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [15717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16756),
  [15719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [15721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17060),
  [15724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1108),
  [15727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
  [15729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2112),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [15736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17038),
  [15739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1085),
  [15742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17152),
  [15745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [15747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17174),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [15752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17629),
  [15755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [15757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1652),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [15770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 0),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13754),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [15786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16230),
  [15789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1056),
  [15792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0),
  [15794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 3, 0, 123),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [15800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7832),
  [15803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17592),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [15808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17555),
  [15811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1611),
  [15814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17544),
  [15817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1591),
  [15820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17085),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [15825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17076),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [15830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8958),
  [15833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [15835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151),
  [15837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11517),
  [15840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12671),
  [15843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16481),
  [15846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1192),
  [15849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 133),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14695),
  [15857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 50),
  [15859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [15863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150), SHIFT(16800),
  [15866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 153),
  [15868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16278),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [15881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150), SHIFT(16675),
  [15884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16500),
  [15887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1200),
  [15890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 71),
  [15892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166),
  [15894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166), SHIFT(16800),
  [15897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166), SHIFT(16675),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16891),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [15904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17611),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [15909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 169),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12167),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [15925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1, 0, 0),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [15929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17593),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [15936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17202),
  [15939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1458),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [15944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17830),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [15949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16629),
  [15952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1252),
  [15955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17840),
  [15958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(882),
  [15961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11640),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [15966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16282),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [15971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 98),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [15975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16809),
  [15978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1342),
  [15981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16818),
  [15984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1351),
  [15987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 2, 0, 33),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [15993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 51),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13680),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [16003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17740),
  [16006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [16008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17163),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [16013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17150),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [16018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17210),
  [16021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1464),
  [16024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16640),
  [16027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1258),
  [16030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16339),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [16035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17835),
  [16038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(937),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [16043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, 0, 3),
  [16045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17340),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [16050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17357),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [16055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16544),
  [16058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1225),
  [16061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16563),
  [16064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1230),
  [16067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 1, 0, 5),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [16071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16365),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [16076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17645),
  [16079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1628),
  [16082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17661),
  [16085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1614),
  [16088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 56),
  [16090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 2, 0, 6),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [16094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lower_bound, 2, 0, 50),
  [16096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 6),
  [16098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17345),
  [16101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1087),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [16106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [16110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 1, 0, 1),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17425),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [16118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16753),
  [16121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1318),
  [16124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16737),
  [16127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1313),
  [16130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 97),
  [16132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4389),
  [16135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16598),
  [16138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(845),
  [16141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16617),
  [16144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(834),
  [16147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 1, 0, 0),
  [16149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12802),
  [16151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 100),
  [16153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78),
  [16155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78), SHIFT_REPEAT(12602),
  [16158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17449),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [16165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 2, 0, 17),
  [16167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7486),
  [16170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12932),
  [16173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16909),
  [16176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [16178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [16180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 3, 0, 62),
  [16182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17139),
  [16185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1616),
  [16188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17118),
  [16191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1495),
  [16194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 2, 0, 0),
  [16196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [16198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16776),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [16203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16795),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [16208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4403),
  [16211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17328),
  [16214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1231),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16221),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [16227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16323),
  [16230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1115),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [16237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 34),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [16243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 3, 0, 34),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17196),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11669),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [16261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 1, 0, 0),
  [16263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 6, 0, 163),
  [16265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16717),
  [16268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(816),
  [16271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [16273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16794),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [16284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17470),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [16289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [16291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 119),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [16295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12802),
  [16298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0),
  [16300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [16303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(16675),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [16308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16708),
  [16311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(824),
  [16314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 5, 0, 137),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17352),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16520),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [16330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
  [16332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16451),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [16337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16440),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [16342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9015),
  [16345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16330),
  [16348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1119),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [16357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16186),
  [16360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(991),
  [16363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17468),
  [16365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [16371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1776),
  [16374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16163),
  [16377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1000),
  [16380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [16382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4256),
  [16385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(16800),
  [16388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [16390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [16392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [16394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 4, 0, 0),
  [16396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [16400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [16404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16849),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [16409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17149),
  [16412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1439),
  [16415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 5, 0, 0),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [16419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17137),
  [16422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1435),
  [16425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [16427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 1, 0, 0),
  [16429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 5, 0, 0),
  [16431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 1, 0, 0),
  [16433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [16435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [16437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16197),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16159),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [16445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16250),
  [16448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(837),
  [16451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [16455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [16459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_renamed_identifier, 3, 0, 152),
  [16461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [16463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 3, 0, 0),
  [16465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [16467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4447),
  [16470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16480),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [16475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4450),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [16486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 4, 0, 133),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [16492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16994),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [16499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16503),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15972),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [16510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0),
  [16512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(3610),
  [16515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78), SHIFT_REPEAT(12454),
  [16518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 3, 0, 5),
  [16520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 6),
  [16522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16284),
  [16525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(948),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [16536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 4, 0, 33),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [16540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4401),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [16545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14524),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [16557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15879),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15881),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [16565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16397),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [16574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16786),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [16579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16540),
  [16583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [16585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4390),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16516),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [16596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2099),
  [16599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 98),
  [16601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [16603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [16605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12117),
  [16607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [16609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16680),
  [16612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1288),
  [16615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [16617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14655),
  [16619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16683),
  [16622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1293),
  [16625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0),
  [16627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_upper_bound, 2, 0, 50),
  [16629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [16631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [16633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 128),
  [16635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [16637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [16639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 170),
  [16641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [16643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [16645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 171),
  [16647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [16649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [16651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 11),
  [16653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 1, 0, 0),
  [16655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [16657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [16659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 6, 0, 157),
  [16661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 7, 0, 175),
  [16663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, 0, 176),
  [16665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 171),
  [16667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 9),
  [16669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 2, 0, 4),
  [16671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 177),
  [16673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [16675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [16677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 2, 0, 11),
  [16679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 6, 0, 181),
  [16681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 182),
  [16683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [16685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [16687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 182),
  [16689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 185),
  [16691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 187),
  [16693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 7, 0, 187),
  [16695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 8, 0, 188),
  [16697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [16699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [16701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [16703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [16705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [16707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [16709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [16711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [16713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 2, 0, 14),
  [16715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 4, 0, 0),
  [16717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [16719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [16723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [16725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 4, 0, 0),
  [16727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [16729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0),
  [16731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(12532),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [16738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 18),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [16744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, 0, 24),
  [16746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17710),
  [16749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1102),
  [16752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 3, 0, 26),
  [16754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 164),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [16760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 27),
  [16762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 162),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [16768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, 0, 161),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [16774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 29),
  [16776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 159),
  [16778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 1, 0, 30),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [16784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 158),
  [16786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17692),
  [16789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1149),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [16796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 6, 0, 157),
  [16798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 16),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [16802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 37),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [16808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 45),
  [16810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 2, 0, 0),
  [16812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 3, 0, 0),
  [16814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 53),
  [16816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 54),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17683),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [16844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 5, 0, 134),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [16856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 58),
  [16858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 60),
  [16860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, 0, 27),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17512),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17443),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [16874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 145),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [16894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 3, 0, 0),
  [16896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 72),
  [16898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 73),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [16904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 1, 0, 0),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14338),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [16914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 2, 0, 14),
  [16916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [16918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 75),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [16924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 77),
  [16926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 146),
  [16928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 112),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [16946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 143),
  [16948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 142),
  [16950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 5, 0, 141),
  [16952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 140),
  [16954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 139),
  [16956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17353),
  [16959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1432),
  [16962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 136),
  [16964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17335),
  [16967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1418),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12333),
  [16972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(12333),
  [16975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [16983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [16987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 135),
  [16989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, 0, 134),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [16993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [16997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [17003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [17005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 59),
  [17007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [17011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [17019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [17021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_instance, 3, 0, 81),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [17025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 82),
  [17027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 4, 0, 129),
  [17029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8025),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [17036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [17039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 86),
  [17041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [17044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 88),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [17048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [17052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [17054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [17061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4044),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [17080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 3, 0, 0),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2, 0, 0), SHIFT_REPEAT(3608),
  [17087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2, 0, 0),
  [17089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [17093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 4, 0, 95),
  [17095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 96),
  [17097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [17099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [17101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [17103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 2, 0, 0),
  [17105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [17109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 4, 0, 125),
  [17111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 124),
  [17113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [17117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 4, 0, 106),
  [17119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [17121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [17123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [17127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 4, 0, 106),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [17131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 4, 0, 108),
  [17133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [17135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [17137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 109),
  [17139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 110),
  [17141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [17143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [17145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [17147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [17149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, 0, 109),
  [17151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 117),
  [17153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 116),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [17161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [17165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 147),
  [17167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [17169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 2, 0, 31),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [17175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4048),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15970),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16022),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13430),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15525),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [17206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 2, 0, 3),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [17212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16093),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [17218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), REDUCE(sym_identifiers, 3, 0, 0),
  [17221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), SHIFT(13040),
  [17224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 3, 0, 0),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15919),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14535),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15412),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13386),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [17252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_view_bound, 2, 0, 50),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16142),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [17262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13709),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [17273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15390),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [17279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 102),
  [17281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [17283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [17285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [17287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [17289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [17291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17865),
  [17293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [17295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15856),
  [17297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [17299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3813),
  [17302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14528),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [17318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(519),
  [17321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12319),
  [17325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 4, 0, 0),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15843),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12036),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16118),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [17339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 4, 0, 0),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15966),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12025),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13479),
  [17351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [17353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13490),
  [17355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [17357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10674),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14550),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15710),
  [17363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15777),
  [17367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [17369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10897),
  [17371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15248),
  [17375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [17377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [17379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [17381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15944),
  [17383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 1, 0, 0),
  [17385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [17387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 102),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12936),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14626),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [17401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [17403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [17406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(520),
  [17409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [17411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16026),
  [17413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12277),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [17417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [17419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 1, 0, 2),
  [17421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [17423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [17425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [17427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [17429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4241),
  [17432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15091),
  [17440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11585),
  [17443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [17445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16034),
  [17449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [17451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14614),
  [17453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15150),
  [17455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [17457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [17459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [17461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4111),
  [17464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [17470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0),
  [17472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [17477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15973),
  [17481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 105),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [17495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [17497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [17499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15584),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [17507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [17509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 5, 0, 0),
  [17511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11730),
  [17515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11131),
  [17517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [17519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [17521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [17523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0),
  [17525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(13040),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [17544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 105),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [17548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4090),
  [17551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [17553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [17555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [17557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [17559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [17561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [17563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 165),
  [17565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [17567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [17569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [17571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [17573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [17575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [17577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13407),
  [17579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [17581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15965),
  [17583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [17585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [17587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [17589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [17591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [17593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [17595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13743),
  [17597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [17599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15401),
  [17601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [17603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0),
  [17605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [17607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [17609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [17611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [17613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [17615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [17617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 184),
  [17619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [17621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [17623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [17625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11908),
  [17627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [17629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [17631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [17633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [17635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 172),
  [17637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [17639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [17641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [17643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [17645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13755),
  [17647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [17649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 172),
  [17651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [17653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [17655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [17657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [17659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16556),
  [17661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [17663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [17665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10840),
  [17667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [17669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [17671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [17673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15176),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [17679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16560),
  [17683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15179),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [17691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16595),
  [17693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [17697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [17699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [17701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [17709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16597),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [17713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [17715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0), SHIFT_REPEAT(10456),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16662),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16700),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16714),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16782),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16789),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16499),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16522),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [17956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [17986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 3, 0, 178),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16036),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11411),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16496),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16470),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14616),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16459),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11708),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [18140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(16048),
  [18143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15766),
  [18145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [18157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [18159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [18167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16419),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [18181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16415),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [18207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [18229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16390),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [18243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_object, 3, 0, 26),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16388),
  [18255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 3, 0, 28),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [18267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [18281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [18287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [18289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [18291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [18293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [18295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12238),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [18301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [18309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [18313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [18321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [18327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [18329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [18333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [18335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [18337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [18341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [18343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [18345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [18349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [18351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [18381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16329),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16327),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [18399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [18401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16048),
  [18403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17878),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [18423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 167),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [18433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [18435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [18437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [18443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [18447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [18455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13357),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16299),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [18511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [18513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [18515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [18517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [18519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [18521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16271),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [18529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11773),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [18537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [18545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [18547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [18553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10413),
  [18557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14724),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [18567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [18571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11352),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16269),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16242),
  [18587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [18599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [18605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16240),
  [18607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [18613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [18615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [18617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [18619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [18621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [18623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [18629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [18631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16214),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16211),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [18701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13627),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [18735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [18741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [18743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [18747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [18749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14125),
  [18755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [18757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16181),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [18763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [18765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [18767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [18769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [18771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [18773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [18775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [18777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16185),
  [18779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [18785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [18787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [18789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [18791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [18795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [18805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16189),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16169),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16172),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16229),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16529),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [18935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17017),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17008),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14505),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [18961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [18965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 1, 0, 0),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [18973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [18977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [18979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [18981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11323),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17006),
  [18985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12986),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11285),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16259),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16262),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [19068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16286),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [19127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [19131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [19135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [19137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [19139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [19141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [19143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [19145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [19147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [19149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16289),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [19153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16310),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11271),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16313),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15875),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10938),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16334),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11229),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [19217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [19239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [19243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16997),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14514),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16359),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [19281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 127), SHIFT_REPEAT(11467),
  [19284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 127),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16378),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16986),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [19328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_enum_case, 2, 0, 149),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16420),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17037),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16973),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16464),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16483),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16962),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [19542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15503),
  [19544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17876),
  [19546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17471),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16953),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17455),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16527),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17477),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [19658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 102),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16547),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14619),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16951),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16565),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [19704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2132),
  [19707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [19709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 2),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [19713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [19719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 0),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16567),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [19731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(11512),
  [19734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12680),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16585),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [19750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 103),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16940),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13839),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17674),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11277),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17699),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [19794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 107),
  [19796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 107), SHIFT_REPEAT(12697),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16928),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [19845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4421),
  [19848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11159),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16627),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11147),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16645),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16665),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16686),
  [19962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(15176),
  [19965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [19977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [19981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0), SHIFT_REPEAT(15179),
  [19984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16722),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16724),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16741),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16743),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16762),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16304),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [20156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context_bound, 2, 0, 50),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16904),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16778),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [20196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17877),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14445),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [20220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 127), SHIFT_REPEAT(7429),
  [20223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 127),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [20233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16888),
  [20237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [20239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16796),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [20255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [20257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16798),
  [20259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [20261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [20263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [20265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14536),
  [20267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11124),
  [20270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16816),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [20360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4153),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [20387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 4, 1, 0),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [20435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 3, 1, 0),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [20443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dollar_escape, 2, 0, 0),
  [20445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, 0, 74),
  [20447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliased_interpolation_identifier, 1, 0, 0),
  [20449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2, 0, 0),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [20455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [20459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 16),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [20463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15775),
  [20465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [20467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [20469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15784),
  [20471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15595),
  [20473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [20475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [20477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [20479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [20483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [20489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 4, 0, 0),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [20497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [20499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 2, 0, 0),
  [20501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 2, 1, 0),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [20509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 5, 0, 0),
  [20511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [20515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [20517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [20521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [20523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [20525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14929),
  [20527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3),
  [20529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [20533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [20535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [20537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [20539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [20541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [20543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 0),
  [20545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [20547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [20549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [20551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [20553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15226),
  [20555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [20557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [20559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [20561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [20563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [20573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [20577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_given_by_type, 2, 0, 0),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15625),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [20615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 16),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15751),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12032),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15808),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15424),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [20649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 16),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15817),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [20667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contravariant_type_parameter, 2, 0, 16),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [20671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_covariant_type_parameter, 2, 0, 16),
  [20673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [20679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 1, 0, 0),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15315),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [20695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14875),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [20715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 3, 0, 0),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15188),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [20739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 1, 0, 0),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15454),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [20787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15065),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [20793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 35),
  [20795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 0),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15077),
  [20801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_renamed_identifier, 3, 0, 152),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [20805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [20809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 1, 0, 0),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [20813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [20827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [20829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [20831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_multiline_string_start, 1, 0, 0),
  [20833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_string_start, 1, 0, 0),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15156),
  [20843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [20845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [20859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case_clause, 3, 0, 183),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15539),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [20875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15362),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14822),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [20911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 5, 1, 0),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15566),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [20963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [20973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [20975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15026),
  [20981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [20983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [20987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11917),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14904),
  [21007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [21011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [21019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10882),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15832),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12011),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15005),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15120),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11726),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15583),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15237),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14813),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [21207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 4, 0, 0),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15036),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15422),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15750),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15076),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15170),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14305),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15776),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14341),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15427),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [21583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__self_type_ascription, 2, 0, 0),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16309),
  [21587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 3, 0, 0),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15964),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13621),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13476),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [21631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15020),
  [21635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [21647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [21651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15113),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [21709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [21747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15255),
  [21749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [21751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [21755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [21779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11896),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15768),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11291),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14970),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [21939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [21983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [21995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13989),
  [21997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11914),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16348),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [22007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [22023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [22025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [22027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [22033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [22035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [22093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15945),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [22101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16344),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [22111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [22113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [22115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [22117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [22119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [22121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [22127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [22129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [22131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [22133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [22135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [22137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [22141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [22143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [22155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [22157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 2, 0, 0),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [22163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 2, 0, 0),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15894),
  [22169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [22173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [22181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [22191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [22197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [22211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [22217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [22225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [22241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [22253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [22263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [22265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [22277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [22291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14548),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [22317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17879),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [22351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [22361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [22375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [22387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14568),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10728),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9869),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14374),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14373),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11881),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [22553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13400),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [22569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [22601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11307),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [22607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [22645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 1, 0, 0),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12942),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [22659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [22685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [22697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [22703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [22705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [22709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [22713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [22715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [22717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [22719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [22725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16972),
  [22727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [22743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [22749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10846),
  [22753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [22755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [22763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [22765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [22779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [22785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11298),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11609),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [22833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13315),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13393),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13422),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [22857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [22863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [22865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13598),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10054),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13365),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16068),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13460),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16012),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [23037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13226),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [23117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [23119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [23121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [23123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17238),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [23151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14026),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [23193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [23201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [23207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [23209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [23213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [23223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [23231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [23249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [23259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16147),
  [23297] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [23329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13588),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13589),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13484),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13457),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13419),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [23539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12594),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13285),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11023),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11839),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [23859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
  [23861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 0),
  [23863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 0),
  [23865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__indent = 1,
  ts_external_token__interpolated_string_middle = 2,
  ts_external_token__interpolated_string_end = 3,
  ts_external_token__interpolated_multiline_string_middle = 4,
  ts_external_token__interpolated_multiline_string_end = 5,
  ts_external_token__outdent = 6,
  ts_external_token__simple_multiline_string = 7,
  ts_external_token__simple_string = 8,
  ts_external_token_else = 9,
  ts_external_token_catch = 10,
  ts_external_token_finally = 11,
  ts_external_token_extends = 12,
  ts_external_token_derives = 13,
  ts_external_token_with = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__interpolated_string_middle] = sym__interpolated_string_middle,
  [ts_external_token__interpolated_string_end] = sym__interpolated_string_end,
  [ts_external_token__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [ts_external_token__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [ts_external_token__outdent] = sym__outdent,
  [ts_external_token__simple_multiline_string] = sym__simple_multiline_string,
  [ts_external_token__simple_string] = sym__simple_string,
  [ts_external_token_else] = anon_sym_else,
  [ts_external_token_catch] = anon_sym_catch,
  [ts_external_token_finally] = anon_sym_finally,
  [ts_external_token_extends] = anon_sym_extends,
  [ts_external_token_derives] = anon_sym_derives,
  [ts_external_token_with] = anon_sym_with,
};

static const bool ts_external_scanner_states[74][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [2] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [4] = {
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [5] = {
    [ts_external_token__indent] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [7] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [8] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [9] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [10] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [11] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [12] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [13] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [14] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [15] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [16] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [17] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [18] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [19] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [20] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [21] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [22] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [23] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [24] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
  },
  [25] = {
    [ts_external_token__indent] = true,
  },
  [26] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [27] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [28] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [29] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [30] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [31] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [32] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [33] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
  },
  [34] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [35] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [36] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
  },
  [37] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [38] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_with] = true,
  },
  [39] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [40] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [41] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [42] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [43] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [44] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [45] = {
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [46] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [47] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [48] = {
    [ts_external_token_else] = true,
  },
  [49] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [50] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [51] = {
    [ts_external_token_with] = true,
  },
  [52] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [53] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [54] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [55] = {
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [56] = {
    [ts_external_token_finally] = true,
  },
  [57] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
  },
  [58] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
  },
  [59] = {
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [60] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [61] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [62] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [63] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [64] = {
    [ts_external_token__outdent] = true,
  },
  [65] = {
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [66] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
  },
  [67] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
  },
  [68] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
  },
  [69] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
  },
  [70] = {
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [71] = {
    [ts_external_token_derives] = true,
  },
  [72] = {
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
  },
  [73] = {
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_scala_external_scanner_create(void);
void tree_sitter_scala_external_scanner_destroy(void *);
bool tree_sitter_scala_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_scala_external_scanner_serialize(void *, char *);
void tree_sitter_scala_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_scala(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__alpha_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_scala_external_scanner_create,
      tree_sitter_scala_external_scanner_destroy,
      tree_sitter_scala_external_scanner_scan,
      tree_sitter_scala_external_scanner_serialize,
      tree_sitter_scala_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
